define(['angular', 'router', 'resource', 'ngDialog','loadCss', 'commonUtil', 'homeRouter', 'uuid'], function () {
    var app = angular.module("webApp", ['ui.router', 'ngDialog', 'ngResource']);// webApp为自定义模块，依赖第三方路由模块ui.router,ngDialog
    app.constant("_globalSetting", {"timeOutSetting": 60000});//设置angular全局变量
    app.config(["$controllerProvider", "$httpProvider", "$compileProvider", "$filterProvider", "$provide", function ($controllerProvider, $httpProvider, $compileProvider, $filterProvider, $provide) {
        app.register = {
            //得到$controllerProvider的引用
            controller: $controllerProvider.register,
            //同样的，这里也可以保存directive／filter／service的引用
            directive: $compileProvider.directive,
            filter: $filterProvider.register,
            service: $provide.service
        };

        //所有服务都调用这个地址
        app.register.service('adbService', ['$resource', '_globalSetting', function ($resource, _globalSetting) {
            return $resource('/adbapi', {}, {
                getResult: {method: 'POST', params: {}, isArray: false, timeout: _globalSetting.timeOutSetting}
            });
        }]);
        app.register.controller('mainCtrl', ["$rootScope", "$scope", "ngDialog", "$window", "$timeout", "$location", "backFactory", "adbService", function ($rootScope, $scope, ngDialog, $window, $timeout, $location, backFactory, adbService) {
            /** 接口调用方法
             icode 为业务接口代码
             params 为需要传递的参数 **/
            $scope.setService = function (icode, params) {
                $scope.setServiceJ = {
                    "header": {
                        "isource": _globalOption.adbService_isource,//给h5页面分配的用户名，测试环境用这个 ，生产环境待定
                        "ikey": _globalOption.adbService_key,//给h5页面分配的密码，测试环境用这个 ，生产环境待定
                        "icode": icode,//具体业务的接口代码
                        "iserial": Math.iserial(Math.uuid(64)),//流水号
                        "cinfo": {}
                    },
                    "params": params
                };
                //console.log(JSON.stringify($scope.setServiceJ));
                return $scope.setServiceJ;
            };

            function saveBroker() {
                $scope.brokerInfo = {};
                $scope.cacheValid = true;
                adbService.getResult(
                    {},
                    $scope.setService("I110702", {}),
                    function (json) {
                        if (json.header.istatus == '-99') {
                            //$scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {

                            if (json.data.brokerInfo) {
                                $scope.brokerInfo = json.data.brokerInfo;
                                if (typeof json.data.cacheValid != 'undefined')$scope.cacheValid = json.data.cacheValid;
                                localStorage.setItem('broker_in_session', JSON.stringify($scope.brokerInfo));
                                localStorage.setItem('cacheValid', $scope.cacheValid);
                            }
                        }
                    },
                    function (err) {
                    }
                );
            }

            saveBroker();

            //<title>标签定义
            $scope.appTitle = "";
            $scope.$on("titleName", function (event, title) {
                //console.log("parent", msg);
                $scope.appTitle = title;

                try {//原生获取H5titleName
                    native.jsChangeVCTitle($scope.appTitle);
                } catch (e) {

                }
            });

            $("#main_showLoading").hide();
            //拦截器 打开loading
            $scope.$on("loader_show", function (event, msg) {
                //console.log("show");
                $("#main_showLoading").show();
            });
            //拦截器 关闭loading
            $scope.$on("loader_hide", function (event, msg) {
                //console.log('======hide=====');
                $("#main_showLoading").hide();
            });
            //向外拦截器提供 messager.alert 方法
            $scope.$on("messager.alert", function (event, msg) {
                $scope.dialogRes(msg);
            });


            //控制body是否overflow hidden
            $scope.isOverflowHidden = false;
            $scope.$on("overflowHidden", function (event, data) {
                $scope.isOverflowHidden = data;
            });

            var new_dialog;
            $scope.dialogRes = function (msg) {
                var dialogTemplate = 'dialogOptRes';
                var dialogData = {foo: msg};
                var dialogClass = 'ngdialog-theme-default';
                new_dialog = ngDialog.open({
                    template: dialogTemplate,
                    data: dialogData,
                    className: dialogClass,
                    closeByDocument: false
                });
            };

            $scope.dialogConfirm = function (title, param, leftBtn, rightBtn, dialogFlag) {
                //param 为确定后,传入value的值
                var dialogTemplate = 'dialogConfirm';
                var dialogData = {
                    title: title,
                    param: param,
                    leftBtn: leftBtn,
                    rightBtn: rightBtn,
                    dialogFlag: dialogFlag
                };
                var dialogClass = 'ngdialog-theme-default';
                new_dialog = ngDialog.openConfirm({
                    template: dialogTemplate,
                    data: dialogData,
                    className: dialogClass,
                    scope: $scope,
                    closeByDocument: true
                }).then(function (value) {
                    //console.log('Modal promise resolved. Value: ', value);
                    //消息页面确认删除消息的按钮通知---这只是一个例子
                    if (dialogFlag === 'event_deleteMsgData') {
                        if (value === 1) {
                            $scope.$broadcast('event_deleteMsgData', true);
                        }
                    }
                    if (dialogFlag === 'event_deleteCard') {
                        if (value === 1) {
                            $scope.$broadcast('event_deleteCard', true);
                        }
                    }
                    if (dialogFlag === 'event_deleteFillInfo') {
                        if (value === 1) {
                            $scope.$broadcast('event_deleteFillInfo', true);
                        }
                    }
                    if (dialogFlag === 'event_approvedLevel') {
                        if (value === 1) {
                            $scope.$broadcast('event_approvedLevel', true);
                        }
                    }

                    //业绩模块获取任务
                    if (dialogFlag === 'getTaskFlag') {
                        if (value === 1) {
                            $scope.$broadcast('getTaskData', true);
                        }
                    }

                    //客户删除操作
                    if (dialogFlag === 'delCustomerFlag') {
                        if (value === 1) {
                            $scope.$broadcast('delCustomerFlag', true);
                        }
                    }
                    //家庭成员删除操作
                    if (dialogFlag === 'delFamilyCustomerFlag') {
                        if (value === 1) {
                            $scope.$broadcast('delFamilyCustomerFlag', true);
                        }
                    }
                    //家庭保障分析历史记录删除操作
                    if (dialogFlag === 'delAnalysisListFlag') {
                        if (value === 1) {
                            $scope.$broadcast('delAnalysisListFlag', true);
                        }
                    }
                    //保单记录删除操作
                    if (dialogFlag === 'delRecordFlag') {
                        if (value === 1) {
                            $scope.$broadcast('delRecordFlag', true);
                        }
                    }
                    //计划书删除操作
                    if (dialogFlag === 'delPlanRecordFlag') {
                        if (value === 1) {
                            $scope.$broadcast('delPlanRecordFlag', true);
                        }
                    }
                    //密码更新失败
                    if (dialogFlag === 'defeatedFlag'){
                        if (value === 1) {
                            location.href = 'index.html#/updatePwdR/step1';
                        }
                    }
                    //忘记密码重置失败
                    if (dialogFlag === 'resetPasswordFailedFlag'){
                        if (value === 1) {
                            location.href = 'index.html#/forgetPasswordR';
                        }
                    }
                    //更换手机号成功
                    if(dialogFlag === 'MobileFlag'){
                        if (value === 1) {
                            $scope.$broadcast('MobileFlag',true);
                        }
                    }
                    //更换手机号失败
                    if(dialogFlag === 'MobileDfailFlag'){
                        if (value === 1) {
                            location.href = 'index.html#/verifyOriginalPhoneR';
                        }
                    }
                }, function (reason) {
                    //console.log('Modal promise rejected. Reason: ', reason);
                    //密码更新失败
                    if (dialogFlag === 'defeatedFlag') {
                        if (reason === 'button') {
                            location.href = 'index.html#/homeR';
                        }
                    }
                    if(dialogFlag === 'MobileDfailFlag'){
                        if (reason === 'button') {
                            location.href = 'index.html#/homeR';
                        }
                    }
                });
            };
            //拨打电话弹窗
            $scope.dialogPhone = function (param,title) {
                //param 为确定后,传入value的值
                var dialogTemplate = 'dialogPhone';
                var newTitle="";
                if(title){
                    newTitle=title;
                }else{
                    newTitle="呼叫联系人";
                }
                var dialogData = {
                    title:newTitle,
                    param: param
                };
                var dialogClass = 'ngdialog-theme-default';
                new_dialog = ngDialog.openConfirm({
                    template: dialogTemplate,
                    data: dialogData,
                    className: dialogClass,
                    closeByDocument: true,
                    scope: $scope
                }).then(function (value) {
                    if (value === 1) {
                        phone(param);
                    }
                    //拨打电话调取方法
                    function phone(date) {
                        window.location.href = 'tel:' + date;
                    }
                }, function (reason) {

                    //console.log('Modal promise rejected. Reason: ', reason);

                });
            };

            //3秒钟后跳转
            $scope.openInlineController = function (msg, gotoUrl) {
                var dialogTemplate = 'withInlineController';
                var dialogData = {foo: msg};
                var dialogClass = 'ngdialog-theme-default';
                new_dialog = ngDialog.open({
                    template: dialogTemplate,
                    data: dialogData,
                    className: dialogClass,
                    controller: ['$scope', '$timeout', function ($scope, $timeout) {
                        var counter = 4;
                        var timeout;

                        function count() {
                            $scope.exampleExternalData = --counter;
                            if (counter == 0) {
                                new_dialog.close();
                            } else {
                                timeout = $timeout(count, 1000);
                            }
                        }

                        count();
                        $scope.$on('$destroy', function () {
                            $window.location.href = gotoUrl;
                            $timeout.cancel(timeout);
                        });
                    }]
                });
            };
            //3s后消失dialog
            $scope.isTip = false;
            $scope.dialogTip = function (msg) {
                $scope.isTip = true;
                $scope.error_tip = msg;
                var counter = 3;
                var timeout;

                function count() {
                    $scope.exampleExternalData = --counter;
                    if (counter == 0) {
                        $scope.isTip = false;
                    } else {
                        timeout = $timeout(count, 1000);
                    }
                }

                count();
                $scope.$on('$destroy', function () {
                    $timeout.cancel(timeout);
                });
            };

            //点击消失弹框
            $scope.isDisappear = false;
            $scope.clickDialogTip = function (isTrue, msg) {
                $scope.isDisappear = isTrue;
                $scope.errorMsg = msg;
            };

            //获取设备系统
            userAgent();

            //IOS头部调整--先注释
            if (localStorage.isAppIos == 'true' && localStorage.isWeixin == 'false') {
                var head = document.getElementsByTagName('HEAD').item(0);
                var style = document.createElement('link');
                style.href = 'css/ios.css';
                style.rel = 'stylesheet';
                style.type = 'text/css';
                head.appendChild(style);
            }



            $scope.goAdd = function () {
                $scope.setBackFactory('customerAdd');
                location.href = 'index.html#/customerAddR';
            }

            //$scope.sideFlag = true;


            //获取当前登录用户信息
            var broker = localStorage.getItem('broker_in_session');
            if (broker != null && broker != 'undefined') {
                //broker = JSON.parse(broker);
                var submitChlId = '';
                if (broker.unionId) {
                    submitChlId = '6';
                } else {
                    submitChlId = '7';
                }

            }
            $scope.authed = true;
            if (!broker) {
                //$scope.authed = false;
            }

            //设置backFactory,负责头部跳转
            // toRouter-为跳转到页面的路由
            // backUrl为返回调转到的链接，如果空时，默认为本页路由
            // isLocalStorage是否存isLocalStorage
            $scope.setBackFactory = function (toRouter, backUrl) {
                var params = backFactory.getter();
                if (typeof backUrl == 'undefined' || backUrl == '') {
                    params[toRouter] = $location.url().substr(1);
                }
                else {
                    params[toRouter] = backUrl;
                }

                //console.log(params);
                backFactory.setter(params);
            };

            //获取backFactory,负责头部跳转,toRouter-为跳转到页面的路由，initVal-默认跳转
            $scope.getBackFactory = function (toRouter, initVal) {
                var backUrlObj = backFactory.getter();
                //console.log(backUrlObj);
                var backUrl = '';
                if (typeof backUrlObj[toRouter] != 'undefined' && backUrlObj[toRouter] != '') {
                    backUrl = backUrlObj[toRouter];
                }
                else {
                    var localBack = localStorage.getItem("backFactory");

                    if (typeof localBack != 'undefined' && localBack) {
                        backUrl = JSON.parse(localBack);
                        backUrl = backUrl[toRouter];
                    }
                    else {
                        backUrl = initVal;
                    }
                }
                return backUrl;
            }
            //控制loading显示隐藏
            $scope.showLoading = false;   //默认为隐藏
            $scope.loadingShow = function () {
                $scope.showLoading = !$scope.showLoading;
            }

            /******************************获取客户信息  begin*******************************************/
                //是否实名认证
            $scope.isCertification = false;
            function getUserInfo(uid) {
                //var userInfo = {};//用户信息
                //判断是否实名认证


                var params = {
                    "regId": uid,
                    "accountAmt_Flag": "Y"
                };
                adbService.getResult(
                    {},
                    $scope.setService('I110106', params),
                    function (json) {
                        if (json.header.istatus == '-99') {
                            //$scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {
                            $scope.userInfo = json.data;//返回用户信息
                            if ($scope.userInfo['headPortrait'])
                            {
                                $scope.headPortrait = _globalOption.host + $scope.userInfo['headPortrait'];
                            }
                            if ($scope.userInfo && typeof $scope.userInfo['approvedLevel'] != 'undefined') {
                                //console.info("userInfo",$scope.userInfo);
                                var approvedLevel = $scope.userInfo['approvedLevel'];//实名认证状态,1-未认证,3-已认证,4-认证中,5-认证失败
                                //console.log(approvedLevel);
                                $scope.approvedLevel=approvedLevel;
                                if ($scope.approvedLevel=='3') {
                                    $scope.isCertification = true;
                                }else{
                                    $scope.isCertification = false;
                                }

                            }
                        }
                    },
                    function (err) {
                        //错误
                        //console.log(err);
                    });

            };

            /******************************获取客户信息  end*******************************************/
            /******************************获取账户信息 消息信息  begin*******************************************/
            function getWalletInfo(){

                var params = {
                    "pgType3": "1"
                };
                adbService.getResult(
                    {},
                    $scope.setService('I201010', params),
                    function (json) {
                        if (json.header.istatus == '-99') {
                            //$scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {

                            $scope.walletInfo = json.data;//返回账户信息
                            if ($scope.walletInfo && typeof $scope.walletInfo['totalAmt'] != 'undefined') {
                                $scope.WalletTotalAmt = $scope.walletInfo['totalAmt'];//总资产

                            }
                        }
                    },
                    function (err) {
                        //错误
                        //console.log(err);
                    });

            }
            function getMessage(){

                var params = {
                    "msgCatalogs":["0","1","2"]//消息类型：0，活动 1，系统 2，通知
                };
                adbService.getResult(
                    {},
                    $scope.setService('I222011', params),
                    function (json) {
                        if (json.header.istatus == '-99') {
                            //$scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {
                            $scope.messageList=json.data;
                            if($scope.messageList.length>0){
                                $scope.totalMessageNum=accAdd(accAdd($scope.messageList[0].count,$scope.messageList[1].count),$scope.messageList[2].count);
                            }

                        }
                    },
                    function (err) {
                        //错误
                        //console.log(err);
                    });

            };

            /******************************获取账户信息 消息信息  end*******************************************/
            /*******************************************菜单的滚动滑入滑出 begin*******************/




                //返回个人中心
            $scope.sideFlag = true;
            $scope.sideAnimate = function () {
                $scope.sideFlag = !$scope.sideFlag;
                if($scope.sideFlag){
                    $scope.isOverflowHidden=false;
                }else{
                    $scope.isOverflowHidden=true;
                }
                if (broker) {
                    getUserInfo(broker.regId);//获取用户信息

                }
                getWalletInfo();//获取账户信息
                getMessage();//获取消息信息

            };

            //跳转到个人资料
            $scope.goUserInfoMenu = function () {

                $scope.setBackFactory('userInfo');
                //$location.path("/userInfoR");

                $scope.sideFlag = true;
                $scope.isOverflowHidden=false;
                location.href = 'index.html#/userInfoR';
            };
            //跳转到我的收藏
            $scope.goMyFavoriteMenu = function () {

                $scope.setBackFactory('myFavorite');
                //$location.path("/myFavoriteR");
                $scope.sideFlag = true;
                $scope.isOverflowHidden=false;
                location.href = 'index.html#/myFavoriteR';
            };
            //跳转到我的名片
            $scope.goMyCardMenu = function () {
                if ($scope.approvedLevel=='3') {
                    $scope.setBackFactory('myCard');
                    //$location.path("/myCardR");
                    $scope.sideFlag = true;
                    $scope.isOverflowHidden=false;
                    location.href = 'index.html#/myCardR';
                }
                else {
                    if( $scope.approvedLevel=='1'){
                        $scope.setBackFactory('certification');
                        //$location.path("/certificationR");
                        $scope.sideFlag = true;
                        $scope.isOverflowHidden=false;
                        location.href = 'index.html#/certificationR';
                    }else{
                        //$location.path("/statusVerificationR");
                        $scope.sideFlag = true;
                        $scope.isOverflowHidden=false;
                        location.href = 'index.html#/statusVerificationR';
                    }

                }

            };
            //跳转到我的订单
            $scope.goOrderMenu = function () {

                $scope.setBackFactory('myOrder');
                //$location.path("/myOrderR");
                $scope.sideFlag = true;
                $scope.isOverflowHidden=false;
                location.href = 'index.html#/myOrderR';
            };
            //跳转到设置
            $scope.goSetMenu = function () {
                $scope.setBackFactory('set');
                //$location.path("/setR");
                $scope.sideFlag = true;
                $scope.isOverflowHidden=false;
                location.href = 'index.html#/setR';
            };
            //跳转到我的钱包
            $scope.goMyWalletMenu = function () {
                if ($scope.approvedLevel=='3') {
                    $scope.setBackFactory('myWallet');
                    //$location.path("/myWalletR");
                    $scope.sideFlag = true;
                    $scope.isOverflowHidden=false;
                    location.href = 'index.html#/myWalletR';
                }
                else {
                    if( $scope.approvedLevel=='1'){
                        $scope.setBackFactory('certification');
                        //$location.path("/certificationR");
                        $scope.sideFlag = true;
                        $scope.isOverflowHidden=false;
                        location.href = 'index.html#/certificationR';
                    }else{
                        $scope.setBackFactory('statusVerification');
                        //$location.path("/statusVerificationR");
                        $scope.sideFlag = true;
                        $scope.isOverflowHidden=false;
                        location.href = 'index.html#/statusVerificationR';
                    }
                }
            };

            //跳转到圈子
            $scope.goCircleIndexMenu = function () {

                if ($scope.approvedLevel=='1' ||$scope.approvedLevel=='4' ||$scope.approvedLevel=='5') {

                    $scope.setBackFactory('buildCircle');
                    //$location.path("/buildCircleR");
                    location.href = 'index.html#/buildCircleR';
                } else {
                    $scope.setBackFactory('circleIndex');
                    //$location.path("/circleIndexR");
                    location.href = 'index.html#/circleIndexR';
                }
                $scope.sideFlag = true;
                $scope.isOverflowHidden=false;
            };

            //跳转到消息
            $scope.goMessageMenu = function () {
                $scope.setBackFactory('messageActivity');
                //$location.path("/messageActivityR");
                $scope.sideFlag = true;
                $scope.isOverflowHidden=false;
                location.href = 'index.html#/messageActivityR';
            };

            //跳转到产品列表
            $scope.goProductListMenu = function () {
                $scope.setBackFactory('productList');
                location.href = "index.html#/productR/productListR?productCategory=0&salesWay=1&proprietaryFlag=Y";
            };

            //跳转到计划书
            $scope.goPlanBookListMenu = function () {
                $scope.setBackFactory('planBookList');
                //$location.path("/planBookListR");
                $scope.sideFlag = true;
                $scope.isOverflowHidden=false;
                location.href = 'index.html#/planBookListR';
            };

            //跳转到首页
            $scope.goHomeMenu = function () {
                $scope.goHome();
            };

            //跳转到首页（无滑动效果）
            $scope.goHome = function () {
                $scope.sideFlag = true;//默认左侧菜单为隐藏
                $scope.isOverflowHidden=false;
                location.href = 'index.html#/homeR';
            };


            //跳转到搜索
            $scope.goSearch = function () {
                $scope.setBackFactory('search');

                //$location.path("/searchR/product");
                $scope.sideFlag = true;
                $scope.isOverflowHidden=false;
                location.href = 'index.html#/searchR/product';
            };

            //跳转家庭保障分析
            $scope.goFamilyAnalysisMenu = function () {
                $scope.setBackFactory('familyAnalysisCustomInfo');
                //$location.path("/familyAnalysisCustomInfoR");
                $scope.sideFlag = true;
                $scope.isOverflowHidden=false;
                location.href = 'index.html#/familyAnalysisCustomInfoR';
            };

            //跳转到产品对比
            $scope.goProCompareListMenu = function () {
                $scope.setBackFactory('proCompareCategory');
                //$location.path("/proCompareCategoryR");
                $scope.sideFlag = true;
                $scope.isOverflowHidden=false;
                location.href = 'index.html#/proCompareCategoryR';
            };

            /*****************************************菜单的滚动滑入滑出 end***************************/




            $scope.isCertification = function(titleMsg){
                /*****************************判断是否认证 begin***************************************************************/
                var approvedLevel = '';//认证级别
                if($scope.authed){
                    var brokerInfo = localStorage.getItem('broker_in_session');
                    if (brokerInfo)
                    {
                        brokerInfo = JSON.parse(brokerInfo);
                        if(brokerInfo && typeof brokerInfo['approvedLevel'] != 'undefined'){
                            approvedLevel = brokerInfo['approvedLevel'];
                        }
                    }
                }

                if(approvedLevel != '2' && approvedLevel != '3'){//只有2、3时方可分享，否则都不可分享
                    var title = '';
                    var btMsg = '';
                    var dialogConfirmStatus = false;
                    if (approvedLevel == '4') {
                        title = '您提交的资料正在审核中，请耐心等待，如有问题可联系我们的客服人员';//审核中
                        btMsg = '去看看';
                        dialogConfirmStatus = true;
                    }
                    else if (approvedLevel == '5') {
                        title = '您提交的资料审核未通过，快去修改一下吧';//审核失败
                        btMsg = '去看看';
                        dialogConfirmStatus = true;
                    }
                    else{
                        title = titleMsg;//未认证
                        btMsg = '去认证';
                        dialogConfirmStatus = true;
                    }


                    var activeNum = '1';//阻止重复调用原生方法
                    if(dialogConfirmStatus){
                        $scope.dialogConfirm("", title, "取消", btMsg, "event_approvedLevel");
                        $scope.$on("event_approvedLevel", function (event, msg) {
                            if(activeNum == '1'){
                                //跳转微信认证页面
                                if (approvedLevel == '4' || approvedLevel == '5'){
                                    $scope.setBackFactory('statusVerification');
                                    //$location.path("/statusVerificationR");
                                    location.href = 'index.html#/statusVerificationR';
                                }
                                else{
                                    $scope.setBackFactory('certification');
                                    //$location.path("/certificationR");
                                    location.href = 'index.html#/certificationR';
                                }
                                activeNum ++ ;
                            }
                        });

                    }

                    return false;
                }
                return true;
                /*****************************判断是否认证 end***************************************************************/
            }

        }]);


        //拦截器开始
        var httpInterceptor = ["$rootScope", "$timeout", "$q", function ($rootScope, $timeout, $q) {
            var numLoadings = 0;
            var totalLoadings = 0;
            return {
                //on request
                request: function (config) {
                    totalLoadings++;
                    if (config.url !== "dialogOptRes" && config.headers.Accept == 'application/json, text/plain, */*') {
                        numLoadings++;
                        $rootScope.$broadcast("loader_show");
                    }
                    return config || $q.when(config)
                },
                // On request failure
                requestError: function (rejection) {
                    //console.log("请求出错" + numLoadings);
                    //numLoadings++;
                    //$rootScope.$broadcast("loader_show");
                    // Return the promise rejection.
                    return $q.reject(rejection);
                },
                //on response
                response: function (response) {
                    //console.log(response);
                    totalLoadings--;
                    //console.log("正确的返回处理前"+numLoadings);
                    if (response.config && response.config.headers.Accept == "application/json, text/plain, */*" && numLoadings > 0) {
                        numLoadings--;
                    }
                    if (response.config && response.config.headers.Accept == "application/json, text/plain, */*" && numLoadings === 0) {
                        //$timeout(function () {
                        $rootScope.$broadcast("loader_hide");
                        //}, 500);
                    }
                    //console.log("正确的返回处理后"+numLoadings);
                    return response || $q.when(response);
                },
                //on response failure
                responseError: function (response) {
                    if (totalLoadings != 0) {
                        if (response.status === 404) {		//服务器404 错误
                            //$rootScope.$broadcast("messager.alert","接口错误");
                        } else if (response.status === 500) {//服务器500 错误
                            if (response.msg = "SERVER INTERNAL ERROR: Bad Network Environment Detected, Please Check It!") {
                                //$rootScope.$broadcast("messager.alert", "请检查您的网络");
                            }
                        } else if (response.status === 0) {

                            //$rootScope.$broadcast("messager.alert", "请检查您的网络");
                        }
                        $rootScope.$broadcast("loader_hide");
                    }
                    numLoadings = 0;
                    totalLoadings = 0;

                    return $q.reject(response);
                }
            };
        }];
        $httpProvider.interceptors.push(httpInterceptor);
        //拦截器结束
    }])
        .config(['$stateProvider', '$urlRouterProvider', '$uiViewScrollProvider', function ($stateProvider, $urlRouterProvider, $uiViewScrollProvider) {
            //用于改变state时跳至顶部
            $uiViewScrollProvider.useAnchorScroll();
            // 默认进入先重定向
            $urlRouterProvider.otherwise('/homeR');
            $stateProvider
                .state("adb", {
                    url: "/",
                    abstract: true, // 抽象状态，不会对应到url上

                    views: {
                        // 无名 view
                        '': {
                            templateUrl: 'module/common/views/app.html',
                            controller: 'adbCtrl',
                            resolve: {
                                loadCtrl: ["$q", function ($q) {
                                    var deferred = $q.defer();
                                    //异步加载controller／directive/filter/service
                                    require([
                                        'module/common/js/controller'
                                    ], function () {
                                        deferred.resolve();
                                    });
                                    return deferred.promise;
                                }]
                            }
                        },
                        // for "ui-view='adbTop'"
                        'adbTop@adb': {
                            templateUrl: 'module/common/views/adbTop.html'

                        },
                        // for "ui-view='dialog'"
                        'dialog@adb': {
                            templateUrl: 'module/common/views/dialog.html'
                        },
                        //for "ui-view=loading"
                        'loading@adb': {
                            templateUrl: 'module/common/views/loading.html'
                        }
                    }
                })
                //首页模块
                //.state("homeNoLoginR", homeNoLoginRouter)//首页(未登录)
                .state("homeR", homeRouter)//首页（登录后）



        }]);
    app.factory('backFactory', function () {
        //定义返回跳转路由
        var myObject = {};

        /**
         * 定义传递数据的setter函数
         * @param {type} xxx
         * @returns {*}
         * @private
         */
        var _setter = function (data) {
            myObject = data;
        };

        /**
         * 定义获取数据的getter函数
         * @param {type} xxx
         * @returns {*}
         * @private
         */
        var _getter = function () {
            return myObject;
        };

        // Public APIs
        // 在controller中通过调setter()和getter()方法可实现提交或获取参数的功能
        return {
            setter: _setter,
            getter: _getter
        };
    });
    return app;
});