define(['angular', 'router', 'resource', 'ngDialog','angularSanitize'], function () {
    /**
     * Created by wn on 2016/10/18.
     */
    var app = angular.module("webApp", ['ui.router', 'ngDialog', 'ngResource', 'ngSanitize']);// webApp为自定义模块，依赖第三方路由模块ui.router,ngDialog
    app.constant("_globalSetting", {"timeOutSetting": 60000});//设置angular全局变量
    app.config(["$controllerProvider", "$httpProvider", "$compileProvider", "$filterProvider", "$provide", function ($controllerProvider, $httpProvider, $compileProvider, $filterProvider, $provide) {
        app.register = {
            //得到$controllerProvider的引用
            controller: $controllerProvider.register,
            //同样的，这里也可以保存directive／filter／service的引用
            directive: $compileProvider.directive,
            filter: $filterProvider.register,
            service: $provide.service
        };

        //所有服务都调用这个地址
        app.register.service('adbService', ['$resource', '_globalSetting', function ($resource, _globalSetting) {
            return $resource('/adbapi', {}, {
                getResult: {method: 'POST', params: {}, isArray: false, timeout: _globalSetting.timeOutSetting}
            });
        }]);



        app.register.controller('mainCtrl', ["$rootScope", "$scope", "ngDialog", "$window", "$timeout", "$location","backFactory", "adbService","$state", function ($rootScope, $scope, ngDialog, $window, $timeout, $location,backFactory, adbService,$state) {
            $scope.setService = function (icode, params) {
                $scope.setServiceJ = {
                    "header": {
                        "isource": _globalOption.adbService_isource,//给h5页面分配的用户名，测试环境用这个 ，生产环境待定
                        "ikey": _globalOption.adbService_key,//给h5页面分配的密码，测试环境用这个 ，生产环境待定
                        "icode": icode,//具体业务的接口代码
                        "iserial": Math.iserial(Math.uuid(64)),//流水号
                        "cinfo": {}
                    },
                    "params": params
                };
                //console.log(JSON.stringify($scope.setServiceJ));
                return $scope.setServiceJ;
            };

            //<title>标签定义
            $scope.appTitle = "";
            $scope.$on("titleName", function (event, title) {
                //console.log("parent", msg);
                $scope.appTitle = title;

                try {//原生获取H5titleName
                    native.jsChangeVCTitle($scope.appTitle);
                } catch (e) {

                }
            });



            //获取设备系统
            userAgent();

            //IOS头部调整--先注释
            if (localStorage.isAppIos == 'true' && localStorage.isWeixin == 'false') {
                var head = document.getElementsByTagName('HEAD').item(0);
                var style = document.createElement('link');
                style.href = 'css/ios.css';
                style.rel = 'stylesheet';
                style.type = 'text/css';
                head.appendChild(style);
            }

            //控制body是否overflow hidden,固定底层
            $scope.isOverflowHidden = false;
            $scope.$on("overflowHidden", function (event, data) {
                $scope.isOverflowHidden = data;
            });





            /******************************获取客户信息  begin*******************************************/

            $scope.authed = true;

            var broker = localStorage.getItem('broker_in_session');//获取当前登录用户信息
            var shareObj = {};

            //是否实名认证
            $scope.isCertification = false;
            function getUserInfo(uid) {
                //var userInfo = {};//用户信息
                //判断是否实名认证


                var params = {
                    "regId": uid,
                    "accountAmt_Flag": "Y"
                };
                adbService.getResult(
                    {},
                    $scope.setService('I110106', params),
                    function (json) {
                        if (json.header.istatus == '-99') {
                            $scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {
                            $scope.userInfo = json.data;//返回用户信息
                            if ($scope.userInfo['headPortrait'])
                            {
                                $scope.headPortrait = $scope.userInfo['headPortrait'];
                            }
                            if ($scope.userInfo && typeof $scope.userInfo['approvedLevel'] != 'undefined') {
                                //console.info("userInfo",$scope.userInfo);
                                var approvedLevel = $scope.userInfo['approvedLevel'];//实名认证状态,1-未认证,3-已认证,4-认证中,5-认证失败
                                //console.log(approvedLevel);
                                $scope.approvedLevel=approvedLevel;
                                if ($scope.approvedLevel=='3') {
                                    $scope.isCertification = true;
                                }else{
                                    $scope.isCertification = false;
                                }

                            }
                        }
                    },
                    function (err) {
                        //错误
                        //console.log(err);
                    });

            };

            /******************************获取客户信息  end*******************************************/
            /******************************获取账户信息 消息信息  begin*******************************************/
            function getWalletInfo(){
                var params = {
                    "pgType3": "1"
                };
                adbService.getResult(
                    {},
                    $scope.setService('I201010', params),
                    function (json) {
                        //console.log(json);
                        if (json.header.istatus == '-99') {
                            $scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {

                            $scope.walletInfo = json.data;//返回账户信息
                            if ($scope.walletInfo && typeof $scope.walletInfo['totalAmt'] != 'undefined') {
                                $scope.WalletTotalAmt = $scope.walletInfo['totalAmt'];//总资产

                            }
                        }
                    },
                    function (err) {
                        //错误
                        //console.log(err);
                    });

            }
            function getMessage(){

                var params = {
                    "msgCatalogs":["0","1","2"]//消息类型：0，活动 1，系统 2，通知
                };
                adbService.getResult(
                    {},
                    $scope.setService('I222011', params),
                    function (json) {
                        if (json.header.istatus == '-99') {
                            $scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {
                            $scope.messageList=json.data;
                            if($scope.messageList.length>0){
                                $scope.totalMessageNum=accAdd(accAdd($scope.messageList[0].count,$scope.messageList[1].count),$scope.messageList[2].count);
                            }

                        }
                    },
                    function (err) {
                        //错误
                        //console.log(err);
                    });

            };
            /******************************获取账户信息 消息信息  end*******************************************/

            function saveBroker() {
                $scope.brokerInfo = {};
                $scope.cacheValid = true;
                adbService.getResult(
                    {},
                    $scope.setService("I110702", {}),
                    function (json) {
                        //console.log(json);
                        if (json.header.istatus == '-99') {
                            localStorage.clear();//清除localStorage
                            var res = $scope.gotoApp('jsRefreshCookie');
                            if(!res){
                                //屏蔽浏览器非法进入
                                //location.href = "index.html#/homeNoLoginR";
                                $location.url("homeNoLoginR");
                            }
                        }
                        else if (json.header.istatus == '1') {
                            if (json.data.brokerInfo) {

                                $scope.brokerInfo = json.data.brokerInfo;
                                if (typeof json.data.cacheValid != 'undefined')$scope.cacheValid = json.data.cacheValid;
                                localStorage.setItem('broker_in_session', JSON.stringify($scope.brokerInfo));
                                localStorage.setItem('cacheValid', $scope.cacheValid);
                                broker = localStorage.getItem('broker_in_session');//获取当前登录用户信息
                            }
                        }
                    },
                    function (err) {
                    }
                );
            }

            saveBroker();

            function getShareCode()
            {
                broker = localStorage.getItem('broker_in_session');//获取当前登录用户信息
                if (broker != null && broker != 'undefined') {
                    broker = JSON.parse(broker);
                    /*var submitChlId = '';
                     if (broker.unionId) {
                     submitChlId = '6';
                     } else {
                     submitChlId = '7';
                     }*/
                    shareObj.shareId = broker.regId;
                    shareObj.shareName = broker.name;
                    shareObj.shareCode = broker.shareCode;
                }
            }
            function upDateBroker()
            {
                broker = localStorage.getItem('broker_in_session');//获取当前登录用户信息
                if (broker != null && broker != 'undefined') {
                    broker = JSON.parse(broker);
                    getUserInfo(broker.regId);//获取用户信息
                    getWalletInfo();//获取账户信息
                    getMessage();//获取消息信息
                }
            }
            getShareCode();
            upDateBroker();

            /*************************************************分享 begin********************************************************/
            $scope.isShareShow = false;
            $scope.showShareBox = function (t) {
                if(typeof shareObj.shareId == 'undefined')
                {
                    getShareCode();
                }
                var res = $scope.gotoApp('shareBox', shareObj);
                if(res) return;
                $scope.isShareShow = t;
            };

            $scope.$on('goShare', function (event, msg) {
                shareObj = msg;
            });
            //分享给朋友
            $scope.shareFriend = function () {
                shareObj.channel = "0";
                com_share_obj(shareObj);
                //com_share_noCount(shareObj.imgUrl, shareObj.shareUrl, shareObj.title, 0, shareObj.description);
            };
            //分享到朋友圈
            $scope.shareAll = function () {
                shareObj.channel = "1";
                com_share_obj(shareObj);
                //com_share_noCount(shareObj.imgUrl, shareObj.shareUrl, shareObj.title, 1, shareObj.description);
            };
            $scope.goAdd = function () {
                $scope.setBackFactory('customerAdd');
                //location.href = 'index.html#/customerAddR';
                $location.url("customerAddR");
            }
            /*************************************************分享 end*******************************************************/



            /*************************************************dialog begin*******************************************************/
            var new_dialog;
            $scope.dialogRes = function (msg) {
                var dialogTemplate = 'dialogOptRes';
                var dialogData = {foo: msg};
                var dialogClass = 'ngdialog-theme-default';
                new_dialog = ngDialog.open({
                    template: dialogTemplate,
                    data: dialogData,
                    className: dialogClass,
                    closeByDocument: false
                });
            };

            $scope.dialogConfirm = function (title, param, leftBtn, rightBtn, dialogFlag,callback) {
                //param 为确定后,传入value的值
                var dialogTemplate = 'dialogConfirm';
                var dialogData = {
                    title: title,
                    param: param,
                    leftBtn: leftBtn,
                    rightBtn: rightBtn,
                    dialogFlag: dialogFlag
                };
                var dialogClass = 'ngdialog-theme-default';
                new_dialog = ngDialog.openConfirm({
                    template: dialogTemplate,
                    data: dialogData,
                    className: dialogClass,
                    scope: $scope,
                    closeByDocument: true
                }).then(function (value) {
                    //console.log('Modal promise resolved. Value: ', value);
                    //消息页面确认删除消息的按钮通知---这只是一个例子
                    if (dialogFlag === 'event_deleteMsgData') {
                        if (value === 1) {
                            $scope.$broadcast('event_deleteMsgData', true);
                        }
                    }
                    if (dialogFlag === 'event_deleteCard') {
                        if (value === 1) {
                            $scope.$broadcast('event_deleteCard', true);
                        }
                    }
                    if (dialogFlag === 'event_deleteFillInfo') {
                        if (value === 1) {
                            setTimeout(function(){
                                $scope.$broadcast('event_deleteFillInfo', true);
                            },500);
                        }
                    }
                    if (dialogFlag === 'event_approvedLevel') {
                        if (value === 1) {
                            $scope.$broadcast('event_approvedLevel', true);
                        }
                    }
                    if (dialogFlag === 'event_approvedLevel2') {
                        callback(value);
                    }
                    //业绩模块获取任务
                    if (dialogFlag === 'getTaskFlag') {
                        if (value === 1) {
                            $scope.$broadcast('getTaskData', true);
                        }
                    }

                    //客户删除操作
                    if (dialogFlag === 'delCustomerFlag') {
                        if (value === 1) {
                            $scope.$broadcast('delCustomerFlag', true);
                        }
                    }
                    //家庭成员删除操作
                    if (dialogFlag === 'delFamilyCustomerFlag') {
                        if (value === 1) {
                            $scope.$broadcast('delFamilyCustomerFlag', true);
                        }
                    }
                    //家庭保障分析历史记录删除操作
                    if (dialogFlag === 'delAnalysisListFlag') {
                        if (value === 1) {
                            $scope.$broadcast('delAnalysisListFlag', true);
                        }
                    }
                    //保单记录删除操作
                    if (dialogFlag === 'delRecordFlag') {
                        if (value === 1) {
                            $scope.$broadcast('delRecordFlag', true);
                        }
                    }
                    //计划书删除操作
                    if (dialogFlag === 'delPlanRecordFlag') {
                        if (value === 1) {
                            $scope.$broadcast('delPlanRecordFlag', true);
                        }
                    }
                    //密码更新失败
                    if (dialogFlag === 'defeatedFlag'){
                        if (value === 1) {
                            //location.href = 'index.html#/updatePwdR/step1';
                            $location.url('updatePwdR/step1');
                        }
                    }
                    //忘记密码重置失败
                    if (dialogFlag === 'resetPasswordFailedFlag'){
                        if (value === 1) {
                            //location.href = 'index.html#/forgetPasswordR';
                            $location.url('forgetPasswordR');
                        }
                    }
                    //更换手机号成功
                    if(dialogFlag === 'MobileFlag'){
                        if (value === 1) {
                            $scope.$broadcast('MobileFlag',true);

                        }
                    }
                    //更换手机号失败
                    if(dialogFlag === 'MobileDfailFlag'){
                        if (value === 1) {
                            //location.href = 'index.html#/verifyOriginalPhoneR';
                            $location.url('verifyOriginalPhoneR');
                        }
                    }
                }, function (reason) {
                    //console.log('Modal promise rejected. Reason: ', reason);
                    //密码更新失败
                    if (dialogFlag === 'defeatedFlag') {
                        if (reason === 'button') {
                            //location.href = 'index.html#/homeR';
                            $location.url('homeR');
                        }
                    }
                    if(dialogFlag === 'MobileDfailFlag'){
                        if (reason === 'button') {
                            //location.href = 'index.html#/homeR';
                            $location.url('homeR');
                        }
                    }
                });
            };
            //拨打电话弹窗
            $scope.dialogPhone = function (param,title) {
                //param 为确定后,传入value的值
                var dialogTemplate = 'dialogPhone';
                var newTitle="";
                if(title){
                    newTitle=title;
                }else{
                    newTitle="呼叫联系人";
                }
                var dialogData = {
                    title:newTitle,
                    param: param
                };
                var dialogClass = 'ngdialog-theme-default';
                new_dialog = ngDialog.openConfirm({
                    template: dialogTemplate,
                    data: dialogData,
                    className: dialogClass,
                    closeByDocument: true,
                    scope: $scope
                }).then(function (value) {
                    if (value === 1) {
                        phone(param);
                    }
                    //拨打电话调取方法
                    function phone(date) {
                        window.location.href = 'tel:' + date;
                    }
                }, function (reason) {

                    //console.log('Modal promise rejected. Reason: ', reason);

                });
            };

            //3秒钟后跳转
            $scope.openInlineController = function (msg, gotoUrl) {
                var dialogTemplate = 'withInlineController';
                var dialogData = {foo: msg};
                var dialogClass = 'ngdialog-theme-default';
                new_dialog = ngDialog.open({
                    template: dialogTemplate,
                    data: dialogData,
                    className: dialogClass,
                    controller: ['$scope', '$timeout', function ($scope, $timeout) {
                        var counter = 4;
                        var timeout;

                        function count() {
                            $scope.exampleExternalData = --counter;
                            if (counter == 0) {
                                new_dialog.close();
                            } else {
                                timeout = $timeout(count, 1000);
                            }
                        }

                        count();
                        $scope.$on('$destroy', function () {
                            $window.location.href = gotoUrl;
                            $timeout.cancel(timeout);
                        });
                    }]
                });
            };
            //3s后消失dialog
            $scope.isTip = false;
            $scope.dialogTip = function (msg) {
                $scope.isTip = true;
                $("#isTip").show();
                $scope.error_tip = msg;
                var counter = 3;
                var timeout;

                function count() {
                    $scope.exampleExternalData = --counter;
                    if (counter == 0) {
                        $scope.isTip = false;
                        $("#isTip").hide();
                    } else {
                        timeout = $timeout(count, 1000);
                    }
                }

                count();
                $scope.$on('$destroy', function () {
                    $timeout.cancel(timeout);
                });
            };

            //点击消失弹框
            $scope.isDisappear = false;
            $scope.clickDialogTip = function (isTrue, msg) {
                $scope.isDisappear = isTrue;
                $scope.errorMsg = msg;
            };

            /*************************************************dialog end*******************************************************/




            /****************************************************页面头部跳转 begin***************************************************/

                //设置backFactory,负责头部跳转
                // toRouter-为跳转到页面的路由
                // backUrl为返回调转到的链接，如果空时，默认为本页路由
                // isLocalStorage是否存isLocalStorage
            $scope.setBackFactory = function (toRouter, backUrl) {
                var params = backFactory.getter();
                if (typeof backUrl == 'undefined' || backUrl == '') {
                    params[toRouter] = $location.url().substr(1);
                }
                else {
                    params[toRouter] = backUrl;
                }

                //console.log(params);
                backFactory.setter(params);
            };

            //获取backFactory,负责头部跳转,toRouter-为跳转到页面的路由，initVal-默认跳转
            $scope.getBackFactory = function (toRouter, initVal) {
                var backUrlObj = backFactory.getter();
                //console.log(backUrlObj);
                var backUrl = '';
                if (typeof backUrlObj[toRouter] != 'undefined' && backUrlObj[toRouter] != '') {
                    backUrl = backUrlObj[toRouter];
                }
                else {
                    var localBack = localStorage.getItem("backFactory");

                    if (typeof localBack != 'undefined' && localBack) {
                        backUrl = JSON.parse(localBack);
                        backUrl = backUrl[toRouter];
                    }
                    else {
                        backUrl = initVal;
                    }
                }
                return backUrl;
            }
            //控制loading显示隐藏
            $scope.showLoading = false;   //默认为隐藏
            $scope.loadingShow = function () {
                $scope.showLoading = !$scope.showLoading;
            }
            /****************************************************页面头部跳转 end***************************************************/


            /*******************************************菜单的滚动滑入滑出 begin*******************/

                //返回个人中心
            $scope.sideFlag = true;
            $scope.sideAnimate = function () {
                var res = $scope.gotoApp('ADBHome');
                if(!res)
                {
                    upDateBroker();
                    $scope.sideFlag = !$scope.sideFlag;

                    if($scope.sideFlag){
                        $scope.isOverflowHidden=false;
                    }else{
                        $scope.isOverflowHidden=true;
                    }
                }

            };

            //跳转到个人资料
            $scope.goUserInfoMenu = function () {

                $scope.setBackFactory('userInfo');
                $location.path("/userInfoR");
                $scope.sideFlag = true;
                $scope.isOverflowHidden=false;
            };
            //跳转到我的收藏
            $scope.goMyFavoriteMenu = function () {

                $scope.setBackFactory('myFavorite');
                $location.path("/myFavoriteR");
                $scope.sideFlag = true;
                $scope.isOverflowHidden=false;
            };
            //跳转到我的名片
            $scope.goMyCardMenu = function () {

                broker = localStorage.getItem('broker_in_session');//获取当前登录用户信息
                if(typeof $scope.approvedLevel == 'undefined')
                {
                    getUserInfo(broker.regId);
                    $scope.dialogTip('连接似乎有问题，请检查网络');
                    return;
                }

                if ($scope.approvedLevel=='3') {
                    $scope.setBackFactory('myCard');
                    $location.path("/myCardR");
                    $scope.sideFlag = true;
                    $scope.isOverflowHidden=false;
                }
                else {
                    if( $scope.approvedLevel=='1'){
                        $scope.setBackFactory('certification');
                        $location.path("/certificationR");
                        $scope.sideFlag = true;
                        $scope.isOverflowHidden=false;
                    }else{
                        $location.path("/statusVerificationR");
                        $scope.sideFlag = true;
                        $scope.isOverflowHidden=false;
                    }

                }

            };
            //跳转到我的订单
            $scope.goOrderMenu = function () {

                $scope.setBackFactory('myOrder');
                $location.path("/myOrderR");
                $scope.sideFlag = true;
                $scope.isOverflowHidden=false;
            };
            //跳转到设置
            $scope.goSetMenu = function () {
                $scope.setBackFactory('set');
                $location.path("/setR");
                $scope.sideFlag = true;
                $scope.isOverflowHidden=false;
            };
            //跳转到我的钱包
            $scope.goMyWalletMenu = function () {
                broker = localStorage.getItem('broker_in_session');//获取当前登录用户信息
                if(typeof $scope.approvedLevel == 'undefined')
                {
                    getUserInfo(broker.regId);
                    $scope.dialogTip('连接似乎有问题，请检查网络');
                    return;
                }

                if ($scope.approvedLevel=='3') {
                    $scope.setBackFactory('myWallet');
                    $location.path("/myWalletR");
                    $scope.sideFlag = true;
                    $scope.isOverflowHidden=false;
                }
                else {
                    if( $scope.approvedLevel=='1'){
                        $scope.setBackFactory('certification');
                        $location.path("/certificationR");
                        $scope.sideFlag = true;
                        $scope.isOverflowHidden=false;
                    }else{
                        $scope.setBackFactory('statusVerification');
                        $location.path("/statusVerificationR");
                        $scope.sideFlag = true;
                        $scope.isOverflowHidden=false;
                    }
                }
            };

            //跳转到圈子
            $scope.goCircleIndexMenu = function () {

                broker = localStorage.getItem('broker_in_session');//获取当前登录用户信息
                if(typeof $scope.approvedLevel == 'undefined')
                {
                    getUserInfo(broker.regId);
                    $scope.dialogTip('连接似乎有问题，请检查网络');
                    return;
                }

                if ($scope.approvedLevel=='1' ||$scope.approvedLevel=='4' ||$scope.approvedLevel=='5') {

                    $scope.setBackFactory('buildCircle');
                    $location.path("/buildCircleR");
                } else {
                    $scope.setBackFactory('circleIndex');
                    $location.path("/circleIndexR");

                }
                $scope.sideFlag = true;
                $scope.isOverflowHidden=false;
            };

            //跳转到消息
            $scope.goMessageMenu = function () {
                $scope.setBackFactory('messageActivity');
                $location.path("/messageActivityR");
                $scope.sideFlag = true;
                $scope.isOverflowHidden=false;
            };

            //跳转到产品列表
            $scope.goProductListMenu = function () {
                $scope.setBackFactory('productList');
                //location.href = "index.html#/productR/productListR?productCategory=0&salesWay=1&proprietaryFlag=Y";
                $location.url('productR/productListR?productCategory=0&salesWay=1&proprietaryFlag=Y');
            };

            //跳转到计划书
            $scope.goPlanBookListMenu = function () {
                $scope.setBackFactory('planBookList');
                $location.path("/planBookListR");
                $scope.sideFlag = true;
                $scope.isOverflowHidden=false;
            };

            //跳转到首页
            $scope.goHomeMenu = function () {
                $scope.goHome();
            };

            //跳转到首页（无滑动效果）
            $scope.goHome = function () {
                var res = $scope.gotoApp('ADBHome');
                if(!res)
                {
                    //$location.path("/homeR");
                    var res = $scope.gotoApp('ADBHome');
                    if (!res) {
                        $scope.sideFlag = true;//默认左侧菜单为隐藏
                        $scope.isOverflowHidden=false;
                        //location.href = '#/homeR';
                        $location.url('homeR');
                    }
                }
            };


            //跳转到搜索
            $scope.goSearch = function () {
                $scope.setBackFactory('search');

                $location.path("/searchR/product");
                $scope.sideFlag = true;
                $scope.isOverflowHidden=false;
            };

            //跳转家庭保障分析
            $scope.goFamilyAnalysisMenu = function () {
                $scope.setBackFactory('familyAnalysisCustomInfo');
                $location.path("/familyAnalysisCustomInfoR");
                $scope.sideFlag = true;
                $scope.isOverflowHidden=false;
            };

            //跳转到产品对比
            $scope.goProCompareListMenu = function () {
                $scope.setBackFactory('proCompareCategory');
                $location.path("/proCompareCategoryR");
                $scope.sideFlag = true;
                $scope.isOverflowHidden=false;
            };

            /*****************************************菜单的滚动滑入滑出 end***************************/



            /****************************************关联客户 start************************************/
            $scope.notCustomerShow = true;//默认非客户列表显示
            $scope.isCustomerShow = false;//默认客户列表隐藏
            $scope.customer = [];
            $scope.selectCustomer = function (t) {//t-0:投保人或者单一客户 1-被保人1 2-被保人2 3-被保人3
                $scope.customer = [];

                //点击显示客户列表
                $scope.notCustomerShow = false;
                $scope.isCustomerShow = true;
                $scope.chooseCustomer = function (id, name, birthday, age, gender, contactValue, certiCode, emailValue) {
                    //name:客户姓名；birthday：生日；age：年龄；gender：性别； contactValue：手机号；certiCode：身份证号；emailValue：邮箱地址
                    var customerInfoDetail = {};
                    $scope.customer[t] = {
                        customerId: id,
                        name: name,//姓名
                        birthday: birthday,//生日
                        gender: gender || "",//性别
                        contactValue: contactValue || "",//手机号
                        certiType: certiCode ? "1" : "",//证件类型
                        certiCode: certiCode || "",//身份证
                        emailValue: emailValue || "",//邮箱地址
                        age: age//年龄
                    };
                    $scope.isCustomerShow = false;//客户列表隐藏
                    $scope.notCustomerShow = true;//非客户列表显示


                    customerInfoDetail = $scope.customer;
                    $scope.$broadcast("customerInfo", customerInfoDetail)
                    $scope.$broadcast("customerInfos", {"customerInfos": customerInfoDetail, "sequence": t})
                };
                $scope.customerBack = function () {
                    $scope.isCustomerShow = false;//客户列表隐藏
                    $scope.notCustomerShow = true;//非客户列表显示
                }
            };

            /****************************************关联客户 end*************************************/




            /*******************************************收藏 begin*************************************************/
            $scope.getFavorite = function (favoriteArr) {
                //获取是否收藏,type:模块来源,id:产品id或者文章id
                $scope.favoriteArr = favoriteArr;
                //console.log(favoriteArr);
                $scope.favoriteImg = 'images/unStar.png';
                $scope.isFavorite = false;
                if ($scope.favoriteArr['type'] && $scope.favoriteArr['id']) {
                    var params = {
                        "objectType": $scope.favoriteArr['type'],
                        "objectId": $scope.favoriteArr['id']
                    };
                    adbService.getResult(
                        {},
                        $scope.setService('I223013', params),
                        function (json) {
                            if (json.header.istatus == '-99'){
                                $scope.gotoApp('jsRefreshCookie');
                            }
                            else if (json.header.istatus == '1') {
                                if (json.data['favoriteStatus'])//true-已收藏
                                {
                                    $scope.favoriteImg = 'images/star.png';
                                    $scope.isFavorite = true;
                                    $scope.favoriteArr['favoriteId'] = json.data['favoriteId'];
                                }
                            }
                        },
                        function (err) {
                            //错误
                            //console.log(err);
                        });
                }
            }

            $scope.setFavorite = function () {
                //设置/取消收藏,type-A.文章 P.产品 B.书 ,id-文章ID、产品ID、书ID,title-文章标题、产品名称、书名
                var params = {};
                if ($scope.isFavorite) {
                    //取消收藏操作

                    params = {
                        "favoriteId": $scope.favoriteArr['favoriteId']
                    }
                    adbService.getResult(
                        {},
                        $scope.setService('I223011', params),
                        function (json) {
                            //console.log(json)
                            if (json.header.istatus == '-99'){
                                $scope.gotoApp('jsRefreshCookie');
                            }
                            else if (json.header.istatus == '1') {
                                $scope.favoriteImg = 'images/unStar.png';
                                $scope.isFavorite = false;
                                $scope.dialogTip(json.header.imsg);
                            }
                        },
                        function (err) {
                            //错误
                            //console.log(err);
                        });
                }
                else {
                    //设置收藏操作
                    params = {
                        "objectType": $scope.favoriteArr['type'],
                        "objectId": $scope.favoriteArr['id'],
                        "objectTitle": $scope.favoriteArr['title']
                    }
                    adbService.getResult(
                        {},
                        $scope.setService('I223010', params),
                        function (json) {
                            //console.log(json)
                            if (json.header.istatus == '-99'){
                                $scope.gotoApp('jsRefreshCookie');
                            }
                            else if (json.header.istatus == '1') {
                                $scope.favoriteImg = 'images/star.png';
                                $scope.isFavorite = true;
                                $scope.favoriteArr['favoriteId'] = json.data['favoriteId'];
                                $scope.dialogTip("收藏成功");
                            }
                        },
                        function (err) {
                            //错误
                            //console.log(err);
                        });
                }
            }

            /*******************************************收藏 end*************************************************/


            /********************************************推荐产品begin******************************************/
            $scope.getRecommendProd = function () {
                saveBroker();
                //获取推荐产品
                var params = {
                    "pageNum": "1",
                    "pageSize": "4",//查询四条数据
                    "source": "01",
                    "sortType": "1",
                    "recommend": "Y",
                    "promotion": "Y",
                    "searchItem": {
                        "isShow": "Y"
                    }
                };
                adbService.getResult(
                    {},
                    $scope.setService('I181010', params),
                    function (json) {
                        //console.log(json)
                        if (json.header.istatus == '-99'){
                            $scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {
                            $scope.recommendProArr = json.data.productList;
                        }
                    },
                    function (err) {
                        //错误
                        //console.log(err);
                    });
            };
            $scope.cardList = function () {
                $scope.gotoApp('ADBMakeMoney');
            };
            /********************************************推荐产品end*******************************************/


            $scope.isCertificationFun = function(titleMsg){
                /*****************************判断是否认证 begin***************************************************************/
                var approvedLevel = '';//认证级别
                if($scope.authed){
                    var brokerInfo = localStorage.getItem('broker_in_session');
                    if (brokerInfo)
                    {
                        brokerInfo = JSON.parse(brokerInfo);
                        if(brokerInfo && typeof brokerInfo['approvedLevel'] != 'undefined'){
                            approvedLevel = brokerInfo['approvedLevel'];
                        }
                    }
                    else{
                        //提示用户去登陆
                        var res = $scope.gotoApp('jsRefreshCookie');
                        if(res)
                        {
                            $scope.dialogRes('请您重新登录后，再进行分享操作');
                        }
                        else{
                            $scope.openInlineController('请您重新登录后，再进行分享操作', 'index.html#/loginR');
                        }
                        return false;
                    }
                }
                if(approvedLevel != '2' && approvedLevel != '3'){//只有2、3时方可分享，否则都不可分享
                    //查看当前用户状态
                    var params = {
                        "regId": brokerInfo['regId'],
                        "accountAmt_Flag": "Y"
                    };
                    var activeNum = '0';//阻止重复调用原生方法
                    if (localStorage.isApp == 'true') {
                        approvedLevel=native.jsIsApprovedLevelNative();
                        $scope.approvedLevel=approvedLevel;
                        if ($scope.approvedLevel=='3') {
                            $scope.isCertification = true;
                        }else{
                            $scope.isCertification = false;
                        }
                        if(approvedLevel != '2' && approvedLevel != '3')
                        {
                            var title = '';
                            var btMsg = '';
                            var dialogConfirmStatus = false;
                            if (approvedLevel == '4') {
                                title = '您提交的资料正在审核中，请耐心等待，如有问题可联系我们的客服人员';//审核中
                                btMsg = '去看看';
                                dialogConfirmStatus = true;
                            }
                            else if (approvedLevel == '5') {
                                title = '您提交的资料审核未通过，快去修改一下吧';//审核失败
                                btMsg = '去看看';
                                dialogConfirmStatus = true;
                            }
                            else{
                                title = titleMsg;//未认证
                                btMsg = '去认证';
                                dialogConfirmStatus = true;
                            }

                            activeNum = '1';//阻止重复调用原生方法
                            if(dialogConfirmStatus){
                                $scope.dialogConfirm("", title, "取消", btMsg, "event_approvedLevel2",function(n){
                                    setTimeout(function(){
                                        var res = $scope.gotoApp('ADBRealInfoAuth');//跳转原生认证页面
                                        if(!res)
                                        {
                                            //跳转微信认证页面
                                            if (approvedLevel == '4' || approvedLevel == '5'){
                                                $scope.setBackFactory('statusVerification');
                                                $location.path("/statusVerificationR");
                                            }
                                            else{
                                                $scope.setBackFactory('certification');
                                                $location.path("/certificationR");
                                            }
                                        }
                                    },500);
                                });
                            }
                            return false;
                        }
                        else{
                            return true;
                        }
                    }
                    else{
                        var dataJson = $scope.setService('I110106', params);
                        $.ajax({
                            method:"post",
                            url: '/adbapi',
                            data:dataJson,
                            cache: false,
                            async: false,
                            dataType: 'json',
                            success: function (json) {
                                if (json.header.istatus == '-99') {
                                    $scope.gotoApp('jsRefreshCookie');
                                }
                                else if (json.header.istatus == '1') {
                                    $scope.userInfo = json.data;//返回用户信息
                                    if ($scope.userInfo && typeof $scope.userInfo['approvedLevel'] != 'undefined') {
                                        //console.info("userInfo",$scope.userInfo);
                                        approvedLevel = $scope.userInfo['approvedLevel'];//实名认证状态,1-未认证,3-已认证,4-认证中,5-认证失败
                                        //console.log("-----------------",approvedLevel);
                                        $scope.approvedLevel=approvedLevel;
                                    }
                                }
                            },
                            error: function (err) {
                            }
                        });
                        if ($scope.approvedLevel=='3') {
                            $scope.isCertification = true;
                        }else{
                            $scope.isCertification = false;
                        }
                        if(approvedLevel != '2' && approvedLevel != '3')
                        {
                            var title = '';
                            var btMsg = '';
                            var dialogConfirmStatus = false;
                            if (approvedLevel == '4') {
                                title = '您提交的资料正在审核中，请耐心等待，如有问题可联系我们的客服人员';//审核中
                                btMsg = '去看看';
                                dialogConfirmStatus = true;
                            }
                            else if (approvedLevel == '5') {
                                title = '您提交的资料审核未通过，快去修改一下吧';//审核失败
                                btMsg = '去看看';
                                dialogConfirmStatus = true;
                            }
                            else{
                                title = titleMsg;//未认证
                                btMsg = '去认证';
                                dialogConfirmStatus = true;
                            }


                            var activeNum = '1';//阻止重复调用原生方法
                            if(dialogConfirmStatus){
                                $scope.dialogConfirm("", title, "取消", btMsg, "event_approvedLevel2",function(n){
                                    setTimeout(function(){
                                        var res = $scope.gotoApp('ADBRealInfoAuth');//跳转原生认证页面
                                        if(!res)
                                        {
                                            //跳转微信认证页面
                                            if (approvedLevel == '4' || approvedLevel == '5'){
                                                $scope.setBackFactory('statusVerification');
                                                $location.path("/statusVerificationR");
                                            }
                                            else{
                                                $scope.setBackFactory('certification');
                                                $location.path("/certificationR");
                                            }
                                        }
                                    },500);
                                });
                            }
                            //$scope.$emit('event_shareStatus', false);
                            return false;
                        }
                        //$scope.$emit('event_shareStatus', true);
                        return true;
                    }
                }else {
                    //$scope.$emit('event_shareStatus', true);
                    return true;
                }
                /*****************************判断是否认证 end***************************************************************/
            }

            $scope.gotoMorePro = function()
            {
                //跳转更多产品
                var res = $scope.gotoApp('ADBMakeMoney');
                if(!res)
                {
                    $location.url("/productR/productListR?productCategory=0&salesWay=1&proprietaryFlag=Y")
                }
            }



            /****************************************************与原生的跳转 begin**********************************************/
            $scope.gotoApp = function (type, obj) {

                try {
                    switch (type) {
                        case "ADBHome":
                            native.jsCallNativeView('ADBHome', '');//跳转APP的首页
                            return true;
                            break;
                        case "ADBRealInfoAuth":
                            native.jsCallNativeView('ADBRealInfoAuth', '');//跳转APP的认证页
                            return true;
                            break;
                        case "ADBProtectAnalyHis":
                            native.jsCallNativeView('ADBProtectAnalyHis', '');//跳转家庭保障分析历史纪录页
                            return true;
                            break;
                        case "PopNative":
                            if (typeof obj == 'undefined') obj = '';
                            native.jsPopNativeVC(obj);//跳转APP的进入页
                            return true;
                            break;
                        case "shareBox":
                            native.jsShareTypeTitleContentThumbImageBigImage('ADBContentMediaTypeNews', obj.title, obj.description, obj.imgUrl, obj.shareUrl);//跳转APP的首页
                            return true;
                            break;


                        /*case "ADBAchievementController":
                         native.jsCallNativeView('ADBAchievementController','');//跳转业绩首页
                         return true;

                         break;*/
                        case "ADBMakeMoney":
                            native.jsCallNativeView('ADBMakeMoney', '');//跳去赚钱首页
                            return true;
                            break;
                        case 'selectTime':
                            native.jsCallCalenderView();
                            return true;
                        case 'jsRefreshCookie':
                            native.jsRefreshCookie();
                            return true;
                        case 'jsNetIsConnected':
                            return native.jsNetIsConnected();
                        case 'jsPaySuccess':
                            native.jsPaySuccess();
                            return true;
                        default:
                            native.jsCallNativeView('ADBHome', '');//跳转APP的首页
                            return true;
                    }


                } catch (e) {
                }

                return false;
            }
            $scope.isNativeApp = function () {
                try {
                    return native.jsCheckNative();
                } catch (e) {
                }

                return false;
            }
            $scope.eventAttributes = function(eventName,eventParam){
                //App埋点,eventName-参数事件ID,eventParam-附带参数 key-value json,eg:('login','')
                if(typeof eventName == 'undefined' || !eventName) return;//第一个参数必填
                if(typeof eventParam == 'undefined') eventParam = '';//第二个参数可以为空
                try {
                    return native.jsEventAttributes(eventName,eventParam) ;
                } catch (e) {
                }
                return false;
            }
            /****************************************************与原生的跳转 end**********************************************/



            /******************************************页面转场及网络超时 begin******************************************************************/
            $scope.isScreenChange = false;
            $rootScope.loactionEnabled = true;//网络状态检测:true-良好，false-不好


            $rootScope.$on('$stateChangeStart', function (event, toState, toParams, fromState, fromParams) {
                //监听路由变化
                //console.log('$stateChangeStart');
                //console.log(toState);
                /*************判断网络超时 begin*****************************/
                //console.log(sessionStorage.getItem(toState.url))
                /*broker = localStorage.getItem('broker_in_session');//获取当前登录用户信息
                 if(!broker)
                 {
                 if(toState.url!=="/loginR")
                 {
                 event.preventDefault();
                 $location.path("/loginR");
                 }
                 }*/
				 
				 if(toState.url=="/homeR")
                 {
					$scope.gotoApp("ADBHome");	 
                 }
				 

                if($rootScope.loactionEnabled)
                {
                    $scope.isScreenChange = true;
                }
                else if(sessionStorage.getItem(toState.url))
                {
                    //已有缓存
                }
                else{

                    $scope.dialogTip('连接似乎有问题，请检查网络');
                    $scope.isScreenChange = false;
                    if(!$scope.isNativeApp())
                    {
                        event.preventDefault();
                    }
                }
                //alert(navigator.onLine);
                /*************判断网络超时 end*****************************/

            });
            $rootScope.$on('$stateChangeSuccess',function(event, toState, toParams, fromState, fromParams){
                //console.log('$stateChangeSuccess');
                //$scope.isScreenChange = false;
            })

            $rootScope.$on('$stateChangeError',function(event, toState, toParams, fromState, fromParams,error){
                //console.log('$stateChangeSuccess');
                //console.log(error);
                $scope.isScreenChange = false;
                $scope.dialogTip('连接似乎有问题，请检查网络');
            })

            $rootScope.$on('$viewContentLoaded',function(event,toState){
                //console.log('$viewContentLoaded');
                //console.log(toState);
                if(toState == '@' || toState == '@adb' || toState == '@productR' || toState == '@planBook')//判断渲染完毕后
                {
                    $scope.isScreenChange = false;
                    sessionStorage.setItem($state.current.url,true);
                }
                
                if(navigator.userAgent.indexOf('MicroMessenger') > -1)
                {
                    //微信页面隐藏头部
                    $('#adbTop').hide();
                    $('.view_pt').css({"padding-top":0});
                }

                //sessionStorage.setItem()
            })

            $scope.setScreenChange = function(val)
            {
                $scope.isScreenChange = val;
            }
            /*******************************************************判断网络超时 begin************************************/
            /*var timeOutInfo = 500;
             var timeEnabled = 5000;
             var timeInterval = 1000;*/
            function myTimeout() {
                /*$.ajax({
                 url: "js/a.js?rand="+(new Date()).valueOf(),
                 timeout:timeOutInfo,
                 success: function (data) {
                 if(timeOutInfo != 100){
                 console.log("网不好");
                 if(timeOutInfo > timeEnabled){
                 $rootScope.loactionEnabled = false;
                 }
                 else {
                 $rootScope.loactionEnabled = true;
                 }
                 console.log("timeEnabled:"+timeEnabled);
                 console.log("timeOutInfo:"+timeOutInfo);
                 console.log("loactionEnabled:"+$rootScope.loactionEnabled);
                 if(timeOutInfo-timeInterval>100)timeOutInfo -= 500;
                 else timeOutInfo = 100;
                 }
                 else{
                 //console.log("网好");
                 $rootScope.loactionEnabled = true;
                 }

                 },
                 error: function (XMLHttpRequest, textStatus,err) {
                 console.log("网断了");
                 timeOutInfo = 6000;
                 $rootScope.loactionEnabled = false;
                 }
                 });*/
                //console.log($rootScope.loactionEnabled);
                //console.log(window.location.hostname);
                if(navigator.onLine)
                {
                    $rootScope.loactionEnabled = true;

                    var xhr = new ( window.ActiveXObject || XMLHttpRequest )( "Microsoft.XMLHTTP" );
                    var status;
                    //var url = $location.host()+ ":"+$location.port()+ "/adb/js/app.js?rand=" + Math.floor((1 + Math.random()) * 0x10000);
                    var url = $location.host()+ ":"+$location.port()+ "/adb/js/app.js";
                    //console.log(url);

                    try {
                        xhr.open( "HEAD", "//" + url, false );
                        xhr.send();
                        //console.log(xhr.status);
                        $rootScope.loactionEnabled = xhr.status >= 200 && xhr.status < 300 || xhr.status === 304
                        //return ( xhr.status >= 200 && xhr.status < 300 || xhr.status === 304 );
                    } catch (error) {
                        $rootScope.loactionEnabled = false;
                        //return false;
                    }
                }
                else{
                    $rootScope.loactionEnabled = false;
                }
                if(!$scope.isNativeApp()) {
                    $timeout(myTimeout, 3000);
                }
            }


            //myTimeout();

            /*******************************************************判断网络超时 end************************************/

            /******************************************页面转场及网络超时 end******************************************************************/

            /*******************************************触发按钮检查网络 begin******************************************/
            function checkInternat()//检查网络
            {
                var res = false;
                var brokerInfo = localStorage.getItem('broker_in_session');
                var dataJson = '';
                if (brokerInfo) {
                    brokerInfo = JSON.parse(brokerInfo);
                    var params = {
                        "regId": brokerInfo['regId'],
                        "accountAmt_Flag": "Y"
                    }
                    dataJson = $scope.setService('I110106', params);
                    $.ajax({
                        type:"post",
                        method: "POST",
                        url: '/adbapi',
                        dataType: "json",
                        cache: false,
                        async: false,
                        data: dataJson,
                        success: function (json) {
                            res = true;
                        },
                        error: function (err) {

                        }
                    });
                }
                return res;
            }

            $scope.isNetConnectedFun = function(){//判断网络链接，true-链接,false-未链接
                if($scope.isNativeApp()) {
                    //app原生模式下
                    return $scope.gotoApp('jsNetIsConnected');
                }
                else{
                    return checkInternat();
                }
            }
            /*********************************************触发按钮检查网络 end********************************/


        }]);

    }]);
    app.config(['$stateProvider', '$urlRouterProvider', '$uiViewScrollProvider', function ($stateProvider, $urlRouterProvider, $uiViewScrollProvider) {
        //用于改变state时跳至顶部
        $uiViewScrollProvider.useAnchorScroll();
        // 默认进入先重定向
        $urlRouterProvider.otherwise('/homeR');
        $stateProvider
            .state("adb", {
                url: "/",
                abstract: true, // 抽象状态，不会对应到url上

                views: {
                    // 无名 view
                    '': {
                        templateUrl: 'module/common/views/app.html',
                        controller: 'adbCtrl',
                        resolve: {
                            loadCtrl: ["$q", function ($q) {
                                var deferred = $q.defer();
                                //异步加载controller／directive/filter/service
                                require([
                                    'module/common/js/controller'
                                ], function () {
                                    deferred.resolve();
                                });
                                return deferred.promise;
                            }]
                        }
                    },
                    // for "ui-view='adbTop'"
                    'adbTop@adb': {
                        templateUrl: 'module/common/views/adbTop.html'

                    },
                    // for "ui-view='dialog'"
                    'dialog@adb': {
                        templateUrl: 'module/common/views/dialog.html'
                    },
                    //for "ui-view=loading"
                    'loading@adb': {
                        templateUrl: 'module/common/views/loading.html'
                    }
                }
            })
            //首页模块
            .state("homeNoLoginR", homeNoLoginRouter)//首页(未登录)
            .state("homeR", homeRouter)//首页（登录后）
            .state("downloadR", downloadRouter)//APP下载引导页

            //微信中打开下载页
            .state("wxDownloadR", wxDownloadRouter)

            //登录注册模块
            .state("registerR", registerRouter)//注册
            .state("registerProtocolR", registerProtocolRouter)//注册协议
            .state("loginR", loginRouter)//登录
            .state("forgetPasswordR", forgetPasswordRouter)//忘记密码
            .state("resetPasswordR", resetPasswordRouter)//重置密码
            .state("wxBindR", wxBindRouter)//注册

            //个人中心模块
            .state("userCenterR", userCenterRouter)//个人中心
            .state("adb.userInfoR", userInfoRouter)//完善资料
            //.state("adb.cropPictureR",cropPictureRouter)//完善资料-裁切头像
            .state("adb.editNameR", editNameRouter)//完善资料-修改姓名
            .state("adb.certificationR", certificationRouter)//实名认证
            .state("adb.statusVerificationResR", statusVerificationResRouter)//实名认证结果
            .state("adb.statusVerificationR", statusVerificationRouter)//身份审核
            .state("adb.myAddressR", myAddressRouter)//我的地址
            .state("adb.verifyOriginalPhoneR", verifyOriginalPhoneRouter)//验证原手机
            .state("adb.verifyNewPhoneR", verifyNewPhoneRouter)//验证更换手机

            .state("adb.myCardR", myCardRouter)//我的名片
            .state("adb.cardPreviewR", cardPreviewRouter)//名片预览
            .state("adb.companyListR", companyListRouter)//选择保险公司
            .state("adb.companyAllListRcompanyAllListR", companyAllListRouter)//保险公司列表
            .state("adb.myJobR", myJobRouter)//我的职位

            .state("adb.myOrderR", myOrderRouter)//我的订单
            .state("adb.productOrderDetailR", productOrderDetailRouter)//产品订单详情
            .state("adb.productOrderLineDownR", productOrderLineDownRouter) //线下产品订单详情

            //线下产品订单详情页面
            .state("adb.productOrderOfflineR", productOrderOfflineRouter)
            .state("adb.productElectronicPolicyR", productElectronicPolicyRouter) //线下产品查看电子保单

            .state("adb.carOrderDetailR", carOrderDetailRouter)//车险订单详情

            .state("adb.myFavoriteR", myFavoriteRouter)//我的收藏产品
            .state("adb.myFavoriteArticleR", myFavoriteArticleRouter)//我的收藏产品

            .state("adb.setR", setRouter)//设置
            .state("adb.aboutUsR", aboutUsRouter)//设置-关于我们
            .state("adb.contactUsR", contactUsRouter)//设置-联系我们
            .state("functionIntroduceR", functionIntroduceRouter)//设置-功能介绍
            .state("adb.updatedVersionR", updatedVersionRouter)//设置-更新版本
            .state("adb.updatePwdR", updatePwdRouter)//设置-修改登录密码
            .state("adb.specialPowerR", specialPowerRouter)//特权

            .state("claimsServiceR", claimsServiceRouter)//理赔服务
            .state("adb.claimsCompanyR", claimsCompanyRouter)//理赔资料-选择保险公司
            .state("claimsInfoR", claimsInfoRouter)//理赔资料

            //展业入口
            .state("adb.exhibitionR", exhibitionRouter)//展业入口

            //家庭保障分析模块
            .state("familyAnalysisListR", familyAnalysisListRouter)//家庭保障分析列表页
            .state("familyAnalysisCustomInfoR", familyAnalysisCustomInfoRouter)//家庭保障分析-客户信息
            .state("familyAnalysisAddMemberR", familyAnalysisAddMemberRouter)//家庭保障分析-添加家庭成员
            .state("familyAnalysisEditMemberR", familyAnalysisEditMemberRouter)//家庭保障分析-编辑家庭成员
            .state("familyAnalysisInfoR", familyAnalysisInfoRouter)//家庭保障分析信息
            .state("familyAnalysisInputR", familyAnalysisInputRouter)//家庭保障分析-增加保障、编辑保障
            .state("familyAnalysisResultR", familyAnalysisResultRouter)//家庭保障分析结果页
            //.state("adb.familyAnalysisShareR",familyAnalysisShareRouter)//家庭保障分析分享页

            //提升模块
            .state("adb.promoteR", promoteRouter)//提升-首页
            .state("adb.promoteBooksR", promoteBooksRouter)//提升-书籍首页
            .state("booksPreviewR", booksPreviewRouter)//提升-书籍预览
            .state("adb.promoteArticleR", promoteArticleRouter)//提升-文章首页
            .state("articlePreviewR", articlePreviewRouter)//提升-文章预览
            .state("adb.publishArticleR", publishArticleRouter)//提升-文章发布-暂时不同
            .state("adb.publishNoArticleR", publishNoArticleRouter)//提升-尽请期待宣传页

            //计划书模块
            .state("planBook", planBookRouter) //计划书列表页
            .state("planBook.planBookListR", planBookListRouter) //计划书列表页
            .state("planBook.planBookMyRecordR", planBookMyRecordRouter) //计划书记录
            .state("planBook.planBookDemonstrationR", planBookDemonstrationRouter) //计划书保险计划
            .state("planBook.planBookResultR", planBookResultRouter) //计划书保险计划
            /*.state("planBookAddMainR",planBookAddMainRouter) //计划书添加主险
             .state("planBookResultR",planBookResultRouter) //计划书演示结果页面
             .state("planBookClauseR",planBookClauseRouter) //计划书条款注解*/

            //产品对比模块
            .state("adb.proCompareCategoryR", proCompareCategoryRouter) //产品对比类别
            .state("adb.proCompareListR", proCompareListRouter) //产品对比列表
            .state("adb.proCompareResultR", proCompareResultRouter) //产品对比结果
            .state("adb.proCompareShareR", proCompareShareRouter) //产品对比分享

            //去赚钱首页模块
            .state("productR.makeMoneyR", makeMoneyRouter)//去赚钱页面

            //产品模块
            .state("productR", productRouter)//产品列表页面
            .state("productR.productListR", productListRouter)//产品列表页面
            .state("productR.productDetailOnlineR", productDetailOnlineRouter) //线上产品详情
            .state("productR.productDetailOfflineR", productDetailOfflineRouter)//线下产品详情
            .state("productR.productFillInfoR", productFillInfoRouter)//产品信息填写
            .state("productR.productFillInfoCarR", productFillInfoCarRouter)//产品信息填写
            .state("productR.productFillInfoManyR", productFillInfoManyRouter)//多被保人信息填写

            //产品模块填单页新路由
            .state("productR.productFillMessageR", productFillMessageRouter)//信息填写
            //线下产品模块投保新增路由
            .state("productR.productFillInfoOfflineR", productFillInfoOfflineRouter)
            .state("productR.productPayResultOfflineR", productPayResultOfflineRouter)//线下产品支付结果展示
            .state("productR.productAdditionalInfoR", productAdditionalInfoRouter)//线下产品附加险信息展示

            .state("productR.productInsureClauseR", productInsureClauseRouter)//产品条款
            .state("productR.productInsureNoticeR", productInsureNoticeRouter)//产品须知
            .state("productR.productHealthNoticeR", productHealthNoticeRouter)//产品健康告知
            .state("productR.productPayResultR", productPayResultRouter)//支付结果展示

            //大额支付新建路由
            .state("productR.productLargePayR", productLargePayRouter)//大额支付新建路由

            //车险模块
            //车险投保流程
            .state("adb.autoInquiriesR", autoInquiriesRouter)//车险询价
            .state("adb.autoOwnerInfoR", autoOwnerInfoRouter)//车主信息
            .state("adb.autoVehicleInfoR", autoVehicleInfoRouter)//车辆信息
            .state("adb.autoSelectModelR", autoSelectModelRouter)//选择车型
            .state("adb.autoInsurancePlanR", autoInsurancePlanRouter)//投保方案
            .state("adb.selectCompanyR", autoSelectCompanyRouter)//投保方案-选择保险公司
            .state("adb.autoSubmitOkR", autoSubmitOkRouter)//投保方案-信息提交成功

            //车险服务
            .state("adb.autoInquirySheetR", autoInquirySheetRouter)//询价单
            .state("adb.autoOfferListR", autoOfferListRouter)//报价列表
            .state("adb.autoDetailOfferR", autoDetailOfferRouter)//详细报价
            .state("adb.autoFillOrderR", autoFillOrderRouter)//填写订单
            .state("adb.autoPoliciesR", autoPoliciesRouter) //车险订单列表
            .state("adb.autoPolicyDetailR", autoPolicyDetailRouter) //投保单详情
            .state("adb.autoUploadR", autoUploadRouter) //上传资料
            .state("adb.autoMessageR", autoMessageRouter) //保险告知单

            //钱包
            .state("adb.myWalletR", myWalletRouter)//钱包首页
            .state("adb.withdrawDepositR", withdrawDepositRouter)//提现
            .state("adb.withdrawConfirmR", withdrawConfirmRouter)//确认提现
            .state("adb.myBankCardR", myBankCardRouter)//我的银行卡
            .state("adb.addBankCardR", addBankCardRouter) //添加银行卡
            .state("transDetailR", transDetailRouter) //交易明细
            .state("adb.transPassR", transPassRouter) //交易密码
            .state("adb.transPassSetR", transPassSetRouter) //设置交易密码
            .state("adb.transPassEditR", transPassEditRouter) //修改交易密码
            .state("adb.transPassForgetR", transPassForgetRouter) //忘记交易密码
            .state("adb.transPassNewR", transPassNewRouter) //设置新交易密码
            .state("adb.payStateR", payStateRouter) //支付协议
            .state("adb.cardTypeListR", cardTypeListRouter) //储蓄卡列表
            .state("adb.withdrawFeeR", withdrawFeeRouter) //提现费率介绍


            //店铺模块
            .state("shopIndexR", shopIndexRouter)//店铺首页
            .state("adb.shopSetTemplateR", shopSetTemplateRouter)//店铺设置模板
            .state("shopPreviewR", shopPreviewRouter)//店铺预览
            .state("adb.shopEditR", shopEditRouter)//店铺信息编辑
            .state("adb.shopEditTypeR", shopEditTypeRouter)//店铺编辑-各个项编辑修改
            .state("adb.shopManageR", shopManageRouter)//店铺管理列表
            .state("adb.shopAddProductR", shopAddProductRouter)//店铺管理-添加产品
            .state("adb.shopShareR", shopShareRouter)//微信里面看到的店铺首页
            .state("shopListR", shopListRouter)//微信里面看到的店铺列表
            .state("adb.ContactSellerR", ContactSellerRouter) //联系卖家
            //圈子模块
            .state("adb.circleIndexR", circleIndexRouter) //圈子首页
            .state("circleAllowanceR", circleAllowanceRouter) //圈子收益
            .state("adb.circleUserListR", circleUserRouter) //圈子人员明细
            .state("adb.teamAllowanceR", teamAllowanceRouter) //团队收益明细
            .state("adb.teamUserListR", teamUserListRouter) //团队人员明细
            .state("adb.investorR", investorRouter) //投资合伙人
            .state("adb.investorAllowanceR", investorAllowanceRouter) //收益明细
            .state("adb.investorUserListR", investorUserListRouter) //收益明细
            .state("adb.buildCircleR", buildCircleRouter) //建立圈子
            .state("adb.inviteFriendR", inviteFriendRouter) //邀请好友页面
            .state("wechatRegisterGuideR", wechatRegisterGuideRouter) //邀请注册引导页
            .state("wechatRegisterR", wechatRegisterRouter) //邀请注册页面
            //.state("registerSuccessfulR", registerSuccessfulRouter) //注册成功

            //业绩模块
            .state("adb.performanceR", performanceRouter)//我的业绩页面
            .state("adb.getTaskR", getTaskRouter)//我的业绩-领取任务
            .state("taskRuleR", taskRuleRouter)//我的业绩-任务规则
            .state("adb.promotionExpensesR", promotionExpensesRouter)//我的业绩-推广费明细
            .state("adb.promotionByPersonalR", promotionByPersonalRouter)//我的业绩-本月个人推广奖励
            .state("adb.performanceDetailR", performanceDetailRouter)//我的业绩-业绩实现情况
            .state("adb.performanceDetailAllR", performanceDetailAllRouter)//我的业绩-业绩实现情况


            //客户模块
            .state("adb.customerIndexR", customerIndexRouter)//客户首页
            .state("adb.customerDetailR", customerDetailRouter)//客户资料页
            .state("adb.customerAddR", customerAddRouter)//客户添加页
            .state("adb.customerBirthdayRemindR", customerBirthdayRemindRouter)//客户生日提醒页
            .state("adb.customerInsuranceRemindR", customerInsuranceRemindRouter)//客户生日提醒页
            .state("adb.customerInsuranceRemindDetailR", customerInsuranceRemindDetailRouter)//客户保单日提醒页
            .state("adb.customerPortrayalR", customerPortrayalRouter)//客户画像页
            .state("adb.customerSendGiftR", customerSendGiftRouter)//客户送祝福页
            .state("adb.customerEditR", customerEditRouter)//客户资料编辑页
            .state("adb.customerRelationsListR", customerRelationsListRouter)//客户家庭关系列表
            .state("adb.customerCardInfoR", customerCardInfoRouter)//客户车辆信息
            .state("adb.customerRelationEditR", customerRelationEditRouter)//客户家庭关系编辑
            .state("adb.customerRelationAddR", customerRelationAddRouter)//客户家庭关系添加
            .state("adb.customerInsuranceAddR", customerInsuranceAddRouter)//客户保单添加
            .state("adb.customerInsuranceDetailR", customerInsuranceDetailRouter)//客户保单详情
            .state("adb.carInsuranceDetailR", carInsuranceDetailRouter)//车险保单详情
            .state("adb.manuallyInsuranceDetailR", manuallyInsuranceDetailRouter)//手工录入保单详情
            .state("adb.photoInsuranceDetailR", photoInsuranceDetailRouter)//拍照扫描保单详情
            .state("adb.pictureInfoR", pictureInfoRouter)//拍照扫描保单影像资料
            .state("templateR", templateRouter)//分享模板页

            //消息模块
            .state("messageActivityR", messageActivityRouter)//消息主页-活动
            //.state("adb.messageDetailR", messageDetailRouter)//活动详情
            .state("messageSystemR", messageSystemRouter)//消息主页-系统
            .state("messageNoticeR", messageNoticeRouter)//消息主页-通知

            //搜索
            .state("adb.searchR", searchRouter)//消息主页-活动
            //.state("demoR", demoRouter)//demo示例

            //评论
            .state("adb.publishCommentR", publishByProRouter)//产品发布评论
            .state("adb.proCommentListR", proCommentListRouter)//产品评论列表
            .state("publishCommentR", publishCommentRouter)//文章\书籍发布评论
            .state("adb.commentListR", commentListRouter)//文章\书籍评论列表

            //版本更新
            .state("versionsUpdateR", versionsUpdateRouter)

            //活动模块
            //.state("backToSchoolR", backToSchoolRouter)//开学季
            //.state("hegemonyR", hegemonyRouter)//群雄争霸
            //.state("hegemonyRankR", hegemonyRankRouter)//群雄争霸排行榜
            //.state("hundredRegimentsR", hundredRegimentsRouter)//百团大战
            //.state("hundredRegimentsRankR", hundredRegimentsRankRouter)//百团大战排行榜
            //.state("midAutumnR", midAutumnRouter)//中秋节活动
            //.state("nationalDayR", nationalDayRouter)//2016十一国庆活动
            //.state("redEnvelopeR", redEnvelopeRouter)//滴滴红包活动
            //.state("redEnvelopeDetailR", redEnvelopeDetailRouter)//滴滴红包活动
            .state("harvestSeasonR", harvestSeasonRouter)//金秋收获季活动——暖冬出游
            .state("wheelSurfR", wheelSurfRouter)//转盘抽奖活动——改感恩活动预约
            .state("wheelSurfDownloadR", wheelSurfDownloadRouter)//转盘抽奖活动的下载页
            .state("doubleElevenR", doubleElevenRouter)//双十一活动-活动页
            .state("doubleElevenGetR", doubleElevenGetRouter)//双十一活动-领取页
            .state("sendLetterR", sendLetterRouter)//致爱多保的一封信
            .state("thanksgivingR", thanksgivingRouter)//感恩节活动-预约返现
            .state("thanksgivingRebateR", thanksgivingRebateRouter)//感恩节活动-高额返佣
            .state("winterTravelR", winterTravelRouter)//利宝-暖冬出游

            .state("activityR", activityRouter)//活动总入口
    }]);
    app.factory('backFactory', function () {
        //定义返回跳转路由
        var myObject = {};

        /**
         * 定义传递数据的setter函数
         * @param {type} xxx
         * @returns {*}
         * @private
         */
        var _setter = function (data) {
            myObject = data;
        };

        /**
         * 定义获取数据的getter函数
         * @param {type} xxx
         * @returns {*}
         * @private
         */
        var _getter = function () {
            return myObject;
        };

        // Public APIs
        // 在controller中通过调setter()和getter()方法可实现提交或获取参数的功能
        return {
            setter: _setter,
            getter: _getter
        };
    });

    return app;
});