'use strict';

/* Directives */

define(['app','swiper','js/framework7.min'],function(app,swiper){

	//ng-repeat加载完后，加载jQuery
	app.register.directive('onFinishRenderFilters',["$timeout",function ($timeout) {
		return {
			restrict: 'A',
			link: function(scope, element, attr) {
				if (scope.$last === true) {
					$timeout(function() {
						scope.$emit('ngRepeatFinished');
					});
				}
			}
		};

	}]);

	//首页banner轮换
	app.register.directive("bannerDirective", ["$rootScope", function($rootScope) {
		return {
			restrict: "A",
			controller: function() {
				this.ready = function() {
					$rootScope.updateSwiper();
				}
			},
			link: function(scope, element, attrs, ctrl) {
				var mySwiper = new Swiper(".swiper-container", {
					loop : true,
					//pagination: '.swiper-pagination',
					//slidesPerView: 'auto',
					centeredSlides: true,
					//paginationClickable: true,
					//initialSlide :0,
					observer:true,//修改swiper自己或子元素时，自动初始化swiper
					observeParents:true,//修改swiper的父元素时，自动初始化swiper
					//autoplay:3000
				});
			}
		}
	}]);
	//未登录首页、功能介绍页面、微信邀请注册使用
	app.register.directive("guideDirective", ["$rootScope", function($rootScope) {
		return {
			restrict: "A",
			controller: function() {
				this.ready = function() {
					$rootScope.updateSwiper();
				}
			},
			link: function(scope, element, attrs, ctrl) {
				var mySwiper = new Swiper(".swiper-container", {
					direction: 'vertical',
					//pagination: '.swiper-pagination',
					//slidesPerView: 'auto',
					//centeredSlides: true,
					//paginationClickable: true,
					initialSlide :0,
					//observer:true,//修改swiper自己或子元素时，自动初始化swiper
					//observeParents:true,//修改swiper的父元素时，自动初始化swiper
					//autoplay:3000
				});
			}
		}
	}]);

	//计划书tab标签切换
	app.register.directive("insurancePlanResult", ["$rootScope", function($rootScope) {
		return {
			restrict: "A",
			controller: function() {
				this.ready = function() {
					$rootScope.update();
				}
			},
			link: function(scope, element, attrs, ctrl) {
				var insurancePlanResult = new Swiper(".insurancePlanResult", {
					direction : 'horizontal',
					autoHeight: true,
					initialSlide :0,//初始化索引
					observer:true,//修改swiper自己或子元素时，自动初始化swiper
					observeParents:true,//修改swiper的父元素时，自动初始化swiper
					setWrapperSize :true,
					resistanceRatio : 0,
					onlyExternal : true,
					//touchRatio : 0.3,

					onSlideChangeStart: function(){
						$(".tabs .active").removeClass('active');
						$(".tabs li").eq(insurancePlanResult.activeIndex).addClass('active');
						$('body,html').animate({scrollTop:0},0);
					}
				});
				$(".tabs li").on('touchstart mousedown',function(e){
					e.preventDefault()
					$(".tabs .active").removeClass('active');
					$(this).addClass('active');
					insurancePlanResult.slideTo($(this).index());
				})
				$(".tabs li").click(function(e){
					e.preventDefault()
				})

			}
		}
	}]);
	app.register.directive("swiperSlide", [function() {
		return {
			restrict: "A",
			require: "^insurancePlanResult",
			link: function(scope, element, attrs, ctrl) {
				if(scope.$last) {
					ctrl.ready();
				}
			}
		}
	}]);

	//滚动加载
	app.register.directive('whenScrolled', function() {
		return function(scope, elm, attr) {
			var raw = elm[0];
			elm.bind('scroll', function() {
				if (raw.scrollTop+raw.offsetHeight >= raw.scrollHeight) {
					scope.$apply(attr.whenScrolled);
				}
			});
		};
	});


	//计划书页面保额验证
	app.register.directive('insuranceBlur',function(){
		return {
			//require:"ngModel",
			restrict: 'A',
			scope: false,
			link: function (scope, element, attrs) {
				element.on('blur',function(e){
					var insuranceAmt=scope[attrs.ngModel];
					//console.log(insuranceAmt);
					if(insuranceAmt == '' || insuranceAmt == undefined){
						scope.$emit(attrs['emit'],insuranceAmt);
					}else if(insuranceAmt < 10000 || parseFloat(insuranceAmt)%1000!=0){
						scope.dialogRes('保额最低为10000元 且必须为1000的整数倍');
					}else{
						scope.$emit(attrs['emit'],insuranceAmt);
					}
				})
			}
		}
	});

	//滑动删除(家庭保障分析列表页使用)
	app.register.directive("swipeOutDirective", ["$rootScope", function($rootScope) {
		return {
			restrict: "A",
			link: function(scope, element, attrs, ctrl) {
				var webApp = new Framework7();
				var $$ = Dom7;
			}
		}
	}]);


	/********************************拖拽 begin********************************/

	app.register.directive('drag',[function() {
		return {
			restrict: 'A',
			link: function(scope, elem) {
				var dragNode = elem[0];
				var dragHandle = dragNode.querySelector('[drag-handle]');

				if (!dragHandle) {
					new Drag(dragNode);
				}
			}
		};

	}]);

	app.register.directive('dragHandle',[function() {
		return {
			restrict: 'A',
			link: function(scope, elem) {
				var dragNode = elem[0];

				while (!dragNode.hasAttribute('drag')) {
					dragNode = dragNode.parentNode;
				}

				elem.on(Drag.START, function(event) {
					new Drag(dragNode, event);
					//event.preventDefault();
				});
			}
		};

	}]);



	/********************************拖拽 end********************************/
	//动态解析带angular指令的html标签
	app.register.directive('compileHtml',['$compile',function($compile) {
		return {
			restrict: 'A',
			replace: true,
			link: function (scope, ele, attrs) {
				scope.$watch(
					function () {
						return scope.$eval(attrs.compile);
					},
					function(html) {
						ele.html(html);
						$compile(ele.contents())(scope);
					});
			}
		};
	}]);
});