/**
 * Created by JinS on 2015-11-1.
 */
'use strict';

define(['app'], function (app) {

//日期    2015102910271932871 转成   2015-11-02 显示在页面上
    app.register.filter('fullDateStringToyyyMMdd', function () {
        return function (fullDateString) {

            fullDateString = fullDateString + "";
            var year = fullDateString.substring(0, 4);
            var month = fullDateString.substring(4, 6);
            var day = fullDateString.substring(6, 8);
            var str = year + "-" + month + "-" + day;
            return str;
        };
    });

//日期    2015102910271932871 转成   2015/11/02 显示在页面上
    app.register.filter('fullDateStringTo', function () {
        return function (fullDateString) {

            fullDateString = fullDateString + "";
            var year = fullDateString.substring(0, 4);
            var month = fullDateString.substring(4, 6);
            var day = fullDateString.substring(6, 8);
            if(year == '9999'){
                var time = '终身'
            }else {
                var time = year + "/" + month + "/" + day;
            }

            return time;
        };
    });

//日期    20151029102719 转成   2015-10-29 10:27显示在页面上
    app.register.filter('transInsureTime', function () {
        return function (fullDateString) {
            var str = "";
            if (typeof(fullDateString) == 'undefined') {
                str = "";
            } else {
                fullDateString = fullDateString + "";
                var year = fullDateString.substring(0, 4);
                var month = fullDateString.substring(4, 6);
                var day = fullDateString.substring(6, 8);
                var hour = fullDateString.substring(8, 10);
                var min = fullDateString.substring(10, 12);
                str = year + "-" + month + "-" + day + " " + hour + ":" + min;
            }
            return str;
        };
    });

    /* Filters */
    app.register.filter('dateToAge', function () {
        return function (str) {
            var r = str.match(/^(\d{1,4})(-|\/)(\d{1,2})\2(\d{1,2})$/);
            if (r == null)return false;
            var d = new Date(r[1], r[3] - 1, r[4]);
            var age = 0;
            if (d.getFullYear() == r[1] && (d.getMonth() + 1) == r[3] && d.getDate() == r[4]) {
                var Y;
                Y = new Date();
                if (Y.getFullYear() - r[1] <= 0) {
                    age = 0;
                } else {
                    if (Y.getFullYear() - r[1] == 0) {
                        age = 0;
                    } else {
                        if ((d.getMonth() + 1) > (Y.getMonth() + 1)) {
                            age = Y.getFullYear() - r[1] - 1;
                        } else {
                            if ((d.getMonth() + 1) == (Y.getMonth() + 1) && (d.getDate()) > (Y.getDate())) {
                                age = Y.getFullYear() - r[1] - 1;
                            } else {
                                age = Y.getFullYear() - r[1];
                            }
                        }
                    }
                }
                //return ((Y - r[1] <= 0 ? 0 : Y - r[1]));
                return ( age <= 0 ? 0 : age);
            }
            return ("输入的日期格式错误！");
        }
    });


    app.register.filter('trustHtml', ['$sce', function ($sce) {
        return function (input) {
            return $sce.trustAsHtml(input);
        }
    }]);
    /* Filters */
    app.register.filter('date2Age', function () {
        return function (birthday) {
            if (!birthday) return "";
            var date = new Date(birthday);
            var year = date.getFullYear();
            var month = date.getMonth() + 1;
            var day = date.getDate();
            var str = year + "-" + month + "-" + day;
            var r = str.match(/^(\d{1,4})(-|\/)(\d{1,2})\2(\d{1,2})$/);
            if (r == null)return false;
            var d = new Date(r[1], r[3] - 1, r[4]);
            if (d.getFullYear() == r[1] && (d.getMonth() + 1) == r[3] && d.getDate() == r[4]) {
                var Y = new Date().getFullYear();
                return ((Y - r[1] <= 0 ? 0 : Y - r[1])) + '岁';
            }
            return ("输入的日期格式错误！");
        }
    });
    //获取订单状态--把后台状态转译
    app.register.filter("getStateName", function () {
        return function (state) {
            return orderStates['state' + state]
        }
    });

    //年月日
    app.register.filter('transTimeYMD', function () {
        return function (fullDateString) {
            var str = "";
            if (typeof(fullDateString) == 'undefined') {
                str = "";
            } else {
                fullDateString = fullDateString + "";
                var year = fullDateString.substring(0, 4);
                var month = fullDateString.substring(4, 6);
                var day = fullDateString.substring(6, 8);
                str = year + "-" + month + "-" + day;
            }
            return str;
        };
    });
    //获取订单状态--把后台状态转译
    app.register.filter("getStateName", function () {
        return function (state) {
            return orderStates['state' + state]
        }
    });
    //获取证件类型代码到名称转译
    app.register.filter("getCredName", function () {
        return function (type) {
            return getCredTypes['id' + type]
        }
    });
    //获取公司代码及图片对应
    app.register.filter("getCompSrc", function () {
        return function (code) {
            return getCompImg['C' + code];
        }
    });
    //转译保障期限
    app.register.filter("getCoverage", function () {
        return function (code, type) {
            var result = "";
            if (type == "1") {
                result = "终身";
            } else if (type == "2") {
                //result = "保" + code + "年";
                result = code + "年";
            } else if (type == "3") {
                //result = "保至" + code + "岁";
                result = code + "岁";
            } else if (type == "4") {
                //result = "保" + code + "月";
                result = code + "月";
            } else if (type == "5") {
                //result = "保" + code + "天";
                result = code + "天";
            }
            return result;
        }
    });
    //转译交费年期
    app.register.filter("getCharge", function () {
        return function (code, type) {
            var result = "";
            if (type == "1") {
                result = "趸交";
            } else if (type == "2") {
                result = "交" + code + "年";
            } else if (type == "3") {
                result = "交至" + code + "岁";
            } else if (type == "4") {
                result = "终身交";
            }
            return result;
        }
    });
    //保单详情中转译交费类型
    app.register.filter("getPayType", function () {
        return function (type) {
            var result = "";
            if (type == "0") {
                result = "年交";
            }else if (type == "1") {
                result = "月交";
            }else if (type == "4") {
                result = "趸交";
            }
            return result;
        }
    });

    //获取性别--把性别转译
    app.register.filter("getGenderName", function () {
        return function (gender) {
            return getSex['code' + gender];
        }
    });

    //获取生日转译年月日 原格式:1980-01-01 转换后格式:1980年01月01日
    app.register.filter("getChinaDate", function () {
        return function (date,longTermFlag) {
            if(longTermFlag=="1"){
                return "长期";
            }else if(date){
                return date.replace('-', "年").replace('-', "月").concat("日");
            }else {
                return "";
            }
        }
    });

    //交易状态转换
    app.register.filter("codeToName", function () {
        return function (code,pgType1) {
            var result = "";
            if(typeTransStatus[pgType1][code]) {
                result = typeTransStatus[pgType1][code].name;
            }else{
                result = "其它"
            }
            return result;
        }
    });
    //交易类型转换
    app.register.filter("typeTransStatus", function () {
        return function (pgType1,pgType2) {
            var result = "";
            if(typeTrans[pgType1][pgType2]) {
                result = typeTrans[pgType1][pgType2].name;
            }else{
                result = "其它"
            }
            return result;
        }
    });
    //交易类型转换
    app.register.filter("codeToTransName", function () {
        return function (code) {
            var result = "";
            if (code == '10') {
                result = '充值';
            } else if (code == '11') {
                result = '支付';
            } else if (code == '12') {
                result = '提现';
            } else if (code == '13') {
                result = '转账';
            }
            return result;
        }
    });
    //银行卡类型转换
    app.register.filter("bankAccTypeTurn", function () {
        return function (code) {
            var result = "";
            if (code == '1') {
                result = '借记卡';
            } else if (code == '2') {
                result = '信用卡';
            } else if (code == '3') {
                result = '准贷记卡';
            }
            return result;
        }
    });

    app.register.filter("relationshipTurn", function () {
        return function (code) {
            var result = "";
            if (code == '1') {
                result = '本人';
            } else if (code == '2') {
                result = '妻子';
            } else if (code == '3') {
                result = '丈夫';
            }else if (code == '4') {
                result = '儿子';
            }else if (code == '5') {
                result = '女儿';
            }else if (code == '6') {
                result = '父亲';
            }else if (code == '7') {
                result = '母亲';
            }else if (code == '8') {
                result = '雇主';
            }else if (code == '9') {
                result = '其他';
            }else if (code == '10') {
                result = '法定监护人';
            }else if (code == '80') {
                result = '爷爷';
            }else if (code == '81') {
                result = '奶奶';
            }
            return result;
        };
    });
    app.register.filter("selectName", function () {
        return function (code) {
            var result = "";
            if (code == '1') {
                result = '核保中';
            } else if (code == '2') {
                result = '待付款';
            } else if (code == '3') {
                result = '待出单';
            }else if (code == '4') {
                result = '已完成';
            }else if (code == '5') {
                result = '已失效';
            }else if (code == '0') {
                result = '全部订单';
            }
            return result;
        };
    });
    app.register.filter("titleName", function () {
        return function (code) {
            var result = "";
            if (code == '1') {
                result = '线上产品';
            } else if (code == '2') {
                result = '线下产品';
            } else if (code == '3') {
                result = '车险';
            }
            return result;
        }
    })
    //转译各操作系统日期格式
    app.register.filter("formatSysDate", function () {
        return function (date, sysType) {
            if(typeof date=="undefined" || date==""){

            }else if(sysType=="ios") {
                date = date.replace(/-/,"年").replace(/-/,"月").concat("日");
            }
            return date;
        }
    });
    //是否后退一天
    app.register.filter('backOneDay', function () {
        return function (fullDateString) {
            var str = "";
            if (typeof(fullDateString) == 'undefined') {
                str = "";
            } else {
                fullDateString = fullDateString + "";
                var year = fullDateString.substring(0, 4);
                var month = fullDateString.substring(4, 6);
                var day = fullDateString.substring(6, 8);
                str = year + "-" + month + "-" + day;
                if(fullDateString.indexOf("000000")>-1){//生效日后退一天
                    str = addmulDate(str,-1);
                }
            }
            return str;
        };
    });

    app.register.filter("installationDate", function () {
        return function (code) {
            var result = "";
            if (code == 0) {
                result = '今天';
            } else if (code == 1) {
                result = '明天';
            } else if (code ==2) {
                result = '后天';
            }else{
                result = code+'天'
            }
            return result;
        }
    })

    app.register.filter("sendBirthday", function () {
        return function (code) {
            var result = "";
            if (code == 0) {
                result = '送祝福';
            } else if (code == 1) {
                result = '已送出';
            }
            return result;
        }
    })

    app.register.filter("remindSend", function () {
        return function (code) {
            var result = "";
            if (code == 0) {
                result = '提醒';
            } else if (code == 1) {
                result = '已提醒';
            }
            return result;
        }
    })
    //认证状态
    app.register.filter("attestation", function () {
        return function (code) {
            var result = "";
            if (code == 1) {
                result = '未认证';
            } else if (code == 3) {
                result = '已认证';
            }else if (code == 4) {
                result = '认证中';
            }else if (code == 5) {
                result = '认证失败';
            }
            return result;
        }
    })
    //险种类别
    app.register.filter("ensureType", function () {
        return function (code) {
            var result = "";
            if (code == 1) {
                result = '寿险';
            } else if (code == 2){
                result = '健康险';
            }else if (code == 3){
                result = '意外险';
            }else if (code == 4){
                result = '养老险';
            }else if (code == 5){
                result = '理财险';
            }else if (code == 6){
                result = '家财险';
            }else if (code == 7){
                result = '车险';
            }
            return result;
        }
    })
    //字符串转html标签过滤器
    app.register.filter("htmlContent",["$sce",function($sce){
        return function(text){
            return $sce.trustAsHtml(text);
        }
    }]);
    //百分比率转换
    //交易类型转换
    app.register.filter("showRate", function () {
        return function (value) {
            return value + "%";
        }
    });
    //转译社保展示类型
    app.register.filter("formatSocial", function () {
        return function (socialFlag) {
            if(typeof socialFlag=="undefined" || socialFlag==""){

            }else {
                if(socialFlag=="Y")
                    return "有";
                else return "无";
            }
            return "无";
        }
    });
});