var shopIndexRouter={//个人店铺
    url:"/shopIndexR",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/shop/index/view.html',
            controller: 'shopIndexCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/shop/index/css/index.css',"shopIndex");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/shop/index/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@shopIndexR':{
            templateUrl: 'module/common/views/topLeftUCRed.html'
        },
        'sideSlip@shopIndexR':{
            templateUrl: 'module/common/views/sideslip.html'
        },
        'share@shopIndexR':{
            templateUrl: 'module/shop/preview/share.html'
        }
    }

};
var shopSetTemplateRouter={//个人店铺设置模板,storeId店铺ID,template 模板
    url:"shopSetTemplateR/:template/:storeId",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/shop/setTemplate/view.html',
            controller: 'shopSetTemplateCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/shop/setTemplate/css/setTemplate.css',"shopSetTemplate");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/shop/setTemplate/js/controller',
                        'js/directive/mainDirectives'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb':{
            templateUrl: 'module/common/views/topRightHome.html'
        }
    }

};
var shopPreviewRouter={//店铺预览,storeId店铺ID
    url:"/shopPreviewR/:storeId",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/shop/preview/view.html',
            controller: 'shopPreviewCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/shop/preview/css/shopPreview.css',"shopPreview");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/shop/preview/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@shopPreviewR':{
            templateUrl: 'module/common/views/topTransparent.html',
            controller: 'appTopCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/shop/preview/js/appTopCtrl'
                    ], function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }

        },
        'share@shopPreviewR':{
            templateUrl: 'module/shop/preview/share.html'
        }
    }

};
var shopEditRouter={//店铺信息编辑
    url:"shopEditR",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/shop/edit/list.html',
            controller: 'shopEditCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/shop/edit/css/list.css',"shopEdit");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/shop/edit/js/listController'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }

};
var shopEditTypeRouter={//店铺编辑-各个项编辑修改
    url:"shopEditTypeR/:type",//1-名称修改,2-简介修改,3-公告修改,4-标签修改
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/shop/edit/edit.html',
            controller: 'shopEditTypeCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/shop/edit/css/edit.css',"shopEditType");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/shop/edit/js/editController'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
       
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'appTopCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/shop/edit/js/appTopCtrl'
                    ], function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }

};
var shopManageRouter={//店铺产品列表
    url:"shopManageR",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/shop/manage/view.html',
            controller: 'shopManageCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/shop/manage/css/manage.css',"shopManage");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/shop/manage/js/controller',
                        'js/directive/mainDirectives'

                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }



};
var shopAddProductRouter={//店铺管理-添加产品
    url:"shopAddProductR/:storeId",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/shop/add/view.html',
            controller: 'shopAddProductCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/shop/add/css/add.css',"shopAddProduct");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/shop/add/js/controller',
                        'js/directive/mainDirectives'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'appTopCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/shop/edit/js/appTopCtrl'
                    ], function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }

};
var shopShareRouter={//微信中客户看到的店铺首页
    url:"shopShareR/:storeId",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/shop/share/view.html',
            controller: 'shopShareCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/shop/preview/css/shopPreview.css',"shopPreview");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/shop/share/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }

};
var shopListRouter={//微信中查看的产品列表
    url:"/shopListR/:template/:storeId",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/shop/list/view.html',
            controller: 'shopListCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/shop/list/css/list.css',"shopList");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/shop/list/js/controller',
                        'js/directive/mainDirectives'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@shopListR': {
            templateUrl: 'module/shop/list/appTop.html'
        }
    }

};
var ContactSellerRouter = {   //联系卖家
    url:"ContactSellerR/:storeId",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/shop/ContactSeller/view.html',
            controller: 'ContactSellerCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/shop/ContactSeller/css/ContactSeller.css',"ContactSeller");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/shop/ContactSeller/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/adbTopRed.html'
        },
    }
}

var customerIndexRouter={//客户首页
    url:"customerIndexR",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/index/view.html',
            controller: 'customerIndexCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/customers/index/css/index.css',"customerIndex");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/index/js/controller',
                        'js/directive/mainDirectives'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topLeftUC.html'
        },
        //for "ui-view='sideslip"
        'sideSlip@adb':{
            templateUrl: 'module/common/views/sideslip.html'
        },
        'share@adb': {
            templateUrl: 'module/common/views/addcustomers.html'
        }
    }

};
var customerDetailRouter={//客户详情
    url:"customerDetailR/:cid",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/detail/view.html',
            controller: 'customerDetailCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/customers/detail/css/detail.css',"customerDetail");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/detail/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives',
                        'js/filter/myfilter'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        //'adbTop@adb': {
            //templateUrl: 'module/customers/index/appTop.html',
            //controller: 'appTopCtrl',
            //resolve: {
            //loadCtrl: ["$q", function($q) {
            //var deferred = $q.defer();
            ////异步加载controller／directive/filter/service
            //require([
            //'module/common/js/controller.js'
            //], function() { deferred.resolve(); });
            //return deferred.promise;
            //}]
            //}
        //}
    }

};
var customerAddRouter={//客户添加
    url:"customerAddR",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/add/view.html',
            controller: 'customerAddCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/customers/add/css/add.css',"customerAdd");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/add/js/controller',
                        'js/libs/idCardValid',
                        'js/directive/mainDirectives',
                        'module/demo/js/selectDirective',
                        'js/libs/iscroll'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        //'adbTop@adb': {
        //templateUrl: 'module/customers/index/appTop.html',
        //controller: 'appTopCtrl',
        //resolve: {
        //loadCtrl: ["$q", function($q) {
        //var deferred = $q.defer();
        ////异步加载controller／directive/filter/service
        //require([
        //'module/common/js/controller.js'
        //], function() { deferred.resolve(); });
        //return deferred.promise;
        //}]
        //}
        //}
        'provinceDialog@adb.customerAddR':{
            templateUrl: 'module/common/views/provinceDialog.html'
        }
    }

};
var customerBirthdayRemindRouter={//客户生日提醒
    url:"customerBirthdayRemindR",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/birthdayRemind/view.html',
            controller: 'customerBirthdayRemindCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/customers/birthdayRemind/css/customerBirthdayRemind.css',"customerBirthdayRemind");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/birthdayRemind/js/controller',
                        'js/directive/mainDirectives',
                        'js/filter/myfilter'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        //'adbTop@adb': {
        //templateUrl: 'module/customers/index/appTop.html',
        //controller: 'appTopCtrl',
        //resolve: {
        //loadCtrl: ["$q", function($q) {
        //var deferred = $q.defer();
        ////异步加载controller／directive/filter/service
        //require([
        //'module/common/js/controller.js'
        //], function() { deferred.resolve(); });
        //return deferred.promise;
        //}]
        //}
        //}
    }

};
var customerInsuranceRemindRouter={//客户保单提醒
    url:"customerInsuranceRemindR",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/insuranceRemind/view.html',
            controller: 'customerInsuranceRemindCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/customers/insuranceRemind/css/customerInsuranceRemind.css',"customerInsuranceRemind");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/insuranceRemind/js/controller',
                        'js/filter/myfilter'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb':{
            templateUrl: 'module/common/views/topRightHome.html'
        }
        //'adbTop@adb': {
        //templateUrl: 'module/customers/index/appTop.html',
        //controller: 'appTopCtrl',
        //resolve: {
        //loadCtrl: ["$q", function($q) {
        //var deferred = $q.defer();
        ////异步加载controller／directive/filter/service
        //require([
        //'module/common/js/controller.js'
        //], function() { deferred.resolve(); });
        //return deferred.promise;
        //}]
        //}
        //}
    }

};
var customerPortrayalRouter={//客户画像
    url:"customerPortrayalR",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/portrayal/view.html',
            controller: 'customerPortrayalCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/customers/portrayal/css/customerPortrayal.css',"customerPortrayal");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/portrayal/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb':{
            templateUrl: 'module/common/views/adbTopRed.html',
            controller: 'customerPortrayalTopCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/portrayal/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }

        }
    }

};
var customerSendGiftRouter={//客户送祝福
    url:"customerSendGiftR/:cid/:tid",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/sendGift/view.html',
            controller: 'customerSendGiftCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/customers/sendGift/css/customerSendGift.css',"customerSendGift");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/sendGift/js/controller',
                        'js/directive/mainDirectives'

                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb':{
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'customerSendGiftTopCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/sendGift/js/controller'

                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }

        }
    }

};
var customerInsuranceRemindDetailRouter={//客户保单提醒详情
    url:"customerInsuranceRemindDetailR/:cid/:Gid",   //cid客户ID  提醒ID
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/insuranceRemindDetail/view.html',
            controller: 'customerInsuranceRemindDetailCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/customers/insuranceRemindDetail/css/customerInsuranceRemindDetail.css',"customerInsuranceRemindDetail");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/insuranceRemindDetail/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/customers/insuranceRemindDetail/appTop.html',
            controller: 'customerInsuranceRemindDetailTopCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/insuranceRemindDetail/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'share@adb':{
            templateUrl: 'module/common/views/share.html'
        }

    }

};
var customerEditRouter={//客户资料编辑
    url:"customerEditR/:cid",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/edit/view.html',
            controller: 'customerEditCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/customers/edit/css/customerEdit.css',"customerEdit");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/edit/js/controller',
                        'js/directive/mainDirectives',
                        'module/demo/js/selectDirective',
                        'js/libs/iscroll',
                        'module/customers/js/factory'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb':{
            templateUrl: 'module/common/views/topRightHome.html'
        }
        //'adbTop@adb': {
        //templateUrl: 'module/customers/index/appTop.html',
        //controller: 'appTopCtrl',
        //resolve: {
        //loadCtrl: ["$q", function($q) {
        //var deferred = $q.defer();
        ////异步加载controller／directive/filter/service
        //require([
        //'module/common/js/controller.js'
        //], function() { deferred.resolve(); });
        //return deferred.promise;
        //}]
        //}
        //}
    }

};
var customerRelationsListRouter={//客户家庭关系列表
    url:"customerRelationsListR/:cid",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/relationsList/view.html',
            controller: 'customerRelationsListCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/customers/relationsList/css/customerRelationsList.css',"customerRelationsList");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/relationsList/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        //'adbTop@adb': {
        //templateUrl: 'module/customers/index/appTop.html',
        //controller: 'appTopCtrl',
        //resolve: {
        //loadCtrl: ["$q", function($q) {
        //var deferred = $q.defer();
        ////异步加载controller／directive/filter/service
        //require([
        //'module/common/js/controller.js'
        //], function() { deferred.resolve(); });
        //return deferred.promise;
        //}]
        //}
        //}
    }

};
var customerCardInfoRouter={//客户车辆信息
    url:"customerCardInfoR/:cid",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/cardInfo/view.html',
            controller: 'customerCardInfoCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/customers/cardInfo/css/customerCardInfo.css',"customerCardInfo");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/cardInfo/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb':{
            templateUrl: 'module/common/views/topRightHome.html'
        }
        //'adbTop@adb': {
        //templateUrl: 'module/customers/index/appTop.html',
        //controller: 'appTopCtrl',
        //resolve: {
        //loadCtrl: ["$q", function($q) {
        //var deferred = $q.defer();
        ////异步加载controller／directive/filter/service
        //require([
        //'module/common/js/controller.js'
        //], function() { deferred.resolve(); });
        //return deferred.promise;
        //}]
        //}
        //}
    }

};
var customerRelationAddRouter={//客户家庭关系添加
    url:"customerRelationAddR/:cid",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/relationAdd/view.html',
            controller: 'customerRelationAddCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/customers/relationAdd/css/customerRelationAdd.css',"customerRelationAdd");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/relationAdd/js/controller',
                        'js/libs/idCardValid',
                        'js/directive/mainDirectives',
                        'module/demo/js/selectDirective',
                        'js/libs/iscroll'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb':{
            templateUrl: 'module/common/views/topRightHome.html'
        },
        'provinceDialog@adb.customerAddR':{
            templateUrl: 'module/common/views/provinceDialog.html'
        }
        //'adbTop@adb': {
        //templateUrl: 'module/customers/index/appTop.html',
        //controller: 'appTopCtrl',
        //resolve: {
        //loadCtrl: ["$q", function($q) {
        //var deferred = $q.defer();
        ////异步加载controller／directive/filter/service
        //require([
        //'module/common/js/controller.js'
        //], function() { deferred.resolve(); });
        //return deferred.promise;
        //}]
        //}
        //}
    }

};
var customerRelationEditRouter={//客户家庭关系编辑,cid-客户id,rid-关系id
    url:"customerRelationEditR/:cid/:rid",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/relationEdit/view.html',
            controller: 'customerRelationEditCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/customers/relationEdit/css/customerRelationEdit.css',"customerRelationEdit");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/relationEdit/js/controller',
                        'js/libs/idCardValid',
                        'js/directive/mainDirectives',
                        'module/demo/js/selectDirective',
                        'js/libs/iscroll'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb':{
            templateUrl: 'module/common/views/topRightHome.html'
        },
        'provinceDialog@adb.customerAddR':{
            templateUrl: 'module/common/views/provinceDialog.html'
        }
    }

};
var customerInsuranceDetailRouter={//客户保单详情,cid-客户id,oid-保单id
    url:"customerInsuranceDetailR/:cid/:oid",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/insuranceDetail/view.html',
            controller: 'customerInsuranceDetailCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/customers/insuranceDetail/css/customerInsuranceDetail.css',"customerInsuranceDetail");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/insuranceDetail/js/controller',
                        'js/filter/myfilter'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb':{
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'customerInsuranceDetailTopCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/insuranceDetail/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
        //'adbTop@adb': {
        //templateUrl: 'module/customers/index/appTop.html',
        //controller: 'appTopCtrl',
        //resolve: {
        //loadCtrl: ["$q", function($q) {
        //var deferred = $q.defer();
        ////异步加载controller／directive/filter/service
        //require([
        //'module/common/js/controller.js'
        //], function() { deferred.resolve(); });
        //return deferred.promise;
        //}]
        //}
        //}
    }

};
var carInsuranceDetailRouter={//客户保单详情,cid-客户id,oid-保单id
    url:"carInsuranceDetailR/:cid/:oid",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/insuranceDetail/car/view.html',
            controller: 'carInsuranceDetailCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/autoInsurance/policyDetail/css/policyDetail.css', "autoPolicyDetail");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/insuranceDetail/car/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives',
                        'js/filter/myfilter',
                        'js/service/anchorSmoothScroll'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb':{
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'customerInsuranceDetailTopCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/insuranceDetail/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }

};
var manuallyInsuranceDetailRouter={//客户手工录入保单详情,cid-客户id,oid-保单id
    url:"manuallyInsuranceDetailR/:cid/:oid",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/insuranceDetail/manually/view.html',
            controller: 'manuallyInsuranceDetailCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/customers/insuranceDetail/css/customerInsuranceDetail.css',"customerInsuranceDetail");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/insuranceDetail/manually/js/controller',
                        'js/filter/myfilter'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb':{
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'customerInsuranceDetailTopCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/insuranceDetail/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }

};
var photoInsuranceDetailRouter={//客户拍照保单详情,cid-客户id,oid-保单id
    url:"photoInsuranceDetailR/:cid/:oid",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/insuranceDetail/photo/view.html',
            controller: 'photoInsuranceDetailCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/customers/insuranceDetail/css/customerInsuranceDetail.css',"customerInsuranceDetail");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/insuranceDetail/photo/js/controller',
                        'js/filter/myfilter'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb':{
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'customerInsuranceDetailTopCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/insuranceDetail/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }

};
var pictureInfoRouter={//客户拍照保单影像资料,cid-客户id,oid-保单id
    url:"pictureInfoR/:cid/:oid",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/pictureInfo/view.html',
            controller: 'pictureInfoCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/customers/pictureInfo/css/pictureInfo.css',"pictureInfo");
                    loadCss('module/customers/pictureInfo/css/photoswipe.css',"photoSwipe");
                    loadCss('module/customers/pictureInfo/css/default-skin.css',"defaultSkin");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/pictureInfo/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb':{
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'customerInsuranceDetailTopCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/insuranceDetail/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }

};
var customerInsuranceAddRouter={//客户保单添加,cid-客户id
    url:"customerInsuranceAddR/:cid",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/insuranceAdd/view.html',
            controller: 'customerInsuranceAddCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/customers/insuranceAdd/css/customerInsuranceAdd.css',"customerInsuranceAdd");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/insuranceAdd/js/controller',
                        'js/libs/idCardValid',
                        'js/factory/factory',
                        'module/customers/js/factory',
                        'module/userCenter/js/factory'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb':{
            templateUrl: 'module/common/views/topRightHome.html'
        }
        //'adbTop@adb': {
        //templateUrl: 'module/customers/index/appTop.html',
        //controller: 'appTopCtrl',
        //resolve: {
        //loadCtrl: ["$q", function($q) {
        //var deferred = $q.defer();
        ////异步加载controller／directive/filter/service
        //require([
        //'module/common/js/controller.js'
        //], function() { deferred.resolve(); });
        //return deferred.promise;
        //}]
        //}
        //}
    }

};

//搜索
var searchRouter={//搜索，module-模块名称
    url:"searchR/:moudle",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/integration/search/view.html',
            controller: 'searchCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/integration/search/css/search.css',"search");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/integration/search/js/controller',
                        'js/directive/mainDirectives'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'dialog@searchR':{
            templateUrl: 'module/common/views/dialog.html'
        }
    }
};

//demo示例
var demoRouter={
    url:"/demoR",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/demo/view.html',
            controller: 'demoCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/demo/css/demo.css',"demo");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/demo/js/controller',
                        'js/directive/mainDirectives',
                        'module/demo/js/selectDirective',
                        'js/libs/iscroll'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'share@demoR':{
            templateUrl: 'module/common/views/share.html'
        },
        'dialog@demoR':{
            templateUrl: 'module/common/views/dialog.html'
        },
        'provinceDialog@demoR':{
            templateUrl: 'module/common/views/provinceDialog.html'
        },
        'numDialog@demoR':{
            templateUrl: 'module/common/views/numDialog.html'
        }
    }
};

var templateRouter = {   //分享贺卡模板,tid-模板id
    url:"/templateR/:tid",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/template/view.html',
            controller: 'templateCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/customers/template/css/template.css',"template");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/template/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'dialog@templateR':{
            templateUrl: 'module/common/views/dialog.html'
        }
    }
};