/************************首页模块**********************/
//首页未登录
var homeNoLoginRouter = {
    url: "/homeNoLoginR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/home/noLogin/view.html',
            controller: 'homeNoLoginCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/home/noLogin/css/noLogin.css', "homeNoLogin");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/home/noLogin/js/controller',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
//首页登录后
var homeRouter = {
    url: "/homeR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/home/view.html',
            controller: 'homeCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/home/css/home.css', "home");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/home/js/controller',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@homeR': {
            templateUrl: 'module/home/topLeftUC.html'
        },
        'sideSlip@homeR': {
            templateUrl: 'module/common/views/sideslip.html'
        },
        'dialog@homeR': {
            templateUrl: 'module/common/views/dialog.html'
        }
    }

};
/************************登录注册模块**********************/
//注册
var registerRouter = {
    url: "/registerR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/loginRegister/register/view.html',
            controller: 'registerCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/loginRegister/register/css/register.css', "register");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/loginRegister/register/js/controller',
                        'js/libs/endeCode',
                        'js/sha'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@registerR': {
            templateUrl: 'module/common/views/adbTop.html'
        },
        'dialog@registerR': {
            templateUrl: 'module/common/views/dialog.html'
        }
    }

};
//注册协议
var registerProtocolRouter = {
    url: "/registerProtocolR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/loginRegister/register/protocol.html',
            controller: 'registerProtocolCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/loginRegister/register/css/register.css', "register");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/loginRegister/register/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@registerProtocolR': {
            templateUrl: 'module/common/views/adbTop.html'
        }
    }
};

//登录
var loginRouter = {
    url: "/loginR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/loginRegister/login/view.html',
            controller: 'loginCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/loginRegister/login/css/login.css', "login");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/loginRegister/login/js/controller',
                        'js/libs/endeCode',
                        'js/sha'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'dialog@loginR': {
            templateUrl: 'module/common/views/dialog.html'
        },
        'adbTop@loginR': {
            templateUrl: 'module/common/views/adbTop.html'
        }
    }

};
//忘记密码
var forgetPasswordRouter = {
    url: "/forgetPasswordR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/loginRegister/forgetPassword/view.html',
            controller: 'forgetPasswordCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/loginRegister/forgetPassword/css/forgetPassword.css', "forgetPassword");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/loginRegister/forgetPassword/js/controller',
                        'module/loginRegister/js/factory'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@forgetPasswordR': {
            templateUrl: 'module/common/views/adbTop.html'
        },
        'dialog@forgetPasswordR': {
            templateUrl: 'module/common/views/dialog.html'
        }
    }

};
//重置密码
var resetPasswordRouter = {
    url: "/resetPasswordR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/loginRegister/resetPassword/view.html',
            controller: 'resetPasswordCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/loginRegister/resetPassword/css/resetPassword.css', "resetPassword");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/loginRegister/resetPassword/js/controller',
                        'js/libs/endeCode',
                        'js/sha'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@resetPasswordR': {
            templateUrl: 'module/common/views/adbTop.html'
        },
        'dialog@resetPasswordR': {
            templateUrl: 'module/common/views/dialog.html'
        }
    }

};

//注册
var wxBindRouter = {
    url: "/wxBindR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/loginRegister/wxBind/view.html',
            controller: 'wxBindCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/loginRegister/register/css/register.css', "register");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/loginRegister/wxBind/js/controller',
                        'js/libs/endeCode',
                        'js/sha'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@wxBindR': {
            templateUrl: 'module/common/views/adbTop.html'
        },
        'dialog@wxBindR': {
            templateUrl: 'module/common/views/dialog.html'
        }
    }

};

/************************ 个人中心模块 **********************/
//个人中心
var userCenterRouter = {
    url: "/userCenterR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/userCenter.html',
            controller: 'userCenterCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/css/userCenter.css', "userCenter");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
//完善资料
var userInfoRouter = {
    url: "userInfoR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/userInfo/view.html',
            controller: 'userInfoCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/userInfo/css/userInfo.css', "userInfo");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/userInfo/js/controller',
                        'module/demo/js/selectDirective',
                        'js/libs/iscroll',
                        'js/filter/myfilter'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'provinceDialog@adb.customerAddR':{
            templateUrl: 'module/common/views/provinceDialog.html'
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/adbTopRed.html'
        }

    }

};
//完善资料-修改头像
/*var cropPictureRouter={
 url:"cropPictureR",
 views:{
 // 无名 view
 '':{
 templateUrl: 'module/userCenter/cropPicture/view.html',
 controller: 'cropPictureCtrl',
 resolve: {
 loadCtrl: ["$q", function($q) {
 loadCss('module/userCenter/cropPicture/css/cropPicture.css',"cropPicture");
 var deferred = $q.defer();
 //异步加载controller／directive/filter/service
 require([
 'module/userCenter/cropPicture/js/controller'
 ],function() { deferred.resolve(); });
 return deferred.promise;
 }]
 }
 }
 }

 };*/
//完善资料-修改姓名
var editNameRouter = {
    url: "editNameR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/editName/view.html',
            controller: 'editNameCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/editName/css/editName.css', "editName");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/editName/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
//实名认证
var certificationRouter = {
    url: "certificationR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/certification/view.html',
            controller: 'certificationCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/certification/css/certification.css', "certification");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/certification/js/controller',
                        'js/libs/idCardValid'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};

//身份审核
var statusVerificationRouter = {
    url: "statusVerificationR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/statusVerification/view.html',
            controller: 'statusVerificationCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/statusVerification/css/statusVerification.css', "statusVerification");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/statusVerification/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};

var statusVerificationResRouter = {
    url: "statusVerificationResR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/statusVerificationRes/view.html',
            controller: 'statusVerificationResCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/statusVerificationRes/css/statusVerificationRes.css', "statusVerificationRes");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/statusVerificationRes/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
//我的地址
var myAddressRouter = {
    url: "myAddressR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/myAddress/view.html',
            controller: 'myAddressCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/myAddress/css/myAddress.css', "myAddress");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/myAddress/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
//验证原手机
var verifyOriginalPhoneRouter = {
    url: "verifyOriginalPhoneR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/verifyOriginalPhone/view.html',
            controller: 'verifyOriginalPhoneCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/verifyOriginalPhone/css/verifyOriginalPhone.css', "verifyOriginalPhone");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/verifyOriginalPhone/js/controller',
                        'module/userCenter/js/factory'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
//验证更换手机
var verifyNewPhoneRouter = {
    url: "verifyNewPhoneR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/verifyNewPhone/view.html',
            controller: 'verifyNewPhoneCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/verifyNewPhone/css/verifyNewPhone.css', "verifyNewPhone");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/verifyNewPhone/js/controller',
                        'module/userCenter/js/factory'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};

//我的名片
var myCardRouter = {
    url: "myCardR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/myCard/view.html',
            controller: 'myCardCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/myCard/css/myCard.css', "myCard");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/myCard/js/controller',
                        'js/factory/factory',
                        'module/userCenter/js/factory'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/adbTopRed.html'
        }
    }

};
//名片预览
var cardPreviewRouter = {
    url: "cardPreviewR/:regId",
    //url:"cardPreviewR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/cardPreview/view.html',
            controller: 'cardPreviewCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/cardPreview/css/cardPreview.css', "cardPreview");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/cardPreview/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/adbTopRed.html'
        },
        'share@adb':{
            templateUrl: 'module/common/views/share.html'
        }
    }
};
//选择保险公司
var companyListRouter = {
    url: "companyListR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/companyList/view.html',
            controller: 'companyListCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/companyList/css/companyList.css', "companyList");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/companyList/js/controller',
                        'js/factory/factory',
                        'module/userCenter/js/factory'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
//选择保险公司列表
var companyAllListRouter = {
    url: "companyAllListR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/companyAllList/view.html',
            controller: 'companyAllListCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    //loadCss('module/customers/index/css/index.css',"customerIndex");
                    loadCss('module/userCenter/companyAllList/css/companyAllList.css', "companyAllList");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/companyAllList/js/controller',
                        'js/directive/mainDirectives',
                        'js/factory/factory',
                        'module/customers/js/factory',
                        'module/userCenter/js/factory'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
//我的职位
var myJobRouter = {
    url: "myJobR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/myJob/view.html',
            controller: 'myJobCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/myJob/css/myJob.css', "myJob");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/myJob/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};

//我的订单
var myOrderRouter = {
    url: "myOrderR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/myOrder/view.html',
            controller: 'myOrderCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/myOrder/css/myOrder.css', "myOrder");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/myOrder/js/controller',
                        'js/directive/mainDirectives',
                        'js/filter/myfilter'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};

//产品订单详情
var productOrderDetailRouter = {
    url: "productOrderDetailR/:oid",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/myOrder/productOrderDetail/view.html',
            controller: 'productOrderDetailCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/myOrder/productOrderDetail/css/productOrderDetail.css', "productOrderDetail");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/myOrder/productOrderDetail/js/controller',
                        'js/filter/myfilter',
                        'js/productConfig'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'productOrderDetailTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/myOrder/productOrderDetail/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};

var productOrderLineDownRouter = {
    url: "productOrderLineDownR/:oid",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/myOrder/productOrderLineDown/view.html',
            controller: 'productOrderLineDownCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/myOrder/productOrderLineDown/css/productOrderLineDown.css', "productOrderLineDown");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/myOrder/productOrderLineDown/js/controller',
                        'js/filter/myfilter',
                        'js/productConfig'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/adbTop.html',
            controller: 'productOrderLineDownTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/myOrder/productOrderLineDown/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
}

//车险订单详情
var carOrderDetailRouter = {
    url: "carOrderDetailR/:cardId",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/myOrder/carOrderDetail/view.html',
            controller: 'carOrderDetailCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/myOrder/carOrderDetail/css/carOrderDetail.css', "carOrderDetail");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/myOrder/carOrderDetail/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
//我的收藏-产品
var myFavoriteRouter = {
    url: "myFavoriteR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/myFavorite/view.html',
            controller: 'myFavoriteCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/myFavorite/css/myFavorite.css', "myFavorite");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/myFavorite/js/controller',
                        'js/directive/mainDirectives',
                        'module/common/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'recommendProList@adb.myFavoriteR':{
            templateUrl: 'module/common/views/recommendProList.html'
        }
    }

};

//我的收藏-文章
var myFavoriteArticleRouter = {
    url: "myFavoriteArticleR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/myFavoriteArticle/view.html',
            controller: 'myFavoriteArticleCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/myFavoriteArticle/css/myFavoriteArticle.css', "myFavoriteArticle");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/myFavoriteArticle/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};


//设置
var setRouter = {
    url: "setR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/set/view.html',
            controller: 'setCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/set/css/set.css', "set");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/set/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/adbTopRed.html'
        }
    }

};
//设置-关于我们
var aboutUsRouter = {
    url: "aboutUsR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/set/aboutUs/view.html',
            controller: 'aboutUsCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/set/aboutUs/css/aboutUs.css', "aboutUs");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/set/aboutUs/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
//设置-联系我们
var contactUsRouter = {
    url: "contactUsR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/set/contactUs/view.html',
            controller: 'contactUsCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/set/contactUs/css/contactUs.css', "contactUs");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/set/contactUs/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
//设置-功能介绍
var functionIntroduceRouter = {
    url: "/functionIntroduceR",
    resolve: {
        loadCtrl: ["$q", function ($q) {
            loadCss('module/userCenter/set/functionIntroduce/css/functionIntroduce.css', "functionIntroduce");
            var deferred = $q.defer();
            //异步加载controller／directive/filter/service
            require([
                'module/userCenter/set/functionIntroduce/js/controller',
                'js/directive/mainDirectives'
            ], function () {
                deferred.resolve();
            });
            return deferred.promise;
        }]
    },
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/set/functionIntroduce/view.html',
            controller: 'functionIntroduceCtrl'
        },
        'adbTop@functionIntroduceR': {
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'topToHomeCtrl'
        }
    }

};
//设置-更新版本
var updatedVersionRouter = {
    url: "updatedVersionR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/set/updatedVersion/view.html',
            controller: 'updatedVersionCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/set/updatedVersion/css/updatedVersion.css', "updatedVersion");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/set/updatedVersion/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/adbTop.html',
            controller: 'updatedVersionTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/set/updatedVersion/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};


//设置-修改登录密码
var updatePwdRouter = {
    url: "updatePwdR/:stepId",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/set/updatePwd/view.html',
            controller: 'updatePwdCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/set/updatePwd/css/updatePwd.css', "updatePwd");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/set/updatePwd/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'updatePwdIndex@adb.updatePwdR': {
            templateUrl: function ($stateParams) {
                return 'module/userCenter/set/updatePwd/views/' + $stateParams.stepId + '.html';
            }
        }
    }

};

//特权页面
var specialPowerRouter = {
    url: "specialPowerR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/specialPower/view.html',
            controller: 'specialPowerCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/specialPower/css/specialPower.css', "specialPower");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/specialPower/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/adbTopRed.html',
            controller: 'specialPowerTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/specialPower/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
//个人中心-理赔服务页面
var claimsServiceRouter = {
    url: "/claimsServiceR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/claimsService/view.html',
            controller: 'claimsServiceCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/claimsService/css/claimsService.css', "claimsService");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/claimsService/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@claimsServiceR': {
            templateUrl: 'module/common/views/adbTop.html',
            controller: 'claimsServiceTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/claimsService/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
//个人中心-理赔资料-选择保险公司页面
var claimsCompanyRouter = {
    url: "claimsCompanyR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/claimsInfo/company.html',
            controller: 'claimsCompanyCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/claimsInfo/css/claimsInfo.css', "claimsInfo");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/claimsInfo/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
//个人中心-理赔服务资料页面
var claimsInfoRouter = {
    url: "/claimsInfoR/:cid",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/claimsInfo/view.html',
            controller: 'claimsInfoCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/claimsInfo/css/claimsInfo.css', "claimsInfo");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/claimsInfo/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@claimsInfoR': {
            templateUrl: 'module/common/views/topTransparent.html'
        }
    }

};


/************************ 展业模块 **********************/

//展业入口
var exhibitionRouter = {
    url: "exhibitionR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/exhibition/view.html',
            controller: 'exhibitionCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/exhibition/css/exhibition.css', "exhibition");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/exhibition/js/controller',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topLeftUC.html'
        },
        'sideSlip@adb': {
            templateUrl: 'module/common/views/sideslip.html'
        },
        'recommendProList@adb.exhibitionR': {
            templateUrl: 'module/common/views/recommendProList.html'
        }
    }
};


/************************ 家庭保障分析模块 **********************/

//家庭保障分析列表页
var familyAnalysisListRouter = {
    url: "/familyAnalysisListR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/familyAnalysis/list/view.html',
            controller: 'familyAnalysisListCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/familyAnalysis/list/css/list.css', "familyAnalysisList");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/familyAnalysis/list/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'familyAnalysisTop@familyAnalysisListR': {
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'familyAnalysisTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/familyAnalysis/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'dialog@familyAnalysisListR': {
            templateUrl: 'module/common/views/dialog.html'
        }
    }
};
//家庭保障分析-客户信息
var familyAnalysisCustomInfoRouter = {
    url: "/familyAnalysisCustomInfoR",
    views: {
        '': {
            templateUrl: 'module/familyAnalysis/customInfo/view.html',
            controller: 'familyAnalysisCustomInfoCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {

                    loadCss('module/familyAnalysis/customInfo/css/customInfo.css', "familyAnalysisCustomInfo");
                    loadCss('module/integration/association/css/association.css', "association");

                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/familyAnalysis/customInfo/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives',
                        'module/integration/association/js/controller'//关联客户controller
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }

        },
        'familyAnalysisTop@familyAnalysisCustomInfoR': {
            templateUrl: 'module/common/views/adbTop.html',
            controller: 'familyAnalysisTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/familyAnalysis/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'association@familyAnalysisCustomInfoR': {
            templateUrl: 'module/integration/association/view.html',
            controller: 'customersListCtrl'
        },//关联客户路由
        'dialog@familyAnalysisCustomInfoR': {
            templateUrl: 'module/common/views/dialog.html'
        }
    }
};
//家庭保障分析-添加修改家庭成员
var familyAnalysisAddMemberRouter = {
    url: "/familyAnalysisAddMemberR",
    views: {
        '': {
            templateUrl: 'module/familyAnalysis/addMember/view.html',
            controller: 'familyAnalysisAddMemberCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {

                    loadCss('module/familyAnalysis/addMember/css/addMember.css', "familyAnalysisAddMember");

                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/familyAnalysis/addMember/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }

        },
        'familyAnalysisTop@familyAnalysisAddMemberR': {
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'familyAnalysisTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/familyAnalysis/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'dialog@familyAnalysisAddMemberR': {
            templateUrl: 'module/common/views/dialog.html'
        }
    }
};

//家庭保障分析-编辑修改家庭成员
var familyAnalysisEditMemberRouter = {
    url: "/familyAnalysisEditMemberR/:fid",
    views: {
        '': {
            templateUrl: 'module/familyAnalysis/editMember/view.html',
            controller: 'familyAnalysisEditMemberCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {

                    loadCss('module/familyAnalysis/editMember/css/editMember.css', "familyAnalysisEditMember");

                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/familyAnalysis/editMember/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }

        },
        'familyAnalysisTop@familyAnalysisEditMemberR': {
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'familyAnalysisTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/familyAnalysis/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'dialog@familyAnalysisEditMemberR': {
            templateUrl: 'module/common/views/dialog.html'
        }
    }
};


//家庭保障分析信息
var familyAnalysisInfoRouter = {
    url: "/familyAnalysisInfoR",//id-0,添加，其余编辑
    views: {
        '': {
            templateUrl: 'module/familyAnalysis/info/view.html',
            controller: 'familyAnalysisInfoCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {

                    loadCss('module/familyAnalysis/info/css/info.css', "familyAnalysisInfo");

                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/familyAnalysis/info/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }

        },
        'familyAnalysisTop@familyAnalysisInfoR': {
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'familyAnalysisTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/familyAnalysis/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'dialog@familyAnalysisInfoR': {
            templateUrl: 'module/common/views/dialog.html'
        }

    }
};

//家庭保障分析-增加保障、编辑保障
var familyAnalysisInputRouter = {
    url: "/familyAnalysisInputR/:fid",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/familyAnalysis/input/view.html',
            controller: 'familyAnalysisInputCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/familyAnalysis/input/css/input.css', "familyAnalysisInput");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/familyAnalysis/input/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'familyAnalysisTop@familyAnalysisInputR': {
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'familyAnalysisTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/familyAnalysis/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'dialog@familyAnalysisInputR': {
            templateUrl: 'module/common/views/dialog.html'
        }
    }
};
//家庭保障分析结果页
var familyAnalysisResultRouter = {
    url: "/familyAnalysisResultR/:fid",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/familyAnalysis/result/view.html',
            controller: 'familyAnalysisResultCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    //加载css文件，并做标记（标记一定要唯一）
                    loadCss('module/familyAnalysis/result/css/result.css', "familyAnalysisResult");

                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/familyAnalysis/result/js/controller',
                        'js/directive/drag',
                        'module/familyAnalysis/js/familyDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'familyAnalysisTop@familyAnalysisResultR': {
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'familyAnalysisTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/familyAnalysis/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'dialog@familyAnalysisResultR': {
            templateUrl: 'module/common/views/dialog.html'
        },
        'share@familyAnalysisResultR': {
            templateUrl: 'module/common/views/share.html'
        }
    }
};
//家庭保障分析分享页
var familyAnalysisShareRouter = {
    url: "familyAnalysisShareR/:fid",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/familyAnalysis/result/share.html',
            controller: 'familyAnalysisResultCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {

                    //加载css文件，并做标记（标记一定要唯一，建议使用路由名称）
                    loadCss('module/familyAnalysis/result/css/result.css', "familyAnalysisResult");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/familyAnalysis/result/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html'
        }
    }
};

/************************ 提升模块 **********************/

//提升-书籍首页
var promoteRouter = {
    url: "promoteR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/promote/index/view.html',
            controller: 'promoteCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {

                    //加载css文件，并做标记（标记一定要唯一，建议使用路由名称）
                    loadCss('module/promote/index/css/promoteIndex.css', "promoteIndex");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/promote/index/js/controller',
                        'module/common/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/promote/index/head.html'
        },
        'sideSlip@adb': {
            templateUrl: 'module/common/views/sideslip.html'
        }
    }
};

//提升-书籍首页
var promoteBooksRouter = {
    url: "promoteBooksR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/promote/books/view.html',
            controller: 'promoteBooksCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {

                    //加载css文件，并做标记（标记一定要唯一，建议使用路由名称）
                    loadCss('module/promote/books/css/promoteBooks.css', "promoteBooks");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/promote/books/js/controller',
                        'module/common/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        //'adbTop@adb':{
        //    templateUrl: 'module/promote/books/head.html'
        //},
        'sideSlip@adb': {
            templateUrl: 'module/common/views/sideslip.html'
        }
    }
};
//提升-书籍预览
var booksPreviewRouter = {
    url: "/booksPreviewR/:bookId",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/promote/booksPreview/view.html',
            controller: 'booksPreviewCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {

                    //加载css文件，并做标记（标记一定要唯一，建议使用路由名称）
                    loadCss('module/promote/booksPreview/css/booksPreview.css', "booksPreview");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/promote/booksPreview/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@booksPreviewR': {
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'booksPreviewTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/common/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};
//提升-文章首页
var promoteArticleRouter = {
    url: "promoteArticleR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/promote/article/view.html',
            controller: 'promoteArticleCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {

                    //加载css文件，并做标记（标记一定要唯一，建议使用路由名称）
                    loadCss('module/promote/article/css/promoteArticle.css', "promoteArticle");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/promote/article/js/controller',
                        'module/common/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};
//提升-文章预览
var articlePreviewRouter = {
    url: "/articlePreviewR/:essayID",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/promote/articlePreview/view.html',
            controller: 'articlePreviewCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {

                    //加载css文件，并做标记（标记一定要唯一，建议使用路由名称）
                    loadCss('module/promote/articlePreview/css/articlePreview.css', "articlePreview");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/promote/articlePreview/js/controller',
                        'js/filter/myfilter',
                        'module/common/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@articlePreviewR': {
            templateUrl: 'module/promote/common/head.html',
            //controller: 'articlePreviewTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    //加载css文件，并做标记（标记一定要唯一，建议使用路由名称）
                    loadCss('module/promote/common/css/header.css', "promoteHeader");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/promote/articlePreview/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'share@articlePreviewR': {
            templateUrl: 'module/common/views/share.html'
        },
        'dialog@articlePreviewR': {
            templateUrl: 'module/common/views/dialog.html'
        }
    }
};
//提升-文章发布
var publishArticleRouter = {
    url: "publishArticleR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/promote/publishArticle/view.html',
            controller: 'publishArticleCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {

                    //加载css文件，并做标记（标记一定要唯一，建议使用路由名称）
                    loadCss('module/promote/publishArticle/css/publishArticle.css', "publishArticle");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/promote/publishArticle/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};

//提升-文章尽请期待 publishNoArticleRouter
var publishNoArticleRouter = {
    url: "publishNoArticleR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/promote/publishArticle/noArticle.html',
            controller: 'publishNoArticleCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {

                    //加载css文件，并做标记（标记一定要唯一，建议使用路由名称）
                    loadCss('module/promote/publishArticle/css/publishNoArticle.css', "publishNoArticle");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/promote/publishArticle/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/adbTopRed.html',
            controller: 'publishNoArticleTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/promote/publishArticle/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};


/************************ 业绩模块 **********************/
//我的业绩页面
var performanceRouter = {
    url: "performanceR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/performance/index/view.html',
            controller: 'performanceCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {

                    //加载css文件，并做标记（标记一定要唯一，建议使用路由名称）
                    loadCss('module/performance/index/css/index.css', "performance");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/performance/index/js/controller',
                        'module/performance/index/js/factory',
                        'js/directive/drag',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topLeftUC.html'
        },
        'sideSlip@adb': {
            templateUrl: 'module/common/views/sideslip.html'
        }

    }
};

//我的业绩-领取任务
var getTaskRouter = {
    url: "getTaskR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/performance/getTask/view.html',
            controller: 'getTaskCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {

                    //加载css文件，并做标记（标记一定要唯一，建议使用路由名称）
                    loadCss('module/performance/getTask/css/getTask.css', "getTask");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/performance/getTask/js/controller',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'getTaskTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/performance/getTask/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};

//我的业绩-领取任务
var taskRuleRouter = {
    url: "taskRuleR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/performance/taskRule/view.html',
            controller: 'taskRuleCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {

                    //加载css文件，并做标记（标记一定要唯一，建议使用路由名称）
                    loadCss('module/performance/taskRule/css/taskRule.css', "taskRule");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/performance/taskRule/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};

//我的业绩-推广费明细
var promotionExpensesRouter = {
    url: "promotionExpensesR/:monthId",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/performance/promotionExpenses/view.html',
            controller: 'promotionExpensesCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {

                    //加载css文件，并做标记（标记一定要唯一，建议使用路由名称）
                    loadCss('module/performance/promotionExpenses/css/promotionExpenses.css', "promotionExpenses");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/performance/promotionExpenses/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/adbTop.html',
            controller: 'promotionExpensesTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/performance/promotionExpenses/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};

//我的业绩-本月个人推广奖励
var promotionByPersonalRouter = {
    url: "promotionByPersonalR/:monthId",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/performance/promotionByPersonal/view.html',
            controller: 'promotionByPersonalCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {

                    //加载css文件，并做标记（标记一定要唯一，建议使用路由名称）
                    loadCss('module/performance/promotionByPersonal/css/promotionByPersonal.css', "promotionByPersonal");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/performance/promotionByPersonal/js/controller',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'recommendProList@adb.promotionByPersonalR': {
            templateUrl: 'module/common/views/recommendProList.html'
        }
    }
};

//我的业绩-业绩实现情况
var performanceDetailRouter = {
    url: "performanceDetailR/:monthId",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/performance/detail/view.html',
            controller: 'performanceDetailCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {

                    //加载css文件，并做标记（标记一定要唯一，建议使用路由名称）
                    loadCss('module/performance/detail/css/detail.css', "performanceDetail");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/performance/detail/js/controller',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'recommendProList@adb.performanceDetailR': {
            templateUrl: 'module/common/views/recommendProList.html'
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/adbTop.html',
            controller: 'performanceDetailTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/performance/detail/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};

//我的业绩-全部业绩实现情况
var performanceDetailAllRouter = {
    url: "performanceDetailAllR/:monthId",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/performance/detail/view2.html',
            controller: 'performanceDetailAllCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {

                    //加载css文件，并做标记（标记一定要唯一，建议使用路由名称）
                    loadCss('module/performance/detail/css/detail.css', "performanceDetail");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/performance/detail/js/controller2',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html'
        },
        'recommendProList@adb.performanceDetailAllR': {
            templateUrl: 'module/common/views/recommendProList.html'
        }
    }
};


//APP下载引导页
var downloadRouter = {
    url: "/downloadR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/home/download/view.html',
            controller: 'downloadCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/home/download/css/download.css', "download");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/home/download/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@downloadR': {
            templateUrl: 'module/common/views/adbTopRed.html',
            controller: 'downloadTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/home/download/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'dialog@downloadR': {
            templateUrl: 'module/common/views/dialog.html'
        }
    }

};
//微信中打开下载页
var wxDownloadRouter = {
    url: "/wxDownloadR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/home/download/wxDownload.html',
            controller: 'wxDownloadCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/home/download/css/download.css', "download");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/home/download/js/wxController'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@downloadR': {
            templateUrl: 'module/common/views/adbTopRed.html',
            controller: 'downloadTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/home/download/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'dialog@downloadR': {
            templateUrl: 'module/common/views/dialog.html'
        }
    }

};
//开学季
var backToSchoolRouter = {
    url: "/backToSchoolR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/activity/backToSchool/view.html',
            controller: 'activityCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/activity/css/activity.css', "activity");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/activity/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@backToSchoolR': {
            templateUrl: 'module/common/views/topLeftUC.html'
        },
        'sideSlip@backToSchoolR': {
            templateUrl: 'module/common/views/sideslip.html'
        }
    }

};
//群雄争霸
var hegemonyRouter = {
    url: "/hegemonyR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/activity/hegemony/view.html',
            controller: 'activityCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/activity/css/activity.css', "activity");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/activity/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@hegemonyR': {
            templateUrl: 'module/common/views/topLeftUC.html'
        },
        'sideSlip@hegemonyR': {
            templateUrl: 'module/common/views/sideslip.html'
        }
    }

};

//群雄争霸排行榜
var hegemonyRankRouter = {
    url: "/hegemonyRankR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/activity/hegemony/rank.html',
            controller: 'hegemonyRankCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/activity/css/activity.css', "activity");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/activity/hegemony/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
//百团大战
var hundredRegimentsRouter = {
    url: "/hundredRegimentsR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/activity/hundredRegiments/view.html',
            controller: 'activityCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/activity/css/activity.css', "activity");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/activity/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@hundredRegimentsR': {
            templateUrl: 'module/common/views/topLeftUC.html'
        },
        'sideSlip@hundredRegimentsR': {
            templateUrl: 'module/common/views/sideslip.html'
        }
    }

};
//百团大战排行榜
var hundredRegimentsRankRouter = {
    url: "/hundredRegimentsRankR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/activity/hundredRegiments/rank.html',
            controller: 'hundredRegimentsRankCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/activity/css/activity.css', "activity");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/activity/hundredRegiments/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
//中秋节活动
var midAutumnRouter = {
    url: "/midAutumnR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/activity/midAutumn/view.html',
            controller: 'activityCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/activity/css/activity.css', "activity");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/activity/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@midAutumnR': {
            templateUrl: 'module/common/views/topLeftUC.html'
        },
        'sideSlip@midAutumnR': {
            templateUrl: 'module/common/views/sideslip.html'
        }
    }

};

//十一国庆节活动
var nationalDayRouter = {
    url: "/nationalDayR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/activity/nationalDay/view.html',
            controller: 'activityCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/activity/css/activity.css', "activity");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/activity/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@nationalDayR': {
            templateUrl: 'module/common/views/topLeftUC.html'
        },
        'sideSlip@nationalDayR': {
            templateUrl: 'module/common/views/sideslip.html'
        }
    }

};
//滴滴红包活动
var redEnvelopeRouter = {
    url: "/redEnvelopeR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/activity/redEnvelope/view.html',
            controller: 'activityCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/activity/css/activity.css', "activity");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/activity/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@redEnvelopeR': {
            templateUrl: 'module/common/views/topLeftUC.html'
        },
        'sideSlip@redEnvelopeR': {
            templateUrl: 'module/common/views/sideslip.html'
        }
    }

};

var redEnvelopeDetailRouter = {
    url: "/redEnvelopeDetailR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/activity/redEnvelope/detail.html',
            controller: 'activityCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/activity/css/activity.css', "activity");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/activity/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@redEnvelopeDetailR': {
            templateUrl: 'module/common/views/topLeftUC.html'
        },
        'sideSlip@redEnvelopeDetailR': {
            templateUrl: 'module/common/views/sideslip.html'
        }
    }

};
//金秋收获季活动
var harvestSeasonRouter = {
    url: "/harvestSeasonR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/activity/harvestSeason/view.html',
            controller: 'activityCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/activity/css/activity.css', "activity");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/activity/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@harvestSeasonR': {
            templateUrl: 'module/common/views/topLeftUC.html'
        },
        'sideSlip@harvestSeasonR': {
            templateUrl: 'module/common/views/sideslip.html'
        }
    }

};
//转盘抽奖活动
var wheelSurfRouter = {
    url: "/wheelSurfR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/activity/wheelSurf/view.html',
            controller: 'wheelSurfCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/activity/wheelSurf/css/wheelSurf.css', "wheelSurf");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/activity/wheelSurf/js/controller'

                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@wheelSurfR': {
            templateUrl: 'module/common/views/topLeftUC.html'
        },
        'sideSlip@wheelSurfR': {
            templateUrl: 'module/common/views/sideslip.html'
        },
        'share@wheelSurfR': {
            templateUrl: 'module/common/views/share.html'
        }
    }

};

//转盘抽奖活动的下载页
var wheelSurfDownloadRouter = {
    url: "/wheelSurfDownloadR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/activity/wheelSurf/download.html',
            controller: 'wheelSurfDownloadCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/activity/wheelSurf/css/wheelSurf.css', "wheelSurf");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/activity/wheelSurf/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};