/******************************************************计划书开始******************************************************/
//计划书主路由
var planBookRouter = {
    url: "/",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/planBook/view.html',
            controller: 'planBookCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/planBook/common/css/adbTop.css', "planBookAdbTop");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/planBook/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@planBook': {
            templateUrl: 'module/planBook/common/adbTop.html'
        },
        'dialog@planBook': {
            templateUrl: 'module/common/views/dialog.html'
        },
        'share@planBook': {
            templateUrl: 'module/common/views/share.html'
        }
    }
};

//计划书列表页
var planBookListRouter = {
    url: "planBookListR",
    views: {
        '': {
            templateUrl: 'module/planBook/list/view.html',
            controller: 'planBookListCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/planBook/list/css/list.css', "planBookList");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/planBook/list/js/controller',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@planBook': {
            templateUrl: 'module/planBook/common/adbTop.html',
            controller: 'planBookListTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/planBook/list/js/controller',
                        'js/directive/mainDirectives',  //本地directive
                        'js/directive/drag',  //拖拽
                        'module/planBook/js/common' //common配置文件
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};

//计划书记录页
var planBookMyRecordRouter = {
    url: "planBookMyRecordR/:customerId",
    views: {
        '': {
            templateUrl: 'module/planBook/myRecord/view.html',
            controller: 'planBookMyRecordCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/planBook/myRecord/css/myRecord.css', "planBookMyRecord");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/planBook/myRecord/js/controller',
                        'js/directive/mainDirectives',
                        'js/filter/myfilter',
                        'module/planBook/js/common'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};

//计划书保险计划
var planBookDemonstrationRouter = {
    url: "planBookDemonstrationR",
    views: {
        '': {
            templateUrl: 'module/planBook/demonstration/view.html',
            controller: 'planBookDemonstrationCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/planBook/demonstration/css/demonstration.css', "planBookDemonstration");
                    loadCss('module/integration/association/css/association.css', "association");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/planBook/demonstration/js/controller', //计划书controller
                        'module/planBook/demonstration/js/planBooksSelectInsur', //添加主险js
                        'module/planBook/js/trial', //添加试算js
                        'js/directive/mainDirectives',  //本地directive
                        'js/directive/drag',  //拖拽
                        'module/integration/association/js/controller', //选择关联客户
                        'module/planBook/js/common', //common配置文件
                        'module/planBook/js/ruleForMakePlan', //计划书规则页
                        'module/planBook/js/mild', //计划书轻症疾病列表
                        'module/planBook/js/severe', //计划书重症疾病列表
                        'module/planBook/js/showRuleData', //计划书
                        'module/planBook/js/showRule' //计划书
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'association@planBook.planBookDemonstrationR': {
            templateUrl: 'module/integration/association/view.html',
            controller: 'customersListCtrl'
        }
    }
};

//计划书分享页面及记录页面详情信息
var planBookResultRouter = {
    url: "planBookResultR/:planId",
    views: {
        '': {
            templateUrl: 'module/planBook/result/view.html',
            controller: 'planBookResultCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/planBook/result/css/result.css', "planBookResult");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/planBook/result/js/controller',
                        'js/directive/mainDirectives',  //本地directive
                        'js/directive/drag',  //拖拽
                        'module/planBook/js/mild', //计划书轻症疾病列表
                        'module/planBook/js/severe' //计划书重症疾病列表
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};

/*//添加主险
 var planBookAddMainRouter={
 url:"/planBookAddMainR",
 views:{
 '':{
 templateUrl: 'module/planBook/list/addMain.html',
 controller: 'planBookListCtrl',
 resolve: {
 loadCtrl: ["$q", function($q) {
 loadCss('module/planBook/list/css/list.css',"planBookAddMain");
 var deferred = $q.defer();
 //异步加载controller／directive/filter/service
 require([
 'module/planBook/list/js/controller'
 ],function() { deferred.resolve(); });
 return deferred.promise;
 }]
 }
 },
 'adbTop@planBookAddMainR':{
 templateUrl: 'module/planBook/common/head.html'
 }
 }
 };

 //计划书输入页面
 var planBookInputRouter={
 url:"planBookInputR",
 views:{
 '':{
 templateUrl: 'module/planBook/input/view.html',
 controller: 'planBookInputCtrl',
 resolve: {
 loadCtrl: ["$q", function($q) {
 loadCss('module/planBook/input/css/input.css',"planBookInput");
 var deferred = $q.defer();
 //异步加载controller／directive/filter/service
 require([
 'module/planBook/input/js/controller'
 ],function() { deferred.resolve(); });
 return deferred.promise;
 }]
 }
 }
 }
 };

 //计划书演示结果页面
 var planBookResultRouter={
 url:"/planBookResultR",
 views:{
 '':{
 templateUrl: 'module/planBook/result/view.html',
 controller: 'planBookResultCtrl',
 resolve: {
 loadCtrl: ["$q", function($q) {
 loadCss('module/planBook/result/css/result.css',"planBookResult");
 var deferred = $q.defer();
 //异步加载controller／directive/filter/service
 require([
 'module/planBook/result/js/controller'
 ],function() { deferred.resolve(); });
 return deferred.promise;
 }]
 }
 }
 }
 };

 //计划书条款注解
 var planBookClauseRouter={
 url:"/planBookClauseR",
 views:{
 '':{
 templateUrl: 'module/planBook/clause/view.html',
 controller: 'planBookClauseCtrl',
 resolve: {
 loadCtrl: ["$q", function($q) {
 loadCss('module/planBook/clause/css/clause.css',"planBookClause");
 var deferred = $q.defer();
 //异步加载controller／directive/filter/service
 require([
 'module/planBook/clause/js/controller'
 ],function() { deferred.resolve(); });
 return deferred.promise;
 }]
 }
 }
 }
 };*/
/******************************************************计划书结束******************************************************/

/*****************************************************产品对比开始*****************************************************/
//产品对比分类
var proCompareCategoryRouter = {
    url: "proCompareCategoryR",
    views: {
        '': {
            templateUrl: 'module/proCompare/category/view.html',
            controller: 'proCompareCategoryCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/proCompare/category/css/category.css', "proCompareCategory");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/proCompare/category/js/controller',
                        'module/proCompare/js/factory'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};

//产品对比列表
var proCompareListRouter = {
    url: "proCompareListR",
    views: {
        '': {
            templateUrl: 'module/proCompare/list/view.html',
            controller: 'proCompareListCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/proCompare/list/css/list.css', "proCompareList");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/proCompare/list/js/controller',
                        'module/proCompare/js/factory'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};

//产品对比结果
var proCompareResultRouter = {
    url: "proCompareResultR/:classId/:pid/:pid1",
    views: {
        '': {
            templateUrl: 'module/proCompare/result/view.html',
            controller: 'proCompareResultCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/proCompare/result/css/result.css', "proCompareResult");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/proCompare/result/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'proCompareResultTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/proCompare/result/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'share@adb': {
            templateUrl: 'module/common/views/share.html'
        }
    }
};

//产品对比分享
var proCompareShareRouter = {
    url: "proCompareShareR/:classId/:pid/:pid1/:uid",//classid-分类id，pid，pid1-产品id,cid,客户id
    views: {
        '': {
            templateUrl: 'module/proCompare/result/view.html',
            controller: 'proCompareResultCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/proCompare/result/css/result.css', "proCompareResult");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/proCompare/result/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'proCompareResultTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/proCompare/result/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};
/*****************************************************产品对比结束*****************************************************/

/*******************************************************产品开始*******************************************************/
//产品模块
var productRouter = {
    url: "/productR",
    abstract: true, // 抽象状态，不会对应到url上
    views: {
        '': {
            templateUrl: 'module/product/view.html',
            controller: 'productCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/product/css/product.css', "product");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/product/js/controller',
                        'js/productConfig',
                        'js/filter/myfilter'
                        //'libs/idCardValid',
                        //'city'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'header@productR': {
            templateUrl: 'module/product/header.html'
        },
        'dialog@productR': {
            templateUrl: 'module/common/views/dialog.html'
        },
        'share@productR': {
            templateUrl: 'module/common/views/share.html'
        }
    }
};
//产品去赚钱
var makeMoneyRouter = {
    url: "/makeMoneyR",
    views: {
        '': {
            templateUrl: 'module/makeMoney/view.html',
            controller: 'makeMoneyCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/makeMoney/css/makeMoney.css', "productMakeMoney");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/makeMoney/js/controller',
                        'module/common/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'header@productR': {
            templateUrl: 'module/common/views/topLeftUC.html'
        },
        'sideSlip@productR': {
            templateUrl: 'module/common/views/sideslip.html'
        },
        'recommendProList@productR.makeMoneyR':{
            templateUrl: 'module/common/views/recommendProList.html'
        }
    }
};


//产品列表
var productListRouter = {
    url: "/productListR",
    views: {
        '': {
            templateUrl: 'module/product/list/view.html',
            controller: 'productListCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/product/list/css/productList.css', "productList");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/product/list/js/controller',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'header@productR': {
            templateUrl: 'module/common/views/adbTop.html'
        }
    }
};


//产品详情线上产品路由
var productDetailOnlineRouter = {
    url: "/productDetailOnlineR/:productId",
    views: {
        '': {
            templateUrl: 'module/product/detailOnline/view.html',
            controller: 'productDetailOnlineCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/product/detailOnline/css/productDetailOnline.css', "productDetailOnline");
                    loadCss('module/product/detailOnline/css/productDetailOnlineHead.css', "productDetailOnlineHead");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/product/detailOnline/js/controller',
                        //'js/service/anchorSmoothScroll',
                        'js/directive/drag',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'detailContent@productR.productDetailOnlineR': {
            templateUrl: function ($stateParams) {
                return 'module/product/detailOnline/views/' + $stateParams.productId + '/detail.html';
            }
        },
        'header@productR': {
            templateUrl: 'module/product/detailOnline/header.html',
            controller: 'productDetailOnlineTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/product/detailOnline/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'share@productR.productDetailOnlineR': {
            templateUrl: 'module/common/views/share.html'
        }
    }
};

//产品详情现下产品路由
var productDetailOfflineRouter = {
    url: "productDetailOfflineR/:productId",
    views: {
        '': {
            templateUrl: 'module/product/detailOffline/view.html',
            controller: 'productDetailCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/product/detailOffline/css/productDetail.css', "productDetailOffline");
                    loadCss('module/product/detailOnline/css/productDetailOnlineHead.css', "productDetailOnlineHead");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/product/detailOffline/js/controller',
                        'js/directive/drag',
                        //'js/service/anchorSmoothScroll',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'detailContent@adb.productDetailOfflineR': {
            templateUrl: function ($stateParams) {
                return 'module/product/detailOffline/views/' + $stateParams.productId + '/detail.html';
            }
        }
        //'appTop@adb.productDetailOfflineR': {
        //    templateUrl: 'module/product/detailOnline/head.html'
        //}
    }
};

//分开产品
var productFillInfoDemoRouter = {
    url: "/productFillInfoDemoR/:productId/:stepId",
    views: {
        '': {
            templateUrl: 'module/product/fillInfo/view.html',
            controller: 'fillInfoCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/product/fillInfo/css/productFillInfo.css', "productFillInfoDemoR");
                    loadCss('module/integration/association/css/association.css', "association");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/product/fillInfo/js/controller',
                        'js/directive/mainDirectives',
                        'js/libs/idCardValid',
                        'js/filter/myfilter',
                        'module/integration/association/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'fillInfoIndex@productR.productFillInfoDemoR': {
            templateUrl: function ($stateParams) {
                return 'module/product/fillInfo/views/step' + $stateParams.stepId + '.html';
            }
        },
        'association@productR.productFillInfoR': {
            templateUrl: 'module/integration/association/view.html',
            controller: 'customersListCtrl'
        }
    }
};


//填写信息路由
var productFillInfoRouter = {
    url: "/productFillInfoR/:productId/:stepId",
    views: {
        '': {
            templateUrl: 'module/product/fillInfo/view.html',
            controller: 'fillInfoCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/product/fillInfo/css/productFillInfo.css', "productFillInfo");
                    loadCss('module/integration/association/css/association.css', "association");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/product/fillInfo/js/controller',
                        'js/directive/mainDirectives',
                        'js/libs/idCardValid',
                        'js/filter/myfilter',
                        'module/integration/association/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'fillInfoIndex@productR.productFillInfoR': {
            templateUrl: function ($stateParams) {
                return 'module/product/fillInfo/views/general/step' + $stateParams.stepId + '.html';
            }
        },
        'association@productR.productFillInfoR': {
            templateUrl: 'module/integration/association/view.html',
            controller: 'customersListCtrl'
        }
    }
};

//填写信息路由
 var productFillInfoCarRouter = {
    url: "/productFillInfoCarR/:productId/:stepId",
    views: {
        '': {
            templateUrl: 'module/product/fillInfo/view.html',
            controller: 'fillInfoCarCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/product/fillInfo/css/productFillInfo.css', "productFillInfo");
                    loadCss('module/integration/association/css/association.css', "association");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/product/fillInfo/js/carController',
                        'js/directive/mainDirectives',
                        'js/libs/idCardValid',
                        'js/filter/myfilter',
                        'module/integration/association/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'fillInfoIndex@productR.productFillInfoCarR': {
            templateUrl: function ($stateParams) {
                return 'module/product/fillInfo/views/car/step' + $stateParams.stepId + '.html';
            }
        },
        'association@productR.productFillInfoCarR': {
            templateUrl: 'module/integration/association/view.html',
            controller: 'customersListCtrl'
        }
    }
};

//填写信息路由
var productFillInfoManyRouter = {
    url:"/productFillInfoManyR/:productId/:stepId",
    views:{
        '':{
            templateUrl: 'module/product/fillInfo/view.html',
            controller: 'fillInfoManyCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/product/fillInfo/css/productFillInfo.css',"productFillInfo");
                    loadCss('module/integration/association/css/association.css',"association");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/product/fillInfo/js/manyController',
                        'js/directive/mainDirectives',
                        'js/libs/idCardValid',
                        'js/filter/myfilter',
                        'module/integration/association/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'fillInfoIndex@productR.productFillInfoManyR': {
            templateUrl: function($stateParams){
                return 'module/product/fillInfo/views/many/step'+$stateParams.stepId+'.html';
            }
        },
        'association@productR.productFillInfoManyR':{
            templateUrl: 'module/integration/association/view.html',
            controller:'customersListCtrl'
        }
    }
};

//填写信息路由
var productFillMessageRouter = {
    url: "/productFillMessageR/:productId/:stepId/:stepModule",
    views: {
        '': {
            templateUrl: 'module/product/fillMessage/view.html',
            controller: 'fillMessageCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/product/fillMessage/css/productFillMessage.css', "productFillMessage");
                    loadCss('module/integration/association/css/association.css', "association");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/product/fillMessage/js/controller',
                        'js/directive/mainDirectives',
                        'js/libs/idCardValid',
                        'js/filter/myfilter',
                        'module/integration/association/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'fillInfoIndex@productR.productFillMessageR': {
            templateUrl: function ($stateParams) {
                return 'module/product/fillMessage/views/step' + $stateParams.stepId + '/step' + $stateParams.stepId + '_'+$stateParams.stepModule+'.html';
            }
        },
        'association@productR.productFillMessageR': {
            templateUrl: 'module/integration/association/view.html',
            controller: 'customersListCtrl'
        }
    }
};

//支付结果页
var productPayResultRouter = {
    url: "/productPayResultR",
    views: {
        '': {
            templateUrl: 'module/product/payResult/view.html',
            controller: 'payResultCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/product/payResult/css/payResult.css', "payResult");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/product/payResult/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};


//产品条款
var productInsureClauseRouter = {
    url: "/productInsureClauseR/:productPath/:productId",
    views: {
        '': {
            templateUrl: 'module/product/insureClause/view.html',
            controller: 'insureClauseCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/product/insureClause/css/insureClause.css', "productInsureClause");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/product/insureClause/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'dataCont@productR.productInsureClauseR': {
            templateUrl: function ($stateParams) {
                return 'module/product/' + $stateParams.productPath + '/views/' + $stateParams.productId + '/insureClause.html';
            }
        }
    }
};

//产品须知
var productInsureNoticeRouter = {
    url: "/productInsureNoticeR/:productPath/:productId/:num",
    views: {
        '': {
            templateUrl: 'module/product/insureNotice/view.html',
            controller: 'insureNoticeCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/product/insureNotice/css/insureNotice.css', "productInsureNotice");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/product/insureNotice/js/controller',
                        //'js/service/anchorSmoothScroll'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'statementCont@productR.productInsureNoticeR': {
            templateUrl: function ($stateParams) {
                return 'module/product/' + $stateParams.productPath + '/views/' + $stateParams.productId + '/insureNotice.html';
            }
        }
    }
};


//健康告知路由
var productHealthNoticeRouter = {
    url: "/productHealthNoticeR/:productId",
    views: {
        '': {
            templateUrl: 'module/product/healthNotice/view.html',
            controller: 'productHealthCtl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/product/healthNotice/css/productHealthNotice.css', "productHealthNotice");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/product/healthNotice/js/controller',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]

            }
        },
        'healthContent@productR.productHealthNoticeR': {
            templateUrl: function ($stateParams) {
                return 'module/product/detailOnline/views/' + $stateParams.productId + '/healthNotice.html';
            }
        },
        'header@productR.productHealthNoticeR': {
            templateUrl: function ($stateParams) {
                return 'module/product/healthNotice/header.html';
            }
        }
    }
};

//大额支付页路由
var productLargePayRouter = {
    url: "/productLargePayR/:productId",
    views: {
        '': {
            templateUrl: 'module/product/largePay/view.html',
            controller: 'largePayCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/product/largePay/css/largePay.css', "largePay");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/product/largePay/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};

/*******************************************************产品结束*******************************************************/

/*******************************************************车险开始*******************************************************/
//绑定
var autoBindRouter = {
    url: '/autoBindR',
    views: {
        '': {
            templateUrl: 'module/autoInsurance/bind/view.html',
            controller: 'autoBindCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/autoInsurance/bind/css/bind.css', "autoBind");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/bind/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'dialog@autoBindR': {
            templateUrl: 'module/common/views/dialog.html'
        }
    }
};

//车险询价
var autoInquiriesRouter = {
    url: 'autoInquiriesR',
    views: {
        '': {
            templateUrl: 'module/autoInsurance/inquiries/view.html',
            controller: 'autoInquiriesCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/autoInsurance/inquiries/css/inquiries.css', "autoInquiries");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/inquiries/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'autoInquiriesTopCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/inquiries/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};

//车主信息
var autoOwnerInfoRouter = {
    url: 'autoOwnerInfoR',
    views: {
        '': {
            templateUrl: 'module/autoInsurance/ownerInfo/view.html',
            controller: 'autoOwnerInfoCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/autoInsurance/ownerInfo/css/ownerInfo.css', "autoOwnerInfo");
                    loadCss('module/integration/association/css/association.css', "association")
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/ownerInfo/js/controller',
                        'js/libs/idCardValid',
                        'module/integration/association/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html'
        },
        'association@adb.autoOwnerInfoR': {
            templateUrl: 'module/integration/association/view.html',
            controller: 'customersListCtrl'
        }
    }
};

//车辆信息
var autoVehicleInfoRouter = {
    url: 'autoVehicleInfoR',
    views: {
        '': {
            templateUrl: 'module/autoInsurance/vehicleInfo/view.html',
            controller: 'autoVehicleInfoCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {

                    loadCss('module/autoInsurance/vehicleInfo/css/vehicleInfo.css', "autoVehicleInfo");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/vehicleInfo/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html'
        }
    }
};

//选择车辆型号
var autoSelectModelRouter = {
    url: 'autoSelectModelR',
    views: {
        '': {
            templateUrl: 'module/autoInsurance/selectModel/view.html',
            controller: 'autoSelectModelCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {

                    loadCss('module/autoInsurance/selectModel/css/selectModel.css', "autoSelectModel");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/selectModel/js/controller',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html'
        }
    }
};

//投保方案
var autoInsurancePlanRouter = {
    url: 'autoInsurancePlanR',
    views: {
        '': {
            templateUrl: 'module/autoInsurance/insurancePlan/view.html',
            controller: 'autoInsurancePlanCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {

                    loadCss('module/autoInsurance/insurancePlan/css/insurancePlan.css', "autoInsurancePlan");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/insurancePlan/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html'
        }
    }
};

//投保方案-选择保险公司
var autoSelectCompanyRouter = {
    url: 'autoSelectCompanyR',
    views: {
        '': {
            templateUrl: 'module/autoInsurance/selectCompany/view.html',
            controller: 'autoSelectCompanyCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/autoInsurance/selectCompany/css/selectCompany.css', "autoSelectCompany");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/selectCompany/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html'
        }
    }
};

//投保方案-信息提交成功
var autoSubmitOkRouter = {
    url: 'autoSubmitOkR',
    views: {
        '': {
            templateUrl: 'module/autoInsurance/submitOk/view.html',
            controller: 'submitOkCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/autoInsurance/submitOk/css/submitOk.css', "autoSubmitOk");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/submitOk/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html'
        },
        'share@adb': {
            templateUrl: 'module/common/views/share.html'
        }

    }
};

//询价单
var autoInquirySheetRouter = {
    url: 'autoInquirySheetR',
    views: {
        '': {
            templateUrl: 'module/autoInsurance/inquirySheet/view.html',
            controller: 'autoInquirySheetCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/autoInsurance/inquirySheet/css/inquirySheet.css', "autoInquirySheet");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/inquirySheet/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};

//报价列表
var autoOfferListRouter = {
    url: 'autoOfferListR',
    views: {
        '': {
            templateUrl: 'module/autoInsurance/offerList/view.html',
            controller: 'autoOfferListCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/autoInsurance/offerList/css/offerList.css', "autoOfferList");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/offerList/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};

//详细报价
var autoDetailOfferRouter = {
    url: 'autoDetailOfferR/:qNo',
    views: {
        '': {
            templateUrl: 'module/autoInsurance/detailOffer/view.html',
            controller: 'autoDetailOfferCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/autoInsurance/detailOffer/css/detailOffer.css', "autoDetailOffer");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/detailOffer/js/controller',
                        'js/filter/myfilter',
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};

//填写订单
var autoFillOrderRouter = {
    url: 'autoFillOrderR',
    views: {
        '': {
            templateUrl: 'module/autoInsurance/fillOrder/view.html',
            controller: 'autoFillOrderCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/autoInsurance/fillOrder/css/fillOrder.css', "autoFillOrder");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/fillOrder/js/controller',
                        'js/libs/idCardValid'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/adbTop.html',
            controller: 'autoFillOrderTopCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/fillOrder/js/controller',
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};

//车险订单列表
var autoPoliciesRouter = {
    url: 'autoPoliciesR',
    views: {
        '': {
            templateUrl: 'module/autoInsurance/policies/view.html',
            controller: 'autoPoliciesCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/autoInsurance/policies/css/policies.css', "autoPolicies");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/policies/js/controller',
                        'js/filter/myfilter',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/adbTop.html',
            controller: 'autoPoliciesTopCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/policies/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};
//上传资料
var autoUploadRouter = {
    url: 'autoUploadR/:oid',
    views: {
        '': {
            templateUrl: 'module/autoInsurance/upload/view.html',
            controller: 'autoUploadCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/autoInsurance/upload/css/upload.css', "autoUploadR");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/upload/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html'
        }
    }
};

//保险告知单
var autoMessageRouter = {
    url: 'autoMessageR/:oid',
    views: {
        '': {
            templateUrl: 'module/autoInsurance/message/view.html',
            controller: 'autoMessageCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/autoInsurance/message/css/message.css', "autoMessageR");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/message/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives',
                        'js/filter/myfilter',
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/adbTopRed.html'
        },
        'share@adb': {
            templateUrl: 'module/common/views/share.html'
        }
    }
};

//投保单详情
var autoPolicyDetailRouter = {
    url: 'autoPolicyDetailR/:oid',
    views: {
        '': {
            templateUrl: 'module/autoInsurance/policyDetail/view.html',
            controller: 'autoPolicyDetailCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/autoInsurance/policyDetail/css/policyDetail.css', "autoPolicyDetail");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/policyDetail/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives',
                        'js/filter/myfilter',
                        'js/service/anchorSmoothScroll'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'autoPolicyDetailTopCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/policyDetail/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'share@adb': {
            templateUrl: 'module/common/views/share.html'
        }

    }
};
/*******************************************************车险结束*******************************************************/

/*******************************************************钱包开始*******************************************************/
//我的钱包
var myWalletRouter = {
    url: 'myWalletR',
    views: {
        '': {
            templateUrl: 'module/myWallet/walletIndex/view.html',
            controller: 'myWalletCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/myWallet/walletIndex/css/walletIndex.css', "myWallet");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/myWallet/walletIndex/js/controller',
                        'js/directive/mainDirectives',
                        'js/filter/myfilter',
                        'js/sha'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/myWallet/walletIndex/head.html',
            controller: 'myWalletTopCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/myWallet/walletIndex/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};

//提现
var withdrawDepositRouter = {
    url: 'withdrawDepositR',
    views: {
        '': {
            templateUrl: 'module/myWallet/withdraw/view.html',
            controller: 'withdrawDepositCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/myWallet/withdraw/css/withdraw.css', "withdrawDeposit");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/myWallet/withdraw/js/withdrawDepositController',
                        'js/sha',
                        'js/filter/myfilter'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'withdrawDepositTopCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/myWallet/withdraw/js/withdrawDepositController'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};

//提现确认
var withdrawConfirmRouter = {
    url: 'withdrawConfirmR',
    views: {
        '': {
            templateUrl: 'module/myWallet/withdraw/confirm.html',
            controller: 'withdrawConfirmCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/myWallet/withdraw/css/confirm.css', "withdrawConfirm");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/myWallet/withdraw/js/withdrawConfirmController',
                        'js/sha'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html'
        }
    }
};

//我的银行卡
var myBankCardRouter = {
    url: 'myBankCardR',
    views: {
        '': {
            templateUrl: 'module/myWallet/bankCard/view.html',
            controller: 'myBankCardCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/myWallet/bankCard/css/my.css', "myBankCard");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/myWallet/bankCard/js/myBankCardController',
                        'js/sha'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html'
        }
    }
};

//添加银行卡
var addBankCardRouter = {
    url: 'addBankCardR/:stepId',
    views: {
        '': {
            templateUrl: 'module/myWallet/bankCard/add.html',
            controller: 'addBankCardCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/myWallet/bankCard/css/add.css', "addBankCard");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/myWallet/bankCard/js/addBankCardController',
                        'js/sha'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'addBankCardTopCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/myWallet/bankCard/js/addBankCardController'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};

//交易明细
var transDetailRouter = {
    url: '/transDetailR',
    views: {
        '': {
            templateUrl: 'module/myWallet/transDetail/view.html',
            controller: 'transDetailCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/myWallet/transDetail/css/detail.css', "transDetail");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/myWallet/transDetail/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives',
                        'js/filter/myfilter'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'header@transDetailR': {
            templateUrl: 'module/common/views/topRightHome.html'
        },
        'dialog@transDetailR': {
            templateUrl: 'module/common/views/dialog.html'
        }
    }
};

//交易密码
var transPassRouter = {
    url: 'transPassR',
    views: {
        '': {
            templateUrl: 'module/myWallet/transPass/view.html',
            controller: 'transPassCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/myWallet/transPass/css/pass.css', "transPass");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/myWallet/transPass/js/transPassController',
                        'js/sha'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html'
        }
    }
};

//设置交易密码
var transPassSetRouter = {
    url: 'transPassSetR',
    views: {
        '': {
            templateUrl: 'module/myWallet/transPass/set.html',
            controller: 'transPassSetCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/myWallet/transPass/css/set.css', "transPassSetR");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/myWallet/transPass/js/transPassSetController',
                        'js/libs/idCardValid',
                        'js/sha'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html'
        }
    }
};

//修改交易密码
var transPassEditRouter = {
    url: 'transPassEditR',
    views: {
        '': {
            templateUrl: 'module/myWallet/transPass/edit.html',
            controller: 'transPassEditCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/myWallet/transPass/css/set.css', "transPassEdit");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/myWallet/transPass/js/transPassEditController',
                        'js/sha'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html'
        }
    }
};

//忘记交易密码
var transPassForgetRouter = {
    url: 'transPassForgetR',
    views: {
        '': {
            templateUrl: 'module/myWallet/transPass/forget.html',
            controller: 'transPassForgetCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/myWallet/transPass/css/set.css', "transPassForget");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/myWallet/transPass/js/transPassForgetController',
                        'js/libs/idCardValid',
                        'js/sha'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html'
        }
    }
};

//设置新交易密码
var transPassNewRouter = {
    url: 'transPassNewR',
    views: {
        '': {
            templateUrl: 'module/myWallet/transPass/new.html',
            controller: 'transPassNewCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/myWallet/transPass/css/set.css', "transPassNew");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/myWallet/transPass/js/transPassNewController',
                        'js/sha'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html'
        }
    }
};


//支付协议
var payStateRouter = {
    url: 'payStateR',
    views: {
        '': {
            templateUrl: 'module/myWallet/payState/view.html',
            controller: 'payStateCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/myWallet/payState/css/payState.css', "payState");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/myWallet/payState/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};

//储蓄卡列表
var cardTypeListRouter = {
    url: 'cardTypeListR',
    views: {
        '': {
            templateUrl: 'module/myWallet/cardTypeList/view.html',
            controller: 'cardTypeListCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/myWallet/cardTypeList/css/cardTypeList.css', "cardTypeList");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/myWallet/cardTypeList/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html'
        }
    }
};

//提现费率介绍

var withdrawFeeRouter = {
    url: 'withdrawFeeR',
    views: {
        '': {
            templateUrl: 'module/myWallet/withdrawFee/view.html',
            controller: 'withdrawFeeCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/myWallet/withdrawFee/css/withdrawFee.css', "withdrawFee");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/myWallet/withdrawFee/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};

/*******************************************************钱包结束*******************************************************/































