'use strict';
define(['app'], function (app) {

    app.register.controller('autoDetailOfferCtrl', ['$scope', '$location', '$stateParams', '$state','adbService',function ($scope, $location, $stateParams, $state,adbService) {

        //改变页面的<title>
        $scope.appTitle = '详细报价';
        $scope.$emit("titleName", $scope.appTitle);
        /*****************************设置头部返回地址 begin******************************/
       
        var backUrl = $scope.getBackFactory('autoDetailOffer','autoOfferListR');
        if (backUrl != '') {
            //返回按钮操作
            backUrl = 'index.html#/'+backUrl;
            $scope.$emit("adbBack", backUrl, "2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        /*****************************设置头部返回地址 end******************************/


        function init()//初始化信息
        {
            $scope.quoteData = {};

        }
        init();

        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载
            var params = {
                "quoteSeqNo": $stateParams.qNo//询价单号
            };
            //console.log(params);
            adbService.getResult(
                {},
                $scope.setService('I252021',params),
                function (json) {
                    //console.log(json);
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.brokerInfo=json.data.brokerInfo;


                        if(json.data && typeof json.data.quoteData != 'undefined')
                        $scope.quoteData = json.data.quoteData;
                        //console.log($scope.quoteData);
                        $scope.totalPremium=accAdd(accAdd($scope.quoteData.businessPrice,$scope.quoteData.exemptPrice),accAdd($scope.quoteData.taxPrice,$scope.quoteData.vehiclePrice));//计算总保
                        $scope.baseInsurance=$scope.quoteData.vehicleRiskCommercialList;//获取基本保险

                        /***************设置代理人名片 begin**************************************/
                        $scope.brokerInfo.name = '';//名称
                        $scope.brokerInfo.headPortrait = '';//头像
                        if(typeof $scope.brokerInfo != 'undefinded' && typeof $scope.brokerInfo.regId != 'undefinded' && $scope.brokerInfo.regId)
                        {
                            getUserInfo($scope.brokerInfo.regId);
                        }
                        /***************设置代理人名片 end**************************************/

                        //根据是否不计免赔组装报价列表
                        var disregard=[];

                        angular.forEach($scope.baseInsurance, function(data,index){
                            //console.log(data);
                            if (data.deductibleIndi=="Y") {
                                //productList.push(mergeRisk[ele]);
                                disregard.push(data);
                                //disregard[index]=data;
                            }
                        });
                        $scope.disregard=disregard;
                        //console.log( $scope.disregard);
                        callShare2();
                    }
                    else{
                        $scope.dialogRes(json.header.imsg);//弹出错误提示
                    }


                },
                function(err){
                    //错误
                    //console.log(err);
                }
            );
        });

        //下一步到填写订单
        $scope.goFillOrder =function(){
            
            $scope.setBackFactory('autoFillOrder');
            $location.path('/autoFillOrderR');
        };


        /***************************************二次分享 begin******************************************************************/

        function callShare2()
        {
            if(!$scope.authed)
            {
                try {

                    /*var licenseNo = $scope.quoteData.licenseNo;
                    var url = _globalOption.shareHost+"/adb/share.html#/autoDetailOfferR/"+$stateParams.qNo+"?&";*/
                    var url = $location.absUrl();
                    var share2Obj = {
                        "currentUrl":url,//原始url
                        "shareTitle":'小保已成功的为您的爱车承保',//分享的标题
                        "shareUrl":url,//分享的url
                        "shareImg": _globalOption.host+"/adb/module/autoInsurance/submitOk/images/carShare.png",//分享的图片
                        "shareDesc":"人保财险为您的爱车["+licenseNo+"]报价"+$scope.totalPremium+"元，报价以最终出单价格为准。"//分享的描述
                    };
                    var pos=share2Obj.currentUrl.indexOf("#");
                    var dataJson = $scope.setService("W102010", {
                        "url" : pos>-1?share2Obj.currentUrl.substring(0,pos):share2Obj.currentUrl
                    })
                    common_wx_share(dataJson,share2Obj);
                } catch (e) {

                }
            }
        }

        /***************************************二次分享 end******************************************************************/


        /*********************************************获取分享出去名片的用户名称 begin*********************************************************/
        //黎明用户：默认显示昵称，若没有昵称则显示“真实姓名”
        //非黎明用户：默认显示“真实姓名”
        function getUserInfo(uid){
            //获取代理人信息
            var params = {
                "regId": uid
            };
            adbService.getResult(
                {},
                $scope.setService('I110801',params),
                function (json) {
                    //console.log(json)
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        var userInfo = json.data;//返回用户信息
                        //console.log(userInfo);
                        var isLimingUser = false;//非黎明用户,true-是，false-非
                        if(userInfo)
                        {
                            if(typeof userInfo['brokerLevel'] != 'undefined' && userInfo['brokerLevel'] > 0)
                            {
                                isLimingUser = true;
                            }
                            if (isLimingUser)
                            {
                                //黎明用户
                                if(typeof userInfo['nickName'] != 'undefined' && userInfo['nickName'])
                                {
                                    $scope.brokerInfo.name = userInfo['nickName'];
                                }
                                else if(typeof userInfo['name'] != 'undefined' && userInfo['name'])
                                {
                                    $scope.brokerInfo.name = userInfo['name'];
                                }
                            }
                            else{
                                //非黎明用户
                                if(typeof userInfo['name'] != 'undefined' && userInfo['name'])
                                {
                                    $scope.brokerInfo.name = userInfo['name'];
                                }
                            }

                            //设置头像
                            if(typeof userInfo['headPortrait'] != 'undefined'){
                                $scope.brokerInfo.headPortrait = userInfo['headPortrait'];
                            }

                        }
                    }
                    else{
                        $scope.dialogRes(json.header.imsg);//弹出错误提示
                    }
                },
                function(err){
                    //错误
                    //console.log(err);
                });
        }
        /*********************************************获取分享出去名片的用户名称 end*********************************************************/


    }]);


});
