'use strict';
define(['app'], function (app) {
    app.register.controller('autoInquiriesTopCtrl', ['$scope', '$location', '$stateParams', '$timeout','backFactory',function ($scope, $location, $stateParams, $timeout,backFactory) {
        $scope.goToBack = function(){
            if($scope.authed)
            {
                localStorage.removeItem("carData");//清楚缓存
                var res = $scope.gotoApp('PopNative');
                if (!res)
                {
                    /*****************************设置头部返回地址 begin******************************/
                    var backUrl = $scope.getBackFactory('autoInquiries');
                    if (backUrl != '')
                    {
                        //location.href = '#/' + backUrl;
                        //backUrl = 'index.html#/'+backUrl;
                        //$location.path(backUrl);
                        $location.url(backUrl);
                    }
                    /*****************************设置头部返回地址 end******************************/
                }
            }
        }
    }]);
    app.register.controller('autoInquiriesCtrl', ['$scope', '$location', '$stateParams', '$timeout','backFactory',function ($scope, $location, $stateParams, $timeout,backFactory) {
        //改变页面的<title>
        $scope.appTitle = '添加车辆';
        $scope.$emit("titleName", $scope.appTitle);

        ///*****************************设置头部返回地址 begin******************************/
        ////因为是浏览器、微信、App都会调用此页面
        //var backUrl = $scope.getBackFactory('autoInquiries','autoBindR');
        //if (backUrl != ''){
        //    //返回按钮操作
        //    $scope.$emit("adbBack",'index.html#/'+backUrl,"2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        //}
        //
        ///*****************************设置头部返回地址 end******************************/

        /*****************************设置头部返回地址 begin******************************/
        var backUrl = $scope.getBackFactory('autoInquiries','makeMoneyR');
        if (backUrl != '') {
            //返回按钮操作
            backUrl = 'index.html#/'+backUrl;
            $scope.$emit("adbBack", backUrl, "2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        /*****************************设置头部返回地址 end******************************/

        function init()//初始化信息
        {
            $scope.citySelect = "北京";//初始化城市
            $scope.shortName = '京';//初始化简称
            $scope.cityCode = '120000';//省市代码
            $scope.carData =localStorage.getItem('carData');
            if($scope.carData){//如果缓存有数据，去初始化，没数据，录入数据再存入缓存
                getInfo()
            }

        }

        init();

        //初始化询价信息
        function getInfo(){

            $scope.owner = $scope.carGetItem("owner");
            $scope.vehicleInfo = $scope.carGetItem("vehicleInfo");

            if($scope.owner && typeof ($scope.owner.addressInfo) != 'undefined' && typeof ($scope.owner.addressInfo.provinceName) != 'undefined')
            {
                $scope.citySelect = $scope.owner.addressInfo.provinceName;
            }
            //console.log($scope.vehicleInfo);

            if($scope.vehicleInfo && (typeof $scope.vehicleInfo.licenseNo != 'undefined'))
            {

                $scope.licensePlateNo = $scope.vehicleInfo.licenseNo;
                $scope.plateNo = $scope.vehicleInfo.licenseNo.substring(1,7);
                $scope.shortName = $scope.vehicleInfo.licenseNo.substring(0,1);
            }


        }


        //车牌号小写转大写toUpperCase
        $scope.changeCarNum = function(){
            if(typeof $scope.plateNo != 'undefined' && $scope.plateNo)
            $scope.plateNo = $scope.plateNo.toUpperCase();
        }

        //下一步跳转到车主信息
        $scope.goOwnerInfo =function(){
            var reg = /^[\u4e00-\u9fa5]{1}[A-Z]{1}[A-Z_0-9]{5}$/;
            var num = $scope.shortName + $scope.plateNo;
            if(num==""||!reg.test(num)){
                $scope.dialogRes("请填写正确的车牌号码");
                return;
            }else{
                $scope.licensePlateNo = num;
                saveVehicleInfo()
            }
            $scope.setBackFactory('autoOwnerInfo');
            $location.path('/autoOwnerInfoR');
        };

        //存储用户城市
        $scope.userCity = ["北京","天津"]
        $scope.changeCity = function(citySelect){
            if(citySelect=="北京"){
                $scope.citySelect = "北京";
                $scope.shortName = '京'
                $scope.cityCode = '110000'
            }else if(citySelect=="天津"){
                $scope.shortName = '津'
                $scope.citySelect = "天津";
                $scope.cityCode = '120000'
            }

        }

        //保存车辆信息
        function saveVehicleInfo(){
            var owner = {};

            var vehicleInfo = {};
            if($scope.carData){//没有数据就重新定义
                owner = $scope.carGetItem("owner");//有数据从缓存获取
                vehicleInfo = $scope.carGetItem("vehicleInfo");
            }
            if(typeof owner.addressInfo == 'undefined' || !owner.addressInfo){
                owner.addressInfo = {};
            }

            owner.addressInfo.provinceName = $scope.citySelect;
            owner.addressInfo.provinceCode = $scope.cityCode;
            vehicleInfo.licenseNo = $scope.licensePlateNo;




            $scope.owner = owner;
            $scope.vehicleInfo = vehicleInfo;
            $scope.carSetItem("owner",$scope.owner);
            $scope.carSetItem("vehicleInfo",$scope.vehicleInfo);
        }









    }]);
});
