'use strict';
define(['app','module/autoInsurance/insurancePlan/js/data_items'], function (app) {

    app.register.controller('autoInsurancePlanCtrl', ['$scope', '$location', '$stateParams', '$state','adbService','$timeout',function ($scope, $location, $stateParams, $state,adbService,$timeout) {

        //改变页面的<title>
        $scope.appTitle = '制定投保方案';
        $scope.$emit("titleName", $scope.appTitle);

        /*****************************设置头部返回地址 begin******************************/
        //因为是浏览器、微信、App都会调用此页面
        var backUrl = $scope.getBackFactory('autoInsurancePlan','autoSelectCompanyR');
        if (backUrl != ''){
            //返回按钮操作
            var from = $location.search().from;//如果from=1时，肯定返回是“详细报价页面”
            if(from == 1)
            {
                backUrl = 'autoSubmitOkR'
            }
            else if(backUrl == 'autoSelectCompanyR'){
                //css 重新加载一下
                adbCssFlag['autoSelectCompany'] = null;
                adbCssFlags = JSON.stringify(adbCssFlag);
                sessionStorage.setItem("adbCssFlag", adbCssFlags);
                loadCss('module/autoInsurance/selectCompany/css/selectCompany.css', "autoSelectCompany");
            }
            $scope.$emit("adbBack",'index.html#/'+backUrl,"2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        /*****************************设置头部返回地址 end******************************/
        var carData =localStorage.getItem('carData');
        if (carData!='undefined'&&carData) {
            carData = JSON.parse(carData);
        }
        var broker = localStorage.getItem('broker_in_session');
        if (broker!='undefined'&&broker) {
            broker = JSON.parse(broker);
        }
        //初始化信息
        function init() {
            insurancePlanShow();//显示投保页面
            initBaseInfo();//初始基础信息
            initOwnerInfo();//初始车主信息
            initVehicleInfo();//初始化车辆信息
            companiesInfo();//初始化保险公司信息
            businessInsureInfo();//初始化商业险信息
            enforceInsureInfo();//初始化交强险信息
            $scope.imsg = '';
        }
        init();
        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载


        });

        //基本信息展示
        function initBaseInfo() {

            //保险开关设定
            $scope.close = {};//默认打开
            $scope.isClose = function (e) {
                if(e!=$scope.vehicleRiskTraffic.insuranceCode){
                    if($scope.close[e]==true){
                        if($scope.close.damage==true && e!="damage"){
                            $scope.dialogRes("必须投保机动车损失险才可投保其他险种");
                        }else{
                            $scope.close[e] = !$scope.close[e];
                        }
                    }else{
                        $scope.close[e] = !$scope.close[e];
                    }
                }else{
                    $scope.close[e] = !$scope.close[e];
                }

                if($scope.close[e]==true){
                    $scope.disregard[e]=true;
                }
                if($scope.close[$scope.vehicleRiskTraffic.insuranceCode]){
                    $scope.riskTraffic = "N";//不投保交强险
                }else{
                    $scope.riskTraffic = "Y";//投保交强险
                }
                //console.info($scope.riskTraffic);

            };
            //不计免赔的开关设定
            $scope.disregard = {};
            $scope.isDisregard = function (e) {
                //判断对应险种option是否有选择
                if (($scope.contentValue[e] == "0"||$scope.close[e] == true) && $scope.disregard[e]==true) {//未投保该险种
                    $scope.dialogRes("请先选择投保该险种");
                } else {
                    $scope.disregard[e] = !$scope.disregard[e];
                }
            };
            //select选择选项设置
            $scope.contentValue = {};
            $scope.isContentChange = function (e) {
                //console.info("选择项", e, $scope.contentValue[e]);
                if($scope.contentValue[e]==0){
                    $scope.disregard[e]=true;
                }
                if($scope.contentValue[e]!=0){
                    if($scope.close.damage==true){
                        $scope.dialogRes("必须投保机动车损失险才可投保其他险种");
                    }
                }

            };
            getInsuranceTypes();//查询险种
            //险种查询
            function getInsuranceTypes(){
                //post给后台的参数
                var params = {
                    "entId": 100079//我来宝ID,固定
                };
                //console.log(params);
                adbService.getResult(
                    {},
                    $scope.setService('I252017',params),
                    function (json) {
                        if (json.header.istatus == '-99'){
                            $scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {

                            $scope.vehicleRiskTraffic=json.data.vehicleRiskTraffic;//交强险信息
                            $scope.commercial=json.data.vehicleRiskCommercialList;//商业险列表

                            $scope.insuranceTypes=$scope.carGetItem("insuranceTypes");//获取险种缓存

                            if(!isEmpty($scope.insuranceTypes)){

                                $scope.close=$scope.insuranceTypes.close;
                                $scope.contentValue=$scope.insuranceTypes.contentValue;
                                $scope.disregard=$scope.insuranceTypes.disregard;
                                if($scope.close[$scope.vehicleRiskTraffic.insuranceCode]){
                                    $scope.riskTraffic = "N";//不投保交强险
                                }else{
                                    $scope.riskTraffic = "Y";//投保交强险
                                }

                            }else{
                                //设置默认值
                                $scope.close[$scope.vehicleRiskTraffic.insuranceCode] = false;//交强险开关默认打开
                                //交强险特殊处理
                                $scope.vehicleRiskTraffic.options = [
                                    {"key": "N", "value": "不投保"},
                                    {"key": "Y", "value": "投保"}
                                ];
                                $scope.riskTraffic = "Y";//默认投保
                                for (var i in $scope.commercial) {
                                    var singleObj = $scope.commercial[i];//单个对象
                                    if (singleObj.options && singleObj.options.length > 0) {
                                        if(singleObj.insuranceCode=="third"){
                                            $scope.contentValue[singleObj.insuranceCode] = singleObj.options[4].key;//设置第三者默认值为30万
                                            $scope.disregard[singleObj.insuranceCode]=false;//带不计免赔
                                        }
                                        //else if(singleObj.insuranceCode=="scratch"){
                                        //    $scope.contentValue[singleObj.insuranceCode] = singleObj.options[3].key;//设置默认值为第一项
                                        //    $scope.disregard[singleObj.insuranceCode]=false;//带不计免赔
                                        //}
                                        else if(singleObj.insuranceCode=="driver"||singleObj.insuranceCode=="passenger"){
                                            $scope.contentValue[singleObj.insuranceCode] = singleObj.options[1].key;//设置默认值为第一项
                                            $scope.disregard[singleObj.insuranceCode]=false;//带不计免赔
                                        }
                                        else{
                                            $scope.contentValue[singleObj.insuranceCode] = singleObj.options[0].key;//设置默认值为不投
                                            $scope.disregard[singleObj.insuranceCode]=true;//不带不计免赔
                                        }

                                    } else {

                                        if(singleObj.insuranceCode=="damage"){
                                            $scope.close[singleObj.insuranceCode] = false;//车损 开关默认打开
                                            $scope.disregard[singleObj.insuranceCode]=false;//带不计免赔
                                        }else{
                                            $scope.close[singleObj.insuranceCode] = true;//其他险种开关默认关闭
                                            $scope.disregard[singleObj.insuranceCode]=true;//不带不计免赔
                                        }


                                    }
                                }
                            }

                        }
                        else{
                            $scope.dialogRes(json.header.imsg);//弹出错误提示
                        }


                    },
                    function(err){
                        //错误
                        //console.log(err);
                    }
                );
            }


        }

        //获取车主信息
        function initOwnerInfo() {
            $scope.owner=$scope.carGetItem("owner");

        }

        //获取车辆信息
        function initVehicleInfo() {
            $scope.vehicleInfo = $scope.carGetItem("vehicleInfo");

        }
        //获取保险公司信息
        function companiesInfo() {
            $scope.companies = $scope.carGetItem("companies");

        }
        //获取商业险信息
        function businessInsureInfo() {

            $scope.businessInsureInfo=$scope.carGetItem("businessInsureInfo");//获取商业险缓存
            if(!isEmpty($scope.businessInsureInfo)){
                $scope.businessExpireDate=new Date($scope.businessInsureInfo.validateDate);//商业险到期日
            }else{
                $scope.businessExpireDate=new Date();
            }

        }
        //获取交强险信息
        function enforceInsureInfo() {

            $scope.enforceInsureInfo=$scope.carGetItem("enforceInsureInfo");//获取交强险缓存
            if(!isEmpty($scope.enforceInsureInfo)){
                $scope.compelExpireDate=new Date($scope.enforceInsureInfo.validateDate);//交强险到期日
            }else{
                $scope.compelExpireDate=new Date();
            }

        }




        //判断json对象是否为空
        function isEmpty(obj)
        {
            for(var i in obj)
            {
                return false;
            }
            return true;
        }


        //下一步到提交信息成功
        $scope.submitForm =function(){

            var isCheck = checkForm();//检查表单信息
            if (!isCheck.status) {
                $scope.dialogRes(isCheck.msg);
                return ;
            }else{
                insuranceLoadShow();//询价中
                saveInsuranceTypes();//保存险种信息
                //组装投保险种
                var productList = [];
                var mergeRisk = {};//合并险种信息

                //根据是否不计免赔增加险种
                Object.keys($scope.disregard).forEach(function (ele, i) {
                    var item = {};
                    //console.info(ele,$scope.disregard[ele]);
                    if (!$scope.disregard[ele]) {
                        item.riskCode = ele;//险种
                        item.deductibleIndi = "Y";//是否免赔
                        mergeRisk[ele] = item;
                    }
                });
                //是否开关该险种
                Object.keys($scope.close).forEach(function (ele, i) {
                    var item = {};
                    if (!$scope.close[ele]) {
                        if (!mergeRisk[ele]&&"vehicle" != ele) {
                            item.riskCode = ele;
                            mergeRisk[ele] = item;
                        }
                    }
                });
                //根据添加保额增加险种
                Object.keys($scope.contentValue).forEach(function (ele, i) {
                    if ($scope.contentValue[ele] && $scope.contentValue[ele] != "0") {
                        if ("vehicleRiskTraffic" != ele) {
                            if (mergeRisk[ele]) {//存在该险种不计免赔
                                mergeRisk[ele].amount = $scope.contentValue[ele];
                            } else {
                                var item = {};
                                item.riskCode = ele;//险种
                                item.amount = $scope.contentValue[ele];//保额
                                mergeRisk[ele] = item;
                            }
                            if ("glass" == ele) {
                                delete mergeRisk[ele].amount;
                                mergeRisk[ele].glassType = $scope.contentValue[ele];
                            }
                        }
                    }
                });
                //组装选择险种信息
                Object.keys(mergeRisk).forEach(function (ele, i) {
                    productList.push(mergeRisk[ele]);
                });
                //增加险种展示信息--名称、描述
                for (var i in productList) {
                    for (var j in $scope.commercial) {
                        if (productList[i].riskCode == $scope.commercial[j].insuranceCode) {
                            productList[i].insuranceName = $scope.commercial[j].insuranceName;
                            productList[i].desc = $scope.commercial[j].desc;
                        }
                    }
                }

                $scope.productList=productList;
                console.info();
                //车险询价
                if(validCredNum("", $scope.businessExpireDate)){
                    $scope.businessDate = formatDate10($scope.businessExpireDate);//商业险到期日
                }else{
                    $scope.businessDate="0";
                }
                if($scope.compelExpireDate!="Invalid Date" && $scope.compelExpireDate){
                    $scope.compelDate = formatDate10($scope.compelExpireDate);//交强险到期日

                }else{
                    $scope.compelDate=genCurrentDate();
                }


                var postData = {
                    "entId": 100079,//第三方ID，我来宝ID
                    "provinceCode": carData['provinceCode'],//120000-天津-投保地区码
                    "provinceName": carData['provinceName'],//车主投保地区名称
                    "owner": $scope.owner,
                    //"owner": {
                    //    "name": "程凯",
                    //    "mobile":"手机号",
                    //    "certiCode":"身份证号",
                    //    "addressInfo": {
                    //        "provinceCode": "110000",//120000-天津-投保地区码
                    //        "provinceName": "北京",//车主投保地区名称
                    //    }
                    //},
                    //"vehicleInfo": $scope.vehicleInfo,
                    "vehicleInfo":{
                        "licenseNo": $scope.vehicleInfo.licenseNo,//"京QUK886"车牌号
                        "engineNo": $scope.vehicleInfo.engineNo,//"80201617",//引擎号
                        "enrollDate": $scope.vehicleInfo.enrollDate,//初次登记日期
                        "vin": $scope.vehicleInfo.vin,//"LE4HG5EB0DL086995",//车架号
                        "brandModel": $scope.vehicleInfo.brandModel,//"梅赛德斯-奔驰BJ7302L轿车",//厂牌型号
                        "vehicleTypeId": $scope.vehicleInfo.vehicleTypeId,//"MSBAQD0014",//车型ID
                        "businessExpireDate": $scope.businessDate,//商业险到期日期
                        "compelExpireDate": $scope.compelDate//交强险到期日
                    },
                    "companies":$scope.companies,//保险公司信息
                    "isInsureCompelInsurance": $scope.riskTraffic,//是否投保交强险
                    "productList": productList, //投保险种信息
                    "brokerInfo":{
                        "mobile":broker['mobile']
                    }

                };

                /*var json={"header":{"icode":"I252016","iserial":"1471939357386798","istatus":"1","imsg":"车险询价信息成功"},"data":{"quoteSeqNo":"139ea40831c14f56","businessPrice":4735.93,"exemptPrice":710.4,"vehiclePrice":579.55,"taxPrice":750,"vehicleStartDate":20160825160410,"vehicleEndDate":20170824160410,"businessStartDate":20160825160410,"businessEndDate":20170824160410,"vehicleRiskTraffic":{"insuranceCode":"vehicle","insuranceName":"交强险(含车船税)","price":579.55,"taxPrice":750},"vehicleRiskCommercialList":[{"insuranceCode":"damage","insuranceName":"车损险","selected":1,"amount":227212,"price":2943.13,"exemptPrice":441.47,"deductibleIndi":"Y"},{"insuranceCode":"third","insuranceName":"三者险","selected":1,"amount":200000,"price":978.3,"exemptPrice":146.75,"deductibleIndi":"Y"},{"insuranceCode":"driver","insuranceName":"司机险","selected":1,"amount":10000,"price":36.9,"exemptPrice":5.54,"deductibleIndi":"Y"},{"insuranceCode":"passenger","insuranceName":"乘客险","selected":1,"amount":10000,"price":93.6,"exemptPrice":14.04,"deductibleIndi":"Y"},{"insuranceCode":"robbery","insuranceName":"盗抢险","selected":0,"amount":0,"price":0,"exemptPrice":0},{"insuranceCode":"glass","insuranceName":"玻璃险","selected":0,"amount":1,"price":0,"exemptPrice":0},{"insuranceCode":"scratch","insuranceName":"划痕险","selected":1,"amount":10000,"price":684,"exemptPrice":102.6,"deductibleIndi":"Y"},{"insuranceCode":"burn","insuranceName":"自燃险","selected":0,"amount":0,"price":0,"exemptPrice":0},{"insuranceCode":"water","insuranceName":"涉水险","selected":0,"amount":0,"price":0,"exemptPrice":0},{"insuranceCode":"solatium","insuranceName":"精神损害抚慰金责任险","selected":0,"amount":0,"price":0,"exemptPrice":0},{"insuranceCode":"damage_special","insuranceName":"机动车损失保险无法找到第三方特约险","selected":0,"amount":0,"price":0,"exemptPrice":0}]}};
                postSuccess(json.data);
                return;*/

                adbService.getResult(
                    {},
                    $scope.setService('I252016',postData),
                    function (json) {
                        //console.log(json);
                        if (json.header.istatus == '1') {
                            postSuccess(json.data);
                        }else{
                            $scope.imsg = json.header.imsg;
                            insuranceDefeatedShow();//询价失败
                            //$scope.dialogRes(json.header.imsg);
                        }

                    },
                    function(err){
                        //错误
                        //console.log(err);
                        insuranceDefeatedShow();//询价失败
                    }
                );







            }

        };

        function postSuccess(data){
            //console.info("提交险种询价", postData);

            //insuranceLoadShow();//显示询价中页面
            $scope.quote=data;
            $scope.carSetItem("quote",$scope.quote);//储存报价信息

            saveBusinessInsureInfo();//保存商业险
            saveEnforceInsureInfo();//保存交强险


            $scope.setBackFactory('autoSubmitOk');
            $location.path('/autoSubmitOkR');
        }


        function saveInsuranceTypes(){//保存险种信息
            var insuranceTypes = {};
            insuranceTypes.close = $scope.close;//险种开关
            insuranceTypes.disregard = $scope.disregard;//不计免赔开关
            insuranceTypes.contentValue = $scope.contentValue;//下拉框信息
            $scope.insuranceTypes = insuranceTypes;//保存险种信息
            $scope.carSetItem("insuranceTypes",$scope.insuranceTypes);

        }
        function saveBusinessInsureInfo(){//保存商业险信息
            var businessInsureInfo = {};
            businessInsureInfo.proposalProcessId= $scope.quote['busiOrderId'];
            businessInsureInfo.applyDate= genCurrentDate();//投保日期
            if(validCredNum("", $scope.businessExpireDate)){
                businessInsureInfo.validateDate = formatDate10($scope.businessExpireDate);//商业险到期日
            }

            businessInsureInfo.productList = $scope.productList;//商业险险种列表
            $scope.businessInsureInfo = businessInsureInfo;//保存商业险信息
            $scope.carSetItem("businessInsureInfo",$scope.businessInsureInfo);
            //console.info("saveBusinessInsureInfo",$scope.businessInsureInfo);

        }
        function saveEnforceInsureInfo(){//保存交强险信息
            var enforceInsureInfo = {};
            enforceInsureInfo.proposalProcessId = $scope.quote['busiOrderId'];//投保流程ID，标识一次投保流程
            enforceInsureInfo.applyDate = genCurrentDate();//投保日期
            if(validCredNum("", $scope.compelExpireDate)){
                enforceInsureInfo.validateDate = formatDate10($scope.compelExpireDate);//交强险到期日
            }

            $scope.enforceInsureInfo = enforceInsureInfo;//保存商业险信息
            $scope.carSetItem("enforceInsureInfo",$scope.enforceInsureInfo);
            console.info("enforceInsureInfo",$scope.enforceInsureInfo);

        }

        //关闭报价查询或者查询失败页面
        $scope.enquiryBack=function(){
            insurancePlanShow();
        };

        //显示投保方案页面
        function insurancePlanShow(){
            $scope.insurancePlan=true;//默认显示投保方案
            $scope.enquiryBox=false;//默认隐藏询价页面
            $scope.insuranceLoading=false;//默认不显示询价中页面
            $scope.insuranceDefeated=false;//默认不显示询价失败页面
        }
        //显示询价中页面
        function insuranceLoadShow(){
            $scope.insurancePlan=false;//隐藏投保方案页面
            $scope.enquiryBox=true;//显示询价页面
            $scope.insuranceLoading=true;//显示询价中
            $scope.insuranceDefeated=false;//隐藏询价失败
        }

        //显示询价失败页面
        function insuranceDefeatedShow(){
            $scope.insurancePlan=false;//隐藏投保方案页面
            $scope.enquiryBox=true;//显示询价页面
            $scope.insuranceLoading=false;//显示询价中
            $scope.insuranceDefeated=true;//隐藏询价失败
        }

        //检查表单
        function checkForm() {
            var res = {
                "status": true,
                "msg": ""
            };
            //console.info($scope.contentValue);
            //console.info($scope.close);
            console.info($scope.riskTraffic);
            var i=12;
            angular.forEach($scope.contentValue, function(data){

                if(data==0){//遍历下拉框的赋值，如果为不投保则i-1
                    --i;
                }
            });
            angular.forEach($scope.close, function(data,key){
                //console.info(key);
                if(key!="vehicle"){
                    if(data==true){//遍历开关的赋值，如果为关闭则i-1
                        --i;
                    }
                }


            });
            
            if ($scope.close[$scope.vehicleRiskTraffic.insuranceCode]==true && i==1) {
                res.status = false;
                res.msg = "请选择投保方案";

            }
            else if($scope.close.damage==true){
                res.status = false;
                res.msg = "必须投保机动车损失险才可投保其他险种";

            }
            else if(!validCredNum("", $scope.businessExpireDate)){
                //若选择投保商业险，则商业险到期日期为空时
                res.status = false;
                res.msg = "请选择商业险到期日";
            }
            //else if (!$scope.close.burn||!$scope.close.damage||!$scope.close.damage_special||!$scope.close.robbery||!$scope.close.water||$scope.contentValue.third!="0"||$scope.contentValue.solatium!="0"||$scope.contentValue.scratch!="0"||$scope.contentValue.passenger!="0"||$scope.contentValue.glass!="0" ||$scope.contentValue.driver!="0") {
            //    if(!validCredNum("", $scope.businessExpireDate)){
            //        //若选择投保商业险，则商业险到期日期为空时
            //        res.status = false;
            //        res.msg = "请选择商业险到期日";
            //    }
            //
            //}
            else if ($scope.close[$scope.vehicleRiskTraffic.insuranceCode]==false) {
                if(!validCredNum("", $scope.compelExpireDate)){
                    //若选择投保交强险，则交强险到期日期为空时
                    res.status = false;
                    res.msg = "请选择交强险到期日";
                }

            }
            return res;
        }
    }]);

});
