'use strict';
define(['app'], function (app) {
    app.register.controller('autoOwnerInfoCtrl', ['$scope', '$timeout', '$location', '$stateParams','backFactory',function ($scope, $timeout, $location, $stateParams,backFactory) {
        //改变页面的<title>
        $scope.appTitle = '车主信息';
        $scope.$emit("titleName", $scope.appTitle);

        /*****************************设置头部返回地址 begin******************************/
        //因为是浏览器、微信、App都会调用此页面
        var backUrl = $scope.getBackFactory('autoOwnerInfo','autoInquiriesR');
        if (backUrl != ''){
            //返回按钮操作
            $scope.$emit("adbBack",'index.html#/'+backUrl,"2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        /*****************************设置头部返回地址 end******************************/


        function init()//初始化信息
        {

            $scope.carData =JSON.parse(localStorage.getItem('carData'));
            if($scope.carData!=""&&$scope.carData.owner!=undefined){
                getInfo()
            }
        }
        init();

        //初始化询价信息
        function getInfo(){
            $scope.owner = $scope.carGetItem("owner");
            //console.log($scope.owner)
            $scope.name = $scope.owner.name;
            $scope.mobile = $scope.owner.mobile;
            $scope.certiCode = $scope.owner.certiCode;
        }

        //下一步到车辆信息
        $scope.submitForm =function(){
            if($scope.name == ''||$scope.name == undefined){
                $scope.dialogRes("车主姓名不能为空");
                return;

            }
            if(!(/^1[3|4|5|7|8]\d{9}$/.test($scope.mobile))){
                $scope.dialogRes("请填写正确的手机号码");
                return;

            }
            if(!/^(\d{15}$|^\d{18}$|^\d{17}(\d|X|x))$/.test($scope.certiCode)){
                $scope.dialogRes("请填写正确的身份证号");
                return;

            }

            saveVehicleOwner($scope.name,$scope.mobile,$scope.certiCode);
            $scope.setBackFactory('autoVehicleInfo');
            $location.path('/autoVehicleInfoR');
        };

        //将信息存入缓存
        function saveVehicleOwner(name,mobile,cardNum){
            var owner = $scope.carGetItem("owner");;
            owner.name = name;
            owner.mobile = mobile;
            owner.certiCode = cardNum;
            $scope.owner = owner;
            $scope.carSetItem("owner",$scope.owner);
        }




        //接收添加用户信息（）
        $scope.$on("customerInfo", function (event, msg) {
            if (typeof msg[0] != 'undefined') {
                var holderInfo = msg[0];
                $scope.name = holderInfo.name;//姓名
                $scope.mobile = holderInfo.contactValue;//电话
                $scope.certiCode = holderInfo.certiCode;//身份证号
            }
        });
    }]);
});
