'use strict';
define(['app'], function (app) {

    app.register.controller('autoSelectModelCtrl', ['$scope', '$location', '$stateParams', '$state', 'backFactory', 'adbService', function ($scope, $location, $stateParams, $state, backFactory, adbService) {
        //改变页面的<title>
        $scope.appTitle = '选择车型';
        $scope.$emit("titleName", $scope.appTitle);

        /*****************************设置头部返回地址 begin******************************/
        //因为是浏览器、微信、App都会调用此页面
        var backUrl = $scope.getBackFactory('autoSelectModel', 'autoVehicleInfoR');
        if (backUrl != '') {
            //返回按钮操作
            $scope.$emit("adbBack", 'index.html#/' + backUrl, "2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        /*****************************设置头部返回地址 end******************************/

        function init()//初始化信息
        {

            $scope.unit = '天融互联';
            //$scope.insuranceLoading = true;//默认不显示询价中页面
            //$scope.owner = $scope.carGetItem("owner").name;
            //$scope.licenseNo = $scope.carGetItem("vehicleInfo").licenseNo;
            //$scope.engineNo = $scope.carGetItem("vehicleInfo").engineNo;
            //$scope.vin = $scope.carGetItem("vehicleInfo").vin;
            //$scope.brandModel = $scope.carGetItem("vehicleInfo").brandModel;
            //$scope.enrollDate = $scope.carGetItem("vehicleInfo").enrollDate;
            //getCarTyp()
            $scope.vehicleModelList = JSON.parse(localStorage.getItem("vehicleModelList"));
        }

        init();


        //车型库信息查询
        function getCarTyp() {
            var params = {
                "entId": 100079,
                "licenseNo": $scope.licenseNo,
                "owner": $scope.owner,
                "engineNo": $scope.engineNo,
                "vin": $scope.vin,
                "brandModel": $scope.brandModel,
                "enrollDate": $scope.enrollDate
            };
            adbService.getResult(
                {},
                $scope.setService('I252010', params),
                function (json) {
                    if (json.header.istatus == '-99') {
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.insuranceLoading = false;//默认不显示询价中页面
                        $scope.vehicleModelList = json.data.vehicleModelList;
                    }
                    else{
                        $scope.dialogRes(json.header.imsg);//弹出错误提示
                    }
                }
            );
        }

        //选中车型方法
        $scope.selectType = function (index) {
            $scope.unit = index;
            $scope.vehicleSeries = $scope.vehicleModelList[index].vehicleSeries;//车系
            $scope.vehicleYear = $scope.vehicleModelList[index].vehicleYear;//上市年份
            $scope.seats = $scope.vehicleModelList[index].seats;//座位数
            $scope.style = $scope.vehicleModelList[index].style;//款式
            $scope.vehiclePrice = $scope.vehicleModelList[index].vehiclePrice;//价格
            $scope.vehicleTypeId = $scope.vehicleModelList[index].vehicleTypeId;//价格
        }

        //保存车辆信息
        function saveVehicleInfo() {
            var vehicleInfo = $scope.carGetItem("vehicleInfo");
            vehicleInfo.vehicleSeries = $scope.vehicleSeries;
            vehicleInfo.vehicleYear = $scope.vehicleYear;
            vehicleInfo.seats = $scope.seats;
            vehicleInfo.style = $scope.style;
            vehicleInfo.vehiclePrice = $scope.vehiclePrice;
            vehicleInfo.vehicleTypeId = $scope.vehicleTypeId;
            $scope.vehicleInfo = vehicleInfo;
            $scope.carSetItem("vehicleInfo", $scope.vehicleInfo);
        }

        //跳转至选择保险公司页面
        $scope.submitForm = function () {
            if ($scope.unit == '天融互联') {
                $scope.dialogRes("请选择车型");
            } else {
                saveVehicleInfo();
                $scope.setBackFactory('autoSelectCompany');//跳转到选择保险公司页面
                $location.path('/autoSelectCompanyR');
            }


        };

    }]);
});



