'use strict';
define(['app'], function (app) {

    app.register.controller('submitOkCtrl', ['$scope', '$location', '$stateParams', '$timeout','$filter', function ($scope, $location, $stateParams, $timeout,$filter) {
        //改变页面的<title>
        $scope.appTitle = '详细报价';
        $scope.$emit("titleName", $scope.appTitle);

        /*****************************设置头部返回地址 begin******************************/
        //因为是浏览器、微信、App都会调用此页面
        var backUrl = $scope.getBackFactory('autoSubmitOk','autoInsurancePlanR');
        if (backUrl != ''){
            //返回按钮操作
            $scope.$emit("adbBack",'index.html#/'+backUrl,"2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        /*****************************设置头部返回地址 end******************************/



        //初始化信息
        function init() {
            initBaseInfo();//初始基础信息
            initVehicleInfo();//初始化车辆信息
            businessInsureInfo();//初始化商业险信息
            enforceInsureInfo();//初始化交强险信息
        }
        init();

        //获取报价信息
        function initBaseInfo() {
            $scope.pricesInfo = {};
            $scope.companies=$scope.carGetItem("companies");//获取保险公司
            //console.log($scope.companies);
            $scope.quoteDetail=$scope.carGetItem("quote");//获取报价信息
            //console.log($scope.quoteDetail);
            $scope.baseInsurance=$scope.quoteDetail.vehicleRiskCommercialList;//获取基本保险
            //console.log($scope.baseInsurance);
            $scope.vehicleRiskTraffic=$scope.quoteDetail.vehicleRiskTraffic;//获取强制保险
            $scope.totalPremium=accAdd(accAdd($scope.quoteDetail.businessPrice,$scope.quoteDetail.exemptPrice),accAdd($scope.quoteDetail.taxPrice,$scope.quoteDetail.vehiclePrice));//计算总保费
            //console.info($scope.totalPremium);
            //$scope.quoteDetail.totalPremium=$scope.totalPremium;
            $scope.pricesInfo.priceSum = $scope.totalPremium
            $scope.carSetItem("quote",$scope.quoteDetail);
            $scope.carSetItem("pricesInfo",$scope.pricesInfo);
            //根据是否不计免赔组装报价列表
            var disregard=[];

            angular.forEach($scope.baseInsurance, function(data,index){
                //console.log(data);
                if (data.deductibleIndi=="Y") {
                    //productList.push(mergeRisk[ele]);
                    disregard.push(data);
                    //disregard[index]=data;
                }
            });
            $scope.disregard=disregard;
            //console.info($scope.disregard);


        }

        //获取车辆信息
        function initVehicleInfo() {
            $scope.vehicleInfo = $scope.carGetItem("vehicleInfo");

        }

        //获取商业险信息
        function businessInsureInfo() {

            $scope.businessInsureInfo=$scope.carGetItem("businessInsureInfo");//获取商业险缓存
            if(!isEmpty($scope.businessInsureInfo)){
                $scope.businessExpireDate=$scope.businessInsureInfo.validateDate;//商业险生效日
            }else{
                $scope.businessExpireDate="";
            }

        }
        //获取交强险信息
        function enforceInsureInfo() {

            $scope.enforceInsureInfo=$scope.carGetItem("enforceInsureInfo");//获取交强险缓存
            if(!isEmpty($scope.enforceInsureInfo)){
                $scope.compelExpireDate=$scope.enforceInsureInfo.validateDate;//交强险生效日
            }else{
                $scope.compelExpireDate="";
            }

        }
        //判断json对象是否为空
        function isEmpty(obj)
        {
            for(var i in obj)
            {
                return false;
            }
            return true;
        }

        $scope.submitForm = function () {
            $scope.setBackFactory('autoFillOrder');
            $location.path('/autoFillOrderR');
        };
        //返回选择投保方案页面调整险种
        $scope.goInsurancePlan = function () {
            //$scope.setBackFactory('autoInsurancePlan');
            //location.href = 'index.html#/autoInsurancePlanR?from=1';
            $location.url('autoInsurancePlanR?from=1');
        };

        var sharing = false;//分享中
        $scope.gotoShare = function(){
            if(!sharing)
            {
                var id = 1;//询价id
                sharing = true;//标识在分享中
                var licenseNo = '';
                var quoteSeqNo = '';
                if($scope.vehicleInfo && typeof $scope.vehicleInfo.licenseNo != 'undefined')
                {
                    licenseNo = $scope.vehicleInfo.licenseNo;

                }

                if($scope.quoteDetail && typeof $scope.quoteDetail.quoteSeqNo != 'undefined')
                {
                    quoteSeqNo = $scope.quoteDetail.quoteSeqNo;
                }
                if(licenseNo && quoteSeqNo)
                {
                    var shareObj = {
                        //"imgUrl": _globalOption.host+"/adb/images/logo.png",
                        "imgUrl": _globalOption.host+"/adb/module/autoInsurance/submitOk/images/carShare.png",
                        "shareUrl": _globalOption.shareHost+"/adb/share.html#/autoDetailOfferR/"+quoteSeqNo+"?&",
                        "title": "您的爱车已出新的报价喽！",
                        "description": "人保财险为您的爱车["+licenseNo+"]报价"+$filter('number')($scope.totalPremium)+"元，报价以最终出单价格为准。"
                    };
                    //console.log(shareObj);
                    /********************分享 start********************/
                    $scope.$emit("goShare",shareObj );
                    /********************分享 end********************/
                    $scope.showShareBox(true);
                }

                var timer = $timeout(
                    function() {
                        sharing = false;
                    },
                    2000
                );

            }

        };

    }]);
});
function noDrag(){
    $('#noDrage').click();
}
