'use strict';
define(['app'], function (app) {

    app.register.controller('autoVehicleInfoCtrl', ['$scope', '$location', '$stateParams', '$state', 'backFactory', 'adbService', function ($scope, $location, $stateParams, $state, backFactory, adbService) {

        //改变页面的<title>
        $scope.appTitle = '车辆信息';
        $scope.$emit("titleName", $scope.appTitle);

        /*****************************设置头部返回地址 begin******************************/
        //因为是浏览器、微信、App都会调用此页面
        var backUrl = $scope.getBackFactory('autoVehicleInfo', 'autoOwnerInfoR');
        if (backUrl != '') {
            //返回按钮操作
            $scope.$emit("adbBack", 'index.html#/' + backUrl, "2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        /*****************************设置头部返回地址 end******************************/

        function init()//初始化信息
        {
            var vehicleInfo = $scope.carGetItem("vehicleInfo");
            var owner = $scope.carGetItem("owner");
            $scope.owner = owner.name;
            $scope.licenseNo = vehicleInfo.licenseNo;
            $scope.carData = JSON.parse(localStorage.getItem('carData'));
            if ($scope.carData != "" && JSON.parse($scope.carData.vehicleInfo).brandModel != undefined) {
                getInfo()
            }else{
                //$scope.time = new Date();//当天时期
                $scope.time = '';
            }


        }

        init();

        //初始化询价信息
        function getInfo() {
            var vehicleInfo = $scope.carGetItem("vehicleInfo");
            //var owner = $scope.carGetItem("owner");
            //$scope.owner = owner.name;
            //$scope.licenseNo = vehicleInfo.licenseNo;
            $scope.type = vehicleInfo.brandModel;
            $scope.frame = vehicleInfo.vin;
            $scope.engine = vehicleInfo.engineNo;
            $scope.time = new Date(vehicleInfo.enrollDate);

        }

        //下一步到选择车辆保险公司
        $scope.submitForm = function () {

            if ($scope.type == '' || $scope.type == undefined) {
                $scope.dialogRes("品牌型号不能为空");
                return;

            }
            if (!/^[a-zA-Z0-9]{17}$/.test($scope.frame)) {
                $scope.dialogRes("请填写正确的车架号");
                return;

            }
            /*if(!/^[a-zA-Z\d]{7,16}$/.test($scope.engine)){
             $scope.dialogRes("请填写正确的发动机号");
             return;

             }*/
            if (typeof $scope.engine == 'undefined' || $scope.engine == '') {
                $scope.dialogRes("请填写正确的发动机号");
                return;
            }
            if ($scope.time == '' || $scope.time == undefined) {
                $scope.dialogRes("请选择注册日期");
                return;

            }
            var currentDate = genCurrentDate();
            var selectDate = formatDate10($scope.time);
            if (currentDate < selectDate) {
                $scope.dialogRes("请选择正确的注册日期");
                return;
            }
            getCarType();
        };

        //车型库信息查询
        function getCarType() {
            $scope.insuranceLoading = true;
            var params = {
                "entId": 100079,//我来宝ID
                "licenseNo": $scope.licenseNo,
                "owner": $scope.owner,
                "engineNo": $scope.engine,
                "vin": $scope.frame,
                "brandModel": $scope.type,
                "enrollDate": formatDate10($scope.time)
            };
            adbService.getResult(
                {},
                $scope.setService('I252010', params),
                function (json) {
                    //console.log(json);
                    if (json.header.istatus == '-99') {
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.vehicleModelList = json.data.vehicleModelList;
                        $scope.insuranceLoading = false;
                        if ($scope.vehicleModelList != '' && $scope.vehicleModelList != undefined) {
                            saveVehicleInfo($scope.type, $scope.frame, $scope.engine, $scope.time);
                            localStorage.setItem("vehicleModelList", JSON.stringify($scope.vehicleModelList));
                            $scope.setBackFactory('autoSelectModel');//跳转至选择车型页面
                            $location.path('/autoSelectModelR');
                        } else {
                            $scope.dialogRes("没有查询到车型信息");
                        }
                    }else if(json.header.istatus == '2' && json.header.imsg == '第三方返回(Read timed out)'){
                        $scope.dialogRes('查询超时，请稍后再试');//弹出错误提示
                    }
                    else{
                        $scope.dialogRes(json.header.imsg);//弹出错误提示
                    }
                }
            );


        }

        //保存车辆信息
        function saveVehicleInfo(type, frame, engine, time) {
            var vehicleInfo = $scope.carGetItem("vehicleInfo");
            vehicleInfo.brandModel = type;//车辆品牌
            vehicleInfo.vin = frame;//车架号
            vehicleInfo.engineNo = engine;//发动机号
            vehicleInfo.enrollDate = formatDate10(time);//注册时间
            $scope.vehicleInfo = vehicleInfo;
            $scope.carSetItem("vehicleInfo", $scope.vehicleInfo);
        }

        //示例的显示和隐藏
        $scope.showImg = function (flag) {
            $scope.isImg = flag;
        }

    }]);

});



