/**
 * Created by acer on 2016/7/27.
 */
'use strict';
define(['app'],function(app){
    app.register.controller('investorCtrl',['$scope','$location','backFactory','adbService',function($scope,$location,backFactory,adbService){
        $scope.appTitle = "投资合伙人";
        $scope.$emit('titleName',$scope.appTitle);

        /*****************************设置头部返回地址 begin******************************/
        var backUrl = $scope.getBackFactory('investor','circleIndexR');
        if (backUrl != '')
        {
            backUrl = 'index.html#/'+backUrl;
            $scope.$emit("adbBack",backUrl,"2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        /*****************************设置头部返回地址 end******************************/

        $scope.monthShow = false;      //默认不显示选择月份的div

        var year=new Date().getFullYear();
        var nowMonth = new Date().getMonth() + 1;//当前月
        var month =(nowMonth<10 ? "0"+nowMonth:nowMonth);  //当前月份小于10则加0
        var yearmonth = year + "-" + month;
        $scope.selectVal = nowMonth;
        $scope.monthArr = [];
        for(var i=0;i<= 5;i++){
            if(nowMonth - i <=0)
            {
                $scope.monthArr[i] = nowMonth - i + 12;
            }
            else
            {
                $scope.monthArr[i] = nowMonth - i;
            }
        }
        //点击选择要传给后台的月份 小于10则加0
        $scope.selectMouth = function(selectMonth){
            if(selectMonth < 10){
                selectMonth = "0" + selectMonth;
            }
            $scope.selectVal = selectMonth;   //给当前点击项加class
            yearmonth = year + "-" + selectMonth;
            $scope.getHehuodata();
            $scope.appTitle = selectMonth.substring(1) + '月历史明细';
            $scope.$emit("titleName", $scope.appTitle);
            $scope.monthShow = false;
            window.scrollTo(0,0);
        }

        function init()//初始化信息
        {
            var broker = localStorage.getItem('broker_in_session');
            $scope.regId = '';
            if (broker) {
                broker = JSON.parse(broker);
                $scope.regId = broker['regId'];
            }

        }
        init();

        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载
            $scope.getHehuodata();
        });

        //获取投资合伙人信息
        $scope.getHehuodata = function(){
            adbService.getResult(
                {},
                $scope.setService("I140801", {
                    "regId": $scope.regId,
                    "month": yearmonth
                }),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.yesterdayTotalStPrem = json.data.yesterdayTotalStPrem;
                        $scope.monthTotalStPrem = json.data.monthTotalStPrem;
                        $scope.partnerCount = json.data.partnerCount;
                        $scope.seniorBrokerCount = json.data.seniorBrokerCount;
                        $scope.aloneBrokerCount = json.data.aloneBrokerCount;
                        //$scope.teamTotalProfit = json.data.teamTotalProfit;  //团队收益
                        //$scope.teamTotalStandardPrem = json.data.teamTotalStandardPrem;

                    }
                },
                function (err) {
                }
            )
        };

        $scope.goInvestorProfit = function(){
            //跳转到收益明细
            $scope.setBackFactory('investorAllowance');
            //location.href = "#/investorAllowanceR";
            $location.path('/investorAllowanceR/' + yearmonth);
        };
        $scope.goInvestorUser = function(){
            //跳转到人员明细
            $scope.setBackFactory('investorUserList');
            //location.href = "#/investorUserListR";
            $location.path('/investorUserListR');
        }

        $scope.scrollLetter = function(objId)
        {
            $scope.monthShow = !$scope.monthShow;

            //点击后页面滑动，到月份选择区域
            setTimeout(scrollFun,200);
            var obj = document.getElementById(objId);
            //console.log();
            function scrollFun(objId) {
                //document.documentElement.scrollTop =document.body.scrollTop= obj.offsetTop;
                document.documentElement.scrollTop =document.body.scrollTop= obj.offsetTop;
            }
        }
    }])
});
function noDrag(){
    $('#noDrage').click();
}