/**
 * Created by acer on 2016/7/27.
 */
'use strict';
define(['app'],function(app){
    app.register.controller('investorAllowanceCtrl',['$scope','$location','$stateParams','adbService','$timeout',function($scope,$location,$stateParams,adbService,$timeout){
        $scope.appTitle = "业绩明细";
        $scope.$emit('titleName',$scope.appTitle);
        /*****************************设置头部返回地址 begin******************************/
        var backUrl = $scope.getBackFactory('investorAllowance','circleIndexR');
        if (backUrl != '')
        {
            backUrl = 'index.html#/'+backUrl;
            $scope.$emit("adbBack",backUrl,"2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        /*****************************设置头部返回地址 end******************************/

        var broker_in_session=localStorage.getItem("broker_in_session");//获取用户信息
        broker_in_session = JSON.parse(broker_in_session);//把字符串转换成JSON对象

        function init()//初始化信息
        {

            //排序
            $scope.orderInfo={
                "time":"activeDown",//按时间排序，默认升序
                "name": "",       //按姓名排序
                "premium": ""  //按标保排序
            };

            //空白页初始化
            $scope.showBlank=-1;
            clearDate("1","2");//初始化数据

            var broker = localStorage.getItem('broker_in_session');
            $scope.regId = '';
            if (broker) {
                broker = JSON.parse(broker);
                $scope.regId = broker['regId'];
            }


        }
        init();

        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载

            getInvestorAllowance();
        });
        //数据滚动加载
        $scope.loadMore = function() {
            if(!$scope.isLoad){
                $scope.isLoad=true;
                $timeout(function(){
                    getInvestorAllowance();//得到收益明细
                    $scope.isLoad=false;
                },300)
            }
        };

        //初始化数据
        function clearDate(sortField,sortType){
            $scope.noResult = false;//没有结果
            $scope.isLoading = false;//是否加载
            $scope.noMore = false;//没有更多结果
            $scope.currentPage = 1;
            $scope.pageSize=20;//初始化数据每页的条数
            $scope.investorAllowance=[];
            $scope.sortField=sortField;//排序类型
            $scope.sortType=sortType;//升降序
        }
        //获取团队收益明细
        function getInvestorAllowance(){//sortField:排序类型，sortType：升降序
            if($scope.noResult || $scope.noMore){
                $scope.isLoading=false;
                return ;
            }else{
                $scope.isLoading=true;
            }
            //post给后台的参数
            var params = {
                "regId":$scope.regId,
                "month": $stateParams.month,//查询业绩月份,YYYY-MM
                "offset": $scope.currentPage,//页码,默认 1
                "pagesize": $scope.pageSize,//每页数量，默认10
                "sortField":$scope.sortField,//1-承保时间,2-标保,3-代理人姓名
                "sortType":$scope.sortType//1-升序 2-降序
                //"month": "201607",
                //"sortField": "1",
                //"sortType": "1",
                //"pagesize":"5",
                //"offset":"1"
            };
            adbService.getResult(
                {},
                $scope.setService('I140803',params),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {

                        //获取资料列表成功
                        if(json.data.detailList.length<$scope.pageSize){
                            $scope.noMore=true;
                            $scope.isLoading=false;
                        }
                        if(json.data.detailList.length>0){
                            $scope.currentPage=++$scope.currentPage;
                        }
                        var investorAllowance = json.data.detailList;
                        $scope.investorAllowance = $scope.investorAllowance.concat(investorAllowance);
                        if($scope.investorAllowance.length>10){
                            $scope.bottomShow = true;
                        }else{
                            $scope.bottomShow = false;
                        }
                        //无结果处理
                        if(investorAllowance.length==0){
                            $scope.noResult=true;
                        }

                    }else{

                    }
                    //判断是否显示空白页
                    if($scope.investorAllowance.length==0){
                        $scope.showBlank=1;
                    }else{
                        $scope.showBlank=0;
                    }

                },
                function(err){
                    //错误
                    //console.log(err);
                }
            );
        }

        //切换排序条件
        $scope.changeOrder = function (opt) {
            switch (opt) {
                case "time":
                    if (!$scope.orderInfo.time) {
                        $scope.orderInfo = {};
                        $scope.orderInfo.time = 'activeDown';
                        clearDate("1","2");//初始化数据
                        getInvestorAllowance();
                    } else {
                        $scope.orderInfo.time = toggleOrder($scope.orderInfo.time);
                        if($scope.orderInfo.time == 'activeDown'){
                            clearDate("1","2");//初始化数据
                        }else{
                            clearDate("1","1");//初始化数据
                        }

                        getInvestorAllowance();
                    }
                    break;
                case "name":
                    if (!$scope.orderInfo.name) {
                        $scope.orderInfo = {};
                        $scope.orderInfo.name = 'activeUp';
                        clearDate("3","1");//初始化数据
                        getInvestorAllowance();
                    } else {
                        $scope.orderInfo.name = toggleOrder($scope.orderInfo.name);
                        if($scope.orderInfo.name == 'activeDown'){
                            clearDate("3","2");//初始化数据
                        }else{
                            clearDate("3","1");//初始化数据
                        }
                        getInvestorAllowance();
                    }

                    break;
                case "premium":
                    if (!$scope.orderInfo.premium) {
                        $scope.orderInfo = {};
                        $scope.orderInfo.premium = 'activeUp';
                        clearDate("2","1");//初始化数据
                        getInvestorAllowance();
                    } else {
                        $scope.orderInfo.premium = toggleOrder($scope.orderInfo.premium);
                        if($scope.orderInfo.premium == 'activeDown'){
                            clearDate("2","2");//初始化数据
                        }else{
                            clearDate("2","1");//初始化数据
                        }

                        getInvestorAllowance();
                    }
                    break;
                default:break;
            }
        };
        //单个条目切换升降序
        function toggleOrder(order) {
            if (order === 'activeUp') {
                return 'activeDown';
            } else if (order === "activeDown") {
                return "activeUp";
            }else{
                return "";
            }
        }

    }])
});