/**
 * Created by acer on 2016/7/27.
 */
'use strict';
define(['app'],function(app){
    app.register.controller('teamAllowanceTopCtrl',['$scope','$location',function($scope,$location){
        $scope.goToBack = function(){
            var res = $scope.gotoApp('PopNative');
            if(!res){
                var backUrl = $scope.getBackFactory('teamAllowance');
                if (backUrl != ''){
                    $location.path(backUrl);
                }
            }
        }
    }]);
    app.register.controller('teamAllowanceCtrl',['$scope','$location','adbService','$stateParams','$timeout',function($scope,$location,adbService,$stateParams,$timeout){
        $scope.appTitle = "团队收益明细";
        $scope.$emit('titleName',$scope.appTitle);


        function init()//初始化信息
        {

            //排序
            $scope.orderInfo={
                "time":"activeDown",//按时间排序，默认升序
                "name": "",       //按姓名排序
                "premium": "",   //按标保排序
                "award": ""        //按推荐奖排序
            };

            //空白页初始化
            $scope.showBlank=-1;
            clearDate("1","2");//初始化数据

        }
        init();

        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载
            getTeamAllowance();

        });
        //数据滚动加载
        $scope.loadMore = function() {
            if(!$scope.isLoad){
                $scope.isLoad=true;
                $timeout(function(){
                    getTeamAllowance();//得到团队收益明细
                    $scope.isLoad=false;
                },300)
            }
        };

        //初始化数据
        function clearDate(sortField,sortType){
            $scope.noResult = false;//没有结果
            $scope.isLoading = false;//是否加载
            $scope.noMore = false;//没有更多结果
            $scope.currentPage = 1;
            $scope.pageSize=20;//初始化数据每页的条数
            $scope.teamAllowance=[];
            $scope.sortField=sortField;//排序类型
            $scope.sortType=sortType;//升降序
        }

        //获取团队收益明细
        function getTeamAllowance(){//sortField:排序类型，sortType：升降序
            if($scope.noResult || $scope.noMore){
                $scope.isLoading=false;
                return ;
            }else{
                $scope.isLoading=true;
            }
            //post给后台的参数
            var params = {
                "startMonth": $stateParams.month,//查询业绩月份,YYYY-MM
                "pageNum": $scope.currentPage,//页码,默认 1
                "pageSize": $scope.pageSize,//每页数量，默认10
                "sortField":$scope.sortField,//1-承保录入审核时间 2-标保 3-推荐奖 4-代理人姓名
                "sortType":$scope.sortType//1-升序 2-降序
                //"startMonth": "2016-07",
                //"pageNum": "1",
                //"pageSize": "10",
                //"sortField": "1",
                //"sortType":"1"
            };
            adbService.getResult(
                {},
                $scope.setService('I140601',params),
                function (json) {
                    //console.log(json);
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {

                        //获取资料列表成功
                        if(json.data.detailList.length<$scope.pageSize){
                            $scope.noMore=true;
                            $scope.isLoading=false;
                        }
                        if(json.data.detailList.length>0){
                            $scope.currentPage=++$scope.currentPage;
                        }
                        var teamAllowance = json.data.detailList;
                        //console.log(teamAllowance);
                        $scope.teamAllowance = $scope.teamAllowance.concat(teamAllowance);
                        if($scope.teamAllowance.length>10){
                            $scope.bottomShow = true;
                        }else{
                            $scope.bottomShow = false;
                        }
                        //无结果处理
                        if(teamAllowance.length==0){
                            $scope.noResult=true;
                        }

                    }else{

                    }
                    //判断是否显示空白页
                    if($scope.teamAllowance.length==0){
                        $scope.showBlank=1;
                    }else{
                        $scope.showBlank=0;
                    }

                },
                function(err){
                    //错误
                    //console.log(err);
                }
            );
        }

        //切换排序条件
        $scope.changeOrder = function (opt) {
            switch (opt) {
                case "time":
                    if (!$scope.orderInfo.time) {
                        $scope.orderInfo = {};
                        $scope.orderInfo.time = 'activeDown';
                        clearDate("1","2");//初始化数据
                        getTeamAllowance();
                    } else {
                        $scope.orderInfo.time = toggleOrder($scope.orderInfo.time);
                        if($scope.orderInfo.time == 'activeDown'){
                            clearDate("1","2");//初始化数据
                        }else{
                            clearDate("1","1");//初始化数据
                        }
                        getTeamAllowance();
                    }
                    break;
                case "name":
                    if (!$scope.orderInfo.name) {
                        $scope.orderInfo = {};
                        $scope.orderInfo.name = 'activeUp';
                        clearDate("4","1");//初始化数据
                        getTeamAllowance();
                    } else {
                        $scope.orderInfo.name = toggleOrder($scope.orderInfo.name);
                        if($scope.orderInfo.name == 'activeDown'){
                            clearDate("4","2");//初始化数据
                        }else{
                            clearDate("4","1");//初始化数据
                        }

                        getTeamAllowance();
                    }

                    break;
                case "premium":
                    if (!$scope.orderInfo.premium) {
                        $scope.orderInfo = {};
                        $scope.orderInfo.premium = 'activeUp';
                        clearDate("2","1");//初始化数据
                        getTeamAllowance();
                    } else {
                        $scope.orderInfo.premium = toggleOrder($scope.orderInfo.premium);
                        if($scope.orderInfo.premium == 'activeDown'){
                            clearDate("2","2");//初始化数据
                        }else{
                            clearDate("3","1");//初始化数据
                        }

                        getTeamAllowance();
                    }
                    break;
                case "award":
                    if (!$scope.orderInfo.award) {
                        $scope.orderInfo = {};
                        $scope.orderInfo.award = 'activeUp';
                        clearDate("3","1");//初始化数据
                        getTeamAllowance();
                    } else {
                        $scope.orderInfo.award = toggleOrder($scope.orderInfo.award);
                        if($scope.orderInfo.award == 'activeDown'){
                            clearDate("3","2");//初始化数据
                        }else{
                            clearDate("3","1");//初始化数据
                        }
                        getTeamAllowance();
                    }
                    break;
                default:break;
            }
        };
        //单个条目切换升降序
        function toggleOrder(order) {
            if (order === 'activeUp') {
                return 'activeDown';
            } else if (order === "activeDown") {
                return "activeUp";
            }else{
                return "";
            }
        }

    }])
});