/**
 * Created by acer on 2016/7/28.
 */
define(['app'], function (app) {
    app.register.controller('wechatRegisterCtrl', ['$scope', '$location', 'backFactory', '$interval', 'adbService','$stateParams', function ($scope, $location, backFactory, $interval, adbService,$stateParams) {
        function init()//初始化信息
        {
            $scope.invitationCode = $location.search().invitationCode;//代理人的分享码
            $scope.agrre_avtive = false;//已阅读，true-已阅读，false-未阅读
            $scope.clickStatus = false;//是否显示重新发送，true-显示
            //console.log(localStorage.getItem('registerInfo'));
            //console.log(typeof JSON.parse(localStorage.getItem('registerInfo')));

            if (localStorage.getItem('registerInfo') && localStorage.getItem('registerInfo')!='[object Object]' && JSON.parse(localStorage.getItem('registerInfo'))) {
                var registerInfo = JSON.parse(localStorage.getItem('registerInfo'));
                $scope.mobile = registerInfo.mobile;
                $scope.code = registerInfo.code;
                $scope.password = registerInfo.password;
                $scope.repassword = registerInfo.repassword;
                localStorage.removeItem('registerInfo')
            } else {
                $scope.mobile = '';
                $scope.code = '';//手机验证码
                $scope.password = '';//登陆密码
                $scope.repassword = '';//重复密码
            }
            $scope.clickStatus = false;

        }

        init();

        $scope.$on('$viewContentLoaded', function () {
            //视图渲染后加载

        });

        $scope.agree = function () {
            $scope.agrre_avtive = !$scope.agrre_avtive;
        }

        //发送短信验证码
        $scope.sendMsgCode = function () {
            if ($scope.mobile && (/^1\d{10}$/.test($scope.mobile))) {
                $scope.clickStatus = true;
                $scope.second = 60;
                var timer = setInterval(function () {
                    if ($scope.second == 0) {
                        clearInterval(timer);
                        $scope.clickStatus = false;
                    }
                    $scope.second--;
                    $scope.$apply();
                }, 1000);

                adbService.getResult(
                    {},
                    $scope.setService('I225010', {
                        "mobile": $scope.mobile,
                        "sendType": "1",               //1的类型是注册
                    }),
                    function (json) {
                        if (json.header.istatus == '-99'){
                            $scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {
                            $scope.dialogRes(json.header.imsg);
                        } else {
                            clearInterval(timer);
                            $scope.clickStatus = false;
                            $scope.dialogRes(json.header.imsg);
                        }
                    },
                    function (err) {
                        //错误
                        //console.log(err);
                    }
                );
            } else {
                $scope.dialogRes("请输入正确的手机号码");
            }
        }


        //检查表单
        function checkForm() {
            var res = {};
            res['status'] = true;   //检查通过-true;否则-false
            res['msg'] = '';        //返回错误信息
            var reg_phone = /^1\d{10}$/;    //手机正则
            var reg_code = /^\d{6}$/;       //验证码正则
            var reg_password = /^[\S\w]{6,20}$/;       //密码正则
            if (!reg_phone.test($scope.mobile)) {
                res['status'] = false;
                res['msg'] = '请输入正确手机号';
            } else if (!reg_code.test($scope.code)) {
                res['status'] = false;
                res['msg'] = '请输入验证码';
            } else if (!reg_password.test($scope.password)) {
                res['status'] = false;
                res['msg'] = '密码为6-12位';
            } else if ($scope.repassword != $scope.password) {
                res['status'] = false;
                res['msg'] = '两次输入的密码不一致';
            }
            return res;
        }

//协议页
        $scope.registerProtocol = function () {
            var registerInfo = {};
            registerInfo.mobile = $scope.mobile;
            registerInfo.code = $scope.code;
            registerInfo.password = $scope.password;
            registerInfo.repassword = $scope.repassword;

            localStorage.setItem('registerInfo',registerInfo);

            $scope.setBackFactory('registerProtocol');
            $location.path('/registerProtocolR');
        };

        //请求后台注册
        $scope.getCircleAllowance = function () {
            var res = checkForm();
            if ($scope.agrre_avtive == true) {
                if (res.status) {
                    var a = new Date();
                    var demoA= ""+a.getFullYear()+ (a.getMonth()+1)+ a.getDate()+ a.getHours()+ a.getMinutes();
                    var encryptPwd=encrypt(hex_sha1($scope.password),demoA);
                    var params = {
                        "mobile": $scope.mobile,
                        "pwd": encryptPwd,
                        "md5":hex_sha1(demoA),
                        "regChannel": "adbnative",
                        "regSource": "3",              //微信注册送2，app注册送3
                        "regType": "1",                //注册类型，微信注册3，手机注册1
                        "smsCode": $scope.code,        //验证码
                        "invitationCode": decodeURIComponent($scope.invitationCode) //代理人分享码
                    };
                    //console.log(params);
                    adbService.getResult(
                        {},
                        $scope.setService('I170202', params),
                        function (json) {
                            if (json.header.istatus == '1') {
                                //$scope.dialogRes(json.header.imsg);
                                $scope.setBackFactory('download');
                                $location.path('/downloadR');
                            } else {
                                //$scope.dialogRes(json.header.imsg);
                                $scope.dialogTip(json.header.imsg);
                            }

                        },
                        function (err) {
                            //错误
                            //console.log(err);
                        }
                    );
                } else {
                    $scope.dialogRes(res.msg);//弹出错误提示
                }
            } else {
                $scope.dialogRes("请阅读并同意爱多保协议");//弹出错误提示
            }
            ;

        };
        //console.log( $location.path("/wechatRegisterR?invitationCode="+ $location.search()['invitationCode']));
        //去邀请注册
        $scope.goRegister=function(){
            var invitationCode = decodeURIComponent($location.search()['invitationCode']);

            //location.href="#/wechatRegisterR?invitationCode="+encodeURIComponent(invitationCode);
            $location.url('wechatRegisterR?invitationCode='+encodeURIComponent(invitationCode));
        }

        /***************************************二次分享 begin******************************************************************/

        function callShare2()
        {
            if(!$scope.authed)
            {
                try {

                    //var url = _globalOption.shareHost+"/adb/share.html#/wechatRegisterGuideR?invitationCode="+$scope.invitationCode+"?&";
                    var url = $location.absUrl();
                    var share2Obj = {
                        "currentUrl":url,//原始url
                        "shareTitle":"我在爱多保用保险轻松创业，赚钱，就这么简单！",//分享的标题
                        "shareUrl":url,//分享的url
                        "shareImg": _globalOption.host+"/adb/images/logo.png",//分享的图片
                        "shareDesc":"爱多保，中国最大的保险经纪人创业扶植平台，保险精英都在这里，快来加入吧！"//分享的描述
                    };
                    var pos=share2Obj.currentUrl.indexOf("#");
                    var dataJson = $scope.setService("W102010", {
                        "url" : pos>-1?share2Obj.currentUrl.substring(0,pos):share2Obj.currentUrl
                    })
                    common_wx_share(dataJson,share2Obj);
                } catch (e) {

                }
            }
        }
        callShare2();
        /***************************************二次分享 end******************************************************************/


    }])
})