'use strict';
define(['app'], function (app) {

    app.register.controller('customerBirthdayRemindCtrl', ['$scope','$location','$stateParams','$timeout','backFactory','adbService',function($scope,$location,$stateParams,$timeout,backFactory,adbService){
        $scope.appTitle = '客户管家';
        $scope.$emit("titleName", $scope.appTitle);
        $scope.thisPath = 'module/customers/birthdayRemind/';//这个模块的物理位置

        /*****************************设置头部返回地址 begin******************************/
        var backUrl = $scope.getBackFactory('customerBirthdayRemind','customerIndexR');
        if (backUrl != ''){
            //返回按钮操作
            backUrl = 'index.html#/'+backUrl;
            $scope.$emit("adbBack",backUrl,"2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
            /*****************************设置头部返回地址 end******************************/
        }

        function init()//初始化信息
        {
            clearDate();
            var sendGiftTemplateArr = [
                {
                    'id':"1",
                    'bg':'module/customers/sendGift/images/card4.jpg',
                    'msg':'贺卡一'
                },
                {
                    'id':"2",
                    'bg':'module/customers/sendGift/images/card5.jpg',
                    'msg':'贺卡二'
                },
                {
                    'id':"3",
                    'bg':'module/customers/sendGift/images/card6.jpg',
                    'msg':'贺卡三'
                },
                {
                    'id':"4",
                    'bg':'module/customers/sendGift/images/card7.jpg',
                    'msg':'贺卡四'
                },
                {
                    'id':"5",
                    'bg':'module/customers/sendGift/images/card8.jpg',
                    'msg':'贺卡五'
                },
                {
                    'id':"6",
                    'bg':'module/customers/sendGift/images/card9.jpg',
                    'msg':'贺卡六'
                }];         //贺卡
            $scope.arr = sendGiftTemplateArr;
            $scope.CarId = "1";     //贺卡ID
        }
        init();
        function clearDate() {
            //$scope.noResult = false;//没有结果
            //$scope.isLoading = false;//是否加载
            //$scope.noMore = false;//没有更多结果
            $scope.currentPage = 1;
            $scope.pageSize = 100;
            $scope.customerList = [];
            $scope.sendFlag = "";
        }
        function swiperRun() {  //swiper滑动
            var swiper = new Swiper('.swiper-container', {
                slidesPerView:3.6,
                spaceBetween:0,
                slidesOffsetBefore:10,
            });
        }

        $scope.$on('ngRepeatFinished', function (ngRepeatFinishedEvent) {
            //下面是在页面 render完成后执行的js
            swiperRun();
        });

        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载
            getBenison();
        });

        $scope.selectCard = function (n){   //选择模板
           if($scope.CarId){
               $scope.CarId = n;
           }
        };

        function formatDate(now) {      //时间戳装换成日期
            var year=now.getFullYear();
            var month=now.getMonth()+1;
            var date=now.getDate();
            return year+"年"+month+"月"+date+"日";
        }
        function getBenison(){
            //if ($scope.noResult || $scope.noMore) {
            //    $scope.isLoading = false;
            //    return;
            //} else {
            //    $scope.isLoading = true;
            //}
            //console.info($scope.currentPage);
            var params = {
                "pageNo":$scope.currentPage,
                "pageSize":$scope.pageSize
            };
            adbService.getResult(
                $scope.setService('I131014', params),
                function(json){
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        var customerList = json.data.birthdayList;
                        $scope.customerList = customerList;

                        for(var i = 0;i<$scope.customerList.length;i++){
                            var dateNum = $scope.customerList[i].birthday;
                            var timeDate = new Date(dateNum);
                            $scope.birthdayTime = formatDate(timeDate);   //计算生日日期
                            $scope.customerList[i].birthdayTime = formatDate(timeDate);
                        }
                    }else {
                        $scope.dialogRes(json.header.imsg);
                    }
                }
            )
        }

        ////数据滚动加载
        //$scope.loadMore = function () {
        //    if (!$scope.isLoad) {
        //        $scope.isLoad = true;
        //        $timeout(function () {
        //            getBenison();
        //            $scope.isLoad = false;
        //        }, 300)
        //    }
        //};
        $scope.sendGift = function(cid,cardId){
            //点击送祝福
            $scope.setBackFactory('customerSendGift');
            //location.href='index.html#/customerSendGiftR/'+cid+'/'+cardId;
            $location.url('customerSendGiftR/'+cid+'/'+cardId);
        }
        $scope.goCustomerAdd = function(){
            //点击进入客户添加
            $scope.setBackFactory('customerAdd');
            //location.href='index.html#/customerAddR';
            $location.url('customerAddR');
        }
    }]);
});