'use strict';
define(['app','../../js/factory'], function (app) {

    app.register.controller('customerDetailCtrl', ['$scope', '$location', '$stateParams', '$timeout', 'backFactory', 'adbService', 'customerFactory',function ($scope, $location, $stateParams, $timeout, backFactory, adbService,customerFactory) {
        $scope.appTitle = '客户资料';
        $scope.$emit("titleName", $scope.appTitle);
        $scope.thisPath = 'module/customers/detail/';//这个模块的物理位置
        $scope.cid = $stateParams.cid;
        /*****************************设置头部返回地址 begin******************************/
        var backUrl = $scope.getBackFactory('customerDetail', 'customerIndexR');
        if (backUrl != '') {
            backUrl = 'index.html#/' + backUrl;
            $scope.$emit("adbBack", backUrl, "2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        /*****************************设置头部返回地址 end******************************/



        function init()//初始化信息
        {
            $scope.type = $location.search().type;//type:null-预览,1-管理
            if ($scope.type != 1) {
                $scope.type = 0;
            }
            $scope.noResult = false;//没有结果
            $scope.isLoading = false;//是否加载
            $scope.currentPage = 1;
            $scope.pageSize = 10000;
            $scope.policyListInfo = [];  //保单列表
            $scope.showBlank = -1;

            //计划书历史记录列表
            $scope.recordPageNo = 1;
            $scope.recordPageSize = 10;
            $scope.noMoreRecord = false;
            $scope.planRecordList = [];
        }

        init();


        $scope.$on('$viewContentLoaded', function () {
            //视图渲染后加载
            getCustomerDetail();
            getPlanBookRecord();
        });

        function formatDate(now) {      //时间戳装换成日期
            var year=now.getFullYear();
            var month=now.getMonth()+1;
            var date=now.getDate();
            return year+"年"+month+"月"+date+"日";
        }
        //获取后台客户列表
        function getCustomerDetail() {
            //post给后台的参数
            var params = {
                "customerId": $scope.cid
            };
            adbService.getResult(
                {},
                $scope.setService('I131017', params),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.customerDetailInfo = json.data;
                        customerFactory.setter($scope.customerDetailInfo);
                        //localStorage.setItem("customerDetailInfo", JSON.stringify($scope.customerDetailInfo));
                        //客户基本信息
                        $scope.customerBase = {};
                        $scope.customerBase.name = $scope.customerDetailInfo.name;
                        $scope.customerBase.gender = $scope.customerDetailInfo.gender;
                        if ($scope.customerBase.gender == "F") {
                            $scope.customerBase.sex = "女";
                        } else if ($scope.customerBase.gender == "M") {
                            $scope.customerBase.sex = "男";
                        }
                        $scope.customerBase.age = $scope.customerDetailInfo.age;
                        $scope.customerBase.contactValue = $scope.customerDetailInfo.contactValue[0];
                        //车辆信息
                        if ($scope.customerDetailInfo.vehicleList) {
                            $scope.vehicleList = $scope.customerDetailInfo.vehicleList;
                        }
                        getinsurance();//获取保单列表
                    }
                },
                function (err) {
                    //错误
                    //console.log(err);
                }
            );
        }

        //获取计划书历史记录
        function getPlanBookRecord() {
            var recordParams = {
                "pageNo": $scope.recordPageNo,//页-做过修改，原来是pageNum
                "pageSize": $scope.recordPageSize,//每页数量
                "source": "K",//P:计划书查询历史  K:查询某个客户的
                "customerId": $scope.cid//客户ID 非必填
            };
            adbService.getResult(
                {},
                $scope.setService('I231011', recordParams),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        var planRecordList = json.data.customerInfo;
                        //判断获取列表数据是否小于每页数量
                        if(planRecordList.length<$scope.recordPageSize){
                            $scope.noMoreRecord = true;
                        }
                        //判断获取的数据长度
                        if(planRecordList.length > 0){
                            for(var i=0; i<planRecordList.length; i++){
                                planRecordList[i].createTime = formatDate(new Date(parseFloat(planRecordList[i].createTime)));
                                //将新增的列表加入之前页面的列表内
                                $scope.planRecordList.push(planRecordList[i]);
                            }
                            //页数增加
                            $scope.recordPageNo ++;
                        }
                    }
                },
                function (err) {
                    //错误
                    //console.log(err);
                }
            );
        }
        //计划书历史记录数据滚动加载
        $scope.recordLoadMore = function() {
            if(!$scope.isLoad){
                $scope.isLoad=true;
                $timeout(function(){
                    getPlanBookRecord();
                    $scope.isLoad=false;
                },300)
            }
        };

        //刪除某一条计划书
        $scope.delPlanRecord = function(recordId,name){
            $scope.dialogConfirm("确认删除"+name+'吗？',"","取消","删除","delPlanRecordFlag");
            //客户确定删除后，向数据库通讯

            $scope.$on("delPlanRecordFlag",function (event, msg) {
                var delRecordParams = {
                    "_id":recordId,
                };
                adbService.getResult(
                    {},
                    $scope.setService('I231013',delRecordParams),
                    function (json) {
                        if (json.header.istatus == '-99'){
                            $scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {
                            for(var i=0;i<$scope.planRecordList.length;i++){
                                var singleRecordInfo = $scope.planRecordList[i];
                                if(recordId==singleRecordInfo._id){
                                    $scope.planRecordList.splice(i,1);
                                }
                            }
                        }
                    },
                    function(err){

                    }
                );
            });
        };

        //获取保单列表
        function getinsurance(){
            //var getInfo =  localStorage.getItem("customerDetailInfo");  //获取客户信息
            var getInfo =  customerFactory.getter();  //获取客户信息
            //console.log(getInfo)
            if(getInfo){
                //$scope.getInfo = JSON.parse(getInfo);
                $scope.getInfo = getInfo;
                if(typeof $scope.getInfo.certiCode =='undefined'&&$scope.getInfo.certiCode==''){
                    $scope.getInfo.certiCode = '';
                }
            }
            if ($scope.noResult || $scope.noMore){
                $scope.isLoading = false;
                return;
            }else{
                $scope.isLoading = true;
            }
            if(typeof $scope.getInfo.certiCode == 'undefined')
            {
                $scope.getInfo.certiCode = '';
            }
            var params = {
                "pageNo":$scope.currentPage,
                "pageSize":$scope.pageSize,
                "customerId":$scope.cid,     //客户ID 非必填 ,
                "certiCode": $scope.getInfo.certiCode  //客户身份证号
            };
            adbService.getResult(
                {},
                $scope.setService('I131019',params),
                function (json) {
                    //console.log(json)
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if(json.header.istatus=='1'){
                        //if (json.data.policyList.length < $scope.pageSize) {
                        //    $scope.isLoading = false;
                        //}
                        //if (json.data.policyList.length > 0) {
                        //    $scope.currentPage = ++$scope.currentPage;
                        //}
                        var policyList = json.data.policyList;
                        $scope.policyListInfo = $scope.policyListInfo.concat(policyList);
                        for(var i = 0;i<$scope.policyListInfo.length;i++){
                            var payNum = $scope.policyListInfo[i].payTime;                 //保单生效日
                            var endNum = $scope.policyListInfo[i].endTime;                 //保单结束日
                            var payDate = new Date(payNum);
                            var endDate = new Date(endNum);
                            $scope.policyListInfo[i].insuranceTimePay = formatDate(payDate);//保单生效日
                            $scope.policyListInfo[i].insuranceTimeEnd = formatDate(endDate);//保单结束日
                            //console.info($scope.policyListInfo[i].resource);
                        }
                    }else{
                        $scope.dialogRes(json.header.imsg);
                    }
                    //判断是否显示空白页
                    if ($scope.policyListInfo.length == 0) {
                        $scope.showBlank = 1;
                    } else {
                        $scope.showBlank = -1;
                    }
                },
                function(err){
                    //错误
                    //console.log(err);
                }
            );
        }
        /*-------------------删除保单记录-----------------------*/
        $scope.delRecordFlag = function(index,id,resource){
            $scope.dialogConfirm("确认删除"+name+'吗？',"","取消","删除","delRecordFlag");
            $scope.id=id;   //保单ID
            $scope.index=index; //保单索引
            $scope.resource = resource; //保单类型 1 位与远端 2为本地
        };
        //客户确定删除后，向数据库通讯
        $scope.$on("delRecordFlag",function (event, msg) {
            var Params = {
                "id": $scope.id,
                "resource":$scope.resource
            };
            adbService.getResult(
                {},
                $scope.setService('I131041',Params),
                function (json) {
                    //console.log(json)
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        for(var i=0;i<$scope.policyListInfo.length;i++){
                            if($scope.id == $scope.policyListInfo[i]._id){
                                $scope.policyListInfo = delArr($scope.index,$scope.policyListInfo);
                                //console.log($scope.policyListInfo)
                            }
                        }
                    }
                },
                function(err){

                }
            );
        });
        // 数组删除
        function delArr(n,arr)
        {
            if (n<0){
                return [];
            }
            else if(arr.length == 1){
                return [];
            }
            return arr.slice(0,n).concat(arr.slice(n+1,arr.length));
        }
        /*-----------------------删除保单记录-------------------------------*/
        $scope.goTab = function (t) {
            $scope.type = t;
            //console.log(t);
        }

        $scope.goToAdd = function(){
            if($scope.type == 0){
                //点击制作计划书
                var backUrl = "customerDetailR/" + $scope.cid + '?type=' + $scope.type;
                $scope.setBackFactory('planBookList', backUrl);
                //console.log(backFactory.getter());
                //console.info('index.html#/planBookListR'+$scope.cid);
                //location.href = 'index.html#/planBookListR?customerId='+$scope.cid;
                $location.url('planBookListR?customerId='+$scope.cid);
            }else if($scope.type == 1){
                //添加保单
                var backUrl = "customerDetailR/" + $scope.cid + '?type=' + $scope.type;
                $scope.setBackFactory('customerInsuranceAdd', backUrl);
                //location.href = 'index.html#/customerInsuranceAddR/' + $scope.cid;
                $location.url('customerInsuranceAddR/' + $scope.cid);
            }
        };


        $scope.goCustomerEdit = function () {
            //点击进入客户详情
            var backUrl = "customerDetailR/" + $scope.cid + '?type=' + $scope.type;
            $scope.setBackFactory('customerEdit', backUrl);
            //location.href = 'index.html#/customerEditR/' + $scope.cid;
            $location.url('customerEditR/' + $scope.cid);
        }
        $scope.goCustomerCardInfo = function () {
            //点击进入客户车辆信息
            if (!$scope.vehicleList) {
                return;
            }
            var backUrl = "customerDetailR/" + $scope.cid + '?type=' + $scope.type;
            $scope.setBackFactory('customerCardInfo', backUrl);
            //location.href = 'index.html#/customerCardInfoR/' + $scope.cid;
            $location.url('customerCardInfoR/' + $scope.cid);
        }
        $scope.goCustomerRelationsList = function () {
            //点击进入客户家庭信息列表
            var backUrl = "customerDetailR/" + $scope.cid + '?type=' + $scope.type;
            $scope.setBackFactory('customerRelationsList', backUrl);
            //location.href = 'index.html#/customerRelationsListR/' + $scope.cid;
            $location.url('customerRelationsListR/' + $scope.cid);
        }
        /*$scope.goDoPlan = function () {
            //点击制作计划书
            var backUrl = "customerDetailR/" + $scope.cid + '?type=' + $scope.type;
            $scope.setBackFactory('planBookList', backUrl);
            //console.log(backFactory.getter());
            location.href = 'index.html#/planBookListR';
        }*/
        /*$scope.goInsuranceAdd = function () {
            //添加保单
            var backUrl = "customerDetailR/" + $scope.cid + '?type=' + $scope.type;
            $scope.setBackFactory('customerInsuranceAdd', backUrl);
            location.href = 'index.html#/customerInsuranceAddR/' + $scope.cid;
        }*/
        $scope.goInsuranceDetail = function (oid,resource) {
            //保单详情
            var backUrl = "customerDetailR/" + $scope.cid + '?type=' + $scope.type;

            //resource  1-手工录入  2-线上 3-线下  4-车险 5-拍照解析
            if(resource == '1'){
                //跳转到手工录入的保单详情页
                $scope.setBackFactory('manuallyInsuranceDetail');
                //location.href = 'index.html#/manuallyInsuranceDetailR/'+ $scope.cid + '/' +oid;
                $location.url('manuallyInsuranceDetailR/'+ $scope.cid + '/' +oid);
            }
            else if(resource == '4'){
                //车险跳转到车险的订单详情页
                $scope.setBackFactory('carInsuranceDetail');
                //location.href = 'index.html#/carInsuranceDetailR/'+ $scope.cid + '/' +oid;
                $location.url('carInsuranceDetailR/'+ $scope.cid + '/' +oid);
            }
            else if(resource == '5'){
                //跳转到扫描拍照的保单详情页
                $scope.setBackFactory('photoInsuranceDetail');
                //location.href = 'index.html#/photoInsuranceDetailR/'+ $scope.cid + '/' +oid;
                $location.url('photoInsuranceDetailR/'+ $scope.cid + '/' +oid);
            }else{
                $scope.setBackFactory('customerInsuranceDetail');
                //location.href = 'index.html#/customerInsuranceDetailR/' + $scope.cid + '/' + oid;
                $location.url('customerInsuranceDetailR/' + $scope.cid + '/' + oid);
            }

        }
        $scope.goplanBookResult = function (pid) {
            //计划书详情
            var backUrl = "customerDetailR/" + $scope.cid + '?type=' + $scope.type;
            $scope.setBackFactory('planBookResult', backUrl);
            //location.href = 'index.html#/planBookResultR/' + pid;
            $location.url('planBookResultR/' + pid);
        }
    }]);
});