'use strict';
define(['app'], function (app) {

    app.register.controller('customerEditCtrl', ['$scope', '$location', '$stateParams', '$timeout', 'backFactory', 'adbService','customerFactory', function ($scope, $location, $stateParams, $timeout, backFactory, adbService ,customerFactory) {
        $scope.appTitle = '编辑资料';
        $scope.$emit("titleName", $scope.appTitle);
        $scope.thisPath = 'module/customers/detail/';//这个模块的物理位置
        $scope.cid = $stateParams.cid;
        /*****************************设置头部返回地址 begin******************************/
        var backUrl = $scope.getBackFactory('customerEdit', 'customerDetailR/' + $scope.cid);
        if (backUrl != '') {
            $scope.$emit("adbBack", "index.html#/" + backUrl, "2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        /*****************************设置头部返回地址 end******************************/


        function init()//初始化信息
        {


            $scope.customerDetailInfo = customerFactory.getter();
            //console.info($scope.customerDetailInfo);
            if($scope.customerDetailInfo._id){
                $scope._id = $scope.customerDetailInfo._id;
            }else{
                $scope._id = '';
            }

            $scope.name = $scope.customerDetailInfo.name;
            $scope.contactValue = $scope.customerDetailInfo.contactValue;
            if ($scope.contactValue.length == 1) {
                $scope.mobiles = [{'mobile': $scope.contactValue[0]}]
            } else if ($scope.contactValue.length == 2) {
                $scope.mobiles = [{'mobile': $scope.contactValue[0]}, {'mobile': $scope.contactValue[1]}]
            } else if ($scope.contactValue.length == 3) {
                $scope.mobiles = [{'mobile': $scope.contactValue[0]}, {'mobile': $scope.contactValue[1]} , {'mobile': $scope.contactValue[2]}]
            }
            $scope.createTime = $scope.customerDetailInfo.createTime;
            if($scope.customerDetailInfo.emailCode){
                $scope.email = $scope.customerDetailInfo.emailCode;
            }else{
                $scope.email = '';
            }
            if($scope.customerDetailInfo.certiCode){
                $scope.certiCode = $scope.customerDetailInfo.certiCode;
            }else{
                $scope.certiCode = '';
            }

            $scope.sex = $scope.customerDetailInfo.gender;
            if($scope.customerDetailInfo.birthday){
                $scope.birthDay = new Date(getDateByTimes($scope.customerDetailInfo.birthday));
            }else{
                $scope.birthDay = '';
            }
            if($scope.customerDetailInfo.income){
                $scope.income = $scope.customerDetailInfo.income;
            }else{
                $scope.income = '';
            }
            if($scope.customerDetailInfo.remark){
                $scope.note = $scope.customerDetailInfo.remark;
            }else{
                $scope.note = '';
            }
            if($scope.customerDetailInfo.maritalStatus){
                $scope.marriage = $scope.customerDetailInfo.maritalStatus;
            }else{
                $scope.marriage = '';
            }
            if($scope.customerDetailInfo.occupation){
                $scope.job = $scope.customerDetailInfo.occupation;
            }else{
                $scope.job = '';
            }

            $scope.addressInfo = $scope.customerDetailInfo.addressInfo;
            if($scope.addressInfo.detailAddress){
                $scope.address = $scope.addressInfo.detailAddress;
            }else{
                $scope.address = '';
            }
            if($scope.addressInfo.provinceCode){
                $scope.provinceCode = $scope.addressInfo.provinceCode;
            }else{
                $scope.provinceCode = '';
            }
            if($scope.addressInfo.provinceName){
                $scope.provinceName = $scope.addressInfo.provinceName;
            }else{
                $scope.provinceName = '';
            }
            if($scope.addressInfo.cityCode){
                $scope.cityCode = $scope.addressInfo.cityCode;
            }else{
                $scope.cityCode = '';
            }
            if($scope.addressInfo.cityName){
                $scope.cityName = $scope.addressInfo.cityName;
            }else{
                $scope.cityName = ''
            }

            //婚姻状况
            $scope.marryType = [
                {'type':'已婚'},
                {'type':'未婚'},
                {'type':'其他'}
            ]


        }

        init();


        $scope.$on('$viewContentLoaded', function () {
            //视图渲染后加载

        });

        //表单校验
        function checkForm3() {
            var res = {};
            res['status'] = true;//检查通过-true;否则-false
            res['msg'] = '';//返回错误信息
            if (!validCredNum("name", $scope.name)) {
                res['status'] = false;
                res['msg'] = '姓名填写有误（2-20位中英文），请更正';
            } else if (typeof $scope.sex == "undefined" || $scope.sex == "") {
                res['status'] = false;
                res['msg'] = '请选择性别';
            }
            if($scope.mobiles.length == 1){
                if(!validCredNum("mobile", $scope.mobiles[0].mobile)){
                    res['status'] = false;
                    res['msg'] = '手机号码填写有误（11位数字），请更正';
                }
            }else if($scope.mobiles.length == 2){
                if(!validCredNum("mobile", $scope.mobiles[0].mobile) || !validCredNum("mobile", $scope.mobiles[1].mobile)) {
                    res['status'] = false;
                    res['msg'] = '手机号码填写有误（11位数字），请更正';
                }
            }else if($scope.mobiles.length == 3){
                if(!validCredNum("mobile", $scope.mobiles[0].mobile) || !validCredNum("mobile", $scope.mobiles[1].mobile) || !validCredNum("mobile", $scope.mobiles[2].mobile)) {
                    res['status'] = false;
                    res['msg'] = '手机号码填写有误（11位数字），请更正';
                }
            }
            return res;
        }

        //非必填的信息校验
        $scope.blurCheck = function (type) {
            if (type == "certiCode" && $scope.certiCode != undefined && $scope.certiCode != "") {
                if (!validCredNum("1", $scope.certiCode)) {
                    $scope.dialogRes("请正确填写身份证号");
                }
            } else if (type == "email" && $scope.email != undefined && $scope.email != "") {
                if (!validCredNum("email", $scope.email)) {
                    $scope.dialogRes("请正确填写邮箱");
                }
            } else if (type == "income" && $scope.income != undefined && $scope.income != "") {
                if (!/^(([1-9][0-9]*)|((([1-9][0-9]*)|0)\.[0-9]{1,2}))$/.test($scope.income)) {
                    $scope.dialogRes("请正确输入年收入");
                }
            }

        }

        //出生日期
        $scope.checkBirthDay = function () {
            var currentDate = genCurrentDate();
            var selectDate = formatDate10($scope.birthDay);
            if (currentDate < selectDate) {
                $scope.dialogRes("请选择正确的出生日期");
            }
        }

        //选择性别
        $scope.selectSex = function (type) {
            $scope.sex = type;
        }


        //添加手机

        $scope.addMobile = function () {
            if ($scope.mobiles.length < 3) {
                var singleMobile = {"mobile": ""};
                $scope.mobiles.push(singleMobile);
            } else {
                $scope.dialogRes("最多只能输入三个手机号码")
            }


        }

        /***********************************************获取省市 begin************************************************/
        $scope.provinceObj = [];
        getProvinceArr();
        var loadNum = 1;

        function getProvinceArr(){
            adbService.getResult(
                {},
                {
                    "header": {
                        "isource": "adbnative",
                        "ikey": "10e6d1bd43166418dfe756baf224ca81",
                        "icode": "I226010",
                        "iserial":new Date().getTime()+"-adbh5824fgh5rh57t6rv39o560w6oyi1214f0"
                    },
                    "params": {
                        "parentCode": '',
                        "companyCode": ""
                    }
                },
                function (json) {
                    if (json.header.istatus == 1) {//成功
                        $scope.provinceObj = json.data;//获取省
                        for(var i=0;i<$scope.provinceObj.length;i++){
                            var branchCode = $scope.provinceObj[i]['branchCode'];
                            getCityArr(branchCode,i);
                        }
                    } else {
                        //$scope.dialogRes("获取省市信息失败,请稍后重试");
                    }
                },
                function (err) {
                    //
                })
        }
        function getCityArr(branchCode,proKey){
            adbService.getResult(
                {},
                {
                    "header": {
                        "isource": "adbnative",
                        "ikey": "10e6d1bd43166418dfe756baf224ca81",
                        "icode": "I226010",
                        "iserial":new Date().getTime()+"-adbh5824fgh5rh57t6rv39o560w6oyi1214f0"
                    },
                    "params": {
                        "parentCode": branchCode,
                        "companyCode": ""
                    }
                },
                function (json) {
                    if (json.header.istatus == 1) {//成功
                        //获取省
                        var cityArr = json.data;
                        $scope.provinceObj[proKey]['cityArr'] = json.data;
                        if(loadNum == 1){
                            //$scope.cityID =  $scope.cityCode+'-'+;//120000-天津市-120100-市辖区
                            $scope.cityID = $scope.provinceCode+'-'+$scope.provinceName+'-'+$scope.cityCode+'-'+$scope.cityName;
                            loadNum++;
                        }
                    } else {
                        //$scope.dialogRes("获取省市信息失败,请稍后重试");
                    }
                },
                function (err) {
                    //
                })
        }

        $scope.getCityId = function(){
            var arr=$scope.cityID.split('-');
            //console.log($scope.cityID);
            $scope.pCode = arr[0]
            $scope.pName = arr[1]
            $scope.cCode = arr[2]
            $scope.cName = arr[3]
            $scope.address =  $scope.pName + $scope.cName
        }

        /************************************************获取省市end**************************************************/


            //保存信息
        $scope.save = function () {
            var isCheck3 = checkForm3();
            if (isCheck3.status) {
                if($scope.hasDialog==true){
                    $scope.dialogRes('请检查您的信息是否输入正确')
                }
                $scope.contactValue = [];
                if ($scope.mobiles.length == 1) {
                    $scope.contactValue = [$scope.mobiles[0].mobile];
                } else if ($scope.mobiles.length == 2) {
                    $scope.contactValue = [$scope.mobiles[0].mobile, $scope.mobiles[1].mobile];
                } else if ($scope.mobiles.length == 3) {
                    $scope.contactValue = [$scope.mobiles[0].mobile, $scope.mobiles[1].mobile,$scope.mobiles[2].mobile];
                }
                var params = {
                    "_id": $scope._id,
                    "name": $scope.name,
                    "contactValue": $scope.contactValue,
                    "createTime": $scope.createTime,
                    "emailCode": $scope.email,
                    "certiCode": $scope.certiCode,
                    "gender": $scope.sex,
                    "birthday": new Date($scope.birthDay).getTime(),
                    "income": $scope.income,
                    "remark": $scope.note,
                    "maritalStatus": $scope.marriage,
                    "occupation": $scope.job,
                    "addressInfo": {
                        "addressType": "",
                        "provinceCode": $scope.provinceCode,
                        "provinceName": $scope.provinceName,
                        "cityCode": $scope.cityCode,
                        "cityName": $scope.cityName,
                        "countyCode": "",
                        "countyName": "",
                        "detailAddress": $scope.address,
                        "companyCode": ""
                    }
                }
                //console.info(params)
                adbService.getResult(
                    {},
                    $scope.setService('I131016', params),
                    function (json) {
                        //console.info(json)
                        if (json.header.istatus == '-99') {
                            $scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {
                            //location.href = 'index.html#/' + backUrl;//成功后跳转
                            $location.url(backUrl);
                        }
                    }
                );

            } else {
                if (isCheck3.msg != '') {
                    $scope.dialogRes(isCheck3.msg);//弹出错误提示
                }

            }

        }


    }]);
});