'use strict';
define(['app'], function (app) {

    app.register.controller('customerIndexCtrl', ['$scope','$location','$stateParams','$timeout','backFactory','adbService',function($scope,$location,$stateParams,$timeout,backFactory,adbService){
        $scope.appTitle = '客户中心';
        $scope.$emit("titleName", $scope.appTitle);
        $scope.thisPath = 'module/customers/index/';//这个模块的物理位置

        /*****************************设置头部返回地址 begin******************************/
        var backUrl = $scope.getBackFactory('customerIndex','homeR');
        if (backUrl != '') {
            //返回按钮操作
            backUrl = 'index.html#/'+backUrl;
            $scope.$emit("adbBack", backUrl, "2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        /*****************************设置头部返回地址 end******************************/


        function init()//初始化信息
        {
            $scope.customersList = [];//初始化客户列表
            //空白页初始化
            $scope.showBlank=-1;
            var customerListByLetter = $scope.customerListByLetter = new Array();//初始化按字母分类的客户列表
            //根据拼音首字母，重新得到客户列表
            $scope.resetListByLetter=function(listArr) {
                //console.log("listArr",listArr);
                var m_count = new Array();

                for(i=0;i<26;i++)
                {
                    m_count[i] = 0;
                    customerListByLetter[i] = {};
                    customerListByLetter[i]['Arr'] = new Array();
                }
                customerListByLetter[0]['letter'] = 'A';
                customerListByLetter[1]['letter'] = 'B';
                customerListByLetter[2]['letter'] = 'C';
                customerListByLetter[3]['letter'] = 'D';
                customerListByLetter[4]['letter'] = 'E';
                customerListByLetter[5]['letter'] = 'F';
                customerListByLetter[6]['letter'] = 'G';
                customerListByLetter[7]['letter'] = 'H';
                customerListByLetter[8]['letter'] = 'I';
                customerListByLetter[9]['letter'] = 'J';
                customerListByLetter[10]['letter'] = 'K';
                customerListByLetter[11]['letter'] = 'L';
                customerListByLetter[12]['letter'] = 'M';
                customerListByLetter[13]['letter'] = 'N';
                customerListByLetter[14]['letter'] = 'O';
                customerListByLetter[15]['letter'] = 'P';
                customerListByLetter[16]['letter'] = 'Q';
                customerListByLetter[17]['letter'] = 'R';
                customerListByLetter[18]['letter'] = 'S';
                customerListByLetter[19]['letter'] = 'T';
                customerListByLetter[20]['letter'] = 'U';
                customerListByLetter[21]['letter'] = 'V';
                customerListByLetter[22]['letter'] = 'W';
                customerListByLetter[23]['letter'] = 'X';
                customerListByLetter[24]['letter'] = 'Y';
                customerListByLetter[25]['letter'] = 'Z';

                for(var i=0;i<listArr.length;i++)
                {
                    var letter = listArr[i]['namePinyin'].substring(0,1);
                    switch(letter){
                        case 'A':
                            customerListByLetter[0]['Arr'][m_count[0]] = listArr[i];
                            m_count[0]++;
                            break;
                        case 'B':
                            customerListByLetter[1]['Arr'][m_count[1]] = listArr[i];
                            m_count[1]++;
                            break;
                        case 'C':
                            customerListByLetter[2]['Arr'][m_count[2]] = listArr[i];
                            m_count[2]++;
                            break;
                        case 'D':
                            customerListByLetter[3]['Arr'][m_count[3]] = listArr[i];
                            m_count[3]++;
                            break;
                        case 'E':
                            customerListByLetter[4]['Arr'][m_count[4]] = listArr[i];
                            m_count[4]++;
                            break;
                        case 'F':
                            customerListByLetter[5]['Arr'][m_count[5]] = listArr[i];
                            m_count[5]++;
                            break;
                        case 'G':
                            customerListByLetter[6]['Arr'][m_count[6]] = listArr[i];
                            m_count[6]++;
                            break;
                        case 'H':
                            customerListByLetter[7]['Arr'][m_count[7]] = listArr[i];
                            m_count[7]++;
                            break;
                        case 'I':
                            customerListByLetter[8]['Arr'][m_count[8]] = listArr[i];
                            m_count[8]++;
                            break;
                        case 'J':
                            customerListByLetter[9]['Arr'][m_count[9]] = listArr[i];
                            m_count[9]++;
                            break;
                        case 'K':
                            customerListByLetter[10]['Arr'][m_count[10]] = listArr[i];
                            m_count[10]++;
                            break;
                        case 'L':
                            customerListByLetter[11]['Arr'][m_count[11]] = listArr[i];
                            m_count[11]++;
                            break;
                        case 'M':
                            customerListByLetter[12]['Arr'][m_count[12]] = listArr[i];
                            m_count[12]++;
                            break;
                        case 'N':
                            customerListByLetter[13]['Arr'][m_count[13]] = listArr[i];
                            m_count[13]++;
                            break;
                        case 'O':
                            customerListByLetter[14]['Arr'][m_count[14]] = listArr[i];
                            m_count[14]++;
                            break;
                        case 'P':
                            customerListByLetter[15]['Arr'][m_count[15]] = listArr[i];
                            m_count[15]++;
                            break;
                        case 'Q':
                            customerListByLetter[16]['Arr'][m_count[16]] = listArr[i];
                            m_count[16]++;
                            break;
                        case 'R':
                            customerListByLetter[17]['Arr'][m_count[17]] = listArr[i];
                            m_count[17]++;
                            break;
                        case 'S':
                            customerListByLetter[18]['Arr'][m_count[18]] = listArr[i];
                            m_count[18]++;
                            break;
                        case 'T':
                            customerListByLetter[19]['Arr'][m_count[19]] = listArr[i];
                            m_count[19]++;
                            break;
                        case 'U':
                            customerListByLetter[20]['Arr'][m_count[20]] = listArr[i];
                            m_count[20]++;
                            break;
                        case 'V':
                            customerListByLetter[21]['Arr'][m_count[21]] = listArr[i];
                            m_count[21]++;
                            break;
                        case 'W':
                            customerListByLetter[22]['Arr'][m_count[22]] = listArr[i];
                            m_count[22]++;
                            break;
                        case 'X':
                            customerListByLetter[23]['Arr'][m_count[23]] = listArr[i];
                            m_count[23]++;
                            break;
                        case 'Y':
                            customerListByLetter[24]['Arr'][m_count[24]] = listArr[i];
                            m_count[24]++;
                            break;
                        case 'Z':
                            customerListByLetter[25]['Arr'][m_count[25]] = listArr[i];
                            m_count[25]++;
                            break;
                        default:
                            break;
                    }
                }
            }


        }
        init();


        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载
            //getCustomerList();//得到全部客户列表
            birthdayCount();  //生日提醒数量
            insuranceCount();//保单提醒数量
            $scope.isContactShow = false;
        });

        $scope.contactShow = function(){
            $scope.isContactShow = true;
            if(!$scope.isLoad){
                $scope.isLoad=true;
                $timeout(function(){
                    getCustomerList();
                    $scope.isLoad=false;
                },300)
            }
        };

        //获取后台客户列表
        function getCustomerList(){
            //post给后台的参数
            var params = {
                "companyCode":"",
                "name":"",
                "pageNo":1,
                "pageSize":100
            };
            adbService.getResult(
                {},
                $scope.setService('I131011',params),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        //获取客户列表成功
                        $scope.customerList = json.data.customerList;//返回客户信息
                    }
                    //判断是否显示空白页
                    if($scope.customerList.length==0){
                        $scope.showBlank=1;
                    }else{
                        $scope.showBlank=0;
                    }
                    $scope.resetListByLetter($scope.customerList);
                },
                function(err){
                    //错误
                    //console.log(err);
                }
            );
        }

        //调取删除用户的接口处理
        $scope.delCustomer = function(cu,id,name){
            $scope.dialogConfirm("确认删除"+name+'吗？',"","取消","删除","delCustomerFlag");
            //客户确定删除后，向数据库通讯

            $scope.$on("delCustomerFlag",function (event, msg) {
                var delParams = {
                    "id":id,
                };
                adbService.getResult(
                    {},
                    $scope.setService('I131033',delParams),
                    function (json) {
                        if (json.header.istatus == '-99'){
                            $scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {
                            for(var i=0;i<$scope.customerListByLetter.length;i++){
                                var singleLetInfo = $scope.customerListByLetter[i];
                                if(cu==singleLetInfo.letter){
                                    for(var j=0;j<singleLetInfo.Arr.length;j++){
                                        var singleCustInfo = singleLetInfo.Arr[j];
                                        if(singleCustInfo._id == id){
                                            $scope.customerListByLetter[i].Arr.splice(j,1);
                                        }
                                    }
                                }
                            }
                        }
                    },
                    function(err){

                    }
                );
            });

        }
        //数组删除
        function delArr(n,arr)
        {
            if (n<0){
                return [];
            }
            else if(arr.length == 1){
                return [];
            }
            return arr.slice(0,n).concat(arr.slice(n+1,arr.length));
        }
        /*---------生日提醒数量------------------*/
        function birthdayCount(){
            var params = {};
            adbService.getResult(
                {},
                $scope.setService('I131013',params),
                function(json){
                   if(json.header.istatus=='-99'){
                       $scope.gotoApp('jsRefreshCookie');
                   }
                    else if(json.header.istatus=='1'){
                       if(json.data.count>0){
                           $scope.birthdayCount = json.data.count;
                       }

                   }
                },
                function(err){

                }
            )
        }

        /*---------生日提醒数量------------------*/

        /*--------------保单提醒----------------------*/
            function insuranceCount(){
                var params = {};
                adbService.getResult(
                    {},
                    $scope.setService('I131028',params),
                    function(json){
                        if(json.header.istatus=='-99'){
                            $scope.gotoApp('jsRefreshCookie');
                        }
                        else if(json.header.istatus=='1'){
                            if(json.data.count>0){
                                $scope.insuranceCount = json.data.count;
                            }

                        }
                    },
                    function(err){

                    }
                )
            }
        /*--------------保单提醒----------------------*/
        $scope.goCustomerDetail = function(cid){
            //点击进入客户详情
            $scope.setBackFactory('customerDetail');
            //location.href='index.html#/customerDetailR/'+cid;
            $location.url('customerDetailR/'+cid);
        }

        $scope.goCustomerAdd = function(){
            //点击进入客户添加
            $scope.setBackFactory('customerAdd');
            //location.href='index.html#/customerAddR';
            $location.url('customerAddR');
            /*$scope.$emit("goShare",'');
            $scope.showShareBox(true);*/
        }

        $scope.goCustomerBirthdayRemind = function(){
            //点击进入生日提醒
            $scope.setBackFactory('customerBirthdayRemind');
            //location.href='index.html#/customerBirthdayRemindR';
            $location.url('customerBirthdayRemindR');
        }

        $scope.goCustomerInsuranceRemind = function(){
            //点击进入保单提醒
            $scope.setBackFactory('customerInsuranceRemind');
            //location.href='index.html#/customerInsuranceRemindR';
            $location.url('customerInsuranceRemindR');
        }
        $scope.goCustomerPortrayal = function(){
            //点击进入客户画像
            $scope.setBackFactory('customerPortrayal');
            //location.href='index.html#/customerPortrayalR';
            $location.url('customerPortrayalR');
        }
        $scope.goSearch = function(){
            //跳转搜索
            $scope.setBackFactory('search');
            //location.href='index.html#/searchR/customers';
            $location.url('searchR/customers');
        }
    }]);
});