'use strict';
define(['app',], function (app) {

    app.register.controller('customerInsuranceAddCtrl', ['$scope','$location','$stateParams','$timeout','backFactory','adbService','companyFactory','customerFactory','CardFactory',function($scope,$location,$stateParams,$timeout,backFactory,adbService,companyFactory,customerFactory,CardFactory){
        $scope.appTitle = '添加保单';
        $scope.$emit("titleName", $scope.appTitle);
        $scope.thisPath = 'module/customers/insuranceAdd/';//这个模块的物理位置
        $scope.cid = $stateParams.cid;//客户id

        /*****************************设置头部返回地址 begin******************************/
        var backUrl = $scope.getBackFactory('customerInsuranceAdd','customerDetailR/'+$scope.cid);
        if (backUrl != ''){
            //返回按钮操作
            $scope.$emit("adbBack","index.html#/"+backUrl,"2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        /*****************************设置头部返回地址 end******************************/



        function init()//初始化信息
        {



            //险类
            $scope.ensureType=[
            {"Code":'1','ensureTypeName':'寿险'},
            {"Code":'2','ensureTypeName':'健康险'},
            {"Code":'3','ensureTypeName':'意外险'},
            {"Code":'4','ensureTypeName':'养老险'},
            {"Code":'5','ensureTypeName':'理财险'},
            {"Code":'6','ensureTypeName':'家财险'},
            {"Code":'7','ensureTypeName':'车险'}]

            //交费类型
            $scope.payTypes = [
                {"Code":'0','type':'年交'},
                {"Code":'1','type':'月交'},
                {"Code":'4','type':'趸交'}
            ]
            $scope.payType = $scope.payTypes[0].type;
            $scope.payTypeCode = $scope.payTypes[0].Code;
            //$scope.insuredStartDate = new Date($scope.insuredStartDate);//保存试算生效日
            //console.log($scope.insuredStartDate)
            //关系列表
            $scope.familyTies = [
                {'id':'0','Name':'本人'},
                {'id':'1','Name':'爷爷'},
                {'id':'2','Name':'奶奶'},
                {'id':'3','Name':'父亲'},
                {'id':'4','Name':'母亲'},
                {'id':'5','Name':'丈夫'},
                {'id':'6','Name':'妻子'},
                {'id':'7','Name':'儿子'},
                {'id':'8','Name':'女儿'},
                {'id':'9','Name':'其他'},
            ]
            $scope.relation = $scope.familyTies[0].Name;




            //客户信息
            $scope.customerDetailInfo = customerFactory.getter()
            $scope.companyInfo = companyFactory.getter();
            $scope.companyName = $scope.companyInfo.title;
            $scope.companyCode = $scope.companyInfo.code;
            if($scope.companyName == ''||$scope.companyName == undefined){
                $scope.companyName = '必填，请填写保险公司';
            }
            $scope.customerName = $scope.customerDetailInfo.name;


            //初始化被保人信息为客户
            $scope.familyName = $scope.customerDetailInfo.name;
            $scope.familyCertiCode = $scope.customerDetailInfo.certiCode;
            $scope.familyMobile = $scope.customerDetailInfo.contactValue[0];
        }
        init();


        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载

        });

        //改变保险类别
        $scope.changeType = function(){
            for(var i=0;i<6;i++){
                if($scope.ensureType[i].Code == $scope.Code){

                    $scope.ensureTypeName = $scope.ensureType[i].ensureTypeName

                }

            }
        };
        //改变交费类型
        $scope.changePayType = function(){
            for(var i=0;i<$scope.payTypes.length;i++){
                if($scope.payTypes[i].type == $scope.payType){

                    $scope.payTypeCode = $scope.payTypes[i].Code

                }

            }
        }

        //更改出生日期
        $scope.changeStartDate = function(startDate,num){
            var currentDate = genCurrentDate();
            var selectDate = formatDate10($scope.birthDay);
            if(currentDate>selectDate){
                $scope.birthDay = new Date(currentDate);
                selectDate = formatDate10($scope.birthDay);
                $scope.dialogRes("生效日期不能早于今天");
            }

            if($scope.period == ''||$scope.period == undefined){
                $scope.endDate = '';
                return;
            }
            var insuredStartEndDate = addmulYear(selectDate,parseInt($scope.period));
            $scope.endDate = new Date(insuredStartEndDate);
        }
        //更改终止时间
        $scope.changeEndDate = function(startDate,num){
            var currentDate = genCurrentDate();
            var selectDate = formatDate10($scope.endDate);
            if(currentDate>selectDate){
                $scope.endDate = new Date(currentDate);
                $scope.dialogRes("终止日期不能早于今天");
            }
        }

        //更改保障期间
        $scope.periodDate = function(period){
            if($scope.period == ''||$scope.period == undefined){
                $scope.endDate = '';
                return;
            }
            if($scope.birthDay == undefined || $scope.birthDay == ''){
                return;
            }
            var selectDate = formatDate10($scope.birthDay);
            $scope.endDate = new Date(addmulYear(selectDate,parseInt($scope.period)));
        }


        function checkForm3() {
            var res = {};
            res['status'] = true;//检查通过-true;否则-false
            res['msg'] = '';//返回错误信息

            if ($scope.policyName=='' || $scope.policyName==undefined) {
                res['status'] = false;
                res['msg'] = '请正确填写保单名称';
            } else if ($scope.Code==''||$scope.Code==undefined) {
                res['status'] = false;
                res['msg'] = '请选择险类';
            } else if ($scope.birthDay==''||$scope.birthDay==undefined) {
                res['status'] = false;
                res['msg'] = '请选择生效日期';
            } else if ($scope.period==''||$scope.period==undefined) {
                res['status'] = false;
                res['msg'] = '请正确填写保障期间';
            } else if ($scope.endDate==''||$scope.endDate==undefined) {
                res['status'] = false;
                res['msg'] = '请正确填写终止日期';
            }
            return res;
        }

        //非必填的信息校验
        $scope.blurCheck = function (type) {

            if ($scope.familyName == undefined && $scope.familyName == "") {
                $scope.dialogRes("请正确填写被保人姓名");
                $scope.hasDialog = true;
            } else if (type == "familyCertiCode" && $scope.familyCertiCode != undefined && $scope.familyCertiCode != "") {
                if (!validCredNum("1", $scope.familyCertiCode)) {
                    $scope.dialogRes("请正确填写被保人身份证号");
                    $scope.hasDialog = true;
                }
            } else if (type == "familyMobile" && $scope.familyMobile != undefined && $scope.familyMobile != "") {
                if(!validCredNum("mobile", $scope.familyMobile)){
                    $scope.dialogRes("请正确填写被保人手机号码");
                    $scope.hasDialog = true;
                }
            }
        }


        //保存操作
        $scope.save = function(){
            var isCheck3 = checkForm3();
            if (isCheck3.status) {

                //获取与投保人关系对象中Name对应的id
                for(var i = 0;i<$scope.familyTies.length;i++){
                    if($scope.familyTies[i].Name == $scope.relation){
                        $scope.relationID = $scope.familyTies[i].id;
                    }
                }
                //console.info($scope.relationID)
                var params = {
                    "type":"A",//A为添加保单，U为修改保单
                    "customerId": $scope.customerDetailInfo._id,
                    "customerName": $scope.customerDetailInfo.name,
                    "insureName": $scope.policyName,
                    "companyName": $scope.companyName,
                    "companyCode": $scope.companyCode,
                    "payTime": new Date($scope.birthDay).getTime(),
                    "endTime": new Date($scope.endDate).getTime(),
                    "payType": $scope.payTypeCode,
                    "ensureTypeCode": $scope.Code,
                    "ensureTypeName": $scope.ensureTypeName,
                    "ensureDate": $scope.period,
                    "policyHolder": {
                        "name": $scope.customerName
                    },
                    "recognizee": [{
                        "relation": $scope.relation,
                        "name": $scope.familyName,
                        "idNumber": $scope.familyCertiCode,
                        "mobile": $scope.familyMobile
                    }]
                }
                //console.info(params);
                adbService.getResult(
                    {},
                    $scope.setService('I131037', params),
                    function (json) {
                        //console.info(json)
                        if (json.header.istatus == '-99') {
                            $scope.gotoApp('jsRefreshCookie');
                        }else if (json.header.istatus == '1') {
                            //location.href = 'index.html#/' + backUrl;//成功后跳转
                            $location.url(backUrl);
                        }
                    }
                );
            }else {
                if (isCheck3.msg != '') {
                    $scope.dialogRes(isCheck3.msg);//弹出错误提示
                }

            }



            //location.href="index.html#/"+backUrl;
        }

        //获取家庭成员信息
        $scope.getFamilyMember = function(){

            $scope.familyName = '';
            $scope.familyCertiCode = '';
            $scope.familyMobile = '';

            //获取与投保人关系对象中Name对应的id
            for(var i = 0;i<$scope.familyTies.length;i++){
                if($scope.familyTies[i].Name == $scope.relation){
                    $scope.relationID = $scope.familyTies[i].id;
                }
            }
            //console.info($scope.relationID)

            if($scope.relationID == '0'){
                $scope.familyName = $scope.customerDetailInfo.name;
                $scope.familyCertiCode = $scope.customerDetailInfo.certiCode;
                $scope.familyMobile = $scope.customerDetailInfo.contactValue[0];
                return;
            }

            var params = {

                "customerId": $scope.customerDetailInfo._id,
                "relation": $scope.relationID

            }
            adbService.getResult(
                {},
                $scope.setService('I131021', params),
                function (json) {
                    if (json.header.istatus == '1') {
                        //console.info(json)
                        var info = json.data.familyList[0];
                        //console.info(info)
                        $scope.familyName = info.name;
                        if(info.certiCode){
                            $scope.familyCertiCode = info.certiCode
                        }
                        if(info.mobile){
                            $scope.familyMobile = info.mobile
                        }
                        //location.href = 'index.html#/' + backUrl;//成功后跳转
                    }
                }
            );
        }

        $scope.goCompanyList = function(){
            CardFactory.setter('customerInsuranceAdd')
            $scope.setBackFactory('companyList');
            //location.href='index.html#/companyListR';
            $location.url('companyListR');
        }

    }]);
});