'use strict';
define(['app'], function (app) {
    app.register.controller('customerInsuranceDetailTopCtrl', ['$scope', '$location', '$stateParams', '$timeout', 'backFactory', 'adbService', function ($scope, $location, $stateParams, $timeout, backFactory, adbService) {
        if ($scope.authed) {
            $scope.isNative = $scope.isNativeApp();//判断是否为原生调用
            if ($scope.isNative) $scope.isNative = true;
            $scope.authed = !$scope.isNative;
        }
        $scope.from=true;

    }]);
    app.register.controller('customerInsuranceDetailCtrl', ['$scope', '$location', '$stateParams', '$timeout', 'backFactory', 'adbService', function ($scope, $location, $stateParams, $timeout, backFactory, adbService) {
        $scope.appTitle = '保单详情';
        $scope.$emit("titleName", $scope.appTitle);
        $scope.thisPath = 'module/customers/insuranceDetail/';//这个模块的物理位置
        $scope.cid = $stateParams.cid;//客户id
        $scope.oid = $stateParams.oid;//保单id

        /*****************************设置头部返回地址 begin******************************/
        var backUrl = $scope.getBackFactory('customerInsuranceDetail', 'customerDetailR/' + $scope.cid);
        if (backUrl != '') {
            //返回按钮操作
            $scope.$emit("adbBack", "index.html#/" + backUrl, "2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        /*****************************设置头部返回地址 end******************************/

        function init()//初始化信息
        {
            if ($scope.authed) {
                $scope.isNative = $scope.isNativeApp();//判断是否为原生调用
                if ($scope.isNative) $scope.isNative = true;
            }
            $scope.policyDetail = {};
        }

        init();


        $scope.$on('$viewContentLoaded', function () {
            //视图渲染后加载
            searchInsuranceInfo();
        });
        //获取保单信息
        function searchInsuranceInfo() {
            var params = {
                "id": $scope.oid
            };
            //console.log(params)
            adbService.getResult(
                {},
                $scope.setService('I131035', params),
                function (json) {
                    //console.log(json)
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.resource = json.data['resource'];//1 表示查询本地 2 表示查询线上订单 3表示查询线下完成的保单 4 表示查询车险保单


                        if ($scope.resource == 1) {
                            var infoData = json.data['policyDetail'][0];//保单信息
                            $scope.policyDetail = {};//保单信息
                            //console.log($scope.policyDetail);
                            $scope.policyDetail.productName = infoData.insureName;//保单名称
                            $scope.policyDetail.insuranceCom = infoData.companyName;//保险公司
                            $scope.policyDetail.payTime = infoData.payTime;//起保时间
                            $scope.policyDetail.endTime = infoData.endTime;//终止时间
                            $scope.policyDetail.phName = infoData.policyHolder.name;//投保姓名
                            $scope.policyDetail.phCertiCode = infoData.policyHolder.idNumber;//身份证号
                            $scope.policyDetail.phMobile = infoData.policyHolder.mobile;//手机号
                            $scope.policyDetail.insureName = infoData.recognizee.name;//投保姓名
                            $scope.policyDetail.insureCertiCode = infoData.recognizee.idNumber;//身份证号
                            $scope.policyDetail.insureMobile = infoData.recognizee.mobile;//手机号
                            $scope.policyDetail.relation = infoData.recognizee.relation;//手机号

                        }
                        else if ($scope.resource == 2) {
                            $scope.policyDetail = json.data['policyDetail'];
                            //console.log($scope.policyDetail);
                            $scope.policyDetail.premium = json.data['policyDetail'].totalPrem;
                            $scope.policyDetail.insuranceCom = json.data['policyDetail'].entName;
                            $scope.policyDetail.payTime = json.data['policyDetail'].validateDate;//保单生效日
                            $scope.policyDetail.endTime = json.data['policyDetail'].expiryDate;//保单到期日
                            $scope.policyDetail.phName = json.data['policyDetail']['phInfo'].name;//保单到期日
                            $scope.policyDetail.phCertiCode = json.data['policyDetail']['phInfo'].certiCode;//保单到期日
                            $scope.policyDetail.phMobile = json.data['policyDetail']['phInfo'].mobile;//保单到期日
                            $scope.insuredList = json.data['policyDetail'].insuredList;
                            for (var j = 0; j < $scope.insuredList.length; j++) {
                                $scope.beneficiaryList = $scope.insuredList[j].beneficiaryList; //受益人信息
                                if ($scope.beneficiaryList == undefined) {
                                    $scope.beneficiaryStatus = true;
                                }else {
                                    for (var j = 0; j < $scope.beneficiaryList.length; j++) {//判断是否存在收益比例
                                        if($scope.beneficiaryList[j].benefitRate){
                                            $scope.benefitRateStatus = true;
                                        }
                                        $scope.beneficiaryStatus = false;
                                    }
                                    $scope.beneficiaryStatus = false;
                                }
                            }
                        }
                        else if ($scope.resource == 3) {
                            $scope.policyDetail = json.data['policyDetail']['orderInfo']['orderList'][0];
                            $scope.policyDetail.payTime = json.data['policyDetail']['orderInfo']['orderList'][0].validateDate;//保单生效日;
                            $scope.policyDetail.endTime = json.data['policyDetail']['orderInfo']['orderList'][0].expiryDate;//保单到期日;
                            for (var i = 0; i < $scope.policyDetail.productList.length; i++) {
                                $scope.insuredList = $scope.policyDetail.productList[i].insuredList;//被保人信息
                                for (var j = 0; j < $scope.insuredList.length; j++) {
                                    $scope.beneficiaryList = $scope.insuredList[j].beneficiaryList; //受益人信息
                                    if($scope.beneficiaryList[j].benefitRate){
                                        $scope.benefitRateStatus = true;
                                    }
                                    $scope.beneficiaryStatus = false;
                                }
                            }
                        }
                        else if($scope.resource == 4){

                            //车险跳转到车险的订单详情页
                            $scope.setBackFactory('autoPolicyDetail');
                            //location.href = 'index.html#/autoPolicyDetailR/'+$scope.oid;
                            //alert('index.html#/autoPolicyDetailR/'+$scope.oid);
                            $location.url('autoPolicyDetailR/'+$scope.oid);
                        }
                    }
                }
            )
        }
    }]);
});