'use strict';
define(['app'], function (app) {
    app.register.controller('photoInsuranceDetailCtrl', ['$scope', '$location', '$stateParams', '$timeout', 'backFactory', 'adbService', function ($scope, $location, $stateParams, $timeout, backFactory, adbService) {
        $scope.appTitle = '保单详情';
        $scope.$emit("titleName", $scope.appTitle);
        $scope.thisPath = 'module/customers/insuranceDetail/';//这个模块的物理位置
        $scope.cid = $stateParams.cid;//客户id
        $scope.oid = $stateParams.oid;//保单id

        /*****************************设置头部返回地址 begin******************************/
        var backUrl = $scope.getBackFactory('customerInsuranceDetail', 'customerDetailR/' + $scope.cid);
        if (backUrl != '') {
            //返回按钮操作
            $scope.$emit("adbBack", "index.html#/" + backUrl, "2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        /*****************************设置头部返回地址 end******************************/

        function init()//初始化信息
        {
            if ($scope.authed) {
                $scope.isNative = $scope.isNativeApp();//判断是否为原生调用
                if ($scope.isNative) $scope.isNative = true;
            }
            $scope.policyDetail = {};
            $scope.feedback_popup=false;//隐藏反馈弹窗
            $scope.feedbackCon="";
        }

        init();


        $scope.$on('$viewContentLoaded', function () {
            //视图渲染后加载
            searchInsuranceInfo();
        });
        //获取保单信息
        function searchInsuranceInfo() {
            var params = {
                "id": $scope.oid
            };
            adbService.getResult(
                {},
                $scope.setService('I131035', params),
                function (json) {
                    //console.log(json);
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.resource = json.data['resource'];//1 表示查询本地 2 表示查询线上订单 3表示查询线下完成的保单 4 表示查询车险保单


                        if ($scope.resource == 5) {
                            var infoData = json.data['policyDetail'][0];//保单信息
                            $scope.policyDetail = {};//保单信息
                            $scope.policyDetail=infoData;//基本信息
                            $scope.policyHolder=$scope.policyDetail.policyHolder;//投保人信息
                            $scope.recognizee=$scope.policyDetail.recognizee;//被保人信息
                            $scope.benefitInfo=$scope.policyDetail.benefitInfo;//受益人信息
                            //console.log($scope.policyDetail);


                        }

                    }
                }
            )
        }

        $scope.feedback=function(t){//控制反馈弹窗
            $scope.feedback_popup=t;
        };
        $scope.sendFeedback=function(){
            submitFeedback();//提交反馈信息
        };
        //提交反馈信息
        function submitFeedback() {
            var params = {
                "uid": $scope.oid,
                "umsg": $scope.feedbackCon
            };
            //console.info(params);
            adbService.getResult(
                {},
                $scope.setService('I133010', params),
                function (json) {
                    //console.log(json);
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.feedback_popup=false;
                        $scope.dialogTip("反馈成功");

                    }
                }
            )
        }
        //跳转到保单影像资料
        $scope.goPictureInfo=function(){
            $scope.setBackFactory('pictureInfo');
            $location.path("/pictureInfoR/"+$scope.cid+"/"+$scope.oid);
        }
    }]);
});