'use strict';
define(['app'], function (app) {

    app.register.controller('customerInsuranceRemindCtrl', ['$scope','$location','$stateParams','$timeout','backFactory','adbService',function($scope,$location,$stateParams,$timeout,backFactory,adbService){
        $scope.appTitle = '客户管家';
        $scope.$emit("titleName", $scope.appTitle);
        $scope.thisPath = 'module/customers/insuranceRemind/';//这个模块的物理位置

        /*****************************设置头部返回地址 begin******************************/
        var backUrl = $scope.getBackFactory('customerInsuranceRemind','customerIndexR');
        if (backUrl != ''){
            //返回按钮操作
            backUrl = 'index.html#/'+backUrl;
            $scope.$emit("adbBack",backUrl,"2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        /*****************************设置头部返回地址 end******************************/
        function init()//初始化信息
        {
            $scope.noResult = false;//没有结果
            $scope.isLoading = false;//是否加载
            $scope.noMore = false;//没有更多结果
            $scope.currentPage = 1;
            $scope.pageSize = 5;
            $scope.policyList = [];  //保单列表
            $scope.showBlank = -1;  //空白页
        }
        init();
        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载
            getInsuranceIfo();
        });

        function formatDate(now) {      //时间戳装换成日期
            var year=now.getFullYear();
            var month=now.getMonth()+1;
            var date=now.getDate();
            return year+"年"+month+"月"+date+"日";
        }

        function getInsuranceIfo(){
            if ($scope.noResult || $scope.noMore) {
                $scope.isLoading = false;
                return;
            } else {
                $scope.isLoading = true;
            }
            var params = {
                "pageNo":$scope.currentPage,
                "pageSize":$scope.pageSize
            }
            adbService.getResult(
                {},
                $scope.setService('I131025', params),
                function(json){
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        if (json.data.policyList.length < $scope.pageSize) {
                            $scope.noMore = true;
                            $scope.isLoading = false;
                        }
                        if (json.data.policyList.length > 0) {
                            $scope.currentPage = ++$scope.currentPage;
                        }
                        var policyList = json.data.policyList;
                        $scope.policyList = $scope.policyList.concat(policyList);

                        if (policyList.length == 0) {
                            $scope.noResult = true;
                        }
                        for(var i = 0;i<$scope.policyList.length;i++){
                            var dateNum = $scope.policyList[i].insureTime;
                            var timeDate = new Date(dateNum);
                            $scope.policyList[i].insuranceTime = formatDate(timeDate);//计算生日日期
                        }
                    }else{
                        $scope.dialogRes(json.header.imsg);
                    }
                    //判断是否显示空白页
                    if ($scope.policyList.length == 0) {
                        $scope.showBlank = 1;
                    } else {
                        $scope.showBlank = 0;
                    }
                }
            )
        }

        $scope.insuranceRemindDetail = function(cid,Gid){
            //点击提醒详情,cid:客户id  //Gid为保单ID
            $scope.setBackFactory('customerInsuranceDetailRemind');
            //location.href='index.html#/customerInsuranceRemindDetailR/'+cid+'/'+Gid;
            $location.url('customerInsuranceRemindDetailR/'+cid+'/'+Gid);
        }
    }]);
});