'use strict';
define(['app'], function (app) {

    app.register.controller('customerInsuranceRemindDetailTopCtrl', ['$scope', '$location', function ($scope, $location) {
        if ($scope.authed) {
            $scope.isNative = $scope.isNativeApp();//判断是否为原生调用
            if ($scope.isNative) $scope.isNative = true;
            $scope.authed = !$scope.isNative;
        }
    }]);

    app.register.controller('customerInsuranceRemindDetailCtrl', ['$scope', '$location', '$stateParams', '$timeout', 'adbService', function ($scope, $location, $stateParams, $timeout, adbService) {
        $scope.appTitle = '保单日提醒';
        $scope.$emit("titleName", $scope.appTitle);
        $scope.thisPath = 'module/customers/insuranceRemindDetail/';//这个模块的物理位置

        /*****************************设置头部返回地址 begin******************************/
        var backUrl = $scope.getBackFactory('customerInsuranceDetailRemind', 'customerInsuranceRemindR');
        if (backUrl != '') {
            //返回按钮操作
            $scope.$emit("adbBack", 'index.html#/' + backUrl, "2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        /*****************************设置头部返回地址 end******************************/



        function init()//初始化信息
        {
            //alert($location.absUrl());
            $scope.insuranInfo = [];
            $scope.cid = $stateParams.cid;  //客户ID
            $scope.orderId = $stateParams.Gid;  //保单ID
            //console.log(customersID+'==========='+insuranceID)
            if ($scope.authed) {
                $scope.isNative = $scope.isNativeApp();//判断是否为原生调用
                if ($scope.isNative) $scope.isNative = true;
            }
        }

        init();


        $scope.$on('$viewContentLoaded', function () {
            //视图渲染后加载
            searchInsuranceInfo();
        });

        //获取客户信息
        function searchInsuranceInfo() {
            var insuranInfo;
            var brokerInfo;
            var params = {
                "orderId": $scope.orderId,
                "customerId":$scope.cid
            };
            adbService.getResult(
                {},
                $scope.setService('I131045', params),
                function (json) {
                    if (json.header.istatus == '-99') {
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.insuranInfo = json.data;
                        //console.log($scope.insuranInfo);

                        if(typeof $scope.insuranInfo['headPortrait'] != 'undefined' && $scope.insuranInfo['headPortrait']){
                            $scope.insuranInfo['headPortrait'] =  $scope.insuranInfo['headPortrait'];//设置头像
                        }

                        $scope.brokerNameHint = '';
                        $scope.insuranInfo['brokerName'] = '';
                        if($scope.insuranInfo && typeof $scope.insuranInfo['brokerId'] != 'undefined' && $scope.insuranInfo['brokerId']){
                            getUserInfo($scope.insuranInfo['brokerId']);
                        }

                        callShare2();//二次分享
                    }
                }
            )

        }

        var sharing = false;//分享中
        $scope.sendMessage = function () {

            if(!$scope.isCertificationFun())
            {
                return;//如果不是认证用户，则返回，不进行分享
            }

            if(!sharing)
            {
                sharing = true;//标识在分享中

                /***********************向服务器抛数据 begin**********************************************/
                var params = {
                    "customerId": $scope.cid,
                    "noticeMsg": {
                        "msgType": "2",//提醒类型 1-生日祝福（提前七天提醒）,2-保单到期提醒（提前30天提醒）
                        "title": $scope.insuranInfo['customerName'],//发送标题
                        "content": $scope.insuranInfo['insureName'],//发送内容
                        "template": $scope.insuranInfo['sDate'],//发送模板id
                        "sendResult": ""  //1-成功  ，非1 失败
                    }
                }
                adbService.getResult(
                    {},
                    $scope.setService('I131026', params),
                    function (json) {
                        if (json.header.istatus == '-99'){
                            $scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {
                            var objShare = {
                                "imgUrl": _globalOption.host + "/adb/module/customers/insuranceRemindDetail/images/alertHint.png",
                                //"imgUrl":_globalOption.host+"/adb/images/logo.png",
                                "shareUrl": _globalOption.shareHost + "/adb/share.html#/customerInsuranceRemindDetailR/" + $scope.cid + '/' + $scope.orderId+"?&",
                                "title": "小保温馨提示：您有保单即将到期！",
                                //"description":$scope.insuranInfo['brokerName']
                                "description": "保险独立经纪人" + $scope.brokerNameHint + "提醒您" + $scope.insuranInfo['sDate'] + "天后是您的保单满期日，为了保证您的全面保障，请记得及时续保哦！"
                            };
                            $scope.$emit("goShare", objShare);
                            $scope.showShareBox(true);


                        }
                        else {
                            $scope.dialogRes(json.header.imsg);
                        }

                    },
                    function (err) {
                        //错误
                        //console.log(err);
                    });
                /***********************向服务器抛数据 end**********************************************/
                var timer = $timeout(
                    function() {
                        sharing = false;
                    },
                    2000
                );
            }
        }

        function getUserInfo(uid) {

            var params = {
                "regId": uid
            };
            adbService.getResult(
                {},
                $scope.setService('I110801', params),
                function (json) {
                    if (json.header.istatus == '-99') {
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        var userInfo = $scope.userInfo = json.data;//返回用户信息
                        //console.info(json.data);
                        var isLimingUser = false;//非黎明用户,true-是，false-非
                        if(userInfo)
                        {
                            if(typeof userInfo['brokerLevel'] != 'undefined' && userInfo['brokerLevel'] > 0)
                            {
                                isLimingUser = true;
                            }
                            if (isLimingUser)
                            {
                                //黎明用户
                                if(typeof userInfo['nickName'] != 'undefined' && userInfo['nickName'])
                                {
                                    $scope.insuranInfo['brokerName'] = $scope.brokerNameHint = userInfo['nickName'];
                                }
                                else if(typeof userInfo['name'] != 'undefined' && userInfo['name'])
                                {
                                    $scope.insuranInfo['brokerName'] = $scope.brokerNameHint = userInfo['name'];
                                }
                            }
                            else{
                                //非黎明用户
                                if(typeof userInfo['name'] != 'undefined' && userInfo['name'])
                                {
                                    $scope.insuranInfo['brokerName'] = $scope.brokerNameHint = userInfo['name'];
                                }
                            }

                        }
                    }
                },
                function (err) {
                    //错误
                    //console.log(err);
                });
        }

        /***************************************二次分享 begin******************************************************************/

        function callShare2()
        {
            if(!$scope.authed)
            {
                try {

                    //var url = _globalOption.shareHost + "/adb/share.html#/customerInsuranceRemindDetailR/" + $scope.cid + '/' + $scope.orderId+"?&";
                    var url = $location.absUrl();
                    var share2Obj = {
                        "currentUrl":url,//原始url
                        "shareTitle":"小保温馨提示：您有保单即将到期！",//分享的标题
                        "shareUrl":url,//分享的url
                        "shareImg": _globalOption.host + "/adb/module/customers/insuranceRemindDetail/images/alertHint.png",//分享的图片
                        "shareDesc":"保险独立经纪人" + $scope.brokerNameHint + "提醒您" + $scope.insuranInfo['sDate'] + "天后是您的保单满期日，为了保证您的全面保障，请记得及时续保哦！"//分享的描述
                    };
                    var pos=share2Obj.currentUrl.indexOf("#");
                    var dataJson = $scope.setService("W102010", {
                        "url" : pos>-1?share2Obj.currentUrl.substring(0,pos):share2Obj.currentUrl
                    })
                    common_wx_share(dataJson,share2Obj);
                } catch (e) {

                }
            }
        }

        /***************************************二次分享 end******************************************************************/

    }]);
});