'use strict';
define(['app'], function (app) {
    app.register.controller('customerPortrayalTopCtrl', ['$scope', '$location', '$stateParams', '$timeout', 'backFactory', 'adbService', function ($scope, $location, $stateParams, $timeout, backFactory, adbService) {
        if ($scope.authed) {
            $scope.isNative = $scope.isNativeApp();//判断是否为原生调用
            if ($scope.isNative) $scope.isNative = true;
            $scope.authed = !$scope.isNative;
        }
    }]);
    app.register.controller('customerPortrayalCtrl', ['$scope', '$location', '$stateParams', '$timeout', 'backFactory', 'adbService', function ($scope, $location, $stateParams, $timeout, backFactory, adbService) {
        $scope.appTitle = '客户画像';
        $scope.$emit("titleName", $scope.appTitle);
        $scope.thisPath = 'module/customers/portrayal/';//这个模块的物理位置
        /*****************************设置头部返回地址 begin******************************/
        var backUrl = $scope.getBackFactory('customerPortrayal', 'customerIndexR');
        if (backUrl != '') {
            //返回按钮操作
            $scope.$emit("adbBack", 'index.html#/' + backUrl, "2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        /*****************************设置头部返回地址 end******************************/



        function init()//初始化信息
        {
            if ($scope.authed) {
                $scope.isNative = $scope.isNativeApp();//判断是否为原生调用
                if ($scope.isNative) $scope.isNative = true;
            }
            $scope.userData = JSON.parse(localStorage.getItem('broker_in_session'));
        }

        init();


        $scope.$on('$viewContentLoaded', function () {
            $scope.isShow = false;
            //视图渲染后加载
            adbService.getResult(
                {},
                $scope.setService('I131049', {regId: $scope.userData.regId}),
                function (json) {
                    if (json.header.istatus == '-99') {
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.isClick = json.data.isClick;
                        $scope.count = json.data.count;
                    }
                },
                function (err) {
                    //错误
                    //console.log(err);
                });
        });


        $scope.goCustomerDetail = function () {
            //点击进入客户详情
            $scope.setBackFactory('customerDetail');
            //location.href = 'index.html#/shopEditR';
            $location.url('shopEditR');
        };

        $scope.zanFun = function () {
            $scope.isClick = '1';
            $scope.count++;
            adbService.getResult(
                {},
                $scope.setService('I131050', {regId: $scope.userData.regId}),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {

                    }
                },
                function (err) {
                    //错误
                    //console.log(err);
                });
        };
    }]);
});