'use strict';
define(['app'], function (app) {

    app.register.controller('customerRelationAddCtrl', ['$scope','$location','$stateParams','$timeout','adbService','backFactory',function($scope,$location,$stateParams,$timeout,adbService,backFactory){
        $scope.appTitle = '添加家庭成员';
        $scope.$emit("titleName", $scope.appTitle);
        $scope.thisPath = 'module/customers/relationAdd/';//这个模块的物理位置
        $scope.cid = $stateParams.cid;

        /*****************************设置头部返回地址 begin******************************/
        var backUrl = $scope.getBackFactory('customerRelationAdd','customerRelationsListR/'+$scope.cid);
        if (backUrl != ''){
            //返回按钮操作
            $scope.$emit("adbBack",'index.html#/'+backUrl,"2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        /*****************************设置头部返回地址 end******************************/



        function init()//初始化信息
        {
            $scope.familyTies = [
                {'id':'1','Name':'爷爷'},
                {'id':'2','Name':'奶奶'},
                {'id':'3','Name':'父亲'},
                {'id':'4','Name':'母亲'},
                {'id':'5','Name':'丈夫'},
                {'id':'6','Name':'妻子'},
                {'id':'7','Name':'儿子'},
                {'id':'8','Name':'女儿'},
                {'id':'9','Name':'其他'},
            ]
            $scope.sex = 'M'
        }
        init();

        //选择性别
        $scope.selectSex = function(type){
            $scope.sex = type;
        }


        //选择关系后同时改变性别
        var MRelation = '1357';//关系为男性
        $scope.changeRelation = function(){
            //console.info(MRelation.indexOf($scope.relation))
            if(MRelation.indexOf($scope.relation) != -1){
                $scope.sex = 'M'
            }else{
                $scope.sex = 'F'
            }
        }

        //出生日期校验
        $scope.checkBirthDay = function(){
            var currentDate = genCurrentDate();
            var selectDate = formatDate10($scope.birthDay);
            if (currentDate < selectDate) {
                $scope.birthDay = new Date(currentDate);
                $scope.dialogRes("请选择正确的出生日期");
            }else{
                var birthDayDate = new Date(selectDate);
                $scope.birthDayDate = birthDayDate.getTime();  //日期转化为时间戳
            }

        }

        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载

        });
        //表单校验
        function checkForm() {
            var res = {};
            res['status'] = true;//检查通过-true;否则-false
            res['msg'] = '';//返回错误信息
            if (!validCredNum("name", $scope.name)) {
                res['status'] = false;
                res['msg'] = '姓名填写有误（2-20位中英文），请更正';
            }else if (!validCredNum("relation", $scope.relation)) {
                res['status'] = false;
                res['msg'] = '请选择关系';
            }
            else if (typeof $scope.sex == "undefined" || $scope.sex == "") {
                res['status'] = false;
                res['msg'] = '请选择性别';
            }
            // else if (typeof  $scope.birthDay == "undefined" || $scope.birthDay == "Invalid Date"){
            //    res['status'] = false;
            //    res['msg'] = '请输入出生日期';
            //} else if (!validCredNum("mobile", $scope.mobile)){
            //    res['status'] = false;
            //    res['msg'] = '手机号码填写有误（11位数字），请更正';
            //} else if (!validCredNum("1", $scope.certiCode)){
            //    res['status'] = false;
            //    res['msg'] = '身份证填写有误，请更正';
            //}
            return res;
        }

        //非必填的信息校验
        $scope.blurCheck = function(type){
            if(type == "mobile" && $scope.mobile != undefined && $scope.mobile != ""){
                if (!validCredNum("mobile", $scope.mobile)) {
                    $scope.dialogRes("手机号码填写有误（11位数字），请更正");
                }
            }else if(type == "certiCode" && $scope.certiCode != undefined && $scope.certiCode != ""){
                if (!validCredNum("1", $scope.certiCode)) {
                    $scope.dialogRes("请正确填写身份证号");
                }
            }else if(type == "income" && $scope.income != undefined && $scope.income != ""){
                if (!/^(([1-9][0-9]*)|((([1-9][0-9]*)|0)\.[0-9]{1,2}))$/.test($scope.income)) {
                    $scope.dialogRes("请正确输入年收入");
                }
            }

        }



        //获取省市区
        $scope.provinceObj = [];
        getProvinceArr();


        function getProvinceArr(){
            adbService.getResult(
                {},
                {
                    "header": {
                        "isource": "adbnative",
                        "ikey": "10e6d1bd43166418dfe756baf224ca81",
                        "icode": "I226010",
                        "iserial":new Date().getTime()+"-adbh5824fgh5rh57t6rv39o560w6oyi1214f0"
                    },
                    "params": {
                        "parentCode": '',
                        "companyCode": ""
                    }
                },
                function (json) {
                    if (json.header.istatus == 1) {//成功
                        $scope.provinceObj = json.data;//获取省
                        for(var i=0;i<$scope.provinceObj.length;i++){
                            var branchCode = $scope.provinceObj[i]['branchCode'];
                            getCityArr(branchCode,i);
                        }
                    } else {
                        //$scope.dialogRes("获取省市信息失败,请稍后重试");
                    }
                },
                function (err) {
                    //
                })
        }
        function getCityArr(branchCode,proKey){
            adbService.getResult(
                {},
                {
                    "header": {
                        "isource": "adbnative",
                        "ikey": "10e6d1bd43166418dfe756baf224ca81",
                        "icode": "I226010",
                        "iserial":new Date().getTime()+"-adbh5824fgh5rh57t6rv39o560w6oyi1214f0"
                    },
                    "params": {
                        "parentCode": branchCode,
                        "companyCode": ""
                    }
                },
                function (json) {
                    if (json.header.istatus == 1) {//成功
                        //获取省
                        var cityArr = json.data;
                        $scope.provinceObj[proKey]['cityArr'] = json.data;
                    } else {
                        //$scope.dialogRes("获取省市信息失败,请稍后重试");
                    }
                },
                function (err) {
                    //
                })
        }

        $scope.getCityId = function(){
            var arr=$scope.cityID.split('-');
            $scope.pCode = arr[0]
            $scope.pName = arr[1]
            $scope.cCode = arr[2]
            $scope.cName = arr[3]
            $scope.address =  $scope.pName + $scope.cName
        }

        $scope.save = function(){
            var isCheck = checkForm();
            if (isCheck.status) {
                var params = {
                    "customerId": $scope.cid,
                    "family": {
                        "name": $scope.name,
                        "relation":$scope.relation,
                        "gender":$scope.sex,
                        "photo":"",
                        "birthday":$scope.birthDayDate,
                        "mobile": $scope.mobile,
                        "certiCode":$scope.certiCode,
                        "provinceCode": $scope.pCode,
                        "provinceName": $scope.pName,
                        "cityCode": $scope.cCode,
                        "cityName": $scope.cName,
                        "address": $scope.address,
                        "profession": $scope.profession,
                        "yearIncome": $scope.income,
                        "note": $scope.note
                    }
                }
                //console.log(params)
                adbService.getResult(
                    {},
                    $scope.setService('I131030', params),
                    function (json) {
                        //location.href='index.html#/'+backUrl;//成功后跳转
                        $location.url(backUrl);
                    }
                );
            } else {
                if (isCheck.msg != ''){
                    $scope.dialogRes(isCheck.msg);//弹出错误提示
                }
                return;
            }
            //添加
            //成功后跳转
            //location.href='index.html#/customerRelationsListR/'+$scope.cid;
            $location.url('customerRelationsListR/'+$scope.cid);
        }

    }]);
});