'use strict';
define(['app', 'swiper', '../js/sendGiftConfig'], function (app) {


    app.register.controller('customerSendGiftTopCtrl', ['$rootScope', '$scope', '$location', '$stateParams', '$timeout', 'backFactory', 'adbService', function ($rootScope, $scope, $location, $stateParams, $timeout, backFactory, adbService) {
        if ($scope.authed) {
            $scope.isNative = $scope.isNativeApp();//判断是否为原生调用
            if ($scope.isNative) $scope.isNative = true;
            $scope.authed = !$scope.isNative;
        }
    }]);

    app.register.controller('customerSendGiftCtrl', ['$rootScope', '$scope', '$location', '$stateParams', '$timeout', 'backFactory', 'adbService', function ($rootScope, $scope, $location, $stateParams, $timeout, backFactory, adbService) {
        $scope.appTitle = '送祝福';
        $scope.$emit("titleName", $scope.appTitle);
        $scope.thisPath = 'module/customers/sendGift/';//这个模块的物理位置


        /*****************************设置头部返回地址 begin******************************/
        var backUrl = $scope.getBackFactory('customerSendGift', 'customerBirthdayRemindR');
        if (backUrl != '') {
            //返回按钮操作
            $scope.$emit("adbBack", 'index.html#/' + backUrl, "2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        /*****************************设置头部返回地址 end******************************/

        function swiperRun() {  //swiper滑动
            var swiper = new Swiper('.swiper-container', {
                slidesPerView: 1.8,
                spaceBetween: 0,
                centeredSlides: true,
                initialSlide: $scope.templateId
            });
        }

        function init()//初始化信息
        {
            $scope.cid = $stateParams.cid;  //客户ID
            $scope.templateId = parseInt($stateParams.tid) - 1;  //模板ID
            //$scope.cardUrl = $stateParams.cardUrl;  //贺卡地址
            $scope.BlessingLanguage = "祝您生日快乐！笑口常开！虽然您不能改变天气，但您可以改变心情；您不能预支明天，但您必须用好今天！加油";  //祝福语


            $scope.arr = sendGiftTemplateArr;

            if ($scope.authed) {
                $scope.isNative = $scope.isNativeApp();//判断是否为原生调用
                if ($scope.isNative) $scope.isNative = true;
            }


            //初始化默认值
            for (var i = 0; i < $scope.arr.length; i++) {
                if (i == $scope.templateId) {
                    $scope.arr[i]['show'] = true;
                }
            }
        }

        init();


        $scope.$on('ngRepeatFinished', function (ngRepeatFinishedEvent) {
            //下面是在页面 render完成后执行的js
            getCustomerInfo();//获取客户名称
            swiperRun();
        });


        $scope.$on('$viewContentLoaded', function () {
            //视图渲染后加载
        });

        $scope.selectImg = function (n) {
            //选择模板
            for (var i = 0; i < $scope.arr.length; i++) {
                if (i == n) {
                    if ($scope.arr[i]['show']) {
                    } else {
                        $scope.arr[i]['show'] = !$scope.arr[i]['show'];
                    }
                }
                else {
                    $scope.arr[i]['show'] = false;
                }
            }

        }

        var shareObj = {};
        var sharing = false;//分享中
        $scope.sendGift = function () {

            if(!$scope.isCertificationFun('认证后，可分享给您心爱的用户'))
            {
                return;//如果不是认证用户，则返回，不进行分享
            }

            if(!sharing)
            {
                sharing = true;//标识在分享中

                var broker = localStorage.getItem('broker_in_session');
                if (broker) {
                    broker = JSON.parse(broker);
                    var isLimingUser = false;//非黎明用户,true-是，false-非
                    if(typeof broker['brokerLevel'] != 'undefined' && broker['brokerLevel'] > 0)
                    {
                        isLimingUser = true;
                    }

                    if (isLimingUser)
                    {
                        //黎明用户
                        if(broker['nickName'])
                        {
                            $scope.brokerNname = broker['nickName'];
                        }
                        else if (broker['name']) {
                            $scope.brokerNname = broker['name'];
                        } else {
                            $scope.brokerNname = "";
                        }
                    }
                    else{
                        //非黎明用户
                        if (broker['name']) {
                            $scope.brokerNname = broker['name'];
                        } else {
                            $scope.brokerNname = "";
                        }
                    }


                }

                //送祝福
                if ($scope.BlessingLanguage.length <= 0) {
                    $scope.dialogRes('请输入祝福语');
                    return;
                }
                /**********判断是否选择了模板begin***************************/
                var templateId = '';
                for (var i = 0; i < $scope.arr.length; i++) {
                    if ($scope.arr[i]['show']) {
                        templateId = i;
                        break;
                    }
                }
                if (templateId === '') {
                    $scope.dialogRes('请选择模板');
                    return;
                }
                else {
                    $scope.templateId = templateId;
                }
                /**********判断是否选择了模板begin***************************/


                /***********************向服务器抛数据 begin**********************************************/
                $scope.BlessingLanguage = $scope.BlessingLanguage.replace("\n", "<br/>");
                var params = {
                    "customerId": $scope.cid,
                    "noticeMsg": {
                        "msgType": "1",//提醒类型 1-生日祝福（提前七天提醒）,2-保单到期提醒（提前30天提醒）
                        "title": $scope.customerName,//发送标题
                        "content": $scope.BlessingLanguage,//发送内容
                        "template": $scope.templateId,//发送模板id
                        "sendResult": ""  //1-成功  ，非1 失败
                    }
                }
                adbService.getResult(
                    {},
                    $scope.setService('I131026', params),
                    function (json) {
                        if (json.header.istatus == '-99'){
                            $scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {
                            var uid = json.data['uid'];
                            //console.log(uid);


                            //shareObj.imgUrl = _globalOption.host+"/adb/images/logo.png";
                            shareObj.imgUrl = _globalOption.host + "/adb/module/customers/sendGift/images/birthdayImg.png";
                            shareObj.shareUrl = _globalOption.shareHost + "/adb/share.html#/templateR/" + uid+"?&";
                            shareObj.title = "这里有一份只属于您的神秘生日礼物!";
                            //shareObj.description = $scope.BlessingLanguage;
                            shareObj.description = '保险独立经纪人' + $scope.brokerNname + '在小保为您送出的生日惊喜，快来点开领取';
                            shareObj.uid = uid;
                            /********************分享 start********************/
                            $scope.$emit("goShare", shareObj);
                            //console.log(shareObj);
                            $scope.showShareBox(true);//弹出分享框
                            /********************分享 end********************/


                        }
                        else {
                            $scope.dialogRes(json.header.imsg);
                        }

                    },
                    function (err) {
                        //错误
                        //console.log(err);
                    });
                /***********************向服务器抛数据 end**********************************************/
                var timer = $timeout(
                    function() {
                        sharing = false;
                    },
                    2000
                );

            }


        }


        $scope.gotoShare = function (t) {
            //点击发送微信好友/分享朋友圈后
            shareObj.channel = t;////0-分享给朋友，1-分享到朋友圈
            com_share_obj2(shareObj);
        }

        /**
         * 带分享统计  分享到微信（朋友圈或朋友）  方法
         *
         * @param imgUrl    分享图标
         * @param shareUrl    分享链接
         * @param title        分享标题
         * @param channel    分享渠道 朋友：0  朋友圈 1  类型为Number
         * @param description    分享描述
         * @param shareObj    分享统计对象
         */
        function com_share_obj2(shareObj) {
            if (typeof uexWeiXin == "undefined") {
                return;
            }
            var JsonData = '{"thumbImg":"' + shareObj.imgUrl + '","wedpageUrl":"' + shareObj.shareUrl + '","scene":' + shareObj.channel + ',"title":"' + shareObj.title + '","description":"' + shareObj.description + '"}';
            //uexWeiXin.registerApp("wxb70171785c43c81c");//生产授权
            uexWeiXin.registerApp(_globalOption.WXappid);//测试授权
            uexWeiXin.shareLinkContent(JsonData);
            localStorage.setItem("shareObj", JSON.stringify(shareObj));
            uexWeiXin.cbShareLinkContent = function (data) {
                if (shareObj.countFlag) {
                    //分享回调  分享统计
                    shareSuccess();//分享后成功后调用接口

                }
            }
            uexWeiXin.cbRegisterApp = function (opCode, dataType, data) {
            }
        }

        function shareSuccess() {
            //成功后回掉
            var params = {
                "uid": shareObj.uid
            }
            adbService.getResult(
                {},
                $scope.setService('I131044', params),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        //
                    }
                    else {
                        $scope.dialogRes(json.header.imsg);
                    }

                },
                function (err) {
                    //错误
                    //console.log(err);
                });
        }

        //获取客户数据
        function getCustomerInfo() {
            var params = {
                "customerId": $scope.cid
            }
            //console.log(params);
            adbService.getResult(
                {},
                $scope.setService('I131017', params),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        if (json.data['name']) {
                            $scope.customerName = json.data['name'];
                        } else {
                            $scope.customerName = '';
                        }
                    }
                    else {
                        $scope.dialogRes(json.header.imsg);
                    }

                },
                function (err) {
                    //错误
                    //console.log(err);
                });
        }


    }]);

});