'use strict';
define(['app'], function (app) {

    app.register.controller('demoCtrl', ['$scope','$stateParams','$state','$location','adbService',function ($scope,$stateParams,$state,$location,adbService) {
        //改变页面的<title>
        $scope.appTitle = '搜索';
        $scope.$emit("titleName", $scope.appTitle);


        $scope.goCancel = function(){
            var backUrl = $scope.getBackFactory('search','indexR');
            $location.path(backUrl);
        }


        function init()//初始化信息
        {

            $scope.myNumber = '';//初始化数字输入框

        }
        init();

        /******************************************数字滚动选择控件 begin****************************************/
        var myScroll;
        $scope.openNumberDiv = function(){
            $scope.numberDivShow = !$scope.numberDivShow;
            if ($scope.numberDivShow)
            {
                var numberArr = [1,2,3,4,5,6];//初始化滚动的数字
                _openNumberDiv(numberArr);
            }

        }

        function _openNumberDiv(numberArr){
            $scope.numberArr = numberArr;

            $scope.$on('ngRepeatFinished', function (ngRepeatFinishedEvent) {
                //下面是在table render完成后执行的js
                //$('#scroller').style.top="0px";
                myScroll = new IScroll('#wrapper', { snap:"li",probeType: 3, mouseWheel: true,click:true });

            });
        }
        $scope.getNumber = function(){
            //点击后获取的选中的数字
            var liHeight= document.getElementById("liHeight").clientHeight;//li元素的高
            var moveTop = $('#scroller').position().top;//获取便宜
            //console.log(moveTop);

            $scope.myNumber = Math.floor((0-moveTop)/liHeight+1);
            $scope.numberDivShow = false;
            //console.log($scope.myNumber);
            myScroll.scrollTo(0,0);
        }
        /******************************************数字滚动选择控件 end****************************************/



        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载
            /*******************************时间空间 begin***********************************************/
            var currentYear = (new Date()).getFullYear();
            $scope.currentArray = [{
                'current':{
                    startYear: currentYear - 10, //开始年份
                    endYear: currentYear + 10, //结束年份
                }
            },{
                'current':{
                    startYear: currentYear, //开始年份
                    endYear: currentYear + 1, //结束年份
                }
            },{
                'current':{
                    startYear: currentYear - 2, //开始年份
                    endYear: currentYear + 2, //结束年份
                }
            }];

            $scope.setArray = [{
                'set':{
                    minDay:new Date($scope.currentArray[0].current.startYear, new Date().getMonth()-1, new Date().getDate()),
                    maxDay:new Date($scope.currentArray[0].current.endYear, new Date().getMonth(),new Date().getDate(), 23, 59, 59)
                }
            },{
                'set':{
                    minDay:new Date($scope.currentArray[1].current.startYear, new Date().getMonth()-1, new Date().getDate()),
                    maxDay:new Date($scope.currentArray[1].current.endYear, new Date().getMonth(),new Date().getDate(), 23, 59, 59)
                }
            },{
                'set':{
                    minDay:new Date($scope.currentArray[2].current.startYear, new Date().getMonth()-1, new Date().getDate()),
                    maxDay:new Date($scope.currentArray[2].current.endYear, new Date().getMonth(),new Date().getDate(), 23, 59, 59)
                }
            }];


            /********************时间插件渲染 start********************/
            //监听出生日期
            $scope.$watch('birthday',function(newValue,oldValue, scope){
                execute($scope.currentArray,$scope.setArray,0);
                if(newValue){

                }
            });



            //监听起保时间
            $scope.$watch('startTime',function(newValue,oldValue, scope){
                execute($scope.currentArray,$scope.setArray,1);
                if(newValue){

                }
            });

            //监听终保时间
            $scope.$watch('endTime',function(newValue,oldValue, scope){
                execute($scope.currentArray,$scope.setArray,2);
                if(newValue){

                }
            });
            /********************时间插件渲染 end********************/


            function execute(current,set,flag) {

                var opt={};
                opt.date = {preset : 'date'};
                opt.datetime = {preset : 'datetime'};
                opt.time = {preset : 'time'};
                opt.default = {
                    theme: 'android-ics adb', //皮肤样式
                    display: 'modal', //显示方式
                    mode: 'scroller', //日期选择模式
                    dateFormat: 'yyyy-mm-dd',
                    lang: 'zh',
                    headerText: function (valueText) { return ""; },
                    setText: '确定',
                    cancelText: '取消',
                    width: 90,
                    maxWidth: 95
                    //showNow: true,
                    //nowText: "今天",
                };

                opt['current'] = current[flag].current;
                opt['set'] = set[flag].set;


                if(flag == 0){
                    $("#birthday").mobiscroll($.extend(opt['date'], opt['default'], opt['current'], opt['set']));
                }else if(flag == 1){
                    $("#startTime").mobiscroll($.extend(opt['date'], opt['default'], opt['current'], opt['set']));
                }else if(flag == 2){
                    $("#endTime").mobiscroll($.extend(opt['date'], opt['default'], opt['current'], opt['set']));
                }

            }
            /*******************************时间空间 begin***********************************************/

        });

        /********************分享 start********************/

        $scope.$emit("goShare", {
            "imgUrl": _globalOption.host+"/adb/images/logo.png",
            "shareUrl": "分享的地址",
            "title": "分享标题",
            "description": "分享描述"
        });

        /********************分享 end********************/

        /********************dialog start********************/
        $scope.sure=function(){
            $scope.dialogRes("确定增加吗？");
        };

        $scope.openInline=function(){
            $scope.openInlineController("请稍候。。。","index.html#/searchR/product");
        };
        $scope.tipMsg=function(){
            $scope.dialogTip("被保人年龄需要为18至70周岁");
        };


        $scope.clickDialogMsg=function(){
            $scope.clickDialogTip(true,"双方的发生的发，斯蒂芬斯蒂芬斯蒂芬，是否是的，发送到发送到，发送，到发送，到发都是，双方的发生，的发斯蒂芬斯，蒂芬斯蒂芬是，否是的，发送到发送到，发送到，发送到发都，是");
        };
        //删除客户的参照例子
        $scope.name="蒋欣";
        $scope.confirm = function(){
            $scope.dialogConfirm("确认删除",$scope.name,"取消","删除","event_deleteMsgData");
        };
        //客户确定删除后，向数据库通讯
        $scope.$on("event_deleteMsgData",function (event, msg) {

                //数据库通讯程序在这里

        });
        /********************dialog end********************/
        /********************电话弹窗 start********************/
        $scope.phone="13001251161";

        /********************电话弹窗 end********************/






        /******************************************省市滚动选择空间 begin****************************************/
        var provinceScroll;//省滚动
        var cityScroll;//市滚动
        var addressContent = '';
        var liHeight= 36;//li元素的高
        $scope.openProvinceDiv = function(){
            $scope.provinceDivShow = !$scope.provinceDivShow;
            if ($scope.provinceDivShow)
            {
                /*var provinceArr = [
                 {"branchCode":"130100","branchName":"石家庄市"},
                 {"branchCode":"130101","branchName":"唐山市"},
                 {"branchCode":"130101","branchName":"上海市"},
                 {"branchCode":"130101","branchName":"武汉市"},
                 {"branchCode":"130101","branchName":"广东市"},
                 {"branchCode":"130101","branchName":"成都市"},
                 {"branchCode":"130101","branchName":"石家庄市"},
                 {"branchCode":"130101","branchName":"西藏市"}];//初始化滚动的省份*/

                var type = 'province';//获取列表
                var arrIndex = -1;
                getProvince(arrIndex,type);

            }

        };
        function _openProvinceDiv(provinceArr,cityArr,type){

        }

        $scope.getProvince = function(type){

            var moveTop = 0;
            var arrIndex = -1;
            if(type == 'province')
            {
                moveTop = $('#scrollerProvice').position().top;//获取便宜
                arrIndex = Math.floor((0-moveTop)/liHeight);
                getProvince(arrIndex,'city');
            }
            else{
                moveTop = $('#scrollerCity').position().top;//获取便宜
                arrIndex = Math.floor((0-moveTop)/liHeight);
                provinceScroll.scrollTo(0,0);
                addressContent += $scope.cityArr[arrIndex]['branchName'];
                //console.log(addressContent)
                $scope.myProvince = addressContent;
                $scope.cityArr = [];
                $scope.provinceDivShow = false;
            }
        };


        function getProvince(arrIndex,type)
        {
            var branchName,branchCode;
            if (arrIndex != -1)
            {
                branchName = $scope.provinceArr[arrIndex]['branchName'];
                addressContent = branchName;
                branchCode = $scope.provinceArr[arrIndex]['branchCode'];
            }

            adbService.getResult(
                {},
                {
                    "header": {
                        "isource": "adbnative",
                        "ikey": "10e6d1bd43166418dfe756baf224ca81",
                        "icode": "I226010",
                        "iserial": "201607261812121234"
                    },
                    "params": {
                        "parentCode": branchCode,
                        "companyCode": ""
                    }
                },
                function (json) {
                    //console.log(json);
                    if (json.header.istatus == 1) {//成功
                        var provinceArr = new Array();
                        var cityArr = new Array();
                        if (type == 'province')
                        {
                            $scope.provinceArr = json.data;
                            $scope.$on('ngRepeatFinished', function (ngRepeatFinishedEvent) {
                                //下面是在table render完成后执行的js
                                provinceScroll = new IScroll('#proviceMenu', { snap:"li",probeType: 3, mouseWheel: true,click:true });
                            });
                        }
                        else
                        {
                            $scope.cityArr = json.data;
                            $scope.$on('ngRepeatFinished', function (ngRepeatFinishedEvent) {
                                //下面是在table render完成后执行的js
                                cityScroll = new IScroll('#cityMenu', { snap:"li",probeType: 3, mouseWheel: true,click:true });

                                provinceScroll.scrollTo(0,(0-(arrIndex)*36));
                            });
                        }
                    } else {
                        $scope.dialogRes("获取产品信息失败,请稍后重试");
                    }
                },
                function (err) {
                    //
                })
        };
        /******************************************省市滚动选择空间 end****************************************/

        /********************************************选择时间begin*******************************************************/
        $scope.selectTime = function(){
          $scope.gotoApp('selectTime');
        }
        /********************************************选择时间end********************************************************/


        /***********************************************获取省市 begin************************************************/
        $scope.provinceObj = [];
        getProvinceArr();


        function getProvinceArr(){
            adbService.getResult(
                {},
                {
                    "header": {
                        "isource": "adbnative",
                        "ikey": "10e6d1bd43166418dfe756baf224ca81",
                        "icode": "I226010",
                        "iserial": "201607261812121234"
                    },
                    "params": {
                        "parentCode": '',
                        "companyCode": ""
                    }
                },
                function (json) {
                    //console.log(json);
                    if (json.header.istatus == 1) {//成功
                        $scope.provinceObj = json.data;//获取省
                        for(var i=0;i<$scope.provinceObj.length;i++){
                            var branchCode = $scope.provinceObj[i]['branchCode'];
                            getCityArr(branchCode,i);

                        }

                    } else {
                        $scope.dialogRes("获取省市信息失败,请稍后重试");
                    }
                },
                function (err) {
                    //
                })
        }
        function getCityArr(branchCode,proKey){
            adbService.getResult(
                {},
                {
                    "header": {
                        "isource": "adbnative",
                        "ikey": "10e6d1bd43166418dfe756baf224ca81",
                        "icode": "I226010",
                        "iserial": "201607261812121234"
                    },
                    "params": {
                        "parentCode": branchCode,
                        "companyCode": ""
                    }
                },
                function (json) {
                    //console.log(json);
                    if (json.header.istatus == 1) {//成功
                        //获取省
                        var cityArr = json.data;
                        $scope.provinceObj[proKey]['cityArr'] = json.data;
                        //console.log($scope.provinceObj);
                    } else {
                        $scope.dialogRes("获取省市信息失败,请稍后重试");
                    }
                },
                function (err) {
                    //
                })
        }

        $scope.getCityId = function(){
            console.log($scope.cityID);
        }

        /************************************************获取省市end**************************************************/

    }]);
});

function nativeDate2Js (param){
    //console.log(app);
    var appElement = document.querySelector('[ng-controller=mainCtrl]');
    var $scope = angular.element(appElement).scope();
    //$scope.myTime = param;
    var timestamp = param;//时间戳

    $scope.myTime = new Date(parseInt(timestamp) * 1000);

}







