'use strict';
define(['app', '../../js/factory', '../../js/familyConfig'], function (app) {

    app.register.controller('familyAnalysisAddMemberCtrl', ['$scope', '$stateParams', '$state', '$location', 'familyFactory', function ($scope, $stateParams, $state, $location, familyFactory) {
        //改变页面的<title>
        $scope.appTitle = '添加家庭成员';
        $scope.$emit("titleName", $scope.appTitle);

        $scope.goToBack = function () {
            /*****************************设置头部返回地址 begin******************************/

            var backUrl = $scope.getBackFactory('familyAnalysisAddMember', 'familyAnalysisInfoR');

            if (backUrl != '') {
                //location.href = 'index.html#/' + backUrl;
                $location.url(backUrl);
            }
            /*****************************设置头部返回地址 end******************************/
        }


        var familyObject = familyFactory.getter();//获取中的家庭保障数据

        function init()//初始化信息
        {
            $scope.familyMemberType = familyMemberType;//家庭关系列表

            $scope.familyRow = {
                "name": "",
                "mobile": "",
                "relation": "0",
                "age": "",
                "yearIncome": "",
                "yareInsurance": "",
                "itemsDefind": []
            };//初始化绑定信息

            $scope.familyMemberType

        }

        init();

        $scope.$on('$viewContentLoaded', function () {
            //视图渲染后加载

        });


        //保存家庭成员
        $scope.saveMember = function () {
            var res = checkForm();

            if (res) {
                //成功，push数据
                var familyRow = {};
                familyRow = {
                    "name": $scope.familyRow["name"],
                    "mobile": $scope.familyRow["mobile"],
                    "relation": $scope.familyRow["relation"],
                    "age": $scope.familyRow["age"],
                    "yearIncome": $scope.familyRow["yearIncome"],
                    "yareInsurance": $scope.familyRow["yareInsurance"],
                    "itemsDefind": []
                };
                if (!familyObject['family']) {
                    familyObject['family'] = [];
                }
                familyObject['family'].push(familyRow);   //2016-08-20   smart
                familyFactory.setter(familyObject);
                /*
                 var fid = (familyObject['family'].length)-1;
                 $scope.setBackFactory('familyAnalysisInfo','familyAnalysisEditMemberR/'+fid);*/
                $location.path("/familyAnalysisInfoR");
            }

        };


        //检查表单
        function checkForm() {
            var regName = /^[a-zA-Z\u4e00-\u9fa5]{2,20}$/;     //姓名正则
            var regAge = /^[1-9]\d*$/;
            //var reg_yearIncome = /^(?!0+(?:\.0+)?$)(?:[1-9]\d*|0)(?:\.\d{1,2})?$/;      //年收入正则
            var reg_yearIncome = /^([0-9]\d*)(?:\.\d{1,2})?$/;      //年收入正则
            var reg_phone = /^1\d{10}$/;    //手机正则
            if (!$scope.familyRow.name || $scope.familyRow.name == '') {
                $scope.dialogTip("请填写成员姓名");
                return false;
            } else if (!regName.test($scope.familyRow.name)) {
                $scope.dialogTip("请正确填写姓名");
                return false;
            }
            else if(typeof $scope.familyRow.relation == 'undefined' || !$scope.familyRow.relation || $scope.familyRow.relation == 0){
                $scope.dialogTip("请选择成员类型");
                return false;
            }
            else if (!$scope.familyRow.age || $scope.familyRow.age == '') {
                $scope.dialogTip("请填写成员年龄");
                return false;
            } else if (!regAge.test($scope.familyRow.age)) {
                $scope.dialogTip("请正确填写年龄");
                return false;
            } else if ($scope.familyRow.yearIncome) {
                if(!reg_yearIncome.test($scope.familyRow.yearIncome)){
                    $scope.dialogTip("请正确填写年度总收入");
                    return false;
                }
            }
            if ($scope.familyRow.yareInsurance) {
                if(!reg_yearIncome.test($scope.familyRow.yareInsurance)){
                    $scope.dialogTip("请正确填写年度保费");
                    return false;
                }
            }
            return true;
        }
    }]);
});