'use strict';
define(['app','../../js/factory'], function (app) {

    app.register.controller('familyAnalysisCustomInfoCtrl', ['$scope', '$stateParams','$state','$location','backFactory','adbService','familyFactory',function ($scope, $stateParams,$state,$location,backFactory,adbService,familyFactory) {
        //改变页面的<title>
        $scope.appTitle = '家庭保障分析';
        $scope.$emit("titleName", $scope.appTitle);

        $scope.goToBack = function(){
            /*****************************设置头部返回地址 begin******************************/
            var backUrl = 'exhibitionR';
            if (backUrl != ''){
                //返回按钮操作
                if (backUrl == 'exhibitionR')
                {
                    //清楚缓存
                    familyFactory.setter(null);

                    var res = $scope.gotoApp('PopNative');
                    if (res) return;
                }
                //location.href='index.html#/'+backUrl
                $location.url(backUrl);
                /*****************************设置头部返回地址 end******************************/
            }
        }


        //var dragBeginPosition = {};//拖拽的刚开始位置

        function init()//初始化信息
        {
            //alert($location.absUrl());
            //判断是否有familyFactory信息
            var familyObj = familyFactory.getter();
            if (!familyObj || typeof familyObj['customer'] == 'undefined'){
                //添加新客户
                var params = {
                    "customer" : {
                        "genderCode":"M"//初始化最初的男女
                    },
                    "family" : []
                };
                familyFactory.setter(params);
                $scope.customer = params['customer'];
            }
            else{
                //console.log('j2');
                //编辑客户
                $scope.customer = familyObj['customer'];
            }

            if (!$scope.customer['genderCode'])
            {
                $scope.customer['genderCode'] = 'M';
            }

            //$scope.dragNumber = 0;

            var regId = "";
            var broker;
            if(typeof localStorage.getItem('broker_in_session') != "undefined")
            {
                broker = JSON.parse(localStorage.getItem('broker_in_session'));
            }
            if(typeof broker != "undefined" && broker && typeof broker['regId'] != "undefined" && broker['regId'])
                regId = broker['regId'];
            $scope.eventAttributes("familyAnalysisCustomInfo",JSON.stringify({"tel":regId}));//保障分析埋点
        }
        init();

        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载
        });


        $scope.checkForm = function() {

            //检查表单
            var regName = /^[a-zA-Z\u4e00-\u9fa5]{2,20}$/;     //姓名正则
            var reg_income = /^(?!0+(?:\.0+)?$)(?:[1-9]\d*|0)(?:\.\d{1,2})?$/;      //家庭收入正则
            var reg_phone = /^1\d{10}$/;    //手机正则
            if (typeof $scope.customer.name == 'undefined' || $scope.customer.name == '') {
                $scope.dialogTip("请填写客户姓名");
                return false;
            }else if(!regName.test($scope.customer.name)){
                $scope.dialogTip("请正确填写姓名");
                return false;
            }else if (typeof $scope.customer.yearIncome  == 'undefined' || $scope.customer.yearIncome == '') {
                $scope.dialogTip("请填写家庭收入");
                return false;
            }else if(!reg_income.test($scope.customer.yearIncome)){
                $scope.dialogTip("请正确填写家庭收入");
                return false;
            }
            else if($scope.customer.mobile){
                if (!reg_phone.test($scope.customer.mobile)) {
                    $scope.dialogTip("请正确填写手机号码");
                    return false;
                }
            }
            return true;

        }






        //选择关联客户后，为页面赋值
        $scope.$on("customerInfo",function(event,msg){
            if (typeof msg[0] != 'undefined')
            {
                var customer = msg[0];

                if(typeof customer['customerId'] != 'undefined' && customer['customerId'])
                {
                    $scope.customer['customerId'] = customer['customerId'];//客户id
                }
                if (typeof customer['name'] != 'undefined')
                {
                    $scope.customer['name'] = customer['name'];//客户名称
                }
                if (typeof customer['gender'] != 'undefined' && customer['gender'] != '')
                {
                    $scope.customer['genderCode'] = customer['gender'];
                }
                if (typeof customer['contactValue'] != 'undefined')
                {
                    $scope.customer['mobile'] = customer['contactValue'];
                }
            }
        });


        //添加客户信息
        $scope.addCustomInfo=function(){
            //验证输入信息

            var res = $scope.checkForm();
            if (res)
            {
                //成功
                var familyObject = familyFactory.getter();
                if (familyObject == null)
                {
                    familyObject = {};
                }
                familyObject["customer"] = $scope.customer;
                familyFactory.setter(familyObject);

                familyObject = familyFactory.getter();

                //console.log(familyObject);
                //成功后跳转
                $scope.setBackFactory('familyAnalysisInfo');
                $location.path("/familyAnalysisInfoR");
            }
        };

        //跳转到家庭保障分析列表页
        $scope.goFamilyList=function(){
            //1、清楚缓存
            familyFactory.setter(null);
            //2、跳转页面

            var res = $scope.gotoApp('ADBProtectAnalyHis');
            if (!res){
                $scope.setBackFactory('familyAnalysisList');
                $location.path("/familyAnalysisListR");
            }
        }

        /*//拖拽开始的位置捕获
        $scope.dragBegin = function(){
            alert('dragBegin');
            dragBeginPosition = $('.list_btn').offset();
            $scope.dragNumber = 0;
        }
        $scope.dragEnd = function(){
            alert('dragEnd');
            $scope.dragNumber = 1;
        }

        $scope.$watch('dragNumber',function(newValue,oldValue, scope){

            console.log(newValue);
             console.log(oldValue);
            if($scope.dragNumber == 1)
            {
                var dragEndPosition = $('.list_btn').offset();
                console.log(dragBeginPosition);
                console.log(dragEndPosition);
                alert(dragEndPosition.top)
                alert(dragBeginPosition.top);
                if (dragEndPosition.top == dragBeginPosition.top && dragEndPosition.left == dragBeginPosition.left)
                {
                    //$scope.goAddMember();
                    $scope.goFamilyList();
                }
            }


        });*/

    }]);
});
function noDrag(){
    $('#noDrage').click();
}