'use strict';
define(['app','../../js/factory','../../js/familyConfig'], function (app) {

    app.register.controller('familyAnalysisEditMemberCtrl', ['$scope', '$stateParams','$state','$location','familyFactory',function ($scope, $stateParams,$state,$location,familyFactory) {
        //改变页面的<title>
        $scope.appTitle = '修改家庭成员';
        $scope.$emit("titleName", $scope.appTitle);

        $scope.goToBack = function(){
            /*****************************设置头部返回地址 begin******************************/
            var backUrl = $scope.getBackFactory('familyAnalysisEditMember','familyAnalysisInfoR');
            if (backUrl != ''){
                //location.href = 'index.html#/'+backUrl;
                $location.url(backUrl);
            }
            /*****************************设置头部返回地址 end******************************/
        }



        var fid = $stateParams.fid;//家庭成员序号
        var familyObject = familyFactory.getter();
        function init()//初始化信息
        {
            $scope.familyRow = familyObject['family'][fid];
            $scope.familyMemberType = familyMemberType;
        }
        init();

        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载

        });



        //保存家庭成员
        $scope.saveMember=function(){

            var checkResult = checkForm();
            if (checkResult) {
                var params = {
                    "name" : $scope.familyRow.name,
                    "mobile" : "",
                    "relation" : $scope.familyRow.relation,
                    "age" : $scope.familyRow.age,
                    "yearIncome" : $scope.familyRow.yearIncome,
                    "yareInsurance" : $scope.familyRow.yareInsurance,
                    "itemsDefind":familyObject["family"][fid]['itemsDefind']
                };
                familyObject["family"][fid] =params;

                familyFactory.setter(familyObject);
                $location.path("/familyAnalysisInfoR");
            }

        };

        //新增家庭成员 检查表单
        var checkForm = function() {
            var regName = /^[a-zA-Z\u4e00-\u9fa5]{2,20}$/;     //姓名正则
            var regAge = /^[1-9]\d*$/;
            var reg_yearIncome = /^([0-9]\d*)(?:\.\d{1,2})?$/;      //年收入正则
            var reg_phone = /^1\d{10}$/;    //手机正则
            if (!$scope.familyRow.name || $scope.familyRow.name == '') {
                $scope.dialogTip('请填写成员姓名');//弹出错误提示
                return false;
            }else if(!regName.test($scope.familyRow.name)) {
                $scope.dialogTip('请正确填写姓名');//弹出错误提示
                return false;
            }else if(typeof $scope.familyRow.relation == 'undefined' || !$scope.familyRow.relation || $scope.familyRow.relation == 0){
                    $scope.dialogTip("请选择成员类型");
                    return false;
            }else if (!$scope.familyRow.age || $scope.familyRow.age == '') {
                $scope.dialogTip('请填写成员年龄');//弹出错误提示
                return false;
            }else if(!regAge.test($scope.familyRow.age)){
                $scope.dialogTip('请正确填写成员年龄');//弹出错误提示
                return false;
            }else if ($scope.familyRow.yearIncome) {
                if(!reg_yearIncome.test($scope.familyRow.yearIncome)){
                    $scope.dialogTip('请正确填写年度总收入');//弹出错误提示
                    return false;
                }
            }

            if($scope.familyRow.yareInsurance) {

                if(!reg_yearIncome.test($scope.familyRow.yareInsurance)){
                    $scope.dialogTip('请正确填写年度保费');//弹出错误提示
                    return false;
                }
            }
            return true;
        }

    }]);
});