'use strict';
define(['app','../../js/factory','../../js/familyConfig'], function (app) {

    app.register.controller('familyAnalysisInfoCtrl', ['$scope', '$stateParams','$state','$location','familyFactory','adbService',function ($scope, $stateParams,$state,$location,familyFactory,adbService) {
        //改变页面的<title>
        $scope.appTitle = '家庭保障分析';
        $scope.$emit("titleName", $scope.appTitle);
        $scope.fid = $stateParams.fid;//fid为家庭保障分析id,0-为添加保障信息，否则为修改保障信息



        /*****************************设置头部返回地址 begin******************************/
        //返回按钮操作
        $scope.goToBack = function(){
            $location.path("familyAnalysisCustomInfoR")
        }
        /*****************************设置头部返回地址 end******************************/

        //var familyObj = familyFactory.getter();
        //$scope.fmy_cy_data = JSON.parse(localStorage.getItem("fmy_cy_data"));
        var familyObject = familyFactory.getter();
        //var dragBeginPosition = {};//拖拽的刚开始位置
        //$scope.dragNumber = 0;
        var delIndex = -1;//删除的序号
        function init()//初始化信息
        {
            $scope.familyArr = [];
            if (familyObject && typeof familyObject['family'] != 'undefined')
            {
                $scope.familyArr = familyObject['family'];
            }

            $scope.familyMemberType = familyMemberType;
            //console.log($scope.familyMemberType);


            //console.log($scope.familyArr);
            if(typeof $scope.familyArr =='undefined' || $scope.familyArr.length == 0){
                $scope.isListShow = false;
            }else{
                $scope.isListShow = true;
            }

            for(var i=0;i<$scope.familyArr.length;i++)
            {
                if ($scope.familyArr[i]['itemsDefind'])
                {
                    var itemsDefindSum = 0;
                    if($scope.familyArr[i]['itemsDefind'].length >0)
                    {
                        //console.log($scope.familyArr[i]['itemsDefind']);
                        for(var j=0;j<$scope.familyArr[i]['itemsDefind'].length;j++)
                        {
                            itemsDefindSum+=parseFloat($scope.familyArr[i]['itemsDefind'][j]['amt']);
                        }
                    }
                    if (itemsDefindSum == 0)
                    {
                        $scope.familyArr[i]['itemsDefind'] = [];
                    }

                }
            }
        }
        init();

        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载

        });

        $scope.editFamily = function(index){
            $scope.goEditMember(index);
        }

        //点击去编辑家庭成员
        $scope.goEditMember=function(index){
            $scope.setBackFactory('familyAnalysisEditMember');
            $location.path("/familyAnalysisEditMemberR/"+index);
        };

        //点击去添加家庭成员
        $scope.goAddMember=function(){

            if (typeof familyObject['family']!= 'undefined' && familyObject['family'].length >= 5)
            {
                $scope.dialogTip('限制最多5个家庭成员');
                return;
            }

            $scope.setBackFactory('familyAnalysisAddMember');
            $location.path("/familyAnalysisAddMemberR");//fid-0时，添加家庭成员
        };


        //跳转到保障信息编辑页面
        $scope.goFamilyInput=function(index){
            $scope.setBackFactory('familyAnalysisInput');
            $location.path("/familyAnalysisInputR/" + index);
        };
         //跳转到保障信息结果页面
        $scope.goFamilyResult=function(){

            /*****************************************加入分组信息 begin***********************************/
            familyObject['group']=[
                {
                    "code": 'yiwai',//大项代码
                    "title": '意外保障账户',
                    "titleShort": '意外',
                    "age17": true,
                    "age18": true
                },
                {
                    "code": 'yiliao',//大项代码
                    "title": '重症轻疾住院',
                    "titleShort": '重症轻疾住院',
                    "age17": true,
                    "age18": true
                },
                {
                    "code": 'jiaoyu',//大项代码
                    "title": '教育',
                    "titleShort": '教育',
                    "age17": true,
                    "age18": false
                },
                {
                    "code": 'yanglao',//大项代码
                    "title": '养老',
                    "titleShort": '养老',
                    "age17": true,
                    "age18": true
                },
                {
                    "code": 'shouxian',//大项代码
                    "title": '寿险',
                    "titleShort": '寿险',
                    "age17": false,
                    "age18": true
                }
            ]
            /*****************************************加入分组信息 end***********************************/

            /*****************************************判断是否有保证分析数据 begin*****************************/
            for(var i= 0;i<familyObject.family.length;i++)
            {
                if (typeof familyObject.family[i]['itemsDefind'] == 'undefined' || familyObject.family[i]['itemsDefind'].length <= 0)
                {
                    familyObject.family[i]['itemsDefind'] = itemsDefinedConfig;
                }
            }
            /*****************************************判断是否有保证分析数据 end*****************************/
            familyFactory.setter(familyObject);//当生成分析结果后，id为生成结果的id
            /**/
            adbService.getResult(
                {},
                $scope.setService('I151013',familyObject),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {

                        var familyPlanId = json.data['familyPlanId'];//保障计划唯一ID
                        familyObject['familyPlanId'] = familyPlanId;
                        familyFactory.setter(familyObject);//当生成分析结果后，id为生成结果的id

                        $scope.setBackFactory('familyAnalysisResult');//把id传递给分析结果页

                        //console.log("/familyAnalysisResultR/"+familyPlanId);
                        $location.path("/familyAnalysisResultR/"+familyPlanId);
                    }
                    else
                    {
                        $scope.dialogTip(json.header.imsg);
                    }

                },
                function(err){
                    //错误
                    //console.log(err);
                });
        };

        //删除成员
        $scope.delFamily = function(n){

            $scope.dialogConfirm("确认删除","","取消","删除","event_deleteMsgData");
            //客户确定删除后，向数据库通讯
            $scope.$on("event_deleteMsgData",function (event, msg) {
                if(n>=0)
                {
                    $scope.familyArr = delArr(n,$scope.familyArr);//删除数组中的第n个元素
                    familyObject['family'] = $scope.familyArr;//删除后，储存到缓存
                    familyFactory.setter(familyObject);
                }
            });
        }


        //数组删除
        function delArr(n,arr)
        {
            if (n<0){
                return [];
            }
            else if(arr.length == 1){
                return [];
            }
            return arr.slice(0,n).concat(arr.slice(n+1,arr.length));
        }

        /*//拖拽开始的位置捕获
        $scope.dragBegin = function(){
            dragBeginPosition = $('.add_fmly').offset();
            $scope.dragNumber = 0;
        }
        $scope.dragEnd = function(){
            $scope.dragNumber = 1;
        }

        $scope.$watch('dragNumber',function(newValue,oldValue, scope){

            /!*console.log(newValue);
            console.log(oldValue);
            *!/
            var dragEndPosition = $('.add_fmly').offset();
            /!*console.log(dragBeginPosition);
            console.log(dragEndPosition);
            *!/if (dragEndPosition.top == dragBeginPosition.top && dragEndPosition.left == dragBeginPosition.left)
            {
                $scope.goAddMember();
            }

        });*/

    }]);
});
function noDrag(){
    $('#noDrage').click();
}