'use strict';
define(['app','../../js/factory','../../js/familyConfig'], function (app) {

    app.register.controller('familyAnalysisInputCtrl', ['$scope', '$stateParams','$state','$location','familyFactory',function ($scope, $stateParams,$state,$location,familyFactory) {
        var index = $stateParams.fid;     //获取连接上的家庭成员Id
        var familyObject = familyFactory.getter();
        $scope.family = familyObject['family'][index];
        if ($scope.family['itemsDefind'].length>0)
        {
            //改变页面的<title>
            $scope.appTitle = '修改家庭保障信息';
            $scope.$emit("titleName", $scope.appTitle);
        }
        else
        {
            //改变页面的<title>
            $scope.appTitle = '添加家庭保障信息';
            $scope.$emit("titleName", $scope.appTitle);
        }



        $scope.goToBack = function(){
            /*****************************设置头部返回地址 begin******************************/
            var backUrl = $scope.getBackFactory('familyAnalysisInput','familyAnalysisInfoR');
            if (backUrl != ''){
                //location.href = 'index.html#/'+backUrl;
                $location.url(backUrl);
            }
            /*****************************设置头部返回地址 end******************************/
        }




        $scope.relation = $scope.family.relation;
        //转换客户关系的Id数字为汉字传给后台
        $scope.familyMemberType = familyMemberType;

        var contentArr = $scope.contentArr = {};//折叠展开数组
        contentArr[0] = {};
        contentArr[0]['isOpen'] = false;
        contentArr[1] = {};
        contentArr[1]['isOpen'] = false;
        contentArr[2] = {};
        contentArr[2]['isOpen'] = false;
        contentArr[3] = {};
        contentArr[3]['isOpen'] = false;
        contentArr[4] = {};
        contentArr[4]['isOpen'] = false;
        contentArr[5] = {};
        contentArr[5]['isOpen'] = false;
        contentArr[6] = {};
        contentArr[6]['isOpen'] = false;
        contentArr[7] = {};
        contentArr[7]['isOpen'] = false;

        function init()//初始化信息
        {
            //console.log($scope.family);
            $scope.name = $scope.family.name;
            $scope.amt = new Array();
            $scope.educationAmt = new Array();
            $scope.pastureAmt = new Array();
            $scope.longlifeAmt = new Array();

            $scope.accidentAll = 0;                    //一般意外保额初始值
            $scope.amtAll = 0;                          //交通意外保额初始值
            $scope.sicknessAll = 0;                    //重疾保额初始值
            $scope.littleAll = 0;                      //轻症保额初始值
            $scope.healthAll = 0;                      //住院医疗保额初始值
            $scope.educationAll = 0;                  //教育保额初始值
            $scope.pastureAll = 0;                    //养老年金保额初始值
            $scope.longlifeAll = 0;                   //寿险保额初始值
            var itemsDefind = $scope.family.itemsDefind;

            if(itemsDefind.length>0)
            {
                $scope.accidentAll = itemsDefind[0].amt;                    //一般意外保额初始值
                $scope.accidentAmt = itemsDefind[0].items[0].amt?itemsDefind[0].items[0].amt:'';

                $scope.amtAll = itemsDefind[1].amt;                          //交通意外保额初始值
                $scope.amt[0] = itemsDefind[1].items[0].amt?itemsDefind[1].items[0].amt:'';
                $scope.amt[1] = itemsDefind[1].items[1].amt?itemsDefind[1].items[1].amt:'';
                $scope.amt[2] = itemsDefind[1].items[2].amt?itemsDefind[1].items[2].amt:'';
                $scope.amt[3] = itemsDefind[1].items[3].amt?itemsDefind[1].items[3].amt:'';

                $scope.sicknessAll = itemsDefind[2].amt;                    //重疾保额初始值
                $scope.sicknessAmt = itemsDefind[2].items[0].amt?itemsDefind[2].items[0].amt:'';

                $scope.littleAll = itemsDefind[3].amt;                      //轻症保额初始值
                $scope.littleAmt = itemsDefind[3].items[0].amt?itemsDefind[3].items[0].amt:'';

                $scope.healthAll = itemsDefind[4].amt;                      //住院医疗保额初始值
                $scope.healthAmt = itemsDefind[4].items[0].amt?itemsDefind[4].items[0].amt:'';

                $scope.educationAll = itemsDefind[5].amt;                  //教育保额初始值
                $scope.educationAmt[0] = itemsDefind[5].items[0].amt?itemsDefind[5].items[0].amt:'';
                $scope.educationAmt[1] = itemsDefind[5].items[1].amt?itemsDefind[5].items[1].amt:'';

                $scope.pastureAll = itemsDefind[6].amt;                    //养老年金保额初始值
                $scope.pastureAmt[0] = itemsDefind[6].items[0].amt?itemsDefind[6].items[0].amt:'';
                $scope.pastureAmt[1] = itemsDefind[6].items[1].amt?itemsDefind[6].items[1].amt:'';
                $scope.pastureAmt[2] = itemsDefind[6].items[2].amt?itemsDefind[6].items[2].amt:'';

                $scope.longlifeAll = itemsDefind[7].amt;                   //寿险保额初始值
                $scope.longlifeAmt[0] = itemsDefind[7].items[0].amt?itemsDefind[7].items[0].amt:'';
                $scope.longlifeAmt[1] = itemsDefind[7].items[1].amt?itemsDefind[7].items[1].amt:'';

                $scope.longlifeAmt[2] = itemsDefind[7].items[2].amt?itemsDefind[7].items[2].amt:'';
            }


        }
        init();

        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载

        });
        //一般意外保障账户求和
        $scope.change_accidentAmt = function(){
            var reg = /^([0-9]\d*)(?:\.\d{1,2})?$/;      //正整数正则
            if (typeof $scope.accidentAmt != 'undefined' && $scope.accidentAmt != '' && $scope.accidentAmt != null){
                if(!reg.test($scope.accidentAmt)){
                    $scope.accidentAll = '0';
                    $scope.accidentAmt = '0';
                }
                else{
                    $scope.accidentAll = $scope.accidentAmt;
                }

            }
            else{
                $scope.accidentAll = '0';
            }
        }

        //交通意外保障账户求和
        $scope.getAmtSum = function(){
            var result = 0;
            var reg = /^([0-9]\d*)(?:\.\d{1,2})?$/;      //正整数正则
            for(var i = 0; i<$scope.amt.length; i++){
                if (typeof $scope.amt[i] != 'undefined' && $scope.amt[i] != '' && $scope.amt[i] != null){
                    if(!reg.test($scope.amt[i])){
                        $scope.amt[i] = '0';
                    }
                    result += parseFloat($scope.amt[i]);
                }
            }
            $scope.amtAll = result;
        }

        //重疾保障金额改变
        $scope.change_sicknessAmt = function(){
            var reg = /^([0-9]\d*)(?:\.\d{1,2})?$/;      //正整数正则
            if (typeof $scope.sicknessAmt != 'undefined' && $scope.sicknessAmt != '' && $scope.sicknessAmt != null){
                if(!reg.test($scope.sicknessAmt)){
                    $scope.sicknessAll = '0';
                    $scope.sicknessAmt = '0';
                }
                else{
                    $scope.sicknessAll = $scope.sicknessAmt;
                }

            }
            else{
                $scope.sicknessAll = '0';
            }
        }

        //轻症保障金额改变
        $scope.change_littleAmt = function(){
            var reg = /^([0-9]\d*)(?:\.\d{1,2})?$/;      //正整数正则
            if (typeof $scope.littleAmt != 'undefined' && $scope.littleAmt != '' && $scope.littleAmt != null){
                if(!reg.test($scope.littleAmt)){
                    $scope.littleAll = '0';
                    $scope.littleAmt = '0';
                }
                else{
                    $scope.littleAll = $scope.littleAmt;
                }

            }
            else{
                $scope.littleAll = '0';
            }
        }

        //住院医疗保障金额改变
        $scope.change_healthAmt = function(){
            var reg = /^([0-9]\d*)(?:\.\d{1,2})?$/;      //正整数正则
            if (typeof $scope.healthAmt != 'undefined' && $scope.healthAmt != '' && $scope.healthAmt != null){
                if(!reg.test($scope.healthAmt)){
                    $scope.healthAll = '0';
                    $scope.healthAmt = '0';
                }
                else{
                    $scope.healthAll = $scope.healthAmt;
                }

            }
            else{
                $scope.healthAll = '0';
            }
        }

        //教育年金账户求和
        $scope.getEducation = function(){
            var reg = /^([0-9]\d*)(?:\.\d{1,2})?$/;      //正整数正则
            var result = 0;
            for(var i = 0; i<$scope.educationAmt.length; i++){
                if (typeof $scope.educationAmt[i] != 'undefined' && $scope.educationAmt[i] != ''&& $scope.educationAmt[i] != null){
                    if(!reg.test($scope.educationAmt[i])){
                        $scope.educationAmt[i] = '0';
                    }

                    result += parseFloat($scope.educationAmt[i]);
                }
            }
            $scope.educationAll = result;
        }

        //养老年金账户求和
        $scope.getPasture = function(){
            var reg = /^([0-9]\d*)(?:\.\d{1,2})?$/;      //正整数正则
            var result = 0;
            for(var i = 0; i<$scope.pastureAmt.length; i++){
                if (typeof $scope.pastureAmt[i] != 'undefined' && $scope.pastureAmt[i] != ''&& $scope.pastureAmt[i] != null){
                    if(!reg.test($scope.pastureAmt[i])){
                        $scope.pastureAmt[i] = '0';
                    }
                    result += parseFloat($scope.pastureAmt[i]);
                }
            }
            $scope.pastureAll = result;
        }

        //寿险账户求和
        $scope.getLonglife = function(){
            var reg = /^([0-9]\d*)(?:\.\d{1,2})?$/;      //正整数正则
            var result = 0;
            for(var i = 0; i<$scope.longlifeAmt.length; i++){
                if (typeof $scope.longlifeAmt[i] != 'undefined' && $scope.longlifeAmt[i] != ''&& $scope.longlifeAmt[i] != null){
                    if(!reg.test($scope.longlifeAmt[i])){
                        $scope.longlifeAmt[i] = '0';
                    }
                    result += parseFloat($scope.longlifeAmt[i]);
                }
            }
            $scope.longlifeAll = result;
        }

        //添加保存保障信息
        $scope.addInfo=function(){

            //判断是否有输入
            if ($scope.accidentAmt || $scope.amt[0] || $scope.amt[1] || $scope.amt[2] || $scope.amt[3] || $scope.sicknessAmt || $scope.littleAmt || $scope.healthAmt || $scope.educationAmt[0] || $scope.educationAmt[1] || $scope.pastureAmt[0] || $scope.pastureAmt[1] || $scope.pastureAmt[2] || $scope.longlifeAmt[0] || $scope.longlifeAmt[1] || $scope.hilt){
                $scope.family.itemsDefind = [
                    {
                        "group": "yiwai",
                        "title": "意外保障账户",
                        "titleShort": "意外",
                        "amt": $scope.accidentAll,
                        "amtWish": -1,//期许额度上限-大于零时优先取这个
                        "amtTimes": -1,//大于零时 items项的金额合计（amt） 乘以这个倍数（n）之后 减去 items项的合计金额（amt） 当做当做保额缺口分析 缺口值 即 （amt * n-amt）
                        "age17": true,
                        "age18": true,
                        "age51": true,
                        "items": [
                            {
                                "title": "一般意外风险保额",
                                "amt": $scope.accidentAmt,
                                "amtAge17": 100,
                                "amtAge18": 10
                            }
                        ]
                    },
                    {
                        "group": "yiwai",
                        "title": "交通意外账户",
                        "titleShort": "交通意外",
                        "amt": $scope.amtAll,
                        "amtWish": -1,//期许额度上限-大于零时优先取这个
                        "amtTimes": -1,//大于零时 items项的金额合计（amt） 乘以这个倍数（n）之后 减去 items项的合计金额（amt） 当做当做保额缺口分析 缺口值 即 （amt * n-amt）
                        "age17": false,
                        "age18": true,
                        "age51": true,
                        "items": [
                            {
                                "title": "自驾车意外风险保额",
                                "amt": $scope.amt[0],
                                "amtAge17": 100,
                                "amtAge18": 20
                            },
                            {
                                "title": "陆路公共交通意外风险保额",
                                "amt": $scope.amt[1],
                                "amtAge17": 0,
                                "amtAge18": 10
                            },
                            {
                                "title": "水路公共交通意外风险保额",
                                "amt": $scope.amt[2],
                                "amtAge17": 0,
                                "amtAge18": 10
                            },
                            {
                                "title": "航空意外风险保额",
                                "amt": $scope.amt[3],
                                "amtAge17": 0,
                                "amtAge18": 50
                            }
                        ]
                    },
                    {
                        "group": "yiliao",
                        "title": "重疾保障账户",
                        "titleShort": "重疾",
                        "amt": $scope.sicknessAll,
                        "amtWish": -1,//期许额度上限-大于零时优先取这个
                        "amtTimes": -1,//大于零时 items项的金额合计（amt） 乘以这个倍数（n）之后 减去 items项的合计金额（amt） 当做当做保额缺口分析 缺口值 即 （amt * n-amt）
                        "age17": true,
                        "age18": true,
                        "age51": true,
                        "items": [
                            {
                                "title": "重大疾病保障",
                                "amt": $scope.sicknessAmt,
                                "amtAge17": 50,
                                "amtAge18": 8
                            }
                        ]
                    },
                    {
                        "group": "yiliao",
                        "title": "轻疾保障账户",
                        "titleShort": "轻疾",
                        "amt": $scope.littleAll,
                        "amtWish": -1,//期许额度上限-大于零时优先取这个
                        "amtTimes": -1,//大于零时 items项的金额合计（amt） 乘以这个倍数（n）之后 减去 items项的合计金额（amt） 当做当做保额缺口分析 缺口值 即 （amt * n-amt）
                        "age17": true,
                        "age18": true,
                        "age51": true,
                        "items": [
                            {
                                "title": "轻症疾病保障",
                                "amt": $scope.littleAmt,
                                "amtAge17": 10,
                                "amtAge18": 2
                            }
                        ]
                    },
                    {
                        "group": "yiliao",
                        "title": "住院医疗账户",
                        "titleShort": "住院医疗",
                        "amt": $scope.healthAll,
                        "amtWish": -1,//期许额度上限-大于零时优先取这个
                        "amtTimes": -1,//大于零时 items项的金额合计（amt） 乘以这个倍数（n）之后 减去 items项的合计金额（amt） 当做当做保额缺口分析 缺口值 即 （amt * n-amt）
                        "age17": true,
                        "age18": true,
                        "age51": true,
                        "items": [
                            {
                                "title": "年度医疗费用总额",
                                "amt": $scope.healthAmt,
                                "amtAge17": 5,
                                "amtAge18": 1
                            }
                        ]
                    },
                    {
                        "group": "jiaoyu",
                        "title": "教育年金账户",
                        "titleShort": "教育年金",
                        "amt": $scope.educationAll,
                        "amtWish": -1,//期许额度上限-大于零时优先取这个
                        "amtTimes": -1,//大于零时 items项的金额合计（amt） 乘以这个倍数（n）之后 减去 items项的合计金额（amt） 当做当做保额缺口分析 缺口值 即 （amt * n-amt）
                        "age17": true,
                        "age18": false,
                        "age51": false,
                        "items": [
                            {
                                "title": "中学阶段可领取",
                                "amt": $scope.educationAmt[0],
                                "amtAge17": 8,
                                "amtAge18": 0
                            },
                            {
                                "title": "大学阶段可领取",
                                "amt": $scope.educationAmt[1],
                                "amtAge17": 12,
                                "amtAge18": 0
                            }
                        ]
                    },
                    {
                        "group": "yanglao",
                        "title": "养老年金账户",
                        "titleShort": "养老年金",
                        "amt": $scope.pastureAll,
                        "amtWish": -1,//期许额度上限-大于零时优先取这个
                        "amtTimes": 20,//大于零时 items项的金额合计（amt） 乘以这个倍数（n）之后 减去 items项的合计金额（amt） 当做当做保额缺口分析 缺口值 即 （amt * n-amt）
                        "age17": false,
                        "age18": true,
                        "age51": true,
                        "items": [
                            {
                                "title": "60周岁前可领取",
                                "amt": $scope.pastureAmt[0],
                                "amtAge17": 0,
                                "amtAge18": 20
                            },
                            {
                                "title": "60周岁（含）至满期前一年可领取",
                                "amt": $scope.pastureAmt[1],
                                "amtAge17": 0,
                                "amtAge18": 20
                            },
                            {
                                "title": "60周岁（含）满期日生存领取/满期前身故领取",
                                "amt": $scope.pastureAmt[2],
                                "amtAge17": 0,
                                "amtAge18": 20
                            }
                        ]
                    },
                    {
                        "group": "shouxian",
                        "title": "寿险保障账户",
                        "titleShort": "寿险保障",
                        "amt": $scope.longlifeAll,
                        "amtWish": 100,//期许额度上限-大于零时优先取这个
                        "amtTimes": -1,//大于零时 items项的金额合计（amt） 乘以这个倍数（n）之后 减去 items项的合计金额（amt） 当做当做保额缺口分析 缺口值 即 （amt * n-amt）
                        "age17": false,
                        "age18": true,
                        "age51": true,
                        "items": [
                            {
                                "title": "终身寿险保障",
                                "amt": $scope.longlifeAmt[0],
                                "amtAge17": 0,
                                "amtAge18": 0
                            },
                            {
                                "title": "定期寿险",
                                "amt": $scope.longlifeAmt[1],
                                "amtAge17": 0,
                                "amtAge18": 0
                            },
                            {
                                "title": "期许额度上限",
                                "amt": $scope.longlifeAmt[2],
                                "amtAge17": 0,
                                "amtAge18": 0
                            }
                        ]
                    }
                ];
                var itemsDefind = $scope.family.itemsDefind;
                if(itemsDefind[0].items[0].amt == null || itemsDefind[0].items[0].amt == ""){
                    itemsDefind[0].items[0].amt = 0;
                }
                if(itemsDefind[1].items[0].amt == null || itemsDefind[1].items[0].amt == ""){
                    itemsDefind[1].items[0].amt = 0;
                }
                if(itemsDefind[1].items[1].amt == null || itemsDefind[1].items[1].amt == ""){
                    itemsDefind[1].items[1].amt = 0;
                }
                if(itemsDefind[1].items[2].amt == null || itemsDefind[1].items[2].amt == ""){
                    itemsDefind[1].items[2].amt = 0;
                }
                if(itemsDefind[1].items[3].amt == null || itemsDefind[1].items[3].amt == ""){
                    itemsDefind[1].items[3].amt = 0;
                }
                if(itemsDefind[2].items[0].amt == null || itemsDefind[2].items[0].amt == ""){
                    itemsDefind[2].items[0].amt = 0;
                }
                if(itemsDefind[3].items[0].amt == null || itemsDefind[3].items[0].amt == ""){
                    itemsDefind[3].items[0].amt = 0;
                }
                if(itemsDefind[4].items[0].amt == null || itemsDefind[4].items[0].amt == ""){
                    itemsDefind[4].items[0].amt = 0;
                }
                if(itemsDefind[5].items[0].amt == null || itemsDefind[5].items[0].amt == ""){
                    itemsDefind[5].items[0].amt = 0;
                }
                if(itemsDefind[5].items[1].amt == null || itemsDefind[5].items[1].amt == ""){
                    itemsDefind[5].items[1].amt = 0;
                }
                if(itemsDefind[6].items[0].amt == null || itemsDefind[6].items[0].amt == ""){
                    itemsDefind[6].items[0].amt = 0;
                }
                if(itemsDefind[6].items[1].amt == null || itemsDefind[6].items[1].amt == ""){
                    itemsDefind[6].items[1].amt = 0;
                }
                if(itemsDefind[6].items[2].amt == null || itemsDefind[6].items[2].amt == ""){
                    itemsDefind[6].items[2].amt = 0;
                }
                if(itemsDefind[7].items[0].amt == null || itemsDefind[7].items[0].amt == ""){
                    itemsDefind[7].items[0].amt = 0;
                }
                if(itemsDefind[7].items[1].amt == null || itemsDefind[7].items[1].amt == ""){
                    itemsDefind[7].items[1].amt = 0;
                }
                if(itemsDefind[7].items[2].amt == null || itemsDefind[7].items[2].amt == ""){
                    itemsDefind[7].items[2].amt = 0;
                }


                familyObject['family'][index]['itemsDefind'] = itemsDefind;
                familyFactory.setter(familyObject);
            }
            $location.path("/familyAnalysisInfoR");
        };

    }]);
});