'use strict';
define(['app'], function (app) {

    app.register.controller('familyAnalysisListCtrl', ['$scope', '$stateParams','$state','$location','backFactory','adbService','$timeout',function ($scope, $stateParams,$state,$location,backFactory,adbService,$timeout) {

        //改变页面的<title>
        $scope.appTitle = '家庭保障分析记录';
        $scope.$emit("titleName", $scope.appTitle);


        $scope.goToBack = function(){
            /*****************************设置头部返回地址 begin******************************/
            var backUrl = $scope.getBackFactory('familyAnalysisList','familyAnalysisCustomInfoR');
            if (backUrl != ''){
                //location.href = 'index.html#/'+backUrl;
                $location.url(backUrl);
            }
            /*****************************设置头部返回地址 end******************************/
        }


        var loadingNum = 1;//加载次数
        function init()//初始化信息
        {

            $scope.title = '家庭保障分析'
            $scope.familyArr = [];//初始化列表
            $scope.listShow = -1;//初始化默认显示loading
            $scope.currentPage = 0;//当前页
            $scope.pageSize = 10;//每页条数
            //防止一次加载多页数据
            $scope.isLoad=false;
            $scope.noMore = false;//没有更多数据加载
        }
        init();

        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载
            if(loadingNum == 1)
            {
                search();
                loadingNum++;
            }

        });

        //数据滚动加载
        $scope.loadMore = function() {
            if(!$scope.isLoad){
                $scope.isLoad=true;
                $timeout(function(){
                    search();
                    $scope.isLoad=false;
                },300)
            }
        };

        function search()
        {

            //获取保障分析历史查询
            var params = {
                "pageNo": $scope.currentPage,//页
                "pageSize": $scope.pageSize//每页数量

            }
            adbService.getResult(
                {},
                $scope.setService('I151011',params),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        var familyArr = json.data;
                        //console.log(familyArr);
                        if(familyArr.length<$scope.pageSize){
                            $scope.noMore=true;
                        }
                        if(familyArr.length > 0)
                        {
                            $scope.listShow = 1;//显示列表
                            $scope.currentPage++;

                            $scope.familyArr = $scope.familyArr.concat(familyArr);//追加数据
                        }
                        if ($scope.familyArr.length <= 0)
                        {
                            $scope.listShow = 0;//信息为空
                        }
                    }

                },
                function(err){
                    //错误
                    $scope.listShow = 0;//信息为空
                    //console.log(err);
                });

        }

        //删除成员
        $scope.delAnalysisList = function(index,familyPlanId){
            $scope.dialogConfirm("确认删除","","取消","删除","delAnalysisListFlag");
            $scope.familyPlanId=familyPlanId; //成团号
            $scope.index=index;
        };
        //客户确定删除后，向数据库通讯
        $scope.$on("delAnalysisListFlag",function (event, msg) {
            var params = {
                "familyPlanId":$scope.familyPlanId
            };
            adbService.getResult(
                {},
                $scope.setService('I151014',params),
                function(json){
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if(json.header.istatus = '1'){
                        $scope.familyArr = [];//初始化列表
                        $scope.listShow = -1;//初始化默认显示loading
                        $scope.currentPage = 0;//当前页
                        $scope.pageSize = 10;//每页条数
                        //防止一次加载多页数据
                        $scope.isLoad=false;
                        $scope.noMore = false;//没有更多数据加载
                        search();
                    }
                }
            );
        });

        // 数组删除
        function delArr(n,arr)
        {
            if (n<0){
                return [];
            }
            else if(arr.length == 1){
                return [];
            }
            return arr.slice(0,n).concat(arr.slice(n+1,arr.length));
        }

        //跳转到保障分析结果页
        $scope.goFamilyResult=function(fid){
            $scope.setBackFactory('familyAnalysisResult');
            $location.path("familyAnalysisResultR/"+fid);
        };

        //跳转到客户信息编辑页面
        $scope.goFamilyCustomInfo=function(){
            $scope.setBackFactory('familyAnalysisCustomInfo');
            $location.path("familyAnalysisCustomInfoR");
        };

    }]);
});