'use strict';
define(['app','/adb/js/libs/echarts.common.min.js','../../js/factory'], function (app,ec) {
    app.register.controller('familyAnalysisResultCtrl', ['$scope', '$stateParams','$state','$location','adbService','familyFactory','$timeout',function ($scope, $stateParams,$state,$location,adbService,familyFactory,$timeout) {
        //改变页面的<title>
        $scope.appTitle = '家庭保障分析结果';
        $scope.$emit("titleName", $scope.appTitle);
        var loadingNum = 1;//加载次数

        $scope.goToBack = function(){

            var backUrl = $scope.getBackFactory('familyAnalysisResult');

            if ($scope.authed && !backUrl)
            {
                var res = $scope.gotoApp('PopNative');
                if(res)
                {
                    return;
                }
                else{
                    backUrl = 'familyAnalysisInfoR';
                }
            }
            //location.href = 'index.html#/'+backUrl;
            $location.url(backUrl);
        }


        function clone(obj) {
            var o;
            if (typeof obj == "object") {
                if (obj === null) {
                    o = null;
                } else {
                    if (obj instanceof Array) {
                        o = [];
                        for (var i = 0, len = obj.length; i < len; i++) {
                            o.push(clone(obj[i]));
                        }
                    } else {
                        o = {};
                        for (var j in obj) {
                            o[j] = clone(obj[j]);
                        }
                    }
                }
            } else {
                o = obj;
            }
            return o;
        }
        var familyPlanId=$stateParams.fid;

        /***************************************图标展示数据 初始化 begin**************************************/
        var echarOption = {
            color:['#f1625c','#ccc'],
            tooltip : {
                trigger: 'item'//'axis'
            },
            legend: {
                show:false,
                data:['建议额度','现有额度']
            },
            grid:{
                left:50,
                right:20,
                top:40,
                bottom:50
            },

            xAxis : [
                {
                    type : 'category',
                    axisLabel:{
                        interval:0,
                        rotate:30,
                        margin:5,
                        textStyle:{
                            color:"#222"
                        }
                    },
                    data : []
                }
            ],
            yAxis : [
                {
                    type : 'value',
                    name:'金额(万元)',
                    nameGap:10,
                    boundaryGap: ['0', '10%']
                }
            ],
            series : [
                {
                    name:'建议额度',
                    type:'bar',
                    label: {
                        normal: {
                            show: true,
                            position: 'top'
                        }
                    },
                    data:[],
                    itemStyle: {
                        normal: {
                            label: {
                                show: true,
                                textStyle: {
                                    color: '#f1625c'
                                }
                            }
                        }
                    }
                },
                {
                    name:'现有额度',
                    type:'bar',
                    label: {
                        normal: {
                            show: true,
                            position: 'top'
                        }
                    },
                    data:[],
                    itemStyle: {
                        normal: {
                            label: {
                                show: true,
                                textStyle: {
                                    color: '#ccc'
                                }
                            }
                        }
                    }
                }
            ]
        };


        var echarOptionArr = [];
        echarOptionArr[1] = clone(echarOption);
        echarOptionArr[1]['xAxis'][0]['data'] = ['一般意外','自驾意外','陆路交通','水路交通','航空意外'];
        echarOptionArr[2] =  clone(echarOption);
        echarOptionArr[2]['xAxis'][0]['data'] = ['重疾保障','轻症保障','住院医疗'];
        echarOptionArr[3] =  clone(echarOption);
        echarOptionArr[3]['xAxis'][0]['data'] = ['中学年金','大学年金'];
        echarOptionArr[4] =  clone(echarOption);
        echarOptionArr[4]['xAxis'][0]['data'] = ['养老年金'];
        echarOptionArr[5] =  clone(echarOption);
        echarOptionArr[5]['xAxis'][0]['data'] = ['寿险保障'];

        //console.log(echarOptionArr);

        var swiperNum = 1;
        var mySwiper=[];//滚屏


        /***************************************图标展示数据 初始化 end**************************************/

        function init()//初始化信息
        {
            $scope.famliyRes = {};
            $scope.myChart = {};//初始化图标控件数组
            $scope.family = [];//图表初始化
            $scope.family[0] = true;
            $scope.family[1] = true;
            $scope.family[2] = true;
            $scope.family[3] = true;
            $scope.family[4] = true;
            $scope.yourRate = 0;//投保比率
            $scope.nowSlide = 1;//初始化滑动第1屏




        }
        init();

        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载
            if(loadingNum <= 1)
            {
                getFamilyAnalysis();
                loadingNum++;
            }


        });


        function getFamilyAnalysis(){
            var params = {
                "familyPlanId":familyPlanId//保障分析计划ID
            };
            adbService.getResult(
                {},
                $scope.setService('I151012',params),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.famliyRes = json.data;
                        //console.log(JSON.stringify(json.data));
                        if ($scope.famliyRes['broker']['headPortrait'])
                        {
                            $scope.famliyRes['broker']['headPortrait'] = $scope.famliyRes['broker']['headPortrait'];
                        }

                        if(typeof json.data['broker']['regId'] != 'undefined')
                        {
                            $scope.famliyRes.broker.name = '';
                            getUserInfo(json.data['broker']['regId']);
                        }

                    }
                    else
                    {
                        $scope.dialogTip(json.header.imsg);
                    }

                },
                function(err){
                    //错误
                    //console.log(err);
                });
        }
        //跳转到客户信息编辑页面
        $scope.goFamilyCustomInfo=function(){
            familyFactory.setter(null);
            $scope.setBackFactory('familyAnalysisCustomInfo');
            $location.path("/familyAnalysisCustomInfoR");
        };


        var sharing = false;//分享中
        $scope.gotoShare = function(){

            if(!$scope.isCertificationFun('请完善认证信息开启专享通道才可进行分享'))
            {
                return;//如果不是认证用户，则返回，不进行分享
            }

            if(!sharing)
            {
                sharing = true;//标识在分享中

                /********************分享 start********************/
                var shareObj = {
                    //"imgUrl": _globalOption.host+"/adb/images/logo.png",
                    "imgUrl": _globalOption.host+"/adb/module/familyAnalysis/result/images/analysisImg.png",
                    "shareUrl": _globalOption.shareHost+"/adb/share.html#/familyAnalysisResultR/"+familyPlanId+"?&",
                    "title": "您的私人订制家庭保障分析",
                    "description": "保险独立经纪人"+ $scope.brokerNname +"为您全面剖析家庭保障结构，私人订制，绝密档案！"
                };
                //console.log(shareObj);

                //$scope.eventAttributes("familyAnalysisShare");//保障分析分享次数埋点

                $scope.$emit("goShare",shareObj);
                /********************分享 end********************/
                $scope.showShareBox(true);
                var timer = $timeout(
                    function() {
                        sharing = false;
                    },
                    2000
                );

            }

        };

        //切换图标菜单
        $scope.goTab = function(n){

            for(var i=0;i<$scope.famliyRes.family.length;i++){
                if (i==n){
                    $scope.family[i] = true ;
                }
                else{
                    $scope.family[i] = false ;
                }
                //滚动到第一屏
                mySwiper[i].slideTo(0);

            }
            $scope.nowSlide = 1;
        }



        $scope.$on('ngRepeatFinished', function(ngRepeatFinishedEvent) {
            //下面是在页面 render完成后执行的js


            var yareInsuranceSum = 0;
            for(var i=0;i<$scope.famliyRes.family.length;i++)
            {
                var familyRow = $scope.famliyRes.family[i];
                var itemsDefind = familyRow['itemsDefind'];
                var age = familyRow['age'];//成员年龄
                //console.log(familyRow['yareInsurance']);
                if (familyRow['yareInsurance'])
                {
                    yareInsuranceSum += parseFloat(familyRow['yareInsurance']);
                }
                else
                {
                    yareInsuranceSum += 0;
                }






                var itemsDefindArr = [];//定义图表中的数值
                itemsDefindArr[0] = [];//定义现有额度
                itemsDefindArr[1] = [];//定义建议额度

                if (itemsDefind.length <= 0)
                {
                    itemsDefindArr[0][1]=[0,0,0,0,0];//意外：一般、自驾、陆路交通、水路交通、航空
                    itemsDefindArr[0][2]=[0,0,0,0];//重疾：重疾、轻症、住院
                    itemsDefindArr[0][3]=[0,0];//教育：中学领取、大学领取
                    itemsDefindArr[0][4]=[0];//养老
                    itemsDefindArr[0][5]=[0];//寿险

                }
                else{
                    itemsDefindArr[0][1]=[];//意外：一般、自驾、陆路交通、水路交通、航空
                    itemsDefindArr[0][2]=[];//重疾：重疾、轻症、住院
                    itemsDefindArr[0][3]=[];//教育：中学领取、大学领取
                    itemsDefindArr[0][4]=[];//养老
                    itemsDefindArr[0][5]=[];//寿险



                    var accident = [];//意外
                    var accidentPlan = [];//意外建议

                    accident[0] = itemsDefind[0]['items'][0]['amt'];//一般意外
                    if (age <18)
                    {
                        accidentPlan[0] = 100;
                    }
                    else{
                        accidentPlan[0] = familyRow['yearIncome']*10;
                    }

                    if(age >= 18)
                    {
                        accident[1] = itemsDefind[1]['items'][0]['amt'];//自驾
                        accidentPlan[1] = familyRow['yearIncome']*20;


                        accident[2] = itemsDefind[1]['items'][1]['amt'];//陆路交通
                        accidentPlan[2] = familyRow['yearIncome']*10;

                        accident[3] = itemsDefind[1]['items'][2]['amt'];//水路交通
                        accidentPlan[3] = familyRow['yearIncome']*10;

                        accident[4] = itemsDefind[1]['items'][3]['amt'];//航空
                        accidentPlan[4] = familyRow['yearIncome']*50;
                    }


                    itemsDefindArr[0][1]= accident;
                    itemsDefindArr[1][1]= accidentPlan;

                    var disease = [];//重疾
                    var diseasePlan = [];//重疾建议
                    disease[0] = itemsDefind[2]['items'][0]['amt'];//重疾
                    if (age <18)
                    {
                        diseasePlan[0] = 50;
                    }
                    else{
                        diseasePlan[0] = familyRow['yearIncome']*8;
                    }

                    disease[1] = itemsDefind[3]['items'][0]['amt'];//轻症
                    if (age <18)
                    {
                        diseasePlan[1] = 10;
                    }
                    else{
                        diseasePlan[1] = familyRow['yearIncome']*2;
                    }

                    disease[2] = itemsDefind[4]['items'][0]['amt'];//住院
                    if (age <18)
                    {
                        diseasePlan[2] = 5;
                    }
                    else{
                        diseasePlan[2] = familyRow['yearIncome']*1;
                    }

                    itemsDefindArr[0][2]= disease;
                    itemsDefindArr[1][2]= diseasePlan;

                    var study = [];//教育
                    var studyPlan = [];//教育建议
                    study[0] = itemsDefind[5]['items'][0]['amt'];//中学领取
                    studyPlan[0] = '8';
                    study[1] = itemsDefind[5]['items'][1]['amt'];//大学领取
                    studyPlan[1] = '12';
                    itemsDefindArr[0][3]= study;
                    itemsDefindArr[1][3]= studyPlan;


                    var pension = itemsDefind[6]['items'][0]['amt']+itemsDefind[6]['items'][1]['amt'];//养老
                    var pensionPlan = pension *20;//养老建议

                    itemsDefindArr[0][4]= [pension];//养老
                    itemsDefindArr[1][4]= [pensionPlan];


                    var life = itemsDefind[7]['items'][0]['amt']+itemsDefind[7]['items'][1]['amt'];//寿险
                    var lifePlan = 0;//寿险建议

                    if (typeof itemsDefind[7]['items'][2] != 'undefined' && typeof itemsDefind[7]['items'][2]['amt'] != 'undefined')
                    {
                        lifePlan = itemsDefind[7]['items'][2]['amt'];//寿险建议
                    }

                    itemsDefindArr[0][5]= [life];
                    itemsDefindArr[1][5]= [lifePlan];
                }

                //var m = 1;
                for(var j=1;j<=5;j++)
                {

                    $scope.myChart[i+'_'+j]= ec.init(document.getElementById('main['+i+']['+j+']'));//意外：一般、自驾、陆路交通、水路交通、航空
                    echarOptionArr[j]['series'][1]['data'] = itemsDefindArr[0][j];
                    echarOptionArr[j]['series'][0]['data'] = itemsDefindArr[1][j];

                    if(age<18)
                    {
                        echarOptionArr[1]['xAxis'][0]['data'] = ['一般意外'];
                    }
                    else
                    {
                        echarOptionArr[1]['xAxis'][0]['data'] = ['一般意外','自驾意外','陆路交通','水路交通','航空意外'];
                    }
                    $scope.myChart[i+'_'+j].setOption(echarOptionArr[j]);
                    //m++;
                }
                //console.log(echarOptionArr);
                mySwiper[i] = {};

                mySwiper[i] = new Swiper(".swiper-container_"+i, {
                    freeMode : false,
                    initialSlide :0,
                    touchMoveStopPropagation : false,
                    shortSwipes : false,
                    onSlideChangeEnd:function(swiper){
                        //$scope.nowSlide = mySwiper[i].activeIndex;
                        //console.log(swiper.activeIndex);
                        $scope.$apply(function () {
                            $scope.nowSlide = swiper.activeIndex+1;
                        });


                    },
                    /*onSlideNextEnd: function(swiper){
                        $scope.$apply(function () {
                            console.log($scope.nowSlide);
                            $scope.nowSlide++;
                            /!*if($scope.nowSlide++ == '4'){
                                $scope.nowSlide = 4
                            }*!/
                        });
                    },
                    onSlidePrevEnd: function(swiper){
                        $scope.$apply(function () {
                            console.log($scope.nowSlide);
                            $scope.nowSlide--;
                            /!*if($scope.nowSlide++ == '4'){
                                $scope.nowSlide = 4
                            }*!/
                        })
                    }*/
                    /*pagination : '.swiper-container_'+i+' .swiper-pagination',
                    paginationClickable: true
                    paginationBulletRender: function (index, className) {
                        return '<span class="' + className + '">' + (index + 1) + '</span>';
                    }*/
                    //slidesPerView :5
                });
            }
            //console.log(yareInsuranceSum);
            $scope.yourRate = ((yareInsuranceSum / $scope.famliyRes['customer']['yearIncome'])*100).toFixed(2);//投保比率



            if (swiperNum == 1)
            {
                $scope.goTab(0);//第一次显示默认第一屏
            }

            $scope.slideGo = function(type,nowIndex)
            {
                //console.log(nowIndex);
                //控制左右滚屏
                // nowIndex当前展示的客户图标序号
                if (typeof nowIndex != 'undefined')
                {
                    if(type=='prev')
                    {
                        mySwiper[nowIndex].slidePrev();
                    }
                    else if(type == 'next'){
                        mySwiper[nowIndex].slideNext();
                    }
                }
            }


        });

        /*********************************************获取分享出去名片的用户名称 begin*********************************************************/
        //黎明用户：默认显示昵称，若没有昵称则显示“真实姓名”
        //非黎明用户：默认显示“真实姓名”
        function getUserInfo(uid){
            //获取代理人信息
            var params = {
                "regId": uid
            };
            adbService.getResult(
                {},
                $scope.setService('I110801',params),
                function (json) {
                    //console.log(json)
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        var userInfo = json.data;//返回用户信息
                        var isLimingUser = false;//非黎明用户,true-是，false-非
                        if(userInfo)
                        {
                            if(typeof userInfo['brokerLevel'] != 'undefined' && userInfo['brokerLevel'] > 0)
                            {
                                isLimingUser = true;
                            }
                            if (isLimingUser)
                            {
                                //黎明用户
                                if(typeof userInfo['nickName'] != 'undefined' && userInfo['nickName'])
                                {
                                    $scope.famliyRes.broker.name = userInfo['nickName'];
                                }
                                else if(typeof userInfo['name'] != 'undefined' && userInfo['name'])
                                {
                                    $scope.famliyRes.broker.name = userInfo['name'];
                                }
                            }
                            else{
                                //非黎明用户
                                if(typeof userInfo['name'] != 'undefined' && userInfo['name'])
                                {
                                    $scope.famliyRes.broker.name = userInfo['name'];
                                }
                            }

                            if($scope.famliyRes.broker.name){
                                $scope.brokerNname = $scope.famliyRes.broker.name;
                            } else{
                                $scope.brokerNname = '';
                            }

                        }
                    }
                    else{
                        $scope.dialogRes(json.header.imsg);//弹出错误提示
                    }
                    callShare2();//二次分享
                },
                function(err){
                    //错误
                    //console.log(err);
                });
        }
        /*********************************************获取分享出去名片的用户名称 end*********************************************************/


        /***************************************二次分享 begin******************************************************************/

        function callShare2()
        {
            if(!$scope.authed)
            {
                try {

                    //var url = _globalOption.shareHost+"/adb/share.html#/familyAnalysisResultR/"+familyPlanId+"?&";
                    var url = $location.absUrl();
                    //alert(url);
                    var share2Obj = {
                        "currentUrl":url,//原始url
                        "shareTitle":"您的私人订制家庭保障分析",//分享的标题
                        "shareUrl":url,//分享的url
                        "shareImg": _globalOption.host+"/adb/module/familyAnalysis/result/images/analysisImg.png",//分享的图片
                        "shareDesc":"保险独立经纪人"+ $scope.brokerNname +"为您全面剖析家庭保障结构，私人订制，绝密档案！"//分享的描述
                    };
                    var pos=share2Obj.currentUrl.indexOf("#");
                    var dataJson = $scope.setService("W102010", {
                        "url" : pos>-1?share2Obj.currentUrl.substring(0,pos):share2Obj.currentUrl
                    })
                    //alert(pos>-1?share2Obj.currentUrl.substring(0,pos):share2Obj.currentUrl);
                    common_wx_share(dataJson,share2Obj);
                } catch (e) {

                }
            }
        }

        /***************************************二次分享 end******************************************************************/
    }]);
});
function noDrag(){
    $('#noDrage').click();
}