/**
 * Created by Mr.Zheng on 2016/8/8.
 */
'use strict';
define(['app'], function (app) {

    app.register.controller('commentCtrl', ['$scope', '$stateParams', '$state', '$location', 'adbService', '$timeout', function ($scope, $stateParams, $state, $location, adbService, $timeout) {

        //改变页面的<title>
        $scope.appTitle = '订单评价';
        $scope.$emit("titleName", $scope.appTitle);

        /*****************************设置头部返回地址 begin******************************/
        var backUrl = $scope.getBackFactory('publishByPro', 'homeR');
        if (backUrl != '') {
            //返回按钮操作
            $scope.$emit("adbBack", 'index.html#/' + backUrl, "2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        /*****************************设置头部返回地址 end******************************/

        function init()//初始化信息
        {
            $scope.commentArr = [];//初始化列表
            $scope.listShow = -1;//初始化默认显示loading
            $scope.currentPage = 1;//当前页
            //防止一次加载多页数据
            $scope.isLoad = false;
            $scope.noMore = false;//没有更多数据加载
        }

        init();

        $scope.$on('$viewContentLoaded', function () {
            //视图渲染后加载

            commentList();

        });

        //改变满意度
        $scope.starNum = 0;//初始满意度为0
        $scope.changeSatisfy = function (num) {

            $scope.starNum = num;
            if (num == 1) {
                $scope.changeSatisfy1 = true;
                $scope.changeSatisfy2 = false;
                $scope.changeSatisfy3 = false;
                $scope.changeSatisfy4 = false;
                $scope.changeSatisfy5 = false;
            }
            if (num == 2) {
                $scope.changeSatisfy1 = true;
                $scope.changeSatisfy2 = true;
                $scope.changeSatisfy3 = false;
                $scope.changeSatisfy4 = false;
                $scope.changeSatisfy5 = false;
            }
            if (num == 3) {
                $scope.changeSatisfy1 = true;
                $scope.changeSatisfy2 = true;
                $scope.changeSatisfy3 = true;
                $scope.changeSatisfy4 = false;
                $scope.changeSatisfy5 = false;
            }
            if (num == 4) {
                $scope.changeSatisfy1 = true;
                $scope.changeSatisfy2 = true;
                $scope.changeSatisfy3 = true;
                $scope.changeSatisfy4 = true;
                $scope.changeSatisfy5 = false;
            }
            if (num == 5) {
                $scope.changeSatisfy1 = true;
                $scope.changeSatisfy2 = true;
                $scope.changeSatisfy3 = true;
                $scope.changeSatisfy4 = true;
                $scope.changeSatisfy5 = true;
            }
        }
        //跳转到消息活动详情
        $scope.goCommentList = function () {
            $scope.setBackFactory('proCommentList');
            $location.path("proCommentListR");
        }

        //发布评论
        $scope.publishComment = function () {
            var objectId = "100301";//评论对象id ,文章ID 电子书ID 保险产品ID
            var objectType = "p";//评论对象类型, A.文章 B.电子书 P.保险产品
            var title = "钓鱼岛";//评论对象题目 ,文章题目 电子书题目 保险产品题目
            var content = $('#taContent').val();//评论内容
            var stars = $scope.starNum;//满意度
            if ($scope.starNum < '1') {
                $scope.dialogRes("您还没有选择综合评价");
                return false;
            } else {
                $scope.satisfyLimit = false;
            }
            if ($('#taContent').val().length < 5) {
                $scope.dialogRes("您至少需要输入五个字的描述");
                return false;
            } else {
                $scope.fiveLimit = false;
            }
            var params = {
                "objectId": objectId,
                "objectType": objectType,
                "title": title,
                "content": content,
                "stars": stars
            };
            adbService.getResult(
                {},
                $scope.setService('I221013', params),
                function (json) {
                    if (json.header.istatus == '-99') {
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $location.path('/proCommentListR')
                    }
                }
            )
        }

        //评论列表
        function commentList() {
            var params = {
                "pageNo": $scope.currentPage,
                "pageSize": "10",
                "objectId": "100301",
                "objectType": "P"
            };
            adbService.getResult(
                {},
                $scope.setService('I221012', params),
                function (json) {

                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        var commentArr = json.data;
                        console.log(json.data);
                        console.log(commentArr);

                        if (commentArr.length < 10) {
                            $scope.noMore = true;
                        }
                        if (commentArr.length > 0) {
                            $scope.listShow = 1;//显示列表
                            $scope.currentPage++;

                            $scope.commentArr = $scope.commentArr.concat(commentArr);//追加数据
                        }
                        if ($scope.commentArr.length <= 0) {
                            $scope.listShow = 0;//信息为空
                        }
                    }

                }
            )
        }

        //数据滚动加载
        $scope.loadMore = function () {
            if (!$scope.isLoad) {
                $scope.isLoad = true;
                $timeout(function () {
                    commentList();
                    $scope.isLoad = false;
                }, 300)
            }
        };

    }]);
});