/**
 * Created by Mr.Zheng on 2016/8/8.
 */
'use strict';
define(['app', '../../publish/js/factory'], function (app) {

    app.register.controller('commentListTopCtrl', ['$scope', '$stateParams', '$location', function ($scope, $stateParams, $location) {
        $scope.goToBack = function () {
            /*****************************设置头部返回地址 begin******************************/

            var backUrl = $scope.getBackFactory('commentList');
            if (typeof backUrl != 'undefined' && backUrl != '') {
                //返回按钮操作
                $location.path(backUrl);
            }
            else {
                $scope.gotoApp('PopNative');
            }
            /*****************************设置头部返回地址 end******************************/
        }
    }]);
    app.register.controller('commentListCtrl', ['$scope', '$stateParams', '$state', '$location', 'adbService', '$timeout', 'publishArticleFactory', function ($scope, $stateParams, $state, $location, adbService, $timeout, publishArticleFactory) {
        //改变页面的<title>
        //alert($location.absUrl());
        $scope.appTitle = '全部评论';
        $scope.$emit("titleName", $scope.appTitle);
        $scope.mid = $stateParams.mid;//资料ID
        $scope.mType = $stateParams.mType;//资料类型 A.文章 B.电子书 P.保险产品


        function init()//初始化信息
        {
            //空白页初始化
            $scope.showBlank = -1;
            clearDate();
            //初始化是否点赞
            $scope.isPraise = false;

            publishArticleFactory.setter(null);//清楚缓存
        }

        init();

        $scope.$on('$viewContentLoaded', function () {
            //视图渲染后加载

            commentList();

        });

        $scope.zan = function (commentId) {
            for (var i = 0; i < $scope.commentArr.length; i++) {
                if ($scope.commentArr[i].commentId == commentId) {
                    $scope.commentArr[i].praise = '1';
                    $scope.commentArr[i].praiseCount++;
                }
            }
            praise(commentId);

        };
        //文章评论点赞
        function praise(commentId) {
            $scope.isPraise = commentId;

            var params = {
                "commentId": commentId //评论ID"2016080403054592132"
            };
            adbService.getResult(
                {},
                $scope.setService('I221011', params),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        //clearDate();
                        //commentList();

                    } else {
                    }
                },
                function (err) {
                    //错误
                    //console.log(err);
                }
            );

        }

        //跳转到消息活动详情
        //$scope.goCommentList = function(){
        //    $scope.setBackFactory('proCommentList');
        //    $location.path("proCommentListR");
        //}
        //初始化列表数据
        function clearDate() {
            $scope.noResult = false;//没有结果
            $scope.isLoading = false;//是否加载
            $scope.noMore = false;//没有更多结果
            $scope.currentPage = 1;
            $scope.pageSize = 10;
            $scope.commentArr = [];

        }


        //文章评论列表
        function commentList() {
            if ($scope.noResult || $scope.noMore) {
                $scope.isLoading = false;
                return;
            } else {
                $scope.isLoading = true;
            }
            var params = {
                "pageNo": $scope.currentPage,
                "pageSize": $scope.pageSize,
                "objectId": $scope.mid,//文章ID 电子书ID 保险产品ID
                "objectType": $stateParams.mType //类型：A.文章 B.电子书 P.保险产品
            };
            adbService.getResult(
                {},
                $scope.setService('I221012', params),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {

                        //获取资料列表成功
                        if (json.data.dataList.length < $scope.pageSize) {
                            $scope.noMore = true;
                            $scope.isLoading = false;
                        }
                        if (json.data.dataList.length > 0) {
                            $scope.currentPage = ++$scope.currentPage;
                        }
                        var commentArr = json.data.dataList;
                        //console.log(commentArr);
                        $scope.commentArr = $scope.commentArr.concat(commentArr);

                        //无结果处理
                        if (commentArr.length == 0) {
                            $scope.noResult = true;
                        }

                    } else {

                    }
                    //判断是否显示空白页
                    if ($scope.commentArr.length == 0) {
                        $scope.showBlank = 1;
                    } else {
                        $scope.showBlank = 0;
                    }

                },
                function (err) {
                    //错误
                    //console.log(err);
                }
            )
        }


        //数据滚动加载
        $scope.loadMore = function () {
            if (!$scope.isLoad) {
                $scope.isLoad = true;
                $timeout(function () {
                    commentList();
                    $scope.isLoad = false;
                }, 300)
            }
        };

        $scope.goPublishArticle = function (commentId, name) {
            var params = {};
            params['author'] = name;
            publishArticleFactory.setter(params);

            $scope.setBackFactory('publishComment');
            $location.path("/publishCommentR/" + $scope.mType + '/' + $scope.mid + '/' + commentId);
        }

    }]);
});