/**
 * Created by Mr.Zheng on 2016/8/8.
 */
'use strict';
define(['app','../js/factory'], function (app) {

    app.register.controller('publishCommentCtrl', ['$scope', '$stateParams','$state','$location','adbService','$timeout','publishArticleFactory',function ($scope, $stateParams,$state,$location,adbService,$timeout,publishArticleFactory) {

        //改变页面的<title>
        $scope.appTitle = '发表评论';
        $scope.$emit("titleName", $scope.appTitle);

        var backUrl = $scope.getBackFactory('publishComment');
        console.log(backUrl);
        $scope.goToBack = function(){
            /*****************************设置头部返回地址 begin******************************/
            if (typeof backUrl != 'undefined' && backUrl != ''){
                //返回按钮操作
                //location.href = 'index.html#/'+backUrl;
                $location.url(backUrl);
            }
            else
            {
                $scope.gotoApp('PopNative');
            }
            /*****************************设置头部返回地址 end******************************/
        }
//alert($location.absUrl());
        $scope.mType = $stateParams.mType;//资料类型
        $scope.mid = $stateParams.mid;//资料id
        $scope.parentId = $stateParams.parentId;//parentId为父级评论的id，默认为0
        function init()//初始化信息
        {
            $scope.content = '';
            $scope.placeholder = '';
            if ($scope.parentId <= 0)
            {
                $scope.placeholder = '发表新评论，至少5个字';//添加评论时，提示语
            }
            else{
                $scope.placeholder = '回复';
                var publishArticleInfo = publishArticleFactory.getter();
                //console.log(publishArticleInfo);
                if (typeof publishArticleInfo['author'] != 'undefined')
                {
                    $scope.placeholder +=  '@'+ publishArticleInfo['author'] + '评论，至少5个字';
                }
                $scope.placeholder +=  '评论，至少5个字';
            }
            $('#taContent').focus();

        }
        init();

        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载



        });

        $scope.publishArticle = function(){
            var myCon = $scope.content.replace(/(^s*)|(s*$)/g, "");
            if(!myCon || $scope.content.length <5)
            {
                $scope.dialogRes("评论至少5个字");
                return;
            }
            else if($scope.content.length >100)
            {
                $scope.dialogRes("评论至少5个字，最多100个字");
                return;
            }
            var params = {};//定义上传数据
            var icode = '';
            //console.log($scope.parentId);
            if ($scope.parentId > 0)
            {
                //回复评论
                params = {
                    "commentId": $scope.parentId,
                    "comment": {
                        "title": "",
                        "content": $scope.content
                    }
                }
                icode= 'I221010';
            }
            else{
                params = {
                    "objectId": $scope.mid,
                    "objectType": $scope.mType,//A.文章 B.电子书 P.保险产品
                    "title": "",
                    "content": $scope.content,
                    "stars": ""
                }
                icode= 'I221013';
            }

            /*console.log(params);
            console.log(icode);*/
            //return;
            if (icode)
            {
                //向后后提交数据
                adbService.getResult(
                    {},
                    $scope.setService(icode,params),
                    function (json) {
                        if (json.header.istatus == '-99'){
                            $scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {
                            //$location.path('commentListR/'+$scope.mType+'/'+$scope.mid);
                            /*if (typeof backUrl != 'undefined' && backUrl != ''){
                                //返回按钮操作

                            }
                            else
                            {
                                //$scope.gotoApp('PopNative');
                            }*/
                            console.log('commentListR/'+$scope.mType+'/'+$scope.mid);
                            $location.path('commentListR/'+$scope.mType+'/'+$scope.mid);//返回评论列表

                        }
                        else
                        {
                            $scope.dialogRes(json.header.imsg);
                        }

                    },
                    function(err){
                        //错误
                        //console.log(err);
                    });
            }
        }


    }]);
});