'use strict';
define(['app'], function (app) {

    app.register.controller('searchCtrl', ['$scope', '$stateParams', '$state', '$location', 'adbService', '$timeout', function ($scope, $stateParams, $state, $location, adbService, $timeout) {


        /*****************************设置头部返回地址 begin******************************/
        var backUrl = $scope.getBackFactory('search', 'homeR');
        //返回按钮操作
        if (backUrl) {
            $scope.$emit("adbBack", 'index.html#/' + backUrl, "2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }

        /*****************************设置头部返回地址 end******************************/


        var urlType = $stateParams.moudle;//获得搜索类型标记
        function init()//初始化信息
        {
            //改变页面的<title>
            if (urlType == "product") {
                $scope.appTitle = '搜索产品';
                $scope.$emit("titleName", $scope.appTitle);
                $scope.searchConType = "保险公司";
                $scope.placeholder = "输入搜索产品关键词";//初始化搜索框的水印内容
                $scope.searchType = "P";//初始化搜索类型
                $scope.blankWord = '尚未检索到匹配产品';//初始化空白文案
                $scope.currentPage = 0;//当前页
                $scope.pageSize = 10;//每页条数
                $scope.productList = [];//初始化产品列表
                $scope.adbCode = '0';//选择默认
            }
            else if (urlType == "customers") {
                $scope.appTitle = '搜索联系人';
                $scope.$emit("titleName", $scope.appTitle);
                $scope.searchConType = "保险公司";
                $scope.placeholder = "输入搜索联系人关键词";//初始化搜索框的水印内容
                $scope.searchType = "C";//初始化搜索类型
                $scope.blankWord = '尚未检索到匹配联系人';//初始化空白文案
                $scope.currentPage = 1;//当前页
                $scope.pageSize = 15;//每页条数
                $scope.customerList = []//初始化客户列表
            }
            else if (urlType == "article") {
                $scope.appTitle = '搜索文章';
                $scope.$emit("titleName", $scope.appTitle);
                $scope.searchConType = "全部文章";
                $scope.placeholder = "输入搜索文章关键词";//初始化搜索框的水印内容
                $scope.searchType = "A";//初始化搜索类型
                $scope.blankWord = '尚未检索到匹配文章';//初始化空白文案
                $scope.currentPage = 1;//当前页
                $scope.pageSize = 10;//每页条数
                $scope.articleBookList = [];//初始化资料列表
            }
            else if (urlType == "books") {
                $scope.appTitle = '搜索书籍';
                $scope.$emit("titleName", $scope.appTitle);
                $scope.searchConType = "全部书籍";
                $scope.placeholder = "输入搜索书籍关键词";//初始化搜索框的水印内容
                $scope.searchType = "B";//初始化搜索类型
                $scope.blankWord = '尚未检索到匹配书籍';//初始化空白文案
                $scope.currentPage = 1;//当前页
                $scope.pageSize = 10;//每页条数
                $scope.articleBookList = [];//初始化资料列表
            }
            $scope.searchKey = "";//初始化搜索关键字
            $scope.companyShow = false;//初始化保险公司弹窗
            $scope.articleTypeShow = false;//初始化文章类型列表弹窗
            $scope.companyCode = "";//初始化保险公司代码
            $scope.customerInfo = [];//初始化用户信息

            //防止一次加载多页数据
            $scope.noResult = false;//没有结果
            $scope.isLoading = false;//是否加载
            $scope.noMore = false;//没有更多结果

            //空白页初始化
            $scope.showBlank = -1;
            var customerListByLetter = $scope.customerListByLetter = new Array();//初始化按字母分类的客户列表
            //根据拼音首字母，重新得到客户列表
            $scope.resetListByLetter = function (listArr) {
                //console.log("listArr",listArr);
                var m_count = new Array();

                for (i = 0; i < 26; i++) {
                    m_count[i] = 0;
                    customerListByLetter[i] = {};
                    customerListByLetter[i]['Arr'] = new Array();
                }
                customerListByLetter[0]['letter'] = 'A';
                customerListByLetter[1]['letter'] = 'B';
                customerListByLetter[2]['letter'] = 'C';
                customerListByLetter[3]['letter'] = 'D';
                customerListByLetter[4]['letter'] = 'E';
                customerListByLetter[5]['letter'] = 'F';
                customerListByLetter[6]['letter'] = 'G';
                customerListByLetter[7]['letter'] = 'H';
                customerListByLetter[8]['letter'] = 'I';
                customerListByLetter[9]['letter'] = 'J';
                customerListByLetter[10]['letter'] = 'K';
                customerListByLetter[11]['letter'] = 'L';
                customerListByLetter[12]['letter'] = 'M';
                customerListByLetter[13]['letter'] = 'N';
                customerListByLetter[14]['letter'] = 'O';
                customerListByLetter[15]['letter'] = 'P';
                customerListByLetter[16]['letter'] = 'Q';
                customerListByLetter[17]['letter'] = 'R';
                customerListByLetter[18]['letter'] = 'S';
                customerListByLetter[19]['letter'] = 'T';
                customerListByLetter[20]['letter'] = 'U';
                customerListByLetter[21]['letter'] = 'V';
                customerListByLetter[22]['letter'] = 'W';
                customerListByLetter[23]['letter'] = 'X';
                customerListByLetter[24]['letter'] = 'Y';
                customerListByLetter[25]['letter'] = 'Z';

                for (var i = 0; i < listArr.length; i++) {
                    var letter = listArr[i]['namePinyin'].substring(0, 1);
                    switch (letter) {
                        case 'A':
                            customerListByLetter[0]['Arr'][m_count[0]] = listArr[i];
                            m_count[0]++;
                            break;
                        case 'B':
                            customerListByLetter[1]['Arr'][m_count[1]] = listArr[i];
                            m_count[1]++;
                            break;
                        case 'C':
                            customerListByLetter[2]['Arr'][m_count[2]] = listArr[i];
                            m_count[2]++;
                            break;
                        case 'D':
                            customerListByLetter[3]['Arr'][m_count[3]] = listArr[i];
                            m_count[3]++;
                            break;
                        case 'E':
                            customerListByLetter[4]['Arr'][m_count[4]] = listArr[i];
                            m_count[4]++;
                            break;
                        case 'F':
                            customerListByLetter[5]['Arr'][m_count[5]] = listArr[i];
                            m_count[5]++;
                            break;
                        case 'G':
                            customerListByLetter[6]['Arr'][m_count[6]] = listArr[i];
                            m_count[6]++;
                            break;
                        case 'H':
                            customerListByLetter[7]['Arr'][m_count[7]] = listArr[i];
                            m_count[7]++;
                            break;
                        case 'I':
                            customerListByLetter[8]['Arr'][m_count[8]] = listArr[i];
                            m_count[8]++;
                            break;
                        case 'J':
                            customerListByLetter[9]['Arr'][m_count[9]] = listArr[i];
                            m_count[9]++;
                            break;
                        case 'K':
                            customerListByLetter[10]['Arr'][m_count[10]] = listArr[i];
                            m_count[10]++;
                            break;
                        case 'L':
                            customerListByLetter[11]['Arr'][m_count[11]] = listArr[i];
                            m_count[11]++;
                            break;
                        case 'M':
                            customerListByLetter[12]['Arr'][m_count[12]] = listArr[i];
                            m_count[12]++;
                            break;
                        case 'N':
                            customerListByLetter[13]['Arr'][m_count[13]] = listArr[i];
                            m_count[13]++;
                            break;
                        case 'O':
                            customerListByLetter[14]['Arr'][m_count[14]] = listArr[i];
                            m_count[14]++;
                            break;
                        case 'P':
                            customerListByLetter[15]['Arr'][m_count[15]] = listArr[i];
                            m_count[15]++;
                            break;
                        case 'Q':
                            customerListByLetter[16]['Arr'][m_count[16]] = listArr[i];
                            m_count[16]++;
                            break;
                        case 'R':
                            customerListByLetter[17]['Arr'][m_count[17]] = listArr[i];
                            m_count[17]++;
                            break;
                        case 'S':
                            customerListByLetter[18]['Arr'][m_count[18]] = listArr[i];
                            m_count[18]++;
                            break;
                        case 'T':
                            customerListByLetter[19]['Arr'][m_count[19]] = listArr[i];
                            m_count[19]++;
                            break;
                        case 'U':
                            customerListByLetter[20]['Arr'][m_count[20]] = listArr[i];
                            m_count[20]++;
                            break;
                        case 'V':
                            customerListByLetter[21]['Arr'][m_count[21]] = listArr[i];
                            m_count[21]++;
                            break;
                        case 'W':
                            customerListByLetter[22]['Arr'][m_count[22]] = listArr[i];
                            m_count[22]++;
                            break;
                        case 'X':
                            customerListByLetter[23]['Arr'][m_count[23]] = listArr[i];
                            m_count[23]++;
                            break;
                        case 'Y':
                            customerListByLetter[24]['Arr'][m_count[24]] = listArr[i];
                            m_count[24]++;
                            break;
                        case 'Z':
                            customerListByLetter[25]['Arr'][m_count[25]] = listArr[i];
                            m_count[25]++;
                            break;
                        default:
                            break;
                    }
                }

            }

        }

        init();


        $scope.$on('$viewContentLoaded', function () {
            //视图渲染后加载

            if (urlType == "product") {

                getProductList();//得到所有产品列表
                //数据滚动加载
                $scope.loadMore = function () {
                    if (!$scope.isLoad) {
                        $scope.isLoad = true;
                        $timeout(function () {
                            getProductList();//得到所有产品列表
                            $scope.isLoad = false;
                        }, 300)
                    }
                };
                //点击保险公司
                $scope.showPop = function (t) {
                    getCompanyList();//得到全部保险公司
                    $scope.companyShow = t;//控制保险公司显示或隐藏
                    //控制底层的是否可以滚动
                };
            }
            else if (urlType == "customers") {
                getCustomerList();//得到全部客户列表
                //数据滚动加载
                $scope.loadMore = function () {
                    if (!$scope.isLoad) {
                        $scope.isLoad = true;
                        $timeout(function () {
                            getCustomerList();//得到全部客户列表
                            $scope.isLoad = false;
                        }, 300)
                    }
                };
                //点击保险公司
                $scope.showPop = function (t) {
                    getCompanyList();//得到全部保险公司
                    $scope.companyShow = t;//控制文章类型列表显示或隐藏
                    //控制底层的是否可以滚动
                    $scope.$emit("overflowHidden", t);
                };

            }
            else if (urlType == "article") {

                getArticleBookList($scope.searchType, [], "");//得到文章列表
                //数据滚动加载
                $scope.loadMore = function () {
                    if (!$scope.isLoad) {
                        $scope.isLoad = true;
                        $timeout(function () {
                            getArticleBookList($scope.searchType, [], "");//得到文章列表
                            $scope.isLoad = false;
                        }, 300)
                    }
                };
                //点击全部文章
                $scope.showPop = function (t) {
                    dataClassificationList("article");//得到文章分类
                    $scope.articleTypeShow = t;//控制文章类型列表显示或隐藏
                    //控制底层的是否可以滚动
                    $scope.$emit("overflowHidden", t);
                };
            }
            else if (urlType == "books") {
                getArticleBookList($scope.searchType, [], "");//得到文章列表
                //数据滚动加载
                $scope.loadMore = function () {
                    if (!$scope.isLoad) {
                        $scope.isLoad = true;
                        $timeout(function () {
                            getArticleBookList($scope.searchType, [], "");//得到文章列表
                            $scope.isLoad = false;
                        }, 300)
                    }
                };

                // 点击全部书籍
                $scope.showPop = function (t) {
                    dataClassificationList("book");//得到书籍分类
                    $scope.articleTypeShow = t;//控制书籍类型列表显示或隐藏
                    //控制底层的是否可以滚动
                    $scope.$emit("overflowHidden", t);
                };

            }

            //获取搜索框焦点
            $scope.historyFocus = function (st, key) {
                getKeywordList(st, key);//查出历史记录
                $scope.historyShow = true;//控制历史记录列表显示或隐藏
                //控制底层的是否可以滚动
                $scope.$emit("overflowHidden", true);
            };

            //点击关键字
            $scope.clickKeyword = function (key) {
                $scope.searchKey = key;
                $scope.historyShow = false;//控制历史记录列表显示或隐藏
                $scope.$emit("overflowHidden", false);

            };
            //关闭弹窗
            $scope.closePop = function (t) {
                $scope.companyShow = t;//控制保险公司显示或隐藏
                $scope.articleTypeShow = t;//控制文章类型列表显示或隐藏
                $scope.articleTypeShow = t;//控制文章类型列表显示或隐藏
                $scope.historyShow = t;//控制历史记录列表显示或隐藏
                $scope.$emit("overflowHidden", false);
            };

            //点击搜索按钮
            $scope.clickSearchKey = function (st, key) {
                if (typeof key != "undefined" && key) {
                    saveKeyword(st, key);//保存搜索记录
                }
                if (urlType == "product") {
                    $scope.productList = [];//初始化产品列表
                    clearList(0);
                    getProductList("", key);//根据关键字查出产品列表
                }
                else if (urlType == "customers") {
                    $scope.customerList = [];//初始化客户列表
                    clearList(1);
                    getCustomerList("", key);//根据关键字查出客户列表
                }
                else if (urlType == "article") {
                    $scope.articleBookList = [];//初始化资料列表
                    clearList(1);
                    getArticleBookList($scope.searchType, [], key);//根据关键字查出文章列表
                }
                else if (urlType == "books") {
                    $scope.articleBookList = [];//初始化资料列表
                    clearList(1);
                    getArticleBookList($scope.searchType, [], key);//根据关键字查出书籍列表
                }
                $scope.closePop(false);//关闭所有弹窗
            };

            //跳转到产品详情
            $scope.goToProDetail = function (productId) {
                $scope.setBackFactory('productDetailOnline');
                //location.href = '#/productR/productDetailOnlineR/' + productId;
                $location.url('productR/productDetailOnlineR/' + productId);
            };


            //根据保险公司搜索客户或者产品
            $scope.clickCompany = function (t, company,adbCode) {//t为保险公司代码，company为保险公司名称，adbCode为爱多保代码
                $scope.searchConType = company;//得到所选保险公司
                $scope.companyShow = false;//保险公司弹窗隐藏
                $scope.adbCode = adbCode;//爱多保代码
                $scope.$emit("overflowHidden", false);

                if (urlType == "product") {
                    if (t == "") {
                        t = "0";
                    }
                    $scope.productList = [];//初始化产品列表
                    clearList(0);
                    getProductList(t, "");//根据保险公司查出产品列表
                }
                else if (urlType == "customers") {
                    $scope.customerList = [];//初始化客户列表
                    clearList(1);
                    getCustomerList(t, "");//根据保险公司查出客户列表
                }

                if (typeof t != "undefined" && t) {
                    //点击搜索按钮
                    $scope.clickSearchKey = function (st, key) {
                        if (typeof key != "undefined" && key) {
                            saveKeyword(st, key);//保存搜索记录
                        }
                        if (urlType == "product") {
                            $scope.productList = [];//初始化产品列表
                            clearList(0);
                            getProductList(t, key);//根据保险公司和关键字查出产品列表
                        }
                        else if (urlType == "customers") {
                            $scope.customerList = [];//初始化客户列表
                            clearList(1);
                            getCustomerList(t, key);//根据保险公司和关键字查出客户列表
                        }
                        $scope.closePop(false);//关闭所有弹窗
                    };

                } else {
                    //点击搜索按钮
                    $scope.clickSearchKey = function (st, key) {
                        if (typeof key != "undefined" && key) {
                            saveKeyword(st, key);//保存搜索记录
                        }
                        if (urlType == "product") {
                            $scope.productList = [];//初始化产品列表
                            clearList(0);
                            getProductList("", key);//根据保险公司和关键字查出产品列表
                        }
                        else if (urlType == "customers") {
                            $scope.customerList = [];//初始化客户列表
                            clearList(1);
                            getCustomerList("", key);//根据关键字查出客户列表
                        }

                        $scope.closePop(false);//关闭所有弹窗
                    };
                }
            };

            //根据文章分类或者书籍分类搜索资料
            $scope.clickClassify = function (code, title) {//code为资料分类
                $scope.searchConType = title;//得到所选文章或者书籍类型
                $scope.articleTypeShow = false;//资料分类弹窗隐藏
                $scope.$emit("overflowHidden", false);
                var getCode = "";
                if (code == []) {
                    getCode = [];
                } else {
                    getCode = [code];
                }
                $scope.articleBookList = [];//初始化资料列表
                clearList(1);
                getArticleBookList($scope.searchType, getCode, "");//根据资料类型查出资料列表
                //点击分类后又点击搜索按钮
                $scope.clickSearchKey = function (st, key) {
                    if (typeof key != "undefined" && key) {
                        saveKeyword(st, key);//保存搜索记录
                    }
                    $scope.articleBookList = [];//初始化资料列表
                    clearList(1);
                    getArticleBookList($scope.searchType, getCode, key);//根据资料类型和关键字查出资料列表
                    $scope.closePop(false);//关闭所有弹窗
                };
            }


        });
        //重置列表初始化
        function clearList(num) {
            $scope.currentPage = num;
            $scope.noResult = false;//没有结果
            $scope.isLoading = false;//是否加载
            $scope.noMore = false;//没有更多结果
            //防止一次加载多页数据
            $scope.isLoad=false;
        }

        //关键字保存
        function saveKeyword(searchType, keyword) {
            //post给后台的参数
            var params = {
                "searchType": searchType,//搜索类型
                "keyword": keyword //搜索关键字
            };
            adbService.getResult(
                {},
                $scope.setService('I224010', params),
                function (json) {
                    if (json.header.istatus == '-99') {
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                    }

                },
                function (err) {
                    //错误
                    //console.log(err);
                }
            );
        }

        //获取关键字历史
        function getKeywordList(searchType, keyword) {
            //post给后台的参数
            var params = {
                "searchType": searchType,//搜索类型
                "topn": 10,	//返回10条数据 ，按时间倒序
                "keyword": keyword //匹配关键字
            };
            adbService.getResult(
                {},
                $scope.setService('I224011', params),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.keywordList = json.data.dataList;
                    }
                },
                function (err) {
                    //错误
                    //console.log(err);
                }
            );
        }

        //获取后台客户列表
        function getCustomerList(companyCode, name) {
            if ($scope.noResult || $scope.noMore) {
                $scope.isLoading = false;
                return;
            } else {
                $scope.isLoading = true;
            }
            //post给后台的参数
            var params = {
                "companyCode": companyCode,
                "name": name,
                "pageNo": $scope.currentPage,//页码 默认从0开始
                "pageSize": $scope.pageSize//每页数量
            };
            console.log(companyCode);
            adbService.getResult(
                {},
                $scope.setService('I131011', params),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        //获取客户列表成功
                        //$scope.customerList = json.data.customerList;//返回客户信息
                        if (json.data.customerList.length < $scope.pageSize) {
                            $scope.noMore = true;
                            $scope.isLoading = false;
                        }
                        if (json.data.customerList.length > 0) {
                            $scope.currentPage = ++$scope.currentPage;
                        }
                        var customerList = json.data.customerList;
                        //console.log(customerList);
                        $scope.customerList = $scope.customerList.concat(customerList);

                        //无结果处理
                        if (customerList.length == 0) {
                            $scope.noResult = true;
                        }


                    } else {
                        //$scope.customerList=[];
                    }
                    //判断是否显示空白页
                    if ($scope.customerList.length == 0) {
                        $scope.showBlank = 1;
                    } else {
                        $scope.showBlank = 0;
                    }
                    $scope.resetListByLetter($scope.customerList);

                },
                function (err) {
                    //错误
                    //console.log(err);
                }
            );
        }

        //获取保险公司列表
        function getCompanyList() {
            //post给后台的参数
            var params = {};
            adbService.getResult(
                {},
                $scope.setService('I227010', params),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        //获取客户列表成功
                        console.log(json.data.dataList);
                        $scope.companyList = json.data.dataList;//返回客户信息
                        $scope.companyCode = $scope.companyList.brokerCode;
                        //console.log($scope.customerList);
                    }

                },
                function (err) {
                    //错误
                    //console.log(err);
                }
            );
        }

        //获取产品列表
        function getProductList(productCompany, productName) {
            if ($scope.noResult || $scope.noMore) {
                $scope.isLoading = false;
                return;
            } else {
                $scope.isLoading = true;
            }
            //post给后台的参数
            var params = {
                "pageNum": $scope.currentPage,//页码 默认从0开始
                "pageSize": $scope.pageSize,//每页数量
                "searchItem": {
                    "isShow": "Y",//
                    "productCategory": "0",//分类;为空：所有, 01：中流砥柱, 02：关爱天使, 03：出行平安 04：健康保障 05：银发无忧
                    "productSubCategory": "0",//	筛选条件 0:所有
                    "productName": productName,//产品名称—模糊查询
                    "productCompany": productCompany //	0：全部产品 100061：华夏 100059：长城 100009:泰康 100035：中英 100070：生命
                },
                "sortItem": {
                    "salesWay": "1",
                    "premium": 1,//价格 低到高 1 高到低 -1
                    "rebate": 1//	推广费 低到高 1 高到低 -1
                }
            };
            //console.info("查询条件",params);
            adbService.getResult(
                {},
                $scope.setService('I181010', params),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        //获取客户列表成功
                        //$scope.productList = json.data.productList;//返回产品信息
                        //console.log($scope.productList);
                        if (json.data.productList.length < $scope.pageSize) {
                            $scope.noMore = true;
                            $scope.isLoading = false;
                        }
                        if (json.data.productList.length > 0) {
                            $scope.currentPage = ++$scope.currentPage;
                        }
                        var productList = json.data.productList;
                        //console.log(productList);
                        $scope.productList = $scope.productList.concat(productList);
                        //无结果处理
                        if (productList.length == 0) {
                            $scope.noResult = true;
                        }
                    } else {
                        //$scope.productList=[];
                    }
                    //判断是否显示空白页
                    if ($scope.productList.length == 0) {
                        $scope.showBlank = 1;
                    } else {
                        $scope.showBlank = 0;
                    }

                },
                function (err) {
                    //错误
                    //console.log(err);
                }
            );
        }

        //获取资料列表
        function getArticleBookList(catalog, catalogIds, keyword) {
            if ($scope.noResult || $scope.noMore) {
                $scope.isLoading = false;
                return;
            } else {
                $scope.isLoading = true;
            }
            //post给后台的参数
            var params = {
                "pageNo": $scope.currentPage,//页码,默认 1
                "pageSize": $scope.pageSize,//每页数量，默认10
                "catalog": catalog,//所属分类-大类 书籍B or 文章A,必须
                "catalogIds": catalogIds, //所属分类，小类-多个,不传则取所有小类
                "keyword": keyword  //标题关键字
            };
            adbService.getResult(
                {},
                $scope.setService('I191010', params),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {

                        //获取资料列表成功

                        //$scope.articleBookList = json.data.dataList;//返回产品信息
                        //console.log($scope.articleBookList);

                        if (json.data.dataList.length < $scope.pageSize) {
                            $scope.noMore = true;
                            $scope.isLoading = false;
                        }
                        if (json.data.dataList.length > 0) {
                            $scope.currentPage = ++$scope.currentPage;
                        }
                        //console.log($scope.currentPage);
                        var articleBookList = json.data.dataList;
                        //console.log(articleBookList);
                        $scope.articleBookList = $scope.articleBookList.concat(articleBookList);
                        //无结果处理
                        if (articleBookList.length == 0) {
                            $scope.noResult = true;
                        }


                    } else {

                    }
                    //判断是否显示空白页
                    if ($scope.articleBookList.length == 0) {
                        $scope.showBlank = 1;
                    } else {
                        $scope.showBlank = 0;
                    }

                },
                function (err) {
                    //错误
                    //console.log(err);
                }
            );
        }

        //获取资料分类列表
        function dataClassificationList(typeCode) {
            //post给后台的参数
            var params = {
                //"catalog": "article"//所属分类-大类 书籍book or 文章article,必须
                "typeCode": typeCode
            };
            adbService.getResult(
                {},
                $scope.setService('I101011', params),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        //获取资料分类列表成功
                        $scope.dataClassification = json.data.dataList;//返回产品信息
                    }

                },
                function (err) {
                    //错误
                    //console.log(err);
                }
            );
        }
        $scope.goCustomerDetail = function(cid){
            //点击进入客户详情
            $scope.setBackFactory('customerDetail');
            //location.href='index.html#/customerDetailR/'+cid;
            $location.url('customerDetailR/'+cid);
        }
        $scope.goCustomerAdd = function(){
            //点击进入客户添加
            $scope.setBackFactory('customerAdd');
            //location.href='index.html#/customerAddR';
            $location.url('customerAddR');
        }
    }]);
});