'use strict';
define(['app'], function (app) {

    app.register.controller('resetPasswordCtrl', ['$scope', '$stateParams','$state','$location','resetPasswordFactory','adbService',function ($scope, $stateParams,$state,$location,resetPasswordFactory,adbService) {
        //改变页面的<title>
        $scope.appTitle = '重置密码';
        $scope.$emit("titleName", $scope.appTitle);

        //返回按钮操作
        $scope.goToBack = function () {
            $location.path('forgetPasswordR');
        }

        function init()//初始化信息
        {
            $scope.infos = resetPasswordFactory.getter();
            $scope.mobile = $scope.infos[0]
            $scope.vCode = $scope.infos[1]
            $scope.token = $scope.infos[2]
        }
        init();

        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载

        });


        function checkForm() {
            if ($scope.password == undefined || $scope.password == '' || !(/^[\w.]{6,12}$/).test($scope.password)) {
                $scope.dialogRes("密码为6-12位");
                return;
            }
            if ($scope.confirmPassword != $scope.password) {
                $scope.dialogRes("重复密码必须一致");
                return;
            }
            var a = new Date();
            var demoA= ""+a.getFullYear()+ (a.getMonth()+1)+ a.getDate()+ a.getHours()+ a.getMinutes();
            var encryptPwd=encrypt(hex_sha1($scope.password),demoA);
            var params = {
                "mobile":$scope.mobile,
                "smsCode":$scope.vCode,
                "pwd": encryptPwd,
                "md5":hex_sha1(demoA),
                "token":$scope.token
            }
            //console.info(params)
            adbService.getResult(
                {},
                $scope.setService('I170502',params),
                function(json){
                    //console.log(json)
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        if(json.data.succFlag == 'Y'){
                            successBox();
                        }
                    }else{
                        defeated();
                    }
                }
            )

        }
        $scope.submitForm = function(){
            checkForm();

        };

        //成功后弹框
        function successBox(){
            $scope.openInlineController("更换成功",'index.html#/loginR');
        }
        //修改失败
        function defeated(){
            $scope.dialogConfirm("更换失败","","返回首页","重新验证","resetPasswordFailedFlag");

        }


    }]);
});