'use strict';
define(['app'], function (app) {
    app.register.controller('wxBindCtrl', ['$scope', '$stateParams', '$state', 'adbService','$location',function ($scope, $stateParams, $state ,adbService,$location) {
        //改变页面的<title>
        $scope.appTitle = '手机号绑定';
        $scope.$emit("titleName", $scope.appTitle);
        $scope.goToBack = function () {
            $location.path('homeNoLoginR');
        }
        function init()
        {
            //初始化信息
            //maxx
            $scope.wxCode =  localStorage.getItem('wxCode');
            //localStorage.removeItem('wxCode');
        }

        init();

        $scope.$on('$viewContentLoaded', function () {
            //视图渲染后加载

        });

        //点击发送验证码
        $scope.SendCode = function(){
            if($scope.mobile==''||$scope.mobile==undefined){
                $scope.dialogRes("请输入手机号");
                return;
            }else if(!/^[\+86|86]?1[3|4|5|7|8]\d{9}$/.test($scope.mobile)){
                $scope.dialogRes("请输入正确的手机号");
                return;
            }
            sendCount();       //倒计时60秒
            getMSg();          //获取验证码
        }


        //倒数60秒 切换按钮显示
        function sendCount(){
            $scope.clickStatus = true;
            $scope.second = 60;
            var timer = setInterval(function () {
                if ($scope.second == 0) {
                    clearInterval(timer);
                    $scope.clickStatus = false;
                }
                $scope.second--;
                $scope.$apply();
            }, 1000);
        }
        //获取验证码
        function getMSg(){
            var params = {
                "mobile":$scope.mobile,
                "sendType": "5"
            }
            adbService.getResult(
                {},
                $scope.setService('I225010', params),
                function(json){
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if(json.header.istatus == '1'){

                    }else{
                        $scope.dialogRes(json.header.imsg)
                        $scope.clickStatus = false;
                    }
                }
            )
        }

        //验证校验码
        function getvalidate (){
            var params = {
                "mobile":$scope.mobile,
                "verifyCode":$scope.vCode
            }
            adbService.getResult(
                {},
                $scope.setService('I225011', params),
                function(json){
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if(json.header.istatus == '1'){
                        console.log("校验成功")
                        checkForm();
                    }else{
                        if(json.header.imsg == '验证失败'){
                            $scope.dialogRes('验证码错误');
                        }

                    }
                }
            )
        }

        //表单校验
        function checkForm(){
            if($scope.password==undefined||$scope.password==''||!(/^[\w.]{6,12}$/).test($scope.password)){
                $scope.dialogRes("密码为6-12位");
                return;
            }
            if($scope.confirmPassword!=$scope.password){
                $scope.dialogRes("重复密码必须一致");
                return;
            }

            var a = new Date();
            var demoA= ""+a.getFullYear()+ (a.getMonth()+1)+ a.getDate()+ a.getHours()+ a.getMinutes();
            var encryptPwd=encrypt(hex_sha1($scope.password),demoA);
            //开始绑定
            var params = {
                "mobile":$scope.mobile,
                "pwd": encryptPwd,
                "md5": hex_sha1(demoA),
                "code": $scope.wxCode
            };
            console.info('params==============================================',params)
            adbService.getResult(
                {},
                $scope.setService('W101012', params),
                function(json){
                    console.info('json==========================',json)
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    } else if(json.header.istatus == '1'){
                        $state.go("homeR");
                    }else{
                        //$scope.dialogRes(json.header.imsg);
                    }
                }
            )

        }

        //跳转到注册
        $scope.goBind = function () {
            getvalidate();//验证短信校验码
        };



    }]);


});