define(['app'], function (app) {
    app.register.controller('addBankCardTopCtrl', ['$scope', '$location', '$stateParams', function ($scope, $location, $stateParams) {
        //头部文件控制

        /*****************************设置头部返回地址 begin******************************/
        var backUrl = $scope.getBackFactory('addBankCard', 'myWalletR');
        //console.log(backUrl);
        $scope.goToBack = function () {
            if ($stateParams.stepId == 2) {
                //如果第二步应返回第一步
                $location.path('addBankCardR/1');
            }
            else {

                if (backUrl != '') {
                    localStorage.removeItem('addInfo');
                    //location.href = 'index.html#/' + backUrl;
                    $location.url(backUrl);
                }
            }

        }
        /*****************************设置头部返回地址 end******************************/
        $scope.goHome = function () {
            localStorage.removeItem('addInfo');
            $scope.goHomeMenu();
        }

    }]);
    app.register.controller('addBankCardCtrl', ['$scope', '$location','$stateParams', 'adbService','$timeout','$state',function ($scope, $location, $stateParams, adbService,$timeout, $state) {
        //改变页面的<title>,

        $scope.appTitle = '添加银行卡';
        $scope.$emit("titleName", $scope.appTitle);

        var saveAmtData = JSON.parse(localStorage.getItem('saveAmtData'));//用户登录信息
        var addInfoData = JSON.parse(localStorage.getItem('addInfo'));//读取填写的信息


        var thisState = $state.current.url;

        var scopeObj = JSON.parse(localStorage.getItem(thisState));//页面缓存数据
        var scopeObjNew = {};

        var haveUpdateScope = {"getBankArr":false,"getProvinceList":false};//更新缓存状态：true-已更新，false-未更新

        /*
         获取缓存页面信息
         $scope.bankArr-开户银行列表
         $scope.ProvinceList-省列表，
         */
        function getScope()
        {

            if(scopeObj)
            {
                if(typeof scopeObj['bankArr'] != 'undefined')
                    $scope.bankArr = scopeObj['bankArr'];

                if(typeof scopeObj['ProvinceList'] != 'undefined')
                    $scope.ProvinceList = scopeObj['ProvinceList'];
            }
            else{
                scopeObj = {};
            }
        }


        //地址查询
        $scope.addressFind = function (val) {
            $scope.cityCode = null;
            $scope.cityList = [];
            adbService.getResult(
                {},
                $scope.setService("I201020", val),
                function (json) {
                    if (json.header.istatus == '-99') {
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.cityList = json.data.areaList;
                    }
                },
                function (err) {
                    $scope.dialogTip('连接似乎有问题，请检查网络');
                }
            )
        };
        //阅读协议
        $scope.selectedAgree = function () {
            $scope.agreeStatus = !$scope.agreeStatus;
        };

        var sendNum = 1;//发送次数
        //点击验证码重新发送
        $scope.sendVerification = function () {
            var addInfoData = JSON.parse(localStorage.getItem('addInfo'));
            sendCount();
            var params = {
                "mobile": addInfoData.inputPhoneNum,
                "sendType": "5",
                "msg": {}
            };
            //验证码发送接口
            adbService.getResult(
                {},
                $scope.setService('I225010', params),
                function (json) {
                    if (json.header.istatus == '-99') {
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        //$scope.dialogTip(json.header.imsg);
                        $scope.dialogTip('验证码已发送');
                    }
                    else {
                        $scope.dialogTip(json.header.imsg);
                        $scope.clickStatus = false;//重新发送验证码
                    }

                },
                function (err) {
                    //错误
                });

        };

        function init1() {
            $scope.regId = '';//用户ID

            $scope.agreeStatus = false;//阅读支付协议，初始无
            $scope.bankCode = '';
            $scope.cityCode = '';//城市
            $scope.provinceCode = '';//省份
            $scope.inputbankNum = '';//银行卡号
            $scope.inputName = '';//真实姓名
            $scope.inputpeoleCode = '';//身份证号码
            $scope.inputPhoneNum = '';//手机号码
            $scope.inputAdress = '';

            if (saveAmtData) {
                //从缓存获取数据
                $scope.regId = saveAmtData['regId'];
                $scope.inputName = saveAmtData.certiName;
                $scope.inputpeoleCode = saveAmtData.certiCode;
                //$scope.inputPhoneNum = saveAmtData.mobile;
            }

            getScope();//从缓存中读取Api数据


            //初始化填写信息
            if (addInfoData) {
                $scope.inputbankNum = addInfoData.inputbankNum;//银行卡信息
                $scope.bankCode = addInfoData.bankCode;//开户行
                $scope.inputPhoneNum = addInfoData.inputPhoneNum;//手机号
                $scope.provinceCode = addInfoData.provinceCode;//省市

                $scope.agreeStatus = addInfoData.agreeStatus;//同意协议
                $scope.cityList = addInfoData.cityList;//城市
                $scope.cityCode = addInfoData.cityCode;//城市
            }



        }

        function init2() {
            //第一个页面初始化

            $scope.clickStatus = false;
            $scope.verifyCode = '';//验证码

            $scope.isSubmit = false;
            //$scope.sendVerification();

        }

        //根据卡号查询归属行  "621492"
        $scope.attribution = function (val) {
            //检查银行卡号
            if (!(/^[0-9]{13,19}$/).test(val)) {
                //$scope.dialogTip('请输入真实有效的银行卡号');
                return false;
            }
            adbService.getResult(
                {},
                $scope.setService("I201013", {"bin": val.substring(0, 6)}),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.bankCode = json.data.bankCode;
                        $scope.cardType = json.data.cardType;
                        return true;
                    } else if (json.header.istatus == '2') {
                        //$scope.dialogTip(json.header.imsg);
                        return false;
                    }
                },
                function (err) {
                }
            )
        };
        //add银行卡
        $scope.addBankCard = function () {
            if ($scope.verifyCode == '') {
                $scope.dialogTip('请输入您收到的验证码');
                return false;
            }

            var addInfoData = JSON.parse(localStorage.getItem('addInfo'));

            if($scope.isSubmit) return;
            $scope.isSubmit = true;

            adbService.getResult(
                {},
                $scope.setService("I201012", {
                    'bankCode': addInfoData.bankCode,
                    'bankAccCode': addInfoData.inputbankNum,
                    'bankAccMobile': addInfoData.inputPhoneNum,
                    'bankAccType':addInfoData.cardType,
                    "verifyCode": $scope.verifyCode,
                    "bankAccPro":addInfoData.provinceCode,
                    "bankAccCity":addInfoData.cityCode,
                    'operateType': 'A'
                }),
                function (json) {
                    //console.log(json);

                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        localStorage.removeItem('addInfo');
                        getCardInfo();

                        //$location.path('myWalletR');
                    } else {
                        $scope.dialogTip(json.header.imsg);
                        //$location.path('addBankCardR/1');
                    }
                    $scope.isSubmit = false;

                },
                function (err) {
                    $scope.isSubmit = false;
                }
            )
        };


        //添加银行卡下一步
        $scope.goBankCardAddNext = function () {
            if (!(/^[0-9]{13,19}$/).test($scope.inputbankNum)) {
                $scope.dialogTip('请输入真实有效的银行卡号');
                return false;
            }
            //console.log($scope.bankCode);
            if (!$scope.bankCode) {
                $scope.dialogTip('请选择开户行');
                return false;
            }
            if (!validCredNum("mobile", $scope.inputPhoneNum)) {
                $scope.dialogTip('手机号不能为空或格式错误');
                return false;
            } else {
                $scope.smallMobile = hideCertiCode(1, $scope.inputPhoneNum);//隐藏敏感信息
            }

            if ($scope.provinceCode == '' || $scope.cityCode == '' || !$scope.provinceCode || !$scope.cityCode) {
                $scope.dialogTip('请选择您的地址');
                return false;
            }
            if (!$scope.agreeStatus) {
                $scope.dialogTip('请阅读平台支付协议');
                return false;
            }
            saveLocalStorage();//存储缓存
            $location.path('/addBankCardR/2');
        };


        //倒数60秒 切换按钮显示
        function sendCount() {
            $scope.clickStatus = true;
            $scope.second = 60;
            var timer = setInterval(function () {
                if ($scope.second == 0) {
                    clearInterval(timer);
                    $scope.clickStatus = false;
                }
                $scope.second--;
                $scope.$apply();
            }, 1000);
        };

        //跳转支付协议
        $scope.goPayState = function () {
            saveLocalStorage();//存储缓存
            $scope.setBackFactory('payState');
            $location.path('payStateR');
        };

        //跳转支持储蓄卡
        $scope.goCardTypeList = function () {
            saveLocalStorage();//存储缓存
            $scope.setBackFactory('cardTypeList');
            $location.path('cardTypeListR');
        };

        function saveLocalStorage() {
            /****************储存到缓存****************************************/
            var addInfo = {
                'inputbankNum': $scope.inputbankNum,//银行卡信息
                'bankCode': $scope.bankCode,//开户行
                'inputPhoneNum': $scope.inputPhoneNum,//手机号
                'provinceCode': $scope.provinceCode,//省市
                'cityCode': $scope.cityCode,//城市
                'agreeStatus': $scope.agreeStatus,//同意协议
                'cardType':$scope.cardType,
                'cityList':$scope.cityList
            };
            localStorage.setItem('addInfo', JSON.stringify(addInfo));
            /****************储存到缓存****************************************/
        }


        function getCardInfo() {
            adbService.getResult(
                {},
                $scope.setService("I201017", {}),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.cardNum = json.data.bankList.length;//获取银行卡的个数
                        if (json.data.bankList.length != '0') {
                            $scope.bankAccCodePwd = json.data.bankList[0].bankAccCodePwd;
                            $scope.bankAbbreviate = json.data.bankList[0].bankAbbreviate;
                            $scope.bankAccName = json.data.bankList[0].bankAccName;
                            $scope.pic_url = json.data.bankList[0].picUrl;
                            $scope.bankAccType = json.data.bankList[0].bankAccType;
                        }

                        bankCardInfo = json.data.bankList[0];

                        saveAmtData['cardList'] = json.data.bankList;
                        localStorage.setItem('saveAmtData', JSON.stringify(saveAmtData));


                        //$scope.dialogTip('添加成功');
                        $scope.dialogRes('添加成功');
                        var backUrl = $scope.getBackFactory('addBankCard', 'myWalletR');
                        if (backUrl) {
                            //location.href = 'index.html#/' + backUrl;
                            $location.url(backUrl);
                        }

                    }
                },
                function (err) {

                }
            )
        };


        function getBankArr(){
            //获取开户银行列表
            adbService.getResult(
                {},
                $scope.setService("I201019", {}),
                function (json) {
                    haveUpdateScope['getBankArr'] = true;
                    if (json.header.istatus == '-99') {
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.bankArr = json.data.bankList;
                    }

                },
                function (err) {
                }
            );
        }


        function getProvinceList(){
            adbService.getResult(
                {},
                $scope.setService("I201020", {}),
                function (json) {
                    haveUpdateScope['getProvinceList'] =  true;
                    if (json.header.istatus == '-99') {
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.ProvinceList = json.data.areaList;
                    }
                },
                function (err) {
                }
            )
        }



        function init()//初始化信息
        {
            $scope.step = $stateParams.stepId;

            if ($scope.step == 1) {
                init1();
            }
            else if ($scope.step == 2) {
                $scope.verifyCode = '';
                init2();
            }
        }

        init();



        /********************************更新缓存 begin********************************/
        $scope.$on('$viewContentLoaded', function (event,toState) {
            if ($scope.step == 1)
            updateCount();
        });

        /*
         存储页面绑定信息
         $scope.bankArr-开户银行列表
         $scope.ProvinceList-省列表，
         */
        function saveScope(){
            scopeObjNew['bankArr'] = $scope.bankArr;
            scopeObjNew['ProvinceList'] = $scope.ProvinceList;
            localStorage.setItem(thisState,JSON.stringify(scopeObjNew));//更新缓存
        }

        var updateTimeout;
        function updateCount() {
            //console.log(haveUpdateScope);
            if(haveUpdateScope['getBankArr'] && haveUpdateScope['getProvinceList'])
            {
                saveScope();//设置页面缓存数据
            }
            else{
                if(!haveUpdateScope['getBankArr'])
                {
                    getBankArr();
                }
                else if(!haveUpdateScope['getProvinceList'])
                {
                    getProvinceList();
                }
                $timeout(updateCount, 1000);
            }

        }

        $scope.$on('$destroy', function () {
            $timeout.cancel(updateTimeout);
        });
        /********************************更新缓存 end********************************/


    }]);
});