define(['app','./typeTrans'], function (app) {

    app.register.controller('transDetailCtrl', ['$scope', '$location','adbService','$timeout','$state', function ($scope, $location,adbService,$timeout,$state) {
        //改变页面的<title>
        $scope.appTitle = '明细';
        $scope.$emit("titleName", $scope.appTitle);

        /*****************************设置头部返回地址 begin******************************/
        var backUrl = $scope.getBackFactory('transDetail', 'myWalletR');
        //返回按钮操作
        $scope.goToBack = function () {
            if (backUrl != '') {
                //location.href = "index.html#/"+backUrl;
                $location.url(backUrl);
            }
        };
        /*****************************设置头部返回地址 end******************************/


        var thisState = $state.current.url;
        var scopeObj = JSON.parse(localStorage.getItem(thisState));//页面缓存数据

        var haveUpdateScope = {"getTransList":false};//更新缓存状态：true-已更新，false-未更新

        /*
         获取缓存页面信息
         $scope.transList-本月明细列表
         */
        function getScope()
        {
            if(scopeObj)
            {
                if(typeof scopeObj['transList'] != 'undefined')
                {
                    $scope.transList = scopeObj['transList'];
                    console.log($scope.transList);
                }

            }
            else{
                scopeObj = {};
            }
        }



        //获取交易明细
        $scope.getTransList = function (startDate,endDate) {
            var params ={
                "startDate": startDate,
                "endDate": endDate,
                /*"transType": "10",
                "transStatus": "10",*/
                "pgOrderId": "",
                "pageNum": "1",
                "pageSize": "200"
            }

            //console.log(params);
            adbService.getResult(
                {},
                $scope.setService("I201015", params),
                function (json) {
                    //console.log(json);
                    haveUpdateScope['getTransList'] = true;//更新缓存成功
                    $scope.setScreenChange(false);

                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.transList = json.data.transList;
                    }
                },
                function (err) {
                    $scope.setScreenChange(false);
                }
            )
        };

        function selectMouthFun(val){
            //$scope.eventAttributes("walletSelectMouth");//历史记录（日历）次数埋点
            $scope.selectVal = val;
            //for(var i=0;i<= 5;i++){
            //    if(val - i <=0)
            //    {
            //        $scope.monthArr[i] = val - i + 12;
            //    }
            //    else
            //    {
            //        $scope.monthArr[i] = val - i;
            //    }
            //}
            if(val == new Date().getMonth() + 1){
                $scope.appTitle = '本月明细';
            }else {
                $scope.appTitle = val +'月历史明细';
            }
            $scope.$emit("titleName", $scope.appTitle);
            var year = new Date().getFullYear();

            if(new Date().getMonth()<6 && val > 6){
                year = year - 1;
            }

            if(val < '10'){
                var startTime = year + '-0' + val + '-' + '01';
            }else {
                var startTime = year + '-' + val + '-' + '01';
            }
            var endTime = addmulMonth(startTime,1);
            //$scope.getTransList("2016-07-01","2016-07-29");
            $scope.getTransList(startTime,endTime);
        }
        //查询目标月的交易明细
        $scope.selectMouth = function(val){
            $scope.calenderBox = false;
            if(!haveUpdateScope['getTransList'])
            {
                $scope.dialogTip("连接似乎有问题，请检查网络");
                return;
            }
            $scope.setScreenChange(true);
            selectMouthFun(val);

        };
//交易类型转换为汉字
        $scope.codeToName = function (num) {
            if(num == '12'){
                return '';
            }
        };
        $scope.goSiftShow = function () {
            $scope.siftShow = !$scope.siftShow;
        };

        $scope.scrollLetter = function(objId)
        {
            //点击后页面滑动，到月份选择区域
            var obj = document.getElementById(objId);
            var top = document.documentElement.scrollTop || document.body.scrollTop;
            //console.log(obj.offsetTop);
            document.documentElement.scrollTop =document.body.scrollTop= obj.offsetTop;
        };


        function init()//初始化信息
        {
            $scope.siftShow = false;
            var nowMonth = new Date().getMonth() + 1;//当前月
            $scope.selectVal = nowMonth;
            $scope.monthArr = [];
            for(var i=0;i<= 5;i++){
                $scope.monthArr[i] = {};
                if(nowMonth - i <=0)
                {
                    $scope.monthArr[i].month = nowMonth - i + 12;
                }
                else
                {
                    $scope.monthArr[i].month = nowMonth - i;
                }

                var year = new Date().getFullYear();

                if(new Date().getMonth()<6 && $scope.monthArr[i].month > 6){
                    year = year - 1;
                }

                $scope.monthArr[i].year = year;
            }

            $scope.kongShow = false;
            $scope.transList = [];//列表数据

            getScope();//从缓存中读取Api数据

            var regId = "";
            var broker;
            if(typeof localStorage.getItem('broker_in_session') != "undefined")
            {
                broker = JSON.parse(localStorage.getItem('broker_in_session'));
            }
            if(typeof broker != "undefined" && broker && typeof broker['regId'] != "undefined" && broker['regId'])
                regId = broker['regId'];
            $scope.eventAttributes("transDetail",JSON.stringify({tel:regId}));//查看明细次数埋点
        }

        init();

        $scope.$watch("transList", function (newValue, oldValue, scope) {
            //监听transList变化，页面提示无数据
            if($scope.transList.length < 1){
                $scope.kongShow = true;
            }
            else{
                $scope.kongShow = false;
            }
        });

        $scope.calenderShow = function(){
            $scope.calenderBox = !$scope.calenderBox;
        };


        /********************************更新缓存 begin********************************/
        var loadView = 1;
        $scope.$on('$viewContentLoaded', function () {
            //视图渲染后加载
            if(loadView == 1){
                updateCount();
                loadView++;
            }

        });

        /*
         存储页面绑定信息
         $scope.transList-本月明细列表
         */
        function saveScope(){
            var objNew = {};
            objNew['transList'] = $scope.transList;
            localStorage.setItem(thisState,JSON.stringify(objNew));//更新缓存
        }

        var updateTimeout;
        function updateCount() {

            if(haveUpdateScope['getTransList'])
            {
                saveScope();//设置页面缓存数据
            }
            else{
                //$scope.selectMouth($scope.selectVal);
                selectMouthFun($scope.selectVal);
                //$timeout(updateCount, 1000);
            }

        }

        $scope.$on('$destroy', function () {
            $timeout.cancel(updateTimeout);
        });
        /********************************更新缓存 end********************************/

    }]);
});

function noDrag(){
    $('#noDrage').click();
}