define(['app'],function (app) {

    app.register.controller('transPassEditCtrl', ['$scope','$location','backFactory','adbService',function($scope,$location,backFactory,adbService){
        //改变页面的<title>
        $scope.appTitle = '修改交易密码';
        $scope.$emit("titleName", $scope.appTitle);

        /*****************************设置头部返回地址 begin******************************/
        var backUrl = $scope.getBackFactory('transPassEdit','myWalletR');
        if (backUrl != ''){
            //返回按钮操作
            $scope.$emit("adbBack","index.html#/"+backUrl,"2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        /*****************************设置头部返回地址 end******************************/

        function init()//初始化信息
        {
            var broker = localStorage.getItem('broker_in_session');
            $scope.mobile = '';
            if (broker != null)
            {
                var brokerInfo = JSON.parse(localStorage.getItem('broker_in_session'));
                $scope.mobile = brokerInfo.regCode;//从session中获取手机号
            }
            $scope.oldPwd = '';//原密码
            $scope.newPwd = '';//新密码
            $scope.newPwdRepeat = '';//密码重复

            $scope.isSubmit = false;//按钮提交 true-提交中，false-正常

        }
        init();

        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载
        });

        //返回钱包首页
        $scope.sumbitFun = function(){
            if (!$scope.mobile){
                $scope.dialogTip("您不是合法用户");
                return false;
            }
            var res = checkForm();
            if (res)
            {
                if($scope.isSubmit) return;
                $scope.isSubmit = true;

                var params = {
                    "mobile": $scope.mobile,
                    "verifyCode": "",
                    "oldPwd": hex_sha1($scope.oldPwd),
                    "newPwd": hex_sha1($scope.newPwd),
                    "certiCode": "",
                    "pwdType": "3",
                    "token":""
                }
                //验证成功，调取修改密码接口
                adbService.getResult(
                    {},
                    $scope.setService('I201014',params),
                    function (json) {

                        $scope.isSubmit = false;
                        if (json.header.istatus == '-99'){
                            $scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {

                            //$scope.dialogTip('密码修改成功');
                            $scope.dialogRes('交易密码修改成功');
                            //location.href = "index.html#/myWalletR";
                            $location.url('myWalletR');
                            //$scope.openInlineController("密码修改成功","index.html#/myWalletR");
                        }
                        else
                        {
                            $scope.dialogTip(json.header.imsg);
                        }

                    },
                    function(err){
                        //错误
                        //console.log(err);
                        $scope.isSubmit = false;
                        $scope.dialogTip('连接似乎有问题，请检查网络');
                    });

            }
        };

        function checkForm(){
            if (!$scope.oldPwd || (!(/^[\S\w]{6,20}$/.test($scope.oldPwd))))
            {
                $scope.dialogTip("原交易密码请输入6-20位字母、数字的组合");
                return false;
            }
            else if(!$scope.newPwd || (!(/^[\S\w]{6,20}$/.test($scope.newPwd))))
            {
                $scope.dialogTip("新交易密码请输入6-20位字母、数字的组合");
                return false;
            }
            else if($scope.newPwd != $scope.newPwdRepeat)
            {
                $scope.dialogTip("两次输入的交易密码不一致");
                return false;
            }
            return true;
        }

    }]);

});