define(['app','../js/transPassForgetFactory',],function (app) {

    app.register.controller('transPassForgetCtrl', ['$scope','$location','adbService','transPassForgetFactory',function($scope,$location,adbService,transPassForgetFactory){
        //改变页面的<title>
        $scope.appTitle = '忘记交易密码';
        $scope.$emit("titleName", $scope.appTitle);
        var sendNum =1;//发送次数

        /*****************************设置头部返回地址 begin******************************/
        var backUrl = $scope.getBackFactory('transPassForget','transPassR');
        if (backUrl != ''){
            //返回按钮操作
            $scope.$emit("adbBack","index.html#/"+backUrl,"2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        /*****************************设置头部返回地址 end******************************/

            //点击验证码重新发送
        $scope.sendVerification=function(){
            sendCount();
            var params = {
                "mobile": $scope.mobile,
                "sendType": "2",
                "msg": {}
            }
            //验证码发送接口
            adbService.getResult(
                {},
                $scope.setService('I225010',params),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {

                        if(sendNum > 1)
                        {
                            $scope.dialogTip('验证码已发送');
                            sendNum++;
                        }
                    }
                    else
                    {
                        $scope.dialogTip(json.header.imsg);
                        $scope.clickStatus = false;//重新发送验证码
                    }

                },
                function(err){
                    //错误
                    //console.log(err);
                });

        }
        var brokerInfo = {};//登陆信息
        var passObject = transPassForgetFactory.getter();//获取缓存数据
        function init()//初始化信息
        {
            $scope.verifyCode ='';//验证码
            $scope.certiCode=$scope.smallMobile = '';//身份证号码
            var broker = localStorage.getItem('broker_in_session');//用户登录信息
            $scope.mobile = '';

            $scope.isSubmit = false;//按钮提交 true-提交中，false-正常

            $scope.clickStatus = false;


            if (broker != null)
            {
                brokerInfo = JSON.parse(localStorage.getItem('broker_in_session'));
                $scope.mobile = brokerInfo.regCode;//从session中获取手机号
                $scope.smallMobile = hideCertiCode(1,$scope.mobile)//隐藏敏感信息

                brokerInfo['certiCode'] = '';
                var saveAmtData = JSON.parse(localStorage.getItem('saveAmtData'));
                if (saveAmtData && typeof saveAmtData['certiCode'] != 'undefined')
                {
                    brokerInfo['certiCode'] = saveAmtData['certiCode'];
                }
                //$scope.sendVerification();//发送手机验证码
            }

            getInit();
        }
        init();

        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载

        });

        //下一步到设置新交易密码
        $scope.goPassNew = function(){

            //1、检查表单
            if (!$scope.mobile){
                $scope.dialogTip("您不是合法用户");
                return false;
            }
            var res = checkForm();
            if (res)
            {
                if($scope.isSubmit) return;
                $scope.isSubmit = true;
                var params = {
                    "mobile": $scope.mobile,
                    "verifyCode": $scope.verifyCode
                }
                //2、验证验证码
                adbService.getResult(
                    {},
                    $scope.setService('I225011',params),
                    function (json) {
                        $scope.isSubmit = false;

                        if (json.header.istatus == '-99'){
                            $scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {

                            //3、记录factory
                            if(!passObject)
                            {
                                passObject = {};
                            }
                            passObject['certiCode'] = $scope.certiCode;
                            passObject['verifyCode'] = $scope.verifyCode;
                            passObject['token'] = json.data['token'];//后端反的token,需要传给下个页面
                            transPassForgetFactory.setter(passObject);

                            //4、跳转
                            $scope.setBackFactory('transPassNew');
                            $location.path('/transPassNewR');
                        }
                        else
                        {
                            $scope.dialogTip(json.header.imsg);
                        }

                    },
                    function(err){
                        //错误
                        //console.log(err);
                        $scope.isSubmit = false;
                        $scope.dialogTip('连接似乎有问题，请检查网络');
                    });

            }
        };

        function getInit()
        {
            //获取页面原始信息
            if(passObject)
            {
                if(typeof passObject['verifyCode'] != 'undefined')
                {
                    $scope['verifyCode'] = passObject['verifyCode'];
                }
                if(typeof passObject['certiCode'] != 'undefined')
                {
                    $scope['certiCode'] = passObject['certiCode'];
                }
            }
        }

        function checkForm()
        {
            if (!$scope.verifyCode)
            {
                $scope.dialogTip('验证码错误');
                return false;
            }else if(!$scope.certiCode || (!validCredNum(1,$scope.certiCode)))
            {
                $scope.dialogTip('请填写正确的身份证号');
                return false;
            }
            else if($scope.certiCode!=brokerInfo['certiCode'])
            {
                $scope.dialogTip('证件号码与注册时证号码不一致');
                return false;
            }
            return true;
        }



        //倒数60秒 切换按钮显示
        function sendCount(){
            $scope.clickStatus = true;
            $scope.second = 60;
            var timer = setInterval(function () {
                if ($scope.second == 0) {
                    clearInterval(timer);
                    $scope.clickStatus = false;
                }
                $scope.second--;
                $scope.$apply();
            }, 1000);
        }

    }]);

});