define(['app','../js/transPassForgetFactory'],function (app) {
    app.register.controller('transPassNewCtrl', ['$scope','$location','transPassForgetFactory','adbService',function($scope,$location,transPassForgetFactory,adbService){
        //改变页面的<title>
        $scope.appTitle = '新交易密码';
        $scope.$emit("titleName", $scope.appTitle);


        /*****************************设置头部返回地址 begin******************************/
        var backUrl = $scope.getBackFactory('transPassNew','transPassForgetR');
        if (backUrl != ''){
            //返回按钮操作
            $scope.$emit("adbBack","index.html#/"+backUrl,"2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        /*****************************设置头部返回地址 end******************************/

        var brokerInfo = {};//登陆信息
        var passObject = transPassForgetFactory.getter();//获取缓存数据

        function init()//初始化信息
        {
            var broker = localStorage.getItem('broker_in_session');//用户登录信息
            $scope.mobile = '';

            $scope.isSubmit = false;//按钮提交 true-提交中，false-正常

            if (broker != null)
            {
                brokerInfo = JSON.parse(localStorage.getItem('broker_in_session'));
                $scope.mobile = brokerInfo.regCode;//从session中获取手机号
            }


        }
        init();

        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载

        });

        //保存，并跳转从首页还是提现来，就跳回到哪里
        $scope.saveAndgoto = function(){
            if (!$scope.mobile){
                $scope.dialogTip("您不是合法用户");
                return false;
            }

            //1、检查表单
            var res = checkForm();
            if(res)
            {
                //2、发送数据
                if($scope.isSubmit) return;
                $scope.isSubmit = true;

                var params = {
                    "mobile": $scope.mobile,//注册手机号
                    "verifyCode": passObject['verifyCode'],//手机验证码 :交易类型为1和2时必传
                    "oldPwd": "",
                    "newPwd": hex_sha1($scope.newPwd),//新交易密码
                    "certiCode": passObject['certiCode'],//身份证号:交易类型为2时必传
                    "pwdType": "2",//交易类型 1.添加密码2 忘记密码3 修改密码
                    "token":passObject['token']//会话有效token 交易类型为2时必传
                }
                //验证成功，调取修改密码接口
                adbService.getResult(
                    {},
                    $scope.setService('I201014',params),
                    function (json) {
                        $scope.isSubmit = false;
                        if (json.header.istatus == '-99'){
                            $scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {
                            var gotoUrl = $scope.getBackFactory('transPassForget','myWalletR');//获取返回页面的url
                            if (gotoUrl != ''){
                                //返回按钮操作
                                //$scope.dialogTip('交易密码设置成功');
                                $scope.dialogRes('交易密码设置成功');
                                if (gotoUrl == 'transPassR')
                                {

                                    //location.href = "index.html#/myWalletR";
                                    $location.url('myWalletR');
                                    //$scope.openInlineController("交易密码设置成功","index.html#/myWalletR");
                                }
                                else
                                {
                                    //location.href = "index.html#/"+gotoUrl;
                                    $location.url(gotoUrl);
                                    //$scope.openInlineController("交易密码设置成功","index.html#/"+gotoUrl);
                                }

                            }
                        }
                        else
                        {
                            $scope.dialogTip(json.header.imsg);
                        }
                    },
                    function(err){
                        //错误
                        //console.log(err);
                        $scope.isSubmit = false;
                        $scope.dialogTip('连接似乎有问题，请检查网络');
                    });
            }


        };

        function checkForm(){
            if(!$scope.newPwd || (!(/^[\S\w]{6,20}$/.test($scope.newPwd))))
            {
                $scope.dialogTip("新交易密码请输入6-20位字母、数字的组合");
                return false;
            }
            else if($scope.newPwd != $scope.newPwdRepeat)
            {
                $scope.dialogTip("两次输入的交易密码不一致");
                return false;
            }
            return true;
        }
    }]);
});