define(['app'],function (app) {
    app.register.controller('transPassSetCtrl', ['$scope','$location','adbService',function($scope,$location,adbService){
        //改变页面的<title>
        $scope.appTitle = '设置交易密码';
        $scope.$emit("titleName", $scope.appTitle);

        /*****************************设置头部返回地址 begin******************************/
        var backUrl = $scope.getBackFactory('transPassSet','myWalletR');
        if (backUrl != ''){
            //返回按钮操作
            $scope.$emit("adbBack","index.html#/"+backUrl,"2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        /*****************************设置头部返回地址 end******************************/
        var sendNum = 1;
            //点击验证码重新发送
        $scope.sendVerification=function(){
            sendCount();
            var params = {
                "mobile": $scope.mobile,
                "sendType": "2",
                "msg": {}
            }
            //验证码发送接口
            adbService.getResult(
                {},
                $scope.setService('I225010',params),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {

                        if(sendNum > 1)
                        {
                            $scope.dialogTip('验证码已发送');
                            sendNum++;
                        }
                    }
                    else
                    {
                        $scope.dialogTip(json.header.imsg);
                        $scope.clickStatus = false;//重新发送验证码
                    }

                },
                function(err){
                    //错误
                    //console.log(err);
                });

        }

        var brokerInfo = {}//用户登录信息;
        var saveAmtData = {};

        function init()//初始化信息
        {
            $scope.verifyCode ='';//验证码
            $scope.certiCode=$scope.smallMobile = '';//身份证号码
            var broker = localStorage.getItem('broker_in_session');//用户登录信息
            $scope.mobile = '';

            $scope.isSubmit = false;//按钮提交 true-提交中，false-正常

            $scope.clickStatus = false;

            if (broker != null)
            {
                brokerInfo = JSON.parse(localStorage.getItem('broker_in_session'));
                $scope.mobile = brokerInfo.regCode;//从session中获取手机号
                $scope.smallMobile = hideCertiCode(1,$scope.mobile)//隐藏敏感信息

                brokerInfo['certiCode'] = '';
                saveAmtData = JSON.parse(localStorage.getItem('saveAmtData'));
                if (saveAmtData && typeof saveAmtData['certiCode'] != 'undefined')
                {
                    brokerInfo['certiCode'] = saveAmtData['certiCode'];
                }

                //$scope.sendVerification();//发送手机验证码
            }
        }
        init();

        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载

        });

        //返回钱包首页
        $scope.saveAndGoto = function(){
            if (!$scope.mobile){
                $scope.dialogTip("您不是合法用户");
                return false;
            }
            //1、检查表单
            var res = checkForm();
            if(res)
            {
                //2、发送数据
                if($scope.isSubmit) return;
                $scope.isSubmit = true;

                var params = {
                    "mobile": $scope.mobile,//注册手机号
                    "verifyCode": $scope.verifyCode,//手机验证码 :交易类型为1和2时必传
                    "oldPwd": "",
                    "newPwd": hex_sha1($scope.newPwd),//新交易密码
                    "certiCode": $scope.certiCode,//身份证号:交易类型为2时必传
                    "pwdType": "1",//交易类型 1.添加密码2 忘记密码3 修改密码
                    "token":""//会话有效token 交易类型为2时必传
                }
                //验证成功，调取修改密码接口1
                adbService.getResult(
                    {},
                    $scope.setService('I201014',params),
                    function (json) {
                        $scope.isSubmit = false;

                        if (json.header.istatus == '-99'){
                            $scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {
                            saveAmtData['passSet'] = 1;
                            localStorage.setItem('saveAmtData',JSON.stringify(saveAmtData));
                            var gotoUrl = $scope.getBackFactory('transPassSet','myWalletR');//获取返回页面的url
                            if (gotoUrl != ''){
                                //返回按钮操作
                                //$scope.dialogTip('交易密码设置成功');
                                $scope.dialogRes('交易密码设置成功');
                                if (gotoUrl == 'transPassR')
                                {

                                    //location.href = "index.html#/myWalletR";
                                    $location.url('myWalletR');
                                    //$scope.openInlineController("交易密码设置成功","index.html#/myWalletR");
                                }
                                else
                                {
                                    //location.href = "index.html#/"+gotoUrl;
                                    $location.url(gotoUrl);
                                    //$scope.openInlineController("交易密码设置成功","index.html#/"+gotoUrl);
                                }

                            }
                        }
                        else
                        {
                            $scope.dialogTip(json.header.imsg);
                        }

                    },
                    function(err){
                        //错误
                        //console.log(err);
                        $scope.isSubmit = false;
                        $scope.dialogTip('连接似乎有问题，请检查网络');
                    });
            }

        };

        function checkForm()
        {
            if (!$scope.verifyCode)
            {
                $scope.dialogTip('验证码错误');
                return false;
            }else if(!$scope.certiCode || (!validCredNum(1,$scope.certiCode)))
            {
                $scope.dialogTip('请填写正确的身份证号');
                return false;
            }
            else if($scope.certiCode!=brokerInfo['certiCode'])
            {
                $scope.dialogTip('证件号码与注册时证号码不一致');
                return false;
            }
            else if(!$scope.newPwd || (!(/^[\S\w]{6,20}$/.test($scope.newPwd))))
            {
                $scope.dialogTip("交易密码请输入6-20位字母、数字的组合");
                return false;
            }
            else if($scope.newPwd != $scope.newPwdRepeat)
            {
                $scope.dialogTip("两次输入的交易密码不一致");
                return false;
            }
            return true;
        }

        //倒数60秒 切换按钮显示
        function sendCount(){
            $scope.clickStatus = true;
            $scope.second = 60;
            var timer = setInterval(function () {
                if ($scope.second == 0) {
                    clearInterval(timer);
                    $scope.clickStatus = false;
                }
                $scope.second--;
                $scope.$apply();
            }, 1000);
        }

    }]);
});