define(['app'],function (app) {

    app.register.controller('myWalletTopCtrl', ['$scope','$location',function($scope,$location){
        $scope.goToBack = function(){
            var res = $scope.gotoApp('PopNative');
            if(!res)
            {
                /*****************************设置头部返回地址 begin******************************/
                var backUrl = $scope.getBackFactory('myWallet','homeR');
                if (backUrl != ''){
                    //返回按钮操作
                    //location.href = "index.html#/"+backUrl;
                    $location.url(backUrl);
                }
                /*****************************设置头部返回地址 end******************************/
            }


        }

    }]);

    app.register.controller('myWalletCtrl', ['$scope','$location','$state','backFactory','adbService','$state','$timeout','$rootScope',function($scope,$location,$state,backFactory,adbService,$state,$timeout,$rootScope){
        //改变页面的<title>
        $scope.appTitle = '账户';
        $scope.$emit("titleName", $scope.appTitle);

        var bankCardInfo = {};
        var saveAmtData = {};
        var passSet = '';//是否设置了交易密码

        var thisState = $state.current.url;
        var scopeObj = JSON.parse(localStorage.getItem(thisState));//页面缓存数据
        var scopeObjNew = {};

        var haveUpdateScope = {"getAmtInfo":false,"getCardInfo":false};//更新缓存状态：true-已更新，false-未更新

        /*
         获取缓存页面信息
         $scope.usableAmt-可用金额(元)
         $scope.blockAmt-提现中(元)，
         $scope.cardNum-银行卡个数，
         $scope.pic_url-银行卡LOGO,
         $scope.bankAccName-卡归属银行
         $scope.bankAccType-卡类型
         $scope.bankAccCodePwd-卡号
         */
        function getScope()
        {

            if(scopeObj)
            {
                if(typeof scopeObj['usableAmt'] != 'undefined')
                    $scope.usableAmt = scopeObj['usableAmt'];

                if(typeof scopeObj['blockAmt'] != 'undefined')
                    $scope.blockAmt = scopeObj['blockAmt'];

                if(typeof scopeObj['cardNum'] != 'undefined')
                    $scope.cardNum = scopeObj['cardNum'];

                if(typeof scopeObj['pic_url'] != 'undefined')
                    $scope.pic_url = scopeObj['pic_url'];

                if(typeof scopeObj['bankAccName'] != 'undefined')
                    $scope.bankAccName = scopeObj['bankAccName'];

                if(typeof scopeObj['bankAccType'] != 'undefined')
                    $scope.bankAccType = scopeObj['bankAccType'];

                if(typeof scopeObj['bankAccCodePwd'] != 'undefined')
                    $scope.bankAccCodePwd = scopeObj['bankAccCodePwd'];
            }
            else{
                scopeObj = {};
            }
        }


        /**********************************账户金额变动 begin****************************************/
        function moveNumberDo(keyName){
            var timeout;
            var lastNum = $scope[keyName];//变化后的数字
            $scope[keyName] = scopeObj['usableAmt'];//变化前的数字

            var stepNum = 40;
            var step = Math.round(parseFloat((lastNum - $scope[keyName])/stepNum)*100)/100;

            function count() {
                $scope[keyName] = Math.round((parseFloat($scope[keyName]) + step)*100)/100;
                stepNum--;
                if(stepNum == 0)
                {
                    $scope[keyName] = lastNum;
                }
                else{
                    timeout = $timeout(count, 1);
                }
                //console.log($scope[keyName]);
            }

            count();
            $scope.$on('$destroy', function () {
                $timeout.cancel(timeout);
            });
        }
        function moveNumber()
        {
            if(!(scopeObj && typeof scopeObj['usableAmt'] != 'undefined'))
                scopeObj['usableAmt'] = 0;
            scopeObj['usableAmt'] = parseFloat(scopeObj['usableAmt']);

            if($scope.usableAmt != scopeObj['usableAmt'])
            {
                moveNumberDo('usableAmt');
            }
            if($scope.blockAmt != scopeObj['blockAmt'])
            {
                moveNumberDo('blockAmt');
            }
        }
        /**********************************账户金额变动 end****************************************/


        //获取账户信息
         function getAmtInfo(){
            //console.log('getAmtInfo'+haveUpdateScope['getAmtInfo']);
            adbService.getResult(
                {},
                $scope.setService("I201010", {"pgType3": '1'}),
                function (json) {
                    haveUpdateScope['getAmtInfo'] = true;//更新缓存成功

                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        saveAmtData = json.data;
                        localStorage.setItem('saveAmtData',JSON.stringify(saveAmtData));
                        passSet = json.data.passSet;//是否设置交易密码 0-未设置，1-设置

                        scopeObjNew["usableAmt"] = json.data.usableAmt;//可用余额
                        scopeObjNew["blockAmt"] = json.data.blockAmt;//冻结金额

                        getCardInfo();

                    } else {
                        $scope.dialogTip(json.header.imsg);
                    }
                },
                function (err) {
                    //$scope.dialogTip("更新账户信息失败:"+json.header.imsg);

                }
            )
        };
        //获取银行卡信息
        function getCardInfo(){
            //console.log('getCardInfo'+haveUpdateScope['getCardInfo']);

            adbService.getResult(
                {},
                $scope.setService("I201017", {}),
                function (json) {
                    haveUpdateScope['getCardInfo'] = true;//更新缓存成功

                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        bankCardInfo = json.data.bankList[0];
                        saveAmtData['cardList'] = json.data.bankList;
                        localStorage.setItem('saveAmtData',JSON.stringify(saveAmtData));

                        scopeObjNew['cardNum'] = json.data.bankList.length;//获取银行卡的个数
                        if(json.data.bankList.length != '0'){
                            scopeObjNew['bankAccCodePwd'] =json.data.bankList[0].bankAccCodePwd;
                            scopeObjNew['bankAccName'] =json.data.bankList[0].bankAccName;
                            scopeObjNew['pic_url'] =json.data.bankList[0].picUrl;
                            scopeObjNew['bankAccType'] =json.data.bankList[0].bankAccType;
                        }
                    }
                },
                function (err) {
                    //$scope.dialogTip("更新银行卡信息失败:"+json.header.imsg);
                }
            )
        };
        //删除银行卡
        $scope.delateBankCard = function(){
            if(typeof bankCardInfo['bankCode'] == 'undefined')
            {
                $scope.dialogTip("连接似乎有问题，请检查网络");
                return;
            }
            else{
                $scope.dialogConfirm("确认删除银行卡","","取消","确认","event_deleteCard");
                $scope.$on("event_deleteCard",function (event, msg) {
                    adbService.getResult(
                        {},
                        $scope.setService("I201012", {
                            'bankCode' : bankCardInfo.bankCode,
                            'bankAccCode' : bankCardInfo.bankAccCode,
                            'bankAccMobile' : bankCardInfo.bankAccMobile,
                            'operateType' : 'D',
                            'bankAccType' : bankCardInfo.bankAccType,
                            'bankAccPro' : bankCardInfo.bankAccProCode,
                            'bankAccCity' : bankCardInfo.bankAccCityCode
                        }),
                        function (json) {
                            if (json.header.istatus == '-99'){
                                $scope.gotoApp('jsRefreshCookie');
                            }
                            else if (json.header.istatus == '1') {
                                getCardInfo();
                            }else{
                                $scope.dialogTip("删除失败");
                            }
                        },
                        function (err) {
                            $scope.dialogTip("删除银行卡失败:"+json.header.imsg);
                        }
                    )
                });
            }

        };

        $scope.goWithdraw = function(){
            $location.path('/withdrawDepositR');
            return;
            /*var saveAmtData = localStorage.getItem("saveAmtData");
            if(saveAmtData)
            {
                $scope.setBackFactory('withdrawDeposit');
                $location.path('/withdrawDepositR');
            }
            else{
                $scope.dialogTip("连接似乎有问题，请检查网络");
            }*/
            /*if(haveUpdateScope['getCardInfo'] && haveUpdateScope['getAmtInfo'])
            {
                $scope.setBackFactory('withdrawDeposit');
                $location.path('/withdrawDepositR');
            }
            else{
                $scope.dialogTip("连接似乎有问题，请检查网络");
            }*/
        };

        /*$scope.goBankCard = function(){
            $scope.setBackFactory('myBankCard');
            $location.path('/myBankCardR');
        };*/

        $scope.goBankCardAdd = function(){
            $scope.setBackFactory('addBankCard');
            $location.path('/addBankCardR/1');
        };

        $scope.goTranDetail = function(){
            $scope.setBackFactory('transDetail');
            $location.path('/transDetailR');
        };

        $scope.goTranPass = function(){
            /*$scope.setBackFactory('transPass');
            $location.path('/transPassR');*/

            //判断是否设置了交易密码
            //var isSetPassword = getTransPass();
            if(passSet == '')
            {
                $scope.dialogTip('连接似乎有问题，请检查网络');
                return;
            }
            if (passSet == 1)
            {
                //如果设置了交易密码
                $scope.setBackFactory('transPass');
                $location.path('/transPassR');//跳转交易密码页
            }
            else{
                $scope.setBackFactory('transPassSet');
                $location.path('/transPassSetR');//跳转设置交易密码页
            }
        };


        function getTransPass(){
            return true;//true-已设置，未设置
        }


        function init()//初始化信息
        {
            localStorage.removeItem('saveAmtData');//账户信息+银行卡信息
            localStorage.removeItem("transPassForgetFactory");//清空忘记密码缓存
            localStorage.removeItem('addInfo');//清空添加银行卡的缓存
            localStorage.removeItem('withdraw');//清空提现的缓存

            $scope.usableAmt = 0;//可用金额
            $scope.blockAmt = 0;//提现中
            $scope.cardNum = 0;//银行卡数量
            //银行卡对应的信息
            $scope.bankAccName = '';
            $scope.bankAccType = '';
            $scope.bankAccCodePwd = '';
            $scope.bankAccTypeTurn = '';
            getScope();//从缓存中读取Api数据
        }
        init();

        /********************************更新缓存 begin********************************/
        $scope.$on('$viewContentLoaded', function (event,toState) {
            updateCount();
        });

        /*
         存储页面绑定信息
         $scope.usableAmt-可用金额(元)
         $scope.blockAmt-提现中(元)，
         $scope.cardNum-银行卡个数，
         $scope.pic_url-银行卡LOGO,
         $scope.bankAccName-卡归属银行
         $scope.bankAccType-卡类型
         $scope.bankAccCodePwd-卡号
         */
        function saveScope(){

            localStorage.setItem(thisState,JSON.stringify(scopeObjNew));//更新缓存

            if(scopeObjNew)
            {
                if(typeof scopeObjNew['usableAmt'] != 'undefined')
                    $scope.usableAmt = scopeObjNew['usableAmt'];

                if(typeof scopeObjNew['blockAmt'] != 'undefined')
                    $scope.blockAmt = scopeObjNew['blockAmt'];

                if(typeof scopeObjNew['cardNum'] != 'undefined')
                    $scope.cardNum = scopeObjNew['cardNum'];

                if(typeof scopeObjNew['pic_url'] != 'undefined')
                    $scope.pic_url = scopeObjNew['pic_url'];

                if(typeof scopeObjNew['bankAccName'] != 'undefined')
                    $scope.bankAccName = scopeObjNew['bankAccName'];

                if(typeof scopeObjNew['bankAccType'] != 'undefined')
                    $scope.bankAccType = scopeObjNew['bankAccType'];

                if(typeof scopeObjNew['bankAccCodePwd'] != 'undefined')
                    $scope.bankAccCodePwd = scopeObjNew['bankAccCodePwd'];
            }

            moveNumber();//账户金额变动
        }

        var updateTimeout;
        function updateCount() {
            //console.log(haveUpdateScope);
            if(haveUpdateScope['getCardInfo'] && haveUpdateScope['getAmtInfo'])
            {
                saveScope();//设置页面缓存数据
            }
            else{
                if(!haveUpdateScope['getAmtInfo'])
                {
                    getAmtInfo();
                }
                else if(!haveUpdateScope['getCardInfo'])
                {
                    getCardInfo();
                }
                $timeout(updateCount, 1000);
            }

        }

        $scope.$on('$destroy', function () {
            $timeout.cancel(updateTimeout);
        });
        /********************************更新缓存 end********************************/

        $scope.updateScope = function(){
            haveUpdateScope = {"getAmtInfo":false,"getCardInfo":false};
            updateCount();
        }
    }]);
});

