define(['app'], function (app) {
    function clearLocalStrage()
    {
        //清楚缓存
        localStorage.removeItem('withdraw');
    }

    app.register.controller('withdrawDepositTopCtrl', ['$scope', '$location', 'adbService', function ($scope, $location,adbService) {
        //头部控制
        /*****************************设置头部返回地址 begin******************************/
        $scope.goToBack = function(){
            //var backUrl = $scope.getBackFactory('withdrawDeposit','myWalletR');
            //if (backUrl != ''){
                clearLocalStrage();
                //location.href = "index.html#/myWalletR";
            $location.url('myWalletR');
                //location.href = "index.html#/"+backUrl;
            //}

        }
        /*****************************设置头部返回地址 end******************************/
        $scope.goHome = function(){
            clearLocalStrage();
            $scope.goHomeMenu();
        }
    }]);

    app.register.controller('withdrawDepositCtrl', ['$scope', '$location', 'adbService','$timeout','$state', function ($scope, $location,adbService,$timeout,$state) {
        //改变页面的<title>
        $scope.appTitle = '提现';
        $scope.$emit("titleName", $scope.appTitle);

        var thisState = $state.current.url;
        var scopeObj = JSON.parse(localStorage.getItem(thisState));//页面缓存数据
        var haveUpdateScope = {"getdrawReg":false};//更新缓存状态：true-已更新，false-未更新


        /*
         获取缓存页面信息
         $scope.drawRegInfos:投保规则
         */
        function getScope()
        {
            if(scopeObj)
            {
                if(typeof scopeObj['drawRegInfos'] != 'undefined')
                    $scope.drawRegInfos = scopeObj['drawRegInfos'];
            }
            else{
                scopeObj = {};
            }
        }


        $scope.goBankCardAdd = function () {
            //跳转到添加银行
            saveLocalStrage();
            $scope.setBackFactory('addBankCard');
            $location.path('/addBankCardR/1');
        };

        $scope.goWithdrawConfirm = function () {
            if(!$scope.saveAmtData){
                $scope.dialogTip('非法进入');
                return false;
            }
            if($scope.saveAmtData && $scope.saveAmtData.cardList.length == '0'){
                $scope.dialogTip('请添加银行卡');
                return false;
            }
            if($scope.turnCash == ''){
                $scope.dialogTip('请输入提现金额');
                return false;
            }else if(!(/^\d{1,5}(\.\d{1,2})?$/).test($scope.turnCash)){
                $scope.dialogTip('提现金额输入不正确，请重新输入');
                return false;
            }else if($scope.turnCash < 10){
                $scope.dialogTip('提现金额应大于等于10元');
                return false;
            }else if($scope.turnCash > $scope.saveAmtData.usableAmt){
                $scope.dialogTip('提现金额超出可提现范围');
                return false;
            }else if($scope.turnCash > 50000){
                $scope.dialogTip('提现金额需小于50000元');
                return false;
            }
            if($scope.saveAmtData['passSet']=='0')
            {
                $scope.dialogTip('请添加交易密码');
                return false;
            }
            /*if ($scope.saveAmtData.accStatus == '0') {
                $scope.dialogTip('请添加交易密码');
                return false;
            }*/else if($scope.passWord == ''){
                $scope.dialogTip('请输入交易密码');
                return false;
            }
            getCash();
            //$scope.setBackFactory('withdrawConfirm');
            //$location.path('/withdrawConfirmR');
        };
        //提现申请
        function getCash() {
            if($scope.isSubmit) return;
            $scope.isSubmit = true;
            var cashInfo = {
                "amt": $scope.turnCash,
                "bankAccName" : $scope.bankAccName,
                "bankAccCode": $scope.saveAmtData.cardList[0]['bankAccCode'],
                "transPwd": hex_sha1($scope.passWord)
            };
            adbService.getResult(
                {},
                $scope.setService("I201011", cashInfo),
                function (json) {
                    $scope.isSubmit = false;
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == "1") {
                        clearLocalStrage();
                        localStorage.setItem('cashInfo',JSON.stringify(cashInfo));
                        $scope.setBackFactory('withdrawConfirm');
                        $location.path('/withdrawConfirmR');
                    }
                    else{
                        $scope.dialogTip(json.header.imsg);
                    }
                },
                function (err) {
                    $scope.isSubmit = false;
                    $scope.dialogTip('连接似乎有问题，请检查网络');
                }
            )
        };

        $scope.goPassForget = function () {
            //忘记交易密码
            saveLocalStrage();
            $scope.setBackFactory('transPassForget');
            $location.path('/transPassForgetR');
        };


        $scope.goTranPass = function () {
            //设置交易密码
            saveLocalStrage();
            $scope.setBackFactory('transPassSet');
            $location.path('/transPassSetR');//跳转设置交易密码页
        };

        //提现费率介绍
        $scope.goWithdrawFee = function (val) {
            if($scope.drawRegInfos && $scope.drawRegInfos.length > 0)
            {
                $scope.rateStatus = val;
            }
            else{
                $scope.dialogTip('连接似乎有问题，请检查网络');
            }

            //$scope.setBackFactory('withdrawFee');
            //$location.path('/withdrawFeeR');
        };

        function saveLocalStrage()
        {
            //储存缓存
            var params = {"turnCash":$scope.turnCash}
            localStorage.setItem('withdraw',JSON.stringify(params));
        }

        function getdrawReg()
        {
            //获取提现规则
            adbService.getResult(
                {},
                $scope.setService("I201021", {}),
                function (json) {
                    haveUpdateScope['getdrawReg'] = true;//更新缓存成功

                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.drawRegInfo = json.data;//提现规则信息
                        //console.log("=====",$scope.drawRegInfo);
                        if(!$scope.drawRegInfo || !$scope.saveAmtData) return;

                        //是否一次提出
                        if($scope.drawRegInfo['isLimitFlag']=="Y" && $scope.drawRegInfo['dAcctLimitFlag']=="Y"
                            && parseFloat($scope.saveAmtData['usableAmt'])<=parseFloat($scope.drawRegInfo['dAcctLimitMinAmt'])){
                            //如果账户金额小于每次允许的提现金额，设置提现金额为账户余额，提现金额不允许修改
                            $scope.turnCash = $scope.saveAmtData['usableAmt'];
                            $scope.turnCashReadonly = true;
                        }



                            //提现规则
                            if($scope.drawRegInfo['isLimitFlag']=="Y"){
                                var tempStr = "";
                                //单笔限额
                                if(parseFloat($scope.drawRegInfo['dLimitMinAmt'])>0){
                                    tempStr = "单次提现金额需大于等于"+$scope.drawRegInfo['dLimitMinAmt']+"元";
                                }
                                if(parseFloat($scope.drawRegInfo['dLimitMaxAmt'])>0&&parseFloat($scope.drawRegInfo['dLimitMaxAmt'])>parseFloat($scope.drawRegInfo['dLimitMinAmt'])){
                                    if(tempStr!=""){
                                        tempStr +=","
                                    }
                                    tempStr +="单次提现金额需小于"+$scope.drawRegInfo['dLimitMaxAmt']+"元";
                                }
                                if( $scope.drawRegInfos.length<1) {
                                    //console.log("11");
                                    $scope.drawRegInfos.push($scope.drawRegInfos.length + 1 + ". " + tempStr + "。");
                                }else{
                                    //console.log("12");
                                    // 拼接函数(索引位置, 要删除元素的数量, 元素)
                                    $scope.drawRegInfos.splice(0, 1, "1. "+tempStr+"。"); //
                                }

                                tempStr = "";
                                //一次提出限额
                                if($scope.drawRegInfo['dAcctLimitFlag']=="Y"){

                                    if( $scope.drawRegInfos.length<1) {
                                        //console.log("21");
                                        $scope.drawRegInfos.push($scope.drawRegInfos.length+1+". 余额小于"+$scope.drawRegInfo['dAcctLimitMinAmt']+"元一次提出。");
                                    }else{
                                        //console.log("22");
                                        // 拼接函数(索引位置, 要删除元素的数量, 元素)
                                        $scope.drawRegInfos.splice(1, 1, "2. "+"余额小于"+$scope.drawRegInfo['dAcctLimitMinAmt']+"元一次提出。"); //
                                    }
                                }
                                //手续费收取
                                tempStr = "";
                                if(parseFloat($scope.drawRegInfo['mLimitTotalCount'])>0){
                                    tempStr += "每月前"+$scope.drawRegInfo['mLimitTotalCount']+"次提现免手续费";
                                    //账户区域展示信息
                                    var freeTimes = parseInt($scope.drawRegInfo['mLimitTotalCount'])-parseInt($scope.drawRegInfo['mLimitCount']);
                                    $scope.showDrawNotice = "本月您还有"+(freeTimes>=0?freeTimes:0)+"次免费提现机会";
                                }
                                if($scope.drawRegInfo['mOutLimitFlag']=="Y"){
                                    //超过次数后，收取手续费
                                    if($scope.drawRegInfo['mOutLimitType']=="1"){//百分比
                                        tempStr +=",之后每次收取"+$scope.drawRegInfo['mOutLimitFee']+"%手续费";
                                        if($scope.showDrawNotice!=""){
                                            //$scope.showDrawNotice +=",之后每次收取"+$scope.drawRegInfo['mOutLimitFee']+"%手续费";
                                        }

                                        if($scope.drawRegInfo['mLimitCount'] > $scope.drawRegInfo['mLimitTotalCount'])
                                        {
                                            //计算手续费
                                            //已提现次数大于每月免费提现次数
                                            $scope.handlingCharge = ($scope.turnCash?$scope.turnCash:0)*$scope.drawRegInfo['mOutLimitFee']/100;
                                        }
                                    }else if($scope.drawRegInfo['mOutLimitType'] == "2"){
                                        tempStr +=",之后每次提现手续费"+$scope.drawRegInfo['mOutLimitFee']+"元";
                                        if($scope.showDrawNotice!=""){
                                            //$scope.showDrawNotice +=",之后每次提现手续费"+$scope.drawRegInfo['mOutLimitFee']+"元";
                                        }

                                        if($scope.drawRegInfo['mLimitCount'] > $scope.drawRegInfo['mLimitTotalCount'])
                                        {
                                            //计算手续费
                                            //已提现次数大于每月免费提现次数
                                            $scope.handlingCharge = $scope.drawRegInfo['mOutLimitFee'];
                                        }
                                    }

                                }else if($scope.drawRegInfo['mOutLimitFlag']=="N"){
                                    //每次都收手续费
                                    if($scope.drawRegInfo['mOutLimitType']=="1"){//百分比
                                        tempStr = "每笔手续费按金额"+$scope.drawRegInfo['mOutLimitFee']+"%收取";
                                        //$scope.showDrawNotice = "每笔手续费按金额"+$scope.drawRegInfo['mOutLimitFee']+"%收取";
                                        //计算手续费
                                        $scope.handlingCharge = ($scope.turnCash?$scope.turnCash:0)*$scope.drawRegInfo['mOutLimitFee']/100;

                                    }else if($scope.drawRegInfo['mOutLimitType'] == "2"){
                                        tempStr = "每笔手续费按"+$scope.drawRegInfo['mOutLimitFee']+"元收取";
                                        //$scope.showDrawNotice = "每笔手续费按"+$scope.drawRegInfo['mOutLimitFee']+"元收取";
                                        //计算手续费
                                        $scope.handlingCharge = $scope.drawRegInfo['mOutLimitFee'];
                                    }
                                }
                                if(tempStr!="") {

                                    if( $scope.drawRegInfos.length<1) {
                                        //console.log("31");
                                        $scope.drawRegInfos.push($scope.drawRegInfos.length + 1 + ". " + tempStr + "。");
                                    }else{
                                        //console.log("32");
                                        // 拼接函数(索引位置, 要删除元素的数量, 元素)
                                        $scope.drawRegInfos.splice(2, 1, "3. "+ tempStr + "。"); //
                                    }
                                }

                                if( $scope.drawRegInfos.length<1) {
                                    $scope.drawRegInfos.push($scope.drawRegInfos.length + 1 + ". 根据国家税法规定，对于当月推广奖励累计超过800元后的部分，按照国家规定代扣劳务税后，向您账户支付剩余奖励。");
                                }else{
                                    // 拼接函数(索引位置, 要删除元素的数量, 元素)
                                    $scope.drawRegInfos.splice(3, 1, "4. 根据国家税法规定，对于当月推广奖励累计超过800元后的部分，按照国家规定代扣劳务税后，向您账户支付剩余奖励。"); //
                                }
                            }


                    }
                },
                function (err) {
                }
            )
        }


        function init()//初始化信息
        {
            $scope.saveAmtData = JSON.parse(localStorage.getItem('saveAmtData'));//获取缓存信息
            $scope.cardNum = 0;//初始化银行卡数量
            $scope.drawRegInfos = [];
            $scope.isSubmit = false;//按钮提交 true-提交中，false-正常

            if ($scope.saveAmtData && typeof $scope.saveAmtData.cardList !='undefined')
            {
                $scope.cardNum = $scope.saveAmtData.cardList.length;//获取银行卡的个数
                if ($scope.saveAmtData.cardList.length > '0') {
                    $scope.bankAccType = $scope.saveAmtData.cardList[0].bankAccType;
                    $scope.bankAccCodePwd = $scope.saveAmtData.cardList[0].bankAccCodePwd;
                    $scope.bankAccName = $scope.saveAmtData.cardList[0].bankAccName;
                    $scope.pic_url = $scope.saveAmtData.cardList[0].picUrl;
                }
            }
            else{
                return;
            }

            $scope.rateStatus = false;
            $scope.passWord = '';
            $scope.turnCash = '';//可提现金额
            $scope.turnCashReadonly = false;//提现金额是否允许修改,false可以修改
            $scope.showDrawNotice = '';//手续费提示
            $scope.handlingCharge = '0';//手续费

            var withDrawInfo = JSON.parse(localStorage.getItem('withdraw'));//读取提现缓存
            if (withDrawInfo && typeof withDrawInfo['turnCash'] != 'undefined')
            {
                $scope.turnCash = withDrawInfo['turnCash'];//从缓存中读取提现金额
            }

            localStorage.removeItem("transPassForgetFactory");//清空缓存


            getScope();//从缓存中读取Api数据

            var regId = "";
            var broker;
            if(typeof localStorage.getItem('broker_in_session') != "undefined")
            {
                broker = JSON.parse(localStorage.getItem('broker_in_session'));
            }
            if(typeof broker != "undefined" && broker && typeof broker['regId'] != "undefined" && broker['regId'])
                regId = broker['regId'];
            $scope.eventAttributes("withdrawDeposit",JSON.stringify({tel:regId}));//提现模块次数埋点
        }

        init();

        /********************************更新缓存 begin********************************/
        $scope.$on('$viewContentLoaded', function () {
            //视图渲染后加载
            updateCount();
        });

        /*
         存储页面绑定信息
         $scope.drawRegInfos:投保规则
         */
        function saveScope(){
            var objNew = {};
            objNew['drawRegInfos'] = $scope.drawRegInfos;
            localStorage.setItem(thisState,JSON.stringify(objNew));//更新缓存
        }

        var updateTimeout;
        function updateCount() {

            if(haveUpdateScope['getdrawReg'])
            {
                saveScope();//设置页面缓存数据
            }
            else{
                getdrawReg();
                $timeout(updateCount, 1000);
            }

        }

        $scope.$on('$destroy', function () {
            $timeout.cancel(updateTimeout);
        });
        /********************************更新缓存 end********************************/


    }]);

});