'use strict';
define(['app'], function (app) {

    app.register.controller('performanceDetailTopCtrl', ['$scope', '$location', function ($scope, $location) {
        $scope.goToBack = function () {
            var res = $scope.gotoApp('PopNative');
            if (!res) {
                $location.path('performanceR');
            }
        }
    }]);

    app.register.controller('performanceDetailCtrl', ['$scope', '$location', '$stateParams', '$timeout', 'backFactory', 'adbService', function ($scope, $location, $stateParams, $timeout, backFactory, adbService) {

        $scope.appTitle = '业绩明细';
        $scope.$emit("titleName", $scope.appTitle);

        function init()//初始化信息
        {
            $scope.proByPerListArr = [];//初始化列表
            $scope.listShow = -1;//初始化默认显示loading
            $scope.currentPage = 1;//当前页
            $scope.pageNum = 1;
            //防止一次加载多页数据
            $scope.isLoad = false;
            $scope.noMore = false;//没有更多数据加载
            $scope.orderTypeStatus = '';

            getPerformanceTargetInfo();
            var transDate = '-1';//初始排序方式
            var orderType = '1';//初始按线上产品分类
            searchProInfo(transDate, orderType);


        }

        init();

        $scope.$on('$viewContentLoaded', function () {
            //视图渲染后加载


        });
        $scope.mm = function () {
            //alert('jj');
        }

        //跳转到领取任务页面
        $scope.goGetTask = function () {
            $scope.setBackFactory('getTask');
            $location.path('/getTaskR')
        };

        //跳转到全部明细页面
        $scope.goDetailAll = function () {
            $scope.setBackFactory('performanceDetailAll');
            $location.path('/performanceDetailAllR/' + $stateParams.monthId)
        };
        // 跳转到产品列表
        $scope.goProduct = function () {

            var res = $scope.gotoApp('ADBMakeMoney');
            if (!res) {
                $scope.setBackFactory('makeMoney');
                $location.path('productR/makeMoneyR');
            }
        };
        $scope.noTarget = true;

        //跳转到订单详情

        $scope.goOrderDet = function (orderId) {

            $scope.setBackFactory('productOrderDetail');
            //location.href="index.html#/productOrderDetailR/"+orderId+"?haveHead=1";
            $location.url('productOrderDetailR/'+orderId+'?haveHead=1');
        };


        //获取目标销售额
        function getPerformanceTargetInfo() {
            if ($stateParams.monthId == '') {
                var data = genCurrentDate().substring(0, 7);//初始化为当前时间
            } else {
                var data = $stateParams.monthId
            }
            var params = {
                "startMonth": data
            };

            adbService.getResult(
                {},
                $scope.setService('I121010', params),
                function (json) {
                    //console.log(json);
                    if (json.header.istatus == '-99') {
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        //console.log(json.data);
                        $scope.perTarCommission = json.data.getPerformanceTarget;//总额
                        $scope.perTarPremium = json.data.completePerformanceTarget;//已完成
                        $scope.getPerformanceTarget = json.data.getPerformanceTarget;//目标销售额 未领取则为0
                        var bate = $scope.perTarPremium / $scope.perTarCommission;
                        if (bate <= 0.3) {
                            $('.sub-progress .left').css("width", "auto");
                        }
                        else if (bate > 1) {
                            $('.sub-progress .left').css("width", "100%");
                        }
                        else {
                            $('.sub-progress .left').css("width", bate * 100 + "%");
                        }
                        //else if (bate > 0.3 && bate <= 0.4) {
                        //    $('.sub-progress').css("width", "35%");
                        //}
                        //else if (bate > 0.4 && bate <= 0.5) {
                        //    $('.sub-progress').css("width", "40%");
                        //}
                        //else if (bate > 0.5 && bate <= 0.6) {
                        //    $('.sub-progress').css("width", "45%");
                        //}
                        //else if (bate > 0.6 && bate <= 0.7) {
                        //    $('.sub-progress').css("width", "50%");
                        //}
                        //else if (bate > 0.7 && bate <= 0.8) {
                        //    $('.sub-progress').css("width", "55%");
                        //}
                        //else if (bate > 0.8 && bate <= 0.9) {
                        //    $('.sub-progress').css("width", "60%");
                        //}
                        //else if (bate > 0.9 && bate < 1) {
                        //    $('.sub-progress').css("width", "65%");
                        //}
                        //else {
                        //    $('.sub-progress').css("width", "69%");
                        //}
                    }
                }
            )
        }


        //数据滚动加载
        $scope.loadMore = function () {
            if ($scope.loadStatus) {
                if (!$scope.isLoad) {
                    $scope.isLoad = true;
                    $timeout(function () {
                        if ($scope.isProByPerTimeActive == true) {
                            var orderType = "1";
                        } else if ($scope.isProByPerMoneyActive == true) {
                            orderType = "2";
                        } else if ($scope.isProByPerTypeActive == true) {
                            orderType = "3";
                        }
                        searchProInfo('-1', orderType);
                        $scope.isLoad = false;
                    }, 300)
                }
            }
        };

        //查询推广奖励明细(初始化按照时间升序排列)
        function searchProInfo(transDate, orderType) {
            if ($stateParams.monthId == '') {
                var data = genCurrentDate().substring(0, 7);//初始化为当前时间
            } else {
                var data = $stateParams.monthId
            }
            if (data.substring(5, 7) > 9) {
                var monthNum = data.substring(5, 7);
            } else {
                var monthNum = data.substring(6, 7);
            }
            $scope.showMonthDet = monthNum + '月业绩目标实现情况';
            $scope.showMonth = data.substring(0, 4) + '年' + data.substring(5, 7) + '月';
            if (orderType != '2') {
                var orderStateIds = [8];
            } else {
                var orderStateIds = [22, 25, 26, 27, 28, 29, 30];
            }
            var params = {
                "startMonth": data,
                "pageNum": $scope.currentPage,
                "pageSize": "10",
                "transType": "1",
                "orderStateIds": orderStateIds,
                "orderType": orderType,
                "sortField": "7",
                "sortType": transDate,
            };
            adbService.getResult(
                {},
                $scope.setService('I121014', params),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        var proByPerListArr = json.data.detailList;
                        if (proByPerListArr.length < 10) {
                            $scope.noMore = true;
                        }
                        if (proByPerListArr.length >= 10) {
                            $scope.pageNum++;
                            $scope.loadStatus = true;
                        }
                        if (proByPerListArr.length > 0) {
                            $scope.listShow = 1;//显示列表
                            $scope.currentPage++;

                            $scope.proByPerListArr = $scope.proByPerListArr.concat(proByPerListArr);//追加数据
                        }
                        if ($scope.proByPerListArr.length <= 0) {
                            $scope.listShow = 0;//信息为空
                            $scope.loadStatus = false;//滚动加载状态
                            $scope.getRecommendProd();
                        }
                    }
                }
            )
        }

        $scope.isProByPerTimeActive = true;
        $scope.isProByPerMoneyActive = false;
        $scope.isProByPerTypeActive = false;
        //按线上产品分类排序
        $scope.proByOnline = function (orderType) {
            $scope.orderTypeStatus = orderType;
            $scope.proByPerListArr = [];//初始化列表
            $scope.pageNum = '1';//初始化页码
            $scope.listShow = -1;//初始化默认显示loading
            $scope.currentPage = 1;//当前页
            //防止一次加载多页数据
            $scope.isLoad = false;
            $scope.noMore = false;//没有更多数据加载

            $scope.isProByPerTimeActive = true;
            if ($scope.isProByPerMoneyActive || $scope.isProByPerTypeActive) {
                $scope.isProByPerMoneyActive = false;
                $scope.isProByPerTypeActive = false;
            } else {
                $scope.isProByPerTimeDesc = !$scope.isProByPerTimeDesc;
            }
            if (!$scope.isProByPerTimeDesc) {
                searchProInfo("-1", orderType);//按照升序排列
            } else {
                searchProInfo("-1", orderType);//按照降序排列
            }
        };
        //按线下产品分类排序
        $scope.proByOffline = function (orderType) {

            $scope.proByPerListArr = [];//初始化列表
            $scope.pageNum = '1';//初始化页码
            $scope.listShow = -1;//初始化默认显示loading
            $scope.currentPage = 1;//当前页
            //防止一次加载多页数据
            $scope.isLoad = false;
            $scope.noMore = false;//没有更多数据加载

            $scope.isProByPerMoneyActive = true;
            if ($scope.isProByPerTimeActive || $scope.isProByPerTypeActive) {
                $scope.isProByPerTimeActive = false;
                $scope.isProByPerTypeActive = false;
            } else {
                $scope.isProByPerMoneyDesc = !$scope.isProByPerMoneyDesc;
            }
            if (!$scope.isProByPerMoneyDesc) {
                searchProInfo("-1", orderType);//按照升序排列
            } else {
                searchProInfo("-1", orderType);//按照降序排列
            }

        };
        //按车险分类排序
        $scope.proByCar = function (orderType) {
            $scope.orderTypeStatus = orderType;
            $scope.proByPerListArr = [];//初始化列表
            $scope.pageNum = '1';//初始化页码
            $scope.listShow = -1;//初始化默认显示loading
            $scope.currentPage = 1;//当前页
            //防止一次加载多页数据
            $scope.isLoad = false;
            $scope.noMore = false;//没有更多数据加载

            $scope.isProByPerTypeActive = true;
            if ($scope.isProByPerTimeActive || $scope.isProByPerMoneyActive) {
                $scope.isProByPerTimeActive = false;
                $scope.isProByPerMoneyActive = false;
            } else {
                $scope.isProByPerTypeDesc = !$scope.isProByPerTypeDesc;
            }
            if (!$scope.isProByPerTypeDesc) {
                searchProInfo("-1", orderType);//按照升序排列
            } else {
                searchProInfo("-1", orderType);//按照降序排列
            }
        }

    }]);
});