'use strict';
define(['app'], function (app) {
    app.register.controller('getTaskTopCtrl', ['$scope','$location',function($scope,$location) {
        $scope.goToBack = function(){
            var res = $scope.gotoApp('PopNative');
            if(!res){
                //$location.path('performanceR');
                var backUrl = $scope.getBackFactory('getTask','performanceR');
                if (backUrl != ''){
                    $location.path(backUrl);
                }
            }
        }

    }]);

    app.register.controller('getTaskCtrl', ['$scope','$location','$stateParams','$timeout','backFactory','adbService',function($scope,$location,$stateParams,$timeout,backFactory,adbService){

        $scope.appTitle = '领取业绩目标';
        $scope.$emit("titleName", $scope.appTitle);


        function init()//初始化信息
        {
            $scope.taskListArr = [];//初始化列表
            $scope.listShow = -1;//初始化默认显示loading
            $scope.currentPage = 1;//当前页
            //防止一次加载多页数据
            $scope.isLoad=false;
            $scope.noMore = false;//没有更多数据加载
        }
        init();

        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载
            searchTaskInfo()
        });

        //跳转到任务规则页面
        $scope.goTaskRule=function(){
            $location.path("/taskRuleR");
        };

        //领取任务信息
        var date = genCurrentDate().substring(0,7);
        console.log(date);
        function getTaskInfo(msg){
            var params ={
                    "startMonth": date,
                    "targetId":msg
            };
            adbService.getResult(
                {},
                $scope.setService('I121012',params),
                function(json){
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        var res = $scope.gotoApp('PopNative');
                        if(!res)
                        {
                            $location.path("/performanceR")
                        }
                    }else {
                        $scope.dialogRes(json.header.imsg)
                    }

                }
            )
        }
        //领取任务
        /********************dialog begin********************/
        $scope.name="不可更改哟";
        $scope.giveTaskMes = function(targetId){
            $scope.targetId = targetId;
            $scope.dialogConfirm("业务目标领取后",$scope.name,"再想想","马上领取","getTaskFlag");
        };
        //领取任务并向数据库通讯
        $scope.$on("getTaskData",function (event, msg) {

            getTaskInfo($scope.targetId);

        });
        /********************dialog end********************/

        //获取任务列表
            //数据滚动加载
        /*$scope.loadMore = function() {
            console.log('开始滚动')
            if(!$scope.isLoad){
                $scope.isLoad=true;
                $timeout(function(){
                    searchTaskInfo();
                    $scope.isLoad=false;
                },300)
            }
        };*/
        function searchTaskInfo(){
            var params ={
                    "startMonth": date,
                    "pageNum": $scope.currentPage,
                    "pageSize": "10"
            };
            adbService.getResult(
                {},
                $scope.setService('I121011',params),
                function(json){
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        var taskListArr = json.data.targets;
                        if(taskListArr.length<10){
                            $scope.noMore=true;
                        }
                        if(taskListArr.length > 0)
                        {
                            $scope.listShow = 1;//显示列表
                            $scope.currentPage++;

                            $scope.taskListArr = $scope.taskListArr.concat(taskListArr);//追加数据
                        }
                        if ($scope.taskListArr.length <= 0)
                        {
                            $scope.listShow = 0;//信息为空
                        }
                    }
                }
            )
        }
    }]);
});