'use strict';
define(['app'], function (app) {

    app.register.controller('performanceCtrl', ['$scope', '$location', '$stateParams', '$timeout', 'backFactory','adbService','monthFactory', function ($scope, $location, $stateParams, $timeout, backFactory,adbService,monthFactory) {

        $scope.appTitle = '我的业绩';
        $scope.$emit("titleName", $scope.appTitle);
        /*****************************设置头部返回地址 begin******************************/

            //返回按钮操作
        $scope.$emit("adbBack", "/homeR", "1");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转

        /*****************************设置头部返回地址 end******************************/

        $scope.monthShow = false;      //默认不显示选择月份的div
        $scope.nowTime = genCurrentDate().substring(0, 7);//获取当前时间
        var year=new Date().getFullYear();
        var nowMonth = new Date().getMonth() + 1;//当前月
        var month =(nowMonth<10 ? "0"+nowMonth:nowMonth);  //当前月份小于10则加0
        var yearmonth = year + "-" + month;
        $scope.selectVal = nowMonth;
        $scope.monthArr = [];
        for(var i=0;i<= 5;i++){
            if(nowMonth - i <=0)
            {
                $scope.monthArr[i] = nowMonth - i + 12;
            }
            else
            {
                $scope.monthArr[i] = nowMonth - i;
            }
        }
        //判断factory是否有值
        if(typeof monthFactory.getter() != 'object'){
            $scope.nowTime = monthFactory.getter();
            $scope.selectVal = $scope.nowTime.substring(6)
        }
        //console.info($scope.nowTime)
        function init()//初始化信息
        {

        }

        init();

        $scope.$on('$viewContentLoaded', function () {
            //视图渲染后加载
            $scope.getIndexInfo()
        });



        //点击选择要传给后台的月份 小于10则加0
        $scope.selectMouth = function(selectMonth){
            console.info(selectMonth)
            if(selectMonth < 10){
                selectMonth = "0" + selectMonth;
            }
            $scope.selectVal = selectMonth.substring(1);   //给当前点击项加class
            yearmonth = year + "-" + selectMonth;
            $scope.nowTime = yearmonth;
            monthFactory.setter($scope.nowTime)
            $scope.getIndexInfo();
            $scope.monthShow = false;
            window.scrollTo(0,0);
        }


        //月份的显示和隐藏
        $scope.scrollLetter = function(objId)
        {
            $scope.monthShow = !$scope.monthShow;

            //点击后页面滑动，到月份选择区域
            setTimeout(scrollFun,200);
            var obj = document.getElementById(objId);
            function scrollFun(objId) {
                //document.documentElement.scrollTop =document.body.scrollTop= obj.offsetTop;
                document.documentElement.scrollTop =document.body.scrollTop= obj.offsetTop;
            }
        }


        //获取业绩首页信息
        $scope.getIndexInfo = function(){

            adbService.getResult(
                {},
                $scope.setService("I121010", {
                    "startMonth": $scope.nowTime
                }),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        console.info(json)
                        $scope.totalPremium = json.data.totalPremium;//总保费
                        $scope.totalCommission = json.data.totalCommission;//当月推广费
                        $scope.getPerformanceTarget = json.data.getPerformanceTarget;//目标销售额
                        $scope.completePerformanceTarget = json.data.completePerformanceTarget;//完成销售额

                        var bate = $scope.completePerformanceTarget / $scope.getPerformanceTarget;
                        if (bate <= 0.3) {
                            $('.sub-progress .left').css("width", "auto");
                        }
                        else if (bate > 1) {
                            $('.sub-progress .left').css("width", "100%");
                        }
                        else {
                            $('.sub-progress .left').css("width", bate * 100 + "%");
                        }
                    }
                },
                function (err) {
                }
            )
        };


        //跳转到领取任务
        $scope.goGetTask = function (t) {
            $scope.setBackFactory('getTask');
            $location.path('/getTaskR');
        };


        //跳转到推广费奖励
        $scope.goPromotionExpenses = function () {
            $location.path("/promotionExpensesR/" + $scope.nowTime);
        };

        //跳转到业绩明细
        $scope.goPerformanceDetail = function () {
            $location.path("/performanceDetailR/" + $scope.nowTime);
        };


    }]);
});

function noDrag(){
    $('#noDrage').click();
}