'use strict';
define(['app'], function (app) {

    app.register.controller('promotionByPersonalCtrl', ['$scope', '$location', '$stateParams', '$timeout', 'backFactory', 'adbService', function ($scope, $location, $stateParams, $timeout, backFactory, adbService) {

        $scope.appTitle = '推广奖励明细';
        $scope.$emit("titleName", $scope.appTitle);
        $scope.listLength = '0';//默认没数据
        var loadingNum = '1';
        /*****************************设置头部返回地址 begin******************************/
        var backUrl = $scope.getBackFactory('promotionByPersonal');
        if(backUrl){
            $scope.$emit("adbBack",'index.html#/'+backUrl, "2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转

        }
            //返回按钮操作
        //$scope.$emit("adbBack", "/promotionExpensesR", "1");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转

        /*****************************设置头部返回地址 end******************************/

        function init()//初始化信息
        {

            $scope.proByPerListArr = [];//初始化列表
            $scope.listShow = -1;//初始化默认显示loading
            $scope.currentPage = 1;//当前页
            $scope.orderTypeStatus = '1'
            //防止一次加载多页数据
            $scope.isLoad = false;
            $scope.noMore = false;//没有更多数据加载
            $scope.induction = '';
            var broker = localStorage.getItem('broker_in_session');
            $scope.regId = '';
            if (broker) {
                broker = JSON.parse(broker);
                $scope.regId = broker['regId'];
            }
        }

        init();

        $scope.$on('$viewContentLoaded', function () {
            //视图渲染后加载
            var transDate = '-1';//初始排序方式
            var orderType = '1';//初始按线上产品分类
            if(loadingNum<=1)
            {
                searchProInfo(transDate, orderType);
                loadingNum++;
            }
            getPersonal();
        });
        //判断是否入职黎明
        function getPersonal() {
            if (!$scope.regId) return;
            adbService.getResult(
                {},
                $scope.setService("I110106", {
                    "regId": $scope.regId
                }),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        if (json.data.brokerLevel) {
                            $scope.induction = '1';
                        }else{
                            $scope.induction = '2';
                        }
                    }
                },
                function (err) {
                }
            );
        };


        //数据滚动加载
        $scope.loadMore = function () {
            if( $scope.loadStatus){
                if (!$scope.isLoad) {
                    $scope.isLoad = true;
                    $timeout(function () {
                        if ($scope.isProByPerTimeActive == true) {
                            var orderType = "1";
                        } else if ($scope.isProByPerMoneyActive == true) {
                            orderType = "2";
                        } else if ($scope.isProByPerTypeActive == true) {
                            orderType = "3";
                        }
                        searchProInfo("-1", orderType);
                        $scope.isLoad = false;
                    }, 300)
                }
            }

        };

        //查询推广奖励明细(初始化按照时间升序排列)
        function searchProInfo(transDate, orderType) {
            if ($stateParams.monthId == '') {
                $scope.data = genCurrentDate().substring(0, 7);//初始化为当前时间
            } else {
                $scope.data = $stateParams.monthId
            }
            if ($scope.data.substring(5, 7) > 9) {
                var monthNum = $scope.data.substring(5, 7);
            } else {
                var monthNum = $scope.data.substring(6, 7);
            }
            $scope.appTitle = monthNum + '月推广奖励明细';
            $scope.$emit("titleName", $scope.appTitle);
            if (orderType != '2') {
                var orderStateIds = [8];
            } else {
                var orderStateIds = [22, 25, 26, 27, 28, 29, 30];
            }
            var params = {
                "startMonth": $scope.data,
                "pageNum": $scope.currentPage,
                "pageSize": "10",
                "orderType": orderType,
                "orderStateIds": orderStateIds,
                "sortField": "7",
                "sortType": transDate
            };
            adbService.getResult(
                {},
                $scope.setService('I121014', params),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        var proByPerListArr = json.data.detailList;
                        if (proByPerListArr.length < 10) {
                            $scope.noMore = true;
                        }
                        if (proByPerListArr.length > 0) {
                            $scope.listShow = 1;//显示列表
                            $scope.currentPage++;

                            $scope.proByPerListArr = $scope.proByPerListArr.concat(proByPerListArr);//追加数据
                        }
                        if (proByPerListArr.length  >=10) {
                            $scope.pageNum++;
                            $scope.loadStatus = true;
                        }
                        if ($scope.proByPerListArr.length <= 0) {
                            $scope.listShow = 0;//信息为空
                            $scope.loadStatus = false;//滚动加载状态
                            $scope.getRecommendProd();
                        }
                    }
                    console.log($scope.proByPerListArr);
                }
            )
        }


        $scope.isProByPerTimeActive = true;
        $scope.isProByPerMoneyActive = false;
        $scope.isProByPerTypeActive = false;
        //按线上产品分类排序
        $scope.proByOnline = function (orderType) {
            $scope.orderTypeStatus = orderType;
            $scope.proByPerListArr = [];//初始化列表
            $scope.listShow = -1;//初始化默认显示loading
            $scope.currentPage = 1;//当前页
            //防止一次加载多页数据
            $scope.isLoad = false;
            $scope.noMore = false;//没有更多数据加载


            $scope.isProByPerTimeActive = true;
            if ($scope.isProByPerMoneyActive || $scope.isProByPerTypeActive) {
                $scope.isProByPerMoneyActive = false;
                $scope.isProByPerTypeActive = false;
            } else {
                $scope.isProByPerTimeDesc = !$scope.isProByPerTimeDesc;
            }
            if (!$scope.isProByPerTimeDesc) {
                searchProInfo("-1", orderType);//按照升序排列
            } else {
                searchProInfo("-1", orderType);//按照降序排列
            }
        }
        //按线下产品分类排序
        $scope.proByOffline = function (orderType) {
            $scope.orderTypeStatus = orderType;
            $scope.proByPerListArr = [];//初始化列表
            $scope.listShow = -1;//初始化默认显示loading
            $scope.currentPage = 1;//当前页
            //防止一次加载多页数据
            $scope.isLoad = false;
            $scope.noMore = false;//没有更多数据加载


            $scope.isProByPerMoneyActive = true;
            if ($scope.isProByPerTimeActive || $scope.isProByPerTypeActive) {
                $scope.isProByPerTimeActive = false;
                $scope.isProByPerTypeActive = false;
            } else {
                $scope.isProByPerMoneyDesc = !$scope.isProByPerMoneyDesc;
            }
            if (!$scope.isProByPerMoneyDesc) {
                searchProInfo("-1", orderType);//按照升序排列
            } else {
                searchProInfo("-1", orderType);//按照降序排列
            }

        };

        //跳转到订单详情
        $scope.goOrderDet = function(orderId){
            //console.log(orderId);
            if($scope.orderTypeStatus=="3"){
                //车险跳转到车险的订单详情页
                $scope.setBackFactory('autoPolicyDetail', backUrl);
                //location.href = 'index.html#/autoPolicyDetailR/'+orderId;
                $location.url('autoPolicyDetailR/'+orderId);
            }else{
                $scope.setBackFactory('productOrderDetail');
                $location.path("/productOrderDetailR/"+orderId);
            }

        };

        //按车险分类排序
        $scope.proByCar = function (orderType) {
            $scope.orderTypeStatus = orderType;
            $scope.proByPerListArr = [];//初始化列表
            $scope.listShow = -1;//初始化默认显示loading
            $scope.currentPage = 1;//当前页
            //防止一次加载多页数据
            $scope.isLoad = false;
            $scope.noMore = false;//没有更多数据加载

            $scope.isProByPerTypeActive = true;
            if ($scope.isProByPerTimeActive || $scope.isProByPerMoneyActive) {
                $scope.isProByPerTimeActive = false;
                $scope.isProByPerMoneyActive = false;
            } else {
                $scope.isProByPerTypeDesc = !$scope.isProByPerTypeDesc;
            }
            if (!$scope.isProByPerTypeDesc) {
                searchProInfo("-1", orderType);//按照升序排列
            } else {
                searchProInfo("-1", orderType);//按照降序排列
            }
        }

    }]);
});