'use strict';
define(['app'], function (app) {
    app.register.controller('promotionExpensesTopCtrl', ['$scope', '$location', function ($scope, $location) {
        $scope.goToBack = function () {

            var res = $scope.gotoApp('PopNative');
            if (!res) {
                $location.path('performanceR');
            }
        }

    }]);

    app.register.controller('promotionExpensesCtrl', ['$scope', '$location', '$stateParams', '$timeout', 'backFactory', 'adbService', function ($scope, $location, $stateParams, $timeout, backFactory, adbService) {

        $scope.appTitle = '收益明细';
        $scope.$emit("titleName", $scope.appTitle);


        //是否入职黎明的判断
        //function judge(){
        //    $scope.induction = true;
        //}

        function init()//初始化信息
        {
            //judge();
            $scope.induction = false;
            var broker = localStorage.getItem('broker_in_session');
            $scope.regId = '';
            if (broker) {
                broker = JSON.parse(broker);
                $scope.regId = broker['regId'];
            }
        }

        init();

        $scope.$on('$viewContentLoaded', function () {
            //视图渲染后加载
            searchProExInfo()
        });

        //跳转到本月个人推广奖励
        $scope.goPromotionByPersonal = function () {
            $scope.setBackFactory('promotionByPersonal');
            $location.path('/promotionByPersonalR/' + $scope.data);
        };

        //跳转到本月圈子收益
        $scope.goCircleAllowance = function () {
            $scope.setBackFactory('circleAllowance');
            $location.path("/circleAllowanceR/" + $scope.data);
        };

        //跳转到本月团队推荐收益
        $scope.goTeamAllowance = function () {
            $scope.setBackFactory('teamAllowance');
            $location.path("/teamAllowanceR/" + $scope.data);
        };

        //获取收益明细信息
        function searchProExInfo() {
            if ($stateParams.monthId == '') {
                $scope.data = genCurrentDate().substring(0, 7);//初始化为当前时间
            } else {
                $scope.data = $stateParams.monthId
            }

            $scope.showMonth = $scope.data.substring(0, 4) + '年' + $scope.data.substring(5, 7) + '月';
            var params = {
                "startMonth": $scope.data
            };
            adbService.getResult(
                {},
                $scope.setService('I121013', params),
                function (json) {
                    if (json.header.istatus == '-99') {
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.totalPremium = json.data.totalPremium;
                        $scope.commission = json.data.commission;
                        $scope.guidance = json.data.guidance;
                        $scope.commended = json.data.commended;
                    }
                }
            );
            //$scope.getPersonal = function(){
            console.log($scope.regId)
            if (!$scope.regId) return;
            adbService.getResult(
                {},
                $scope.setService("I110106", {
                    "regId": $scope.regId
                }),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        if (json.data.brokerLevel) {
                            $scope.induction = true;
                        }
                    }
                },
                function (err) {
                }
            );
            //};
        }
    }]);
});