define(['app'],function(app) {

    app.register.controller('planBookDemonstrationCtrl',['$scope','$location','$stateParams','$timeout','backFactory','adbService',function($scope,$location,$stateParams,$timeout,backFactory,adbService){
        $scope.appTitle = '计划书演示';
        $scope.planbookName = "爱多保定制";
        $scope.planbookCustId = "";
        $scope.$emit("titleName", $scope.appTitle);
        $scope.$emit("goIndexBtn", true);//去首页按钮
        $scope.insureInfos = {};//组合险基本信息
        $scope.insureInfos.holderInfo = {};//投保人信息
        $scope.insureInfos.insuredInfo = {};//被保人信息
        $scope.insureInfos.checkedMainList = [];//选中主险列表，每一个主险中要包含附加险的信息（同样包含选中列表和未选中列表），以及附加险的处理规则，展示项，附加险信息需要存储主险信息，这样可以双向访问
        $scope.insureInfos.noCheckedMainList = [];//未的选中主险列表，每一个主险中要包含附加险的信息（同样包含选中列表和未选中列表），以及附加险的处理规则，展示项，附加险信息需要存储主险信息，这样可以双向访问
        $scope.insureInfos.selfProductMainInfo = {};//正在操作的产品的主险
        $scope.insureInfos.selfProductInfo = {};//正在操作的产品
        $scope.insureInfos.editInfo = {};//正在编辑的页面信息，如果点击完成，则要存储到对应的展示项中
        $scope.insureInfos.callbackStruct = {};//回调函数
        $scope.insureInfos.findIndexFromProductList = function (ProductInfo, ProductId){
            for(var i = 0; i<ProductInfo.length;i++){
                if(ProductInfo[i].productId == ProductId){
                    return i;
                }
            }
            return -1;
        }//根据产品ID从列表中获取保险产品信息
        $scope.insureInfos.delMulBindProductList = function (ProductInfo, checkedMainInfo){
            if(typeof checkedMainInfo.bind == 'undefined')return;
            for(var i = 0; i<ProductInfo.length;i++){
                if(typeof ProductInfo[i].bind == 'undefined')continue;
                for(var j = 0;j<checkedMainInfo.bind.length;j++){
                    //console.log("ProductInfo["+i+"].bind",ProductInfo[i].bind);
                    var ret = $scope.insureInfos.findIndexFromProductList(ProductInfo[i].bind,checkedMainInfo.bind[j].productId);
                    //console.log(ret);
                    if(ret >= 0)ProductInfo.splice(i,1);
                }
            }
            return;
        }//根据产品的绑定险种找到同样绑定该险种的主险并删除
        $scope.insureInfos.findMulBindProductList = function (ProductInfo, checkedMainInfo){
            for(var i = 0; i<ProductInfo.length;i++){
                //console.log(ProductInfo[i]);
                for(var j = 0;j<checkedMainInfo.bind.length;j++){
                    //console.log(checkedMainInfo);
                    //console.log("ProductInfo["+i+"].bind",ProductInfo[i].bind);
                    var ret = $scope.insureInfos.findIndexFromProductList(ProductInfo[i].bind,checkedMainInfo.bind[j].productId);
                    if(ret >= 0)return i;//找到了该主险
                }
            }
            return -1;
        }//根据产品的绑定险种找到同样绑定该险种的主险并删除
        $scope.insureInfos.filterCheckedMainInsure = function (AllProductInfo, checkedMainInfo){
            var noCheckedProductInfo = [];
            var len = checkedMainInfo.length;
            for(var i=0;i<len;i++){
                var ret = this.findIndexFromProductList(AllProductInfo,checkedMainInfo[i].productId);
                //console.log("ret:",ret);
                //从后台中找到了该节点，直接在全体列表中删除该节点，这样整个流程跑完，全体列表中只剩下未被选中的节点
                if(ret >= 0)AllProductInfo.splice(ret,1);
                //从该节点中找绑定险种，如果绑定险种相同，也删除
                $scope.insureInfos.delMulBindProductList(AllProductInfo,checkedMainInfo[i]);
            }
        }//过滤保险信息
        $scope.insureInfos.filterAdditionList = function(AdditionStruct){
            var notSelectList = [];
            for(var i = 0 ;i <AdditionStruct.length;i++ ){
                if(AdditionStruct[i].flagId != 'Y'){
                    var tmpAddition = JSON.stringify(AdditionStruct[i]);
                    tmpAddition = JSON.parse(tmpAddition);
                    notSelectList.push(tmpAddition);
                }
            }
            return notSelectList;
        }//摘出来附加险信息
        $scope.insureInfos.addBindDetails = function(bindDetails){
            for(var i =0;i<$scope.insureInfos.noCheckedMainList.length;i++) {
                if (typeof $scope.insureInfos.noCheckedMainList[i].bind != 'undefined') {
                    if ($scope.insureInfos.noCheckedMainList[i].bind.length > 0) {
                        var binInsureStruct = $scope.insureInfos.noCheckedMainList[i].bind;
                        var ret = $scope.insureInfos.findIndexFromProductList(binInsureStruct,bindDetails.productId);
                        if(ret == -1)continue;//改主险中没找到
                        else{
                            binInsureStruct[ret].details = bindDetails;
                            binInsureStruct[ret].mainProductId = $scope.insureInfos.noCheckedMainList[i].productId;
                        }
                    }
                }
            }

        }
        var JsxdialogTip = function(JsxMsg){
            $scope.$apply($scope.dialogTip(JsxMsg));
        }
        var presentCheckMainNum = 0;
        $scope.insureInfos.callbackStruct.JsxdialogTip = JsxdialogTip;
        $scope.insureInfos.callbackStruct.setInsuredAge = function(params){
            //console.log(params);
            $scope.$apply(function(){
                $scope.insuredInfo.insuredAge = params;
            });
            $scope.insureInfos.insuredInfo.age = params;
            mainInsureInfoDo($scope.insureInfos);
            //console.log($scope.insureInfos.firstSumFee);
            $scope.totalPay = ""+$scope.insureInfos.firstSumFee.toFixed(2)+"元";
        };
        insuredBirthdaySet($scope.insureInfos);
        //添加附加险按钮
        $scope.goAddAdditional = function(mainInsureId){//此处逻辑不用改，如果需要改，则直接适配，此处使用了json的指针指向，阅读者不要在意变量名称
            var res = $scope.isNetConnectedFun();
            if(!res)
            {
                $scope.dialogTip('连接似乎有问题,请检查网络');
                return;
            }

            $scope.additionInsureStruct = [];
            var additionInsureMainIndex = -1;
            for(var i=0;i<$scope.insureInfos.checkedMainList.length;i++){
                if($scope.insureInfos.checkedMainList[i].productId == mainInsureId){
                    //console.log($scope.insureInfos.checkedMainList[i].riderList);
                    $scope.additionInsureStruct = $scope.insureInfos.filterAdditionList($scope.insureInfos.checkedMainList[i].riderList);
                    //console.log($scope.additionInsureStruct);
                    additionInsureMainIndex = i;
                    break;
                }
            }
            var AdditionIds = [];//如果该产品已经查询过，则不再查询
            var AdditionNew = {};//如果该产品已经查询过，则不再查询
            var holderAge = null;
            var insuredAge = null;
            if($scope.additionInsureStruct.length == 0){
                $scope.dialogTip("没有可以添加的附加险");
                return;
            }

            $scope.mainIdRecord = mainInsureId;
            $scope.planAdditionParams = {
                "pageNum": "1",
                "pageSize": "20",
                "isMain": "N",
                "sexFlag": $scope.insuredInfo.sex,
                "salesWay": "2"
            };

            for(var i = 0;i<$scope.additionInsureStruct.length;i++){
                if(typeof $scope.additionInsureStruct[i].details != 'undefined')delete $scope.additionInsureStruct[i].details;
                //console.log($scope.additionInsureStruct[i]);
                if ($scope.additionInsureStruct[i].insureFlag == 'Y') {//检查附加险的条件是否依附于投保人
                    if (typeof $scope.insureInfos.holderInfo.age != 'undefined' && $scope.insureInfos.holderInfo.age != null)$scope.planAdditionParams.holderAge = $scope.insureInfos.holderInfo.age;
                    if (typeof AdditionNew["H"] == 'undefined')AdditionNew["H"] = [];
                    AdditionNew["H"].push($scope.additionInsureStruct[i].productId);
                }
                else {
                    if (typeof $scope.insureInfos.insuredInfo.age != 'undefined' && $scope.insureInfos.insuredInfo.age != null)$scope.planAdditionParams.insuredAge = $scope.insureInfos.insuredInfo.age;
                    insuredAge = $scope.insureInfos.insuredInfo.age;
                    if (typeof AdditionNew["I"] == 'undefined')AdditionNew["I"] = [];
                    AdditionNew["I"].push($scope.additionInsureStruct[i].productId);
                }
                AdditionIds.push($scope.additionInsureStruct[i].productId);
                if (typeof $scope.additionInsureStruct[i].mainProductId != 'undefined') {
                    $scope.additionInsureStruct[i].mainProductId = mainInsureId;
                }
            }
            $scope.planAdditionParams.productId = AdditionNew;
            function callbackAdditionInsureInfoDo(){
                var callbackStruct = {};
                callbackStruct.checkAddition = $scope.checkAddition;
                additionInsureInfoDo({insureInfos:$scope.insureInfos,mainInfo:mainInsureId,index:additionInsureMainIndex,info:$scope.additionInsureStruct,callbackStruct:callbackStruct});
            }

            //console.log("$scope.planAdditionParams",$scope.planAdditionParams);
            adbService.getResult(
                {},
                $scope.setService("I231014",$scope.planAdditionParams),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        var backAdditionInsureList = json.data.productInfo;
                        if(backAdditionInsureList.length == 0){
                            $scope.dialogTip("没有可以添加的附加险");
                            return;
                        }
                        //console.log("backAdditionInsureList",backAdditionInsureList);
                        //得到了所有的附加险信息，然后将附加险信息添加到附加险列表结构中
                        //console.log(AdditionIds);
                        for(var i = 0;i<AdditionIds.length;i++){//附加险这里要做双向访问，这样就可以快速定位主险
                            var ret1 = $scope.insureInfos.findIndexFromProductList(backAdditionInsureList, AdditionIds[i]);
                            var ret2 = $scope.insureInfos.findIndexFromProductList($scope.additionInsureStruct, AdditionIds[i]);
                            $scope.additionInsureStruct[ret2].details = backAdditionInsureList[ret1];
                            $scope.additionInsureStruct[ret2].mainProductId = mainInsureId;
                        }
                        //console.log("$scope.additionInsureStruct",$scope.additionInsureStruct);
                        callbackAdditionInsureInfoDo();

                        $scope.$on('planResult', function(event, mass){//处理完成后再展示附加险，否则直接弹窗报错
                            showInputPage();
                            $scope.addAdditional = mass; //添加附加险
                            $scope.$emit("adbBack","planBookListR","1",true);//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
                        });
                    }
                },
                function (err) {
                    $scope.dialogTip("获取附加险列表失败");
                }
            );

            $scope.$apply(function(){
                $scope.addAdditional = true; //添加附加险
                $scope.inputPage =false; //保险计划
                $scope.appTitle = '添加附加险';
                $scope.$emit("titleName", $scope.appTitle);
                $scope.$emit("goIndexBtn", true);//去首页按钮
                $scope.$emit("adbBack","","1",false);//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
            });


        }

        //产品编辑
        $scope.goPdEdit = function(selfInsureInfo){//此处逻辑暂时不修改，如果需要修改直接转适配
            //console.log("enter $scope.goPdEdit", selfInsureInfo);
            if(typeof selfInsureInfo.c_fee_method != 'undefined' && selfInsureInfo.c_fee_method == '3'){
                $scope.$apply($scope.dialogTip("此产品并没有可编辑项！"));
                return;
            }
            $scope.$on('planResult', function(event, mass){
                showInputPage();
                $scope.pdEdit = mass; //产品编辑
                $scope.$emit("adbBack","planBookListR","1",true);//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
            });
            $scope.$apply(function(){
                $scope.pdEdit = true; //产品编辑
                $scope.inputPage =false; //保险计划
                $scope.appTitle = '产品编辑';
                $scope.$emit("titleName", $scope.appTitle);
                $scope.$emit("goIndexBtn", true);//去首页按钮
                $scope.$emit("adbBack","","1",false);//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
            });
            var genEdPdCallbackStruct = {};
            genEdPdCallbackStruct.submitEditInfo = $scope.addEditSuccess;
            genEdPdCallbackStruct.dialogTip = JsxdialogTip;
            generateProductEditPageDo($scope.insureInfos,selfInsureInfo, genEdPdCallbackStruct);
        }

        $scope.goDelProduct = function(ProductInfo){
            //console.log("enter goDelProduct",ProductInfo);
            if(ProductInfo.isMain == "Y"){//删除主险
                var ret = $scope.insureInfos.findIndexFromProductList($scope.insureInfos.checkedMainList, ProductInfo.productId);
                if(ret >= 0){
                    $scope.insureInfos.checkedMainList.splice(ret,1);
                }
                ret = $scope.insureInfos.findIndexFromProductList($scope.insureInfos.noCheckedMainList, ProductInfo.productId);
                if(ret <0){
                    $scope.insureInfos.noCheckedMainList.push(ProductInfo);
                    $scope.mainInsureList = $scope.insureInfos.noCheckedMainList;
                }

                $scope.expandAgeScope();
                mainInsureInfoDo($scope.insureInfos);
                $scope.$apply(function(){
                    $scope.totalPay = ""+$scope.insureInfos.firstSumFee.toFixed(2)+"元";
                });
            }
            else{
                //如果是绑定险，提示无法删除
                //console.log($scope.insureInfos.checkedMainList,ProductInfo);
                for(var i=0;i<$scope.insureInfos.checkedMainList.length;i++){
                    if($scope.insureInfos.checkedMainList[i].productId == ProductInfo.mainProductId){
                        if(typeof $scope.insureInfos.checkedMainList[i].bind != 'undefined' && $scope.insureInfos.checkedMainList[i].bind.length > 0){
                            for(var j =0;j<$scope.insureInfos.checkedMainList[i].bind.length;j++){
                                if($scope.insureInfos.checkedMainList[i].bind[j].productId == ProductInfo.productId){//找到了该产品
                                    //直接提示
                                    $scope.$apply($scope.dialogTip("该产品为绑定产品，删除该产品需要删除主险"));
                                    return;
                                }
                            }
                        }
                        break;
                    }
                }
                //删除附加险
                ProductInfo.flagId = "N";
                var mainAdditionList = {};
                for(var i=0;i<$scope.checkedMainList.length;i++){
                    if($scope.checkedMainList[i].productId == ProductInfo.mainProductId){
                        mainAdditionList=$scope.checkedMainList[i];
                    }
                }

                $scope.expandAgeScope();
                mainInsureInfoDo($scope.insureInfos);
                //console.log($scope.insureInfos.firstSumFee);
                $scope.totalPay = ""+$scope.insureInfos.firstSumFee.toFixed(2)+"元";
            }
        }

        var clauseAllData=[];
        function init(){

            $scope.insureInfos.callbackStruct.goAddAdditional = $scope.goAddAdditional;
            $scope.insureInfos.callbackStruct.goPdEdit = $scope.goPdEdit;
            $scope.insureInfos.callbackStruct.goDelProduct = $scope.goDelProduct;

            $scope.inputPage =true; //保险计划
            $scope.addAdditional =false; //添加附加险
            $scope.addMain =false; //添加主险
            $scope.pdEdit =false; //产品编辑
            $scope.planResult =false; //计划书演示

            $scope.insuredInfo = {};
            $scope.holderInfo = {};
            $scope.holderInfo.show = false;
            /*被保人性别监听*/
            $scope.sexArr = ["男", "女"];
            $scope.insuredInfo.sex = 0;
            $scope.selectSex = function(s,type)
            {
                if (type == 'insuredInfo' || type == 'holderInfo')
                {
                    $scope[type]['sex'] = s;
                    if(type == 'insuredInfo'){
                        //console.log("$scope.selectSex",s);
                    }
                }
            }
            //监听被保人变化
            $scope.$watch("insuredInfo.sex", function(newValue, oldValue){
                if(newValue != oldValue){
                    //console.log("$scope.insuredInfo.sex",$scope.insuredInfo.sex);
                    $scope.insuredInfo.sex = newValue;
                    if(newValue == 0)$scope.insureInfos.insuredInfo.sex = "M";
                    else if(newValue == 1)$scope.insureInfos.insuredInfo.sex = "F";
                    //console.log("$scope.insureInfos.insuredInfo.sex",$scope.insureInfos.insuredInfo.sex);
                    mainInsureInfoDo($scope.insureInfos);
                    //console.log($scope.insureInfos.firstSumFee);
                    $scope.totalPay = ""+$scope.insureInfos.firstSumFee.toFixed(2)+"元";
                }
            });

            //被保人年龄数组
            $scope.insuredAgeArr = [];
            for(var i = 0; i<=105; i++){
                $scope.insuredAgeArr.push({"k":i,"v":i});
            }

            //监听被保人年龄变化
            $scope.changeInsuredAge = function(n){
                //console.log("enter changeInsuredAge",n);
                $scope.insuredInfo.insuredAge = n;
                $scope.insureInfos.insuredInfo.age = n;
                mainInsureInfoDo($scope.insureInfos);
                //console.log($scope.insureInfos.firstSumFee);
                $scope.totalPay = ""+$scope.insureInfos.firstSumFee.toFixed(2)+"元";
            };

            //公司config
            $scope.companyNameArr = companies;
            $scope.companyName = "全部";

            //主险id记录
            $scope.mainIdRecord = "";

            if(!$scope.insuredInfo.insuredAge){
                $scope.insuredInfo.insuredAge = 0;
                $scope.insureInfos.insuredInfo.age = 0;
            }
            //无broker名字时是否显示
            $scope.isAgentName = true;

            $scope.initFirst = true;
            $scope.insureInfoGetFinish = false;
            $scope.$watch("insureInfoGetFinish", function(newValue, oldValue){
                //console.log("enter insureInfoGetFinish",newValue, oldValue);
                if(newValue != oldValue){
                    //console.log(newValue,oldValue);
                    if(newValue != true)return;
                    presentCheckMainNum = 0;
                    //console.log("$scope.noCheckedMainList",$scope.noCheckedMainList);
                    //添加数据--需要数据处理
                    for(var i = 0; i< $scope.insureInfos.noCheckedMainList.length;i++){
                        $scope.insureInfos.checkedMainList.push($scope.insureInfos.noCheckedMainList[i]);
                    }
                    //console.log("$scope.checkedMainList",$scope.checkedMainList);
                    $scope.insureInfos.filterCheckedMainInsure($scope.insureInfos.noCheckedMainList, $scope.insureInfos.checkedMainList);
                    $scope.checkMainIds = [];

                    $scope.shirkAgeScope();//原生进入此页面必须约束年龄范围
                    //显示
                    showInputPage();
                    $scope.addMain =false; //添加主险页
                    $scope.$emit("adbBack","planBookListR","1",true);//状态0为$state跳转，1为$location.path跳转，2为location.href跳转

                    $scope.insureInfos.callbackStruct.goAddAdditional = $scope.goAddAdditional;
                    $scope.insureInfos.callbackStruct.goPdEdit = $scope.goPdEdit;
                    $scope.insureInfos.callbackStruct.goDelProduct = $scope.goDelProduct;
                    //conCalculateFlag = "N";
                    //console.log("conCalculateFlag",conCalculateFlag);

                    mainInsureInfoDo($scope.insureInfos);
                    //console.log($scope.insureInfos.firstSumFee);
                    $scope.totalPay = ""+$scope.insureInfos.firstSumFee.toFixed(2)+"元";
                }
            });

            var rrt= window.location.href.indexOf("?");
            var UrlParams = window.location.href.substr(rrt+1, window.location.href.length - rrt-1);
            if(typeof UrlParams == 'undefined' || UrlParams == '' || UrlParams == null){
                if($scope.initFirst == true){//展示主页
                    $scope.insureInfoGetFinish = true;
                    $scope.initFirst = false;
                }
                return;
            }
            var UrlParams = UrlParams.split('&');//直接拆分参数
            var idValue = "";
            var customerIdValue = "";
            //console.log("UrlParams",UrlParams);
            for(var i = 0;i<UrlParams.length;i++){
                if(UrlParams[i].indexOf("id=")>=0){
                    var idPos = UrlParams[i].indexOf("id=");
                    var idValue = UrlParams[i].substr(idPos+3, UrlParams[i].length-idPos-3);
                    //console.log("idPos",idPos);
                    //console.log("idValue",idValue);
                }
                else if(UrlParams[i].indexOf("customerId=")>=0){
                    var customerIdPos = UrlParams[i].indexOf("customerId=");
                    var customerIdValue = UrlParams[i].substr(customerIdPos+"customerId=".length, UrlParams[i].length-customerIdPos-"customerId=".length);
                    //console.log("customerIdPos",customerIdPos);
                    //console.log("customerIdValue",customerIdValue);
                }
            }
            //console.log("idValue",idValue);
            var UrlParamsArray = [];
            if(idValue != "")UrlParamsArray = idValue.split('_');
            //console.log("UrlParamsArray",UrlParamsArray);
            if(typeof UrlParamsArray == 'undefined' || UrlParamsArray.length ==0){
                if($scope.initFirst == true){//展示主页
                    $scope.insureInfoGetFinish = true;
                    $scope.initFirst = false;
                }
                return;
            }//没有产品列表
            $scope.planProductParams = {
                "pageNum": "1",
                "pageSize": "50",
                "isMain": "Y",
                "sexFlag": 'M',
                "salesWay": "2",
                "productId": UrlParamsArray
            };
            insureList($scope.planProductParams);

            //并发设置customerIdValue
            //console.log("customerIdValue",customerIdValue);
            if(customerIdValue != ""){//得到客户ID，可以发送交易从后台获取客户信息，并设置客户信息展示
                var customerParams = {
                    "customerId": customerIdValue
                };
                adbService.getResult(
                    {},
                    $scope.setService("I131017",customerParams),
                    function (json) {
                        if (json.header.istatus == '-99'){
                            $scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {//查询客户信息
                            var customerInfo = json.data;
                            $scope.insuredInfo.insuredName = customerInfo.name;
                            $scope.insuredInfo.insuredPhone = customerInfo.contactValue[0];
                            $scope.insuredInfo.customerId = customerInfo._id;
                            if(customerInfo.gender == "M"){
                                $scope.insuredInfo.sex = 0;
                            }else if(customerInfo.gender == "F"){
                                $scope.insuredInfo.sex = 1;
                            }
                        }
                    },
                    function (err) {
                        //console.log("获取用户信息失败");
                    }
                );
            }

            $scope.$on('$viewContentLoaded', function(){
                //视图渲染后加载
                /*******************************时间空间 begin***********************************************/
                var currentYear = (new Date()).getFullYear();
                $scope.currentArray = [{
                    'current':{
                        startYear: currentYear - 10, //开始年份
                        endYear: currentYear + 10 //结束年份
                    }
                },{
                    'current':{
                        startYear: currentYear, //开始年份
                        endYear: currentYear + 1 //结束年份
                    }
                },{
                    'current':{
                        startYear: currentYear - 2, //开始年份
                        endYear: currentYear + 2 //结束年份
                    }
                }];

                $scope.setArray = [{
                    'set':{
                        minDay:new Date($scope.currentArray[0].current.startYear, new Date().getMonth()-1, new Date().getDate()),
                        maxDay:new Date($scope.currentArray[0].current.endYear, new Date().getMonth(),new Date().getDate(), 23, 59, 59)
                    }
                },{
                    'set':{
                        minDay:new Date($scope.currentArray[1].current.startYear, new Date().getMonth()-1, new Date().getDate()),
                        maxDay:new Date($scope.currentArray[1].current.endYear, new Date().getMonth(),new Date().getDate(), 23, 59, 59)
                    }
                },{
                    'set':{
                        minDay:new Date($scope.currentArray[2].current.startYear, new Date().getMonth()-1, new Date().getDate()),
                        maxDay:new Date($scope.currentArray[2].current.endYear, new Date().getMonth(),new Date().getDate(), 23, 59, 59)
                    }
                }];


                /********************时间插件渲染 start********************/
                    //监听出生日期
                $scope.$watch('birthday',function(newValue,oldValue, scope){
                    execute($scope.currentArray,$scope.setArray,0);
                    if(newValue){

                    }
                });



                //监听起保时间
                $scope.$watch('startTime',function(newValue,oldValue, scope){
                    execute($scope.currentArray,$scope.setArray,1);
                    if(newValue){

                    }
                });

                //监听终保时间
                $scope.$watch('endTime',function(newValue,oldValue, scope){
                    execute($scope.currentArray,$scope.setArray,2);
                    if(newValue){

                    }
                });
                /********************时间插件渲染 end********************/


                function execute(current,set,flag) {
                    var opt={};
                    opt.date = {preset : 'date'};
                    opt.datetime = {preset : 'datetime'};
                    opt.time = {preset : 'time'};
                    opt.default = {
                        theme: 'android-ics adb', //皮肤样式
                        display: 'modal', //显示方式
                        mode: 'scroller', //日期选择模式
                        dateFormat: 'yyyy-mm-dd',
                        lang: 'zh',
                        headerText: function (valueText) { return ""; },
                        setText: '确定',
                        cancelText: '取消',
                        width: 90,
                        maxWidth: 95
                        //showNow: true,
                        //nowText: "今天",
                    };

                    opt['current'] = current[flag].current;
                    opt['set'] = set[flag].set;


                    if(flag == 0){
                        $("#birthday").mobiscroll($.extend(opt['date'], opt['default'], opt['current'], opt['set']));
                    }else if(flag == 1){
                        $("#startTime").mobiscroll($.extend(opt['date'], opt['default'], opt['current'], opt['set']));
                    }else if(flag == 2){
                        $("#endTime").mobiscroll($.extend(opt['date'], opt['default'], opt['current'], opt['set']));
                    }

                }
                /*******************************时间空间 begin***********************************************/

            });
        }

        init();

        $scope.$on('$viewContentLoaded', function(){
            //console.log("enter $viewContentLoaded");
            //视图渲染后加载
            /*******************************时间控件 begin***********************************************/
            $scope.maxYear = (new Date()).getFullYear();
            $scope.minYear = $scope.maxYear-105;
            $scope.currentObject = {
                'current':{
                    startYear: $scope.minYear, //开始年份
                    endYear: $scope.maxYear //结束年份
                }
            };

            $scope.setObject = {
                'set':{
                    minDay:new Date($scope.currentObject.current.startYear, new Date().getMonth()-1, new Date().getDate()),
                    maxDay:new Date($scope.currentObject.current.endYear, new Date().getMonth(),new Date().getDate(), 23, 59, 59)
                }
            };


            /********************时间插件渲染 start********************/
            //监听出生日期
            $scope.$watch('insuredBirthday',function(newValue,oldValue, scope){
                //console.log("enter insuredBirthday!");
                $scope.currentObject['current']['startYear'] = $scope.minYear;
                $scope.currentObject['current']['endYear'] = $scope.maxYear;
                $scope.setObject['set']['minDay'] = new Date($scope.currentObject.current.startYear, new Date().getMonth()-1, new Date().getDate());
                $scope.setObject['set']['maxDay'] = new Date($scope.currentObject.current.endYear, new Date().getMonth(),new Date().getDate(), 23, 59, 59);

                executeTimeCtl($scope.currentObject,$scope.setObject);
                if(newValue != oldValue){
                    $scope.insuredBirthday = newValue;
                    var tmpAge = parseInt(new Date().getFullYear()) - parseInt(new Date($scope.insuredBirthday).getFullYear());
                    //console.log(tmpAge);
                    $scope.changeInsuredAge(tmpAge);
                }
            });
            /*$scope.getInsuredBirthday = function(){
                console.log("enter insuredBirthday!");
                $scope.currentObject['current']['startYear'] = $scope.minYear;
                $scope.currentObject['current']['endYear'] = $scope.maxYear;
                $scope.setObject['set']['minDay'] = new Date($scope.currentObject.current.startYear, new Date().getMonth()-1, new Date().getDate());
                $scope.setObject['set']['maxDay'] = new Date($scope.currentObject.current.endYear, new Date().getMonth(),new Date().getDate(), 23, 59, 59);

                executeTimeCtl($scope.currentObject,$scope.setObject);
            };*/
            /********************时间插件渲染 end********************/


            function executeTimeCtl(current,set) {
                var opt={};
                opt.date = {preset : 'date'};
                opt.datetime = {preset : 'datetime'};
                opt.time = {preset : 'time'};
                opt.default = {
                    theme: 'android-ics adb', //皮肤样式
                    display: 'modal', //显示方式
                    mode: 'scroller', //日期选择模式
                    dateFormat: 'yyyy-mm-dd',
                    lang: 'zh',
                    headerText: function (valueText) { return ""; },
                    setText: '确定',
                    cancelText: '取消',
                    width: 90,
                    maxWidth: 95
                    //showNow: true,
                    //nowText: "今天",
                };

                opt['current'] = current.current;
                opt['set'] = set.set;
                //console.log(opt);
                var extendInfo = $.extend(opt['date'], opt['default'], opt['current'], opt['set']);
                //console.log("$extend:",extendInfo);
                //console.log("mobiscroll:",$("#insuredBirthday123").mobiscroll);
                $("#insuredBirthday").mobiscroll($.extend(opt['date'], opt['default'], opt['current'], opt['set']));

            }
            /*******************************时间控件 end***********************************************/

        });
        //计划书演示输入页面显示方法
        function showInputPage(){
            $scope.appTitle = '计划书演示';
            $scope.$emit("titleName", $scope.appTitle);
            $scope.$emit("goIndexBtn", true);//去首页按钮
            $scope.inputPage =true;
        }

        //计划书演示结果页面显示方法
        function showPlanResult(){
            $scope.appTitle = '计划书演示';
            $scope.$emit("titleName", $scope.appTitle);
            $scope.$emit("goIndexBtn", true);//去首页按钮
            $scope.planResult = true; //计划书演示
        }
        //调取接口
        $scope.additionInsureList = [];


        function checkTermValue(Term){
            var pos = -1;
            var tmpPayTerm = "";
            if(typeof Term == 'undefined')return;
            pos = Term.indexOf("term_");
            if(pos >= 0){
                pos = pos+"term_".length;
                return parseInt(Term.substr(pos, Term.length - pos));
            }
            else{
                if(Term == "to_all"){
                    return 1;
                }
                else if(Term == "to_full"){
                    return 105;
                }
                else{
                    pos = Term.indexOf("to_");
                    if(pos >= 0){
                        pos = pos+"to_".length;
                        return parseInt(Term.substr(pos, Term.length - pos));
                    }
                }

            }
            return null;
        }

        function changeTermFormat(Term){
            var pos = -1;
            var tmpPayTerm = "";
            if(typeof Term == 'undefined')return;
            pos = Term.indexOf("term_");
            if(pos >= 0){
                pos = pos+"term_".length;
                tmpPayTerm = ""+Term.substr(pos, Term.length - pos) + "年";
            }
            else{
                if(Term == "to_all"){
                    tmpPayTerm = "趸交";
                }
                else if(Term == "to_full"){
                    tmpPayTerm = "终身";
                }
                else{
                    pos = Term.indexOf("to_");
                    if(pos >= 0){
                        pos = pos+"to_".length;
                        tmpPayTerm = "至"+Term.substr(pos, Term.length - pos) + "周岁";
                    }
                }

            }
            return tmpPayTerm;
        }
        function checkTermSign(Term) {
            var pos = -1;
            if(typeof Term == 'undefined')return;
            pos = Term.indexOf("term_");
            if (pos >= 0) {
                return "term_";
            } else {
                if (Term == "to_all") {
                    return "to_all";
                } else if (Term == "to_full") {
                    return "to_full";
                } else {
                    pos = Term.indexOf("to_");
                    if (pos >= 0) {
                        return "to_";
                    }
                    return null;
                }
            }
            return null;
        }
        function getBindProductInfo(){
            //获取主险的bind,将所有没有details的bind组成数组，然后集体发送到后台，取回的结果则重新归类
            var bindAllProducts = [];
            for(var i =0;i<$scope.insureInfos.noCheckedMainList.length;i++) {
                if (typeof $scope.insureInfos.noCheckedMainList[i].bind != 'undefined') {
                    if ($scope.insureInfos.noCheckedMainList[i].bind.length > 0) {
                        var binInsureStruct = $scope.insureInfos.noCheckedMainList[i].bind;
                        for(var j=0;j<binInsureStruct.length;j++ ){
                            bindAllProducts.push(binInsureStruct[j].productId);
                        }
                    }
                }
            }
            if(bindAllProducts.length == 0){//没有绑定信息，不用发送交易了
                //console.log("bindAllProducts",bindAllProducts);
                if($scope.initFirst == true){//展示主页
                    $scope.insureInfoGetFinish = true;
                    $scope.initFirst = false;
                }
                return;
            }
            var planBindParams = {
                "pageNum": "1",
                "pageSize": "10",
                "isMain": "N",
                "productId":bindAllProducts
            };
            //console.log("$scope.planBindParams",planBindParams);
            adbService.getResult(
                {},
                $scope.setService("I231014",planBindParams),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {//查询完毕，将bind信息归类
                        var backBindInsureList = json.data.productInfo;
                        //console.log("backAdditionInsureList",backBindInsureList);
                        //得到了所有的绑定险信息，然后将绑定险信息添加到附加险列表结构中
                        for(var j = 0;j<backBindInsureList.length;j++){//绑定险这里要做双向访问，这样就可以快速定位主险
                            $scope.insureInfos.addBindDetails(backBindInsureList[j]);
                        }
                        //console.log("backBindInsureList",$scope.initFirst,backBindInsureList);//查询到的绑定数据
                        if($scope.initFirst == true){//展示主页
                            $scope.insureInfoGetFinish = true;
                            $scope.initFirst = false;
                        }
                    }
                },
                function (err) {
                    $scope.dialogTip("获取绑定产品列表失败");
                }
            );
        }
        //从后台获取产品列表，包括主险和附加险
        function insureList(params,present){
            if(params.isMain == "Y"){
                adbService.getResult(
                    {},
                    $scope.setService("I231014",params),
                    function (json) {
                        if (json.header.istatus == '-99'){
                            $scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {
                            $scope.insureInfos.noCheckedMainList = json.data.productInfo;
                            //console.log($scope.insureInfos.checkedMainList,$scope.insureInfos.noCheckedMainList);
                            $scope.insureInfos.filterCheckedMainInsure($scope.insureInfos.noCheckedMainList, $scope.insureInfos.checkedMainList);
                            $scope.mainInsureList = $scope.insureInfos.noCheckedMainList;
                            $scope.checkMainIds = [];
                            for(var i = 0; i< $scope.insureInfos.noCheckedMainList.length; i++){
                                $scope.checkMainIds.push(false);
                            }
                            getBindProductInfo();
                        }
                    },
                    function (err) {
                        $scope.dialogTip("获取产品列表失败");
                    }
                );
            }
        }

        //保险公司点击方法
        $scope.companyShow =false;
        $scope.checkCompanyIds = [];
        $scope.checkCompanyIds[0] = true;
        $scope.showCompany =function(){
            $scope.companyName = "全部";
            $scope.companyShow =true;
        };
        //保险公司不显示时，调用产品查询接口返回相应的保险公司的列表
        $scope.hideCompany =function(index,cpId){
            $scope.companyShow =false;
            $scope.companyParams = {
                "pageNum": "1",//页码
                "pageSize": "30",//每页数量
                "productCompany":cpId,//保险公司代码
                "insuredAge":$scope.insuredInfo.insuredAge,
                "isMain": "Y",//是否主险 Y:主险   N：附加险
                "salesWay": "2"//销售方式: 1:线上  2：线下
            };
            insureList($scope.companyParams);
            for(var i = 0; i< $scope.companyNameArr.length; i++){
                $scope.checkCompanyIds[i] = false;
                $scope.companyName = $scope.companyNameArr[index].name;
            }
            $scope.checkCompanyIds[index] = !$scope.checkCompanyIds[index];
            $scope.searchPdName = "";
        };

        //搜索产品调用搜索接口
        $scope.searchMainInsure = function(inputC){
            $scope.companyName = "全部";
            for(var i = 0; i< $scope.companyNameArr.length; i++){
                $scope.checkCompanyIds[i] = false;
            }
            $scope.checkCompanyIds[0] = true;
            presentCheckMainNum = 0;
            $scope.searchMainParams = {
                "pageNum": "1",  //页码
                "pageSize": "50",  //每页数量
                "insuredAge":$scope.insuredInfo.insuredAge,
                "productLikeName":inputC  //查询的产品名称
            };

            adbService.getResult(
                {},
                $scope.setService("I231015",$scope.searchMainParams),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.insureInfos.noCheckedMainList = json.data.productInfo;
                        //console.log("$scope.insureInfos.noCheckedMainList",$scope.insureInfos.noCheckedMainList);
                        $scope.insureInfos.filterCheckedMainInsure($scope.insureInfos.noCheckedMainList, $scope.insureInfos.checkedMainList);
                        $scope.mainInsureList = $scope.insureInfos.noCheckedMainList;
                        $scope.checkMainIds = [];
                        for(var i = 0; i< $scope.insureInfos.noCheckedMainList.length; i++){
                            $scope.checkMainIds.push(false);
                        }
                        getBindProductInfo();
                    }
                },
                function (err) {
                    $scope.dialogTip("获取计划书记录列表失败");
                }
            );
        }
        //主险页面处理
        $scope.checkedMainList = [];
        //选择某款主险
        $scope.checkMain = function(id,mainIndex){
            //console.info(mainIndex,$scope.checkMainIds[mainIndex]);
            //console.info($scope.insureInfos);
            if(!$scope.checkMainIds[mainIndex]){
                if($scope.insureInfos.checkedMainList.length > 0){
                    var retGetBind = $scope.insureInfos.findMulBindProductList($scope.insureInfos.checkedMainList,$scope.insureInfos.noCheckedMainList[mainIndex]);
                    if(retGetBind >= 0){
                        var tmpName = $scope.insureInfos.checkedMainList[retGetBind].productShortName;
                        $scope.dialogTip("该险种的绑定险种与"+tmpName+"的绑定险种冲突");
                        return;
                    }
                }
                var noTmpCheckedMainList = [];
                for(var i = 0;i<$scope.checkMainIds.length;i++){//已经被选中了，入选比较项
                    if($scope.checkMainIds[i] && i!=mainIndex)noTmpCheckedMainList.push($scope.insureInfos.noCheckedMainList[i]);
                }
                //console.log(noTmpCheckedMainList);
                if(noTmpCheckedMainList.length>0){
                    retGetBind = $scope.insureInfos.findMulBindProductList(noTmpCheckedMainList,$scope.insureInfos.noCheckedMainList[mainIndex]);
                    if(retGetBind >= 0){
                        var tmpName = noTmpCheckedMainList[retGetBind].productShortName;
                        $scope.dialogTip("该险种的绑定险种与"+tmpName+"的绑定险种冲突");
                        return;
                    }
                }
                if($scope.insureInfos.checkedMainList.length + presentCheckMainNum + 1 > 5){
                    $scope.dialogTip("主险数量不能超过5个");
                    return;
                }
                presentCheckMainNum ++;
            }
            else{
                presentCheckMainNum --;
            }

            $scope.checkMainIds[mainIndex] = !$scope.checkMainIds[mainIndex];
        };
        $scope.checkAgeScope = function(){
            var minAge = 0;
            var maxAge = 105;
            if(typeof $scope.minAge != 'undefined')minAge = $scope.minAge;
            if(typeof $scope.maxAge != 'undefined')maxAge = $scope.maxAge;
            //console.log($scope.insureInfos.checkedMainList.length);
            for(var i = 0; i< $scope.insureInfos.checkedMainList.length; i++){
                //通过这里直接控制
                if(minAge < parseInt($scope.insureInfos.checkedMainList[i].minAge))minAge = parseInt($scope.insureInfos.checkedMainList[i].minAge);
                if(maxAge > parseInt($scope.insureInfos.checkedMainList[i].maxAge))maxAge = parseInt($scope.insureInfos.checkedMainList[i].maxAge);
            }

            if(parseInt($scope.insuredInfo.insuredAge) > parseInt(maxAge)){
                $scope.dialogTip("被保人的年龄超出最大年龄范围");
                return -1;
            }
            else if(parseInt($scope.insuredInfo.insuredAge) < parseInt(minAge)){
                $scope.dialogTip("被保人的年龄超出最小年龄范围");
                return -1;
            }
            return 0;
        }
        $scope.shirkAgeScope = function(){
            $scope.minAge = 0;
            $scope.maxAge = 105;
            //console.log($scope.insureInfos.checkedMainList.length);
            for(var i = 0; i< $scope.insureInfos.checkedMainList.length; i++){
                //通过这里直接控制
                if($scope.minAge < parseInt($scope.insureInfos.checkedMainList[i].minAge))$scope.minAge = parseInt($scope.insureInfos.checkedMainList[i].minAge);
                if($scope.maxAge > parseInt($scope.insureInfos.checkedMainList[i].maxAge))$scope.maxAge = parseInt($scope.insureInfos.checkedMainList[i].maxAge);
            }
            $scope.insureInfos.insuredInfo.insuredMaxAge = $scope.maxAge;
            $scope.insureInfos.insuredInfo.insuredMinAge = $scope.minAge;
            if($scope.insuredInfo.insuredAge > $scope.maxAge){
                $scope.insuredInfo.insuredAge  = $scope.maxAge;
                $scope.dialogTip("你的年龄超出范围，已经修正为符合条件的年龄");
            }
            else if($scope.insuredInfo.insuredAge < $scope.minAge){
                $scope.insuredInfo.insuredAge  = $scope.minAge;
                $scope.dialogTip("你的年龄超出范围，已经修正为符合条件的年龄");
            }
            $scope.insureInfos.insuredInfo.age = $scope.insuredInfo.insuredAge;
            //被保人年龄数组
            var tmpInsuredAgeArr = [];
            //console.log($scope.minAge,$scope.maxAge);
            for(var i = $scope.minAge; i<=$scope.maxAge; i++){
                tmpInsuredAgeArr.push({"k":i,"v":i});
            }
            $scope.insuredAgeArr = tmpInsuredAgeArr;
            insuredBirthdaySet($scope.insureInfos);
        }
        $scope.expandAgeScope = function(){
            $scope.minAge = 0;
            $scope.maxAge = 105;
            //console.log($scope.insureInfos.checkedMainList.length);
            for(var i = 0; i< $scope.insureInfos.checkedMainList.length; i++){
                //通过这里直接控制
                if($scope.minAge < parseInt($scope.insureInfos.checkedMainList[i].minAge))$scope.minAge = parseInt($scope.insureInfos.checkedMainList[i].minAge);
                if($scope.maxAge > parseInt($scope.insureInfos.checkedMainList[i].maxAge))$scope.maxAge = parseInt($scope.insureInfos.checkedMainList[i].maxAge);
            }
            $scope.insureInfos.insuredInfo.insuredMaxAge = $scope.maxAge;
            $scope.insureInfos.insuredInfo.insuredMinAge = $scope.minAge;
            $scope.insureInfos.insuredInfo.age = $scope.insuredInfo.insuredAge;
            //被保人年龄数组
            var tmpInsuredAgeArr = [];
            //console.log($scope.minAge,$scope.maxAge);
            for(var i = $scope.minAge; i<=$scope.maxAge; i++){
                tmpInsuredAgeArr.push({"k":i,"v":i});
            }
            $scope.$apply(function(){
                $scope.insuredAgeArr = tmpInsuredAgeArr;
            });
            insuredBirthdaySet($scope.insureInfos);
        }
        //添加主险页面确定按钮点击方法
        $scope.addMainSuccess = function(){
            presentCheckMainNum = 0;
            //console.log("$scope.noCheckedMainList",$scope.noCheckedMainList);
            //此处如果年龄不合法直接报错
            var checkRet = $scope.checkAgeScope();
            if(checkRet <0)return;
            //添加数据--需要数据处理
            for(var i = 0; i< $scope.checkMainIds.length;i++){
                if( $scope.checkMainIds[i] == true){
                    $scope.insureInfos.checkedMainList.push($scope.insureInfos.noCheckedMainList[i]);
                }
            }

            //console.log("$scope.checkedMainList",$scope.checkedMainList);
            $scope.insureInfos.filterCheckedMainInsure($scope.insureInfos.noCheckedMainList, $scope.insureInfos.checkedMainList);
            $scope.checkMainIds = [];
            for(var i = 0; i< $scope.insureInfos.noCheckedMainList.length; i++){
                $scope.checkMainIds.push(false);
            }

            $scope.shirkAgeScope();
            //显示
            showInputPage();
            $scope.addMain =false; //添加主险页
            $scope.$emit("adbBack","planBookListR","1",true);//状态0为$state跳转，1为$location.path跳转，2为location.href跳转

            $scope.insureInfos.callbackStruct.goAddAdditional = $scope.goAddAdditional;
            $scope.insureInfos.callbackStruct.goPdEdit = $scope.goPdEdit;
            $scope.insureInfos.callbackStruct.goDelProduct = $scope.goDelProduct;
            $scope.insureInfos.callbackStruct.dialogTip = JsxdialogTip;
            //conCalculateFlag = "N";
            //console.log("conCalculateFlag",conCalculateFlag);
            mainInsureInfoDo($scope.insureInfos);
            //console.log($scope.insureInfos.firstSumFee);
            $scope.totalPay = ""+$scope.insureInfos.firstSumFee.toFixed(2)+"元";
        }

        //添加主险页面取消按钮点击方法
        $scope.addMainFail = function(){
            //直接显示
            showInputPage();
            $scope.addMain =false; //添加主险页
            $scope.$emit("adbBack","planBookListR","1",true);//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }

        //附加险页面处理
        $scope.checkAdditionIds = false;
        $scope.checkedAdditionList = [];
        //选择某款附加险
        $scope.checkAddition = function(addInfo){//此处逻辑先不管
            //调用计划书产品列表接口
            //console.info(addInfo);
            //所有需要选中的列表
            var ret = $scope.insureInfos.findIndexFromProductList($scope.additionInsureStruct, addInfo.productId);
            $scope.additionInsureStruct[ret].flagId = addInfo.flagId;
            //console.log("$scope.additionInsureStruct",$scope.additionInsureStruct);
        };

        //添加附加险成功按钮
        $scope.addAdditionSuccess = function(){
            //添加数据--需要数据处理
            //console.log($scope.insureInfos);
            //显示
            showInputPage();
            $scope.addAdditional = false; //添加附加险
            $scope.$emit("adbBack","planBookListR","1",true);//状态0为$state跳转，1为$location.path跳转，2为location.href跳转

            //组合添加附加险需要显示的主附险列表
            for(var i=0;i<$scope.insureInfos.checkedMainList.length;i++){
                if($scope.insureInfos.checkedMainList[i].productId == $scope.mainIdRecord){
                    $scope.insureInfos.selfProductMainInfo=$scope.insureInfos.checkedMainList[i];
                }
            }
            //将选中的附加险设定完整
            var selfRiderList = $scope.insureInfos.selfProductMainInfo.riderList;
            for(var i=0;i<selfRiderList.length;i++){
                var ret = $scope.insureInfos.findIndexFromProductList( $scope.additionInsureStruct, selfRiderList[i].productId);
                if(ret >=0 && typeof $scope.additionInsureStruct[ret] != 'undefined'){
                    //console.log("found selfProductMainInfo",ret);
                    selfRiderList[i] = $scope.additionInsureStruct[ret];
                }
            }

            //直接检查与投保人相关险种，如果没有，则不做下面的操作
            var insureFlagNum = 0;
            for(var i = 0;i<selfRiderList.length;i++){
                if(selfRiderList[i].insureFlag == 'Y' && selfRiderList[i].flagId == 'Y'){
                    insureFlagNum ++;
                }
            }
            //console.log("insureFlagNum",insureFlagNum);
            if(insureFlagNum > 0){
                $scope.insureInfos.holderInfo.holderMaxAge = $scope.insureInfos.editInfo.holderInfo.holderMaxAge;
                $scope.insureInfos.holderInfo.holderMinAge = $scope.insureInfos.editInfo.holderInfo.holderMinAge;
                $scope.insureInfos.holderInfo.sex = $scope.insureInfos.editInfo.holderInfo.sex;
                $scope.insureInfos.holderInfo.birthday = $scope.insureInfos.editInfo.holderInfo.birthday;
                if(typeof $scope.insureInfos.editInfo.holderInfo.age != 'undefined')$scope.insureInfos.holderInfo.age = $scope.insureInfos.editInfo.holderInfo.age;
                else $scope.insureInfos.holderInfo.age = $scope.insureInfos.editInfo.holderInfo.holderMinAge;
                //console.log($scope.insureInfos.holderInfo);
            }
            if(typeof $scope.insureInfos.holderInfo.sex == 'undefined' || $scope.holderInfo.sex == "" || typeof $scope.insureInfos.holderInfo.age == 'undefined' || $scope.holderInfo.age == ""){
                //console.log("not show holderInfo!", $scope.insureInfos.holderInfo);
                delete $scope.holderInfo.age;
                delete $scope.holderInfo.sex;
                $scope.holderInfo.show = false;
            }
            else
            {
                //console.log("show holderInfo!");
                if($scope.insureInfos.holderInfo.sex == "M")$scope.holderInfo.sex = "男";
                else if($scope.insureInfos.holderInfo.sex == "F")$scope.holderInfo.sex = "女";
                else $scope.holderInfo.sex = "";
                $scope.holderInfo.age = $scope.insureInfos.holderInfo.age+"周岁";
                $scope.holderInfo.show = true;
            }
            //conCalculateFlag = "N";
            //console.log("conCalculateFlag",conCalculateFlag);
            mainInsureInfoDo($scope.insureInfos);
            //console.log($scope.insureInfos.firstSumFee);
            $scope.totalPay = ""+$scope.insureInfos.firstSumFee.toFixed(2)+"元";
        }

        //产品编辑页面修改成功
        $scope.addEditSuccess = function(allInfoForPlanBooks){
            //console.log(allInfoForPlanBooks);
            $scope.insureInfos = allInfoForPlanBooks;
            $scope.insureInfos.holderInfo = allInfoForPlanBooks.editInfo.holderInfo;
            $scope.insureInfos.selfProductInfo.amt = allInfoForPlanBooks.editInfo.amt;
            $scope.insureInfos.selfProductInfo.fee = allInfoForPlanBooks.editInfo.fee;
            $scope.insureInfos.selfProductInfo.payTerm = allInfoForPlanBooks.editInfo.payTerm;
            $scope.insureInfos.selfProductInfo.insureTerm = allInfoForPlanBooks.editInfo.insureTerm;
            $scope.insureInfos.selfProductInfo.birthdayValue = allInfoForPlanBooks.editInfo.birthdayValue;
            console.log($scope.insureInfos.selfProductInfo.birthdayValue);
            //添加数据--需要数据处理
            //显示
            $scope.$apply(function(){
                showInputPage();
                $scope.pdEdit = false; //添加附加险
                $scope.$emit("adbBack","planBookListR","1",true);//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
                //console.log($scope.insureInfos.holderInfo,$scope.holderInfo);
                if($scope.insureInfos.holderInfo.sex == 'undefined' || typeof $scope.insureInfos.holderInfo.age == 'undefined'){
                    $scope.holderInfo.age = "";
                    $scope.holderInfo.sex = "";
                    $scope.holderInfo.show = false;
                }
                else
                {
                    if($scope.insureInfos.holderInfo.sex == "M")$scope.holderInfo.sex = "男";
                    else if($scope.insureInfos.holderInfo.sex == "F")$scope.holderInfo.sex = "女";
                    else $scope.holderInfo.sex = "";
                    $scope.holderInfo.age = $scope.insureInfos.holderInfo.age+"周岁";
                    $scope.holderInfo.show = true;
                }
            });
            console.log($scope.insureInfos.selfProductInfo.birthdayValue);

            mainInsureInfoDo($scope.insureInfos);
            console.log($scope.insureInfos.selfProductInfo.birthdayValue);
            $scope.$apply(function(){
                //console.log($scope.insureInfos.firstSumFee);
                $scope.totalPay = ""+$scope.insureInfos.firstSumFee.toFixed(2)+"元";
                //console.log("totalPay",$scope.totalPay);
            });
        }

        //判断保险计划输入页面显示
        if($scope.inputPage){
            var backUrl = $scope.getBackFactory('planBookDemonstration','planBookListR');
            if (backUrl != ''){
                //返回按钮操作
                $scope.$emit("adbBack",backUrl,"1",true);
            }

            //关联客户取值
            $scope.$on("customerInfo",function(event,msg){

                var regId = "";
                var broker;
                if(typeof localStorage.getItem('broker_in_session') != "undefined")
                {
                    broker = JSON.parse(localStorage.getItem('broker_in_session'));
                }
                if(typeof broker != "undefined" && broker && typeof broker['regId'] != "undefined" && broker['regId'])
                    regId = broker['regId'];

                $scope.eventAttributes("planBookCustomerInfo",JSON.stringify({"tel":regId}));//关联客户使用次数埋点

                //判断年龄是否符合条件，如果年龄不符合条件则直接报错
                //console.log("customerInfo",msg);
                if(typeof $scope.insureInfos.insuredInfo.insuredMaxAge =='undefined')$scope.insureInfos.insuredInfo.insuredMaxAge = 105;
                if(typeof $scope.insureInfos.insuredInfo.insuredMinAge =='undefined')$scope.insureInfos.insuredInfo.insuredMinAge = 0;
                //查询投保人最大值最小值范围
                var insuredMaxAge = 105;
                var insuredMinAge = 0;
                var checkedMainList = $scope.insureInfos.checkedMainList;
                for (var j = 0; j < checkedMainList.length; j++) {
                    if (typeof checkedMainList[j].minAge != 'undefined') {
                        if (insuredMinAge < parseInt(checkedMainList[j].minAge)) insuredMinAge = parseInt(checkedMainList[j].minAge);
                    }
                    if (typeof checkedMainList[j].maxAge != 'undefined') {
                        if (insuredMaxAge > parseInt(checkedMainList[j].maxAge)) insuredMaxAge = parseInt(checkedMainList[j].maxAge);
                    }
                    if (insuredMinAge > insuredMaxAge) {
                        $scope.dialogTip("被保人年龄区间冲突，请检查附加险选择！");
                        return;
                    }
                    if(typeof msg[0].age != 'undefined'){
                        if (insuredMinAge > parseInt(msg[0].age)) {
                            $scope.dialogTip("被保人年龄必须大于"+insuredMinAge);
                            return;
                        }
                        if (insuredMaxAge < parseInt(msg[0].age)) {
                            $scope.dialogTip("被保人年龄必须小于"+insuredMaxAge);
                            return;
                        }
                        $scope.insuredInfo.insuredAge = msg[0].age;
                    }
                    else{

                    }
                }
                $scope.insuredInfo.insuredName = msg[0].name;
                $scope.insuredInfo.insuredPhone = msg[0].contactValue;
                if(msg[0].gender == "M"){
                    $scope.insuredInfo.sex = 0;
                }else if(msg[0].gender == "F"){
                    $scope.insuredInfo.sex = 1;
                }

                $scope.insureInfos.insuredInfo.age = $scope.insuredInfo.insuredAge;
                $scope.insureInfos.insuredInfo.sex = msg[0].gender;
                mainInsureInfoDo($scope.insureInfos);
                //console.log($scope.insureInfos.firstSumFee);
                $scope.totalPay = ""+$scope.insureInfos.firstSumFee.toFixed(2)+"元";

            });

            //添加主险按钮
            $scope.goAddMain = function(){
                var res = $scope.isNetConnectedFun();
                if(!res)
                {
                    $scope.dialogTip('连接似乎有问题,请检查网络');
                    return;
                }
                //初始化输入框内容
                $scope.searchPdName = "";
                $scope.companyName = "全部";
                //公司默认选择全部
                for(var i = 0; i< $scope.companyNameArr.length; i++){
                    $scope.checkCompanyIds[i] = false;
                }
                $scope.checkCompanyIds[0] = true;

                if($scope.insureInfos.checkedMainList.length >= 5){
                    $scope.dialogTip("主险数量不能超过5个");
                    return;
                }

                //头部处理
                $scope.addMain = true; //添加主险页
                $scope.inputPage = false; //保险计划页
                $scope.appTitle = '添加主险';
                $scope.$emit("titleName", $scope.appTitle);
                $scope.$emit("goIndexBtn", false);//去首页按钮
                $scope.$emit("adbBack", "", "1", false);//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
                $scope.$on('planResult', function (event, mass) {
                    showInputPage();
                    $scope.addMain = mass; //添加主险页
                    $scope.$emit("adbBack", "planBookListR", "1", true);//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
                });
                //调用计划书产品列表接口
                $scope.planProductParams = {
                    "pageNum": "1",
                    "pageSize": "50",
                    "isMain": "Y",
                    "sexFlag": $scope.insuredInfo.sex,
                    "insuredAge": $scope.insuredInfo.insuredAge,
                    "salesWay": "2"
                };
                presentCheckMainNum = 0;
                insureList($scope.planProductParams);

            }

            for(var i=0;i<$scope.insureInfos.checkedMainList.length;i++){
                var len = $scope.insureInfos.checkedMainList[i].riderList.length;
                for(var j=0;j<len;j++){
                    $scope.insureInfos.checkedMainList[i].riderList[j].flagId = "N";
                }
            }

            function dealFourShowInfo(planBookStruct,checkedProductInfo,insureInfos){//4个产品展示项，顺便计算年金价值
                var tmpProductInfo = {};
                tmpProductInfo.productId = checkedProductInfo.productId;
                if(checkedProductInfo.isMain == 'Y')tmpProductInfo.productName = checkedProductInfo.productShortName;
                else tmpProductInfo.productName = checkedProductInfo.details.productShortName;
                tmpProductInfo.amt = parseFloat(checkedProductInfo.amt);
                //console.log(tmpProductInfo.amt,checkedProductInfo.amt);
                tmpProductInfo.premium = parseFloat(checkedProductInfo.fee);
                //console.log(tmpProductInfo.premium,checkedProductInfo.fee);
                tmpProductInfo.chargeYear = changeTermFormat(checkedProductInfo.payTerm);
                if(tmpProductInfo.chargeYear == '0年')tmpProductInfo.chargeYear = '--';
                tmpProductInfo.chargeSign = checkTermSign(checkedProductInfo.payTerm);
                tmpProductInfo.ensureYear = changeTermFormat(checkedProductInfo.insureTerm);
                tmpProductInfo.ensureSign = checkTermSign(checkedProductInfo.insureTerm);
                planBookStruct.productList.push(tmpProductInfo);
                //保费和保额
                planBookStruct.productShowItem.firstPremium += tmpProductInfo.premium;
                if(tmpProductInfo.productId != "102201" && tmpProductInfo.productId != "210001"){//提前给付的产品保额不累加到总保额中
                    planBookStruct.productShowItem.amt += tmpProductInfo.amt;
                }
                //处理缴费期间和保障期间
                var chargeYear = parseInt(checkTermValue(checkedProductInfo.payTerm));
                if(chargeYear > planBookStruct.productShowItem.chargeYear){
                    planBookStruct.productShowItem.chargeYear = chargeYear;
                    planBookStruct.productShowItem.chargeSign = tmpProductInfo.chargeSign;
                }
                var ensureYear = parseInt(checkTermValue(checkedProductInfo.insureTerm));
                if(ensureYear > planBookStruct.productShowItem.ensureYear){
                    planBookStruct.productShowItem.ensureYear = ensureYear;
                    planBookStruct.productShowItem.ensureSign = tmpProductInfo.ensureSign;
                }
                //计算年金价值
                var universal = 'N';
                var getUniversal ;
                if(checkedProductInfo.isMain == 'Y'){
                    if(typeof checkedProductInfo.universal != 'undefined'){
                        getUniversal = checkedProductInfo.universal.split('|');
                        if(typeof checkedProductInfo.riderList != 'undefined'){
                            for(var k=0; k < checkedProductInfo.riderList.length; k++){
                                if(checkedProductInfo.riderList[k].flagId == "Y"){
                                    if(checkedProductInfo.riderList[k].productId == getUniversal[7]){
                                        universal = getUniversal[0];
                                        break;
                                    }
                                }else{
                                    continue;
                                }
                            }
                        }
                        if(typeof checkedProductInfo.bind != 'undefined'){
                            if(universal != 'Y'){
                                for(var o=0; o < checkedProductInfo.bind.length; o++){
                                    if(checkedProductInfo.bind[o].productId == getUniversal[7]){
                                        universal = getUniversal[0];
                                        break;
                                    }else{
                                        continue;
                                    }
                                }
                            }
                        }
                    }
                }
                else{
                    if(typeof checkedProductInfo.details.universal != 'undefined'){
                        getUniversal = checkedProductInfo.details.universal.split('|');
                        universal = getUniversal[0];
                    }
                }
                if(universal == 'Y'){
                    var annuityDataLen = checkTermValue(checkedProductInfo.insureTerm) + 1;
                    var W1 = 0,W2 = 0,W3 = 0;
                    //console.log("annuityDataLen",annuityDataLen);
                    for(var i =0;i<annuityDataLen;i++){
                        if(i < parseInt(insureInfos.insuredInfo.age)){
                            planBookStruct.annuityData.push({'age':i,'low':0,'middle':0,'high':0});
                            continue;
                        }
                        var tmpAnnuityData = {};
                        if(typeof planBookStruct.annuityData[i] == 'undefined'){
                            tmpAnnuityData.age = i;
                            var L = 0;
                            if(tmpAnnuityData.age < getUniversal[6]){
                                L = parseFloat(checkedProductInfo.amt) * getUniversal[1];
                            }
                            else{
                                L = parseFloat(checkedProductInfo.amt) * getUniversal[2];
                            }
                            if(i == 0){//第一年
                                tmpAnnuityData.low = L;
                                tmpAnnuityData.middle = L;
                                tmpAnnuityData.high = L;
                                W1 = L;
                                W2 = L;
                                W3 = L;
                            }
                            else{
                                tmpAnnuityData.low = W1 = W1 * getUniversal[3] + L;
                                tmpAnnuityData.middle = W2 = W2 * getUniversal[4] + L;
                                tmpAnnuityData.high = W3 = W3 * getUniversal[5] + L;
                            }
                            planBookStruct.annuityData.push(tmpAnnuityData);
                        }
                        else{
                            tmpAnnuityData.age = i;
                            var L = 0;
                            if(tmpAnnuityData.age < 60){
                                L = parseFloat(checkedProductInfo.amt) * getUniversal[1];
                            }
                            else{
                                L = parseFloat(checkedProductInfo.amt) * getUniversal[2];
                            }
                            if(i == 0){//第一年
                                tmpAnnuityData.low = L;
                                tmpAnnuityData.middle = L;
                                tmpAnnuityData.high = L;
                                W1 = L;
                                W2 = L;
                                W3 = L;
                            }
                            else{
                                tmpAnnuityData.low = W1 = W1 * getUniversal[3] + L;
                                tmpAnnuityData.middle = W2 = W2 * getUniversal[4] + L;
                                tmpAnnuityData.high = W3 = W3 * getUniversal[5] + L;
                            }
                            planBookStruct.annuityData[i].low += tmpAnnuityData.low;
                            planBookStruct.annuityData[i].middle += tmpAnnuityData.middle;
                            planBookStruct.annuityData[i].high += tmpAnnuityData.middle;
                        }
                    }
                    //console.log("planBookStruct.annuityData",planBookStruct.annuityData);
                }
            }

            function readProductShowConfigure(ageClassifyIndex,checkedProductInfo,planBookStruct){
                var ageTermIndex = 0;
                if(ageClassifyIndex == 'A') ageTermIndex = 0;
                else if(ageClassifyIndex == 'B') ageTermIndex = 1;
                else ageTermIndex = 2;

                //console.log(ageTermIndex,checkedProductInfo);
                var productShow = checkedProductInfo.productShow[ageTermIndex];//产品中的主标题
                var additionShow = checkedProductInfo.additionShow[ageTermIndex];//产品中的子标题，附属于对应的主标题
                var benefitStruct = planBookStruct.benefitStruct;//存放主标题的结构
                if(productShow){//该产品的主标题
                    for(var i = 0;i<productShow.length;i++){//该产品有的主标题展示
                        if(typeof benefitStruct[productShow[i]] == 'undefined')benefitStruct[productShow[i]] = {};//生成标号为productShow[i]的主标题
                        var tmpBenefitStruct = benefitStruct[productShow[i]];
                        //console.log(tmpBenefitStruct,benefitStruct,productShow[i]);
                        if(typeof tmpBenefitStruct["Info"] == 'undefined'){
                            tmpBenefitStruct["Info"]= [];
                        }//存放标题替换内容，必须使用数组，保证参数对应的位置

                        //获取主标题
                        console.log(ageClassifyIndex,productShow[i],checkedProductInfo);
                        var productShowParamExp = ruleData[ageClassifyIndex]["main"][productShow[i]][checkedProductInfo.productId];
                        tmpBenefitStruct["type"] = ruleData[ageClassifyIndex]["main"][productShow[i]].type;//获取主标题类型，副标题如果有类型，则替换主标题类型
                        tmpBenefitStruct["productType"] = ruleData[ageClassifyIndex]["main"][productShow[i]].titleLogo;//获取主标题类型，副标题如果有类型，则替换主标题类型
                        //console.log("tmpBenefitStruct.type",tmpBenefitStruct);
                        //处理主标题
                        if(typeof productShowParamExp != 'undefined'){
                            //console.log("productShowParamExp",productShowParamExp);
                            for(var j=0;j<productShowParamExp.length;j++){//循环处理showRuleData中的标题配置,用于添加标题中对应的参数
                                var expKey = productShowParamExp[j][0];
                                var exp = productShowParamExp[j][1];
                                if(typeof tmpBenefitStruct["Info"][j] == "undefined"){//如果没有改节点，则初始化一下
                                    tmpBenefitStruct["Info"][j] = {};
                                    tmpBenefitStruct["Info"][j].name = expKey;
                                    tmpBenefitStruct["Info"][j].MERGE = {};//重疾和轻症，两个结构不需要区分开，因为不可能两者混合，如果出现混合说明配置有问题
                                    tmpBenefitStruct["Info"][j].SUM = 0.00;
                                    tmpBenefitStruct["Info"][j].RANGE = [-1,-1];
                                    tmpBenefitStruct["Info"][j].MAX = -1;
                                    tmpBenefitStruct["Info"][j].MIN = -1;
                                }
                                var BenefitMainInfo = tmpBenefitStruct["Info"][j];
                                //MERGE:需要最大合并处理的类型1重疾2轻症   SUM：累加  RANGE:取范围 最小值—最大值  MAX：最大值   MIN：最小值
                                //console.log(checkedProductInfo.productSevere);
                                //console.log(checkedProductInfo.productMild);
                                if(expKey == "MERGE"){
                                    if(exp == '1'){//重疾归并，从产品中的productSevere获取,这个似乎要循环处理
                                        if(typeof checkedProductInfo.productSevere != 'undefined'){
                                            for(var k = 0;k<checkedProductInfo.productSevere.length;k++){
                                                BenefitMainInfo.MERGE[checkedProductInfo.productSevere[k]] = checkedProductInfo.productSevere[k];
                                            }
                                        }
                                    }
                                    else if(exp == '2'){//轻症归并，从产品中的productMild获取
                                        //console.log(checkedProductInfo.productMild);
                                        if(typeof checkedProductInfo.productMild != 'undefined'){
                                            for(var k = 0;k<checkedProductInfo.productMild.length;k++){
                                                BenefitMainInfo.MERGE[checkedProductInfo.productMild[k]] = checkedProductInfo.productMild[k];
                                            }
                                        }
                                    }
                                }
                                else if(expKey == "SUM"){
                                    if(exp.indexOf("P")>=0 || exp.indexOf("F")>=0 || exp.indexOf("C")>=0 || exp.indexOf("A")>=0 || exp.indexOf("E")>=0){//P是保额
                                        var TmpExp = exp;
                                        TmpExp = TmpExp.replace(/P/g, checkedProductInfo.amt);
                                        TmpExp = TmpExp.replace(/F/g, checkedProductInfo.fee);
                                        //console.log("checkedProductInfo.payTerm:",checkedProductInfo.payTerm);
                                        var tmpPayTerm = calculateFee.changePayTermFormat(checkedProductInfo.payTerm);
                                        TmpExp = TmpExp.replace(/C/g, tmpPayTerm);
                                        //console.log("checkedProductInfo.insureTerm:",checkedProductInfo.insureTerm);
                                        var tmpInsureTerm = calculateFee.changePayTermFormat(checkedProductInfo.insureTerm);
                                        TmpExp = TmpExp.replace(/E/g, tmpInsureTerm);
                                        TmpExp = TmpExp.replace(/A/g, $scope.insureInfos.insuredInfo.age);
                                        BenefitMainInfo.SUM += eval(TmpExp);
                                        //console.log(TmpExp,BenefitMainInfo.SUM,eval(TmpExp));
                                    }
                                    else{

                                    }
                                }
                                else if(expKey == "RANGE"){
                                    if(BenefitMainInfo.RANGE[0] == -1){
                                        BenefitMainInfo.RANGE[0] = exp;
                                    }
                                    if(BenefitMainInfo.RANGE[1] == -1){
                                        BenefitMainInfo.RANGE[1] = exp;
                                    }
                                    if(parseInt(BenefitMainInfo.RANGE[0]) > parseInt(exp))BenefitMainInfo.RANGE[0] = exp;//获取下限
                                    if(parseInt(BenefitMainInfo.RANGE[1]) < parseInt(exp))BenefitMainInfo.RANGE[1] = exp;//获取上限
                                }
                                else if(expKey == "MIN"){
                                    if(exp.indexOf("P")>=0 || exp.indexOf("F")>=0 || exp.indexOf("C")>=0 || exp.indexOf("A")>=0 || exp.indexOf("E")>=0){//P是保额
                                        var TmpExp = exp;
                                        TmpExp = TmpExp.replace(/P/g, checkedProductInfo.amt);
                                        TmpExp = TmpExp.replace(/F/g, checkedProductInfo.fee);
                                        //console.log("checkedProductInfo.payTerm:",checkedProductInfo.payTerm);
                                        var tmpPayTerm = calculateFee.changePayTermFormat(checkedProductInfo.payTerm);
                                        TmpExp = TmpExp.replace(/C/g, tmpPayTerm);
                                        //console.log("checkedProductInfo.insureTerm:",checkedProductInfo.insureTerm);
                                        var tmpInsureTerm = calculateFee.changePayTermFormat(checkedProductInfo.insureTerm);
                                        TmpExp = TmpExp.replace(/E/g, tmpInsureTerm);
                                        TmpExp = TmpExp.replace(/A/g, $scope.insureInfos.insuredInfo.age);
                                        var tmpMin = ""+eval(TmpExp);
                                        //console.log(TmpExp,tmpMin,eval(TmpExp));
                                        if(parseInt(BenefitMainInfo.MIN) == -1)BenefitMainInfo.MIN = tmpMin;
                                        if(parseInt(BenefitMainInfo.MIN) > parseInt(tmpMin))BenefitMainInfo.MIN = tmpMin;//获取最小值
                                    }
                                    else{
                                        //console.log(BenefitMainInfo.MIN,exp);
                                        if(parseInt(BenefitMainInfo.MIN) == -1)BenefitMainInfo.MIN = exp;
                                        if(parseInt(BenefitMainInfo.MIN) > parseInt(exp))BenefitMainInfo.MIN = exp;//获取最小值
                                    }
                                }
                                else if(expKey == "MAX"){
                                    if(exp.indexOf("P")>=0 || exp.indexOf("F")>=0 || exp.indexOf("C")>=0 || exp.indexOf("A")>=0 || exp.indexOf("E")>=0){//P是保额
                                        var TmpExp = exp;
                                        TmpExp = TmpExp.replace(/P/g, checkedProductInfo.amt);
                                        TmpExp = TmpExp.replace(/F/g, checkedProductInfo.fee);
                                        //console.log("checkedProductInfo.payTerm:",checkedProductInfo.payTerm);
                                        var tmpPayTerm = calculateFee.changePayTermFormat(checkedProductInfo.payTerm);
                                        TmpExp = TmpExp.replace(/C/g, tmpPayTerm);
                                        //console.log("checkedProductInfo.insureTerm:",checkedProductInfo.insureTerm);
                                        var tmpInsureTerm = calculateFee.changePayTermFormat(checkedProductInfo.insureTerm);
                                        TmpExp = TmpExp.replace(/E/g, tmpInsureTerm);
                                        TmpExp = TmpExp.replace(/A/g, $scope.insureInfos.insuredInfo.age);
                                        var tmpMax = ""+eval(TmpExp);
                                        //console.log(TmpExp,tmpMax,eval(TmpExp));
                                        if(parseInt(BenefitMainInfo.MAX) == -1)BenefitMainInfo.MAX = tmpMax;
                                        if(parseInt(BenefitMainInfo.MAX) < parseInt(tmpMax))BenefitMainInfo.MAX = tmpMax;//获取最小值
                                    }
                                    else{
                                        //console.log(BenefitMainInfo.MAX,exp);
                                        if(parseInt(BenefitMainInfo.MAX) == -1)BenefitMainInfo.MAX = exp;
                                        if(parseInt(BenefitMainInfo.MAX) < parseInt(exp))BenefitMainInfo.MAX = exp;//获取最大值
                                    }
                                }
                                //主标题处理完成
                                //console.log("BenefitMainInfo",BenefitMainInfo);
                                //这样操作后，不需要重新组装结构，哈哈哈哈哈！
                            }
                        }

                        //接着处理它的副标题
                        if(typeof tmpBenefitStruct.deputy == 'undefined')tmpBenefitStruct.deputy = {};//副标题结构也必须使用数组，然后根据循环找到对应
                        if(typeof tmpBenefitStruct.deputy[additionShow[i]] == 'undefined')tmpBenefitStruct.deputy[additionShow[i]] = {};//生成标号为additionShow[i]的副标题
                        var tmpAdditionStruct = tmpBenefitStruct.deputy[additionShow[i]];
                        if(typeof tmpAdditionStruct["Info"] == 'undefined'){
                            tmpAdditionStruct["Info"] = [];
                        }//存放标题替换内容，必须使用数组，保证参数对应的位置

                        //获取副标题，因为主标题和副标题在同一款产品中是对应的
                        //console.log(ageClassifyIndex,additionShow[i],checkedProductInfo.productId);
                        if(typeof ruleData[ageClassifyIndex]["deputy"][additionShow[i]] == 'undefined'){
                            continue;
                        }
                        var additionShowParamExp = ruleData[ageClassifyIndex]["deputy"][additionShow[i]][checkedProductInfo.productId];
                        tmpAdditionStruct["type"] = ruleData[ageClassifyIndex]["deputy"][productShow[i]].type;
                        if(typeof tmpAdditionStruct["type"] != 'undefined'){
                            tmpBenefitStruct["type"] = tmpAdditionStruct["type"];//如果副标题有类型（当前只有3类型转变为5）
                        }
                        if(typeof additionShowParamExp != 'undefined'){
                            //console.log("additionShowParamExp",additionShowParamExp);
                            for(var j=0;j<additionShowParamExp.length;j++){
                                var expKeyDep = additionShowParamExp[j][0];//获取对应的副标题key
                                var expDep = additionShowParamExp[j][1];//获取副标题的配置信息
                                if(typeof tmpAdditionStruct["Info"][j] == 'undefined'){//如果没有改节点，则初始化一下
                                    tmpAdditionStruct["Info"][j] = {};
                                    tmpAdditionStruct["Info"][j].name = expKeyDep;
                                    tmpAdditionStruct["Info"][j].MERGE = {};//重疾和轻症，两个结构不需要区分开，因为不可能两者混合，如果出现混合说明配置有问题
                                    tmpAdditionStruct["Info"][j].SUM = 0.00;
                                    tmpAdditionStruct["Info"][j].RANGE = [-1,-1];
                                    tmpAdditionStruct["Info"][j].MAX = -1;
                                    tmpAdditionStruct["Info"][j].MIN = -1;
                                    tmpAdditionStruct["Info"][j].ACCAGE = 0;
                                }
                                var BenefitAditionInfo = tmpAdditionStruct["Info"][j];
                                if(expKeyDep == "MERGE"){
                                    if(expDep == '1'){
                                        if(typeof checkedProductInfo.productSevere != 'undefined'){
                                            for(var k = 0;k<checkedProductInfo.productSevere.length;k++){
                                                BenefitAditionInfo.MERGE[checkedProductInfo.productSevere[k]] = checkedProductInfo.productSevere[k];
                                            }
                                        }
                                    }
                                    else if(expDep == '2'){
                                        if(typeof checkedProductInfo.productMild != 'undefined'){
                                            for(var k = 0;k<checkedProductInfo.productMild.length;k++){
                                                BenefitAditionInfo.MERGE[checkedProductInfo.productMild[k]] = checkedProductInfo.productMild[k];
                                            }
                                        }
                                    }
                                }
                                else if(expKeyDep == "SUM"){
                                    if(expDep.indexOf("P")>=0 || expDep.indexOf("F")>=0 || expDep.indexOf("C")>=0 || expDep.indexOf("A")>=0 || expDep.indexOf("E")>=0){//P是保额,F保额,C缴费年期
                                        var TmpExp = expDep;
                                        TmpExp = TmpExp.replace(/P/g, checkedProductInfo.amt);
                                        TmpExp = TmpExp.replace(/F/g, checkedProductInfo.fee);
                                        //console.log("checkedProductInfo.payTerm:",checkedProductInfo.payTerm);
                                        var tmpPayTerm = calculateFee.changePayTermFormat(checkedProductInfo.payTerm);
                                        TmpExp = TmpExp.replace(/C/g, tmpPayTerm);
                                        //console.log("checkedProductInfo.insureTerm:",checkedProductInfo.insureTerm);
                                        var tmpInsureTerm = calculateFee.changePayTermFormat(checkedProductInfo.insureTerm);
                                        TmpExp = TmpExp.replace(/E/g, tmpInsureTerm);
                                        TmpExp = TmpExp.replace(/A/g, $scope.insureInfos.insuredInfo.age);
                                        BenefitAditionInfo.SUM += eval(TmpExp);
                                        //console.log(TmpExp,BenefitAditionInfo.SUM,eval(TmpExp));
                                    }
                                    else{

                                    }
                                }
                                else if(expKeyDep == "RANGE"){
                                    //console.log("BenefitAditionInfo.RANGE",BenefitAditionInfo.RANGE[0],BenefitAditionInfo.RANGE[1]);
                                    if(BenefitAditionInfo.RANGE[0] == -1){
                                        BenefitAditionInfo.RANGE[0] = expDep;
                                    }
                                    if(BenefitAditionInfo.RANGE[1] == -1){
                                        BenefitAditionInfo.RANGE[1] = expDep;
                                    }
                                    //console.log("BenefitAditionInfo.RANGE",BenefitAditionInfo.RANGE[0],BenefitAditionInfo.RANGE[1]);
                                    if(parseInt(BenefitAditionInfo.RANGE[0]) > parseInt(expDep))BenefitAditionInfo.RANGE[0] = expDep;//获取下限
                                    if(parseInt(BenefitAditionInfo.RANGE[1]) < parseInt(expDep))BenefitAditionInfo.RANGE[1] = expDep;//获取上限
                                    //console.log("BenefitAditionInfo.RANGE",BenefitAditionInfo.RANGE[0],BenefitAditionInfo.RANGE[1]);
                                }
                                else if(expKeyDep == "MIN"){
                                    if(expDep.indexOf("P")>=0 || expDep.indexOf("F")>=0 || expDep.indexOf("C")>=0 || expDep.indexOf("A")>=0 || expDep.indexOf("E")>=0){//P是保额,F保额,C缴费年期
                                        var TmpExp = expDep;
                                        TmpExp = TmpExp.replace(/P/g, checkedProductInfo.amt);
                                        TmpExp = TmpExp.replace(/F/g, checkedProductInfo.fee);
                                        //console.log("checkedProductInfo.payTerm:",checkedProductInfo.payTerm);
                                        var tmpPayTerm = calculateFee.changePayTermFormat(checkedProductInfo.payTerm);
                                        TmpExp = TmpExp.replace(/C/g, tmpPayTerm);
                                        //console.log("checkedProductInfo.insureTerm:",checkedProductInfo.insureTerm);
                                        var tmpInsureTerm = calculateFee.changePayTermFormat(checkedProductInfo.insureTerm);
                                        TmpExp = TmpExp.replace(/E/g, tmpInsureTerm);
                                        TmpExp = TmpExp.replace(/A/g, $scope.insureInfos.insuredInfo.age);
                                        var tmpMin = ""+eval(TmpExp);
                                        //console.log(TmpExp,tmpMin,eval(TmpExp));
                                        if(parseInt(BenefitAditionInfo.MIN) == -1)BenefitAditionInfo.MIN = tmpMin;
                                        if(parseInt(BenefitAditionInfo.MIN) > parseInt(tmpMin))BenefitAditionInfo.MIN = tmpMin;//获取最小值
                                    }
                                    else{
                                        //console.log(BenefitAditionInfo.MIN,expDep);
                                        if(parseInt(BenefitAditionInfo.MIN) == -1)BenefitAditionInfo.MIN = expDep
                                        if(parseInt(BenefitAditionInfo.MIN) > parseInt(expDep))BenefitAditionInfo.MIN = expDep;//获取最小值
                                    }
                                }
                                else if(expKeyDep == "MAX"){
                                    if(expDep.indexOf("P")>=0 || expDep.indexOf("F")>=0 || expDep.indexOf("C")>=0 || expDep.indexOf("A")>=0 || expDep.indexOf("E")>=0){//P是保额,F保额,C缴费年期
                                        var TmpExp = expDep;
                                        TmpExp = TmpExp.replace(/P/g, checkedProductInfo.amt);
                                        TmpExp = TmpExp.replace(/F/g, checkedProductInfo.fee);
                                        //console.log("checkedProductInfo.payTerm:",checkedProductInfo.payTerm);
                                        var tmpPayTerm = calculateFee.changePayTermFormat(checkedProductInfo.payTerm);
                                        TmpExp = TmpExp.replace(/C/g, tmpPayTerm);
                                        //console.log("checkedProductInfo.insureTerm:",checkedProductInfo.insureTerm);
                                        var tmpInsureTerm = calculateFee.changePayTermFormat(checkedProductInfo.insureTerm);
                                        TmpExp = TmpExp.replace(/E/g, tmpInsureTerm);
                                        TmpExp = TmpExp.replace(/A/g, $scope.insureInfos.insuredInfo.age);
                                        var tmpMax = ""+eval(TmpExp);
                                        //console.log(TmpExp,tmpMax,eval(TmpExp));
                                        if(parseInt(BenefitAditionInfo.MAX) == -1)BenefitAditionInfo.MAX = tmpMax;
                                        if(parseInt(BenefitAditionInfo.MAX) < parseInt(tmpMax))BenefitAditionInfo.MAX = tmpMax;//获取最大值
                                    }
                                    else{
                                        //console.log(BenefitAditionInfo.MAX,expDep);
                                        if(parseInt(BenefitAditionInfo.MAX) == -1)BenefitAditionInfo.MAX = expDep;
                                        if(parseInt(BenefitAditionInfo.MAX) < parseInt(expDep))BenefitAditionInfo.MAX = expDep;//获取最大值
                                    }
                                }
                                else if(expKeyDep == "ACCAGE"){
                                    for(var k = 0;k< planBookStruct.annuityData.length;k++){
                                        if(parseInt(expDep) == planBookStruct.annuityData[k]["age"]){
                                            BenefitAditionInfo.ACCAGE = planBookStruct.annuityData[k].low.toFixed(2);
                                            break;
                                        }
                                    }
                                }
                                //副标题处理完成
                                //console.log("BenefitAditionInfo",BenefitAditionInfo);
                            }
                        }
                    }
                }
                return null;
            }
            function dealClauseInfo(planBookStruct,checkedProductInfo){//计算展示项主标题和副标题
                if(typeof checkedProductInfo.term == 'undefined')return;
                if(typeof planBookStruct.clause.name == 'undefined')planBookStruct.clause.name = "条款注解";
                if(typeof planBookStruct.clause.productListInfo == 'undefined')planBookStruct.clause.productListInfo = {};
                if(typeof planBookStruct.clause.productListInfo.id == 'undefined')planBookStruct.clause.productListInfo.id = [];
                if(typeof planBookStruct.clause.productListInfo.pos == 'undefined')planBookStruct.clause.productListInfo.pos = [];
                var termInfo = [];
                termInfo.push(checkedProductInfo.term[0]);
                termInfo.push(checkedProductInfo.term[1]);
                if(typeof checkedProductInfo.term[2] != 'undefined' && checkedProductInfo.term[2] == 1){
                    termInfo.push(checkedProductInfo.productName);
                }
                planBookStruct.clause.productListInfo.id.push(checkedProductInfo.productId);
                planBookStruct.clause.productListInfo.pos.push(termInfo);
            }
            function transInsureInfosToPlan(insureInfos){
                var planBookStruct = {};
                //计划书名称
                planBookStruct.planName = $scope.planbookName;
                //客户ID
                planBookStruct.customerId = "";
                //被保人信息
                planBookStruct.insureInfo = {};
                planBookStruct.insureInfo.name = insureInfos.insuredInfo.name;
                planBookStruct.insureInfo.mobile = insureInfos.insuredInfo.mobile;
                if(insureInfos.insuredInfo.sex == 'M')planBookStruct.insureInfo.gender = '男';
                else if(insureInfos.insuredInfo.sex == 'F')planBookStruct.insureInfo.gender = '女';
                planBookStruct.insureInfo.age = ''+insureInfos.insuredInfo.age+'周岁';
                //投保人信息
                planBookStruct.holderInfo = {};
                if(insureInfos.holderInfo.sex == 'M')planBookStruct.holderInfo.gender = '男';
                else if(insureInfos.holderInfo.sex == 'F')planBookStruct.holderInfo.gender = '女';
                planBookStruct.holderInfo.age = ''+insureInfos.holderInfo.age+'周岁';
                //产品列表，按顺序排列
                planBookStruct.productList = [];
                //合并后的4大展示项
                planBookStruct.productShowItem = {};
                planBookStruct.productShowItem.chargeYear = 0;
                planBookStruct.productShowItem.firstPremium = 0.00;
                planBookStruct.productShowItem.ensureYear = 0;
                planBookStruct.productShowItem.amt = 0.00;

                planBookStruct.benefitStruct = {};
                planBookStruct.benefit = [];

                planBookStruct.clause = {};

                planBookStruct.brokerInfo = {};


                if(ruleData == null)return;
                var ageClassifyIndex = null;
                if(insureInfos.insuredInfo.age >= 0 && insureInfos.insuredInfo.age <= 17){
                    ageClassifyIndex = 'A';
                }
                else if(insureInfos.insuredInfo.age >= 18 && insureInfos.insuredInfo.age <= 60){
                    ageClassifyIndex = 'B';
                }
                else if(insureInfos.insuredInfo.age >= 61){
                    ageClassifyIndex = 'C';
                }
                planBookStruct.annuityData = [];
                for(var i = 0;i<insureInfos.checkedMainList.length;i++){//主险
                    //先看主险的计划书信息
                    var checkedMainInfo = insureInfos.checkedMainList[i];
                    //console.log("checkedMainInfo",checkedMainInfo);
                    dealFourShowInfo(planBookStruct,checkedMainInfo,insureInfos);
                    readProductShowConfigure(ageClassifyIndex,checkedMainInfo,planBookStruct);
                    dealClauseInfo(planBookStruct,checkedMainInfo);

                    //再看绑定险的计划书信息
                    if(typeof checkedMainInfo.bind != 'undefined'){
                        for(var j = 0;j<checkedMainInfo.bind.length;j++){//附加险
                            var checkedAdditionInfo = checkedMainInfo.bind[j];
                            //将details的信息提到上一层，方便统一处理
                            checkedAdditionInfo.productShow = checkedAdditionInfo.details.productShow;
                            checkedAdditionInfo.additionShow = checkedAdditionInfo.details.additionShow;
                            checkedAdditionInfo.productSevere = checkedAdditionInfo.details.productSevere;
                            checkedAdditionInfo.productMild = checkedAdditionInfo.details.productMild;
                            checkedAdditionInfo.term = checkedAdditionInfo.details.term;
                            //console.log("checkedAdditionInfo", checkedAdditionInfo);
                            dealFourShowInfo(planBookStruct, checkedAdditionInfo, insureInfos);
                            readProductShowConfigure(ageClassifyIndex, checkedAdditionInfo, planBookStruct);
                            dealClauseInfo(planBookStruct, checkedAdditionInfo);
                        }
                    }
                    //再看附加险的计划书信息
                    if(typeof checkedMainInfo.riderList != 'undefined'){
                        for(var j = 0;j<checkedMainInfo.riderList.length;j++){//附加险
                            if(checkedMainInfo.riderList[j].flagId == "Y"){
                                var checkedAdditionInfo = checkedMainInfo.riderList[j];
                                //将details的信息提到上一层，方便统一处理
                                checkedAdditionInfo.productShow = checkedAdditionInfo.details.productShow;
                                checkedAdditionInfo.additionShow = checkedAdditionInfo.details.additionShow;
                                checkedAdditionInfo.productSevere = checkedAdditionInfo.details.productSevere;
                                checkedAdditionInfo.productMild = checkedAdditionInfo.details.productMild;
                                checkedAdditionInfo.term = checkedAdditionInfo.details.term;
                                //console.log("checkedAdditionInfo",checkedAdditionInfo);
                                dealFourShowInfo(planBookStruct,checkedAdditionInfo,insureInfos);
                                readProductShowConfigure(ageClassifyIndex,checkedAdditionInfo,planBookStruct);
                                dealClauseInfo(planBookStruct,checkedAdditionInfo);
                            }
                        }
                    }
                }

                if(planBookStruct.productShowItem.chargeSign == "to_"){
                    if(planBookStruct.productShowItem.chargeYear != 1 && planBookStruct.productShowItem.chargeYear != '1'){
                        planBookStruct.productShowItem.chargeYear = "至"+planBookStruct.productShowItem.chargeYear+"周岁";
                    }
                    else planBookStruct.productShowItem.chargeYear = ""+planBookStruct.productShowItem.chargeYear+"年";
                }
                else planBookStruct.productShowItem.chargeYear = ""+planBookStruct.productShowItem.chargeYear+"年";
                planBookStruct.productShowItem.firstPremium = ""+planBookStruct.productShowItem.firstPremium.toFixed(2)+"元";
                //console.log(planBookStruct.productShowItem.ensureSign,planBookStruct.productShowItem.ensureYear);
                planBookStruct.productShowItem.ensureYearVal = planBookStruct.productShowItem.ensureYear;
                if(planBookStruct.productShowItem.ensureSign == 'to_')planBookStruct.productShowItem.ensureYear = "至"+planBookStruct.productShowItem.ensureYear+"周岁";
                else if(planBookStruct.productShowItem.ensureSign == 'term_')planBookStruct.productShowItem.ensureYear = ""+planBookStruct.productShowItem.ensureYear+"年";
                else if(planBookStruct.productShowItem.ensureSign == 'to_all')planBookStruct.productShowItem.ensureYear = "1年";
                else if(planBookStruct.productShowItem.ensureSign == 'to_full')planBookStruct.productShowItem.ensureYear = "终身";
                //console.log(planBookStruct.productShowItem.ensureSign,planBookStruct.productShowItem.ensureYear);
                planBookStruct.productShowItem.amt = ""+planBookStruct.productShowItem.amt.toFixed(2)+"元";

                //console.log("planBookStruct:",planBookStruct);
                //上述执行完成之后，就可以组合merge展示项了,理论上副标题和主标题都已经合并完成，所以这里只需要转化为数组即可
                //使用planBookStruct.benefitStruct = {} 得到planBookStruct.benefit = [];
                //先剔除被包含的主标题：未成年：62包含03,04,61，04包含03,61；成年：60包含03,04,59,04包含03,59；老年：60包含03,04,45，03包含44
                if(ageClassifyIndex == 'A'){
                    if(typeof planBookStruct.benefitStruct["62"] != 'undefined'){
                        if(typeof planBookStruct.benefitStruct["03"] != 'undefined')delete planBookStruct.benefitStruct["03"];
                        if(typeof planBookStruct.benefitStruct["04"] != 'undefined')delete planBookStruct.benefitStruct["04"];
                        if(typeof planBookStruct.benefitStruct["61"] != 'undefined')delete planBookStruct.benefitStruct["61"];
                    }
                    else if(typeof planBookStruct.benefitStruct["04"] != 'undefined'){
                        if(typeof planBookStruct.benefitStruct["03"] != 'undefined')delete planBookStruct.benefitStruct["03"];
                        if(typeof planBookStruct.benefitStruct["61"] != 'undefined')delete planBookStruct.benefitStruct["61"];
                    }
                }
                else if(ageClassifyIndex == 'B'){
                    if(typeof planBookStruct.benefitStruct["60"] != 'undefined'){
                        if(typeof planBookStruct.benefitStruct["03"] != 'undefined')delete planBookStruct.benefitStruct["03"];
                        if(typeof planBookStruct.benefitStruct["04"] != 'undefined')delete planBookStruct.benefitStruct["04"];
                        if(typeof planBookStruct.benefitStruct["59"] != 'undefined')delete planBookStruct.benefitStruct["59"];
                    }
                    else if(typeof planBookStruct.benefitStruct["04"] != 'undefined'){
                        if(typeof planBookStruct.benefitStruct["03"] != 'undefined')delete planBookStruct.benefitStruct["03"];
                        if(typeof planBookStruct.benefitStruct["59"] != 'undefined')delete planBookStruct.benefitStruct["59"];
                    }
                }
                else{
                    if(typeof planBookStruct.benefitStruct["45"] != 'undefined'){
                        if(typeof planBookStruct.benefitStruct["03"] != 'undefined')delete planBookStruct.benefitStruct["03"];
                        if(typeof planBookStruct.benefitStruct["04"] != 'undefined')delete planBookStruct.benefitStruct["04"];
                        if(typeof planBookStruct.benefitStruct["44"] != 'undefined')delete planBookStruct.benefitStruct["44"];
                    }
                    else if(typeof planBookStruct.benefitStruct["04"] != 'undefined'){
                        if(typeof planBookStruct.benefitStruct["03"] != 'undefined')delete planBookStruct.benefitStruct["03"];
                        if(typeof planBookStruct.benefitStruct["44"] != 'undefined')delete planBookStruct.benefitStruct["44"];
                    }
                }
                //console.log(planBookStruct.benefitStruct);
                for(var benefitKey in planBookStruct.benefitStruct){
                    var aBenefit = {};
                    var benefitTerm = planBookStruct.benefitStruct[benefitKey];
                    //console.log("benefitTerm",benefitTerm);
                    aBenefit.type = benefitTerm.type;
                    aBenefit.productType = benefitTerm.productType;
                    //找主标题模板
                    var ruleTerm = rule[ageClassifyIndex][benefitKey]['i'];
                    //console.log(ruleTerm);
                    var mainArray = [];
                    if (ruleTerm.indexOf("{}") >= 0) {
                        //里面有需要匹配额信息
                        mainArray = ruleTerm.split("{}");
                    }
                    var ruleShowTerm = "";
                    for (var i = 0; i < mainArray.length; i++) {
                        if (i == 0) {
                            ruleShowTerm = mainArray[i];
                        }
                        else {//找到第i-1项参数
                            var tmpVal;
                            if(benefitTerm.Info[i-1]['name'] == 'MERGE'){
                                var len = 0;
                                for(var val in benefitTerm.Info[i-1]['MERGE']){
                                    len ++;
                                }
                                //console.log("length",len);
                                tmpVal = len;
                            }
                            else if(benefitTerm.Info[i-1]['name'] == 'RANGE'){
                                tmpVal = "" + benefitTerm.Info[i-1]['RANGE'][0] + '-' + benefitTerm.Info[i-1]['RANGE'][1];
                            }
                            else{
                                tmpVal = benefitTerm.Info[i-1][benefitTerm.Info[i-1]['name']];
                            }
                            ruleShowTerm = ruleShowTerm + tmpVal + mainArray[i];
                        }
                    }
                    if(mainArray.length > 0)aBenefit.mainInfo = ruleShowTerm;
                    else aBenefit.mainInfo = ruleTerm;
                    //处理副标题模板
                    aBenefit.attachInfo = [];
                    //console.log(benefitTerm.deputy);
                    for(var gh in benefitTerm.deputy){
                        var ruleDepTerm = rule[ageClassifyIndex][benefitKey][gh];
                        if(typeof ruleDepTerm == 'undefined')continue;
                        var depArray = [];
                        if (ruleDepTerm.indexOf("{}") >= 0) {
                            //里面有需要匹配额信息
                            depArray = ruleDepTerm.split("{}");
                        }
                        var ruleDepShowTerm = "";
                        var benefitDepTerm = benefitTerm.deputy[gh]
                        //console.log(benefitTerm);
                        //console.log(gh,benefitDepTerm);
                        //console.log(depArray);
                        for (var i = 0; i < depArray.length; i++) {
                            if (i == 0) {
                                ruleDepShowTerm = depArray[i];
                            }
                            else {//找到第i-1项参数
                                var tmpVal;
                                //console.log("benefitDepTerm",benefitDepTerm);
                                if(benefitDepTerm.Info[i-1]['name'] == 'MERGE'){
                                    var len = 0;
                                    for(var val in benefitDepTerm.Info[i-1]['MERGE']){
                                        len ++;
                                    }
                                    tmpVal = len;
                                }
                                else if(benefitDepTerm.Info[i-1]['name'] == 'RANGE'){
                                    if(benefitDepTerm.Info[i-1]['RANGE'][0] == benefitDepTerm.Info[i-1]['RANGE'][1]){
                                        tmpVal = "" + benefitDepTerm.Info[i-1]['RANGE'][0];
                                    }
                                    else tmpVal = "" + benefitDepTerm.Info[i-1]['RANGE'][0] + '-' + benefitDepTerm.Info[i-1]['RANGE'][1];
                                }
                                else{
                                    tmpVal = benefitDepTerm.Info[i-1][benefitDepTerm.Info[i-1]['name']];
                                    //console.log(benefitDepTerm.Info[i-1]['name'],tmpVal);
                                }
                                ruleDepShowTerm = ruleDepShowTerm + tmpVal + depArray[i];
                            }
                        }
                        if(depArray.length > 0){
                            //console.log(ruleDepShowTerm);
                            aBenefit.attachInfo.push(ruleDepShowTerm);
                        }
                        else{
                            //console.log(ruleDepTerm);
                            aBenefit.attachInfo.push(ruleDepTerm);
                        }
                    }

                    if(aBenefit.type == '1'){
                        aBenefit.buttonInfo = {};
                        aBenefit.buttonInfo.type = '1';
                        aBenefit.buttonInfo.name = '查看疾病清单';
                        aBenefit.buttonInfo.value = [];
                        for(var t in benefitTerm.Info[0].MERGE){
                            aBenefit.buttonInfo.value.push(t);
                        }
                    }
                    else if(aBenefit.type == '2'){
                        aBenefit.buttonInfo = {};
                        aBenefit.buttonInfo.type = '2';
                        aBenefit.buttonInfo.name = '查看疾病清单';
                        aBenefit.buttonInfo.value = [];
                        for(var t in benefitTerm.Info[0].MERGE){
                            aBenefit.buttonInfo.value.push(t);
                        }
                    }
                    //console.log("aBenefit:",aBenefit);
                    planBookStruct.benefit.push(aBenefit);
                }
                //console.log(planBookStruct);
                return planBookStruct;
            }
            //生成计划书
            $scope.goCreatePlan = function() {
                $scope.planbookCustId = "";//重置计划书客户id
                $scope.shareInfo = {};//重置shareInfo.id

                $scope.insureInfos.insuredInfo.name = $scope.insuredInfo.insuredName;
                $scope.insureInfos.insuredInfo.mobile = $scope.insuredInfo.insuredPhone;
                $scope.insurePlanResult = transInsureInfosToPlan($scope.insureInfos);
                if($scope.insurePlanResult.productList.length <= 0){
                    $scope.dialogTip("请选择产品");
                    return;
                }
                if($scope.planbookName == "" || ($scope.planbookName.length<4 || $scope.planbookName.length > 10 )){
                    $scope.dialogTip("计划书名称须大于4小于10个字");
                    return;
                }
                if ($scope.insureInfos.insuredInfo.name != null && $scope.insureInfos.insuredInfo.mobile) {
                    if (!validCredNum("name", $scope.insureInfos.insuredInfo.name)) {
                        $scope.dialogTip("姓名输入不合法");
                        //$scope.clickDialogTip(true,"请正确输入手机号码");
                        return;
                    }
                    if (!validCredNum("mobile", $scope.insureInfos.insuredInfo.mobile)) {
                        $scope.dialogTip("请正确输入手机号码");
                        //$scope.clickDialogTip(true,"请正确输入手机号码");
                        return;
                    }

                    $scope.showPlanBook();
                    //调用后台服务
                    var customerDetails = {
                        "name": $scope.insuredInfo.insuredName,
                        "contactValue":[$scope.insuredInfo.insuredPhone],
                        "gender":$scope.insuredInfo.sex == 0 ? "M" : "F",
                        "age":$scope.insuredInfo.insuredAge,
                        "customerSource":"planBook"
                    };
                    adbService.getResult(
                        {},
                        $scope.setService("I131048",customerDetails),
                        function (json) {
                            if (json.header.istatus == '-99'){
                                $scope.gotoApp('jsRefreshCookie');
                            }
                            else if (json.header.istatus == '1') {
                                $scope.planbookCustId = json.data.id;
                            }
                            //后台服务结束后执行
                            $scope.savePlanBook();
                        },
                        function (err) {
                            //console.log("获取用户信息失败");
                            //后台服务结束后执行
                            $scope.savePlanBook();
                        }
                    );
                }
                else{
                    $scope.showPlanBook();
                    $scope.savePlanBook();
                }
            }
            $scope.showPlanBook = function(){
                //代理人信息
                var broker = JSON.parse(localStorage.getItem('broker_in_session'));
                //生成计划书头部处理
                $scope.inputPage =false; //保险计划
                showPlanResult();
                $scope.$emit("topShow",false);
                $scope.$emit("adbBack","","1",false);//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
                $scope.$on('planResult', function(event, mass){
                    $scope.appTitle = '计划书演示';
                    $scope.$emit("topShow",true);
                    $scope.$emit("titleName", $scope.appTitle);
                    $scope.$emit("goIndexBtn", true);//去首页按钮
                    $scope.inputPage = true;
                    $scope.planResult = false; //计划书演示
                    $scope.$emit("adbBack","planBookListR","1",true);//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
                });
                $scope.insurePlanResult.customerId = $scope.planbookCustId;
                //console.log("broker.regId",broker.regId);
                if(typeof broker.regId != 'undefined'){
                    $scope.insurePlanResult.brokerInfo = {
                        "brokerId":broker.regId,
                        "head_portrait":broker.headPortrait,
                        "agent_name":broker.name,
                        "agent_mobile":broker.mobile
                    }
                }
                //将获取的result赋值给变量
                $scope.insuredInfoResult = $scope.insurePlanResult.insureInfo;
                $scope.holderInfoResult = $scope.insurePlanResult.holderInfo;
                $scope.brokerInfoResult = $scope.insurePlanResult.brokerInfo;
                //console.info($scope.brokerInfoResult);
                if($scope.brokerInfoResult.agent_name == "" || $scope.brokerInfoResult.agent_name =="undefined" || $scope.brokerInfoResult.agent_name == null){
                    $scope.isAgentName = false;
                }
                $scope.productShowItemResult = $scope.insurePlanResult.productShowItem;
                $scope.productListResult = $scope.insurePlanResult.productList;
                $scope.benefitResult = $scope.insurePlanResult.benefit;
                $scope.clauseResult = $scope.insurePlanResult.clause;

                //处理获取的保障利益的数据
                $scope.showItems = {};
                $scope.diseaseData = [];
                $scope.universalGoldData = [];
                $scope.educationalData = [];
                var sliderStartTime = 0, sliderEndTime = 105;
                for(var i=0;i<$scope.benefitResult.length;i++){
                    if($scope.benefitResult[i].type == "1" || $scope.benefitResult[i].type == "2"){
                        $scope.showItems.diseaseMildBox = true;
                        $scope.diseaseData.push($scope.benefitResult[i]);
                    }else if($scope.benefitResult[i].type == "3"){//只可能有一个type==3
                        $scope.showItems.universalGoldBox = true;
                        $scope.universalGoldData.push($scope.benefitResult[i]);
                        $scope.benefitResult[i].data = $scope.insurePlanResult.annuityData;
                        //console.log("$scope.benefitResult["+i+"]",$scope.benefitResult[i]);
                        if($scope.benefitResult[i].data.length>=0){
                            sliderStartTime = $scope.benefitResult[i].data[0].age;
                            sliderEndTime = $scope.benefitResult[i].data[$scope.benefitResult[i].data.length-1].age;
                        }
                        for(var j = 0;j<$scope.benefitResult[i].data.length;j++){
                            $scope.benefitResult[i].data[j].low = $scope.benefitResult[i].data[j].low.toFixed(2);
                            $scope.benefitResult[i].data[j].middle = $scope.benefitResult[i].data[j].middle.toFixed(2);
                            $scope.benefitResult[i].data[j].high = $scope.benefitResult[i].data[j].high.toFixed(2);
                        }
                        sliderStartTime = $scope.insureInfos.insuredInfo.age;
                        $scope.benefitResult[i].minAge = sliderStartTime;
                        $scope.benefitResult[i].maxAge = sliderEndTime;
                        //console.log($scope.insureInfos.insuredInfo.age,sliderEndTime);
                        setAgeSlider(sliderStartTime,sliderEndTime);
                    }else if($scope.benefitResult[i].type == "5"){
                        $scope.showItems.educationalBox = true;
                        $scope.educationalData.push($scope.benefitResult[i]);
                    }
                }


                //获取页面需求数据(获取条款页面的json串)
                for(var j=0;j<$scope.clauseResult.productListInfo.id.length;j++){
                    (function(j){
                        $.ajax({
                            url: 'module/planBook/js/clause/Z' + $scope.clauseResult.productListInfo.id[j] + '.json',
                            cache: true,
                            async: true,
                            dataType: 'json',
                            success: function (data) {
                                //console.info(data);
                                clauseAllData[j] = {};
                                clauseAllData[j].key = $scope.clauseResult.productListInfo.id[j];
                                clauseAllData[j].value = data;
                            },
                            error: function (err) {
                            }
                        });
                    })(j);
                }
            }
            $scope.savePlanBook = function(){
                //将计划书发给后台，后台应该回传一个id
                //console.log("$scope.insurePlanResult",$scope.insurePlanResult);
                $scope.insurePlanResult.customerId = $scope.planbookCustId;
                $scope.shareInfo = {};
                adbService.getResult(
                    {},
                    $scope.setService("I231010",$scope.insurePlanResult),
                    function (json) {
                        //后台服务结束后执行
                        if (json.header.istatus == '-99'){
                            $scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {
                            $scope.shareInfo.id = json.data;//获取计划书ID号，用于分享，如果此ID没有得到，则不允许分享
                            $scope.shareInfo.planbookName = $scope.planbookName;
                        }
                    },
                    function (err) {
                        //后台服务结束后执行
                        delete $scope.shareInfo.id;//保证无法分享计划书
                        $scope.dialogTip("上送计划书详情失败");
                    }
                );
            }
        }

        //调节年龄滑块
        function setAgeSlider(startTime, endTime){
            //console.log($scope.insureInfos.insuredInfo.age,$scope.insurePlanResult.productShowItem.ensureYearVal);
            $scope.minNum = startTime;
            $scope.maxNum = endTime;
            //$scope.minNum = $scope.universalGoldData[0].minAge;
            //$scope.maxNum = $scope.universalGoldData[0].maxAge;
            $scope.ageText = $scope.minNum;
            $scope.changeAgeText($scope.ageText);
            $scope.universalIndex = $scope.ageNum - 0;//展示万能账户索引
        }

        //修改年龄条
        $scope.changeAgeText = function(age){
            $scope.ageNum = parseInt(age);
            $scope.universalIndex = age - 0;//展示万能账户索引
        }

        //修改年龄输入框
        $scope.changeAgeNum = function(age){
            $scope.ageText = age;
            $scope.universalIndex = age - 0;//展示万能账户索引
        }


        //条款注解按钮跳转
        $scope.goClause = function(){
            $scope.initDatas = {
                "insuredLiability":false,
                "liabilityExemption":false,
                "detailClause":false
            };
            //条款注解页面返回跳转
            $scope.planResult = false; //计划书演示
            $scope.clauseNote = true;
            $scope.appTitle = '产品条款';
            $scope.$emit("titleName", $scope.appTitle);
            $scope.$emit("topShow",true);
            $scope.$emit("goIndexBtn", false);//去首页按钮
            $scope.$emit("adbBack","","1",false);//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
            $scope.$on('planResult', function(event, mass){
                showPlanResult();
                $scope.$emit("topShow",false);
                $scope.$emit("adbBack","","1",false);//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
                $scope.$on('planResult', function(event, mass){
                    showInputPage();
                    $scope.$emit("topShow",true);
                    $scope.planResult = mass;
                    $scope.$emit("adbBack","planBookListR","1",true);//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
                });
                $scope.clauseNote = mass;
                $scope.inputPage = false;
            });



            $scope.liability = [];
            $scope.exempt = [];
            $scope.clauseView = [];
            for(var i=0; i<$scope.clauseResult.productListInfo.pos.length;i++){
                //判断保险责任是否存在
                if($scope.clauseResult.productListInfo.pos[i][0] == 1){
                    $scope.liability.push(clauseAllData[i].value.liability);
                }
                //判断责任免除是否存在
                if($scope.clauseResult.productListInfo.pos[i][1] == 1){
                    $scope.exempt.push(clauseAllData[i].value.exempt);
                }
                //判断条款是否存在
                $scope.clauseView[i]={};
                if($scope.clauseResult.productListInfo.pos[i][2] != ""){
                    $scope.clauseView[i].id = $scope.clauseResult.productListInfo.id[i];
                    $scope.clauseView[i].content = $scope.clauseResult.productListInfo.pos[i][2];
                }
            }
            //console.info($scope.clauseView);
        };

        //查看疾病列表详情
        $scope.goCheckDetail = function(index){
            $scope.isOverflowHidden = true;
            $scope.checkDetail = true; //查看疾病清单
            //处理获取的疾病清单列表
            var diseaseListV = [];
            for(var i=0;i<$scope.diseaseData.length;i++){
                diseaseListV = $scope.diseaseData[index].buttonInfo.value;
            }

            //判断点击的查看疾病清单是轻症疾病还是重疾
            var diseaseType = "";
            $scope.diseaseListValue = {};
            if($scope.diseaseData[index].buttonInfo.type == "1"){
                diseaseType = "重疾";
                $scope.severe = severe;
                for(var i=0;i<diseaseListV.length;i++){
                    $scope.diseaseListValue[diseaseListV[i]]=$scope.severe[diseaseListV[i]];
                }
            }else if($scope.diseaseData[index].buttonInfo.type == "2"){
                diseaseType = "轻症";
                $scope.mild = mild;
                for(var i=0;i<diseaseListV.length;i++){
                    $scope.diseaseListValue[diseaseListV[i]]=$scope.mild[diseaseListV[i]];
                }
            }
            //组合弹框的title名称
            $scope.diseaseTitle = diseaseListV.length+"种"+diseaseType;

        };

        $scope.goPdfShow = function(id){

            var res = $scope.isNetConnectedFun();
            if(!res)
            {
                $scope.dialogTip('连接似乎有问题,请检查网络');
                return;
            }

            //如果是IOS则打开view读取pdf
            if ($scope.authed) {
                if ($scope.isNativeApp() == 'IOS')
                {
                    try{
                        var pdfUrl = _globalOption.pdfHost+'/adb/module/planBook/js/clause/'+id+".pdf";
                        native.jsCallH5View(pdfUrl,'');//打开pdf
                        return;
                    }
                    catch(e)
                    {

                    }

                }
            }

            $scope.isPdfShow = true;
            $scope.clauseNote = false;
            $scope.appTitle = '条款内容';
            $scope.$emit("titleName", $scope.appTitle);
            $scope.$emit("topShow",true);
            $scope.$emit("goIndexBtn", false);//去首页按钮
            $scope.pdfSrc="js/web/viewpdf.html?src=clause/"+id+".pdf";
            var a = document.createElement("iframe");
            a.width = "100%";
            a.height = "1000px";
            a.src = $scope.pdfSrc;
            var oB = document.getElementById("pdfShow")
            oB.appendChild(a);
            $scope.$emit("adbBack","","1",false);//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
            $scope.$on('planResult', function(event, mass){
                if(oB.hasChildNodes()){
                    oB.removeChild(oB.childNodes[0]);
                }
                $scope.isPdfShow = mass;
                $scope.appTitle = '产品条款';
                $scope.$emit("titleName", $scope.appTitle);
                $scope.$emit("goIndexBtn", false);//去首页按钮
                $scope.clauseNote = true;
                $scope.planResult = mass;
                $scope.$emit("topShow",true);
                $scope.$emit("adbBack","","1",false);//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
                $scope.$on('planResult', function(event, mass){

                    showPlanResult();
                    $scope.$emit("topShow",false);
                    $scope.$emit("adbBack","","1",false);//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
                    $scope.$on('planResult', function(event, mass){
                        showInputPage();
                        $scope.$emit("topShow",true);
                        $scope.planResult = mass;
                        $scope.$emit("adbBack","planBookListR","1",true);//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
                    });
                    $scope.clauseNote = mass;
                    $scope.inputPage = false;
                });
            });
        };
        //阅读疾病列表详情完毕
        $scope.lookFinish = function(){
            $scope.isOverflowHidden = false;
            $scope.checkDetail = false; //查看疾病清单
        };

        //继续制作计划书按钮
        $scope.newToMake = function(){
            var regId = "";
            var broker;
            if(typeof localStorage.getItem('broker_in_session') != "undefined")
            {
                broker = JSON.parse(localStorage.getItem('broker_in_session'));
            }
            if(typeof broker != "undefined" && broker && typeof broker['regId'] != "undefined" && broker['regId'])
                regId = broker['regId'];

            $scope.eventAttributes("planBookNewToMake",JSON.stringify({"tel":regId}));//结果页-新建计划次数埋点

            if ($scope.authed)
            {
                var res = $scope.gotoApp('PopNative');
            }
            if(!res)
            {
                $location.path('/planBookListR');
            }

        };


        var sharing = false;//分享中
        $scope.shareResult = function(){
            //分享按钮
            var res = $scope.isNetConnectedFun();
            if(!res)
            {
                $scope.dialogTip('连接似乎有问题,请检查网络');
                return;
            }
            if(!$scope.isCertificationFun('请完善认证信息开启专享通道才可进行分享'))
            {
                return;//如果不是认证用户，则返回，不进行分享
            }
            /***************************判断是否有$scope.planbookCustId和$scope.shareInfo.id begin*****************************/
            if($scope.planbookCustId == '' && (($scope.insureInfos.insuredInfo.name != null && $scope.insureInfos.insuredInfo.mobile)))
            {
                //生成$scope.planbookCustId
                var customerDetails = {
                    "name": $scope.insuredInfo.insuredName,
                    "contactValue":[$scope.insuredInfo.insuredPhone],
                    "gender":$scope.insuredInfo.sex == 0 ? "M" : "F",
                    "age":$scope.insuredInfo.insuredAge,
                    "customerSource":"planBook"
                };
                adbService.getResult(
                    {},
                    $scope.setService("I131048",customerDetails),
                    function (json) {
                        if (json.header.istatus == '-99'){
                            $scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {
                            $scope.planbookCustId = json.data.id;
                            $scope.insurePlanResult.customerId = $scope.planbookCustId;
                            $scope.shareInfo = {};
                            adbService.getResult(
                                {},
                                $scope.setService("I231010",$scope.insurePlanResult),
                                function (json) {
                                    //后台服务结束后执行
                                    if (json.header.istatus == '1') {
                                        $scope.shareInfo.id = json.data;//获取计划书ID号，用于分享，如果此ID没有得到，则不允许分享

                                        console.log("$scope.planbookCustId"+$scope.planbookCustId);
                                        console.log("$scope.shareInfo.id"+$scope.shareInfo.id);
                                        if(!sharing && typeof $scope.shareInfo.id != undefined &&  $scope.shareInfo.id) {
                                            sharing = true;//标识在分享中

                                            if($scope.brokerInfoResult.agent_name == "" || $scope.brokerInfoResult.agent_name =="undefined" || $scope.brokerInfoResult.agent_name == null){
                                                $scope.brokerInfoResult.agent_name = "";
                                            }
                                            //跳转到某个id
                                            var shareObj = {
                                                "imgUrl":_globalOption.host+"/adb/module/planBook/images/productLogo/"+$scope.insurePlanResult.productList[0].productId+".png",
                                                "shareUrl": _globalOption.shareHost+"/adb/share.html#/planBookResultR/"+$scope.shareInfo.id+"?&",
                                                "title": "《"+$scope.planbookName+"》保障计划",
                                                "description":"保险独立经纪人"+$scope.brokerInfoResult.agent_name+"为您精心设计的专属保险组合计划，简单明了，保障全面!"
                                            };
                                            //console.log(shareObj);
                                            var mdUrl = '';
                                            for(var i=0;i<$scope.insurePlanResult.productList.length;i++)
                                            {
                                                if (i == 0)
                                                {
                                                    mdUrl = $scope.insurePlanResult.productList[i].productId;
                                                }
                                                else{
                                                    mdUrl += '/'+$scope.insurePlanResult.productList[i].productId;
                                                }
                                            }

                                            var regId = "";
                                            var broker;
                                            if(typeof localStorage.getItem('broker_in_session') != "undefined")
                                            {
                                                broker = JSON.parse(localStorage.getItem('broker_in_session'));
                                            }
                                            if(typeof broker != "undefined" && broker && typeof broker['regId'] != "undefined" && broker['regId'])
                                                regId = broker['regId'];

                                            $scope.eventAttributes("planBookShare",JSON.stringify({"productId":mdUrl,"tel":regId}));//分享计划书次数埋点

                                            $scope.$emit("goShare",shareObj);
                                            $scope.showShareBox(true);
                                            var timer = $timeout(
                                                function() {
                                                    sharing = false;
                                                },
                                                2000
                                            );
                                        }

                                    }
                                    else{
                                        delete $scope.shareInfo.id;//保证无法分享计划书
                                        $scope.dialogTip('连接似乎有问题,请检查网络');
                                    }
                                },
                                function (err) {
                                    //后台服务结束后执行
                                    delete $scope.shareInfo.id;//保证无法分享计划书
                                    $scope.dialogTip('连接似乎有问题,请检查网络');
                                }
                            );
                        }else{
                            $scope.dialogTip('连接似乎有问题,请检查网络');
                            return;
                        }
                    },
                    function (err) {
                        $scope.dialogTip('连接似乎有问题,请检查网络');
                        return;
                    }
                );
            }
            if(typeof($scope.shareInfo.id) == "undefined" || $scope.shareInfo.id == '')
            {
                //生成$scope.shareInfo.id
                $scope.insurePlanResult.customerId = $scope.planbookCustId;
                $scope.shareInfo = {};
                adbService.getResult(
                    {},
                    $scope.setService("I231010",$scope.insurePlanResult),
                    function (json) {
                        //后台服务结束后执行
                        if (json.header.istatus == '1') {
                            $scope.shareInfo.id = json.data;//获取计划书ID号，用于分享，如果此ID没有得到，则不允许分享

                            console.log("$scope.planbookCustId"+$scope.planbookCustId);
                            console.log("$scope.shareInfo.id"+$scope.shareInfo.id);
                            if(!sharing && typeof $scope.shareInfo.id != undefined &&  $scope.shareInfo.id) {
                                sharing = true;//标识在分享中

                                if($scope.brokerInfoResult.agent_name == "" || $scope.brokerInfoResult.agent_name =="undefined" || $scope.brokerInfoResult.agent_name == null){
                                    $scope.brokerInfoResult.agent_name = "";
                                }
                                //跳转到某个id
                                var shareObj = {
                                    "imgUrl":_globalOption.host+"/adb/module/planBook/images/productLogo/"+$scope.insurePlanResult.productList[0].productId+".png",
                                    "shareUrl": _globalOption.shareHost+"/adb/share.html#/planBookResultR/"+$scope.shareInfo.id+"?&",
                                    "title": "《"+$scope.planbookName+"》保障计划",
                                    "description":"保险独立经纪人"+$scope.brokerInfoResult.agent_name+"为您精心设计的专属保险组合计划，简单明了，保障全面!"
                                };
                                //console.log(shareObj);
                                var mdUrl = '';
                                for(var i=0;i<$scope.insurePlanResult.productList.length;i++)
                                {
                                    if (i == 0)
                                    {
                                        mdUrl = $scope.insurePlanResult.productList[i].productId;
                                    }
                                    else{
                                        mdUrl += '/'+$scope.insurePlanResult.productList[i].productId;
                                    }
                                }

                                var regId = "";
                                var broker;
                                if(typeof localStorage.getItem('broker_in_session') != "undefined")
                                {
                                    broker = JSON.parse(localStorage.getItem('broker_in_session'));
                                }
                                if(typeof broker != "undefined" && broker && typeof broker['regId'] != "undefined" && broker['regId'])
                                    regId = broker['regId'];

                                $scope.eventAttributes("planBookShare",JSON.stringify({"productId":mdUrl,"tel":regId}));//分享计划书次数埋点


                                $scope.$emit("goShare",shareObj);
                                $scope.showShareBox(true);
                                var timer = $timeout(
                                    function() {
                                        sharing = false;
                                    },
                                    2000
                                );
                            }

                        }
                        else{
                            delete $scope.shareInfo.id;//保证无法分享计划书
                            $scope.dialogTip('连接似乎有问题,请检查网络');
                        }
                    },
                    function (err) {
                        //后台服务结束后执行
                        delete $scope.shareInfo.id;//保证无法分享计划书
                        $scope.dialogTip('连接似乎有问题,请检查网络');
                    }
                );
            }else{
                //跳转到某个id
                var shareObj = {
                    "imgUrl":_globalOption.host+"/adb/module/planBook/images/productLogo/"+$scope.insurePlanResult.productList[0].productId+".png",
                    "shareUrl": _globalOption.shareHost+"/adb/share.html#/planBookResultR/"+$scope.shareInfo.id+"?&",
                    "title": "《"+$scope.planbookName+"》保障计划",
                    "description":"保险独立经纪人"+$scope.brokerInfoResult.agent_name+"为您精心设计的专属保险组合计划，简单明了，保障全面!"
                };
                //console.log(shareObj);
                var mdUrl = '';
                for(var i=0;i<$scope.insurePlanResult.productList.length;i++)
                {
                    if (i == 0)
                    {
                        mdUrl = $scope.insurePlanResult.productList[i].productId;
                    }
                    else{
                        mdUrl += '/'+$scope.insurePlanResult.productList[i].productId;
                    }
                }

                var regId = "";
                var broker;
                if(typeof localStorage.getItem('broker_in_session') != "undefined")
                {
                    broker = JSON.parse(localStorage.getItem('broker_in_session'));
                }
                if(typeof broker != "undefined" && broker && typeof broker['regId'] != "undefined" && broker['regId'])
                    regId = broker['regId'];

                $scope.eventAttributes("planBookShare",JSON.stringify({"productId":mdUrl,"tel":regId}));//分享计划书次数埋点

                $scope.$emit("goShare",shareObj);
                $scope.showShareBox(true);
                var timer = $timeout(
                    function() {
                        sharing = false;
                    },
                    2000
                );
            }
            /***************************判断是否有$scope.planbookCustId和$scope.shareInfo.id end**************************************/

        };

        //切换弹窗
        $scope.initDatas = {};

        $scope.toggleShow=function(e){
            if(e == "insuredLiability"){
                $scope.initDatas['liabilityExemption'] = false;
                $scope.initDatas['detailClause'] = false;
            }else if(e == "liabilityExemption"){
                $scope.initDatas['insuredLiability'] = false;
                $scope.initDatas['detailClause'] = false;
            }else if(e == "detailClause"){
                $scope.initDatas['insuredLiability'] = false;
                $scope.initDatas['liabilityExemption'] = false;
            }
            $scope.initDatas[e]=!$scope.initDatas[e];
        }

        function ajaxRes(dataJson)//ajax同步获取数据
        {
            console.log(dataJson);
            var res;
            $.ajax({
                type:"post",
                method: "POST",
                url: '/adbapi',
                dataType: "json",
                cache: false,
                async: false,
                data: dataJson,
                success: function (json) {
                    if (json.header.istatus == "1") {
                        res = json.data;
                    }
                    else{
                        console.log('2502');
                        res = false;
                    }
                },
                error: function (err) {
                    res = false;
                }
            });
            return res;
        }



        $scope.selectCustomerD = function(){
            var res = $scope.isNetConnectedFun();
            if(!res)
            {
                $scope.dialogTip('连接似乎有问题,请检查网络');
                return;
            }
            $scope.selectCustomer(0);
        }

    }]);
});
function noDrag(){
    $('#noDrage').click();
}