var ruleForMakePlan = {
    "100100": {
        "isInsure":"N",
        "c_fee_method":"1",
        "InputType":"1",
        "defaultAmt":"50000",
        "feeRule":{
            "feeType":"1",
            "isClass":"N",
            "minAmt":"50000",
            "maxAmt":"100000000",
            "multiple":"10000"
        },
        "payType":"1",
        "payFull":[
            {
                "minAge":"0",
                "maxAge":"50",
                "payYear":["to_all","term_5","term_10","term_15","term_20"],
                "defaultPay":"term_20"
            },
            {
                "minAge":"51",
                "maxAge":"55",
                "payYear":["to_all","term_5","term_10","term_15"],
                "defaultPay":"term_15"
            },
            {
                "minAge":"56",
                "maxAge":"60",
                "payYear":["to_all","term_5","term_10"],
                "defaultPay":"term_10"
            }
        ],
        "payFullRule":"70",
        "ensureType":"1",
        "ensureYear":["to_full"],
        "defaultEnsure":"to_full"
    },
    "100101": {
        "isInsure": "Y",
        "c_fee_method": "1",
        "InputType": "4",
        "payType": "2",
        "payValue": "2",
        "payFullRule": "69",
        "ensureType": "2",
        "ensureYear": "2"
    },
    "100200":{
        "isInsure":"N",
        "c_fee_method":"1",
        "InputType":"1",
        "defaultAmt":"10000",
        "feeRule":{
            "feeType":"1",
            "isClass":"N",
            "minAmt":"10000",
            "maxAmt":"100000000",
            "multiple":"10000"
        },
        "payType":"1",
        "payFull":[
            {
                "minAge":"0",
                "maxAge":"50",
                "payYear":["term_5","term_10","term_15","term_20"],
                "defaultPay":"term_20"
            },
            {
                "minAge":"51",
                "maxAge":"55",
                "payYear":["term_5","term_10","term_15"],
                "defaultPay":"term_15"
            },
            {
                "minAge":"56",
                "maxAge":"60",
                "payYear":["to_all","term_5","term_10"],
                "defaultPay":"term_10"
            }
        ],
        "payFullRule":"70",
        "ensureType":"1",
        "ensureYear":["to_full"],
        "defaultEnsure":"to_full"
    },
    "100201":{
        "isInsure":"N",
        "c_fee_method":"1",
        "InputType":"3",
        "amtRule":[
            {
                "minPremium":"2000",
                "maxPremium":"5000",
                "amtValue":["5000","8000","10000"],
                "defaultAmt":"5000"
            },
            {
                "minPremium":"5000",
                "maxPremium":"10000",
                "amtValue":["5000","8000","10000","15000","20000","30000"],
                "defaultAmt":"5000"
            },
            {
                "minPremium":"10000",
                "maxPremium":"100000000",
                "amtValue":["5000","8000","10000","15000","20000","30000","40000","50000"],
                "defaultAmt":"5000"
            }
        ],
        "payType":"1",
        "payFull":[
            {
                "minAge":"0",
                "maxAge":"55",
                "payYear":["term_1"],
                "defaultPay":"term_1"
            }
        ],
        "ensureType":"1",
        "ensureYear":["term_1"],
        "defaultEnsure":"term_1",
        "minPremium":"2000"
    },
    "100202":{
        "isInsure":"N",
        "c_fee_method":"1",
        "InputType":"3",
        "amtRule":[
            {
                "minPremium":"0",
                "maxPremium":"100000000",
                "amtValue":["5000","10000","15000","20000"],
                "defaultAmt":"5000"
            }
        ],
        "payType":"1",
        "payFull":[
            {
                "minAge":"0",
                "maxAge":"55",
                "payYear":["term_1"],
                "defaultPay":"term_1"
            }
        ],
        "ensureType":"1",
        "ensureYear":["term_1"],
        "defaultEnsure":"term_1"
    },
    "100203":{
        "isInsure":"N",
        "c_fee_method":"1",
        "InputType":"1",
        "defaultAmt":"30",
        "feeRule":{
            "feeType":"1",
            "isClass":"N",
            "minAmt":"30",
            "maxAmt":"100000000",
            "multiple":"30"
        },
        "payType":"1",
        "payFull":[
            {
                "minAge":"4",
                "maxAge":"55",
                "payYear":["term_1"],
                "defaultPay":"term_1"
            }
        ],
        "ensureType":"1",
        "ensureYear":["term_1"],
        "defaultEnsure":"term_1"
    },
    "100204": {
        "isInsure": "Y",
        "c_fee_method": "1",
        "InputType": "4",
        "payType": "2",
        "payValue": "2",
        "payFullRule": "70",
        "ensureType": "2",
        "ensureYear": "2"
    },
    "100304":{
        "isInsure":"Y",
        "c_fee_method":"1",
        "InputType":"4",
        "payType":"2",
        "payValue":"2",
        "payFullRule":"69",
        "ensureType":"2",
        "ensureYear":"2"
    },
    "100206":{
        "isInsure": "N",
        "c_fee_method": "3",
        "defaultPay":"term_0",
        "defaultEnsure":"to_full"
    },
    "100300":{
        "isInsure":"N",
        "c_fee_method":"1",
        "InputType":"1",
        "defaultAmt":"10000",
        "feeRule":{
            "feeType":"1",
            "isClass":"N",
            "minAmt":"10000",
            "maxAmt":"100000000",
            "multiple":"1000"
        },
        "payType":"1",
        "payFull":[
            {
                "minAge":"0",
                "maxAge":"50",
                "payYear":["term_5","term_10","term_15","term_20"],
                "defaultPay":"term_20"
            },
            {
                "minAge":"51",
                "maxAge":"55",
                "payYear":["term_5","term_10","term_15"],
                "defaultPay":"term_15"
            },
            {
                "minAge":"56",
                "maxAge":"60",
                "payYear":["term_5","term_10"],
                "defaultPay":"term_10"
            }
        ],
        "payFullRule":"70",
        "ensureType":"1",
        "ensureYear":["to_full"],
        "defaultEnsure":"to_full"
    },
    "100400": {
        "isInsure":"N",
        "c_fee_method":"1",
        "InputType":"1",
        "defaultAmt":"100000",
        "feeRule":{
            "feeType":"1",
            "isClass":"N",
            "minAmt":"100000",
            "maxAmt":"100000000",
            "multiple":"1000"
        },
        "payType":"1",
        "payFull":[
            {
                "minAge":"0",
                "maxAge":"50",
                "payYear":["to_all","term_5","term_10","term_15","term_20"],
                "defaultPay":"term_20"
            },
            {
                "minAge":"51",
                "maxAge":"55",
                "payYear":["to_all","term_5","term_10","term_15"],
                "defaultPay":"term_15"
            },
            {
                "minAge":"56",
                "maxAge":"60",
                "payYear":["to_all","term_5","term_10"],
                "defaultPay":"term_10"
            },
            {
                "minAge":"61",
                "maxAge":"65",
                "payYear":["to_all","term_5"],
                "defaultPay":"term_5"
            }
        ],
        "payFullRule":"70",
        "ensureType":"1",
        "ensureYear":["to_full"],
        "defaultEnsure":"to_full"
    },
    "100401": {
        "isInsure":"N",
        "c_fee_method":"1",
        "InputType":"3",
        "amtRule":[
            {
                "minPremium":"0",
                "maxPremium":"100000000",
                "amtValue":["1600"],
                "defaultAmt":"1600"
            }
        ],
        "payType":"1",
        "payFull":[
            {
                "minAge":"0",
                "maxAge":"65",
                "payYear":["term_1"],
                "defaultPay":"term_1"
            }
        ],
        "ensureType":"1",
        "ensureYear":["term_1"],
        "defaultEnsure":"term_1"
    },
    "100402": {
        "isInsure":"N",
        "c_fee_method":"1",
        "InputType":"1",
        "defaultAmt":"5000",
        "feeRule":{
            "feeType":"1",
            "isClass":"N",
            "minAmt":"5000",
            "maxAmt":"50000",
            "multiple":"1000"
        },
        "payType":"1",
        "payFull":[
            {
                "minAge":"0",
                "maxAge":"60",
                "payYear":["term_1"],
                "defaultPay":"term_1"
            }
        ],
        "ensureType":"1",
        "ensureYear":["term_1"],
        "defaultEnsure":"term_1"
    },
    "100403": {
        "isInsure": "Y",
        "c_fee_method": "1",
        "InputType": "4",
        "payType": "2",
        "payValue": "2",
        "payFullRule": "60",
        "ensureType": "2",
        "ensureYear": "2"
    },
    "100404": {
        "isInsure": "Y",
        "c_fee_method": "1",
        "InputType": "6",
        "payType": "2",
        "payValue": "2",
        "payFullRule": "70",
        "ensureType": "2",
        "ensureYear": "2"
    },
    "100500": {
        "isInsure":"N",
        "c_fee_method":"1",
        "InputType":"1",
        "defaultAmt":"50000",
        "multiple":"10000",
        "payType":"1",
        "payFull":[
            {
                "minAge":"0",
                "maxAge":"50",
                "payYear":["to_all","term_3","term_5","term_10","term_15","term_20"],
                "defaultPay":"term_20"
            },
            {
                "minAge":"51",
                "maxAge":"55",
                "payYear":["to_all","term_3","term_5","term_10","term_15"],
                "defaultPay":"term_15"
            },
            {
                "minAge":"56",
                "maxAge":"60",
                "payYear":["to_all","term_3","term_5"],
                "defaultPay":"term_5"
            }
        ],
        "payFullRule":"70",
        "ensureType":"1",
        "ensureYear":["to_full"],
        "defaultEnsure":"to_full"
    },
    "100501": {
        "isInsure": "Y",
        "c_fee_method": "1",
        "InputType": "5",
        "payType": "2",
        "payValue": "1",
        "payFullRule": "75",
        "ensureType": "2",
        "ensureYear": "1"
    },
    "100502": {
        "isInsure": "N",
        "c_fee_method": "1",
        "InputType": "1",
        "feeRule":{
            "feeType":"1",
            "isClass":"Y",
            "A":{
                "minAmt":"50000",
                "maxAmt":"100000",
                "multiple":"10000"
            },
            "B":{
                "minAmt":"100000",
                "maxAmt":"5000000",
                "multiple":"10000"
            },
            "C":{
                "minAmt":"100000",
                "maxAmt":"5000000",
                "multiple":"10000"
            }
        },
        "payType": "3",
        "payFull":{
            "term_10":[
                {
                    "minAge":"0",
                    "maxAge":"65",
                    "payYear":["to_all","term_3","term_5","term_10"],
                    "defaultPay":"term_10"
                }
            ],
            "term_15":[
                {
                    "minAge":"0",
                    "maxAge":"60",
                    "payYear":["to_all","term_3","term_5","term_10","term_15"],
                    "defaultPay":"term_15"
                }
            ],
            "term_20":[
                {
                    "minAge":"0",
                    "maxAge":"55",
                    "payYear":["to_all","term_3","term_5","term_10","term_15","term_20"],
                    "defaultPay":"term_20"
                }
            ],
            "term_30":[
                {
                    "minAge":"0",
                    "maxAge":"45",
                    "payYear":["to_all","term_3","term_5","term_10","term_15","term_20"],
                    "defaultPay":"term_20"
                }
            ],
            "to_55":[
                {
                    "minAge":"0",
                    "maxAge":"30",
                    "payYear":["to_all","term_3","term_5","term_10","term_15","term_20"],
                    "defaultPay":"term_20"
                },
                {
                    "minAge":"31",
                    "maxAge":"35",
                    "payYear":["to_all","term_3","term_5","term_10","term_15"],
                    "defaultPay":"term_15"
                },
                {
                    "minAge":"36",
                    "maxAge":"40",
                    "payYear":["to_all","term_3","term_5","term_10"],
                    "defaultPay":"term_10"
                },
                {
                    "minAge":"41",
                    "maxAge":"45",
                    "payYear":["to_all","term_3","term_5"],
                    "defaultPay":"term_5"
                },
                {
                    "minAge":"46",
                    "maxAge":"50",
                    "payYear":["to_all"],
                    "defaultPay":"to_all"
                }
            ],
            "to_60":[
                {
                    "minAge":"0",
                    "maxAge":"35",
                    "payYear":["to_all","term_3","term_5","term_10","term_15","term_20"],
                    "defaultPay":"term_20"
                },
                {
                    "minAge":"36",
                    "maxAge":"40",
                    "payYear":["to_all","term_3","term_5","term_10","term_15"],
                    "defaultPay":"term_15"
                },
                {
                    "minAge":"41",
                    "maxAge":"45",
                    "payYear":["to_all","term_3","term_5","term_10"],
                    "defaultPay":"term_10"
                },
                {
                    "minAge":"46",
                    "maxAge":"50",
                    "payYear":["to_all","term_3","term_5"],
                    "defaultPay":"to_all"
                },
                {
                    "minAge":"51",
                    "maxAge":"55",
                    "payYear":["to_all"],
                    "defaultPay":"to_all"
                }
            ],
            "to_65":[
                {
                    "minAge":"0",
                    "maxAge":"40",
                    "payYear":["to_all","term_3","term_5","term_10","term_15","term_20"],
                    "defaultPay":"term_20"
                },
                {
                    "minAge":"41",
                    "maxAge":"45",
                    "payYear":["to_all","term_3","term_5","term_10","term_15"],
                    "defaultPay":"term_15"
                },
                {
                    "minAge":"46",
                    "maxAge":"50",
                    "payYear":["to_all","term_3","term_5","term_10"],
                    "defaultPay":"term_10"
                },
                {
                    "minAge":"51",
                    "maxAge":"55",
                    "payYear":["to_all","term_3","term_5"],
                    "defaultPay":"to_all"
                },
                {
                    "minAge":"56",
                    "maxAge":"60",
                    "payYear":["to_all"],
                    "defaultPay":"to_all"
                }
            ],
            "to_70":[
                {
                    "minAge":"0",
                    "maxAge":"45",
                    "payYear":["to_all","term_3","term_5","term_10","term_15","term_20"],
                    "defaultPay":"term_20"
                },
                {
                    "minAge":"46",
                    "maxAge":"50",
                    "payYear":["to_all","term_3","term_5","term_10","term_15"],
                    "defaultPay":"term_15"
                },
                {
                    "minAge":"51",
                    "maxAge":"55",
                    "payYear":["to_all","term_3","term_5","term_10"],
                    "defaultPay":"term_10"
                },
                {
                    "minAge":"56",
                    "maxAge":"60",
                    "payYear":["to_all","term_3","term_5"],
                    "defaultPay":"to_all"
                },
                {
                    "minAge":"61",
                    "maxAge":"65",
                    "payYear":["to_all"],
                    "defaultPay":"to_all"
                }
            ],
            "to_75":[
                {
                    "minAge":"0",
                    "maxAge":"50",
                    "payYear":["to_all","term_3","term_5","term_10","term_15","term_20"],
                    "defaultPay":"term_20"
                },
                {
                    "minAge":"51",
                    "maxAge":"55",
                    "payYear":["to_all","term_3","term_5","term_10","term_15"],
                    "defaultPay":"term_15"
                },
                {
                    "minAge":"56",
                    "maxAge":"60",
                    "payYear":["to_all","term_3","term_5","term_10"],
                    "defaultPay":"term_10"
                },
                {
                    "minAge":"61",
                    "maxAge":"65",
                    "payYear":["to_all","term_3","term_5"],
                    "defaultPay":"to_all"
                }
            ]
        },
        "ensureType": "3",
        "ensureYear":[
            {
                "minAge":"0",
                "maxAge":"45",
                "enYear":["term_10","term_15","term_20","term_30","to_55","to_60","to_65","to_70","to_75"],
                "defaultEnsure":"to_75"
            },
            {
                "minAge":"46",
                "maxAge":"50",
                "enYear":["term_10","term_15","term_20","to_55","to_60","to_65","to_70","to_75"],
                "defaultEnsure":"to_75"
            },
            {
                "minAge":"51",
                "maxAge":"55",
                "enYear":["term_10","term_15","term_20","to_60","to_65","to_70","to_75"],
                "defaultEnsure":"to_75"
            },
            {
                "minAge":"56",
                "maxAge":"60",
                "enYear":["term_10","term_15","to_65","to_70","to_75"],
                "defaultEnsure":"to_75"
            },
            {
                "minAge":"61",
                "maxAge":"65",
                "enYear":["term_10","to_70","to_75"],
                "defaultEnsure":"to_75"
            }
        ]
    },
    "100600": {
        "isInsure":"N",
        "c_fee_method":"1",
        "InputType":"1",
        "defaultAmt":"50000",
        "feeRule":{
            "feeType":"1",
            "isClass":"N",
            "minAmt":"50000",
            "maxAmt":"100000000",
            "multiple":"10000"
        },
        "payType":"1",
        "payFull":[
            {
                "minAge":"18",
                "maxAge":"50",
                "payYear":["to_all","term_10","term_20"],
                "defaultPay":"term_20"
            },
            {
                "minAge":"51",
                "maxAge":"60",
                "payYear":["to_all","term_10"],
                    "defaultPay":"term_10"
            },
            {
                "minAge":"61",
                "maxAge":"70",
                "payYear":["to_all"],
                "defaultPay":"to_all"
            },
        ],
        "payFullRule":"70",
        "ensureType":"1",
        "ensureYear":["to_full"],
        "defaultEnsure":"to_full"
    },
    "100700": {
        "isInsure":"N",
        "c_fee_method":"1",
        "InputType":"1",
        "defaultAmt":"10000",
        "feeRule":{
            "feeType":"1",
            "isClass":"N",
            "minAmt":"10000",
            "maxAmt":"500000",
            "multiple":"10000"
        },
        "payType":"1",
        "payFull":[
            {
                "minAge":"0",
                "maxAge":"40",
                "payYear":["term_10","term_15","term_20"],
                "defaultPay":"term_20"
            },
            {
                "minAge":"41",
                "maxAge":"45",
                "payYear":["term_10","term_15"],
                "defaultPay":"term_15"
            },
            {
                "minAge":"46",
                "maxAge":"50",
                "payYear":["term_10"],
                "defaultPay":"term_10"
            }
        ],
        "payFullRule":"60",
        "ensureType":"1",
        "ensureYear":["to_88"],
        "defaultEnsure":"to_88"
    },
    "100701": {
        "isInsure": "N",
        "c_fee_method": "3",
        "defaultPay":"term_0",
        "defaultEnsure":"to_88"
    },
    "100800": {
        "isInsure":"N",
        "c_fee_method":"1",
        "InputType":"1",
        "defaultAmt":"50000",
        "feeRule":{
            "feeType":"1",
            "isClass":"N",
            "minAmt":"50000",
            "maxAmt":"150000",
            "multiple":"10000"
        },
        "payType":"1",
        "payFull":[
            {
                "minAge":"46",
                "maxAge":"60",
                "payYear":["term_5","term_10","term_20"],
                "defaultPay":"term_20"
            },
            {
                "minAge":"61",
                "maxAge":"70",
                "payYear":["term_5","term_10"],
                "defaultPay":"term_10"
            },
            {
                "minAge":"71",
                "maxAge":"75",
                "payYear":["term_5"],
                "defaultPay":"term_5"
            }
        ],
        "payFullRule":"80",
        "ensureType":"1",
        "ensureYear":["to_full"],
        "defaultEnsure":"to_full"
    },
    "100900": {
        "isInsure": "N",
        "c_fee_method": "1",
        "InputType": "1",
        "defaultAmt":"50000",
        "feeRule":{
            "feeType":"1",
            "isClass":"N",
            "minAmt":"50000",
            "maxAmt":"200000",
            "multiple":"10000"
        },
        "payType": "3",
        "payFull":{
            "to_60":[
                {
                    "minAge":"0",
                    "maxAge":"35",
                    "payYear":["to_all","term_5","term_10","term_15","term_20"],
                    "defaultPay":"term_20"
                },
                {
                    "minAge":"36",
                    "maxAge":"40",
                    "payYear":["to_all","term_5","term_10","term_15"],
                    "defaultPay":"term_15"
                },
                {
                    "minAge":"41",
                    "maxAge":"45",
                    "payYear":["to_all","term_5","term_10"],
                    "defaultPay":"term_10"
                }
            ],
            "to_70":[
                {
                    "minAge":"0",
                    "maxAge":"45",
                    "payYear":["to_all","term_5","term_10","term_15","term_20"],
                    "defaultPay":"term_20"
                },
                {
                    "minAge":"46",
                    "maxAge":"50",
                    "payYear":["to_all","term_5","term_10","term_15"],
                    "defaultPay":"term_15"
                },
                {
                    "minAge":"51",
                    "maxAge":"55",
                    "payYear":["to_all","term_5","term_10"],
                    "defaultPay":"term_10"
                }
            ],
            "to_80":[
                {
                    "minAge":"0",
                    "maxAge":"45",
                    "payYear":["to_all","term_5","term_10","term_15","term_20"],
                    "defaultPay":"term_20"
                },
                {
                    "minAge":"46",
                    "maxAge":"50",
                    "payYear":["to_all","term_5","term_10","term_15"],
                    "defaultPay":"term_15"
                },
                {
                    "minAge":"51",
                    "maxAge":"55",
                    "payYear":["to_all","term_5","term_10"],
                    "defaultPay":"term_10"
                },
                {
                    "minAge":"56",
                    "maxAge":"60",
                    "payYear":["to_all","term_5"],
                    "defaultPay":"term_5"
                }
            ]
        },
        "ensureType": "3",
        "ensureYear":[
            {
                "minAge":"0",
                "maxAge":"45",
                "enYear":["to_60","to_70","to_80"],
                "defaultEnsure":"to_80"
            },
            {
                "minAge":"46",
                "maxAge":"55",
                "enYear":["to_70","to_80"],
                "defaultEnsure":"to_80"
            },
            {
                "minAge":"56",
                "maxAge":"60",
                "enYear":["to_80"],
                "defaultEnsure":"to_80"
            }
        ]
    },
    "101000": {
        "isInsure":"N",
        "c_fee_method":"1",
        "InputType":"1",
        "defaultAmt":"100000",
        "multiple":"100000",
        "payType":"1",
        "payFull":[
            {
                "minAge":"0",
                "maxAge":"50",
                "payYear":["to_all","term_3","term_5","term_10"],
                "defaultPay":"term_10"
            }
        ],
        "payFullRule":"60",
        "ensureType":"1",
        "ensureYear":["to_75"],
        "defaultEnsure":"to_75"
    },
    "101100": {
        "isInsure": "N",
        "c_fee_method": "4",
        "appoint":"101101",
        "payType": "3",
        "payFull":{
            "term_30":[
                {
                    "minAge":"18",
                    "maxAge":"50",
                    "payYear":["to_all","term_3","term_5","term_10","term_15","term_20"],
                    "defaultPay":"term_20"
                }
            ],
            "to_80":[
                {
                    "minAge":"18",
                    "maxAge":"55",
                    "payYear":["to_all","term_3","term_5","term_10"],
                    "defaultPay":"term_10"
                },
                {
                    "minAge":"56",
                    "maxAge":"60",
                    "payYear":["to_all"],
                    "defaultPay":"to_all"
                }
            ]
        },
        "ensureType": "3",
        "ensureYear":[
            {
                "minAge":"18",
                "maxAge":"50",
                "enYear":["term_30","to_80"],
                "defaultEnsure":"to_80"
            },
            {
                "minAge":"51",
                "maxAge":"60",
                "enYear":["to_80"],
                "defaultEnsure":"to_80"
            }
        ]
    },
    "101101": {
        "isInsure": "N",
        "c_fee_method": "5",
        "InputType":"3",
        "defaultAmt":"100000",
        "amtRule":[
            {
                "minPremium":"0",
                "maxPremium":"100000000",
                "amtValue":["100000","200000","300000"],
                "defaultAmt":"100000"
            }
        ],
        "payType": "2",
        "payValue": "1",
        "payFullRule": "70",
        "ensureType": "2",
        "ensureYear": "1"
    },
    "101102": {
        "isInsure": "N",
        "c_fee_method": "5",
        "InputType": "3",
        "defaultAmt":"100",
        "amtRule":[
            {
                "minPremium":"0",
                "maxPremium":"100000000",
                "amtValue":["100"],
                "defaultAmt":"100"
            }
        ],
        "payType": "2",
        "payValue": "1",
        "payFullRule": "70",
        "ensureType": "2",
        "ensureYear": "1"
    },
    "101200": {
        "isInsure": "N",
        "c_fee_method": "1",
        "InputType": "1",
        "defaultAmt":"50000",
        "feeRule":{
            "feeType":"1",
            "isClass":"N",
            "minAmt":"50000",
            "maxAmt":"200000",
            "multiple":"50000"
        },
        "payType": "3",
        "payFull":{
            "term_10":[
                {
                    "minAge":"50",
                    "maxAge":"75",
                    "payYear":["to_all","term_5","term_10"],
                    "defaultPay":"term_10"
                }
            ],
            "term_20":[
                {
                    "minAge":"50",
                    "maxAge":"65",
                    "payYear":["to_all","term_5","term_10","term_20"],
                    "defaultPay":"term_20"
                }
            ],
            "to_80":[
                {
                    "minAge":"50",
                    "maxAge":"60",
                    "payYear":["to_all","term_5","term_10","term_20"],
                    "defaultPay":"term_20"
                },
                {
                    "minAge":"61",
                    "maxAge":"70",
                    "payYear":["to_all","term_5","term_10"],
                    "defaultPay":"term_10"
                }
            ],
            "to_85":[
                {
                    "minAge":"50",
                    "maxAge":"65",
                    "payYear":["to_all","term_5","term_10","term_20"],
                    "defaultPay":"term_20"
                },
                {
                    "minAge":"66",
                    "maxAge":"75",
                    "payYear":["to_all","term_5","term_10"],
                    "defaultPay":"term_10"
                }
            ]
        },
        "ensureType": "3",
        "ensureYear":[
            {
                "minAge":"50",
                "maxAge":"65",
                "enYear":["term_10","term_20","to_80","to_85"],
                "defaultEnsure":"to_85"
            },
            {
                "minAge":"66",
                "maxAge":"70",
                "enYear":["term_10","to_80","to_85"],
                "defaultEnsure":"to_85"
            },
            {
                "minAge":"71",
                "maxAge":"75",
                "enYear":["term_10","to_85"],
                "defaultEnsure":"to_85"
            }
        ]
    },
    "101300": {
        "isInsure":"N",
        "c_fee_method":"1",
        "InputType":"1",
        "defaultAmt":"10000",
        "feeRule":{
            "feeType":"1",
            "isClass":"N",
            "minAmt":"10000",
            "maxAmt":"100000000",
            "multiple":"5000"
        },
        "payType":"1",
        "payFull":[
            {
                "minAge":"0",
                "maxAge":"40",
                "payYear":["to_all","term_3","term_5","term_10","term_15","term_20"],
                "defaultPay":"term_20"
            },
            {
                "minAge":"41",
                "maxAge":"45",
                "payYear":["to_all","term_3","term_5","term_10","term_15"],
                "defaultPay":"term_15"
            },
            {
                "minAge":"46",
                "maxAge":"50",
                "payYear":["to_all","term_3","term_5","term_10"],
                "defaultPay":"term_10"
            },
            {
                "minAge":"51",
                "maxAge":"55",
                "payYear":["to_all","term_3","term_5"],
                "defaultPay":"term_5"
            }
        ],
        "payFullRule":"60",
        "ensureType":"1",
        "ensureYear":["to_80"],
        "defaultEnsure":"to_80"
    },
    "101301": {
        "isInsure": "N",
        "c_fee_method": "3",
        "defaultPay":"term_0",
        "defaultEnsure":"to_80"
    },
    "101400": {
        "isInsure":"N",
        "c_fee_method":"1",
        "InputType":"1",
        "defaultAmt":"10000",
        "feeRule":{
            "feeType":"1",
            "isClass":"N",
            "minAmt":"10000",
            "maxAmt":"100000000",
            "multiple":"5000"
        },
        "payType":"1",
        "payFull":[
            {
                "minAge":"0",
                "maxAge":"40",
                "payYear":["to_all","term_3","term_5","term_10","term_15","term_20"],
                "defaultPay":"term_20"
            },
            {
                "minAge":"41",
                "maxAge":"45",
                "payYear":["to_all","term_3","term_5","term_10","term_15"],
                "defaultPay":"term_15"
            },
            {
                "minAge":"46",
                "maxAge":"50",
                "payYear":["to_all","term_3","term_5","term_10"],
                "defaultPay":"term_10"
            },
            {
                "minAge":"51",
                "maxAge":"55",
                "payYear":["to_all","term_3","term_5"],
                "defaultPay":"term_5"
            }
        ],
        "payFullRule":"60",
        "ensureType":"1",
        "ensureYear":["to_80"],
        "defaultEnsure":"to_80"
    },
    "101500": {
        "isInsure": "N",
        "c_fee_method": "1",
        "InputType": "1",
        "defaultAmt":"100000",
        "feeRule":{
            "feeType":"1",
            "isClass":"N",
            "minAmt":"100000",
            "maxAmt":"100000000",
            "multiple":"50000"
        },
        "payType": "3",
        "payFull":{
            "to_75":[
                {
                    "minAge":"0",
                    "maxAge":"55",
                    "payYear":["to_all","term_3","term_5","term_10","term_15","term_20"],
                    "defaultPay":"term_20"
                },
                {
                    "minAge":"56",
                    "maxAge":"60",
                    "payYear":["to_all","term_3","term_5","term_10","term_15"],
                    "defaultPay":"term_15"
                }
            ],
            "to_85":[
                {
                    "minAge":"0",
                    "maxAge":"55",
                    "payYear":["to_all","term_3","term_5","term_10","term_15","term_20"],
                    "defaultPay":"term_20"
                },
                {
                    "minAge":"56",
                    "maxAge":"60",
                    "payYear":["to_all","term_3","term_5","term_10","term_15"],
                    "defaultPay":"term_15"
                },
                {
                    "minAge":"61",
                    "maxAge":"65",
                    "payYear":["to_all","term_3","term_5","term_10"],
                    "defaultPay":"term_10"
                }
            ],
            "to_full":[
                {
                    "minAge":"0",
                    "maxAge":"55",
                    "payYear":["to_all","term_3","term_5","term_10","term_15","term_20"],
                    "defaultPay":"term_20"
                },
                {
                    "minAge":"56",
                    "maxAge":"60",
                    "payYear":["to_all","term_3","term_5","term_10","term_15"],
                    "defaultPay":"term_15"
                },
                {
                    "minAge":"61",
                    "maxAge":"65",
                    "payYear":["to_all","term_3","term_5","term_10"],
                    "defaultPay":"term_10"
                }
            ]
        },
        "ensureType": "3",
        "ensureYear":[
            {
                "minAge":"0",
                "maxAge":"60",
                "enYear":["to_75","to_85","to_full"],
                "defaultEnsure":"to_full"
            },
            {
                "minAge":"61",
                "maxAge":"65",
                "enYear":["to_85","to_full"],
                "defaultEnsure":"to_full"
            }
        ]
    },
    "101600": {
        "isInsure":"N",
        "c_fee_method":"1",
        "InputType":"3",
        "defaultAmt":"1000000",
        "amtRule":[
            {
                "minPremium":"0",
                "maxPremium":"100000000",
                "amtValue":["1000000"],
                "defaultAmt":"1000000"
            }
        ],
        "payType":"1",
        "payFull":[
            {
                "minAge":"0",
                "maxAge":"65",
                "payYear":["to_all"],
                "defaultPay":"to_all"
            }
        ],
        "ensureType":"1",
        "ensureYear":["term_1"],
        "defaultEnsure":"term_1"
    },
    "101700": {
        "isInsure":"N",
        "c_fee_method":"2",
        "InputType":"1",
        "defaultFee":"3000",
        "feeRule":{
            "feeType":"1",
            "isClass":"N",
            "minFee":"3000",
            "maxFee":"100000000",
            "multiple":"500"
        },
        "payType":"1",
        "payFull":[
            {
                "minAge":"0",
                "maxAge":"50",
                "payYear":["to_all","term_3","term_5","term_10"],
                "defaultPay":"term_10"
            },
            {
                "minAge":"51",
                "maxAge":"55",
                "payYear":["to_all","term_3","term_5"],
                "defaultPay":"term_5"
            },
            {
                "minAge":"56",
                "maxAge":"70",
                "payYear":["to_all"],
                "defaultPay":"to_all"
            }
        ],
        "payFullRule":"70",
        "ensureType":"1",
        "ensureYear":["to_full"],
        "defaultEnsure":"to_full"
    },
    "102100": {
        "isInsure":"N",
        "c_fee_method":"1",
        "InputType":"1",
        "defaultAmt":"80000",
        "feeRule":{
            "feeType":"1",
            "isClass":"N",
            "minAmt":"80000",
            "maxAmt":"100000000",
            "multiple":"1000"
        },
        "payType":"1",
        "payFull":[
            {
                "minAge":"0",
                "maxAge":"45",
                "payYear":["to_all","term_5","term_10","term_15","term_20"],
                "defaultPay":"term_20"
            },
            {
                "minAge":"46",
                "maxAge":"50",
                "payYear":["to_all","term_5","term_10","term_15"],
                "defaultPay":"term_15"
            },
            {
                "minAge":"51",
                "maxAge":"55",
                "payYear":["to_all","term_5","term_10"],
                "defaultPay":"term_10"
            },
            {
                "minAge":"56",
                "maxAge":"60",
                "payYear":["to_all","term_5"],
                "defaultPay":"term_5"
            },
            {
                "minAge":"61",
                "maxAge":"65",
                "payYear":["to_all"],
                "defaultPay":"to_all"
            }
        ],
        "payFullRule":"65",
        "ensureType":"1",
        "ensureYear":["to_full"],
        "defaultEnsure":"to_full"
    },
    "102000": {
        "isInsure":"N",
        "c_fee_method":"1",
        "InputType":"1",
        "defaultAmt":"100000",
        "feeRule":{
            "feeType":"1",
            "isClass":"N",
            "minAmt":"100000",
            "maxAmt":"5000000",
            "multiple":"10000"
        },
        "payType":"1",
        "payFull":[
            {
                "minAge":"0",
                "maxAge":"55",
                "payYear":["to_all","term_3","term_5","term_10","term_15","term_20"],
                "defaultPay":"term_20"
            },
            {
                "minAge":"56",
                "maxAge":"60",
                "payYear":["to_all","term_3","term_5","term_10","term_15"],
                "defaultPay":"term_15"
            },
            {
                "minAge":"61",
                "maxAge":"65",
                "payYear":["to_all","term_3","term_5","term_10"],
                "defaultPay":"term_10"
            },
            {
                "minAge":"66",
                "maxAge":"70",
                "payYear":["to_all","term_3","term_5"],
                "defaultPay":"term_5"
            },
            {
                "minAge":"71",
                "maxAge":"75",
                "payYear":["to_all"],
                "defaultPay":"to_all"
            }
        ],
        "payFullRule":"75",
        "ensureType":"1",
        "ensureYear":["to_full"],
        "defaultEnsure":"to_full"
    },
    "102200": {
        "isInsure": "N",
        "c_fee_method": "1",
        "InputType": "1",
        "defaultAmt":"10000",
        "feeRule":{
            "feeType":"1",
            "isClass":"N",
            "minAmt":"10000",
            "maxAmt":"100000000",
            "multiple":"1000"
        },
        "payType": "3",
        "payFull":{
            "to_60":[
                {
                    "minAge":"0",
                    "maxAge":"35",
                    "payYear":["to_all","term_5","term_10","term_20"],
                    "defaultPay":"term_20"
                },
                {
                    "minAge":"36",
                    "maxAge":"40",
                    "payYear":["to_all","term_5","term_10"],
                    "defaultPay":"term_10"
                },
                {
                    "minAge":"41",
                    "maxAge":"45",
                    "payYear":["to_all","term_5"],
                    "defaultPay":"term_5"
                },
                {
                    "minAge":"46",
                    "maxAge":"50",
                    "payYear":["to_all"],
                    "defaultPay":"to_all"
                }
            ],
            "to_70":[
                {
                    "minAge":"0",
                    "maxAge":"45",
                    "payYear":["to_all","term_5","term_10","term_20"],
                    "defaultPay":"term_20"
                },
                {
                    "minAge":"46",
                    "maxAge":"55",
                    "payYear":["to_all","term_5","term_10"],
                    "defaultPay":"term_10"
                },
                {
                    "minAge":"56",
                    "maxAge":"60",
                    "payYear":["to_all","term_5"],
                    "defaultPay":"term_5"
                }
            ],
            "to_80":[
                {
                    "minAge":"0",
                    "maxAge":"50",
                    "payYear":["to_all","term_5","term_10","term_20"],
                    "defaultPay":"term_20"
                },
                {
                    "minAge":"51",
                    "maxAge":"55",
                    "payYear":["to_all","term_5","term_10"],
                    "defaultPay":"term_10"
                },
                {
                    "minAge":"56",
                    "maxAge":"60",
                    "payYear":["to_all","term_5"],
                    "defaultPay":"term_5"
                }
            ]
        },
        "ensureType": "3",
        "ensureYear":[
            {
                "minAge":"0",
                "maxAge":"50",
                "enYear":["to_60","to_70","to_80"],
                "defaultEnsure":"to_80"
            },
            {
                "minAge":"51",
                "maxAge":"60",
                "enYear":["to_70","to_80"],
                "defaultEnsure":"to_80"
            }
        ]
    },
    "102201": {
        "isInsure": "N",
        "c_fee_method": "1",
        "InputType": "6",
        "InputRate":"1",
        "payType": "2",
        "payValue": "1",
        "payFullRule": "70",
        "ensureType": "2",
        "ensureYear": "1"
    },
    "102300": {
        "isInsure":"N",
        "c_fee_method":"1",
        "InputType":"1",
        "defaultAmt":"10000",
        "feeRule":{
            "feeType":"1",
            "isClass":"N",
            "minAmt":"10000",
            "maxAmt":"100000000",
            "multiple":"1000"
        },
        "payType":"1",
        "payFull":[
            {
                "minAge":"0",
                "maxAge":"45",
                "payYear":["to_all","term_3","term_5","term_10","term_15","term_20"],
                "defaultPay":"term_20"
            },
            {
                "minAge":"46",
                "maxAge":"50",
                "payYear":["to_all","term_3","term_5","term_10","term_15"],
                "defaultPay":"term_5"
            },
            {
                "minAge":"51",
                "maxAge":"55",
                "payYear":["to_all","term_3","term_5","term_10"],
                "defaultPay":"term_10"
            },
            {
                "minAge":"56",
                "maxAge":"65",
                "payYear":["to_all","term_3","term_5"],
                "defaultPay":"term_5"
            }
        ],
        "payFullRule":"70",
        "ensureType":"1",
        "ensureYear":["to_full"],
        "defaultEnsure":"to_full"
    },
    "102400": {
        "isInsure":"N",
        "c_fee_method":"1",
        "InputType":"1",
        "defaultAmt":"5000",
        "feeRule":{
            "feeType":"1",
            "isClass":"N",
            "minAmt":"5000",
            "maxAmt":"100000000",
            "multiple":"1000"
        },
        "payType":"1",
        "payFull":[
            {
                "minAge":"0",
                "maxAge":"55",
                "payYear":["to_all","term_3","term_5","term_10"],
                "defaultPay":"term_10"
            }
        ],
        "payFullRule":"65",
        "ensureType":"1",
        "ensureYear":["to_81"],
        "defaultEnsure":"to_81"
    },
    "102401": {
        "isInsure": "N",
        "c_fee_method": "3",
        "defaultPay":"term_0",
        "defaultEnsure":"to_81"
    },
    "102500": {
        "isInsure": "N",
        "c_fee_method": "1",
        "InputType": "1",
        "defaultAmt":"10000",
        "feeRule":{
            "feeType":"1",
            "isClass":"N",
            "minAmt":"10000",
            "maxAmt":"100000000",
            "multiple":"1000"
        },
        "payType": "3",
        "payFull":{
            "term_15":[
                {
                    "minAge":"0",
                    "maxAge":"65",
                    "payYear":["term_10"],
                    "defaultPay":"term_10"
                }
            ],
            "term_20":[
                {
                    "minAge":"0",
                    "maxAge":"60",
                    "payYear":["term_10","term_15"],
                    "defaultPay":"term_15"
                }
            ],
            "term_30":[
                {
                    "minAge":"0",
                    "maxAge":"50",
                    "payYear":["term_10","term_15","term_20"],
                    "defaultPay":"term_20"
                }
            ]
        },
        "ensureType": "3",
        "ensureYear":[
            {
                "minAge":"0",
                "maxAge":"50",
                "enYear":["term_15","term_20","term_30"],
                "defaultEnsure":"term_30"
            },
            {
                "minAge":"51",
                "maxAge":"60",
                "enYear":["term_15","term_20"],
                "defaultEnsure":"term_20"
            },
            {
                "minAge":"61",
                "maxAge":"65",
                "enYear":["term_15"],
                "defaultEnsure":"term_15"
            }
        ]
    },
    "102501": {
        "isInsure": "N",
        "c_fee_method": "1",
        "InputType": "1",
        "defaultAmt":"10000",
        "feeRule":{
            "feeType":"1",
            "isClass":"N",
            "minAmt":"10000",
            "maxAmt":"500000",
            "multiple":"1000"
        },
        "payType": "3",
        "payFull":{
            "term_15":[
                {
                    "minAge":"0",
                    "maxAge":"55",
                    "payYear":["to_all","term_3","term_5","term_10","term_15"],
                    "defaultPay":"term_15"
                },
                {
                    "minAge":"56",
                    "maxAge":"60",
                    "payYear":["to_all","term_3","term_5","term_10"],
                    "defaultPay":"term_10"
                },
                {
                    "minAge":"61",
                    "maxAge":"65",
                    "payYear":["to_all","term_3","term_5"],
                    "defaultPay":"term_5"
                }
            ],
            "term_20":[
                {
                    "minAge":"0",
                    "maxAge":"50",
                    "payYear":["to_all","term_3","term_5","term_10","term_15","term_20"],
                    "defaultPay":"term_20"
                },
                {
                    "minAge":"51",
                    "maxAge":"55",
                    "payYear":["to_all","term_3","term_5","term_10","term_15"],
                    "defaultPay":"term_15"
                },
                {
                    "minAge":"56",
                    "maxAge":"60",
                    "payYear":["to_all","term_3","term_5","term_10"],
                    "defaultPay":"term_10"
                }
            ],
            "term_30":[
                {
                    "minAge":"0",
                    "maxAge":"50",
                    "payYear":["to_all","term_3","term_5","term_10","term_15","term_20"],
                    "defaultPay":"term_20"
                }
            ],
            "to_25":[
                {
                    "minAge":"0",
                    "maxAge":"15",
                    "payYear":["to_all","term_3","term_5","term_10","to_18"],
                    "defaultPay":"to_18"
                },
                {
                    "minAge":"16",
                    "maxAge":"17",
                    "payYear":["to_all","term_3","term_5","to_18"],
                    "defaultPay":"to_18"
                },
                {
                    "minAge":"18",
                    "maxAge":"20",
                    "payYear":["to_all","term_3","term_5"],
                    "defaultPay":"term_5"
                }
            ],
            "to_30":[
                {
                    "minAge":"0",
                    "maxAge":"15",
                    "payYear":["to_all","term_3","term_5","term_10","to_18"],
                    "defaultPay":"to_18"
                },
                {
                    "minAge":"16",
                    "maxAge":"17",
                    "payYear":["to_all","term_3","term_5","term_10"],
                    "defaultPay":"term_10"
                },
                {
                    "minAge":"18",
                    "maxAge":"20",
                    "payYear":["to_all","term_3","term_5"],
                    "defaultPay":"term_5"
                }
            ],
            "to_55":[
                {
                    "minAge":"0",
                    "maxAge":"35",
                    "payYear":["to_all","term_3","term_5","term_10","term_15","term_20"],
                    "defaultPay":"term_20"
                },
                {
                    "minAge":"36",
                    "maxAge":"40",
                    "payYear":["to_all","term_3","term_5","term_10","term_15"],
                    "defaultPay":"term_15"
                },
                {
                    "minAge":"41",
                    "maxAge":"45",
                    "payYear":["to_all","term_3","term_5","term_10"],
                    "defaultPay":"term_10"
                },
                {
                    "minAge":"46",
                    "maxAge":"50",
                    "payYear":["to_all","term_3","term_5"],
                    "defaultPay":"term_5"
                }
            ],
            "to_60":[
                {
                    "minAge":"0",
                    "maxAge":"40",
                    "payYear":["to_all","term_3","term_5","term_10","term_15","term_20"],
                    "defaultPay":"term_20"
                },
                {
                    "minAge":"41",
                    "maxAge":"45",
                    "payYear":["to_all","term_3","term_5","term_10","term_15"],
                    "defaultPay":"term_15"
                },
                {
                    "minAge":"46",
                    "maxAge":"50",
                    "payYear":["to_all","term_3","term_5","term_10"],
                    "defaultPay":"term_10"
                },
                {
                    "minAge":"51",
                    "maxAge":"55",
                    "payYear":["to_all","term_3","term_5"],
                    "defaultPay":"term_5"
                }
            ],
            "to_65":[
                {
                    "minAge":"0",
                    "maxAge":"45",
                    "payYear":["to_all","term_3","term_5","term_10","term_15","term_20"],
                    "defaultPay":"term_20"
                },
                {
                    "minAge":"46",
                    "maxAge":"50",
                    "payYear":["to_all","term_3","term_5","term_10","term_15"],
                    "defaultPay":"term_15"
                },
                {
                    "minAge":"51",
                    "maxAge":"55",
                    "payYear":["to_all","term_3","term_5","term_10"],
                    "defaultPay":"term_10"
                },
                {
                    "minAge":"56",
                    "maxAge":"60",
                    "payYear":["to_all","term_3","term_5"],
                    "defaultPay":"term_5"
                }
            ],
            "to_70":[
                {
                    "minAge":"0",
                    "maxAge":"50",
                    "payYear":["to_all","term_3","term_5","term_10","term_15","term_20"],
                    "defaultPay":"term_20"
                },
                {
                    "minAge":"51",
                    "maxAge":"55",
                    "payYear":["to_all","term_3","term_5","term_10","term_15"],
                    "defaultPay":"term_15"
                },
                {
                    "minAge":"56",
                    "maxAge":"60",
                    "payYear":["to_all","term_3","term_5","term_10"],
                    "defaultPay":"term_10"
                },
                {
                    "minAge":"61",
                    "maxAge":"65",
                    "payYear":["to_all","term_3","term_5"],
                    "defaultPay":"term_5"
                }
            ],
            "to_75":[
                {
                    "minAge":"0",
                    "maxAge":"50",
                    "payYear":["to_all","term_3","term_5","term_10","term_15","term_20"],
                    "defaultPay":"term_20"
                },
                {
                    "minAge":"51",
                    "maxAge":"55",
                    "payYear":["to_all","term_3","term_5","term_10","term_15"],
                    "defaultPay":"term_15"
                },
                {
                    "minAge":"56",
                    "maxAge":"60",
                    "payYear":["to_all","term_3","term_5","term_10"],
                    "defaultPay":"term_10"
                },
                {
                    "minAge":"61",
                    "maxAge":"65",
                    "payYear":["to_all","term_3","term_5"],
                    "defaultPay":"term_5"
                }
            ],
            "to_80":[
                {
                    "minAge":"0",
                    "maxAge":"50",
                    "payYear":["to_all","term_3","term_5","term_10","term_15","term_20"],
                    "defaultPay":"term_20"
                },
                {
                    "minAge":"51",
                    "maxAge":"55",
                    "payYear":["to_all","term_3","term_5","term_10","term_15"],
                    "defaultPay":"term_15"
                },
                {
                    "minAge":"56",
                    "maxAge":"60",
                    "payYear":["to_all","term_3","term_5","term_10"],
                    "defaultPay":"term_10"
                },
                {
                    "minAge":"61",
                    "maxAge":"65",
                    "payYear":["to_all","term_3","term_5"],
                    "defaultPay":"term_5"
                }
            ]
        },
        "ensureType": "2",
        "ensureYear":"1"
    },
    "102600": {
        "isInsure": "N",
        "c_fee_method": "1",
        "InputType": "1",
        "defaultAmt":"100000",
        "feeRule":{
            "feeType":"1",
            "isClass":"N",
            "minAmt":"100000",
            "maxAmt":"500000",
            "multiple":"1000"
        },
        "payType": "3",
        "payFull":{
            "to_70":[
                {
                    "minAge":"0",
                    "maxAge":"40",
                    "payYear":["term_15","term_20","term_30"],
                    "defaultPay":"term_30"
                },
                {
                    "minAge":"41",
                    "maxAge":"50",
                    "payYear":["term_15","term_20"],
                    "defaultPay":"term_20"
                },
                {
                    "minAge":"51",
                    "maxAge":"55",
                    "payYear":["term_15"],
                    "defaultPay":"term_15"
                }
            ],
            "to_85":[
                {
                    "minAge":"0",
                    "maxAge":"55",
                    "payYear":["term_15","term_20","term_30"],
                    "defaultPay":"term_30"
                }
            ],
            "to_full":[
                {
                    "minAge":"0",
                    "maxAge":"55",
                    "payYear":["term_15","term_20","term_30"],
                    "defaultPay":"term_30"
                }
            ]
        },
        "ensureType": "3",
        "ensureYear":[
            {
                "minAge":"0",
                "maxAge":"55",
                "enYear":["to_70","to_85","to_full"],
                "defaultEnsure":"to_full"
            }
        ]
    },
    "102601": {
        "isInsure": "N",
        "c_fee_method": "1",
        "InputType": "6",
        "InputRate":"0.3",
        "payType": "2",
        "payValue": "1",
        "payFullRule": "85",
        "ensureType": "2",
        "ensureYear": "1"
    },
    "102700": {
        "isInsure":"N",
        "c_fee_method":"1",
        "InputType":"1",
        "defaultAmt":"100000",
        "feeRule":{
            "feeType":"1",
            "isClass":"N",
            "minAmt":"100000",
            "maxAmt":"300000",
            "multiple":"10000"
        },
        "payType":"1",
        "payFull":[
            {
                "minAge":"50",
                "maxAge":"75",
                "payYear":["term_5","term_10"],
                "defaultPay":"term_10"
            }
        ],
        "payFullRule":"85",
        "ensureType":"1",
        "ensureYear":["term_10"],
        "defaultEnsure":"term_10"
    },
    "200000": {
        "isInsure":"N",
        "c_fee_method":"1",
        "InputType":"1",
        "defaultAmt":"10000",
        "feeRule":{
            "feeType":"3",
            "amtRule":[
                {
                    "minAge":"0",
                    "maxAge":"17",
                    "minAmt":"10000",
                    "maxAmt":"500000",
                    "multiple":"1000"
                },
                {
                    "minAge":"18",
                    "maxAge":"35",
                    "minAmt":"10000",
                    "maxAmt":"900000",
                    "multiple":"1000"
                },
                {
                    "minAge":"36",
                    "maxAge":"40",
                    "minAmt":"10000",
                    "maxAmt":"700000",
                    "multiple":"1000"
                },
                {
                    "minAge":"41",
                    "maxAge":"45",
                    "minAmt":"10000",
                    "maxAmt":"500000",
                    "multiple":"1000"
                },
                {
                    "minAge":"46",
                    "maxAge":"50",
                    "minAmt":"10000",
                    "maxAmt":"400000",
                    "multiple":"1000"
                },
                {
                    "minAge":"51",
                    "maxAge":"55",
                    "minAmt":"10000",
                    "maxAmt":"200000",
                    "multiple":"1000"
                },
                {
                    "minAge":"56",
                    "maxAge":"65",
                    "minAmt":"10000",
                    "maxAmt":"100000",
                    "multiple":"1000"
                }
            ]
        },
        "payType":"1",
        "payFull":[
            {
                "minAge":"0",
                "maxAge":"60",
                "payYear":["to_all","term_3","term_5","term_10","term_15","term_20"],
                "defaultPay":"term_20"
            },
            {
                "minAge":"61",
                "maxAge":"65",
                "payYear":["to_all","term_3","term_5","term_10"],
                "defaultPay":"term_10"
            }
        ],
        "payFullRule":"80",
        "ensureType":"1",
        "ensureYear":["to_full"],
        "defaultEnsure":"to_full"
    },
    "200001": {
        "isInsure": "Y",
        "c_fee_method": "1",
        "InputType": "4",
        "payType": "2",
        "payValue": "2",
        "payFullRule": "80",
        "ensureType": "2",
        "ensureYear": "2"
    },
    "200900": {
        "isInsure": "N",
        "c_fee_method": "1",
        "InputType": "1",
        "defaultAmt":"1000000",
        "feeRule":{
            "feeType":"1",
            "isClass":"N",
            "minAmt":"1000000",
            "maxAmt":"100000000",
            "multiple":"1000"
        },
        "payType": "3",
        "payFull":{
            "term_10":[
                {
                    "minAge":"20",
                    "maxAge":"50",
                    "payYear":["term_10"],
                    "defaultPay":"term_10"
                }
            ],
            "term_20":[
                {
                    "minAge":"20",
                    "maxAge":"50",
                    "payYear":["term_10","term_20"],
                    "defaultPay":"term_20"
                }
            ],
            "term_30":[
                {
                    "minAge":"20",
                    "maxAge":"40",
                    "payYear":["term_10","term_20","term_30"],
                    "defaultPay":"term_30"
                }
            ],
            "to_60":[
                {
                    "minAge":"20",
                    "maxAge":"30",
                    "payYear":["term_10","term_20","term_30"],
                    "defaultPay":"term_30"
                },
                {
                    "minAge":"31",
                    "maxAge":"40",
                    "payYear":["term_10","term_20"],
                    "defaultPay":"term_30"
                },
                {
                    "minAge":"41",
                    "maxAge":"50",
                    "payYear":["term_10"],
                    "defaultPay":"term_10"
                }
            ],
            "to_70":[
                {
                    "minAge":"20",
                    "maxAge":"40",
                    "payYear":["term_10","term_20","term_30"],
                    "defaultPay":"term_30"
                },
                {
                    "minAge":"41",
                    "maxAge":"50",
                    "payYear":["term_10","term_20"],
                    "defaultPay":"term_20"
                }
            ]
        },
        "ensureType": "3",
        "ensureYear":[
            {
                "minAge":"20",
                "maxAge":"40",
                "enYear":["term_10","term_20","term_30","to_60","to_70"],
                "defaultEnsure":"to_70"
            },
            {
                "minAge":"41",
                "maxAge":"50",
                "enYear":["term_10","term_20","to_60","to_70"],
                "defaultEnsure":"to_70"
            }
        ]
    },
    "201900": {
        "isInsure":"N",
        "c_fee_method":"1",
        "InputType":"1",
        "defaultAmt":"100000",
        "feeRule":{
            "feeType":"1",
            "isClass":"N",
            "minAmt":"100000",
            "maxAmt":"100000000",
            "multiple":"1000"
        },
        "payType":"1",
        "payFull":[
            {
                "minAge":"0",
                "maxAge":"55",
                "payYear":["to_all","term_3","term_5","term_10","term_15","term_20"],
                "defaultPay":"term_20"
            },
            {
                "minAge":"56",
                "maxAge":"60",
                "payYear":["to_all","term_3","term_5","term_10","term_15"],
                "defaultPay":"term_15"
            },
            {
                "minAge":"61",
                "maxAge":"65",
                "payYear":["to_all","term_3","term_5","term_10"],
                "defaultPay":"term_10"
            }
        ],
        "payFullRule":"80",
        "ensureType":"1",
        "ensureYear":["to_full"],
        "defaultEnsure":"to_full"
    },
    "200300": {
        "isInsure":"N",
        "c_fee_method":"1",
        "InputType":"1",
        "defaultAmt":"50000",
        "feeRule":{
            "feeType":"4",
            "amtRule":[
                {
                    "payValue":"to_all",
                    "minAmt":"20000",
                    "maxAmt":"100000000",
                    "multiple":"10000"
                },
                {
                    "payValue":"term_5",
                    "minAmt":"50000",
                    "maxAmt":"100000000",
                    "multiple":"10000"
                },
                {
                    "payValue":"term_10",
                    "minAmt":"50000",
                    "maxAmt":"100000000",
                    "multiple":"10000"
                },
                {
                    "payValue":"term_15",
                    "minAmt":"50000",
                    "maxAmt":"100000000",
                    "multiple":"10000"
                },
                {
                    "payValue":"term_20",
                    "minAmt":"50000",
                    "maxAmt":"100000000",
                    "multiple":"10000"
                }
            ]
        },
        "payType":"1",
        "payFull":[
            {
                "minAge":"0",
                "maxAge":"50",
                "payYear":["to_all","term_5","term_10","term_15","term_20"],
                "defaultPay":"term_20"
            },
            {
                "minAge":"51",
                "maxAge":"55",
                "payYear":["to_all","term_5","term_10","term_15"],
                "defaultPay":"term_15"
            },
            {
                "minAge":"56",
                "maxAge":"60",
                "payYear":["to_all","term_5","term_10"],
                "defaultPay":"term_10"
            },
            {
                "minAge":"61",
                "maxAge":"65",
                "payYear":["to_all","term_5"],
                "defaultPay":"term_5"
            }
        ],
        "payFullRule":"70",
        "ensureType":"1",
        "ensureYear":["to_full"],
        "defaultEnsure":"to_full"
    },
    "201200": {
        "isInsure":"N",
        "c_fee_method":"1",
        "InputType":"1",
        "defaultAmt":"100000",
        "feeRule":{
            "feeType":"4",
            "amtRule":[
                {
                    "payValue":"term_5",
                    "minAmt":"10000",
                    "maxAmt":"100000000",
                    "multiple":"10000"
                },
                {
                    "payValue":"term_10",
                    "minAmt":"50000",
                    "maxAmt":"100000000",
                    "multiple":"10000"
                },
                {
                    "payValue":"term_20",
                    "minAmt":"100000",
                    "maxAmt":"100000000",
                    "multiple":"10000"
                }
            ]
        },
        "payType":"1",
        "payFull":[
            {
                "minAge":"0",
                "maxAge":"45",
                "payYear":["term_5","term_10","term_20"],
                "defaultPay":"term_20"
            },
            {
                "minAge":"46",
                "maxAge":"55",
                "payYear":["term_5","term_10"],
                "defaultPay":"term_10"
            },
            {
                "minAge":"56",
                "maxAge":"60",
                "payYear":["term_5"],
                "defaultPay":"term_5"
            }
        ],
        "payFullRule":"65",
        "ensureType":"1",
        "ensureYear":["to_full"],
        "defaultEnsure":"to_full"
    },
    "201400": {
        "isInsure":"N",
        "c_fee_method":"1",
        "InputType":"1",
        "defaultAmt":"100000",
        "feeRule":{
            "feeType":"1",
            "isClass":"N",
            "minAmt":"100000",
            "maxAmt":"100000000",
            "multiple":"1000"
        },
        "payType":"1",
        "payFull":[
            {
                "minAge":"0",
                "maxAge":"50",
                "payYear":["to_all","term_5","term_10","term_15","term_20"],
                "defaultPay":"term_20"
            },
            {
                "minAge":"51",
                "maxAge":"55",
                "payYear":["to_all","term_5","term_10"],
                "defaultPay":"term_10"
            },
            {
                "minAge":"56",
                "maxAge":"60",
                "payYear":["to_all","term_5"],
                "defaultPay":"term_5"
            }
        ],
        "payFullRule":"70",
        "ensureType":"1",
        "ensureYear":["to_full"],
        "defaultEnsure":"to_full"
    },
    "205500": {
        "isInsure":"N",
        "c_fee_method":"1",
        "InputType":"1",
        "defaultAmt":"100000",
        "feeRule":{
            "feeType":"1",
            "isClass":"N",
            "minAmt":"100000",
            "maxAmt":"1000000",
            "multiple":"1000"
        },
        "payType":"1",
        "payFull":[
            {
                "minAge":"0",
                "maxAge":"35",
                "payYear":["term_5","term_10","term_15","term_20","term_25","term_30"],
                "defaultPay":"term_30"
            },
            {
                "minAge":"36",
                "maxAge":"40",
                "payYear":["term_5","term_10","term_15","term_20","term_25"],
                "defaultPay":"term_25"
            },
            {
                "minAge":"41",
                "maxAge":"45",
                "payYear":["term_5","term_10","term_15","term_20"],
                "defaultPay":"term_20"
            },
            {
                "minAge":"46",
                "maxAge":"50",
                "payYear":["term_5","term_10","term_15"],
                "defaultPay":"term_15"
            },
            {
                "minAge":"51",
                "maxAge":"55",
                "payYear":["term_5","term_10"],
                "defaultPay":"term_10"
            }
        ],
        "payFullRule":"65",
        "ensureType":"1",
        "ensureYear":["to_full"],
        "defaultEnsure":"to_full"
    },
    "201300": {
        "isInsure":"N",
        "c_fee_method":"1",
        "InputType":"1",
        "defaultAmt":"100000",
        "feeRule":{
            "feeType":"1",
            "isClass":"N",
            "minAmt":"100000",
            "maxAmt":"100000000",
            "multiple":"1000"
        },
        "payType":"1",
        "payFull":[
            {
                "minAge":"0",
                "maxAge":"50",
                "payYear":["to_all","term_5","term_10","term_15","term_20"],
                "defaultPay":"term_20"
            },
            {
                "minAge":"51",
                "maxAge":"55",
                "payYear":["to_all","term_5","term_10"],
                "defaultPay":"term_10"
            },
            {
                "minAge":"56",
                "maxAge":"60",
                "payYear":["to_all","term_5"],
                "defaultPay":"term_5"
            }
        ],
        "payFullRule":"65",
        "ensureType":"1",
        "ensureYear":["to_full"],
        "defaultEnsure":"to_full"
    },
    "201301": {
        "isInsure": "N",
        "c_fee_method": "1",
        "InputType": "4",
        "payType": "2",
        "payValue": "2",
        "payFullRule": "65",
        "ensureType": "2",
        "ensureYear": "2"
    },
    "201302": {
        "isInsure": "Y",
        "c_fee_method": "1",
        "InputType": "4",
        "payType": "2",
        "payValue": "2",
        "payFullRule": "65",
        "ensureType": "2",
        "ensureYear": "2"
    },
    "204800": {
        "isInsure":"N",
        "c_fee_method":"1",
        "InputType":"1",
        "defaultAmt":"1000",
        "feeRule":{
            "feeType":"1",
            "isClass":"N",
            "minAmt":"1000",
            "maxAmt":"100000000",
            "multiple":"1000"
        },
        "payType":"1",
        "payFull":[
            {
                "minAge":"0",
                "maxAge":"12",
                "payYear":["to_all","to_18"],
                "defaultPay":"to_18"
            }
        ],
        "payFullRule":"25",
        "ensureType":"1",
        "ensureYear":["to_25"],
        "defaultEnsure":"to_25"
    },
    "203800": {
        "isInsure":"N",
        "c_fee_method":"1",
        "InputType":"1",
        "defaultAmt":"100000",
        "feeRule":{
            "feeType":"1",
            "isClass":"N",
            "minAmt":"100000",
            "maxAmt":"100000000",
            "multiple":"1000"
        },
        "payType":"1",
        "payFull":[
            {
                "minAge":"0",
                "maxAge":"40",
                "payYear":["term_5","term_10","term_15","term_20","term_25","to_55","to_60","to_65"],
                "defaultPay":"to_65"
            },
            {
                "minAge":"41",
                "maxAge":"45",
                "payYear":["term_5","term_10","term_15","term_20","to_55","to_60","to_65"],
                "defaultPay":"to_65"
            },
            {
                "minAge":"46",
                "maxAge":"50",
                "payYear":["term_5","term_10","term_15","to_55","to_60","to_65"],
                "defaultPay":"to_65"
            },
            {
                "minAge":"51",
                "maxAge":"55",
                "payYear":["term_5","term_10","to_60","to_65"],
                "defaultPay":"to_65"
            },
            {
                "minAge":"56",
                "maxAge":"60",
                "payYear":["term_5","to_65"],
                "defaultPay":"to_65"
            }
        ],
        "payFullRule":"65",
        "ensureType":"4"
    },
    "210000": {
        "isInsure": "N",
        "c_fee_method": "1",
        "InputType": "1",
        "defaultAmt":"100000",
        "feeRule":{
            "feeType":"3",
            "amtRule":[
                {
                    "minAge":"0",
                    "maxAge":"39",
                    "minAmt":"100000",
                    "maxAmt":"100000000",
                    "multiple":"10000"
                },
                {
                    "minAge":"40",
                    "maxAge":"60",
                    "minAmt":"50000",
                    "maxAmt":"100000000",
                    "multiple":"10000"
                }
            ]
        },
        "payType": "4",
        "payFull":{
            "to_70":[
                {
                    "minAge":"0",
                    "maxAge":"40",
                    "payYear":["to_all","term_5","term_10","term_15","term_20"],
                    "defaultPay":"term_20"
                },
                {
                    "minAge":"41",
                    "maxAge":"45",
                    "payYear":["to_all","term_5","term_10","term_15"],
                    "defaultPay":"term_15"
                },
                {
                    "minAge":"46",
                    "maxAge":"50",
                    "payYear":["to_all","term_5"],
                    "defaultPay":"term_5"
                },
                {
                    "minAge":"51",
                    "maxAge":"55",
                    "payYear":["to_all"],
                    "defaultPay":"to_all"
                }
            ],
            "to_75":[
                {
                    "minAge":"0",
                    "maxAge":"45",
                    "payYear":["to_all","term_5","term_10","term_15","term_20"],
                    "defaultPay":"term_20"
                },
                {
                    "minAge":"46",
                    "maxAge":"50",
                    "payYear":["to_all","term_5","term_10","term_15"],
                    "defaultPay":"term_15"
                },
                {
                    "minAge":"51",
                    "maxAge":"55",
                    "payYear":["to_all","term_5","term_10"],
                    "defaultPay":"term_10"
                }
            ],
            "to_79":[
                {
                    "minAge":"0",
                    "maxAge":"50",
                    "payYear":["to_all","term_5","term_10","term_15","term_20"],
                    "defaultPay":"term_20"
                },
                {
                    "minAge":"51",
                    "maxAge":"55",
                    "payYear":["to_all","term_5","term_10","term_15"],
                    "defaultPay":"term_15"
                },
                {
                    "minAge":"56",
                    "maxAge":"60",
                    "payYear":["to_all","term_5","term_10"],
                    "defaultPay":"term_10"
                }
            ]
        },
        "ensureType":"1",
        "ensureYear":["to_full"],
        "defaultEnsure":"to_full",
        "birthdayType":"1",
        "birthdayValue":[
            {
                "minAge":"0",
                "maxAge":"55",
                "payYear":["to_70","to_75","to_79"],
                "defaultPay":"to_79"
            },
            {
                "minAge":"56",
                "maxAge":"60",
                "payYear":["to_79"],
                "defaultPay":"to_79"
            }
        ]
    },
    "210001": {
        "isInsure": "N",
        "c_fee_method": "1",
        "InputType": "6",
        "InputRate":"1",
        "payType": "2",
        "payValue": "1",
        "payFullRule": "80",
        "ensureType": "2",
        "ensureYear": "1",
        "birthdayType":"2",
        "birthdayValue":"1"
    },
    "210002": {
        "isInsure": "Y",
        "c_fee_method": "1",
        "holderValue": {
            "term_2":
                {
                    "minAge": "18",
                    "maxAge": "60",
                    "defaultPay": "18"
                }
            ,
            "term_4":
                {
                    "minAge": "18",
                    "maxAge": "60",
                    "defaultPay": "18"
                }
            ,
            "term_9":
                {
                    "minAge": "18",
                    "maxAge": "60",
                    "defaultPay": "18"
                }
            ,
            "term_14":
                {
                    "minAge": "18",
                    "maxAge": "55",
                    "defaultPay": "18"
                }
            ,
            "term_19":
                {
                    "minAge": "18",
                    "maxAge": "50",
                    "defaultPay": "18"
                }
        },
        "InputType": "5",
        "payType": "2",
        "payValue": "2",
        "payFullRule": "79",
        "ensureType": "2",
        "ensureYear": "1"
    },
    "220000": {
        "isInsure":"N",
        "c_fee_method":"1",
        "InputType":"1",
        "defaultAmt":"50000",
        "feeRule":{
            "feeType":"3",
            "amtRule":[
                {
                    "minAge":"50",
                    "maxAge":"65",
                    "minAmt":"50000",
                    "maxAmt":"100000",
                    "multiple":"10000"
                },
                {
                    "minAge":"66",
                    "maxAge":"75",
                    "minAmt":"50000",
                    "maxAmt":"50000",
                    "multiple":"10000"
                }
            ]
        },
        "payType":"1",
        "payFull":[
            {
                "minAge":"50",
                "maxAge":"60",
                "payYear":["term_5","term_10","term_20"],
                "defaultPay":"term_20"
            },
            {
                "minAge":"61",
                "maxAge":"70",
                "payYear":["term_5","term_10"],
                "defaultPay":"term_10"
            },
            {
                "minAge":"71",
                "maxAge":"75",
                "payYear":["term_5"],
                "defaultPay":"term_5"
            }
        ],
        "payFullRule":"80",
        "ensureType":"1",
        "ensureYear":["to_full"],
        "defaultEnsure":"to_full"
    }
}