'use strict';
define(['app'], function (app) {
    app.register.controller('planBookListTopCtrl', ['$scope','$location',function($scope,$location){
        $scope.goToBack = function(){
            var res = $scope.gotoApp('PopNative');
            if(!res)
            {
                /*****************************设置头部返回地址 begin******************************/
                var backUrl = $scope.getBackFactory('planBookList','homeR');
                if (backUrl != ''){
                    //返回按钮操作
                    //location.href = "index.html#/"+backUrl;
                    $location.url(backUrl);
                }
                /*****************************设置头部返回地址 end******************************/
            }


        }

    }]);

    app.register.controller('planBookListCtrl', ['$scope','$location','$stateParams','$timeout','backFactory','adbService',function($scope,$location,$stateParams,$timeout,backFactory,adbService){
        $scope.appTitle = '制作计划书';
        $scope.$emit("titleName", $scope.appTitle);
        $scope.$emit("companyBtn", false); //右侧保险公司按钮
        $scope.$emit("goToBackBtn", true);//返回按钮
        $scope.$emit("goIndexBtn", false);//去首页按钮
        $scope.$emit("topShow",true);
        var customerIdValue = "";

        function init(){
            //公司config
            $scope.companyNameArr = companies;

            //初始化输入框内容
            $scope.searchPdName = "";
            $scope.companyName = "全部";

            //选择的公司数组
            $scope.checkCompanyIds = [];
            $scope.checkCompanyIds[0] = true;

            //保险公司点击方法
            $scope.companyShow =false;

            //主险的列表
            $scope.mainInsureList = [];
            //所有列表参数
            $scope.allCurrentPage = 1;
            $scope.allPageSize = 10;

            //搜索列表参数
            $scope.searchCurrentPage = 1;
            $scope.searchPageSize = 10;

            //保险公司列表参数
            $scope.companyCurrentPage = 1;
            $scope.companyPageSize = 10;

            //选中的主险
            $scope.checkMainIds = [];

            //选中的主险列表
            $scope.checkedMainList = {};

            //处理URL给出的参数问题，判断此项是否选中
            var urlI= window.location.href.indexOf("?");
            var UrlParams = window.location.href.substr(urlI+1, window.location.href.length - urlI-1);
            if(typeof UrlParams == 'undefined' || UrlParams == '' || UrlParams == null){
                return;
            }else{
                var UrlParam = UrlParams.split('&');//直接拆分参数
                for(var i=0;i<UrlParam.length;i++){
                    if(UrlParam[i].indexOf("id=")>=0){
                        var idPos = UrlParam[i].indexOf("id=");
                        var idValue = UrlParam[i].substr(idPos+3, UrlParam[i].length-idPos-3);
                    }
                    else if(UrlParam[i].indexOf("customerId=")>=0){
                        var customerIdPos = UrlParam[i].indexOf("customerId=");
                        customerIdValue = UrlParam[i].substr(customerIdPos+"customerId=".length, UrlParam[i].length-customerIdPos-"customerId=".length);
                    }
                }
            }

            var UrlParamsArray = [];
            if(idValue != "" && typeof idValue != 'undefined')UrlParamsArray = idValue.split('_');
            if(typeof UrlParamsArray != 'undefined' && UrlParamsArray.length !=0){
                for(var i=0;i<UrlParamsArray.length;i++){
                    $scope.checkedMainList[UrlParamsArray[i]] = true;
                    $scope.checkMainIds[UrlParamsArray[i]] = true;
                }
            }


        }
        init();



        $scope.allLoadMore = function(){
            if(!$scope.isLoad){
                $scope.isLoad=true;
                $timeout(function(){
                    insuredList($scope.allInsuredPd);
                    $scope.isLoad=false;
                },300)
            }
        };
        var loadNum = 1;
        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载
            if(loadNum == 1)
            {
                loadNum++
                //初始化主险列表页面
                $scope.allInsuredPd = {
                    "pageNum": $scope.allCurrentPage,//页码
                    "pageSize":$scope.allPageSize,//每页数量
                    "isMain": "Y",//是否主险 Y:主险   N：附加险
                    "sexFlag": "2",//性别  0：男   1：女   2：不限
                    "salesWay": "2",//销售方式: 1:线上  2：线下
                };
                insuredList($scope.allInsuredPd);
            }

        });

        $scope.goMyPlan = function(){
            var broker = JSON.parse(localStorage.getItem('broker_in_session'));
            $location.path('/planBookMyRecordR/'+broker.accId);
        };

        $scope.checkCompanyIds[0] = true;
        $scope.showCompany =function(){
            $scope.companyName = "全部";
            $scope.companyShow =true;
        };
        //保险公司不显示时，调用产品查询接口返回相应的保险公司的列表
        $scope.hideCompany =function(index,cpId){
            $scope.companyShow =false;
            $scope.noMoreRecord = true;
            $scope.allInsuredPd = {
                "pageNum": $scope.companyCurrentPage,//页码
                "pageSize": $scope.companyPageSize,//每页数量
                "productCompany":cpId,//保险公司代码
                "isMain": "Y",//是否主险 Y:主险   N：附加险
                "salesWay": "2"//销售方式: 1:线上  2：线下
            };
            $scope.mainInsureList = [];

            insuredList($scope.allInsuredPd);

            for(var i = 0; i< $scope.companyNameArr.length; i++){
                $scope.checkCompanyIds[i] = false;
                $scope.companyName = $scope.companyNameArr[index].name;
            }
            $scope.checkCompanyIds[index] = !$scope.checkCompanyIds[index];
            $scope.searchPdName = "";
        };

        function insuredList(params){
            adbService.getResult(
                {},
                $scope.setService("I231014",params),
                function (json) {
                    //console.log(json);
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        var mainInsureList = json.data.productInfo;
                        if(mainInsureList.length < $scope.allPageSize){
                            $scope.noMoreRecord = true;
                        }
                        if(mainInsureList.length > 0){
                            for(var i=0;i<mainInsureList.length;i++){
                                $scope.mainInsureList.push(mainInsureList[i]);
                            }
                            params.pageNum ++;
                        }
                    }
                },
                function (err) {
                    $scope.dialogTip("获取产品列表失败");
                }
            );
        }

        //搜索产品调用搜索接口
        $scope.searchMainInsure = function(inputC){
            $scope.companyName = "全部";
            $scope.noMoreRecord = true;
            for(var i = 0; i< $scope.companyNameArr.length; i++){
                $scope.checkCompanyIds[i] = false;
            }
            $scope.checkCompanyIds[0] = true;
            $scope.searchMainParams = {
                "pageNum": $scope.searchCurrentPage,  //页码
                "pageSize": $scope.searchPageSize,  //每页数量
                "productLikeName":inputC,  //查询的产品名称
                "isMain": "Y",//是否主险 Y:主险   N：附加险
                "salesWay": "2"//销售方式: 1:线上  2：线下
            };
            //调取搜索产品的接口
            adbService.getResult(
                {},
                $scope.setService("I231015",$scope.searchMainParams),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.mainInsureList = json.data.productInfo;
                    }
                },
                function (err) {
                    $scope.dialogTip("获取计划书记录列表失败");
                }
            );
        }

        $scope.checkMain = function(id){
            $scope.checkMainIds[id] = !$scope.checkMainIds[id];
            if($scope.checkMainIds[id]){
                if(getJsonObjLength($scope.checkedMainList)>=5){
                    $scope.dialogTip('主险数量不能超过5个');
                    $scope.checkMainIds[id]=false;
                    return;
                }
                $scope.checkedMainList[id] = true;
            }else{
                $scope.checkedMainList[id] = false;
                if($scope.checkedMainList[id] == false){
                    delete $scope.checkedMainList[id];
                }
            }
        };

        //获取json的长度
        function getJsonObjLength(jsonObj) {
            var Length = 0;
            for (var item in jsonObj) {
                Length++;
            }
            return Length;
        }

        var urlAddress = "";
        $scope.goStartMake = function(){
            if(getJsonObjLength($scope.checkedMainList)<=0){
                $scope.dialogTip('您还没有选择产品');
                return;
            }
            //通过选中的主险组合URL参数
            for(var i in $scope.checkedMainList){
                urlAddress = urlAddress + i + "_";
            }
            urlAddress = urlAddress.substring(0,urlAddress.length-1);

            $scope.setBackFactory('planBookDemonstration','planBookListR');
            if(customerIdValue){
                //location.href = '#/planBookDemonstrationR?id='+urlAddress+'&customerId='+customerIdValue;
                $location.url('planBookDemonstrationR?id='+urlAddress+'&customerId='+customerIdValue);
            }else{
                //location.href = '#/planBookDemonstrationR?id='+urlAddress;
                $location.url('planBookDemonstrationR?id='+urlAddress);
            }
        };
    }]);
});