'use strict';
define(['app'], function (app) {

    app.register.controller('planBookMyRecordCtrl',['$scope','$location','$stateParams','$timeout','backFactory','adbService','ngDialog',function($scope,$location,$stateParams,$timeout,backFactory,adbService,ngDialog){
        $scope.customerId = $stateParams.customerId;

        $scope.appTitle = '计划书历史记录';
        $scope.$emit("titleName", $scope.appTitle);
        $scope.$emit("companyBtn", false); //右侧保险公司按钮
        $scope.$emit("goToBackBtn", true);//返回按钮
        $scope.$emit("goIndexBtn", false);//去首页按钮
        $scope.$emit("topShow",true);

        /*****************************设置头部返回地址 begin******************************/
        var backUrl = $scope.getBackFactory('planBookMyRecord','planBookListR');
        if (backUrl != ''){
            //返回按钮操作
            $scope.$emit("adbBack","index.html#/"+backUrl,"2",true);//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        /*****************************设置头部返回地址 end******************************/

        $scope.makePlanBook = function(){
            $location.path('/planBookListR');
        };

        $scope.goResult = function(params){
            $scope.setBackFactory('planBookResult','planBookMyRecordR/'+$scope.customerId);
            $location.path('/planBookResultR/'+params);
        };

        function init(){
            //$scope.recordList = []; //数据列表

            //计划书历史记录列表
            $scope.recordPageNo = 1;
            $scope.recordPageSize = 10;
            $scope.noMoreRecord = false;
            $scope.planRecordList = [];

            getRecordList();//执行查询客户保单列表
        }
        init();

        //获取计划书历史记录
        function getRecordList() {
            var recordParams = {
                "pageNo": $scope.recordPageNo,//页-做过修改，原来是pageNum
                "pageSize": $scope.recordPageSize,//每页数量
                "source": "P",//P:计划书查询历史  K:查询某个客户的
                "brokerId": $scope.customerId//客户ID 非必填
            };
            adbService.getResult(
                {},
                $scope.setService('I231011', recordParams),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        var planRecordList = json.data.customerInfo;
                        //判断获取列表数据是否小于每页数量
                        if(planRecordList.length<$scope.recordPageSize){
                            $scope.noMoreRecord = true;
                        }
                        //判断获取的数据长度
                        if(planRecordList.length > 0){
                            for(var i=0; i<planRecordList.length; i++){
                                planRecordList[i].createTime = formatDate10(new Date(parseFloat(planRecordList[i].createTime)));
                                //将新增的列表加入之前页面的列表内
                                $scope.planRecordList.push(planRecordList[i]);
                            }
                            //页数增加
                            $scope.recordPageNo ++;
                        }
                    }
                },
                function (err) {
                    //错误
                    //console.log(err);
                }
            );
        }
        //计划书历史记录数据滚动加载
        $scope.recordLoadMore = function() {
            if(!$scope.isLoad){
                $scope.isLoad=true;
                $timeout(function(){
                    getRecordList();
                    $scope.isLoad=false;
                },300)
            }
        };

        //刪除某一条计划书
        $scope.delPlanRecord = function(recordId,name){
            if(typeof name == 'undefined'){
                $scope.dialogConfirm("确认删除此计划书吗？","","取消","删除","delPlanRecordFlag");
            }else{
                $scope.dialogConfirm("确认删除"+name+'吗？',"","取消","删除","delPlanRecordFlag");
            }
            //客户确定删除后，向数据库通讯

            $scope.$on("delPlanRecordFlag",function (event, msg) {
                var delRecordParams = {
                    "_id":recordId,
                };
                adbService.getResult(
                    {},
                    $scope.setService('I231013',delRecordParams),
                    function (json) {
                        if (json.header.istatus == '-99'){
                            $scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {
                            for(var i=0;i<$scope.planRecordList.length;i++){
                                var singleRecordInfo = $scope.planRecordList[i];
                                if(recordId==singleRecordInfo._id){
                                    $scope.planRecordList.splice(i,1);
                                }
                            }
                        }
                    },
                    function(err){

                    }
                );
            });
        };
    }]);
});