define(['app'],function(app) {

    app.register.controller('planBookResultCtrl',['$scope','$location','$stateParams','$timeout','backFactory','adbService',function($scope,$location,$stateParams,$timeout,backFactory,adbService){
        $scope.appTitle = '计划书演示';
        $scope.$emit("titleName", $scope.appTitle);
        $scope.$emit("goIndexBtn", false);//去首页按钮
        $scope.planId= $stateParams.planId;
        $scope.$emit("topShow",false);
        $scope.planId = $stateParams.planId;
        /*****************************设置头部返回地址 begin******************************/
        var backUrl = $scope.getBackFactory('planBookResult','planBookRecordR');
        if (backUrl != ''){
            //返回按钮操作
            $scope.$emit("adbBack","index.html#/"+backUrl,"2",true);//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        /*****************************设置头部返回地址 end******************************/

        //计划书演示结果页面显示方法
        function showPlanResult(){
            $scope.appTitle = '计划书演示';
            $scope.$emit("titleName", $scope.appTitle);
            $scope.$emit("goIndexBtn", true);//去首页按钮
            $scope.planResult = true; //计划书演示
        }

        var clauseAllData=[];
        function init(){
            $scope.planResult = true;
            $scope.adviserName = "";

            //新建计划按钮显示与否变量
            $scope.isShowNewPlan = true;
            if($location.url().split('?')[1]){
                var isUrl = $location.url().split('?')[1].split('&');
                for(var i=0;i<isUrl.length;i++){
                    if(isUrl[i].match('is_native')){
                        $scope.isShowNewPlan = false;
                    }
                }
            }

            $scope.planDetailParams = {
                "_id": $scope.planId
            };
            $scope.isAgentName = true;

            adbService.getResult(
                {},
                $scope.setService("I231012",$scope.planDetailParams),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.insurePlanResult = json.data;
                        //将获取的result赋值给变量
                        $scope.insuredInfoResult = $scope.insurePlanResult.insureInfo;
                        $scope.holderInfoResult = $scope.insurePlanResult.holderInfo;
                        $scope.brokerInfoResult = $scope.insurePlanResult.brokerInfo;

                        if($scope.brokerInfoResult && typeof $scope.brokerInfoResult['brokerId'] != 'undefined' && $scope.brokerInfoResult['brokerId'])
                        {
                            getUserInfo($scope.brokerInfoResult['brokerId']);//获取用户信息
                        }

                        $scope.productShowItemResult = $scope.insurePlanResult.productShowItem;
                        $scope.productListResult = $scope.insurePlanResult.productList;
                        $scope.benefitResult = $scope.insurePlanResult.benefit;
                        $scope.clauseResult = $scope.insurePlanResult.clause;

                        $scope.headPortraitSrc = $scope.brokerInfoResult.head_portrait;
                        $scope.planName = "以下是我专门为您定制的《"+$scope.insurePlanResult.planName+"》保障计划，敬请查阅！";
                        //处理获取的保障利益的数据
                        $scope.showItems = {};
                        $scope.diseaseData = [];
                        $scope.universalGoldData = [];
                        $scope.educationalData = [];
                        for(var i=0;i<$scope.benefitResult.length;i++){
                            if($scope.benefitResult[i].type == "1" || $scope.benefitResult[i].type == "2"){
                                $scope.showItems.diseaseMildBox = true;
                                $scope.diseaseData.push($scope.benefitResult[i]);
                            }else if($scope.benefitResult[i].type == "3"){
                                $scope.showItems.universalGoldBox = true;
                                $scope.universalGoldData.push($scope.benefitResult[i]);
                            }else if($scope.benefitResult[i].type == "5"){
                                $scope.showItems.educationalBox = true;
                                $scope.educationalData.push($scope.benefitResult[i]);
                            }
                        }
                        setAgeSlider();
                        //获取页面需求数据(获取条款页面的json串)

                        for(var j=0;j<$scope.clauseResult.productListInfo.id.length;j++){
                            (function(j){
                                $.ajax({
                                    url: 'module/planBook/js/clause/Z' + $scope.clauseResult.productListInfo.id[j] + '.json',
                                    cache: true,
                                    async: true,
                                    dataType: 'json',
                                    success: function (data) {
                                        clauseAllData[j] = {};
                                        clauseAllData[j].key = $scope.clauseResult.productListInfo.id[j];
                                        clauseAllData[j].value = data;
                                    },
                                    error: function (err) {
                                    }
                                });
                            })(j);

                        }

                        callShare2();//二次分享
                    }
                },
                function (err) {
                    $scope.dialogRes("获取计划书详情页失败");
                }
            );
        }
        init();

        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载

        });

        //调节年龄滑块
        function setAgeSlider(){
            if(typeof $scope.universalGoldData[0] != 'undefined' && typeof $scope.universalGoldData[0].minAge != 'undefined')$scope.minNum = $scope.universalGoldData[0].minAge;
            if(typeof $scope.universalGoldData[0] != 'undefined' && typeof $scope.universalGoldData[0].maxAge != 'undefined')$scope.maxNum = $scope.universalGoldData[0].maxAge;
            $scope.ageText = $scope.minNum;
            $scope.changeAgeText($scope.ageText);
            $scope.universalIndex = $scope.ageNum - 0;//展示万能账户索引
        }

        //修改年龄条
        $scope.changeAgeText = function(age){
            $scope.ageNum = parseInt(age);
            $scope.universalIndex = age - 0;//展示万能账户索引
        }

        //修改年龄输入框
        $scope.changeAgeNum = function(age){
            $scope.ageText = age;
            $scope.universalIndex = age - 0;//展示万能账户索引
        }



        //条款注解按钮跳转
        $scope.goClause = function(){
            $scope.initDatas = {
                "insuredLiability":false,
                "liabilityExemption":false,
                "detailClause":false
            };
            //条款注解页面返回跳转
            $scope.planResult = false; //计划书演示
            $scope.clauseNote = true;
            $scope.appTitle = '产品条款';
            $scope.$emit("titleName", $scope.appTitle);
            $scope.$emit("topShow",true);
            $scope.$emit("goIndexBtn", false);//去首页按钮
            $scope.$emit("adbBack","","1",false);//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
            $scope.$on('planResult', function(event, mass){
                showPlanResult();
                $scope.$emit("topShow",false);
                $scope.$emit("adbBack",backUrl,"1",true);//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
                $scope.clauseNote = mass;
                $scope.inputPage = false;
            });



            $scope.liability = [];
            $scope.exempt = [];
            $scope.clauseView = [];
            for(var i=0; i<$scope.clauseResult.productListInfo.pos.length;i++){
                //判断保险责任是否存在
                if($scope.clauseResult.productListInfo.pos[i][0] == "1"){
                    $scope.liability.push(clauseAllData[i].value.liability);
                }
                //判断责任免除是否存在
                if($scope.clauseResult.productListInfo.pos[i][1] == "1"){
                    $scope.exempt.push(clauseAllData[i].value.exempt);
                }
                //判断条款是否存在
                $scope.clauseView[i]={};
                if($scope.clauseResult.productListInfo.pos[i][2] != ""){
                    $scope.clauseView[i].id = $scope.clauseResult.productListInfo.id[i];
                    $scope.clauseView[i].content = $scope.clauseResult.productListInfo.pos[i][2];
                }
            }
        };

        //查看疾病列表详情
        $scope.goCheckDetail = function(index){
            $scope.isOverflowHidden = true;
            $scope.checkDetail = true; //查看疾病清单
            //处理获取的疾病清单列表
            var diseaseListV = [];
            for(var i=0;i<$scope.diseaseData.length;i++){
                diseaseListV = $scope.diseaseData[index].buttonInfo.value;
            }

            //判断点击的查看疾病清单是轻症疾病还是重疾
            var diseaseType = "";
            $scope.diseaseListValue = {};
            if($scope.diseaseData[index].buttonInfo.type == "1"){
                diseaseType = "重疾";
                $scope.severe = severe;
                for(var i=0;i<diseaseListV.length;i++){
                    $scope.diseaseListValue[diseaseListV[i]]=$scope.severe[diseaseListV[i]];
                }
            }else if($scope.diseaseData[index].buttonInfo.type == "2"){
                diseaseType = "轻症";
                $scope.mild = mild;
                for(var i=0;i<diseaseListV.length;i++){
                    $scope.diseaseListValue[diseaseListV[i]]=$scope.mild[diseaseListV[i]];
                }
            }
            //组合弹框的title名称
            $scope.diseaseTitle = diseaseListV.length+"种"+diseaseType;
        };
        //阅读疾病列表详情完毕
        $scope.lookFinish = function(){
            $scope.isOverflowHidden = false;
            $scope.checkDetail = false; //查看疾病清单
        };

        $scope.resultShare = function(){
            location.href = "share.html#/planBookResultR/1";
        };

        //继续制作计划书按钮
        $scope.newToMake = function(){
            var regId = "";
            var broker;
            if(typeof localStorage.getItem('broker_in_session') != "undefined")
            {
                broker = JSON.parse(localStorage.getItem('broker_in_session'));
            }
            if(typeof broker != "undefined" && broker && typeof broker['regId'] != "undefined" && broker['regId'])
                regId = broker['regId'];

            $scope.eventAttributes("planBookNewToMake",JSON.stringify({"tel":regId}));//结果页-新建计划次数埋点

            if ($scope.authed)
            {
                var res = $scope.gotoApp('PopNative','ADBMakePlanList');
            }
            if(!res)
            {
                $location.path('/planBookListR');
            }
        };

        $scope.goPdfShow = function(id){

            //如果是IOS则打开view读取pdf
            if ($scope.authed) {
                if ($scope.isNativeApp() == 'IOS')
                {
                    try{
                        var pdfUrl = _globalOption.pdfHost+'/adb/module/planBook/js/clause/'+id+".pdf";
                        native.jsCallH5View(pdfUrl,'');//打开pdf
                        return;
                    }
                    catch(e)
                    {

                    }

                }
            }

            $scope.isPdfShow = true;
            $scope.clauseNote = false;
            $scope.appTitle = '条款内容';
            $scope.$emit("titleName", $scope.appTitle);
            $scope.$emit("topShow",true);
            $scope.$emit("goIndexBtn", false);//去首页按钮
            $scope.pdfSrc="js/web/viewpdf.html?src=clause/"+id+".pdf";
            var a = document.createElement("iframe");
            a.width = "100%";
            a.height = "1000px";
            a.src = $scope.pdfSrc;
            var oB = document.getElementById("pdfShow")
            oB.appendChild(a);
            $scope.$emit("adbBack","","1",false);//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
            $scope.$on('planResult', function(event, mass){
                if(oB.hasChildNodes()){
                    oB.removeChild(oB.childNodes[0]);
                }
                $scope.isPdfShow = mass;
                $scope.appTitle = '产品条款';
                $scope.$emit("titleName", $scope.appTitle);
                $scope.$emit("goIndexBtn", false);//去首页按钮
                $scope.clauseNote = true;
                $scope.planResult = mass;
                $scope.$emit("topShow",true);
                $scope.$emit("adbBack","","1",false);//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
                $scope.$on('planResult', function(event, mass){
                    showPlanResult();
                    $scope.$emit("topShow",false);
                    $scope.$emit("adbBack",backUrl,"1",true);//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
                    $scope.clauseNote = mass;
                    $scope.inputPage = false;
                });
            });
        };

        var sharing = false;//分享中
        $scope.shareResult = function(){
            //分享按钮
            if(!$scope.isCertificationFun('请完善认证信息开启专享通道才可进行分享'))
            {
                return;//如果不是认证用户，则返回，不进行分享
            }

            if(!sharing) {
                sharing = true;//标识在分享中

                if($scope.insurePlanResult.brokerInfo.agent_name == "" || $scope.insurePlanResult.brokerInfo.agent_name =="undefined" || $scope.insurePlanResult.brokerInfo.agent_name == null){
                    $scope.insurePlanResult.brokerInfo.agent_name = "";
                }
                //跳转到某个id
                var shareObj = {
                    "imgUrl":_globalOption.host+"/adb/module/planBook/images/productLogo/"+$scope.insurePlanResult.productList[0].productId+".png",
                    "shareUrl": _globalOption.shareHost+"/adb/share.html#/planBookResultR/"+$scope.planId+"?&",
                    "title": "《"+$scope.insurePlanResult.planName+"》保障计划",
                    "description":"保险独立经纪人"+$scope.insurePlanResult.brokerInfo.agent_name+"为您精心设计的专属保险组合计划，简单明了，保障全面!"
                };
                //console.log(shareObj);

                var mdUrl = '';
                for(var i=0;i<$scope.insurePlanResult.productList.length;i++)
                {
                    if (i == 0)
                    {
                        mdUrl = $scope.insurePlanResult.productList[i].productId;
                    }
                    else{
                        mdUrl += '/'+$scope.insurePlanResult.productList[i].productId;
                    }
                }
                //console.log(mdUrl);
                var regId = "";
                var broker;
                if(typeof localStorage.getItem('broker_in_session') != "undefined")
                {
                    broker = JSON.parse(localStorage.getItem('broker_in_session'));
                }
                if(typeof broker != "undefined" && broker && typeof broker['regId'] != "undefined" && broker['regId'])
                    regId = broker['regId'];

                $scope.eventAttributes("planBookShare",JSON.stringify({"productId":mdUrl,"tel":regId}));//分享计划书次数埋点

                $scope.$emit("goShare",shareObj);
                $scope.showShareBox(true);

                var timer = $timeout(
                    function() {
                        sharing = false;
                    },
                    2000
                );
            }
        };

        //切换弹窗
        $scope.initDatas = {};
        $scope.toggleShow=function(e){
            if(e == "insuredLiability"){
                $scope.initDatas['liabilityExemption'] = false;
                $scope.initDatas['detailClause'] = false;
            }else if(e == "liabilityExemption"){
                $scope.initDatas['insuredLiability'] = false;
                $scope.initDatas['detailClause'] = false;
            }else if(e == "detailClause"){
                $scope.initDatas['insuredLiability'] = false;
                $scope.initDatas['liabilityExemption'] = false;
            }
            $scope.initDatas[e]=!$scope.initDatas[e];
        }

        /*********************************************获取分享出去名片的用户名称 begin*********************************************************/
        //黎明用户：默认显示昵称，若没有昵称则显示“真实姓名”
        //非黎明用户：默认显示“真实姓名”
        function getUserInfo(uid){
            //获取代理人信息
            var params = {
                "regId": uid
            };
            adbService.getResult(
                {},
                $scope.setService('I110801',params),
                function (json) {
                    //console.log(json)
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        var userInfo = json.data;//返回用户信息
                        var isLimingUser = false;//非黎明用户,true-是，false-非
                        if(userInfo)
                        {
                            if(typeof userInfo['brokerLevel'] != 'undefined' && userInfo['brokerLevel'] > 0)
                            {
                                isLimingUser = true;
                            }
                            if (isLimingUser)
                            {
                                //黎明用户
                                if(typeof userInfo['nickName'] != 'undefined' && userInfo['nickName'])
                                {
                                    $scope.brokerInfoResult.agent_name = userInfo['nickName'];
                                    $scope.adviserName = "保险顾问："+$scope.brokerInfoResult.agent_name+" 敬呈";
                                }
                                else if(typeof userInfo['name'] != 'undefined' && userInfo['name'])
                                {
                                    $scope.brokerInfoResult.agent_name = userInfo['name'];
                                    $scope.adviserName = "保险顾问："+$scope.brokerInfoResult.agent_name+" 敬呈";
                                }
                                else{
                                    $scope.isAgentName = false;
                                }

                            }
                            else{
                                //非黎明用户
                                if(typeof userInfo['name'] != 'undefined' && userInfo['name'])
                                {
                                    $scope.brokerInfoResult.agent_name = userInfo['name'];
                                    $scope.adviserName = "保险顾问："+$scope.brokerInfoResult.agent_name+" 敬呈";
                                }
                                else{
                                    $scope.isAgentName = false;
                                }
                            }

                        }
                    }
                    else{
                        $scope.dialogRes(json.header.imsg);//弹出错误提示
                    }
                },
                function(err){
                    //错误
                    //console.log(err);
                });
        }
        /*********************************************获取分享出去名片的用户名称 end*********************************************************/

        /***************************************二次分享 begin******************************************************************/

        function callShare2()
        {
            if(!$scope.authed)
            {
                try {
                    //var url = _globalOption.shareHost+"/adb/share.html#/planBookResultR/"+$scope.planId+"?&";
                    var url = $location.absUrl();
                    var share2Obj = {
                        "currentUrl":url,//原始url
                        "shareTitle":"《"+$scope.insurePlanResult.planName+"》保障计划",//分享的标题
                        "shareUrl":url,//分享的url
                        "shareImg": _globalOption.host+"/adb/module/planBook/images/productLogo/"+$scope.insurePlanResult.productList[0].productId+".png",//分享的图片
                        "shareDesc":"保险独立经纪人"+$scope.insurePlanResult.brokerInfo.agent_name+"为您精心设计的专属保险组合计划，简单明了，保障全面!"//分享的描述
                    };
                    var pos=share2Obj.currentUrl.indexOf("#");
                    var dataJson = $scope.setService("W102010", {
                        "url" : pos>-1?share2Obj.currentUrl.substring(0,pos):share2Obj.currentUrl
                    })
                    common_wx_share(dataJson,share2Obj);
                } catch (e) {

                }
            }
        }

        /***************************************二次分享 end******************************************************************/
    }]);
});
function noDrag(){
    $('#noDrage').click();
}