define(['app'], function (app) {

    app.register.controller('proCompareListCtrl', ['$scope', '$location', 'backFactory', 'adbService','proCompareFactory', function ($scope, $location, backFactory, adbService,proCompareFactory) {
        //改变页面的<title>
        $scope.appTitle = '产品对比';
        $scope.$emit("titleName", $scope.appTitle);

        /*****************************设置头部返回地址 begin******************************/

        var backUrl = $scope.getBackFactory('proCompareList', 'proCompareCategoryR');
        if (backUrl != '') {
            //返回按钮操作
            $scope.$emit("adbBack", "index.html#/" + backUrl, "2", true);//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }

        /*****************************设置头部返回地址 end******************************/

            //产品比价的首页到结果页的跳转
        $scope.goCompareResult = function () {
            //返回跳转记录
            if($scope.selectProCompareArr.length !=2){
                $scope.dialogRes("请选择2款保险产品进行对比")
                return;
            }
            $scope.setBackFactory('proCompareResult', 'proCompareListR');
            $location.path('/proCompareResultR/11/' + $scope.selectProCompareArr[0] + '/' + $scope.selectProCompareArr[1]);
            //location.href='index.html#/proCompareResultR'
        };

        //初始化数据
        function init() {

            $scope.classId = proCompareFactory.getter();//获取大类的ID
            $scope.selectProCompare = {};
            $scope.selectProCompareArr = [];
            $scope.selectedNum = 0;

            $scope.type = 'company';//初始化按照公司排序
            $scope.sortField = '1';
            $scope.sortType = '1';
            $scope.sortComType = '1';
            $scope.sortProType = '-1';

            getProCompareDate($scope.sortField,$scope.sortType);
        }

        init()

        //切换导航
        $scope.sort = function(type){
            $scope.type = (type=='company'?'company':'product')
            if(type == 'company'){
                $scope.sortField = '1';
                if($scope.sortComType == '1'){
                    $scope.sortComType = '-1'
                    $scope.sortType = '-1'
                }else if($scope.sortComType == '-1'){
                    $scope.sortComType = '1'
                    $scope.sortType = '1'
                }
                getProCompareDate($scope.sortField,$scope.sortType);//获取分类后的列表
                $scope.sortProType = '-1';

            }else{
                $scope.sortField = '2';
                if($scope.sortProType == '1'){
                    $scope.sortProType = '-1'
                    $scope.sortType = '-1'
                }else if($scope.sortProType == '-1'){
                    $scope.sortProType = '1'
                    $scope.sortType = '1'
                }
                getProCompareDate($scope.sortField,$scope.sortType);//获取分类后的列表
                $scope.sortComType = '-1';
            }
        };

        //切换弹窗
        $scope.toggleShow = function (e) {
            $scope.initDatas[e] = !$scope.initDatas[e];
        }

        //获取产品对比列表
        function getProCompareDate(sortField,sortType) {
            var params = {
                "classId": $scope.classId,
                "pageNum": "1",
                "pageSize": "100",
                "sortField": $scope.sortField,
                "sortType": $scope.sortType
            }
            adbService.getResult(
                {},
                $scope.setService('I181015', params),
                function (json) {
                    if (json.header.istatus == '-99') {
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.products = json.data.compareList;
                    }
                }
            )
        };

        $scope.decideProCompare = function (param) {   //选择保险
            if (typeof $scope.selectProCompare['x' + param] == 'undefined' || $scope.selectProCompare['x' + param] == 0) {
                if ($scope.selectedNum < 2) {
                    $scope.selectProCompare['x' + param] = 1;
                    $scope.selectedNum++;
                    $scope.selectProCompareArr.push(param);
                }
                else {
                    $scope.dialogRes('只能选择两款产品比价！');
                }
            }
            else {
                $scope.selectProCompare['x' + param] = 0;
                $scope.selectedNum--;
                for(var i = 0;i<$scope.selectProCompareArr.length;i++){
                    if($scope.selectProCompareArr[i] == param){
                        $scope.selectProCompareArr.splice(i,1)
                    }
                }
            }
        };


    }]);
});