define(['app'],function (app) {
    app.register.controller('productAdditionalInfoCtrl', ['$scope','$stateParams','backFactory','$location','adbService',function($scope,$stateParams,backFactory,$location,adbService){
        //改变页面的<title>
        $scope.appTitle = '附加险';
        $scope.$emit("titleName", $scope.appTitle);
        $scope.$emit("searchShow", false);
        $scope.$emit("homeShow", false);
        $scope.$emit("goBackShow", true);
        $scope.$emit("saveShow", false);
        $scope.isRightIconShow = false;
        $scope.detailShow = false;
        $scope.$emit("stepNum", '');//返回详情页  广播

        $scope.mainAdditionCalculate = [];

        //模块拆分 进入每款产品的试算
        var productJs = {};
        function loadProductJs(productId) {
            console.info('module/product/detailOffline/views/' + productId + '/product.js');

            $.ajax({
                url: 'module/product/detailOffline/views/' + productId + '/product.js',
                cache: false,
                async: false,
                success: function (data) {
                    productJs[productId] = (new Function("return " + data))();
                    productJs[productId]($scope, null, {
                        "adbService": adbService
                    }); //产品信息初始化
                },
                error: function (err) {

                }
            });
        }

        $scope.additionInfo=[];
        var additionInfo = localStorage.getItem('additionInfo');
        if(additionInfo){
            additionInfo = JSON.parse(additionInfo);
            for(var i = 0; i<additionInfo.length;i++){
                console.info(additionInfo[i].productId);
                loadProductJs(additionInfo[i].productId);
                var objP = 'P'+additionInfo[i].productId+'Cal';
                 $scope.additionInfo.push($scope[objP]);
            }
        }


        $scope.$on('$viewContentLoaded', function () {
            //视图渲染后加载
            function scrollInsureClauseFun() {
                var obj = document.getElementById('additionalContent');
                document.documentElement.scrollTop =document.body.scrollTop= obj.offsetTop;
            }
            scrollInsureClauseFun();
        });
        /*--------------------------头部返回start--------------------------*/
        //因为是浏览器、微信、App都会调用此页面
        var appBack = backFactory.getter();//App存储backFactory
        if (typeof appBack['productAdditionalInfo'] != 'undefined'&& appBack['productAdditionalInfo'] != '')
        {
            var backUrl = appBack['productAdditionalInfo'];
            $scope.$emit("adbBack","index.html#"+backUrl,"2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        else{
            //不是APP,从localstorage读取
            var localBack = localStorage.getItem("productAdditionalInfo");
            $scope.$emit("adbBack","index.html#"+localBack,"2");
        }
        /*--------------------------头部返回end--------------------------*/

        //选择附加险
        $scope.checkedAddition = function(id){
            $scope.checkAdditionIds[id] = !$scope.checkAdditionIds[id];
            if($scope.checkAdditionIds[id]){
                if(getJsonObjLength($scope.checkedAdditionList)>=5){
                    $scope.dialogTip('选择附加险不得超过5个');
                    $scope.checkAdditionIds[id]=false;
                    return;
                }
                $scope.checkedAdditionList[id] = true;
                for(var j in $scope.checkedAdditionList){
                    for(var i=0;i<$scope.additionInfo.length;i++){
                        if(j == $scope.additionInfo[i].productId && $scope.checkedAdditionList[j]){
                            $scope.checkedAdditionList[j] = $scope.additionInfo[i];
                            $scope.checkedAdditionList[j]['initStatus'].isShowAddition = true;
                        }
                    }
                }
            }else{
                $scope.checkedAdditionList[id] = false;
                for(var j in $scope.checkedAdditionList){
                    for(var i=0;i<$scope.additionInfo.length;i++){
                        if(j == $scope.additionInfo[i].productId){
                            $scope.checkedAdditionList[j] = $scope.additionInfo[i];
                            $scope.checkedAdditionList[j]['initStatus'].isShowAddition = false;
                        }
                    }
                }
            }
        };

        function init(){
            if($location.url().split('?')[1].split('=')[1] == "1"){
                $scope.checkBtn = false;
            }else{
                $scope.checkBtn = true;
            }

            //选中的附加险
            $scope.checkAdditionIds = [];

            //选中的附加险列表
            $scope.checkedAdditionList = {};

            //判断附加险是否选中
            var additionList = localStorage.getItem("saveCheckedAdditionList");
            if(additionList){
                additionList = JSON.parse(additionList);
                for(var i in additionList){
                    if(additionList[i].initStatus.isShowAddition){
                        $scope.checkedAddition(i);
                    }
                }
            }
            //loadProductJs();

            $scope.initDatas = {};
            for(var i=0; i<$scope.additionInfo.length;i++){
                $scope.initDatas[i] = false;
            }
        }
        init();



        //附加险信息查看
        $scope.toggleAddition = function(index){
            $scope.initDatas[index] = !$scope.initDatas[index];
            if($scope.initDatas[index] == true){
                for(var i=0; i<$scope.additionInfo.length;i++){
                    if(i != index){
                        $scope.initDatas[i] = false;
                    }
                }
            }
        };

        //获取json的长度
        function getJsonObjLength(jsonObj) {
            var Length = 0;
            for (var item in jsonObj) {
                Length++;
            }
            return Length;
        }



        $scope.goFillInfoOffline = function(){
            if(getJsonObjLength($scope.checkedAdditionList) != 0){
                localStorage.setItem("saveCheckedAdditionList",JSON.stringify($scope.checkedAdditionList));
            }
            var objA = 'P'+$stateParams.productId+'Cal';
            var localSaveData = $scope.productGetItem(objA);
            if (typeof appBack['productAdditionalInfo'] != 'undefined'&& appBack['productAdditionalInfo'] != '')
            {
                var backUrl = appBack['productAdditionalInfo'];
                var backUIndexOf = backUrl.indexOf('/productR/productFillInfoOfflineR/');
                if(backUIndexOf>-1){
                    if(localSaveData){
                        if(localSaveData.chargePeriod == '1'){
                            for(var i in $scope.checkedAdditionList){
                                if(!i || $scope.checkedAdditionList[i].initStatus.isShowAddition){
                                    $scope.dialogTip("缴费方式为趸交，不能选择此款豁免附加险！");
                                    return;
                                }
                            }

                        }
                    }
                }
                location.href = "#"+backUrl;
            }
            else{
                //不是APP,从localstorage读取
                var localBack = localStorage.getItem("productAdditionalInfo");
                var urlIndexOf = localBack.indexOf('/productR/productFillInfoOfflineR/');
                if(urlIndexOf>-1){
                    if(localSaveData){
                        if(localSaveData.chargePeriod == '1'){
                            for(var j in $scope.checkedAdditionList){
                                if(!j || $scope.checkedAdditionList[j].initStatus.isShowAddition){
                                    $scope.dialogTip("缴费方式为趸交，不能选择此款豁免附加险！");
                                    return;
                                }
                            }
                        }
                    }
                }
                location.href = "#"+localBack;
            }
        };
    }]);
});