define(['app'], function (app) {
    app.register.controller('productDetailOfflineTopCtrl', ['$scope', '$window', '$timeout', 'backFactory', '$location', '$stateParams', 'adbService', function ($scope, $window, $timeout, backFactory, $location, $stateParams, adbService) {
        var backUrl = $scope.getBackFactory('productDetailOnline', 'homeR');
        $scope.goToBack = function () {

            if (backUrl != '') {

                if(typeof backUrl == 'undefined'|| (backUrl.indexOf('DetailOnlineR')>-1 ) ||(backUrl.indexOf('homeR')>-1 ) || (backUrl.indexOf('exhibitionR')>-1))
                {
                    //跳转APP的进入页
                    var res = $scope.gotoApp('PopNative');
                    if(res)
                    {
                        return;
                    }
                }
                location.href = "index.html#" + backUrl;

            }
        }
    }]);
    app.register.controller('productDetailOfflineCtrl', ['$scope', '$window', '$timeout','$stateParams','backFactory','$location','adbService',function ($scope, $window, $timeout,$stateParams,backFactory,$location,adbService) {
        $scope.appTitle = '产品详情';
        $scope.$emit("titleName", $scope.appTitle);
        $scope.$emit("goBackShow", true);
        $scope.productId = $stateParams.productId;

        //详情页面的跳转
        $scope.turnToOffline = function(num,module){
            if(!$scope.isCertificationFun('请完善认证信息享受高佣金，开启专享通道，才可进行购买') && $scope.authed)
            {
                return;//如果不是认证用户，则返回，不进行分享
            }
            else{
                var regId = "";
                var broker;
                if(typeof localStorage.getItem('broker_in_session') != "undefined")
                {
                    broker = JSON.parse(localStorage.getItem('broker_in_session'));
                }
                if(typeof broker != "undefined" && broker && typeof broker['regId'] != "undefined" && broker['regId'])
                    regId = broker['regId'];
                $scope.eventAttributes('productFill',JSON.stringify({productId:$stateParams.productId,tel:regId}));//产品购买次数埋点

                var params = backFactory.getter();
                if (num == 1) {
                    localStorage.setItem('productInsureClause', $location.url());
                    location.href = '#/productR/productInsureClauseR/detailOffline/' + $stateParams.productId;
                } else if (num == 2) {
                    params['productInsureNotice'] = $location.url();
                    backFactory.setter(params);
                    location.href = '#/productR/productInsureNoticeR/detailOffline/' + $stateParams.productId + '/0';
                } else if(num == 3){
                    params['productAdditionalInfo'] = $location.url();
                    backFactory.setter(params);
                    location.href = '#/productR/productAdditionalInfoR/' + $stateParams.productId + '?additionFrom=1';
                }else if(num == 4){
                    params['productAdditionalInfo'] = $location.url();
                    backFactory.setter(params);
                    location.href = '#/productR/productFillInfoOfflineR/100059/' + $stateParams.productId + '/1/'+ module;
                }
            }
        };


        //获取终端操作系统类型
        function getSystemType(){
            //微信
            if(localStorage.isWeixin=="true"){
                $scope.isWeixin = true;
            }else{
                $scope.isWeixin = false;
            }
            //android
            if(localStorage.isApp == "true"){
                $scope.isAndroid = true;
            }else{
                $scope.isAndroid = false;
            }
            //ios
            if(localStorage.isAppIos == "true"){
                $scope.isIos = true;
            }else{
                $scope.isIos = false;
            }
        }
        function init()//初始化信息
        {
            $scope.mainAdditionCalculate = [];
            getSystemType();//获取操作系统类型
            //$scope.calculateInfo = {};
            $scope.productId = $stateParams.productId;
            localStorage.removeItem('saveData');
            localStorage.setItem('saveData', '');
            localStorage.removeItem('saveCheckedAdditionList');
            localStorage.removeItem('productAdditionalInfo');
            localStorage.removeItem('prevModule');
            localStorage.removeItem("additionInfo");
            productInfoService();
            $scope.$emit("productId", $scope.productId);

            //非绑定附加险列表
            $scope.additionInfo = [];
        }

        init();

        //模块拆分 进入每款产品的试算
        var productJs = {};
        function loadProductJs(productId) {
            $.ajax({
                url: 'module/product/detailOffline/views/' + productId + '/product.js',
                cache: false,
                async: false,
                success: function (data) {
                    productJs[productId] = (new Function("return " + data))();
                    productJs[productId]($scope, null, {
                        "adbService": adbService
                    }); //产品信息初始化
                },
                error: function (err) {

                }
            });
        }

        //获取产品费率数据
        function loadProductData() {
            $.ajax({
                url: 'module/product/detailOffline/views/' + $stateParams.productId + '/D'+$stateParams.productId+'.js',
                cache: false,
                async: false,
                success: function (data) {
                    $scope.productData  = (new Function("return " + data))();
                },
                error: function (err) {

                }
            });
        }

        //加载产品基础信息
        function productInfoService() {
            adbService.getResult(
                {},
                $scope.setService("I181014", {"productId": $stateParams.productId}),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {//存储产品基础信息
                        var productBaseInfo = json.data;
                        $scope.productBaseInfo = productBaseInfo;
                        $scope.productSetItem("productBaseInfo", productBaseInfo);

                        var ageRangeParam = {};

                        ageRangeParam.minInsuredAgeUnit = $scope.productBaseInfo.minInsuredAgeUnit;
                        ageRangeParam.minLAAge = $scope.productBaseInfo.minLAAge;
                        ageRangeParam.maxInsuredAgeUnit = $scope.productBaseInfo.maxInsuredAgeUnit;
                        ageRangeParam.maxLAAge = $scope.productBaseInfo.maxLAAge;
                        $scope.showAgeRange = showInsuredPeriod(ageRangeParam);

                        //获取产品费率文件
                        if($scope.productBaseInfo.version=="2.0"){
                            loadProductData();
                        }
                        //加载产品独立逻辑文件
                        loadProductJs($scope.productId);

                        var additionList = $scope.productBaseInfo.productAttachRuleList;
                        for(var i=0;i<additionList.length;i++){
                            loadProductJs(additionList[i].attachedPdtId);
                            if(additionList[i].compulsoryAttachedIndi == 'N'){
                                $scope.additionInfo.push({'productId':additionList[i].attachedPdtId});
                            }
                        }
                        localStorage.setItem("additionInfo",JSON.stringify($scope.additionInfo));

                    } else {
                        $scope.dialogTip("获取产品信息失败,请稍后重试");
                    }
                },
                function (err) {
                    $scope.dialogTip("获取产品信息失败,请稍后重试");
                }
            )
        }



        //后台试算接口
        $scope.calculateApi = function(trialProductList){
            //调用试算接口
            adbService.getResult(
                {},
                $scope.setService("I181011",  {
                    "trialProductList": trialProductList
                }),
                function (json) {
                    console.info("试算结果....",json);
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        //var calculateAmt = json.data.trialProductList[0].premium;//单试算结果
                        //多项试算求和
                        var calculateAmt = 0;
                        for(var i in json.data.trialProductList){
                            calculateAmt += parseFloat(json.data.trialProductList[i].premium);
                        }
                        $scope.calculateAmt = parseFloat(calculateAmt).toFixed(2);
                        console.info($scope.calculateAmt);
                        $scope.saveCalculateInfo();//保存试算信息
                    } else {
                        // error message
                        //$scope.loginError = json.msg;
                    }
                },
                function (error) {
                    // error message
                }
            );
        };
    }]);
});