function pro100043($scope,event,service) {
    //产品信息初始化
    var init=function(){
        $scope.insuredBirthday='';      //被保人生日
        $scope.chargeYears=[];          //缴费年期
        $scope.chargeYear='';           //默认缴费年期
        $scope.calculateAmt=0;          //试算金额
        $scope.insuredSex='M';          //被保人性别
        $scope.calculateArray=[];       //试算参数
        //出生日期
        $scope.$watch('insuredBirthday',function(newVal,oldVal,$scope){
            if(newVal!=oldVal){
                //alert('年龄改变')
                $scope.$emit('birthdayChange',newVal);
            }
        })
        //缴费年期
        $scope.$watch('chargeYear',function(newVal,oldVal,$scope){
            if(newVal!=oldVal){
                if(newVal==0){
                    $scope.chargePeriodType='1';
                }
                $scope.$emit('chargeYearChange',newVal);
            }
        })
        //出生日期改变
        $scope.$on('birthdayChange',function(event,msg){
            getPayMethods(msg);
        })
        //缴费年期改变
        $scope.$on('chargeYearChange',function(event,msg){
            //重新计算保费
            calculateAmtFun()
        })

        //监听试算方法
        $scope.$on('calculateFun',function(event,msg){
            calculateAmtFun();
        })
    }

//日期替换-
    function replaceStr(dateStr){
        if(dateStr){
            return dateStr.replace(/-/g,'');
        }
    }

    //检测试算数据是否完整
    function checkData(){
        if(!$scope.insuredBirthday){
            return false;
        }else if(!$scope.insuredAmt || $scope.insuredAmt==0){
            return false;
        }else if(!$scope.chargeYear){
            return false;
        }else{
            $scope.calculateArray=[{"productId":'100041',"parameters":"gender="+$scope.insuredSex+';birthday='+replaceStr($scope.insuredBirthday)+';chargePeriod='+$scope.chargePeriodType+';chargeYear='+$scope.chargeYear+';premium='+$scope.insuredAmt}]
            return true;
        }
    }
    //计算保费
    var calculateAmtFun=function(){
        //console.log('---------试算参数-----',$scope.calculateArray);
        if(!checkData()){
            return ;
        }
        //console.log(service);
        service['getInsurantCalculate'].getData(
            {},
            {
                "data": $scope.calculateArray
            },
            function (json) {
                //console.info("查询产品详细信息:");
                //console.log(json);
                if (json.status == "1") {
                    var calculateAmt = json.trialProductList[0].premium;
                    //console.log("calculateAmt",calculateAmt);
                    $scope.calculateAmt = calculateAmt;
                    //productsBaseInfo['P'+$routeParams.productId].calculateAmt = calculateAmt;
                } else {
                }
            },
            function (error) {
                // error message
            }
        );
    }

    //改变性别
    var sexChange=function(sex){
        $scope.insuredSex=sex;
    }

    //改变缴费方式
    var chargeYear=function(chargeYear){
        $scope.chargeYear=chargeYear.chargeYear;
        $scope.chargePeriodType=chargeYear.chargePeriodType;
    }

    //处理缴费方式，缴费年期
    function getPayMethods(birthday){
        if(birthday=='')return null;
        var age=getCurrentAge(birthday);
        $scope.chargeYears=[]           //缴费年期
        $scope.chargeYear='';           //默认缴费年期
        var daysFromBirth=getDaysFromBirth(birthday);   //出生多少天

        ageLimitArray = JSON.parse(localStorage.getItem('ageLimitArray')).ageLimitArray;
        //缴费年期计算
        ageLimitArray.forEach(function(limitObject){
           if(limitObject.minInsuredAgeUnit=='2'&&limitObject.maxInsuredAgeUnit=='1'){//最小年龄单位为天 最大年龄为年

                if(parseInt(limitObject.minInsuredAge)<parseInt(daysFromBirth)&&parseInt(age)<parseInt(limitObject.maxInsuredAge)){
                    var chargeName='';
                    if(limitObject.chargePeriodType=="2"){
                        chargeName=limitObject.chargeYear+'年交'
                    }else if(limitObject.chargePeriodType='1'){
                        chargeName="一次交清"
                    }
                    $scope.chargeYears.push({"chargeName":chargeName,"chargeYear":limitObject.chargeYear,"chargePeriodType":limitObject.chargePeriodType});
                }
            }
        })

        //如果没有缴费年期列表，缴费年期为空
        if($scope.chargeYears.length==0){
            $scope.chargeYear='';
        }
    }

    if(!event){
        return init();
    }else if(event.type=='sexChange'){
        return sexChange(event.params);
    }else if(event.type=='changeChargeYear'){
        return chargeYear(event.params);
    }
}
