define(['app'], function (app) {
    app.register.controller('productDetailOnlineTopCtrl', ['$scope', '$window', '$timeout', 'backFactory', '$location', '$stateParams', 'adbService', function ($scope, $window, $timeout, backFactory, $location, $stateParams, adbService) {
        var backUrl = $scope.getBackFactory('productDetailOnline', 'homeR');
        $scope.goToBack = function () {

            if (backUrl != '') {

                if(typeof backUrl == 'undefined'|| (backUrl.indexOf('DetailOnlineR')>-1 ) ||(backUrl.indexOf('homeR')>-1 ) || (backUrl.indexOf('exhibitionR')>-1))
                {
                    //跳转APP的进入页
                    var res = $scope.gotoApp('PopNative');
                    if(res)
                    {
                        return;
                    }
                }
                location.href = "index.html#" + backUrl;

            }
        }
    }]);
    app.register.controller('productDetailOnlineCtrl', ['$scope', '$window', '$timeout', 'backFactory', '$location', '$stateParams', 'adbService', function ($scope, $window, $timeout, backFactory, $location, $stateParams, adbService) {
        $scope.$emit("appTitle1", '简 介');
        $scope.$emit("appTitle2", '评 论');
        $scope.$emit("activeState", '1');
        $scope.$emit("saveState", '1');
        $scope.detailShow = true;//显示简介
        $scope.moreShow = false;//隐藏更多评论
        var shareDetailInfo = {};//存储分享支付客户信息
        //初始化基础信息
        function initBaseInfo() {


            //代理人信息
            if (localStorage.getItem('broker_in_session')) {
                $scope.brokerInfo = JSON.parse(localStorage.getItem('broker_in_session'));
                //console.log($scope.brokerInfo);
                //二次分享分享码
                shareDetailInfo.shareCode = encodeURIComponent($scope.brokerInfo.shareCode);
                shareDetailInfo.brokerName = encodeURIComponent($scope.brokerInfo.name);
                shareDetailInfo.submitChlId = $scope.brokerInfo.submitChlId || "";
                shareDetailInfo.saleChlId = $scope.brokerInfo.saleChlId || "";//销售渠道
                localStorage.setItem("shareInfo_in_session", JSON.stringify(shareDetailInfo));
            } else if(localStorage.getItem('shareInfo_in_session') != null){//解决后退加载问题
                shareDetailInfo = JSON.parse(localStorage.getItem('shareInfo_in_session'));
            } /*else {
                //二次分享分享码
                var urlParams = getUrlParams($location.url());//获取链接参数对象
                shareDetailInfo.shareCode = urlParams.shareCode || "";
                shareDetailInfo.submitChlId = urlParams.submitChlId || "";
                shareDetailInfo.saleChlId = urlParams.saleChlId || "";//销售渠道
                shareDetailInfo.wxOpenId = urlParams.wxOpenId || "";//获取微信openId
                shareDetailInfo.brokerName = decodeURIComponent(urlParams.brokerName) || "";
            }*/
            shareDetailInfo = JSON.parse(localStorage.getItem('shareInfo_in_session'));
            //判断微信openid检查弹出
            if(navigator.userAgent.indexOf("MicroMessenger")>-1 ){
                if(shareDetailInfo.isCheck=="01") {
                    $scope.dialogRes("获取wxOpenId：" + shareDetailInfo.wxOpenId + "(CP0001)");
                }
            }
            //判断微信浏览器
            function is_weixn(){
                var ua = navigator.userAgent.toLowerCase();
                if(ua.match(/MicroMessenger/i)=="micromessenger") {
                    return true;
                } else {
                    return false;
                }
            }
            if(is_weixn()){

                //加载详情页时判断是否获取真实wxOpenId
                if(typeof shareDetailInfo.wxOpenId=="undefined" || !shareDetailInfo.wxOpenId ||shareDetailInfo.wxOpenId=="undefined"||
                    shareDetailInfo.wxOpenId=="" || shareDetailInfo.wxOpenId == _globalOption.AppId_liming){

                        alert("网络异常,请稍后再试");
                        WeixinJSBridge.invoke('closeWindow', {}, function (res) {

                            //alert(res.err_msg);

                        });
                    //location.href = src;
                }else if(typeof shareDetailInfo.shareCode=="undefined" || shareDetailInfo.shareCode=="undefined" || shareDetailInfo.shareCode=="" || !shareDetailInfo.shareCode){
                    alert("链接已失效,请重新获取");
                    WeixinJSBridge.invoke('closeWindow', {}, function (res) {

                        //alert(res.err_msg);

                    });
                }
            }

            $scope.userInfo = {
                "headPortrait":"",//头像
                "mobile":"",//电话
                "name":""//分享后代理人名称
            };//分享出去后显示的代理人名片
            if(!$scope.authed && $location.search().shareCode)
            {
                getUserInfo($location.search().shareCode);
            }
        }

        //获取终端操作系统类型
        function getSystemType(){
            //微信
            if(localStorage.isWeixin=="true"){
                $scope.isWeixin = true;
            }else{
                $scope.isWeixin = false;
            }
            //android
            if(localStorage.isApp == "true"){
                $scope.isAndroid = true;
            }else{
                $scope.isAndroid = false;
            }
            //ios
            if(localStorage.isAppIos == "true"){
                $scope.isIos = true;
            }else{
                $scope.isIos = false;
            }
        }
        function init()//初始化信息
        {
            getSystemType();//获取操作系统类型
            initBaseInfo();//初始化基础信息
            $scope.calculateInfo = {};
            $scope.productId = $stateParams.productId;
            localStorage.removeItem('saveData');
            localStorage.setItem('saveData', '');
            localStorage.removeItem("minMaxAge");
            $scope.$emit("stepNum", '');
            productInfoService();
            //loadProductJs();//修改加载顺序
            $scope.$emit("productId", $scope.productId);
            $scope.commentArr = [];//评论列表
        }

        init();
        var loadNum = 1;
        $scope.$on('$viewContentLoaded', function () {
            //视图渲染后加载
            if (loadNum == 1) {
                $('tr:nth-child(7)~tr').css('display', 'none');//让第七个tr后面的兄弟tr隐藏

                commentList();
                loadNum++;
            }

            function scrollDetailOnlineFun() {
                var obj = document.getElementById('detailContent');
                document.documentElement.scrollTop =document.body.scrollTop= obj.offsetTop;
            }
            scrollDetailOnlineFun();

        });

        $scope.moreTable = function () {//加载更多表格的方法
            $('tr').css('display', 'table-row');
            $scope.tableLength = 1;
            $scope.showMore=!$scope.showMore;

        };



        /*-----------------------------跳转到产品须知（1）或产品条款（2）或健康告知（3）  start-------------------------------*/
        $scope.turnTo = function (num) {
            if(!$scope.isCertificationFun('请完善认证信息享受高佣金，开启专享通道，才可进行购买') && $scope.authed)
            {
                return;//如果不是认证用户，则返回，不进行分享
            }
            else{

                var regId = "";
                var broker;
                if(typeof localStorage.getItem('broker_in_session') != "undefined")
                {
                    broker = JSON.parse(localStorage.getItem('broker_in_session'));
                }
                if(typeof broker != "undefined" && broker && typeof broker['regId'] != "undefined" && broker['regId'])
                    regId = broker['regId'];
                $scope.eventAttributes('productFill',JSON.stringify({productId:$stateParams.productId,tel:regId}));//产品购买次数埋点

                var params = backFactory.getter();
                if (num == '1') {
                    params['productInsureNotice'] = $location.url();
                    backFactory.setter(params);
                    location.href = '#/productR/productInsureNoticeR/detailOnline/' + $stateParams.productId + '/0';
                } else if (num == '2') {
                    //params['productInsureClause'] = $location.url();
                    //backFactory.setter(params);
                    localStorage.setItem('productInsureClause', $location.url());
                    location.href = '#/productR/productInsureClauseR/detailOnline/' + $stateParams.productId;
                } else if (num == '3') {
                    params['productHealthNotice'] = $location.url();
                    backFactory.setter(params);
                    $scope.productSetItem('calculateInfo', $scope.calculateInfo);
                    productJs($scope, {
                        "type": "calculateInfo"
                    }, {"adbService": adbService});
                    location.href = '#/productR/productHealthNoticeR/' + $stateParams.productId;
                } else if (num == '4') {
                    //params['productDetailOnline'] = $location.url();
                    //backFactory.setter(params);
                    $scope.productSetItem('calculateInfo', $scope.calculateInfo);
                    productJs($scope, {
                        "type": "calculateInfo"
                    }, {"adbService": adbService});
                    location.href = '#/productR/productFillInfoR/' + $stateParams.productId + '/1';
                } else if (num == '5') {
                    location.href = '#/productR/productFillInfoManyR/' + $stateParams.productId + '/1';
                } else if (num == '6') {//“安行天下”驾乘人员意外伤害保险
                    $scope.productSetItem('calculateInfo', $scope.calculateInfo);
                    location.href = '#/productR/productFillInfoCarR/' + $stateParams.productId + '/1';
                }
                localStorage.setItem('proDetailUrl', $location.url());
                localStorage.removeItem('a');
                localStorage.removeItem('b');
                localStorage.removeItem('c');
            }
        };
        /*-----------------------------跳转到产品须知（1）或产品条款（2）或健康告知（3）  end-------------------------------*/
        //新版产品投保
        $scope.turnToV2 = function (num,module) {
            if(!$scope.isCertificationFun('请完善认证信息享受高佣金，开启专享通道，才可进行购买') && $scope.authed)
            {
                return;//如果不是认证用户，则返回，不进行分享
            }
            else{
                var regId = "";
                var broker;
                if(typeof localStorage.getItem('broker_in_session') != "undefined")
                {
                    broker = JSON.parse(localStorage.getItem('broker_in_session'));
                }
                if(typeof broker != "undefined" && broker && typeof broker['regId'] != "undefined" && broker['regId'])
                    regId = broker['regId'];
                $scope.eventAttributes('productFill',JSON.stringify({productId:$stateParams.productId,tel:regId}));//产品购买次数埋点
                var params = backFactory.getter();
                if (num == '1') {
                    params['productInsureNotice'] = $location.url();
                    backFactory.setter(params);
                    location.href = '#/productR/productInsureNoticeR/detailOnline/' + $stateParams.productId + '/0';
                } else if (num == '2') {
                    //params['productInsureClause'] = $location.url();
                    //backFactory.setter(params);
                    localStorage.setItem('productInsureClause', $location.url());
                    location.href = '#/productR/productInsureClauseR/detailOnline/' + $stateParams.productId;
                }else if (num == '3') {
                    params['productHealthNotice'] = $location.url();
                    backFactory.setter(params);
                    $scope.productSetItem('calculateInfo', $scope.calculateInfo);
                    productJs($scope, {
                        "type": "calculateInfo"
                    }, {"adbService": adbService});
                    location.href = '#/productR/productHealthNoticeR/' + $stateParams.productId+"?module="+module;
                    //如果选择了被保人性别
                    // if($scope.calculateInfo.insuredSex=="M"||$scope.calculateInfo.insuredSex=="F"){
                    //     location.href = '#/productR/productHealthNoticeR/' + $stateParams.productId+"?module="+module+"&insuredSex="+$scope.calculateInfo.insuredSex;
                    // }
                } else if (num == '4') {
                    params['productDetailOnline'] = $location.url();
                    backFactory.setter(params);
                    $scope.productSetItem('calculateInfo', $scope.calculateInfo);
                    productJs($scope, {
                        "type": "calculateInfo"
                    }, {"adbService": adbService});
                    location.href = '#/productR/productFillMessageR/' + $stateParams.productId + '/1/'+module;
                }
            }
        }
            /*--------------------------------头部简介和评价切换 start-------------------------------------------*/
        $scope.$on("detailShow", function (event, goUrl, urlStatus) {
            $scope.detailShow = goUrl;
        });
        $scope.$on("moreShow", function (event, goUrl, urlStatus) {
            $scope.moreShow = goUrl;
        });
        $scope.more = function () {
            /*$scope.$emit("activeState", '2');
             $scope.detailShow = false;//隐藏简介
             $scope.moreShow = true;//显示更多评论*/
            $scope.setBackFactory('proCommentList');
            $location.path('proCommentListR/' + $scope.productId);
        };
        /*--------------------------------头部简介和评价切换 end-------------------------------------------*/

        //模块拆分 进入每款产品的试算
        var productJs;

        function loadProductJs() {
            $.ajax({
                url: 'module/product/detailOnline/views/' + $stateParams.productId + '/product.js',
                cache: false,
                async: false,
                success: function (data) {
                    productJs = (new Function("return " + data))();
                    productJs($scope, null, {
                        "adbService": adbService
                    }); //产品信息初始化
                },
                error: function (err) {

                }
            });
        }

        //获取产品费率数据
        function loadProductData() {
            $.ajax({
                url: 'module/product/detailOnline/views/' + $stateParams.productId + '/D'+$stateParams.productId+'.js',
                cache: false,
                async: false,
                success: function (data) {
                    $scope.productData  = (new Function("return " + data))();
                },
                error: function (err) {

                }
            });
        }
        $scope.copyShow = false;//选择份数弹框状态
        $scope.selectCopy = function () {  //弹出选择投保份数框
            $scope.copyShow = true;
        };
        $scope.selectNum = function (num) {//选择份数
            $scope.unit = num;
            $scope.copyShow = false;
            $scope.sumAssured = ($scope.unit * $scope.singelMoney) / 10000 + "万元";
            $scope.changeBirthdayOld($scope.insuredBirthday, num);
            if ($scope.productId == "100030") {
                $scope.coveragePeriodValue = num;//保障期间
                productJs($scope, {
                    "type": "calculate",
                    params: {'benefitLevel': num}
                }, {"adbService": adbService});//保存计划信息
            }
        };
        //成人版和儿童版
        $scope.childEdit = true;
        $scope.adultEdit = false;
        $scope.changeEdit = function (num) {
            if (num == 1) {
                $scope.childEdit = true;
                $scope.adultEdit = false;
            }else if (num == 2) {
                $scope.childEdit = false;
                $scope.adultEdit = true;
            }
        };

        $scope.getType = function () {
            $scope.typeData = "date";
            if (localStorage.isApp == 'true' && localStorage.androidVersion < 4.2) {
                $scope.typeData = "text";
            }
        };
        $scope.getType();
        //修改出生日期
        $scope.changeBirthdayOld = function (birthday, unit,numDate) {
            if(!validCredNum("",birthday)) return;//未正确获取日期

            $scope.insuredBirthday = birthday;
            if (birthday == '') {
                $scope.calculateAmt = '0';
            } else {
                if (typeof birthday == 'string') {
                    var birthdayTrue = formatDate10(new Date(birthday));
                } else {
                    var birthdayTrue = formatDate10(birthday);
                }
                $scope.insuredBirthday = birthdayTrue;
                if($scope.productId=="100301"){
                    $scope.insuredBirthday = birthday;
                }

                //生效日
                var insuredStartDate = "";
                if(numDate){
                    insuredStartDate = genNowDate(numDate);
                }else{
                    insuredStartDate = genNowDate(1);
                }
                if (validInsuredAge(insuredStartDate)) {
                    productJs($scope, {
                        "type": "changeBirthday",
                        params: {'birthday': birthdayTrue, 'unit': unit}
                    }, {"adbService": adbService});//保存计划信息
                }
            }
        };
        /**
         * desc 新版修改出生日期
         * @param type 所有者类型 holder 投保人 insured 被保人
         * @param birthday 选择的出生日期值
         * @param numDate 生效日 当前日期后几天
         */
        $scope.changeBirthday = function (type,birthday, numDate) {
            if(!validCredNum("",birthday)) return;//未正确获取日期

            $scope.insuredBirthday = birthday;
            if (birthday == '') {
                $scope.calculateAmt = '0';
            } else {
                if (typeof birthday == 'string') {
                    var birthdayTrue = formatDate10(new Date(birthday));
                } else {
                    var birthdayTrue = formatDate10(birthday);
                }
                $scope.insuredBirthday = birthdayTrue;
                //生效日
                var insuredStartDate = "";
                if(numDate){
                    insuredStartDate = genNowDate(numDate);
                }else{
                    insuredStartDate = genNowDate(1);
                }
                if (validInsuredAge(insuredStartDate)) {
                    $scope.getCoverageList($scope.insuredBirthday);//获取保障年期
                    productJs($scope, {
                        "type": "calculate",
                        params: {'birthday': birthdayTrue}
                    }, {"adbService": adbService});//保存计划信息
                }
            }
        };
        //产品100258更改出生日期
        $scope.changeBirthday_100285 = function (birthday, coveragePeriod, coveragePeriodType, benefitLevel) {
            if(!validCredNum("",birthday)) return;//未正确获取日期
            $scope.insuredBirthday = birthday;
            if (birthday == '') {
                $scope.calculateAmt = '0';
            } else {
                if (typeof birthday == 'string') {
                    var birthdayTrue = formatDate10(new Date(birthday));
                } else {
                    var birthdayTrue = formatDate10(birthday);
                }
                $scope.insuredBirthday = birthdayTrue;
                var insuredStartDate = genNowDate(1);
                if (validInsuredAge(insuredStartDate)) {
                    productJs($scope, {
                        "type": "changeBirthday",
                        params: {
                            'birthday': birthdayTrue,
                            'coveragePeriod': coveragePeriod,
                            'coveragePeriodType': coveragePeriodType,
                            'benefitLevel': benefitLevel
                        }
                    }, {"adbService": adbService});//保存计划信息
                }
            }
        };
        $scope.changeCoveragePeriod_100285 = function (birthday, coveragePeriod, coveragePeriodType, benefitLevel) {
            if(!validCredNum("",birthday)) return;//未正确获取日期
            $scope.insuredBirthday = birthday;

            if (birthday == '') {
                //$scope.calculateAmt = '0';
                if($scope.productId == '100288'){
                    productJs($scope, {
                        "type": "savePlanInfo",
                    }, {"adbService": adbService});//保存计划信息
                }
            } else {
                if (typeof birthday == 'string') {
                    var birthdayTrue = formatDate10(new Date(birthday));
                } else {
                    var birthdayTrue = formatDate10(birthday);
                }
                $scope.insuredBirthday = birthdayTrue;
                productJs($scope, {
                    "type": "changeBirthday",
                    params: {
                        'birthday': birthdayTrue,
                        'coveragePeriod': coveragePeriod,
                        'coveragePeriodType': coveragePeriodType,
                        'benefitLevel': benefitLevel
                    }
                }, {"adbService": adbService});//保存计划信息
            }
        };

        //加载产品基础信息
        function productInfoService() {
            adbService.getResult(
                {},
                $scope.setService("I181014", {"productId": $stateParams.productId}),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {//存储产品基础信息
                        var productBaseInfo = json.data;
                        //console.log(productBaseInfo);
                        $scope.productBaseInfo = productBaseInfo;
                        if ($stateParams.productId == '100329A') {
                            $scope.tableInfo = productBaseInfo.benefitLevels[0].benefitLiab;
                        } else if ($stateParams.productId == '100329C') {
                            $scope.tableInfo = productBaseInfo.benefitLevels[2].benefitLiab;
                        }
                        //console.log($scope.tableInfo);
                        $scope.tableLength = productBaseInfo.benefitLevels[0].benefitLiab.length;//获取表格信息的长度，由来判断是否显示加载更多
                        $scope.productSetItem("productBaseInfo", productBaseInfo);

                        /*****************************begin收藏************************************************/
                        $scope.favorite = {
                            "type": "P",
                            "id": $scope.productId,
                            "title": $scope.productBaseInfo.productName
                        };
                        $scope.getFavorite($scope.favorite);//判断是否为已收藏，//type-A.文章 P.产品 B.书
                        /*****************************end收藏************************************************/
                        var ageRangeParam = {};
                        ageRangeParam.minInsuredAgeUnit = $scope.productBaseInfo.minInsuredAgeUnit;
                        ageRangeParam.minLAAge = $scope.productBaseInfo.minLAAge;
                        ageRangeParam.maxInsuredAgeUnit = $scope.productBaseInfo.maxInsuredAgeUnit;
                        ageRangeParam.maxLAAge = $scope.productBaseInfo.maxLAAge;
                        $scope.showAgeRange = showInsuredPeriod(ageRangeParam);
                        //获取产品费率文件
                        if($scope.productBaseInfo.version=="2.0"){
                            loadProductData();
                        }
                        //加载产品独立逻辑文件
                        loadProductJs();
                        callShare2();//二次分享
                        if($scope.hzCaseCode){
                            console.log("6666666666666666666",$scope.hzCaseCode);
                            $scope.hzCalculateApi();
                        }
                    } else {
                        $scope.dialogTip("获取产品信息失败,请稍后重试");
                    }
                },
                function (err) {
                    $scope.dialogTip("获取产品信息失败,请稍后重试");
                }
            )
        }


        //校验被保人年龄是否满足
        var validInsuredAge = function (insuredDate) {
            var validFlag = true;
            if(insuredDate){
                $scope.calBirthday = insuredDate;
            }else{
                $scope.calBirthday = genTomorrowDate();//获取次日日期
            }
            console.info($scope.calBirthday);
            var params = {
                "birthday": $scope.insuredBirthday,//出生日期
                "insuredStartDate": $scope.calBirthday,//保单生效日
                "minInsuredAgeUnit": $scope.productBaseInfo.minInsuredAgeUnit,//最小年龄单位
                "minLAAge": $scope.productBaseInfo.minLAAge,//最小单位值
                "maxInsuredAgeUnit": $scope.productBaseInfo.maxInsuredAgeUnit,//最大年龄单位
                "maxLAAge": $scope.productBaseInfo.maxLAAge,//最大年龄值
                "unit": $scope.unit
            };
            var ageBoolean = productJs($scope, {
                "type": "calculateAge",
                "params": params
            }, {"adbService": adbService});
            if (!ageBoolean) {
                var msg = $scope.productBaseInfo.minLAAge + ageUnit["age" + $scope.productBaseInfo.minInsuredAgeUnit] + " - " + $scope.productBaseInfo.maxLAAge + ageUnit["age" + $scope.productBaseInfo.maxInsuredAgeUnit];
                $scope.dialogTip("被保人年龄范围为:" + msg);
                $scope.insuredBirthday = "";
                //$scope.calculateAmt = "0";
                validFlag = false;
            }
            return validFlag;
        };
        //改变计划
        $scope.changePlan = function (planNo) {
            $scope.benefitLevel = planNo;
            productJs($scope, {"type": "calculate"}, {"adbService": adbService});
        }
        //改变座位
        $scope.changeSeats = function (seats) {
            $scope.seats = seats;
            productJs($scope, {"type": "calculate", "params": {"seats": seats}}, {"adbService": adbService});
        }
        var sharing = false;//分享中
        $scope.productShare1 = function () {//分享功能移入产品模块主controller中
            //产品分享

            if(!$scope.isCertificationFun('请完善认证信息享受高佣金，开启专享通道，才可进行分享'))
            {
                return;//如果不是认证用户，则返回，不进行分享
            }


            if(!sharing) {
                sharing = true;//标识在分享中

                /***********************************分享时提示的代理人名称设置 begin*****************************************/
                var brokerName = '';
                if (localStorage.getItem('broker_in_session')) {
                    var isLimingUser = false;
                    if(typeof $scope.brokerInfo['brokerLevel'] != 'undefined' && $scope.brokerInfo['brokerLevel'] > 0)
                    {
                        isLimingUser = true;
                    }

                    if (isLimingUser)
                    {
                        //黎明用户
                        if(typeof $scope.brokerInfo['nickName'] != 'undefined' && $scope.brokerInfo['nickName'])
                        {
                            brokerName = $scope.brokerInfo['nickName'];
                        }
                        else if(typeof $scope.brokerInfo['name'] != 'undefined' && $scope.brokerInfo['name'])
                        {
                            brokerName = $scope.brokerInfo['name'];
                        }
                    }
                    else{
                        //非黎明用户
                        if(typeof $scope.brokerInfo['name'] != 'undefined' && $scope.brokerInfo['name'])
                        {
                            brokerName = $scope.brokerInfo['name'];
                        }
                    }
                }
                else{
                    brokerName = $scope.userInfo.name;
                }
                /***********************************分享时提示的代理人名称设置 end*****************************************/

                var tailfContent = "您的家庭财务风险顾问" + (brokerName || "") + "至诚推荐，点击一下！";
                var shareTitle = "";
                var shareContent = "";

                //中意境外旅游全球三五特殊处理
                if ($scope.productId == "100302") {
                    shareTitle = $scope.productBaseInfo.shareTitle.split("|")[$scope.benefitLevel - 1];
                    shareContent = $scope.productBaseInfo.shareContent.split("|")[$scope.benefitLevel - 1];
                } else {
                    shareTitle = $scope.productBaseInfo.shareTitle;
                    shareContent = $scope.productBaseInfo.shareContent;
                }



                var shareArr = {
                    "imgUrl": _globalOption.host + shareProduct.baseUrl+$scope.productId+shareProduct.imgType,
                    "shareUrl": _globalOption.shareHost + "/adb/share.html#/productR/productDetailOnlineR/" + $scope.productId + '?'
                    + 'shareCode=' + shareDetailInfo.shareCode + "&submitChlId=" + shareDetailInfo.submitChlId + "&saleChlId="
                    + shareDetailInfo.saleChlId + "&brokerName=" + shareDetailInfo.brokerName,
                    "title": shareTitle,//产品名称
                    "description": shareContent + tailfContent//分享信息描述
                };
                //console.log(shareArr);

                var regId = "";
                var broker;
                if(typeof localStorage.getItem('broker_in_session') != "undefined")
                {
                    broker = JSON.parse(localStorage.getItem('broker_in_session'));
                }
                if(typeof broker != "undefined" && broker && typeof broker['regId'] != "undefined" && broker['regId'])
                    regId = broker['regId'];
                $scope.eventAttributes('productShare',JSON.stringify({productId:$scope.productId,tel:regId}));//产品分享次数埋点

                if(typeof shareDetailInfo.shareCode == "undefined" || !shareDetailInfo.shareCode)
                {
                    $scope.dialogRes("分享异常，请联系客服");
                    return;
                }

                $scope.$emit("goShare", shareArr);
                $scope.showShareBox(true);

            }
            var timer = $timeout(
                function() {
                    sharing = false;
                },
                2000
            );
        };


        //评论列表
        function commentList() {
            var params = {
                "pageNo": 1,
                "pageSize": 3,
                "objectId": $scope.productId,
                "objectType": "P"
            };
            adbService.getResult(
                {},
                $scope.setService('I221012', params),
                function (json) {

                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        var commentArr = json.data.dataList;


                        if (commentArr.length < 10) {
                            $scope.noMore = true;
                        }
                        if (commentArr.length > 0) {
                            $scope.listShow = 1;//显示列表
                            $scope.currentPage++;

                            $scope.commentArr = $scope.commentArr.concat(commentArr);//追加数据
                        }
                        if ($scope.commentArr.length <= 0) {
                            $scope.listShow = 0;//信息为空
                        }
                    }

                }
            )
        }

        //后台试算接口
        $scope.calculateApi = function(trialProductList){
            //调用试算接口
            adbService.getResult(
                {},
                $scope.setService("I181011",  {
                    "trialProductList": trialProductList
                }),
                function (json) {
                    console.info("试算结果....",json);
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        //var calculateAmt = json.data.trialProductList[0].premium;//单试算结果
                        //多项试算求和
                        var calculateAmt = 0;
                        for(var i in json.data.trialProductList){
                            calculateAmt += parseFloat(json.data.trialProductList[i].premium);
                        }
                        $scope.calculateAmt = parseFloat(calculateAmt).toFixed(2);
                        console.info($scope.calculateAmt);
                        $scope.saveCalculateInfo();//保存试算信息
                    } else {
                        // error message
                        //$scope.loginError = json.msg;
                    }
                },
                function (error) {
                    // error message
                }
            );
        };
        //惠泽试算接口
        $scope.hzCalculateApi = function(){
            //调用试算接口
            adbService.getResult(
                {},
                $scope.setService("H100891",  {'hzCaseCode':$scope.hzCaseCode}),
                function (json) {
                    $scope.hzProductData = JSON.parse(json.data);
                    console.log("试算结果....",$scope.hzProductData);
                    $scope.hzHealthStatement();
                },
                function (error) {
                    // error message
                }
            );
        };

        $scope.hzHealthStatement = function(){
            adbService.getResult(
                {},
                $scope.setService("H100893",  {'hzProductData':$scope.hzProductData}),
                function (json) {
                    $scope.hzHealthContent = JSON.parse(json.data);
                    console.log($scope.hzHealthContent)
                    for(var i=0;i<$scope.hzHealthContent.data.healthyModules[0].healthyQuestions.length;i++){
                        $scope.hzHealthContent.data.healthyModules[0].healthyQuestions[i].content = $scope.hzHealthContent.data.healthyModules[0].healthyQuestions[i].content.replace(/\n/ig,'<br/>')
                    }
                    console.log($scope.hzHealthContent.data.healthyModules[0].healthyQuestions[3]);
                    localStorage.setItem('hzHealthContent', JSON.stringify($scope.hzHealthContent));
                    $scope.hzSubmitHealthStatement();
                },
                function (error) {
                    // error message
                }
            );
        }

        $scope.hzSubmitHealthStatement = function(){
            adbService.getResult(
                {},
                $scope.setService("H100894",  {'hzHealthContent':$scope.hzHealthContent,'hzProductData':$scope.hzProductData}),
                function (json) {
                    $scope.healthStateRes = JSON.parse(json.data);
                    var extraInfo = $scope.productGetItem('extraInfo');
                    extraInfo.healthyId = $scope.healthStateRes.data.healthId;
                    $scope.productSetItem('extraInfo',extraInfo);
                },
                function (error) {
                    // error message
                }
            );
        }

        /*********************************************获取分享出去名片的用户信息 begin*********************************************************/
        //黎明用户：默认显示昵称，若没有昵称则显示“真实姓名”
        //非黎明用户：默认显示“真实姓名”
        function getUserInfo(shareCode){
            //获取代理人信息
            var params = {
                "shareCode": shareCode
            };
            adbService.getResult(
                {},
                $scope.setService('I110802',params),
                function (json) {
                    //console.log(json)
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        var userInfo = json.data;//返回用户信息
                        var isLimingUser = false;//非黎明用户,true-是，false-非
                        if(userInfo)
                        {
                            $scope.userInfo.mobile = userInfo.mobile;//电话

                            /******************名称 begin*******************************************************/
                            if(typeof userInfo['brokerLevel'] != 'undefined' && userInfo['brokerLevel'] > 0)
                            {
                                isLimingUser = true;
                            }

                            if (isLimingUser)
                            {
                                //黎明用户
                                if(typeof userInfo['nickName'] != 'undefined' && userInfo['nickName'])
                                {
                                    $scope.userInfo.name = userInfo['nickName'];
                                }
                                else if(typeof userInfo['name'] != 'undefined' && userInfo['name'])
                                {
                                    $scope.userInfo.name = userInfo['name'];
                                }
                            }
                            else{
                                //非黎明用户
                                if(typeof userInfo['name'] != 'undefined' && userInfo['name'])
                                {
                                    $scope.userInfo.name = userInfo['name'];
                                }
                            }

                            /******************名称 end*******************************************************/

                            /**************************头像 begin***********************************************/
                            if(typeof userInfo['headPortrait'] != 'undefined' && userInfo['headPortrait'] ){
                                $scope.userInfo.headPortrait =  userInfo.headPortrait;
                            }
                            /**************************头像 end***********************************************/

                            //console.log($scope.userInfo);

                        }
                    }
                    else{
                        $scope.dialogRes(json.header.imsg);//弹出错误提示
                    }

                },
                function(err){
                    //错误
                    //console.log(err);
                });
        }
        /*********************************************获取分享出去名片的用户信息 end*********************************************************/

        /***************************************二次分享 begin******************************************************************/

        function callShare2()
        {

            if(!$scope.authed)
            {
                try {
                    var shareTitle = "";
                    var shareContent = "";

                    //中意境外旅游全球三五特殊处理
                    if ($scope.productId == "100302") {
                        shareTitle = $scope.productBaseInfo.shareTitle.split("|")[2];
                        shareContent = $scope.productBaseInfo.shareContent.split("|")[2];
                    } else {
                        shareTitle = $scope.productBaseInfo.shareTitle;
                        shareContent = $scope.productBaseInfo.shareContent;
                    }

                    var url = _globalOption.shareHost + "/adb/shareWx.html?goUrl="+encodeURIComponent("#/productR/productDetailOnlineR/" + $scope.productId + '?'
                        + 'shareCode=' + shareDetailInfo.shareCode + "&submitChlId=" + shareDetailInfo.submitChlId + "&saleChlId="
                        + shareDetailInfo.saleChlId + "&brokerName=" + shareDetailInfo.brokerName+"&randTime="+new Date().getTime());
                    //console.log(url);
                    var currentUrl = window.location.href;
                    var share2Obj = {
                        "currentUrl":currentUrl,//原始url
                        "shareTitle":shareTitle,//分享的标题
                        "shareUrl":url,//分享的url
                        "shareImg": _globalOption.host + shareProduct.baseUrl+$scope.productId+shareProduct.imgType,//分享的图片
                        "shareDesc":shareContent + "您的家庭财务风险顾问" + ($scope.userInfo.name || "") + "至诚推荐，点击一下！"//分享的描述
                    };
                    var pos=share2Obj.currentUrl.indexOf("#");
                    var dataJson = $scope.setService("W102010", {
                        //"url" : pos>-1?share2Obj.currentUrl.substring(0,pos):share2Obj.currentUrl
                        url:currentUrl
                    })
                    common_wx_share(dataJson,share2Obj);
                } catch (e) {

                }
            }
        }

        /***************************************二次分享 end******************************************************************/
        //新保障项目选择项
        $scope.planShow = -1;
        $scope.planShow1 = -1;        //默认不展示第一行
        $scope.planInfoChecked = function(num){
           if(num!=$scope.planShow) {
               $scope.planShow = num;
           }else{
               $scope.planShow = null;
           }
           /*默认不展示第一行*/
            if(num!=$scope.planShow1) {
                $scope.planShow1 = num;
            }else{
                $scope.planShow1 = null;
            }
        };
    }]);
});
function noDrag(){
    $('#noDrage').click();
}