function pro100301($scope, event, service) {
    var init = function () {
        $scope.unit = "1";//份数
        $scope.singelMoney = "100.00";//单份保额
        $scope.sumAssured = ($scope.unit * $scope.singelMoney) / 10000 + "万元";//基本保额
        $scope.calculateAmt = "180.00";//保费
        $scope.coveragePeriodType = "2";//保障期间类型 0-无关 1-保终身 2-保多少年 3-保至多少岁 4-保多少月 5-保多少天
        $scope.coveragePeriod = "1";//保障期间
        $scope.chargePeriodType = "0";//缴费期间类型 0-无关 1-趸缴 2-缴至多少年 3-缴至多少岁 4-缴终身
        $scope.chargeYear = "1";//缴费年限
        $scope.chargeType = "0";//缴费频率 0-无关 1-年缴 2-半年缴 3-季缴 4-月缴 5-趸缴
        $scope.insuredStartDate = genNowDate(3);
        $scope.product_calculate_validate = true;//多试算条件验证试算
        $scope.planNo = "0";//计划编号

        $scope.$on('birthday', function (event, msg) {
            //alert('进入监听方法'+msg)
        });
        $scope.insuredBirthday = '';
        $scope.showCall = function () {
            $scope.callShow = true;
        };
    };

    //购买份数 加减按钮
    var calculate = function (params) {
        if ($scope.insuredInfo && $scope.calBirthday) {//被保人生日
            $scope.insuredBirthday = $scope.calBirthday;
        }
        if ($scope.calculateInfo && params.unit) {
            $scope.unit = params.unit;
        }



        if ($scope.insuredBirthday == "" || $scope.unit == "") {
            $scope.calculateAmt = 0;
            return;
        }
        $scope.insuredBirthday = params.birthday;
        $scope.unit = params.unit;
        var birthDay = '';
        if(typeof($scope.insuredBirthday) == 'string'){
            birthDay =$scope.insuredBirthday.replace('-', "").replace('-', "").concat("");
        }else{
            birthDay = formatDate10($scope.insuredBirthday).replace('-', "").replace('-', "").concat("")
        }



        service['adbService'].getResult(
            {},
            $scope.setService("I181011",  {
                "trialProductList": [
                    {
                        "productId": $scope.productId,
                        "parameters": "birthday=" + birthDay + ";sumAssured=" + $scope.unit * $scope.singelMoney
                    }
                ]
            }),
            function (json) {
                if (json.header.istatus == '-99'){
                    $scope.gotoApp('jsRefreshCookie');
                }
                else if (json.header.istatus == '1') {
                    var calculateAmt = json.data.trialProductList[0].premium;
                    $scope.calculateAmt = calculateAmt;

                    saveCalculateInfo();//保存试算信息
                    savePlanInfo();
                } else {
                    // error message
                    //$scope.loginError = json.msg;
                }
            },
            function (error) {
                // error message
            }
        );
    };
    //多试算条件验证试算
    function productCalculateValidate() {
        if ("" == $scope.insuredBirthday) {
            $scope.dialogTip("请选择被保人出生日期");
            return false;
        } else if ($scope.unit == "") {
            $scope.dialogTip("请选择投保份数");
            return false;
        }
        return true;
    }

    //保存计划信息
    function savePlanInfo() {
        $scope.showPlanInfo = {};
        $scope.showPlanInfo.title = "保险责任";
        $scope.showPlanInfo.content = $scope.productBaseInfo.benefitLevels[$scope.planNo].benefitLiab;
        for (var i = 0; i < $scope.showPlanInfo.content.length; i++) {
            if ($scope.showPlanInfo.content[0].liabilityName == "重大疾病保险金") {
                $scope.showPlanInfo.content[0].riskAmount = $scope.unit * $scope.singelMoney / 10000 + "万元";
            }
        }
        $scope.productSetItem("showPlanInfo",$scope.showPlanInfo);
    }




    //试算基础信息，包括保费、保障年期、交费年期信息
    function saveCalculateInfo(){
        var calculateInfo = {};
        calculateInfo.productId = $scope.productId;//产品id
        calculateInfo.unit = $scope.unit;//购买份数
        calculateInfo.calculateAmt =  $scope.calculateAmt;//保费
        calculateInfo.sumAssured = $scope.unit*$scope.singelMoney;//保费
        calculateInfo.coveragePeriod = $scope.coveragePeriodType;//保障类型
        calculateInfo.coveragePeriodValue = $scope.coveragePeriod;//保障期间
        //calculateInfo.insuredStartDate = $scope.insuredStartDate;//投保生效日
        calculateInfo.insuredStartDate = $scope.insuredStartDate;//T+3
        calculateInfo.insuredBirthday = $scope.insuredBirthday;
        calculateInfo.chargePeriodType = $scope.chargePeriodType;//缴费期间类型
        calculateInfo.chargeYear = $scope.chargeYear;
        calculateInfo.chargeInterval = $scope.chargeInterval;
        $scope.calculateInfo = calculateInfo;//保存试算信息
        //calculatedInsuredDate($scope.insuredStartDate);
        //console.info("22222",calculateInfo)
        calculatedInsuredDate(calculateInfo.insuredStartDate);
        $scope.productSetItem("calculateInfo",$scope.calculateInfo);

    }

    //计算保障终止时间
    function calculatedInsuredDate(startDate) {

        if(typeof startDate == 'string'){

            $scope.calculateInfo.insuredStartDate = formatDate10(new Date(startDate));
            $scope.calculateInfo.insuredEndDate = calInsuredDate(formatDate10(new Date(startDate)), $scope.calculateInfo.coveragePeriod, $scope.calculateInfo.coveragePeriodValue);
        }else{
            $scope.calculateInfo.insuredStartDate = formatDate10(startDate);
            $scope.calculateInfo.insuredEndDate = calInsuredDate(formatDate10(startDate), $scope.calculateInfo.coveragePeriod, $scope.calculateInfo.coveragePeriodValue);
        }
        $scope.insuredEndDate = $scope.calculateInfo.insuredEndDate
        $scope.productSetItem("calculateInfo",$scope.calculateInfo);
    }


    //判断产品投保年龄是否满足
    function calculateAge(params) {
        //ageUnit 1 岁 2 天
        var age = getCurrentAge(params.birthday, params.insuredStartDate);
        var days = getDaysFromBirth(params.birthday, params.insuredStartDate);
        //最小年龄
        if (params.minInsuredAgeUnit == "1") {
            if (age < parseInt(params.minLAAge)) {
                return false;
            }
        } else if (params.minInsuredAgeUnit == "2") {
            if (days < parseInt(params.minLAAge)) {
                return false;
            }
        }
        //最大年龄
        if (params.maxInsuredAgeUnit == "1") {
            if (age > parseInt(params.maxLAAge)) {
                return false;
            }
        } else if (params.maxInsuredAgeUnit == "2") {
            if (days > parseInt(params.maxLAAge)) {
                return false;
            }
        }
        return true;
    }

    if (!event) {
        return init();
    } else if (event.type == 'click0') {
        return calculateCopies(event.params)
    } else if (event.type == 'calculateAge') {
        return calculateAge(event.params);
    } else if (event.type == 'changeBirthday') {
        $scope.singelMoney = "50000";//单份保额
        calculate(event.params);
    }else if (event.type == 'calculateInfo') {
        saveCalculateInfo();
    } else {
        return eval(event.type)(event.params);
    }
}
