function pro100329($scope, event, service) {
    var init = function () {
        $scope.calculateAmt = 480.00;//保费
        $scope.chargePeriod = "1";//类型：交费趸交
        $scope.chargePeriodValue = "0";//值：一次交清
        $scope.coveragePeriod = "2";//保障期间类型
        $scope.coveragePeriodValue = "1";//保障期间
        $scope.benefitLevel = "3";//保险计划
        $scope.chargeInterval = "0";//频率趸交
        if($scope.calculateInfo.insuredStartDate){
            $scope.insuredStartDate = new Date($scope.calculateInfo.insuredStartDate);
        }else{
            $scope.insuredStartDate = new Date(genNowDate(1));
        }
        $scope.product_calculate_validate = true;//多试算条件验证试算
        $scope.planNo = "0";//计划编号

        $scope.$on('birthday', function (event, msg) {
            //alert('进入监听方法'+msg)
        });
        $scope.insuredBirthday = '';
        $scope.showCall = function () {
            $scope.callShow = true;
        };
        saveCalculateInfo();
    };

    //多试算条件验证试算
    function productCalculateValidate() {
        if ("" == $scope.insuredBirthday) {
            $scope.dialogTip("请选择被保人出生日期");
            return false;
        } else if ($scope.unit == "") {
            $scope.dialogTip("请选择投保份数");
            return false;
        }
        return true;
    }


    //试算基础信息，包括保费、保障年期、交费年期信息
    function saveCalculateInfo() {
        var calculateInfo = {};
        calculateInfo.productId = $scope.productId;
        calculateInfo.sumAssured = $scope.sumAssured;//保费
        calculateInfo.calculateAmt = $scope.calculateAmt;//保费
        calculateInfo.coveragePeriodValue = $scope.coveragePeriodValue;//保障期间
        calculateInfo.coveragePeriod = $scope.coveragePeriod;//保障类型
        calculateInfo.insuredBirthday = $scope.insuredBirthday;
        calculateInfo.insuredStartDate = $scope.insuredStartDate;
        calculateInfo.chargePeriod = $scope.chargePeriod;
        calculateInfo.chargePeriodValue = $scope.chargePeriodValue;
        calculateInfo.benefitLevel = $scope.benefitLevel;
        calculateInfo.chargeInterval = $scope.chargeInterval;
        $scope.calculateInfo = calculateInfo;//保存试算信息
        calculatedInsuredDate($scope.insuredStartDate);
        savePlanInfo();
        $scope.productSetItem("calculateInfo",$scope.calculateInfo);

    }
    //计算保障终止时间
    function calculatedInsuredDate(startDate) {
        if(typeof startDate == 'string'){

            $scope.calculateInfo.insuredStartDate = formatDate10(new Date(startDate));
            $scope.calculateInfo.insuredEndDate = calInsuredDate(formatDate10(new Date(startDate)), $scope.calculateInfo.coveragePeriod, $scope.calculateInfo.coveragePeriodValue);
        }else{
            $scope.calculateInfo.insuredStartDate = formatDate10(startDate);
            $scope.calculateInfo.insuredEndDate = calInsuredDate(formatDate10(startDate), $scope.calculateInfo.coveragePeriod, $scope.calculateInfo.coveragePeriodValue);
        }
        $scope.productSetItem("calculateInfo",$scope.calculateInfo);
    }


    //判断产品投保年龄是否满足
    function calculateAge(params) {
        //ageUnit 1 岁 2 天
        var age = getCurrentAge(params.birthday, params.insuredStartDate);
        var days = getDaysFromBirth(params.birthday, params.insuredStartDate);
        //最小年龄
        if (params.minInsuredAgeUnit == "1") {
            if (age < parseInt(params.minLAAge)) {
                return false;
            }
        } else if (params.minInsuredAgeUnit == "2") {
            if (days < parseInt(params.minLAAge)) {
                return false;
            }
        }
        //最大年龄
        if (params.maxInsuredAgeUnit == "1") {
            if (age > parseInt(params.maxLAAge)) {
                return false;
            }
        } else if (params.maxInsuredAgeUnit == "2") {
            if (days > parseInt(params.maxLAAge)) {
                return false;
            }
        }
        return true;
    }

    //保存计划信息
    function savePlanInfo() {
        $scope.showPlanInfo = {};
        $scope.showPlanInfo.title = "保险责任";
        $scope.showPlanInfo.content = $scope.productBaseInfo.benefitLevels[$scope.benefitLevel-1].benefitLiab;
        /*var showPlanInfo = {};
         showPlanInfo.title = $scope.showPlanInfo.title;
         showPlanInfo.content = [];
         //showPlanInfo.content.push({"liabilityName":"保障项目","riskAmount":"保额"})
         for (var i = 0; i < $scope.showPlanInfo.content.length; i++) {
         var item = {};
         if ($scope.showPlanInfo.content[i].riskAmount){
         if($scope.showPlanInfo.content[i].riskAmount.replace(/,/g,"") >= 10000){
         item.riskAmount = $scope.showPlanInfo.content[i].riskAmount.replace(/,/g,"") / 10000 + "万元";
         }else{
         item.riskAmount = $scope.showPlanInfo.content[i].riskAmount+"元";
         }
         }else{
         item.riskAmount = "包含";
         }
         item.liabilityName = $scope.showPlanInfo.content[i].liabilityName;
         showPlanInfo.content.push(item);
         }
         $scope.showPlanInfo = showPlanInfo;*/
        $scope.productSetItem("showPlanInfo",$scope.showPlanInfo);
    }
    if (!event) {
        return init();
    } else if (event.type == 'calculateInfo') {
        saveCalculateInfo();
    } else {
        return eval(event.type)(event.params);
    }
}
