function pro100380($scope, event, service) {
    var holderCertiTypeList = "1,6";//投保人证件类型
    var insuredCertiTypeList = "1,6";//被保人证件类型
    var benefitCertiTypeList = "1,6";//受益人证件类型
    var holderInsuredRel = "6,7,10";//投被保人关系
    var benefitInsuredRel = "6,7";//受益人被保人关系

    var init = function () {
        //$scope.calculateAmt = 0;//保费
        if($scope.productBaseInfo){
            $scope.calculateAmt = $scope.productBaseInfo.minPremium;//保费
        }
        $scope.chargePeriod = "1";//缴费年限
        $scope.chargePeriodValue = "0";//缴费期间类型 0-无关 1-趸缴 2-缴至多少年 3-缴至多少岁 4-缴终身
        $scope.coveragePeriod = "2";//保障期间类型
        $scope.coveragePeriodValue = "1";//保障期间
        $scope.insuredStartDate = $scope.insuredStartDate?$scope.insuredStartDate:genNowDate(1);

        $scope.product_calculate_validate = true;//多试算条件验证试算

        $scope.showCall = function () {
            $scope.callShow = true;
        };

        //初始化计划信息
        $scope.coveragePeriodName = "一年";
        $scope.insuredAge = "请选择被保人年龄";
        $scope.insuredRangeName = "请选择保障范围";
        $scope.sumAssuredName = "请选择基本保额";

        //初始保障年期、交费年期列表空数据
        $scope.insuredAgeList = new Array();
        $scope.insuredRangeList = new Array();
        initCalculateInfo();
    };

    function ageToAmountList(birthday,step,saLimitMatrix) {
        var result = {};//返回结果对象
        if (typeof step == "string") {//转换为int
            step = parseInt(step);
        }

        //判断日期格式是否正确
        var age = getCurrentAge(birthday,$scope.insuredStartDate);
        if (age === false) {
            result.msg = "该出生日期无效";
            return result;
        }

        //计算保额列表
        for (var i in saLimitMatrix) {
            var singleObj = saLimitMatrix[i];
            var validMinAge = false;//验证是否满足最小年龄
            var validMaxAge = false;//验证是否满足最大年龄
            var amtList = new Array();//保额List
            //判断最小年龄
            if (singleObj.minInsuredAge <= age) {
                validMinAge = true;
            }
            //判断最小年龄
            if (singleObj.maxInsuredAge >= age) {
                validMaxAge = true;
            }
            if (validMinAge && validMaxAge) {
                var singleAmt = {};
                var calAmt = parseInt(singleObj.minSa);
                singleAmt.value = calAmt;
                singleAmt.name = "5万元";
                amtList[0] = singleAmt;
                calAmt = parseInt(singleObj.minSa) + 50000;
                while (calAmt <= singleObj.maxSa) {
                    singleAmt = {};
                    singleAmt.value = calAmt;
                    singleAmt.name = calAmt / 10000 + "万元";
                    calAmt += step;
                    amtList.push(singleAmt);
                }
                result.amtList = amtList;
                return result;
            }
        }
    }

    //基本保额弹出框
    $scope.popSumAssured = function(){
        if($scope.sumAssuredName == "请选择基本保额" || $scope.calculateInfo.sumAssuredName == "请选择基本保额"){
            $scope.sumAssured = 0;
            $scope.calculateInfo.sumAssured = 0;
        }
        $scope.calSumAssuredInfo = ageToAmountList($scope.calculateInfo.insuredBirthday,100000,$scope.productBaseInfo.saLimitMatrix);
        if($scope.calSumAssuredInfo.msg){
            $scope.dialogTip($scope.calSumAssuredInfo.msg);
        }else if($scope.calSumAssuredInfo.amtList) {
            $scope.sumAssuredList = $scope.calSumAssuredInfo.amtList;
            $scope.sumAssuredBox = true;
        }
    };

    //选择保额
    $scope.sumAssuredChecked = function(value,name){
        $scope.sumAssuredBox = false;
        $scope.sumAssured = value;
        $scope.sumAssuredName = name;
        if($scope.calculateInfo) {
            $scope.calculateInfo.sumAssured = $scope.sumAssured;
            $scope.calculateInfo.sumAssuredName = $scope.sumAssuredName;
        }
        calculate();
    };
    $scope.getCoverageList = function(){};

    //保障范围弹出框
    $scope.popInsuredRange = function(){
        $scope.insuredRangeBox = true;
        $scope.insuredRangeList = [];
        savePlanInfo();
        console.info($scope.showPlanInfo);
        //保障范围集合
        for(var i=0;i<$scope.showPlanInfo.content.length;i++){
            var singleAmount = {};
            singleAmount.code = $scope.showPlanInfo.content[i].liabId;//责任编号
            singleAmount.name = $scope.showPlanInfo.content[i].liabilityName.substring(0,i+1)+"种重大疾病";//责任保额
            $scope.insuredRangeList.push(singleAmount);//选择指定保障责任
        }
    };
    //选择保障范围
    $scope.insuredRangeChecked = function(code,name){
        $scope.insuredRangeBox = false;
        $scope.insuredRangeValue = code;
        $scope.insuredRangeName = name;
        if($scope.calculateInfo) {
            $scope.calculateInfo.insuredRangeValue = $scope.insuredRangeValue;
            $scope.calculateInfo.insuredRangeName = $scope.insuredRangeName;
        }
        calculate();
    };

    //修改性别
    $scope.changeSex = function(type,sex){
        if(type=="insured"){
            $scope.insuredSex = sex;
            if($scope.calculateInfo){
                $scope.calculateInfo.insuredSex = $scope.insuredSex;
            }
            calculate();
        }
    }
    //获取续期银行信息
    function getRenewalBanks(companyCode){
        return renewalBanks["C"+companyCode];
    }

    //多试算条件验证试算
    function productCalculateValid() {
        //校验年龄参数
        var validAgeParams = {
            "birthday":formatDate10(new Date($scope.calculateInfo.insuredBirthday)),
            "insuredStartDate":formatDate10(new Date($scope.calculateInfo.insuredStartDate)),
            "minInsuredAgeUnit":$scope.productBaseInfo.minInsuredAgeUnit,
            "minLAAge":$scope.productBaseInfo.minLAAge,
            "maxInsuredAgeUnit":$scope.productBaseInfo.maxInsuredAgeUnit,
            "maxLAAge":$scope.productBaseInfo.maxLAAge
        }
        var valide = true;
        if(!$scope.calculateInfo.insuredSex){
            valide = false;
        }else if (!$scope.calculateInfo.insuredBirthday) {
            valide = false;
        }else if (!$scope.calculateInfo.sumAssured) {
            valide = false;
        }else if (!$scope.calculateInfo.chargePeriod) {
            valide = false;
        } else if (typeof $scope.calculateInfo.chargePeriodValue=='undefined') {
            valide = false;
        }else if(!$scope.calculateInfo.coveragePeriod){
            valide = false;
        }else if(!$scope.calculateInfo.coveragePeriodValue){
            valide = false;
        }else if(!$scope.calculateInfo.insuredRangeValue){
            valide = false;
        }else if(!calculateAge(validAgeParams)){
            valide = false;
        }
        console.info("试算条件---",$scope.calculateInfo.insuredSex,formatDate10(new Date($scope.calculateInfo.insuredBirthday)),$scope.calculateInfo.sumAssured,$scope.calculateInfo.chargePeriod,$scope.calculateInfo.chargePeriodValue,$scope.calculateInfo.coveragePeriod,$scope.calculateInfo.coveragePeriodValue,$scope.calculateInfo.insuredRangeValue,valide);


        return valide;
    }

    //根据选择条件进行试算
    var calculate = function (params) {
        if(!productCalculateValid()){
            //console.info("试算条件不满足,不进行试算.....");
            return;
        }

        //校验年龄超过40周岁时不试算保费
        var a = getCurrentAge(formatDate10(new Date($scope.calculateInfo.insuredBirthday)));
        if($scope.minAge1 && $scope.maxAge1){
            if(a>$scope.minAge1 && a<$scope.maxAge1){
            }else{
                $scope.sumAssuredName = "请选择基本保额";
                $scope.calculateInfo.sumAssuredName = "请选择基本保额";
                $scope.calculateAmt = 0;
                $scope.minAge1 = 0;
                $scope.maxAge1 = 0;
                return;
            }
        }else{
            if(a>=18 && a<=40){
                $scope.minAge1 = 18;
                $scope.maxAge1 = 40;
            }else if(a>=41 && a<=50){
                $scope.minAge1 = 41;
                $scope.maxAge1 = 49;
            }else if(a>=50 && a<=60){
                $scope.minAge1 = 50;
                $scope.maxAge1 = 60;
            }
        }

        //组试算条件
        var trialProductList = [];
        trialProductList = [
            {
                "productId": $scope.calculateInfo.productId,
                "parameters": "gender="+$scope.calculateInfo.insuredSex+";birthday="+formatDate10(new Date($scope.calculateInfo.insuredBirthday)).replace(/-/g,"")+
                ";chargePeriod="+$scope.calculateInfo.chargePeriod+";chargeYear="+$scope.calculateInfo.chargePeriodValue+
                ";coverageYear=" + $scope.calculateInfo.coveragePeriodValue+";coveragePeriod="+$scope.calculateInfo.coveragePeriod+
                ";pdtLibId="+$scope.calculateInfo.insuredRangeValue+";sumAssured="+$scope.calculateInfo.sumAssured+";validateDate="+formatDate10(new Date($scope.calculateInfo.insuredStartDate)).replace(/-/g,"")
            }
        ]
        console.info(trialProductList);
        $scope.calculateApi(trialProductList);
    };
    //试算基础信息，包括保费、保障年期、交费年期信息
    $scope.saveCalculateInfo = function() {
        if(!$scope.calculateInfo){
            //console.info("重新init..........试算信息")
            $scope.calculateInfo = {};
        }
        $scope.calculateInfo.calculateAmt = $scope.calculateAmt;//保费
        calculatedInsuredDate($scope.insuredStartDate);
        savePlanInfo();
        //$scope.productSetItem("calculateInfo",$scope.calculateInfo);
    }

    //初始产品基础信息
    var initProductBaseInfo = function(){
        $scope.productBaseInfo = $scope.productGetItem("productBaseInfo");
    }

    //初始化试算信息,减少第三步加载信息处理
    var initCalculateInfo = function(optType){
        if($scope.productGetItem("calculateInfo")){
            $scope.calculateInfo = $scope.productGetItem("calculateInfo");
            $scope.calculateInfo.productId = $scope.productId;
            $scope.calculateInfo.insuredStartDate = $scope.calculateInfo.insuredStartDate?$scope.calculateInfo.insuredStartDate:genNowDate(1);
            $scope.calculateInfo.insuredStartDate = new Date($scope.calculateInfo.insuredStartDate);
            $scope.calculateInfo.chargePeriod = $scope.chargePeriod;
            $scope.calculateInfo.chargePeriodValue = $scope.chargePeriodValue;
            $scope.calculateInfo.chargePeriodName = $scope.chargePeriodName;
            $scope.calculateInfo.insuredRangeName = $scope.calculateInfo.insuredRangeName?$scope.calculateInfo.insuredRangeName:$scope.insuredRangeName;
            $scope.calculateInfo.sumAssuredName = $scope.calculateInfo.sumAssuredName?$scope.calculateInfo.sumAssuredName:$scope.sumAssuredName;
            $scope.calculateInfo.coveragePeriod = $scope.calculateInfo.coveragePeriod?$scope.calculateInfo.coveragePeriod:$scope.coveragePeriod;
            $scope.calculateInfo.coveragePeriodValue = $scope.calculateInfo.coveragePeriodValue?$scope.calculateInfo.coveragePeriodValue:$scope.coveragePeriodValue;
            $scope.calculateInfo.coveragePeriodName = $scope.calculateInfo.coveragePeriodName?$scope.calculateInfo.coveragePeriodName:$scope.coveragePeriodName;
            $scope.calculateInfo.benefitLevel = $scope.calculateInfo.benefitLevel?$scope.calculateInfo.benefitLevel:$scope.benefitLevel;
            $scope.calculateInfo.benefitLevelName = $scope.calculateInfo.benefitLevelName?$scope.calculateInfo.benefitLevelName:$scope.benefitLevelName;
        }else{
            $scope.calculateInfo = {};
        }
    }

    //计算保障终止时间
    function calculatedInsuredDate(startDate) {
        $scope.calculateInfo.insuredEndDate = calInsuredDate(formatDate10(new Date(startDate)), $scope.calculateInfo.coveragePeriod, $scope.calculateInfo.coveragePeriodValue);
        $scope.productSetItem("calculateInfo",$scope.calculateInfo);
    }

    //判断生效日是否有效
    $scope.valideInsuredStartDate = function(insuredStartDate,sourceInfo){
        var insuredStartBeginDate = genNowDate(1);
        var insuredStartEndDate =  addmulMonth(insuredStartBeginDate, 1);
        var transDate = formatDate10(insuredStartDate);
        if (transDate.length == 10 && transDate < insuredStartBeginDate) {
            insuredStartDate = new Date(insuredStartBeginDate);
            $scope.dialogTip("生效日不能早于：" + insuredStartBeginDate);
        } else if (transDate.length == 10 && insuredStartEndDate < transDate) {
            insuredStartDate = new Date(insuredStartEndDate);
            $scope.dialogTip("生效日不能晚于：" + insuredStartEndDate);
        }
        if(sourceInfo){
            sourceInfo.insuredStartDate = insuredStartDate;
        }else{
            $scope.insuredStartDate = insuredStartDate;
        }
        calculatedInsuredDate(insuredStartDate);
    }


    //保存计划信息
    function savePlanInfo() {
        $scope.showPlanInfo = {};
        $scope.showPlanInfo.title = "保险责任";
        $scope.showPlanInfo.content = $scope.productBaseInfo.benefitLevels[0].benefitLiab;
        for(var i in $scope.showPlanInfo.content){
            $scope.showPlanInfo.content[i].riskAmount = $scope.sumAssured;
        }
    }

    //判断产品投保年龄是否满足
    $scope.calculateAge = function(params) {
        //ageUnit 1 岁 2 天
        if(params.insuredStartDate){

        }else{//因生效日与被保人填写信息顺序不一样,故为空时设定各自产品的最初生效日
            $scope.calculateInfo.insuredStartDate = genNowDate(1);
            params.insuredStartDate = $scope.calculateInfo.insuredStartDate;
        }
        var age = getCurrentAge(params.birthday, formatDate10(new Date(params.insuredStartDate)));
        var days = getDaysFromBirth(params.birthday, formatDate10(new Date(params.insuredStartDate)));
        //最小年龄
        if (params.minInsuredAgeUnit == "1") {
            if (age < parseInt(params.minLAAge)) {
                return false;
            }
        } else if (params.minInsuredAgeUnit == "2") {
            if (days < parseInt(params.minLAAge)) {
                return false;
            }
        }
        //最大年龄
        if (params.maxInsuredAgeUnit == "1") {
            if (age > parseInt(params.maxLAAge)) {
                return false;
            }
        } else if (params.maxInsuredAgeUnit == "2") {
            if (days > parseInt(params.maxLAAge)) {
                return false;
            }
        }
        calculate();
        return true;
    }
    //根据男女更改投被保人关系
    $scope.changeRelationShipIds = function (type,sourceInfo) {
        if(type=="holder") {//计算投被保人关系
            $scope.holderInsuredRel = getSpecSexRelaList(sourceInfo.holderSex,holderInsuredRel);
        }else if(type=="benefit"){//计算受益人被保人关系
            sourceInfo.benefitInsuredRel = getSpecSexRelaList(sourceInfo.holderSex,benefitInsuredRel);
        }
    };

    //初始化投保人信息
    function initHolderInfo(optType) {
        $scope.holderCertiTypeList = getSpecCredList(holderCertiTypeList);//处理投保人证件类型
        if ($scope.saveData.holderInfo) {
            $scope.holderInfo = $scope.productGetItem('holderInfo');
            $scope.holderInfo.holderBirthday = new Date($scope.holderInfo.holderBirthday);
            if(optType!="showInfo") {
                //获取一级省机构
                $scope.getBranch("holderInfo", "", 0, "", 0, $scope.holderInfo);
                //获取省对应市信息
                if ($scope.holderInfo.addressInfo.provinceCode) {
                    $scope.getBranch("holderInfo", "", 1, $scope.holderInfo.addressInfo.provinceCode, 0, $scope.holderInfo);
                }
                //获取市对应县信息
                if ($scope.holderInfo.addressInfo.cityCode) {//获取省对应市信息
                    $scope.getBranch("holderInfo", "", 2, $scope.holderInfo.addressInfo.cityCode, 0, $scope.holderInfo);
                }
            }
            $scope.holderInfo.addressDetail = $scope.holderInfo.addressInfo.provinceName + '-' + $scope.holderInfo.addressInfo.cityName + '-' + $scope.holderInfo.addressInfo.detailAddress;
            $scope.holderInfo.jobClassName = $scope.holderInfo.jobClass1name + '-' + $scope.holderInfo.jobClass2name;
            //转换日期格式
            //证件起期
            if($scope.holderInfo.certiValidDate)
                $scope.holderInfo.certiValidDate = new Date($scope.holderInfo.certiValidDate);
            //证件终止期
            if($scope.holderInfo.certiValidDate)
                $scope.holderInfo.certiExpiryDate = new Date($scope.holderInfo.certiExpiryDate);
        } else {
            $scope.holderInfo = {};
            $scope.holderInfo.addressInfo = {};
            $scope.getBranch("holderInfo", "", 0, "", 0,$scope.holderInfo);
            //console.info("获取机构.........",$scope.holderInfo.addressInfo.provinceCode);
            if ($scope.holderInfo.addressInfo.provinceCode) {//获取省对应市信息
                $scope.getBranch("holderInfo", "", 1, $scope.holderInfo.addressInfo.provinceCode, 0,$scope.holderInfo);
            }
            //获取服务机构信息
            $scope.holderInfo.sAddressInfo = {};
            /*$scope.getServiceBranch("holderInfo", "", 0, "", 0);
             if ($scope.holderInfo.sAddressInfo.provinceCode) {//获取省对应市信息
             $scope.getServiceBranch("holderInfo", "", 1, $scope.holderInfo.sAddressInfo.provinceCode, 0);
             }
             //获取职业信息
             $scope.getJobLevel("", $scope.productId, "1");*/
        }
        if(optType!="showInfo") {
            $scope.getServiceBranch("holderInfo", "", 0, "", 0);
            if ($scope.holderInfo.sAddressInfo.provinceCode) {//获取省对应市信息
                $scope.getServiceBranch("holderInfo", "", 1, $scope.holderInfo.sAddressInfo.provinceCode, 0);
            }
            //获取职业信息
            $scope.getJobLevel("", $scope.productId, "1",0,$scope.holderInfo);//一级职业
            if ($scope.holderInfo.jobClass1) {
                $scope.getJobLevel($scope.holderInfo.jobClass1, $scope.productId, "2",0,$scope.holderInfo);//二级职业
            }
        }
        //获取投被保人关系
        $scope.holderInsuredRel = getSpecSexRelaList($scope.holderInfo.holderSex || "", holderInsuredRel);
    }
    //初始化被保人信息
    function initInsuredInfo(optType) {
        //处理被保人证件类型
        $scope.insuredCertiTypeList = getSpecCredList(insuredCertiTypeList);
        //初始化受益人证件类型
        $scope.benefitCertiTypeList = getSpecCredList(benefitCertiTypeList);
        if ($scope.saveData.insuredInfos) {
            $scope.insuredInfos = $scope.productGetItem('insuredInfos');
            for(var i=0;i<$scope.insuredInfos.length;i++) {
                $scope.insuredInfos[i].insuredBirthday = new Date($scope.insuredInfos[i].insuredBirthday);
                if(optType!="showInfo") {
                    $scope.getBranch("insuredInfo", "", 0, "", 0, $scope.insuredInfos[i]);
                    //获取省对应市信息
                    if ($scope.insuredInfos[i].addressInfo && $scope.insuredInfos[i].addressInfo.provinceCode) {
                        $scope.getBranch("insuredInfo", "", 1, $scope.insuredInfos[i].addressInfo.provinceCode, 0, $scope.insuredInfos[i]);
                    }
                    //获取市对应县信息
                    if ($scope.insuredInfos[i].addressInfo.cityCode) {//获取省对应市信息
                        $scope.getBranch("insuredInfo", "", 2, $scope.insuredInfos[i].addressInfo.cityCode, 0, $scope.insuredInfos[i]);
                    }
                    //获取职业信息
                    $scope.getJobLevel("", $scope.productId, "1",0,$scope.insuredInfos[0]);//一级职业
                    if ($scope.insuredInfos[0].jobClass1) {
                        $scope.getJobLevel($scope.insuredInfos[0].jobClass1, $scope.productId, "2",0,$scope.insuredInfos[0]);//二级职业
                    }
                }else{
                    $scope.insuredInfos[i].addressDetail = $scope.insuredInfos[i].addressInfo.provinceName + '-' + $scope.insuredInfos[i].addressInfo.cityName + '-' + $scope.insuredInfos[i].addressInfo.detailAddress;
                    $scope.insuredInfos[i].jobClassName = $scope.insuredInfos[i].jobClass1name + '-' + $scope.insuredInfos[i].jobClass2name;
                }
                /*if($scope.insuredInfos[i].relationship==1) {
                 $scope.relationshipChange('insured', $scope.insuredInfos[i].relationship,i);
                 }*/
                //证件起期
                if($scope.insuredInfos[i].certiValidDate)
                    $scope.insuredInfos[i].certiValidDate = new Date($scope.insuredInfos[i].certiValidDate);
                //证件终止期
                if($scope.insuredInfos[i].certiValidDate)
                    $scope.insuredInfos[i].certiExpiryDate = new Date($scope.insuredInfos[i].certiExpiryDate);
                //初始受益人
                if($scope.insuredInfos[i].benefitInfos){
                    for(var j in $scope.insuredInfos[i].benefitInfos) {
                        $scope.insuredInfos[i].benefitInfos[j].birthday = new Date($scope.insuredInfos[i].benefitInfos[j].birthday);
                        //证件起期
                        if ($scope.insuredInfos[i].benefitInfos[j].certiValidDate)
                            $scope.insuredInfos[i].benefitInfos[j].certiValidDate = new Date($scope.insuredInfos[i].benefitInfos[j].certiValidDate);
                        //证件终止期
                        if ($scope.insuredInfos[i].benefitInfos[j].certiValidDate)
                            $scope.insuredInfos[i].benefitInfos[j].certiExpiryDate = new Date($scope.insuredInfos[i].benefitInfos[j].certiExpiryDate);
                    }
                }else{
                    $scope.insuredInfos[i].benefitInfos = [];//置空
                }
                //初始化受益人与被保人可选关系
                $scope.insuredInfos[i].benefitInsuredRel = getSpecSexRelaList($scope.insuredInfos[i].insuredSex,benefitInsuredRel,"insured")
            }
        } else {
            $scope.insuredInfos = [{}];
            $scope.insuredInfos[0].addressInfo = {};
            $scope.insuredInfos[0].validAgeFlag = true;

            $scope.getBranch("insuredInfo", "", 0, "", 0,$scope.insuredInfos[0]);
            if ($scope.insuredInfos[0].addressInfo.provinceCode) {//获取省对应市信息
                $scope.getBranch("insuredInfo", "", 1, $scope.insuredInfos[0].addressInfo.provinceCode, 0,$scope.insuredInfos[0]);
            }
            //获取职业信息
            $scope.getJobLevel("", $scope.productId, "1",0,$scope.insuredInfos[0]);//一级职业
            if ($scope.insuredInfos[0].jobClass1) {
                $scope.getJobLevel($scope.insuredInfos[0].jobClass1, $scope.productId, "2",0,$scope.insuredInfos[0]);//二级职业
            }
        }

        //$scope.insuredInfo.winner = $scope.winner;
    }
    //初始投保投保计划
    function initInsurePlan(){
        $scope.showPlanInfo = $scope.productGetItem('showPlanInfo');
    }

    /* //初始指定保障责任
     function initLiabilityList(){
     $scope.liabilityList = $scope.productGetItem('liabilityList');
     }*/

    //扩展信息
    function createExtraInfo(){
        $scope.extraInfo = {"serviceOrgCode":"867400"};
    }
    //初始第一步信息
    function initStep1(){
        //console.info("......各自投保人信息.....");
        initHolderInfo();
        initInsuredInfo();
        initCalculateInfo();//初始化投保人信息,续期账户信息使用
    }
    //初始第二步信息
    function initStep2(){
        //console.info("......各自被保人信息.....");
        initInsuredInfo();
        initHolderInfo();//防止变更被保人而无通讯地址等特殊信息
        initCalculateInfo();//初始化投保人信息,续期账户信息使用
    }
    //初始第三步信息
    function initStep3(){
        //console.info("......各自投保计划信息.....");
        $scope.getCoverageList($scope.calculateInfo.insuredBirthday);//初始化保障年期
        initProductBaseInfo();
        initCalculateInfo();//初始化投保人信息,续期账户信息使用
        //处理页面展示日期格式
        calculatedInsuredDate($scope.calculateInfo.insuredStartDate);
        initInsurePlan();//投保计划
    }
    //初始化第四步信息
    function initStep4(){
        //showInfo 表示最后一步,有些列表信息无需重新加载 如机构、银行、职业
        initHolderInfo("showInfo");//初始投保人信息
        initInsuredInfo("showInfo");//初始被保人信息
        initCalculateInfo("showInfo");//初始化试算信息
        initInsurePlan("showInfo");//初始化保障责任
        $scope.initProductBaseInfo();
        $scope.transZoneTo10();//转换各自对象的时间格式
        $scope.showLink= "我已阅读并了解关于本产品的"+
            "<a ng-click=\"goToShow(0)\">《产品须知》</a>及" +
            "<a ng-click=\"goToShow(3)\">《产品条款》</a>，同意<a ng-click=\"goToShow(2)\">《投保声明》</a>";
        createExtraInfo();
    }
    //校验第一步
    function checkStep1(){
        //console.info("验证表单1信息.....");
        //TODO--加表单验证--开始
        var res = {};
        res['status'] = true;//检查通过-true;否则-false
        res['msg'] = '';//返回错误信息
        //console.info("出生日期。。。。",formatDate10(new Date($scope.holderInfo.holderBirthday)))
        if (!validCredNum("name", $scope.holderInfo.holderName)) {
            res['status'] = false;
            res['msg'] = '投保人姓名填写有误（2-20位中英文），请更正';
        } else if (typeof $scope.holderInfo.certiType == "undefined" || $scope.holderInfo.certiType == "0" || !$scope.holderInfo.certiType) {
            res['status'] = false;
            res['msg'] = '请选择投保人证件类型';
        } else if (!validCredNum($scope.holderInfo.certiType, $scope.holderInfo.certiCode)) {
            res['status'] = false;
            res['msg'] = '投保人证件号码填写有误，请更正';
        } else if (!validCredNum("",$scope.holderInfo.certiValidDate)) {
            res['status'] = false;
            res['msg'] = '投保人证件起期填写有误，请更正';
        } else if (formatDate10($scope.holderInfo.certiValidDate)>formatDate10(new Date())) {
            res['status'] = false;
            res['msg'] = '证件起期不能晚于当前日期，请更正';
        } else if ($scope.holderInfo.longTermFlag!='1' && !validCredNum("",$scope.holderInfo.certiExpiryDate)) {
            res['status'] = false;
            res['msg'] = '投保人证件止期填写有误，请更正';
        } else if ($scope.holderInfo.longTermFlag!='1' && formatDate10($scope.holderInfo.certiExpiryDate)<formatDate10(new Date())) {
            res['status'] = false;
            res['msg'] = '证件止期不能早于当前日期，请更正';
        }else if (typeof $scope.holderInfo.holderBirthday == "undefined" || $scope.holderInfo.holderBirthday == "") {
            res['status'] = false;
            res['msg'] = '投保人出生日期填写有误，请更正';
        } else if ($scope.holderInfo.certiType == "1" && formatDate10($scope.holderInfo.holderBirthday).replace(/-/g, "") != $scope.holderInfo.certiCode.substring(6, 14)) {//投保人出生日期与证件校验
            res['status'] = false;
            res['msg'] = '投保人出生日期与证件号不符，请更正';
        } else if (getCurrentAge(formatDate10(new Date($scope.holderInfo.holderBirthday)),genNowDate(1))< 18) {
            res['status'] = false;
            res['msg'] = '投保人需年满18周岁';
        } else if (typeof $scope.holderInfo.holderSex == "undefined" || $scope.holderInfo.holderSex == "") {
            res['status'] = false;
            res['msg'] = '请选择投保人性别';
        } else if ($scope.holderInfo.certiType == "1" && !checkSex($scope.holderInfo.holderSex, $scope.holderInfo.certiCode)) {//性别校验
            res['status'] = false;
            res['msg'] = '投保人性别与证件号不符，请更正';
        } else if ((!validCredNum("", $scope.holderInfo.addressInfo.provinceCode)
            || !validCredNum("", $scope.holderInfo.addressInfo.cityCode)|| !validCredNum("", $scope.holderInfo.addressInfo.countyCode) || !validCredNum("", $scope.holderInfo.addressInfo.detailAddress))) {
            res['status'] = false;
            res['msg'] = '投保人通讯地址填写有误，请完善';
        } else if($scope.holderInfo.addressInfo.detailAddress.length<5){
            res['status'] = false;
            res['msg'] = '投保人详细地址填写有误，请完善';
        } /*else if ((!validCredNum("", $scope.holderInfo.sAddressInfo.provinceCode)
            || !validCredNum("", $scope.holderInfo.sAddressInfo.cityCode))) {
            res['status'] = false;
            res['msg'] = '投保人服务地址填写有误，请完善';
        } */else if ((!validCredNum("", $scope.holderInfo.jobClass1)
            || !validCredNum("", $scope.holderInfo.jobClass2))) {
            res['status'] = false;
            res['msg'] = '投保人职业类别填写有误，请完善';
        } else if (!(validCredNum("postCode", $scope.holderInfo.addressInfo.postCode)) ||
            (validCredNum("",$scope.holderInfo.addressInfo.regionPostCode)
            && !($scope.holderInfo.addressInfo.regionPostCode.indexOf(","+$scope.holderInfo.addressInfo.postCode.substr(0,4))>-1))){
            res['status'] = false;
            res['msg'] = '投保人邮编填写有误，请更正';
        } else if (!validCredNum("mobile", $scope.holderInfo.holderMobile)) {
            res['status'] = false;
            res['msg'] = '投保人手机号码填写有误（11位数字），请更正';
        } else if (!validCredNum("email", $scope.holderInfo.holderEmail)) {
            res['status'] = false;
            res['msg'] = '投保人电子邮箱填写有误，请更正';
        } else if ($scope.insuredInfos) {
            for(var i in $scope.insuredInfos) {
                //console.info($scope.insuredInfos[i].relationship);
                if(!validCredNum("relation", $scope.insuredInfos[i].relationship)) {
                    res['status'] = false;
                    res['msg'] = '请选择投被保人关系';
                    break ;
                }
            }

        }
        if(!res['status']){
            $scope.dialogTip(res['msg']);
            return res['status'];
        }
        //TODO--加表单验证--结束
        //console.info("修改关系后多被保人。。。。。",$scope.insuredInfos);
        $scope.calculateInfo.holderName = $scope.holderInfo.holderName;
        //获取各机构名称信息

        /*for(var i=0;i<$scope.insuredInfos.length;i++) {
         console.info("地址..",$scope.insuredInfos[i].addressInfo,$scope.holderInfo.addressInfo)
         $scope.insuredInfos[i].insuredMobile = $scope.insuredInfos[i].insuredMobile ? $scope.insuredInfos[i].insuredMobile : $scope.holderInfo.holderMobile;
         $scope.insuredInfos[i].insuredEmail = $scope.insuredInfos[i].insuredEmail ? $scope.insuredInfos[i].insuredEmail : $scope.holderInfo.holderEmail;
         $scope.insuredInfos[i].jobClass1 = $scope.insuredInfos[i].jobClass1 ? $scope.insuredInfos[i].jobClass1 : $scope.holderInfo.jobClass1;
         $scope.insuredInfos[i].jobClass2 = $scope.insuredInfos[i].jobClass2 ? $scope.insuredInfos[i].jobClass2 : $scope.holderInfo.jobClass2;
         $scope.insuredInfos[i].jobClass1name = $scope.insuredInfos[i].jobClass1name ? $scope.insuredInfos[i].jobClass1name : $scope.holderInfo.jobClass1name;
         $scope.insuredInfos[i].jobClass2name = $scope.insuredInfos[i].jobClass2name ? $scope.insuredInfos[i].jobClass2name : $scope.holderInfo.jobClass2name;
         $scope.insuredInfos[i].addressInfo = $scope.holderInfo.addressInfo;
         //$scope.insuredInfos[i].addressInfo.postCode = $scope.insuredInfos[i].addressInfo.postCode ? $scope.insuredInfos[i].addressInfo.postCode : $scope.holderInfo.addressInfo.postCode;
         }*/

        //$scope.productSetItem('calculateInfo', $scope.calculateInfo);
        $scope.prevModule1 = "2";
        localStorage.setItem('prevModule1',JSON.stringify($scope.prevModule1));
        $scope.nextModule = "2";
        return true;
    }
    //校验第二步
    function checkStep2(){
        //console.info("验证表单2信息.....");
        for(var i=0;i<$scope.insuredInfos.length;i++) {
            console.info("地址..",$scope.insuredInfos[i].addressInfo,$scope.holderInfo.addressInfo)
            $scope.insuredInfos[i].insuredMobile = $scope.insuredInfos[i].insuredMobile ? $scope.insuredInfos[i].insuredMobile : $scope.holderInfo.holderMobile;
            $scope.insuredInfos[i].insuredEmail = $scope.insuredInfos[i].insuredEmail ? $scope.insuredInfos[i].insuredEmail : $scope.holderInfo.holderEmail;
            $scope.insuredInfos[i].jobClass1 = $scope.insuredInfos[i].jobClass1 ? $scope.insuredInfos[i].jobClass1 : $scope.holderInfo.jobClass1;
            $scope.insuredInfos[i].jobClass2 = $scope.insuredInfos[i].jobClass2 ? $scope.insuredInfos[i].jobClass2 : $scope.holderInfo.jobClass2;
            $scope.insuredInfos[i].jobClass1name = $scope.insuredInfos[i].jobClass1name ? $scope.insuredInfos[i].jobClass1name : $scope.holderInfo.jobClass1name;
            $scope.insuredInfos[i].jobClass2name = $scope.insuredInfos[i].jobClass2name ? $scope.insuredInfos[i].jobClass2name : $scope.holderInfo.jobClass2name;
            $scope.insuredInfos[i].addressInfo = $scope.holderInfo.addressInfo;
            //$scope.insuredInfos[i].addressInfo.postCode = $scope.insuredInfos[i].addressInfo.postCode ? $scope.insuredInfos[i].addressInfo.postCode : $scope.holderInfo.addressInfo.postCode;
        }
        //TODO--加表单验证--开始
        var res = {};
        res['status'] = true;//检查通过-true;否则-false
        res['msg'] = '';//返回错误信息
        console.info("===========",$scope.insuredInfos);
        for(var i in $scope.insuredInfos) {
            if (!validCredNum("name", $scope.insuredInfos[i].insuredName)) {
                res['status'] = false;
                res['msg'] = '被保人姓名填写有误（2-20位中英文），请更正';
            } else if (typeof $scope.insuredInfos[i].certiType == "undefined" || $scope.insuredInfos[i].certiType == "0" || !$scope.insuredInfos[i].certiType) {
                res['status'] = false;
                res['msg'] = '请选择被保人证件类型';
            } else if (!validCredNum($scope.insuredInfos[i].certiType, $scope.insuredInfos[i].certiCode)) {
                res['status'] = false;
                res['msg'] = '被保人证件号码填写有误，请更正';
            } else if ($scope.insuredInfos[i].certiType == "1" && !validCredNum("",$scope.insuredInfos[i].certiValidDate)) {
                res['status'] = false;
                res['msg'] = '被保人证件起期填写有误，请更正';
            } else if (formatDate10($scope.insuredInfos[i].certiValidDate)>formatDate10(new Date())) {
                res['status'] = false;
                res['msg'] = '证件起期不能晚于当前日期，请更正';
            } else if ($scope.insuredInfos[i].certiType == "1" && $scope.insuredInfos[i].longTermFlag!='1' && !validCredNum("",$scope.insuredInfos[i].certiExpiryDate)) {
                res['status'] = false;
                res['msg'] = '被保人证件止期填写有误，请更正';
            } else if ($scope.insuredInfos[i].longTermFlag!='1' && formatDate10($scope.insuredInfos[i].certiExpiryDate)<formatDate10(new Date())) {
                res['status'] = false;
                res['msg'] = '证件止期不能早于当前日期，请更正';
            } else if (!validCredNum("",$scope.insuredInfos[i].insuredBirthday)) {
                res['status'] = false;
                res['msg'] = '被保人出生日期填写有误，请更正';
            } else if ($scope.insuredInfos[i].certiType == "1" && formatDate10($scope.insuredInfos[i].insuredBirthday).replace(/-/g, "") != $scope.insuredInfos[i].certiCode.substring(6, 14)) {//被保人出生日期与证件校验
                res['status'] = false;
                res['msg'] = '被保人出生日期与证件号不符，请更正';
            } else if (!$scope.insuredInfos[i].validAgeFlag) {
                res['status'] = false;
                res['msg'] = '被保人年龄无效，请更正';
            } else if (!validCredNum("",$scope.insuredInfos[i].insuredSex)) {
                res['status'] = false;
                res['msg'] = '请选择被保人性别';
            } else if ($scope.insuredInfos[i].certiType == "1" && !checkSex($scope.insuredInfos[i].insuredSex, $scope.insuredInfos[i].certiCode)) {//性别校验
                res['status'] = false;
                res['msg'] = '被保人性别与证件号不符，请更正';
            } else if ((!validCredNum("", $scope.insuredInfos[i].addressInfo.provinceCode)
                || !validCredNum("", $scope.insuredInfos[i].addressInfo.cityCode)|| !validCredNum("", $scope.insuredInfos[i].addressInfo.countyCode) || !validCredNum("", $scope.insuredInfos[i].addressInfo.detailAddress))) {
                res['status'] = false;
                res['msg'] = '被保人通讯地址填写有误，请完善';
            } else if($scope.insuredInfos[i].addressInfo.detailAddress.length<5){
                res['status'] = false;
                res['msg'] = '被保人详细地址填写有误，请完善';
            } else if ($scope.insuredInfos[i].insuredMobile && !validCredNum("mobile", $scope.insuredInfos[i].insuredMobile)) {
                res['status'] = false;
                res['msg'] = '被保人手机号填写有误，请更正';
            } else if (!validCredNum("",$scope.insuredInfos[i].jobClass1) || !validCredNum("",$scope.insuredInfos[i].jobClass2)) {
                res['status'] = false;
                res['msg'] = '被保人职业类别不完整，请更正';
            } else if ((!(validCredNum("postCode", $scope.insuredInfos[i].addressInfo.postCode))) ||
                (validCredNum("",$scope.insuredInfos[i].addressInfo.regionPostCode) &&
                !($scope.insuredInfos[i].addressInfo.regionPostCode.indexOf(","+$scope.insuredInfos[i].addressInfo.postCode.substr(0,4))>-1))){
                res['status'] = false;
                res['msg'] = '被保人邮编填写有误，请更正';
            }else if ($scope.insuredInfos[i].insuredMobile && !validCredNum("mobile", $scope.insuredInfos[i].insuredMobile)) {
                res['status'] = false;
                res['msg'] = '被保人手机号填写有误，请更正';
            } else if (!validCredNum("email", $scope.insuredInfos[i].insuredEmail)) {
                res['status'] = false;
                res['msg'] = '被保人电子邮箱填写有误，请更正';
            } else if($scope.insuredInfos[i].benefitInfos.length){
                var benefitRate = 0;//收益比例
                for(var j in $scope.insuredInfos[i].benefitInfos){
                    var benefitInfo = $scope.insuredInfos[i].benefitInfos[j];
                    console.info("受益人信息》。。。",benefitInfo)
                    if (!validCredNum("", benefitInfo.relation)) {
                        res['status'] = false;
                        res['msg'] = '受益人关系未选择，请更正';
                    }else if (!validCredNum("name", benefitInfo.name)) {
                        res['status'] = false;
                        res['msg'] = '受益人姓名填写有误（2-20位中英文），请更正';
                    } else if (typeof benefitInfo.certiType == "undefined" || benefitInfo.certiType == "0" || !benefitInfo.certiType) {
                        res['status'] = false;
                        res['msg'] = '请选择受益人证件类型';
                    } else if (!validCredNum(benefitInfo.certiType, benefitInfo.certiCode)) {
                        res['status'] = false;
                        res['msg'] = '受益人证件号码填写有误，请更正';
                    } else if (!validCredNum("",benefitInfo.certiValidDate)) {
                        res['status'] = false;
                        res['msg'] = '受益人证件起期填写有误，请更正';
                    } else if (formatDate10(benefitInfo.certiValidDate)>formatDate10(new Date())) {
                        res['status'] = false;
                        res['msg'] = '证件起期不能晚于当前日期，请更正';
                    } else if (benefitInfo.longTermFlag!='1' && !validCredNum("",benefitInfo.certiExpiryDate)) {
                        res['status'] = false;
                        res['msg'] = '受益人证件止期填写有误，请更正';
                    } else if (benefitInfo.longTermFlag!='1' && formatDate10(benefitInfo.certiExpiryDate)<formatDate10(new Date())) {
                        res['status'] = false;
                        res['msg'] = '证件止期不能早于当前日期，请更正';
                    } else if (!validCredNum("",benefitInfo.birthday)) {
                        res['status'] = false;
                        res['msg'] = '受益人出生日期填写有误，请更正';
                    } else if (benefitInfo.certiType == "1" && formatDate10(benefitInfo.birthday).replace(/-/g, "") != benefitInfo.certiCode.substring(6, 14)) {//受益人出生日期与证件校验
                        res['status'] = false;
                        res['msg'] = '受益人出生日期与证件号不符，请更正';
                    } else if (!validCredNum("",benefitInfo.sex)) {
                        res['status'] = false;
                        res['msg'] = '请选择受益人性别';
                    } else if (benefitInfo.certiType == "1" && !checkSex(benefitInfo.sex, benefitInfo.certiCode)) {//性别校验
                        res['status'] = false;
                        res['msg'] = '受益人性别与证件号不符，请更正';
                    } else if(!checkRoleSex(benefitInfo.relation,benefitInfo.sex)){
                        res['status'] = false;
                        res['msg'] = '受益人性别与所选角色不符，请更正';
                    } else if (!validCredNum("", benefitInfo.benefitRate)) {
                        res['status'] = false;
                        res['msg'] = '受益人受益比例填写有误，请完善';
                    } else if (benefitInfo.mobile && !validCredNum("mobile", benefitInfo.mobile)) {
                        res['status'] = false;
                        res['msg'] = '受益人手机号填写有误，请更正';
                    }
                    benefitRate +=parseInt(benefitInfo.benefitRate);
                    if(!res['status']){
                        break;
                    }
                }

                if(res['status'] && benefitRate!=100){
                    res['status'] = false;
                    if($scope.insuredInfos.length==1) {
                        res['msg'] = '被保人受益比例不等于100%，请更正';
                    }else{
                        res['msg'] = "第"+i+'被保人受益比例不等于100%，请更正';
                    }
                }

            }
            if(!res['status']){
                $scope.dialogTip(res['msg']);
                return res['status'];
            }
        }
        //TODO--加表单验证--结束
        //$scope.productSetItem('insuredInfos', $scope.insuredInfos);
        $scope.calculateInfo.insuredBirthday = formatDate10(new Date($scope.insuredInfos[0].insuredBirthday));
        $scope.calculateInfo.insuredSex = $scope.insuredInfos[0].insuredSex;
        //console.info("跳转被保人性别》。。。",$scope.calculateInfo.insuredSex);
        //重新处理被保人职业
        for(var i=0;i<$scope.insuredInfos.length;i++) {
            if(getCurrentAge($scope.insuredInfos[i].insuredBirthday,$scope.calculateInfo.insuredStartDate)<3) {
                $scope.insuredInfos[i].jobClass2 = "10170607";
                $scope.insuredInfos[i].jobClass2name = "学龄前儿童";
            }else{
                $scope.insuredInfos[i].jobClass2 = "10170596";
                $scope.insuredInfos[i].jobClass2name = "学生";
            }
        }
        $scope.prevModule2 = "2";
        $scope.$emit("prevModule2", $scope.prevModule2);
        localStorage.setItem('prevModule2',JSON.stringify($scope.prevModule2));
        $scope.nextModule = "7";
        return true;
    }
    //校验第三步
    function checkStep3(){
        //开始校验表单-----
        var res = {};
        res['status'] = true;//检查通过-true;否则-false
        res['msg'] = '';//返回错误信息
        //console.info("交费方式....",$scope.calculateInfo.chargePeriodValue)
        if (!validCredNum("",$scope.calculateInfo.coveragePeriodValue)) {//保险期间
            res['status'] = false;
            res['msg'] = '请选择保险期间';
        } else if (!validCredNum("",$scope.calculateInfo.sumAssured)) {//选择投保保额
            res['status'] = false;
            res['msg'] = '请选择保额';
        } else if (!validCredNum("",$scope.calculateInfo.chargePeriod)) {//选择交费方式
            res['status'] = false;
            res['msg'] = '请选择交费方式';
        } else if ($scope.calculateInfo.chargePeriod!="1" && !validCredNum("",$scope.renewalInfo.bankCode)) {//缴费银行
            res['status'] = false;
            res['msg'] = '请选择续保缴费银行';
        }else if ($scope.calculateInfo.chargePeriod!="1" && !validCredNum("",$scope.renewalInfo.cardNum)) {//缴费账号
            res['status'] = false;
            res['msg'] = '请填写正确的续期缴费账号';
        }
        if(!res['status']){
            $scope.dialogTip(res['msg']);
            return res['status'];
        }
        //结束校验表单-----
        if($scope.calculateInfo.calculateAmt==0){
            $scope.dialogTip("请正确选择投保计划,以便计算保费");
            return false;
        }
        $scope.productSetItem('showRenewalInfo', $scope.showRenewalInfo);
        $scope.prevModule3 = "7";
        $scope.$emit("prevModule3", $scope.prevModule3);
        localStorage.setItem('prevModule3',JSON.stringify($scope.prevModule3));
        $scope.nextModule = "10";
        //保存计划信息
        savePlanInfo();
        return true;
    }
    //校验第四步
    function checkStep4(){
        if(!$scope.agreeState) {
            $scope.dialogTip("请阅读相关协议并同意投保声明");
            return false;
        }
        if($scope.calculateInfo.chargePeriod=="1"){
            $scope.renewalInfo = {};
        }
        $scope.prevModule4 = "10";
        $scope.$emit("prevModule4", $scope.prevModule4);
        localStorage.setItem('prevModule4',JSON.stringify($scope.prevModule4));
        $scope.nextModule = "payOrder";
        return true;
    }
    if (!event) {
        return init();
    } else if (event.type == 'calculateInfo') {
        $scope.saveCalculateInfo();
    } else {
        return eval(event.type)(event.params);
    }
}
