function pro100392($scope, event, service) {
    var init = function () {

        if($scope.productBaseInfo){
            $scope.calculateAmt = $scope.productBaseInfo.minPremium;//保费
        }
        $scope.chargePeriod = "1";//缴费年限
        $scope.chargePeriodValue = "0";//缴费期间类型 0-无关 1-趸缴 2-缴至多少年 3-缴至多少岁 4-缴终身
        $scope.chargePeriodName = "一次交清";
        $scope.coveragePeriod = "2";//保障期间类型
        $scope.coveragePeriodValue = "1";//保障期间
        $scope.coveragePeriodName = "一年";//保障期间描述
        $scope.insuredMaxValue = 30;//保障期间最大值
        $scope.insuredStartDate = $scope.insuredStartDate?$scope.insuredStartDate:genNowDate(1);
        $scope.product_calculate_validate = true;//多试算条件验证试算
        $scope.benefitLevel=2;//默认保障计划1;展示保障责任
        $scope.benefitLevelName="黄金版";//默认保障计划1
        $scope.insuredBirthday = '';
        $scope.showCall = function () {
            $scope.callShow = true;
        };


        initCalculateInfo();
        //区分详情页与填单页加载产品信息
        if($scope.productBaseInfo) {
            //获取保险计划
            $scope.getPlanList();
            //获取保障责任
            $scope.changePlan($scope.benefitLevel);
        }
    };
    //保存计划信息
    $scope.savePlanInfo = function(){
        $scope.showPlanInfo = {};
        $scope.showPlanInfo.title = "保险责任";
        $scope.showPlanInfo.content = $scope.productBaseInfo.benefitLevels[$scope.calculateInfo.benefitLevel-1].benefitLiab;
    }
    //修改保障计划
    $scope.changePlan = function(benefitLevel){
        $scope.benefitLevel = benefitLevel;
        $scope.sumAssured = (benefitLevel-1)*100000;
        $scope.calculateInfo.sumAssured = (benefitLevel-1)*100000;
        $scope.calculateInfo.sumAssuredName = (benefitLevel-1)*10+"万元";
        $scope.sumAssuredName = (benefitLevel-1)*10+"万元";
        $scope.showPlanInfo = {};
        $scope.showPlanInfo.title = "保险责任";
        $scope.showPlanInfo.content = $scope.productBaseInfo.benefitLevels[$scope.calculateInfo.benefitLevel-1].benefitLiab;
        calculate();
    }
    //各类人员证件类型
    $scope.initCertiType=function(){
        $scope.holderCertiTypeList = getSpecCredList("1");//处理投保人证件类型
        $scope.insuredCertiTypeList = getSpecCredList("1,2,3,9,16");//处理被保人证件类型
    }

    $scope.getCoverageList = function(){};

    //获取保障计划列表
    $scope.getPlanList = function(){
        $scope.planList = [];
        $scope.planList.push({"value":"2","name":"黄金版"});
        $scope.planList.push({"value":"3","name":"铂金版"});
        $scope.planList.push({"value":"4","name":"钻石版"});
    };

    //保险计划弹出框
    $scope.popPlan = function(){
        if($scope.planList.length>0){//有保障年期数据列表
            $scope.planBox = true;
        }
    };

    //选择保险计划
    $scope.planChecked = function(code,name){
        $scope.planBox = false;
        $scope.benefitLevel = code;
        $scope.benefitLevelName = name;
        if($scope.calculateInfo) {
            $scope.calculateInfo.benefitLevel = $scope.benefitLevel;
            $scope.calculateInfo.benefitLevelName = name;
        }
        $scope.changePlan(code);
        //calculate();
    };
    //续期银行弹框
    $scope.popRenewalBank = function(){
        $scope.renewalBankBox = true;
    }
    //选择续期银行
    $scope.renewalBankChecked = function(code,name){
        $scope.renewalInfo.bankCode = code;
        $scope.renewalInfo.renewalBankName = name;
        $scope.renewalBankBox = false;
    };
    //修改性别
    $scope.changeSex = function(type,sex){
        if(type=="insured"){
            $scope.insuredSex = sex;
            $scope.calculateInfo.insuredSex = sex;
            calculate();
        }
    }
    //获取续期银行信息
    function getRenewalBanks(companyCode){
         return renewalBanks["C"+companyCode];
    }

    //多试算条件验证试算
    function productCalculateValid() {
        //校验年龄参数
        var validAgeParams = {
            "birthday":formatDate10(new Date($scope.calculateInfo.insuredBirthday)),
            "insuredStartDate":formatDate10(new Date($scope.calculateInfo.insuredStartDate)),
            "minInsuredAgeUnit":$scope.productBaseInfo.minInsuredAgeUnit,
            "minLAAge":$scope.productBaseInfo.minLAAge,
            "maxInsuredAgeUnit":$scope.productBaseInfo.maxInsuredAgeUnit,
            "maxLAAge":$scope.productBaseInfo.maxLAAge
        }

        var valide = true;
        if (!$scope.calculateInfo.insuredSex) {
            valide = false;
        }else if (!$scope.calculateInfo.insuredBirthday) {
            valide = false;
        }else if (!$scope.calculateInfo.chargePeriod) {
            valide = false;
        } else if (typeof $scope.calculateInfo.chargePeriodValue=='undefined') {
            valide = false;
        }else if(!$scope.calculateInfo.coveragePeriod){
            valide = false;
        }else if(!$scope.calculateInfo.coveragePeriodValue){
            valide = false;
        }else if(!$scope.calculateInfo.benefitLevel){
            valide = false;
        }/*else if(!calculateAge(validAgeParams)){
            valide = false;
        }*/
        console.info("试算条件---",$scope.calculateInfo.insuredSex,$scope.calculateInfo.insuredBirthday,$scope.calculateInfo.chargePeriod,
            $scope.calculateInfo.chargePeriodValue,$scope.calculateInfo.coveragePeriod,$scope.calculateInfo.coveragePeriodValue,$scope.calculateInfo.benefitLevel,valide);

        return valide;
    }

    //根据选择条件进行试算
    var calculate = function (params) {
        if(!productCalculateValid()){
            /*console.info("试算条件不满足,不进行试算.....");
            $scope.calculateAmt = 0;*/
            return;
        }
        //组试算条件
        var trialProductList = [];
        trialProductList = [
            {
                "productId": $scope.calculateInfo.productId,
                "parameters":
                "gender="+$scope.calculateInfo.insuredSex+";birthday="+formatDate10(new Date($scope.calculateInfo.insuredBirthday)).replace(/-/g,"")+
                ";chargePeriod="+$scope.calculateInfo.chargePeriod+";chargeYear="+$scope.calculateInfo.chargePeriodValue+
                ";coverageYear=" + $scope.calculateInfo.coveragePeriodValue+";coveragePeriod="+$scope.calculateInfo.coveragePeriod+
                ";benefitLevel=" + $scope.calculateInfo.benefitLevel
            }
        ];
        console.info("重新试算.....",trialProductList)
        $scope.calculateApi(trialProductList);
    };
    //试算基础信息，包括保费、保障年期、交费年期信息
    $scope.saveCalculateInfo = function() {
        $scope.calculateInfo.calculateAmt = $scope.calculateAmt;//保费
        console.info("生效日期....",$scope.insuredStartDate,$scope.calculateInfo.calculateAmt)
        calculatedInsuredDate($scope.calculateInfo.insuredStartDate);
        $scope.savePlanInfo();
    };

    //判断产品投保年龄是否满足
    $scope.calculateAge = function(params) {
        //ageUnit 1 岁 2 天
        if(params.insuredStartDate){

        }else{//因生效日与被保人填写信息顺序不一样,故为空时设定各自产品的最初生效日
            $scope.calculateInfo.insuredStartDate = genNowDate(1);
            params.insuredStartDate = $scope.calculateInfo.insuredStartDate;
        }

        if(checkAgeInfo(params)){
            $scope.calculateInfo.insuredBirthday = params.birthday;
            calculate();
            return true;
        }else{
            return false;
        }

        /*var age = getCurrentAge(formatDate10(new Date(params.birthday)), formatDate10(new Date(params.insuredStartDate)));
        var days = getDaysFromBirth(formatDate10(new Date(params.birthday)), formatDate10(new Date(params.insuredStartDate)));
        //最小年龄
        if (params.minInsuredAgeUnit == "1") {
            if (age < parseInt(params.minLAAge)) {
                return false;
            }
        } else if (params.minInsuredAgeUnit == "2") {
            if (days < parseInt(params.minLAAge)) {
                return false;
            }
        }
        //最大年龄
        if (params.maxInsuredAgeUnit == "1") {
            if (age > parseInt(params.maxLAAge)) {
                return false;
            }
        } else if (params.maxInsuredAgeUnit == "2") {
            if (days > parseInt(params.maxLAAge)) {
                return false;
            }
        }
        calculate();
        return true;*/
    }

    //初始产品基础信息
    var initProductBaseInfo = function(){
        $scope.productBaseInfo = $scope.productGetItem("productBaseInfo");
    }
    //初始化试算信息,减少第三步加载信息处理
    var initCalculateInfo = function(optType){
        if($scope.productGetItem("calculateInfo")){
            $scope.calculateInfo = $scope.productGetItem("calculateInfo");
            $scope.calculateInfo.productId = $scope.productId;
            $scope.calculateInfo.insuredSex = $scope.calculateInfo.insuredSex?$scope.calculateInfo.insuredSex:"F";
            var minFeeBirthday = addmulYear(formatDate10(new Date()),-18);
            minFeeBirthday = addmulDate(minFeeBirthday,3);
            $scope.calculateInfo.insuredBirthday = $scope.calculateInfo.insuredBirthday?$scope.calculateInfo.insuredBirthday:new Date(minFeeBirthday);
            $scope.calculateInfo.insuredStartDate = $scope.calculateInfo.insuredStartDate?$scope.calculateInfo.insuredStartDate:genNowDate(1);
            $scope.calculateInfo.insuredStartDate = new Date($scope.calculateInfo.insuredStartDate);
            $scope.calculateInfo.chargePeriod = $scope.chargePeriod;
            $scope.calculateInfo.chargePeriodValue = $scope.chargePeriodValue;
            $scope.calculateInfo.chargePeriodName = $scope.chargePeriodName;
            $scope.calculateInfo.coveragePeriod = $scope.calculateInfo.coveragePeriod?$scope.calculateInfo.coveragePeriod:$scope.coveragePeriod;
            $scope.calculateInfo.coveragePeriodValue = $scope.calculateInfo.coveragePeriodValue?$scope.calculateInfo.coveragePeriodValue:$scope.coveragePeriodValue;
            $scope.calculateInfo.coveragePeriodName = $scope.calculateInfo.coveragePeriodName?$scope.calculateInfo.coveragePeriodName:$scope.coveragePeriodName;
            $scope.calculateInfo.benefitLevel = $scope.calculateInfo.benefitLevel?$scope.calculateInfo.benefitLevel:$scope.benefitLevel;
            $scope.calculateInfo.benefitLevelName = $scope.calculateInfo.benefitLevelName?$scope.calculateInfo.benefitLevelName:$scope.benefitLevelName;
            $scope.calculateInfo.sumAssured = $scope.calculateInfo.sumAssured?$scope.calculateInfo.sumAssured:$scope.sumAssured;
            $scope.calculateInfo.sumAssuredName = $scope.calculateInfo.sumAssuredName?$scope.calculateInfo.sumAssuredName:$scope.sumAssuredName;
        }else{
            $scope.calculateInfo = {};
        }
    }

    //计算保障终止时间
    function calculatedInsuredDate(startDate) {
        if(typeof startDate == 'string'){
            $scope.calculateInfo.insuredStartDate = formatDate10(new Date(startDate));
            $scope.calculateInfo.insuredEndDate = calInsuredDate(formatDate10(new Date(startDate)), $scope.calculateInfo.coveragePeriod, $scope.calculateInfo.coveragePeriodValue);
        }else{
            if($scope.calculateInfo.coveragePeriodValue) {
                $scope.calculateInfo.insuredStartDate = formatDate10(startDate);
                $scope.calculateInfo.insuredEndDate = calInsuredDate(formatDate10(startDate), $scope.calculateInfo.coveragePeriod, $scope.calculateInfo.coveragePeriodValue);
            }else{
                $scope.calculateInfo.insuredEndDate="";
            }
        }
        $scope.insuredEndDate = $scope.calculateInfo.insuredEndDate;
        $scope.productSetItem("calculateInfo",$scope.calculateInfo);
    }
    //判断生效日是否有效
    $scope.valideInsuredStartDate = function(insuredStartDate,sourceInfo){
        var insuredStartBeginDate = genNowDate(1);
        var insuredStartEndDate =  addmulMonth(insuredStartBeginDate, 1);
        var transDate = formatDate10(insuredStartDate);
        if (transDate.length == 10 && transDate < insuredStartBeginDate) {
            insuredStartDate = new Date(insuredStartBeginDate);
            $scope.dialogTip("生效日不能早于：" + insuredStartBeginDate);
        } else if (transDate.length == 10 && insuredStartEndDate < transDate) {
            insuredStartDate = new Date(insuredStartEndDate);
            $scope.dialogTip("生效日不能晚于：" + insuredStartEndDate);
        }
        if(sourceInfo){
            sourceInfo.insuredStartDate = insuredStartDate;
        }else{
            $scope.insuredStartDate = insuredStartDate;
        }
        calculatedInsuredDate(insuredStartDate);
    }

    //根据男女更改投被保人关系
    $scope.changeRelationShipIds = function (type,sourceInfo) {
        if(type=="holder") {//计算投被保人关系
            $scope.holderInsuredRel = getSpecSexRelaList(sourceInfo.holderSex,"1,2,3,4,5,6,7");
        }else if(type=="benefit"){//计算受益人被保人关系
            sourceInfo.benefitInsuredRel = getSpecSexRelaList(sourceInfo.holderSex,"1,2,3,4,5,6,7");
        }
    };

    //初始化投保人信息
    function initHolderInfo(optType) {
        $scope.holderCertiTypeList = getSpecCredList("1");//处理投保人证件类型
        if ($scope.saveData.holderInfo) {
            $scope.holderInfo = $scope.productGetItem('holderInfo');
            $scope.holderInfo.holderBirthday = new Date($scope.holderInfo.holderBirthday);

        } else {
            $scope.holderInfo = {};
            $scope.holderInfo.addressInfo = {};

        }
        //获取投被保人关系
        $scope.holderInsuredRel = getSpecSexRelaList($scope.holderInfo.holderSex || "", "1,2,3,4,5,6,7");
    }
    //初始化被保人信息
    function initInsuredInfo(optType) {
        //处理被保人证件类型
        $scope.insuredCertiTypeList = getSpecCredList("1,2,3,9,16");
        if ($scope.saveData.insuredInfos) {
            $scope.insuredInfos = $scope.productGetItem('insuredInfos');
            for(var i=0;i<$scope.insuredInfos.length;i++) {
                $scope.insuredInfos[i].insuredBirthday = new Date($scope.insuredInfos[i].insuredBirthday);
                $scope.insuredBirthday = formatDate10($scope.insuredInfos[i].insuredBirthday);
                if(optType!="showInfo"){
                    //获取职业信息
                    $scope.getJobLevel("", $scope.productId, "1",0,$scope.insuredInfos[0]);//一级职业
                    if ($scope.insuredInfos[0].jobClass1) {
                        $scope.getJobLevel($scope.insuredInfos[0].jobClass1, $scope.productId, "2",0,$scope.insuredInfos[0]);//二级职业
                    }
                }else{
                    $scope.insuredInfos[i].addressDetail = $scope.insuredInfos[i].addressInfo.provinceName + '-' + $scope.insuredInfos[i].addressInfo.cityName + '-' + $scope.insuredInfos[i].addressInfo.detailAddress;
                    $scope.insuredInfos[i].jobClassName = $scope.insuredInfos[i].jobClass1name + '-' + $scope.insuredInfos[i].jobClass2name;
                }
                calculate();
            }
        } else {
            $scope.insuredInfos = [{}];
            $scope.insuredInfos[0].addressInfo = {};
            $scope.insuredInfos[0].validAgeFlag = true;
            //获取职业信息
            $scope.getJobLevel("", $scope.productId, "1",0,$scope.insuredInfos[0]);//一级职业
            if ($scope.insuredInfos[0].jobClass1) {
                $scope.getJobLevel($scope.insuredInfos[0].jobClass1, $scope.productId, "2",0,$scope.insuredInfos[0]);//二级职业
            }
        }

    }
    //初始投保投保计划
    function initInsurePlan(){
        $scope.showPlanInfo = $scope.productGetItem('showPlanInfo');
    }
    //扩展信息
    function initExtraInfo(){
        $scope.extraInfo = $scope.productGetItem('extraInfo');
    }
    //初始第一步信息
    function initStep2(){
        console.info("......各自投保人信息.....");
        initHolderInfo();
        initInsuredInfo();
        initCalculateInfo();//初始化投保人信息,续期账户信息使用
    }
    //初始第二步信息
    function initStep3(){
        console.info("......各自被保人信息.....");
        initCalculateInfo();//初始化投保人信息,续期账户信息使用
        initInsuredInfo();
    }
    //初始第三步信息
    function initStep1(){
        console.info("......各自投保计划信息.....");
        $scope.getPlanList();//获取计划信息
        $scope.getCoverageList($scope.insuredBirthday);//初始化保障年期
        initProductBaseInfo();
        initCalculateInfo();//初始化投保人信息,续期账户信息使用
        //处理页面展示日期格式
        //$scope.calculateInfo.insuredStartDate = new Date($scope.calculateInfo.insuredStartDate);
        calculatedInsuredDate($scope.calculateInfo.insuredStartDate);
        //initExtraInfo();//扩展信息
    }
    //初始化第四步信息
    function initStep4(){
        //showInfo 表示最后一步,有些列表信息无需重新加载 如机构、银行、职业
        initHolderInfo("showInfo");//初始投保人信息
        initInsuredInfo("showInfo");//初始被保人信息
        initCalculateInfo("showInfo");//初始化试算信息
        initInsurePlan("showInfo");//初始化保障责任
        $scope.initProductBaseInfo();
        $scope.transZoneTo10();//转换各自对象的时间格式
        console.info("展示信息.....",$scope.calculateInfo)
        //initExtraInfo();//扩展信息
        $scope.showLink= "我已阅读并了解关于本产品的"+
            "<a ng-click=\"goToShow(0)\">《产品须知》</a>及" +
            "<a ng-click=\"goToShow(3)\">《产品条款》</a>，同意<a ng-click=\"goToShow(2)\">《投保声明》</a>并如实做出<a ng-click=\"goToShow(4)\">《健康告知》</a>。";
    }
    //校验第一步
    function checkStep2(){
        console.info("验证表单1信息.....");
        //TODO--加表单验证--开始
        var res = {};
        res['status'] = true;//检查通过-true;否则-false
        res['msg'] = '';//返回错误信息
        console.info("出生日期。。。。",formatDate10(new Date($scope.holderInfo.holderBirthday)))
        if (!validCredNum("name", $scope.holderInfo.holderName)) {
            res['status'] = false;
            res['msg'] = '投保人姓名填写有误（2-20位中英文），请更正';
        } else if (typeof $scope.holderInfo.certiType == "undefined" || $scope.holderInfo.certiType == "0" || !$scope.holderInfo.certiType) {
            res['status'] = false;
            res['msg'] = '请选择投保人证件类型';
        } else if (!validCredNum($scope.holderInfo.certiType, $scope.holderInfo.certiCode)) {
            res['status'] = false;
            res['msg'] = '投保人证件号码填写有误，请更正';
        } else if (typeof $scope.holderInfo.holderBirthday == "undefined" || $scope.holderInfo.holderBirthday == "") {
            res['status'] = false;
            res['msg'] = '投保人出生日期填写有误，请更正';
        } else if ($scope.holderInfo.certiType == "1" && formatDate10($scope.holderInfo.holderBirthday).replace(/-/g, "") != $scope.holderInfo.certiCode.substring(6, 14)) {//投保人出生日期与证件校验
            res['status'] = false;
            res['msg'] = '投保人出生日期与证件号不符，请更正';
        } else if (getCurrentAge(formatDate10(new Date($scope.holderInfo.holderBirthday)))< 18) {
                res['status'] = false;
                res['msg'] = '投保人需年满18周岁';
        } else if (typeof $scope.holderInfo.holderSex == "undefined" || $scope.holderInfo.holderSex == "") {
            res['status'] = false;
            res['msg'] = '请选择投保人性别';
        } else if ($scope.holderInfo.certiType == "1" && !checkSex($scope.holderInfo.holderSex, $scope.holderInfo.certiCode)) {//性别校验
            res['status'] = false;
            res['msg'] = '投保人性别与证件号不符，请更正';
        } else if (!validCredNum("mobile", $scope.holderInfo.holderMobile)) {
            res['status'] = false;
            res['msg'] = '投保人手机号码填写有误（11位数字），请更正';
        } else if (!validCredNum("email", $scope.holderInfo.holderEmail)) {
            res['status'] = false;
            res['msg'] = '投保人电子邮箱填写有误，请更正';
        } else if ($scope.insuredInfos) {
            for(var i in $scope.insuredInfos) {
                console.info($scope.insuredInfos[i].relationship);
                if(!validCredNum("relation", $scope.insuredInfos[i].relationship)) {
                    res['status'] = false;
                    res['msg'] = '请选择投被保人关系';
                    break ;
                }
            }

        }
        if(!res['status']){
            $scope.dialogTip(res['msg']);
            return res['status'];
        }
        //TODO--加表单验证--结束
        console.info("修改关系后多被保人。。。。。",$scope.insuredInfos);
        $scope.calculateInfo.holderName = $scope.holderInfo.holderName;

        for(var i=0;i<$scope.insuredInfos.length;i++) {
            if($scope.insuredInfos[i].relationship==1){
                $scope.relationshipChange("holder",$scope.insuredInfos[i].relationship,$scope.holderInfo,$scope.insuredInfos[i]);
            }
        }

        $scope.nextModule = "3";
        $scope.prevModule2 = "3";
        $scope.$emit("prevModule2", $scope.prevModule2);
        localStorage.setItem('prevModule2',JSON.stringify($scope.prevModule2));
        return true;
    }
    //校验第二步
    function checkStep3(){
        console.info("验证表单2信息.....");
        //TODO--加表单验证--开始
        var res = {};
        res['status'] = true;//检查通过-true;否则-false
        res['msg'] = '';//返回错误信息
        for(var i in $scope.insuredInfos) {
            if (!validCredNum("name", $scope.insuredInfos[i].insuredName)) {
                res['status'] = false;
                res['msg'] = '被保人姓名填写有误（2-20位中英文），请更正';
            } else if (typeof $scope.insuredInfos[i].certiType == "undefined" || $scope.insuredInfos[i].certiType == "0" || !$scope.insuredInfos[i].certiType) {
                res['status'] = false;
                res['msg'] = '请选择被保人证件类型';
            } else if (!validCredNum($scope.insuredInfos[i].certiType, $scope.insuredInfos[i].certiCode)) {
                res['status'] = false;
                res['msg'] = '被保人证件号码填写有误，请更正';
            } else if (!validCredNum("",$scope.insuredInfos[i].insuredBirthday)) {
                res['status'] = false;
                res['msg'] = '被保人出生日期填写有误，请更正';
            } else if ($scope.insuredInfos[i].certiType == "1" && formatDate10($scope.insuredInfos[i].insuredBirthday).replace(/-/g, "") != $scope.insuredInfos[i].certiCode.substring(6, 14)) {//被保人出生日期与证件校验
                res['status'] = false;
                res['msg'] = '被保人出生日期与证件号不符，请更正';
            } else if (!$scope.validInsuredAge($scope.insuredInfos[i])){
                return false;
            } else if (!$scope.insuredInfos[i].validAgeFlag) {
                res['status'] = false;
                res['msg'] = '被保人年龄无效，请更正';
            } else if (!validCredNum("",$scope.insuredInfos[i].insuredSex)) {
                res['status'] = false;
                res['msg'] = '请选择被保人性别';
            } else if ($scope.insuredInfos[i].certiType == "1" && !checkSex($scope.insuredInfos[i].insuredSex, $scope.insuredInfos[i].certiCode)) {//性别校验
                res['status'] = false;
                res['msg'] = '被保人性别与证件号不符，请更正';
            } else if ($scope.insuredInfos[i].insuredMobile && !validCredNum("mobile", $scope.insuredInfos[i].insuredMobile)) {
                res['status'] = false;
                res['msg'] = '被保人手机号填写有误，请更正';
            }
            if(!res['status']){
                $scope.dialogTip(res['msg']);
                return res['status'];
            }
        }
        //TODO--加表单验证--结束
        //$scope.productSetItem('insuredInfos', $scope.insuredInfos);
        $scope.calculateInfo.insuredBirthday = formatDate10(new Date($scope.insuredInfos[0].insuredBirthday));
        $scope.calculateInfo.insuredSex = $scope.insuredInfos[0].insuredSex;

        $scope.nextModule = "3";
        $scope.prevModule3 = "3";
        $scope.$emit("prevModule3", $scope.prevModule3);
        localStorage.setItem('prevModule3',JSON.stringify($scope.prevModule3));
        return true;
    }
    //校验第三步
    function checkStep1(){
        //开始校验表单-----
        var res = {};
        res['status'] = true;//检查通过-true;否则-false
        res['msg'] = '';//返回错误信息
        if (!validCredNum("",$scope.calculateInfo.benefitLevel)) {//保险期间
            res['status'] = false;
            res['msg'] = '请选择保险计划';
        }
        if(!res['status']){
            $scope.dialogTip(res['msg']);
            return res['status'];
        }
        $scope.prevModule1 = "9";
        $scope.$emit("prevModule1", $scope.prevModule1);
        localStorage.setItem('prevModule1',JSON.stringify($scope.prevModule1));
        $scope.nextModule = "3";
        return true;
    }
    //校验第四步
    function checkStep4(){
        if(!$scope.agreeState) {
            $scope.dialogTip("请阅读相关协议并同意投保声明");
            return false;
        }
        if($scope.calculateInfo.chargePeriod=="1"){
            $scope.renewalInfo = {};
        }
        $scope.prevModule4 = "4";
        $scope.$emit("prevModule4", $scope.prevModule4);
        localStorage.setItem('prevModule4',JSON.stringify($scope.prevModule4));
        $scope.nextModule = "payOrder";
        return true;
    }
    if (!event) {
        return init();
    } else if (event.type == 'calculateInfo') {
        //$scope.saveCalculateInfo();
    } else {
        return eval(event.type)(event.params);
    }
}
