function pro100422($scope, event, service) {
    var init = function () {
        $scope.calculateAmt = 0;//保费
        $scope.chargePeriod = "1";//缴费年限
        $scope.chargePeriodValue = "0";//缴费期间类型 0-无关 1-趸缴 2-缴至多少年 3-缴至多少岁 4-缴终身
        $scope.coveragePeriod = "5";//保障期间类型
        $scope.coveragePeriodValue = "";//保障期间
        $scope.chargeInterval = "0";//频率趸交

        $scope.product_calculate_validate = true;//多试算条件验证试算

        $scope.$on('birthday', function (event, msg) {
            //alert('进入监听方法'+msg)
        });
        $scope.insuredBirthday = '';
        $scope.showCall = function () {
            $scope.callShow = true;
        };
        //保障期间集合
        $scope.coveragePeriods = [{"code":"1","name":"1天"},{"code":"3","name":"3天"},{"code":"5","name":"5天"},{"code":"10","name":"10天"}];
        //是否试算过
        if($scope.calculateInfo){
            $scope.insuredStartDate = $scope.calculateInfo.insuredStartDate||genNowDate(1);
            $scope.coveragePeriodValue = $scope.calculateInfo.coveragePeriodValue||"";
            $scope.insuredEndDate = $scope.calculateInfo.insuredEndDate||"";
        }else{
            $scope.insuredStartDate = genNowDate(1);
        }
        $scope.insuredStartDate = new Date($scope.insuredStartDate);
        //初始化计划信息
        savePlanInfo();
    };

    //保险期间弹出框
    $scope.insurePeriod = function(){
        $scope.insurePeriodBox = true;
    };

    $scope.insurePeriodChecked = function(code){
        $scope.insurePeriodBox = false;
        $scope.insurePeriodValue = code;
    };

    //基本保额弹出框
    $scope.baseCoverage = function(){
        $scope.baseCoverageBox = true;
    };

    $scope.baseCoverageChecked = function(code){
        $scope.baseCoverageBox = false;
        $scope.baseCoverageValue = code;
    };

    //交费方式弹出框
    $scope.payment = function(){
        $scope.paymentBox = true;
    };

    $scope.paymentChecked = function(code){
        $scope.paymentBox = false;
        $scope.paymentValue = code;
    };

    //多试算条件验证试算
    function productCalculateValidate() {
        if ("" == $scope.insuredBirthday) {
            $scope.dialogTip("请选择被保人出生日期");
            return false;
        } else if ($scope.unit == "") {
            $scope.dialogTip("请选择投保份数");
            return false;
        }
        return true;
    }

    //选择计划
    var calculate = function (params) {
        if($scope.coveragePeriodValue==""){
            return;
        }

        service['adbService'].getResult(
            {},
            $scope.setService("I181011",  {
                "trialProductList": [
                    {
                        "productId": $scope.productId,
                        "parameters": "coverageYear=" + $scope.coveragePeriodValue+";coveragePeriod="+$scope.coveragePeriod
                    }
                ]
            }),
            function (json) {
                if (json.header.istatus == '-99'){
                    $scope.gotoApp('jsRefreshCookie');
                }
                else if (json.header.istatus == '1') {
                    var calculateAmt = json.data.trialProductList[0].premium;
                    $scope.calculateAmt = calculateAmt;

                    saveCalculateInfo();//保存试算信息
                    savePlanInfo();
                } else {
                    // error message
                    //$scope.loginError = json.msg;
                }
            },
            function (error) {
                // error message
            }
        );
    };
    //试算基础信息，包括保费、保障年期、交费年期信息
    function saveCalculateInfo() {
        var calculateInfo = {};
        calculateInfo.productId = $scope.productId;
        calculateInfo.calculateAmt = $scope.calculateAmt;//保费
        calculateInfo.coveragePeriodValue = $scope.coveragePeriodValue;//保障期间
        calculateInfo.coveragePeriod = $scope.coveragePeriod;//保障类型
        calculateInfo.insuredBirthday = $scope.insuredBirthday;
        calculateInfo.insuredStartDate = $scope.insuredStartDate;
        calculateInfo.chargePeriod = $scope.chargePeriod;
        calculateInfo.chargePeriodValue = $scope.chargePeriodValue;
        calculateInfo.chargeInterval = $scope.chargeInterval;
        calculateInfo.unit = "1";
        $scope.calculateInfo = calculateInfo;//保存试算信息
        calculatedInsuredDate($scope.insuredStartDate);
        $scope.productSetItem("calculateInfo",$scope.calculateInfo);

    }
    //计算保障终止时间
    function calculatedInsuredDate(startDate) {
        if(typeof startDate == 'string'){
            $scope.calculateInfo.insuredStartDate = formatDate10(new Date(startDate));
            $scope.calculateInfo.insuredEndDate = calInsuredDate(formatDate10(new Date(startDate)), $scope.calculateInfo.coveragePeriod, $scope.calculateInfo.coveragePeriodValue);
        }else{
            if($scope.calculateInfo.coveragePeriodValue) {
                $scope.calculateInfo.insuredStartDate = formatDate10(startDate);
                $scope.calculateInfo.insuredEndDate = calInsuredDate(formatDate10(startDate), $scope.calculateInfo.coveragePeriod, $scope.calculateInfo.coveragePeriodValue);
            }else{
                $scope.calculateInfo.insuredEndDate="";
            }
        }
        $scope.insuredEndDate = $scope.calculateInfo.insuredEndDate;
        $scope.productSetItem("calculateInfo",$scope.calculateInfo);
    }


    //保存计划信息
    function savePlanInfo() {
        $scope.showPlanInfo = {};
        $scope.showPlanInfo.title = "保险责任";
        $scope.showPlanInfo.content = $scope.productBaseInfo.benefitLevels[0].benefitLiab;
        $scope.productSetItem("showPlanInfo",$scope.showPlanInfo);
        //结果页计划
        $scope.insurePlan = {};
        $scope.insurePlan.coverageYear = $scope.coveragePeriodValue+"天";
        $scope.productSetItem("insurePlan",$scope.insurePlan);
    }

    //判断产品投保年龄是否满足
    function calculateAge(params) {
        //ageUnit 1 岁 2 天
        var age = getCurrentAge(params.birthday, params.insuredStartDate);
        var days = getDaysFromBirth(params.birthday, params.insuredStartDate);
        //最小年龄
        if (params.minInsuredAgeUnit == "1") {
            if (age < parseInt(params.minLAAge)) {
                return false;
            }
        } else if (params.minInsuredAgeUnit == "2") {
            if (days < parseInt(params.minLAAge)) {
                return false;
            }
        }
        //最大年龄
        if (params.maxInsuredAgeUnit == "1") {
            if (age > parseInt(params.maxLAAge)) {
                return false;
            }
        } else if (params.maxInsuredAgeUnit == "2") {
            if (days > parseInt(params.maxLAAge)) {
                return false;
            }
        }
        return true;
    }
    if (!event) {
        return init();
    } else if (event.type == 'calculateInfo') {
        saveCalculateInfo();
    } else {
        return eval(event.type)(event.params);
    }
}
