function pro990002($scope,event,service) {
    var init = function () {
        $scope.showJobRange = "1-2类职业";//职业类别范围描述
        $scope.showAgeRange ="18周岁-60周岁";

        $scope.calculateAmt = 0;//保费
        $scope.chargePeriod = "1";//缴费年限
        $scope.chargePeriodValue = "0";//缴费期间类型 0-无关 1-趸缴 2-缴至多少年 3-缴至多少岁 4-缴终身
        $scope.chargePeriodName = "一次交清";

        $scope.coveragePeriod = "2";//保障期间类型
        $scope.coveragePeriodValue = "1";//保障期间(1年)
        $scope.coveragePeriodName = "一年";//保障期间描述

        $scope.jobLevelCategray = "1,2"; //职业类别
        //被保人信息
        $scope.insuredAgeIndex = '0';
        $scope.insuredMaxValue = 30;//保障期间最大值
        $scope.insuredStartDate = $scope.insuredStartDate?$scope.insuredStartDate:genNowDate(1);

        //$scope.benefitLevel= "1";
        $scope.product_calculate_validate = true;//多试算条件验证试算
        initProductBaseInfo();
        $scope.showCall = function () {
            $scope.callShow = true;
        };
        $scope.getEnableAgeList();

        initCalculateInfo();
        calculate();
        //区分详情页与填单页加载产品信息
        if($scope.productBaseInfo) {
            initProductBaseInfo();
            //$scope.getCoveragePeriodList(); 保险期间
            $scope.getEnableAgeList();
            //获取保障责任
            $scope.savePlanInfo();
        }
    };

    //获取年龄选择返回
    $scope.getEnableAgeList = function(){
        $scope.enableAgeList = [];
        $scope.enableAgeList.push({value:"1",name:"18周岁-60周岁",minAge:"18",minAgeUnit:"1",maxAge:"60",maxAgeUnit:"1"});
    }
    //初始第一步信息
    function initStep1(){
        console.info("----------初始化投保信息-------------");
        $scope.savePlanInfo();
        initProductBaseInfo();//产品信息
        initCalculateInfo();
    }
    //校验第一步
    function checkStep1(){
        console.info("----------校验第一步-------------");
        var res = {};
        res['status'] = true;//检查通过-true;否则-false
        res['msg'] = '';//返回错误信息
        if(!res['status']){
            $scope.dialogTip(res['msg']);
            return res['status'];
        }
        $scope.prevModule1 = "19";
        $scope.$emit("prevModule1", $scope.prevModule1);
        localStorage.setItem('prevModule1',JSON.stringify($scope.prevModule1));
        $scope.nextModule = "12"; //下一个模板
        return true;
    }
    //初始化第二步信息
    function initStep2() {
        initProductBaseInfo();//产品信息
        initHolderInfo(); //初始化投保人信息
        initInsuredInfo(); //初始化被保人信息
        initCalculateInfo();
    }
    //校验第二步
    function checkStep2(){
        console.info("----------校验第二步-------------");
        var res = {};
        res['status'] = true;//检查通过-true;否则-false
        res['msg'] = '';//返回错误信息
        if (!validCredNum("name", $scope.holderInfo.holderName)) {
            res['status'] = false;
            res['msg'] = '投保人姓名填写有误（2-20位中英文），请更正';
        } else if (typeof $scope.holderInfo.certiType == "undefined" || $scope.holderInfo.certiType == "0" || $scope.holderInfo.certiType == null) {
            res['status'] = false;
            res['msg'] = '请选择投保人证件类型';
        } else if (!validCredNum($scope.holderInfo.certiType, $scope.holderInfo.certiCode)) {
            res['status'] = false;
            res['msg'] = '投保人证件号码填写有误，请更正';
        } else if (typeof $scope.holderInfo.holderBirthday == "undefined" || $scope.holderInfo.holderBirthday == "") {
            res['status'] = false;
            res['msg'] = '投保人出生日期填写有误，请更正';
        } else if ($scope.holderInfo.certiType == "1" && formatDate10($scope.holderInfo.holderBirthday).replace(/-/g, "") != $scope.holderInfo.certiCode.substring(6, 14)) {//投保人出生日期与证件校验
            res['status'] = false;
            res['msg'] = '投保人出生日期与证件号不符，请更正';
        } else if (getCurrentAge(formatDate10(new Date($scope.holderInfo.holderBirthday)),genNowDate(1))< 18) {
            //年龄判断
            res['status'] = false;
            res['msg'] = '投保人需年满18周岁';
        } else if (typeof $scope.holderInfo.holderSex == "undefined" || $scope.holderInfo.holderSex == "") {
            res['status'] = false;
            res['msg'] = '请选择投保人性别';
        } else if ($scope.holderInfo.certiType == "1" && !checkSex($scope.holderInfo.holderSex, $scope.holderInfo.certiCode)) {//性别校验
            res['status'] = false;
            res['msg'] = '投保人性别与证件号不符，请更正';
        } else if (!validCredNum("mobile", $scope.holderInfo.holderMobile)) {
            res['status'] = false;
            res['msg'] = '投保人手机号码填写有误（11位数字），请更正';
        } else if (!validCredNum("email", $scope.holderInfo.holderEmail)) {
            res['status'] = false;
            res['msg'] = '投保人电子邮箱填写有误，请更正';
        } else if ($scope.insuredInfos) {
            for(var i in $scope.insuredInfos) {
                if(!validCredNum("relation", $scope.insuredInfos[i].relationship)) {
                    res['status'] = false;
                    res['msg'] = '请选择投被保人关系';
                    break ;
                }
            }

        }
        if(!res['status']){
            $scope.dialogTip(res['msg']);
            return res['status'];
        }
        $scope.calculateInfo.holderName = $scope.holderInfo.holderName;
        for(var i=0;i<$scope.insuredInfos.length;i++) {
            if($scope.insuredInfos[i].relationship==1){
                $scope.relationshipChange("holder",$scope.insuredInfos[i].relationship,$scope.holderInfo,$scope.insuredInfos[i]);
            }
        }
        $scope.nextModule = "17";
        $scope.prevModule2 = "12";
        $scope.$emit("prevModule2", $scope.prevModule2);
        localStorage.setItem('prevModule2',JSON.stringify($scope.prevModule2));
        return true;
    }
    //初始第三步信息
    function initStep3(){
        initHolderInfo();
        initInsuredInfo();
        initCalculateInfo();
    }
    //校验第三步
    function checkStep3(){
        console.info("----------校验第三步-------------");
        var res = {};
        res['status'] = true;//检查通过-true;否则-false
        res['msg'] = '';//返回错误信息
        for(var i in $scope.insuredInfos) {
            if (!validCredNum("name", $scope.insuredInfos[i].insuredName)) {
                res['status'] = false;
                res['msg'] = '被保人姓名填写有误（2-20位中英文），请更正';
            } else if (typeof $scope.insuredInfos[i].certiType == "undefined" || $scope.insuredInfos[i].certiType == "0" || $scope.insuredInfos[i].certiType == null) {
                res['status'] = false;
                res['msg'] = '请选择被保人证件类型';
            }else if($scope.insuredInfos[i].certiType == $scope.holderInfo.certiType && $scope.insuredInfos[i].certiCode == $scope.holderInfo.certiCode && $scope.insuredInfos[i].relationship !='1'){
                res['status'] = false;
                res['msg'] = '被保人和投保人为同一人，请更正';
            } else if (!validCredNum($scope.insuredInfos[i].certiType, $scope.insuredInfos[i].certiCode)) {
                res['status'] = false;
                res['msg'] = '被保人证件号码填写有误，请更正';
            } else if (!validCredNum("",$scope.insuredInfos[i].insuredBirthday)) {
                res['status'] = false;
                res['msg'] = '被保人出生日期填写有误，请更正';
            } else if ($scope.insuredInfos[i].certiType == "1" && formatDate10($scope.insuredInfos[i].insuredBirthday).replace(/-/g, "") != $scope.insuredInfos[i].certiCode.substring(6, 14)) {//被保人出生日期与证件校验
                res['status'] = false;
                res['msg'] = '被保人出生日期与证件号不符，请更正';
            } else if (!$scope.validInsuredAge($scope.insuredInfos[i])){
                return false;
            } else if (!validCredNum("",$scope.insuredInfos[i].insuredSex)) {
                res['status'] = false;
                res['msg'] = '请选择被保人性别';
            } else if(!checkSpouseSex($scope.insuredInfos[i].relationship,$scope.holderInfo.holderSex,$scope.insuredInfos[i].insuredSex)){
                res['status'] = false;
                res['msg'] = '被保人性别与投被保人关系不符，请更正';
            } else if ($scope.insuredInfos[i].certiType == "1" && !checkSex($scope.insuredInfos[i].insuredSex, $scope.insuredInfos[i].certiCode)) {//性别校验
                res['status'] = false;
                res['msg'] = '被保人性别与证件号不符，请更正';
            } else if ($scope.insuredInfos[i].insuredMobile && !validCredNum("mobile", $scope.insuredInfos[i].insuredMobile)) {
                res['status'] = false;
                res['msg'] = '被保人手机号填写有误，请更正';
            } else if (!validCredNum("",$scope.insuredInfos[i].jobClass1) || !validCredNum("",$scope.insuredInfos[i].jobClass2)) {
                res['status'] = false;
                res['msg'] = '被保人职业类别不完整，请更正';
            }
            if(!res['status']){
                $scope.dialogTip(res['msg']);
                return res['status'];
            }
        }
        $scope.productSetItem('insuredInfos', $scope.insuredInfos);
        $scope.calculateInfo.insuredBirthday = formatDate10(new Date($scope.insuredInfos[0].insuredBirthday));
        $scope.calculateInfo.insuredSex = $scope.insuredInfos[0].insuredSex;
        //根据校验通过信息再进行试算
        calculate();

        $scope.nextModule = "19";
        $scope.prevModule3 = "17";
        $scope.$emit("prevModule3", $scope.prevModule3);
        localStorage.setItem('prevModule3',JSON.stringify($scope.prevModule3));
        return true;
    }
    //初始化第四步信息
    function initStep4(){
        initHolderInfo("showInfo");//初始投保人信息
        initInsuredInfo("showInfo");//初始被保人信息
        initCalculateInfo("showInfo");//初始化试算信息
        initInsurePlan("showInfo");//初始化保障责任
        $scope.initProductBaseInfo();
        $scope.transZoneTo10();//转换各自对象的时间格式
        $scope.showLink= "我已阅读并了解关于本产品的"+
            "<a ng-click=\"goToShow(0)\">《产品须知》</a>及" +
            "<a ng-click=\"goToShow(3)\">《产品条款》</a>，同意<a ng-click=\"goToShow(2)\">《投保声明》</a>";
    }
    //校验第四步
    function checkStep4(){
        if(!$scope.agreeState) {
            $scope.dialogTip("请阅读相关协议并同意投保声明");
            return false;
        }
        if($scope.calculateInfo.chargePeriod=="1"){
            $scope.renewalInfo = {};
        }
        $scope.prevModule4 = "19";
        $scope.$emit("prevModule4", $scope.prevModule4);
        localStorage.setItem('prevModule4',JSON.stringify($scope.prevModule4));
        $scope.nextModule = "payOrder";
        return true;
    }
    //初始化投保人信息
    function initHolderInfo(optType) {
        $scope.holderCertiTypeList = getSpecCredList("1,3");//证件类型：身份证和护照
        if ($scope.saveData.holderInfo) {
            $scope.holderInfo = $scope.productGetItem('holderInfo');
            $scope.holderInfo.holderBirthday = new Date($scope.holderInfo.holderBirthday);
        } else {
            $scope.holderInfo = {};
            $scope.holderInfo.certiType = "1";
            $scope.holderInfo.addressInfo = {};
        }
        //获取投被保人关系
        $scope.holderInsuredRel = getSpecSexRelaList($scope.holderInfo.holderSex || "", "1,2,3,4,5,6,7");
    }
    //初始化被保人信息
    function initInsuredInfo(optType) {
        //处理被保人证件类型
        $scope.insuredCertiTypeList = getSpecCredList("1,3");//处理被保人证件类型
        if ($scope.saveData.insuredInfos) {
            $scope.insuredInfos = $scope.productGetItem('insuredInfos');
            for(var i=0;i<$scope.insuredInfos.length;i++) {
                $scope.insuredInfos[i].insuredBirthday = new Date($scope.insuredInfos[i].insuredBirthday);
                $scope.insuredBirthday = formatDate10($scope.insuredInfos[i].insuredBirthday);
                if(!$scope.insuredInfos[i].certiType){
                    $scope.insuredInfos[i].certiType = "1";
                }
                if(optType!="showInfo"){
                    //获取职业信息
                    $scope.getJobLevel("", $scope.productId, "1",0,$scope.insuredInfos[0],$scope.jobLevelCategray);//一级职业
                    if ($scope.insuredInfos[0].jobClass1) {
                        $scope.getJobLevel($scope.insuredInfos[0].jobClass1, $scope.productId, "2",0,$scope.insuredInfos[0],$scope.jobLevelCategray);//二级职业
                    }
                }else{
                    $scope.insuredInfos[i].jobClassName = $scope.insuredInfos[i].jobClass1name + '-' + $scope.insuredInfos[i].jobClass2name;
                }
            }
        } else {
            $scope.insuredInfos = [{}];
            $scope.insuredInfos[0].addressInfo = {};
            $scope.insuredInfos[0].certiType = "1";  //默认选中身份证
            $scope.insuredInfos[0].validAgeFlag = true;
            //获取职业信息
            $scope.getJobLevel("", $scope.productId, "1",0,$scope.insuredInfos[0],$scope.jobLevelCategray);//一级职业
            if ($scope.insuredInfos[0].jobClass1) {
                $scope.getJobLevel($scope.insuredInfos[0].jobClass1, $scope.productId, "2",0,$scope.insuredInfos[0],$scope.jobLevelCategray);//二级职业
            }
        }

    }
    //初始产品基础信息
    var initProductBaseInfo = function(){
        $scope.productBaseInfo = $scope.productGetItem("productBaseInfo");
    }
    //初始投保投保计划
    function initInsurePlan(){
        $scope.showPlanInfo = $scope.productGetItem('showPlanInfo');
    }
    //根据男女更改投被保人关系
    $scope.changeRelationShipIds = function (type,sourceInfo) {
        if(type=="holder") {//计算投被保人关系
            $scope.holderInsuredRel = getSpecSexRelaList(sourceInfo.holderSex,"1,2,3,4,5,6,7");
        }else if(type=="benefit"){//计算受益人被保人关系
            sourceInfo.benefitInsuredRel = getSpecSexRelaList("","1,2,3,4,5,6,7");
        }else if(type == 'insured'){
            sourceInfo.benefitInsuredRel = getSpecSexRelaList("","1,2,3,4,5,6,7");
        }
    };
    //判断生效日是否有效  controller中调用
    $scope.valideInsuredStartDate = function(insuredStartDate,sourceInfo){
        $scope.valideInsuredStartFlag = true;
        console.log("------------check--------------");
        var insuredStartBeginDate = genNowDate(1);
        //var insuredStartEndDate =  addmulMonth(insuredStartBeginDate, 3);
        var insuredStartEndDate =  addmulYear(insuredStartBeginDate, 1);
        var transDate = formatDate10(insuredStartDate);
        if (transDate.length == 10 && transDate < insuredStartBeginDate) {
            insuredStartDate = new Date(insuredStartBeginDate);
            $scope.dialogTip("生效日不能早于：" + insuredStartBeginDate);
            $scope.valideInsuredStartFlag = false;
        } else if (transDate.length == 10 && insuredStartEndDate < transDate) {
            insuredStartDate = new Date(insuredStartEndDate);
            $scope.dialogTip("生效日不能晚于：" + insuredStartEndDate);
            $scope.valideInsuredStartFlag = false;
        }
        if(sourceInfo){
            sourceInfo.insuredStartDate = insuredStartDate;
        }else{
            $scope.insuredStartDate = insuredStartDate;
        }
        calculatedInsuredDate(insuredStartDate);
        return $scope.valideInsuredStartFlag;
    }

    //判断产品投保年龄是否满足
    $scope.calculateAge = function(params) {
        if(calculateAge(params)){//年龄合法试算
            $scope.calculateInfo.insuredBirthday = params.birthday;
            return true;
        }else{//不合法不试算
            return false;
        }
    }
    //根据选择条件进行试算（这里条件只有计划）
    var calculate = function () {
        $scope.calculateAmt = $scope.productData[0];
        if(typeof $scope.calculateAmt == 'number'){
            $scope.calculateAmt = $scope.calculateAmt.toFixed(2);
        }else{
            $scope.calculateAmt = $scope.calculateAmt.concat('.00');
        }
        $scope.saveCalculateInfo();
    };
    //试算基础信息，包括保费、保障年期、交费年期信息
    $scope.saveCalculateInfo = function() {
        $scope.savePlanInfo();
        $scope.calculateInfo.calculateAmt = $scope.calculateAmt;//保费
        //固定保额
        $scope.calculateInfo.sumAssured=570000;
        $scope.calculateInfo.sumAssuredName = "57万元";
        //份数
        $scope.calculateInfo.unit=1;
        calculatedInsuredDate($scope.calculateInfo.insuredStartDate);
    };
    //保存计划信息
    $scope.savePlanInfo = function(){
        $scope.showPlanInfo = {};
        $scope.showPlanInfo.title = "保险责任";
        $scope.showPlanInfo.content = $scope.productBaseInfo.benefitLevels[0].benefitLiab;
        console.log($scope.showPlanInfo);
    }
    //计算保障终止时间
    function calculatedInsuredDate(startDate) {
        //$scope.calculateInfo.insuredStartDate = formatDate10(new Date(startDate));
        $scope.calculateInfo.insuredEndDate = calInsuredDate(formatDate10(new Date(startDate)), $scope.calculateInfo.coveragePeriod, $scope.calculateInfo.coveragePeriodValue);
    }

    //初始化试算信息,减少第三步加载信息处理
    var initCalculateInfo = function(optType){
        if($scope.productGetItem("calculateInfo")){
            $scope.calculateInfo = $scope.productGetItem("calculateInfo");
            $scope.calculateInfo.productId = $scope.productId;
            $scope.calculateInfo.insuredAgeIndex = $scope.calculateInfo.insuredAgeIndex?$scope.calculateInfo.insuredAgeIndex:$scope.insuredAgeIndex;
            $scope.calculateInfo.insuredStartDate = $scope.calculateInfo.insuredStartDate?$scope.calculateInfo.insuredStartDate:genNowDate(1);
            $scope.calculateInfo.insuredBirthday = $scope.calculateInfo.insuredBirthday?$scope.calculateInfo.insuredBirthday:getBirthdayByAgeInfo($scope.enableAgeList[$scope.calculateInfo.insuredAgeIndex],$scope.calculateInfo.insuredStartDate);
            //$scope.calculateInfo.insuredStartDate = new Date($scope.calculateInfo.insuredStartDate);
            $scope.calculateInfo.chargePeriod = $scope.chargePeriod;
            $scope.calculateInfo.chargePeriodValue = $scope.chargePeriodValue;
            $scope.calculateInfo.chargePeriodName = $scope.chargePeriodName;
            $scope.calculateInfo.coveragePeriod = $scope.calculateInfo.coveragePeriod?$scope.calculateInfo.coveragePeriod:$scope.coveragePeriod;
            $scope.calculateInfo.coveragePeriodValue = $scope.calculateInfo.coveragePeriodValue?$scope.calculateInfo.coveragePeriodValue:$scope.coveragePeriodValue;
            $scope.calculateInfo.coveragePeriodIndex = $scope.calculateInfo.coveragePeriodIndex?$scope.calculateInfo.coveragePeriodIndex:$scope.coveragePeriodIndex;
            $scope.calculateInfo.coveragePeriodName = $scope.calculateInfo.coveragePeriodName?$scope.calculateInfo.coveragePeriodName:$scope.coveragePeriodName;
            $scope.calculateInfo.benefitLevel = $scope.calculateInfo.benefitLevel?$scope.calculateInfo.benefitLevel:$scope.benefitLevel;
            $scope.calculateInfo.benefitLevelName = $scope.calculateInfo.benefitLevelName?$scope.calculateInfo.benefitLevelName:$scope.benefitLevelName;
            $scope.calculateInfo.sumAssured = $scope.calculateInfo.sumAssured?$scope.calculateInfo.sumAssured:$scope.sumAssured;
            $scope.calculateInfo.sumAssuredName = $scope.calculateInfo.sumAssuredName?$scope.calculateInfo.sumAssuredName:$scope.sumAssuredName;
        }else{
            $scope.calculateInfo = {};
        }
    }

    if (!event) {
        return init();
    } else if (event.type == 'calculateInfo') {
        //$scope.saveCalculateInfo();
    } else {
        return eval(event.type)(event.params);
    }
}