function pro990005($scope, event, service) {
    var init = function () {
        if($scope.productBaseInfo){
            $scope.calculateAmt = $scope.productBaseInfo.minPremium.toFixed(2);;//保费
        }
        $scope.showJobRange = "1-4类职业";//职业类别范围描述
        $scope.showBuyRange = "限购一份";
        $scope.chargePeriod = "1";//缴费年限
        $scope.chargePeriodValue = "0";//缴费期间类型 0-无关 1-趸缴 2-缴至多少年 3-缴至多少岁 4-缴终身
        $scope.chargePeriodName = "一次交清";
        $scope.coveragePeriod = "2";//保障期间类型
        $scope.coveragePeriodValue = "1";//保障期间
        $scope.coveragePeriodName = "一年";//保障期间描述
        $scope.unit = 1;
        $scope.insuredStartDate = $scope.insuredStartDate?$scope.insuredStartDate:genNowDate(1);
        $scope.product_calculate_validate = true;//多试算条件验证试算
        $scope.insuredBirthday = '';
        $scope.jobLevelCategray = "1,2,3,4"; //职业类别
        $scope.showCall = function () {
            $scope.callShow = true;
        };


        initCalculateInfo();

        //区分详情页与填单页加载产品信息
        if($scope.productBaseInfo) {
            //获取保障责任
            $scope.changePlan();
        }
    };
    //保存计划信息
    $scope.savePlanInfo = function(){
        $scope.showPlanInfo = {};
        $scope.showPlanInfo.title = "保险责任";
        $scope.showPlanInfo.content = $scope.productBaseInfo.benefitLevels[0].benefitLiab;
    }

    $scope.changePlan = function(){
        $scope.sumAssured = 130800;
        $scope.calculateInfo.sumAssured = 130800;
        $scope.sumAssuredName = 13.08+"万元";
        $scope.calculateInfo.sumAssuredName = 13.08+"万元";
        $scope.showPlanInfo = {};
        $scope.showPlanInfo.title = "保险责任";
        $scope.showPlanInfo.content = $scope.productBaseInfo.benefitLevels[0].benefitLiab;
    };

    //各类人员证件类型
    $scope.initCertiType=function(){
        $scope.holderCertiTypeList = getSpecCredList("1,2,3");//处理投保人证件类型
    }

    $scope.getCoverageList = function(){};

    //多试算条件验证试算
    function productCalculateValid(type) {
        //校验年龄参数
        var validAgeParams = {
            "birthday":formatDate10(new Date($scope.calculateInfo.insuredBirthday)),
            "insuredStartDate":formatDate10(new Date($scope.calculateInfo.insuredStartDate)),
            "minInsuredAgeUnit":$scope.productBaseInfo.minInsuredAgeUnit,
            "minLAAge":$scope.productBaseInfo.minLAAge,
            "maxInsuredAgeUnit":$scope.productBaseInfo.maxInsuredAgeUnit,
            "maxLAAge":$scope.productBaseInfo.maxLAAge
        }

        var valide = true;
        if(!$scope.calculateInfo.insuredBirthday) {
            valide = false;
        }else if (!$scope.calculateInfo.chargePeriod) {
            valide = false;
        } else if (typeof $scope.calculateInfo.chargePeriodValue=='undefined') {
            valide = false;
        }else if(!$scope.calculateInfo.coveragePeriod){
            valide = false;
        }else if(!$scope.calculateInfo.coveragePeriodValue){
            valide = false;
        }else if(!calculateAge(validAgeParams)){
            valide = false;
        }
        return valide;
    }

    //根据选择条件进行试算
    //type 1 试算 2 投保
    var calculate = function (type) {
        if(!productCalculateValid()){
            return;
        }
        $scope.calculateAmt = $scope.productData[0];
        $scope.calculateAmt = $scope.calculateAmt.toFixed(2);
        $scope.saveCalculateInfo();
    };
    //试算基础信息，包括保费、保障年期、交费年期信息
    $scope.saveCalculateInfo = function() {
        $scope.calculateInfo.calculateAmt = $scope.calculateAmt;//保费
        calculatedInsuredDate($scope.calculateInfo.insuredStartDate);
        $scope.savePlanInfo();
    };

    //判断产品投保年龄是否满足
    $scope.calculateAge = function(params) {
        //ageUnit 1 岁 2 天
        if(params.insuredStartDate){

        }else{//因生效日与被保人填写信息顺序不一样,故为空时设定各自产品的最初生效日
            $scope.calculateInfo.insuredStartDate = genNowDate(3);
            params.insuredStartDate = $scope.calculateInfo.insuredStartDate;
        }
        var age = getCurrentAge(formatDate10(new Date(params.birthday)), formatDate10(new Date(params.insuredStartDate)));
        var days = getDaysFromBirth(formatDate10(new Date(params.birthday)), formatDate10(new Date(params.insuredStartDate)));
        //最小年龄
        if (params.minInsuredAgeUnit == "1") {
            if (age < parseInt(params.minLAAge)) {
                return false;
            }
        } else if (params.minInsuredAgeUnit == "2") {
            if (days < parseInt(params.minLAAge)) {
                return false;
            }
        }
        //最大年龄
        if (params.maxInsuredAgeUnit == "1") {
            if (age > parseInt(params.maxLAAge)) {
                return false;
            }
        } else if (params.maxInsuredAgeUnit == "2") {
            if (days > parseInt(params.maxLAAge)) {
                return false;
            }
        }
        calculate();
        return true;
    }

    //初始产品基础信息
    var initProductBaseInfo = function(){
        $scope.productBaseInfo = $scope.productGetItem("productBaseInfo");
    }
    //初始化试算信息,减少第三步加载信息处理
    var initCalculateInfo = function(optType){
        if($scope.productGetItem("calculateInfo")){
            $scope.calculateInfo = $scope.productGetItem("calculateInfo");
            $scope.calculateInfo.productId = $scope.productId;
            $scope.calculateInfo.insuredAgeIndex = $scope.calculateInfo.insuredAgeIndex?$scope.calculateInfo.insuredAgeIndex:"0";
            $scope.calculateInfo.insuredStartDate = $scope.calculateInfo.insuredStartDate?$scope.calculateInfo.insuredStartDate:genNowDate(3);
            $scope.calculateInfo.insuredStartDate = new Date($scope.calculateInfo.insuredStartDate);
            $scope.calculateInfo.chargePeriod = $scope.chargePeriod;
            $scope.calculateInfo.chargePeriodValue = $scope.chargePeriodValue;
            $scope.calculateInfo.chargePeriodName = $scope.chargePeriodName;
            $scope.calculateInfo.coveragePeriod = $scope.calculateInfo.coveragePeriod?$scope.calculateInfo.coveragePeriod:$scope.coveragePeriod;
            $scope.calculateInfo.coveragePeriodValue = $scope.calculateInfo.coveragePeriodValue?$scope.calculateInfo.coveragePeriodValue:$scope.coveragePeriodValue;
            $scope.calculateInfo.coveragePeriodName = $scope.calculateInfo.coveragePeriodName?$scope.calculateInfo.coveragePeriodName:$scope.coveragePeriodName;
            $scope.calculateInfo.benefitLevel = $scope.calculateInfo.benefitLevel?$scope.calculateInfo.benefitLevel:$scope.benefitLevel;
            $scope.calculateInfo.benefitLevelName = $scope.calculateInfo.benefitLevelName?$scope.calculateInfo.benefitLevelName:$scope.benefitLevelName;
            $scope.calculateInfo.sumAssured = $scope.calculateInfo.sumAssured?$scope.calculateInfo.sumAssured:$scope.sumAssured;
            $scope.calculateInfo.sumAssuredName = $scope.calculateInfo.sumAssuredName?$scope.calculateInfo.sumAssuredName:$scope.sumAssuredName;
            $scope.calculateInfo.unit = $scope.calculateInfo.unit?$scope.calculateInfo.unit:$scope.unit;
        }else{
            $scope.calculateInfo = {};
        }
    }

    //计算保障终止时间
    function calculatedInsuredDate(startDate) {
        if(typeof startDate == 'string'){
            $scope.calculateInfo.insuredStartDate = formatDate10(new Date(startDate));
            $scope.calculateInfo.insuredEndDate = calInsuredDate(formatDate10(new Date(startDate)), $scope.calculateInfo.coveragePeriod, $scope.calculateInfo.coveragePeriodValue);
        }else{
            if($scope.calculateInfo.coveragePeriodValue) {
                $scope.calculateInfo.insuredStartDate = formatDate10(startDate);
                $scope.calculateInfo.insuredEndDate = calInsuredDate(formatDate10(startDate), $scope.calculateInfo.coveragePeriod, $scope.calculateInfo.coveragePeriodValue);
            }else{
                $scope.calculateInfo.insuredEndDate="";
            }
        }
        $scope.insuredEndDate = $scope.calculateInfo.insuredEndDate;
        $scope.productSetItem("calculateInfo",$scope.calculateInfo);
    }
    //判断生效日是否有效
    $scope.valideInsuredStartDate = function(insuredStartDate,sourceInfo){
        var insuredStartBeginDate = genNowDate(3);
        var insuredStartEndDate =  addmulMonth(insuredStartBeginDate, 1);
        var transDate = formatDate10(insuredStartDate);
        if (transDate.length == 10 && transDate < insuredStartBeginDate) {
            insuredStartDate = new Date(insuredStartBeginDate);
            $scope.dialogTip("生效日不能早于：" + insuredStartBeginDate);
        } else if (transDate.length == 10 && insuredStartEndDate < transDate) {
            insuredStartDate = new Date(insuredStartEndDate);
            $scope.dialogTip("生效日不能晚于：" + insuredStartEndDate);
        }
        if(sourceInfo){
            sourceInfo.insuredStartDate = insuredStartDate;
        }else{
            $scope.insuredStartDate = insuredStartDate;
        }
        calculatedInsuredDate(insuredStartDate);
    }

    //根据男女更改投被保人关系
    $scope.changeRelationShipIds = function (type,sourceInfo) {
        if(type=="holder") {//计算投被保人关系
            $scope.holderInsuredRel = getSpecSexRelaList(sourceInfo.holderSex,"1,2,3,4,5,6,7");
        }else if(type=="benefit"){//计算受益人被保人关系
            sourceInfo.benefitInsuredRel = getSpecSexRelaList("","1,2,3,4,5,6,7");
        }else if(type == 'insured'){
            sourceInfo.benefitInsuredRel = getSpecSexRelaList("","1,2,3,4,5,6,7");
        }
    };

    //初始化投保人信息
    function initHolderInfo(optType) {
        $scope.holderCertiTypeList = getSpecCredList("1,3");//处理投保人证件类型
        if ($scope.saveData.holderInfo) {
            $scope.holderInfo = $scope.productGetItem('holderInfo');
            $scope.holderInfo.holderBirthday = new Date($scope.holderInfo.holderBirthday);
            // if(optType!="showInfo") {
            //     //获取一级省机构
            //     $scope.getBranch("holderInfo", "", 0, "", 0, $scope.holderInfo);
            //     //获取省对应市信息
            //     if ($scope.holderInfo.addressInfo.provinceCode) {
            //         $scope.getBranch("holderInfo", "", 1, $scope.holderInfo.addressInfo.provinceCode, 0, $scope.holderInfo);
            //     }
            //     //获取市对应县信息
            //     if ($scope.holderInfo.addressInfo.cityCode) {//获取省对应市信息
            //         $scope.getBranch("holderInfo", "", 2, $scope.holderInfo.addressInfo.cityCode, 0, $scope.holderInfo);
            //     }
            // }
            // $scope.holderInfo.addressDetail = $scope.holderInfo.addressInfo.provinceName + '-' + $scope.holderInfo.addressInfo.cityName + '-'
            //     + $scope.holderInfo.addressInfo.countyName +"-"+ $scope.holderInfo.addressInfo.detailAddress;

        } else {
            $scope.holderInfo = {};
            $scope.holderInfo.certiType = "1";  //默认选中身份证
            $scope.holderInfo.addressInfo = {};
            // $scope.getBranch("holderInfo", "", 0, "", 0,$scope.holderInfo);
            // if ($scope.holderInfo.addressInfo.provinceCode) {//获取省对应市信息
            //     $scope.getBranch("holderInfo", "", 1, $scope.holderInfo.addressInfo.provinceCode, 0,$scope.holderInfo);
            // }
        }
        // if(optType!="showInfo") {
        //     $scope.getServiceBranch("holderInfo", "", 0, "", 0);
        //     if ($scope.holderInfo.addressInfo.provinceCode) {//获取省对应市信息
        //         $scope.getServiceBranch("holderInfo", "", 1, $scope.holderInfo.addressInfo.provinceCode, 0);
        //     }
        // }
        //获取投被保人关系
        $scope.holderInsuredRel = getSpecSexRelaList($scope.holderInfo.holderSex || "", "1,2,3,4,5,6,7");

    }
    //初始化被保人信息
    function initInsuredInfo(optType) {

        //处理被保人证件类型
        $scope.insuredCertiTypeList = getSpecCredList("1,3");//处理被保人证件类型
        if ($scope.saveData.insuredInfos) {
            $scope.insuredInfos = $scope.productGetItem('insuredInfos');
            for(var i=0;i<$scope.insuredInfos.length;i++) {
                if(!$scope.insuredInfos[i].certiType){
                    $scope.insuredInfos[i].certiType = "1";
                }
                console.log('wwew',i,$scope.insuredInfos[i]);
                $scope.insuredInfos[i].insuredBirthday = new Date($scope.insuredInfos[i].insuredBirthday);
                $scope.insuredBirthday = formatDate10($scope.insuredInfos[i].insuredBirthday);
                if(optType!="showInfo"){
                    //获取职业信息
                    $scope.getJobLevel("", $scope.productId, "1",0,$scope.insuredInfos[0],$scope.jobLevelCategray);//一级职业
                    if ($scope.insuredInfos[0].jobClass1) {
                        $scope.getJobLevel($scope.insuredInfos[0].jobClass1, $scope.productId, "2",0,$scope.insuredInfos[0],$scope.jobLevelCategray);//二级职业
                    }
                }else{
                    $scope.insuredInfos[i].jobClassName = $scope.insuredInfos[i].jobClass1name + '-' + $scope.insuredInfos[i].jobClass2name;
                }
            }
            $scope.productSetItem('insuredInfos',$scope.insuredInfos)
        } else {
            $scope.insuredInfos = [{}];
            $scope.insuredInfos[0].addressInfo = {};
            //$scope.insuredInfos[0].certiType = "1";  //默认选中身份证
            $scope.insuredInfos[0].validAgeFlag = true;
            //获取职业信息
            $scope.getJobLevel("", $scope.productId, "1",0,$scope.insuredInfos[0],$scope.jobLevelCategray);//一级职业
            if ($scope.insuredInfos[0].jobClass1) {
                $scope.getJobLevel($scope.insuredInfos[0].jobClass1, $scope.productId, "2",0,$scope.insuredInfos[0],$scope.jobLevelCategray);//二级职业
            }
        }


    }
    //扩展信息
    function initExtraInfo(){
        $scope.extraInfo = $scope.productGetItem('extraInfo');
    }

    //初始第一步信息
    function initStep1(){
        console.info("......各自投保计划信息.....");
        $scope.getCoverageList($scope.insuredBirthday);//初始化保障年期
        initProductBaseInfo();
        initCalculateInfo();//初始化投保人信息,续期账户信息使用
        //$scope.calculateInfo.insuredStartDate = new Date($scope.calculateInfo.insuredStartDate);
        $scope.calculateInfo.insuredStartDate = $scope.insuredStartDate;
        calculatedInsuredDate($scope.calculateInfo.insuredStartDate);

    }
    //初始第二步信息
    function initStep2(){
        initHolderInfo();
        initInsuredInfo();
        initCalculateInfo();//初始化投保人信息,续期账户信息使用
        // if($scope.holderInfo.certiType == 1){
        //     $scope.clearfix
        // }
    }
    //初始第三步信息
    function initStep3(){
        initHolderInfo();
       // $scope.holderInfo = $scope.productGetItem('holderInfo');//获取投保人的数据
        initInsuredInfo();
        initCalculateInfo();//初始化投保人信息,续期账户信息使用
        // if($scope.insuredInfos[0].relationship == 1){//如果投保人类型是本人
        //     // $scope.insuredInfos[0] = $scope.holderInfo;
        //     $scope.insuredInfos[0].insuredName = $scope.holderInfo.holderName;//被保人name赋值给投保人name
        //     $scope.insuredInfos[0].insuredMobile = $scope.holderInfo.holderMobile;//被保人mobile赋值给投保人mobile
        //     $scope.insuredInfos[0].insuredEmail = $scope.holderInfo.holderEmail;//被保人email赋值给投保人email
        //     $scope.insuredInfos[0].certiCode = $scope.holderInfo.certiCode;//被保人的身份证等于投保人的身份证
        // }
    }

    //初始化第四步信息
    function initStep4(){
        //showInfo 表示最后一步,有些列表信息无需重新加载 如机构、银行、职业
        initCalculateInfo("showInfo");//初始化试算信息
        initHolderInfo("showInfo");//初始投保人信息
        initInsuredInfo("showInfo");//初始被保人信息

        $scope.initProductBaseInfo();
        $scope.transZoneTo10();//转换各自对象的时间格式
        $scope.saveCalculateInfo("showInfo");
        //initExtraInfo();//扩展信息
        $scope.showLink= "我已阅读并了解关于本产品的"+
            "<a ng-click=\"goToShow()\">《产品须知》</a>及" +
            "<a ng-click=\"goToShow(3)\">《产品条款》</a>，"+
            "同意<a ng-click=\"goToShow(2)\">《投保声明》</a>并如实做出<a ng-click=\"goToShow(4)\">《健康告知》</a>";
    }
    //校验第一步
    function checkStep1(){
        //开始校验表单-----
        var res = {};
        res['status'] = true;//检查通过-true;否则-false
        res['msg'] = '';//返回错误信息
        if(!res['status']){
            $scope.dialogTip(res['msg']);
            return res['status'];
        }
        $scope.prevModule1 = "12";
        $scope.$emit("prevModule1", $scope.prevModule1);
        localStorage.setItem('prevModule1',JSON.stringify($scope.prevModule1));
        $scope.nextModule = "12";
        return true;
    }
    //校验第二步
    function checkStep2(){
        console.info("验证表单1信息.....");
        var res = {};
        res['status'] = true;//检查通过-true;否则-false
        res['msg'] = '';//返回错误信息
        if (!validCredNum("name", $scope.holderInfo.holderName)) {
            res['status'] = false;
            res['msg'] = '投保人姓名填写有误（2-20位中英文），请更正';
        } else if (typeof $scope.holderInfo.certiType == "undefined" || $scope.holderInfo.certiType == "0") {
            res['status'] = false;
            res['msg'] = '请选择投保人证件类型';
        } else if (!validCredNum($scope.holderInfo.certiType, $scope.holderInfo.certiCode)) {
            res['status'] = false;
            res['msg'] = '投保人证件号码填写有误，请更正';
        } else if (typeof $scope.holderInfo.holderBirthday == "undefined" || $scope.holderInfo.holderBirthday == "") {
            res['status'] = false;
            res['msg'] = '投保人出生日期填写有误，请更正';
        } else if ($scope.holderInfo.certiType == "1" && formatDate10($scope.holderInfo.holderBirthday).replace(/-/g, "") != $scope.holderInfo.certiCode.substring(6, 14)) {//投保人出生日期与证件校验
            res['status'] = false;
            res['msg'] = '投保人出生日期与证件号不符，请更正';
        } else if (getCurrentAge(formatDate10(new Date($scope.holderInfo.holderBirthday)),genNowDate(3))< 18) {
            res['status'] = false;
            res['msg'] = '投保人需年满18周岁';
        } else if (typeof $scope.holderInfo.holderSex == "undefined" || $scope.holderInfo.holderSex == "") {
            res['status'] = false;
            res['msg'] = '请选择投保人性别';
        } else if ($scope.holderInfo.certiType == "1" && !checkSex($scope.holderInfo.holderSex, $scope.holderInfo.certiCode)) {//性别校验
            res['status'] = false;
            res['msg'] = '投保人性别与证件号不符，请更正';
        } else if (!validCredNum("mobile", $scope.holderInfo.holderMobile)) {
            res['status'] = false;
            res['msg'] = '投保人手机号码填写有误（11位数字），请更正';
        } else if (!validCredNum("email", $scope.holderInfo.holderEmail)) {
            res['status'] = false;
            res['msg'] = '投保人电子邮箱填写有误，请更正';
        } else if ($scope.insuredInfos) {
            for(var i in $scope.insuredInfos) {
                if(!validCredNum("relation", $scope.insuredInfos[i].relationship)) {
                    res['status'] = false;
                    res['msg'] = '请选择投被保人关系';
                    break ;
                }
            }

        }
        if(!res['status']){
            $scope.dialogTip(res['msg']);
            return res['status'];
        }
        $scope.calculateInfo.holderName = $scope.holderInfo.holderName;
        for(var i=0;i<$scope.insuredInfos.length;i++) {
            var jobClass1 = "";
            var jobClass2 = "";
            if($scope.insuredInfos[i].jobClass1){
                jobClass1 = $scope.insuredInfos[i].jobClass1;
            }
            if($scope.insuredInfos[i].jobClass2){
                jobClass2 = $scope.insuredInfos[i].jobClass2;
            }
            if($scope.insuredInfos[i].relationship==1){
                $scope.relationshipChange("holder",$scope.insuredInfos[i].relationship,$scope.holderInfo,$scope.insuredInfos[i]);
            }else{
                $scope.birthSexShow = true;
            }
            if(jobClass1!=""){
                $scope.insuredInfos[i].jobClass1 =jobClass1;
            }
            if(jobClass2!=""){
                $scope.insuredInfos[i].jobClass2 = jobClass2;
            }
        }
        $scope.nextModule = "14";
        $scope.prevModule2 = "12";
        $scope.$emit("prevModule2", $scope.prevModule2);
        localStorage.setItem('prevModule2',JSON.stringify($scope.prevModule2));
        return true;
    }
    //校验第三步
    function checkStep3(){
        var res = {};
        res['status'] = true;//检查通过-true;否则-false
        res['msg'] = '';//返回错误信息
        for(var i in $scope.insuredInfos) {
            if (!validCredNum("name", $scope.insuredInfos[i].insuredName)) {
                res['status'] = false;
                res['msg'] = '被保人姓名填写有误（2-20位中英文），请更正';
            } else if (typeof $scope.insuredInfos[i].certiType == "undefined" || $scope.insuredInfos[i].certiType == "0") {
                res['status'] = false;
                res['msg'] = '请选择被保人证件类型';
            } else if (!validCredNum($scope.insuredInfos[i].certiType, $scope.insuredInfos[i].certiCode)) {
                res['status'] = false;
                res['msg'] = '被保人证件号码填写有误，请更正';
            } else if (!validCredNum("",$scope.insuredInfos[i].insuredBirthday)) {
                res['status'] = false;
                res['msg'] = '被保人出生日期填写有误，请更正';
            } else if ($scope.insuredInfos[i].certiType == "1" && formatDate10($scope.insuredInfos[i].insuredBirthday).replace(/-/g, "") != $scope.insuredInfos[i].certiCode.substring(6, 14)) {//被保人出生日期与证件校验
                res['status'] = false;
                res['msg'] = '被保人出生日期与证件号不符，请更正';
            } else if (!$scope.validInsuredAge($scope.insuredInfos[i])){
                return false;
            } else if (!$scope.insuredInfos[i].validAgeFlag) {
                res['status'] = false;
                res['msg'] = '被保人年龄无效，请更正';
            } else if (!validCredNum("",$scope.insuredInfos[i].insuredSex)) {
                res['status'] = false;
                res['msg'] = '请选择被保人性别';
            } else if ($scope.insuredInfos[i].certiType == "1" && !checkSex($scope.insuredInfos[i].insuredSex, $scope.insuredInfos[i].certiCode)) {//性别校验
                res['status'] = false;
                res['msg'] = '被保人性别与证件号不符，请更正';
            } else if($scope.insuredInfos[i].certiType == $scope.holderInfo.certiType && $scope.insuredInfos[i].certiCode == $scope.holderInfo.certiCode && $scope.insuredInfos[i].relationship !='1'){
                res['status'] = false;
                res['msg'] = '被保人和投保人为同一人，请更正';
            } else if(!checkSpouseSex($scope.insuredInfos[i].relationship,$scope.holderInfo.holderSex,$scope.insuredInfos[i].insuredSex)){
                res['status'] = false;
                res['msg'] = '被保人性别与投被保人关系不符，请更正';
            } else if ($scope.insuredInfos[i].insuredMobile && !validCredNum("mobile", $scope.insuredInfos[i].insuredMobile)) {
                res['status'] = false;
                res['msg'] = '被保人手机号填写有误，请更正';
            } else if (!(validCredNum("",$scope.insuredInfos[i].jobClass1) && validCredNum("",$scope.insuredInfos[i].jobClass2))) {
                res['status'] = false;
                res['msg'] = '被保人职业类别不完整，请更正';
            }
            if(!res['status']){
                $scope.dialogTip(res['msg']);
                return res['status'];
            }

        }
        $scope.calculateInfo.insuredBirthday = formatDate10(new Date($scope.insuredInfos[0].insuredBirthday));
        $scope.calculateInfo.insuredSex = $scope.insuredInfos[0].insuredSex;
        $scope.productSetItem('insuredInfos', $scope.insuredInfos);
        $scope.nextModule = "21";
        $scope.prevModule3 = "14";
        $scope.$emit("prevModule3", $scope.prevModule3);
        localStorage.setItem('prevModule3',JSON.stringify($scope.prevModule3));
        return true;
    }

    //校验第四步
    function checkStep4(){
        if(!$scope.agreeState) {
            $scope.dialogTip("请阅读相关协议并同意投保声明");
            return false;
        }
        if($scope.calculateInfo.chargePeriod=="1"){
            $scope.renewalInfo = {};
        }
        $scope.prevModule4 = "21";
        $scope.$emit("prevModule4", $scope.prevModule4);
        localStorage.setItem('prevModule4',JSON.stringify($scope.prevModule4));
        $scope.nextModule = "payOrder";
        return true;
    }
    if (!event) {
        return init();
    } else if (event.type == 'calculateInfo') {
        $scope.saveCalculateInfo();
    } else {
        return eval(event.type)(event.params);
    }
}
