define(['app'], function (app) {

    app.register.controller('fillInfoCtrl', ["$window", "$scope", 'backFactory', '$location', '$stateParams', 'adbService', function ($window, $scope, backFactory, $location, $stateParams, adbService) {
        //改变页面的<title>
        $scope.appTitle = '填写投保资料';
        $scope.$emit("titleName", $scope.appTitle);
        $scope.$emit("searchShow", false);
        $scope.$emit("homeShow", false);
        $scope.$emit("saveShow", false);
        $scope.$emit("goBackShow", true);
        $scope.resultState = '1';
        $scope.productId = $stateParams.productId;

        $scope.selectTime = function () {
            $scope.gotoApp('selectTime');
        }
        //获取终端操作系统类型
        function getSystemType(){
            //微信
            if(localStorage.isWeixin=="true"){
                $scope.isWeixin = true;
            }else{
                $scope.isWeixin = false;
            }
            //android
            if(localStorage.isApp == "true"){
                $scope.isAndroid = true;
            }else{
                $scope.isAndroid = false;
            }
            //ios
            if(localStorage.isAppIos == "true"){
                $scope.isIos = true;
            }else{
                $scope.isIos = false;
            }
        }
        //判断微信openid检查弹出
        var shareDetailInfo = {};
        if(navigator.userAgent.indexOf("MicroMessenger")>-1 ){
            shareDetailInfo = JSON.parse(localStorage.getItem('shareInfo_in_session'));
            if(shareDetailInfo.isCheck=="01") {
                $scope.dialogRes("获取wxOpenId：" + shareDetailInfo.wxOpenId + "(CP0002)");
            }
        }

        $scope.planChecked = function(code){
               $scope.benefitLevel = code;
               if(code == '1'){
                   $scope.benefitLevelName = '计划一';
                   $scope.unit = 6;
                   $scope.sumAssured = "30万";
               }
               if(code == '3'){
                   $scope.benefitLevelName = '计划三';
                   $scope.sumAssured = "50万";
                   $scope.unit = 10;
               }
               if(code == '2'){
                   $scope.benefitLevelName = '计划二';
                   $scope.sumAssured = "40万";
                   $scope.unit = 8;
               }

            $scope.calculateInfo.benefitLevel = code;
            $scope.calculateInfo.benefitLevelName = $scope.benefitLevelName;
            $scope.calculateAmt100301();
            console.log($scope.calculateInfo);

        }
        $scope.calculateAmt100301 = function () {
            var birthDay = '';
            if(typeof($scope.calculateInfo.insuredBirthday) == 'string'){
                birthDay =$scope.calculateInfo.insuredBirthday.replace('-', "").replace('-', "").substr(0,8);
            }else{
                birthDay = formatDate10($scope.calculateInfo.insuredBirthday).replace('-', "").replace('-', "").concat("")
            }
            adbService.getResult(
                {},
                $scope.setService("I181011", {
                    "trialProductList": [
                        {
                            "productId": $scope.productId,
                            "parameters": "birthday=" + birthDay + ";sumAssured=" + $scope.unit * $scope.singelMoney+";validateDate="+formatDate10(new Date()).replace(/-/g,'')
                        }
                    ]
                }),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {//存储产品基础信息
                        $scope.calculateAmt = json.data.trialProductList[0].premium;
                        $scope.calculateInfo.calculateAmt =$scope.calculateAmt ;
                        $scope.calculateInfo.sumAssured = $scope.unit*$scope.singelMoney;//保费

                        $scope.calculateInfo.unit = $scope.unit;
                        $scope.productSetItem("calculateInfo", $scope.calculateInfo);
                    } else {

                    }
                },
                function (err) {

                }
            )
        }
            //calculateAge();
            // $scope.changePlan(code);
            // $scope.saveCalculateInfo();
        //性别判断
        $scope.selectSex = function (type, val) {
            if (type == 'holder') {
                $scope.holderInfo.holderSex = val;
            }
            if (type == 'insured') {
                if ($scope.insuredInfo.editFlag == true) {
                    return;
                }
                $scope.insuredInfo.insuredSex = val;
            }

            $scope.changeRelationShipIds();//根据性别来判断被保人关系
        };
        //切换弹窗
        $scope.initDatas = {
            "fillPlanBox": true,
            "holderInfoBox": true,
            "insuredInfoBox": true,
            "insureBenifitBox": true,
            "beneficiary": true
        };
        $scope.toggleShow = function (e) {
            $scope.initDatas[e] = !$scope.initDatas[e];
        }
        /*---------------------------跳转打开相应展示页 start-------------------------*/
        $scope.goToShow = function (value) {
            localStorage.setItem('proDetailUrl', $location.url());
            location.href = 'index.html#/productR/productInsureNoticeR/detailOnline/' + $stateParams.productId + '/' + value;
        };//100301专用

        $scope.step4ToUrl = function (num) { //num 为1:产品须知，2为产品条款，3为投保声明，4为健康须知
            var params = backFactory.getter();
            if (num == '1' || num == '0') {
                params['productInsureNotice'] = $location.url();
                backFactory.setter(params);
                location.href = '#/productR/productInsureNoticeR/detailOnline/' + $stateParams.productId + '/' + num;
            } else if (num == '2') {
                //params['productInsureClause'] = $location.url();
                //backFactory.setter(params);
                localStorage.setItem('productInsureClause', $location.url());
                location.href = '#/productR/productInsureClauseR/detailOnline/' + $stateParams.productId;
                //location.href = 'js/web/viewonlinepdf.html?src='+$stateParams.productId+'/pdf/pdf1.pdf';
            } else if (num == '3') {
                params['productInsureNotice'] = $location.url();
                backFactory.setter(params);
                $scope.productSetItem('calculateInfo', $scope.calculateInfo);
                location.href = '#/productR/productInsureNoticeR/detailOnline/' + $stateParams.productId + '/2';
            } else if (num == '4') {
                params['productHealthNotice'] = $location.url();
                backFactory.setter(params);
                $scope.productSetItem('calculateInfo', $scope.calculateInfo);
                location.href = '#/productR/productHealthNoticeR/' + $stateParams.productId;
            }

        };
        //加载投保产品独立文件
        var productJs;
        var loadProductJs = function () {
            $.ajax({
                url: 'module/product/detailOnline/views/' + $stateParams.productId + '/product.js',
                cache: false,
                async: false,
                success: function (data) {
                    productJs = (new Function("return " + data))();
                    productJs($scope, null, {"adbService": adbService});//保存计划信息  初始Product.js里的方法和初始变量值
                    console.log("--------------------------");
                    console.log(productJs);
                },
                error: function (err) {
                }
            });
        };
        /*---------------------------跳转打开相应展示页 end-------------------------*/

        //获取下级机构信息
        var branchInfos = ["ProvinceList", "CityList", "CountyList"];
        var branchCodeList = ["provinceCode", "cityCode", "countyCode"];
        var branchNameList = ["provinceName", "cityName", "countyName"];
        var showLevel = 2;//展示机构级别
        //type 是投保人还是续期账户信息 branchLevel为当前机构级别 parentCode 当前机构代码 autoFlag 0 自动加载 1 手工选择
        $scope.getBranch = function (type, companyCode, branchLevel, parentCode, autoFlag) {
            if (branchLevel != 0 && branchLevel < showLevel && autoFlag == 1 && parentCode == null) {//选择页面省为空
                for (var i = 0; i < branchInfos.length; i++) {
                    if (i >= branchLevel) {//清空级联机构信息
                        $scope[type + branchInfos[branchLevel]] = [];//清空列表
                        $scope[type]["addressInfo"][branchCodeList[i]] = "";//清空代码
                        $scope[type]["addressInfo"][branchNameList[i]] = "";//清空名称
                    }
                }
            } else {
                if (autoFlag == 1) {
                    for (var i = 0; i < branchInfos.length; i++) {
                        if (i >= branchLevel) {//清空级联机构信息;
                            $scope[type]["addressInfo"][branchCodeList[i]] = "";//清空代码
                            $scope[type]["addressInfo"][branchNameList[i]] = "";//清空名称
                        }
                    }
                }
                adbService.getResult(
                    {},
                    $scope.setService("I226010", {
                        companyCode: companyCode,//公司代码
                        parentCode: parentCode//上级代码
                    }),
                    function (json) {
                        if (json.header.istatus == '-99') {
                            $scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {
                            $scope[type + branchInfos[branchLevel]] = json.data;
                            //100301产品浙江省不包含宁波
                            if ("100301" == $scope.productId && "holderInfo" == type) {
                                if (branchLevel == "0") {
                                } else if (parentCode == "330000") {
                                    for (var i in $scope[type + branchInfos[branchLevel]]) {
                                        if ($scope[type + branchInfos[branchLevel]][i].branchCode == "330200") {
                                            $scope[type + branchInfos[branchLevel]].splice(i, 1);
                                        }
                                    }
                                }
                            }
                        }
                    },
                    function (err) {
                    }
                )
            }
        };


        /*--11111111------------------------------fillInfo   step1  开始-----------------------------*/
        //获取机构名称
        var getBranchName = function (type, branchLevel, branchCode) {
            $scope[type]["addressInfo"][branchNameList[branchLevel]] = "";
            if ($scope[type + branchInfos[branchLevel]]) {
                for (var i = 0; i < $scope[type + branchInfos[branchLevel]].length; i++) {
                    if ($scope[type + branchInfos[branchLevel]][i].branchCode == branchCode) {
                        $scope[type]["addressInfo"][branchNameList[branchLevel]] = $scope[type + branchInfos[branchLevel]][i].branchName;
                        return;
                    }
                }
            }
        };
        //初始化试算相关信息
        function initCalculateInfo() {
            $scope.calculateInfo = $scope.productGetItem('calculateInfo');
            if ($scope.productId != "100030") {
                $scope.insuredStartDate = new Date($scope.calculateInfo.insuredStartDate);//保存试算生效日
            }
            if ($stateParams.productId == '100030') {
                if ($scope.calculateInfo.calculateAmt == '3') {
                    $scope.unit = '1'
                } else if ($scope.calculateInfo.calculateAmt == '6') {
                    $scope.unit = '3'
                } else if ($scope.calculateInfo.calculateAmt == '10') {
                    $scope.unit = '5'
                } else if ($scope.calculateInfo.calculateAmt == '18') {
                    $scope.unit = '10'
                }
            } else {
                $scope.unit = $scope.calculateInfo.unit;//份数
            }
            if ($stateParams.productId == '100301'){
                $scope.benefitLevel = $scope.calculateInfo.benefitLevel;
            }
            $scope.sumAssured = $scope.calculateInfo.sumAssured / 10000 + '万元';//基本保额


            $scope.insuredEndDate = $scope.calculateInfo.insuredEndDate;//保存试算失效日
            //100301产品的字段start
            if ($scope.calculateInfo.coveragePeriod == "2" && $scope.calculateInfo.coveragePeriodValue == "1") {
                $scope.coverageYear = "1年";
            }
            if ($scope.calculateInfo.chargePeriod == "1") {
                $scope.chargedDuration = "一次交清";
            }
            //100301产品的字段end
            //产品接口的试算
            if ($scope.calculateInfo.coveragePeriodType == "2" && $scope.calculateInfo.coveragePeriod == "1") {
                $scope.coverageYear = "1年";
            }
            if ("100303" == $scope.productId) {
                $scope.coverageYear = $scope.calculateInfo.coverageYear;//保障期间范围取值
                $scope.selectOpts = $scope.calculateInfo.selectOpts;//保障期间范围数组
                $scope.popShow100303 = false;//选择保障期间弹框状态
                $scope.selectPop100303 = function () {  //弹出选择保障期间框
                    $scope.popShow100303 = true;
                };
                //选择保险期间
                $scope.selectPeriodType100303 = function (code, name) {//选择保障期间阶段

                    $scope.coveragePeriod = code;
                    $scope.coveragePeriodType = "5";
                    $scope.mark = code;
                    $scope.coverageYear = name;
                    if (code == '1') {//当保障期间类型为年时
                        $scope.coverageYear = "1年";
                        $scope.coveragePeriod = code;
                        $scope.coveragePeriodType = "2";
                    }
                    $scope.popShow100303 = false;
                    $scope.calculateInfo.coveragePeriodValue = $scope.coveragePeriod;
                    $scope.calculateInfo.coveragePeriod = $scope.coveragePeriodType;
                    $scope.calculateInfo.coverageYear = $scope.coverageYear;
                    $scope.productSetItem("calculateInfo", $scope.calculateInfo);
                    $scope.calculatedInsuredDate(formatDate10($scope.insuredStartDate));
                };
                //请求试算结果
                $scope.calculate100303 = function () {
                    adbService.getResult(
                        {},
                        $scope.setService("I181011", {
                            "trialProductList": [
                                {
                                    "productId": $scope.productId,
                                    "parameters": "coveragePeriod=" + $scope.calculateInfo.coveragePeriod + ";coverageYear=" + $scope.calculateInfo.coveragePeriodValue + ";benefitLevel=" + $scope.calculateInfo.benefitLevel
                                }
                            ]
                        }),
                        function (json) {
                            if (json.header.istatus == '-99'){
                                $scope.gotoApp('jsRefreshCookie');
                            }
                            else if (json.header.istatus == '1') {//存储产品基础信息
                                $scope.calculateAmt = json.data.trialProductList[0].premium;
                                $scope.calculateInfo.calculateAmt = $scope.calculateAmt;
                                $scope.productSetItem("calculateInfo", $scope.calculateInfo);
                            } else {

                            }
                        },
                        function (err) {

                        }
                    )
                }
            }
            if ("100302" == $scope.productId) {
                $scope.coveragePeriodName = $scope.calculateInfo.coveragePeriodName;
                $scope.planNoName = $scope.calculateInfo.planNoName;
                $scope.coveragePeriod = $scope.calculateInfo.coveragePeriodValue;
                $scope.coveragePeriodType = $scope.calculateInfo.coveragePeriod;
                $scope.coverageYear = $scope.calculateInfo.coverageYear;

                $scope.extraInfo = $scope.productGetItem("extraInfo");
                $scope.destination = $scope.extraInfo.destination;
                //$scope.insuredEndDate =  $scope.calculateInfo.insuredEndDate;
            }
        }

        if ("100302,100303".indexOf($scope.productId) > -1) {

            $scope.extraInfo = $scope.productGetItem('extraInfo');
            if (typeof $scope.extraInfo.destination != "undefined" && $scope.extraInfo.destination) {
                $scope.destination = $scope.extraInfo.destination;
            } else {
                $scope.destination = "";//初始化旅行目的地
            }
            $scope.changeDestination = function (travel) {
                $scope.destination = travel;//旅行目的地更改时重新赋值

            };

        }
        //初始化产品数据
        function initBaseInfo() {
            $scope.productBaseInfo = $scope.productGetItem('productBaseInfo');//产品基础信息
            $scope.productId = $scope.productBaseInfo.productId;//当前产品Id
            //是否续保
            var renewalProducts = "100301";
            $scope.renewalFlag = renewalProducts.indexOf($scope.productId) > -1 ? true : false;
            //加载续期银行
            if ($scope.renewalFlag) {
                $scope.renewalInfo = {};
                $scope.renewalBanks = renewalBanks["C" + $scope.productBaseInfo.productCompany];
            }
        }

        //同意续保协议
        $scope.continueInsureBtn = function () {
            $scope.agreeContinue = !$scope.agreeContinue;
            console.log($scope.agreeContinue);
            if ($scope.agreeContinue) {//选择续期则加载机构信息
                $scope.getBranch("renewalInfo", "", 0, "", 0);
            }
        };

        //初始续期信息
        function initRenewalInfo() {
            $scope.renewalInfo = {};
            if ($scope.saveData.renewalInfo) {
                $scope.renewalFlag = true;
                //成长卫士
                if ($scope.productId == "100301")
                    $scope.agreeContinue = false;
                $scope.renewalInfo = $scope.productGetItem('renewalInfo');
                $scope.getBranch("renewalInfo", "", 0, "", 0);//加载省列表信息
                if ($scope.renewalInfo.addressInfo && $scope.renewalInfo.addressInfo.provinceCode) {//获取省对应市信息
                    $scope.getBranch("renewalInfo", "", 1, $scope.renewalInfo.addressInfo.provinceCode, 0);
                }
            } else {
                $scope.renewalInfo.addressInfo = {};
            }
        }

        if ($stateParams.productId == '100301') {
            $scope.singelMoney = 50000;
        }
        $scope.insureNum = function (unit) {
            $scope.unit = unit;
            $scope.sumAssured = (unit * $scope.singelMoney) / 10000 + "万元";
            if ($scope.productId == "100030") {
                $scope.coveragePeriodValue = unit;//保障期间
                productJs($scope, {
                    "type": "calculate",
                    params: {'benefitLevel': num}
                }, {"adbService": adbService});//保存计划信息
            }else if($scope.productId == "100301"){
                $scope.calculateInfo.unit = unit;
                $scope.productSetItem("calculateInfo",$scope.calculateInfo);
            }
        };
        /*--1111111------------------------------fillInfo   step1  结束-----------------------------*/

        /*--2222222------------------------------fillInfo   step2  开始---------------------------------*/
        //得到证件类型
        if ("100301" == $stateParams.productId) {//1为身份证，3为护照，6为户口本，12为其他
            $scope.benefiCredTypes = getSpecCredList("1,3,6");//处理受益人证件类型
        }
        else if ("100317,100285,100303,100062".indexOf($scope.productId) > -1) {
            $scope.benefiCredTypes = getSpecCredList("1,3,12");//处理受益人证件类型
        }
        else if ("100311,100313,100312,100318,100319".indexOf($scope.productId) > -1) {
            $scope.benefiCredTypes = getSpecCredList("1,6,12");//处理受益人证件类型
        }
        else {
            $scope.benefiCredTypes = getSpecCredList("1,3,12");//处理受益人证件类型
        }

        if ($stateParams.stepId == '3') {//在投保第三步时重新设置证件类型
            if ("100301" == $stateParams.productId) {
                $scope.benefiCredTypes = getSpecCredList("1,3,6");//处理受益人证件类型
            } else if ("100317,100313,100312,100285,100303,100062,100302".indexOf($scope.productId) > -1) {
                $scope.benefiCredTypes = getSpecCredList("1,3,12");
            } else if ("100329A,100329C".indexOf($scope.productId) > -1) {//老年人A\C取消医学证明
                $scope.benefiCredTypes = getSpecCredList("1,6");//处理受益人证件类型
            } else {
                $scope.benefiCredTypes = getSpecCredList("1,6,4");//处理受益人证件类型
            }
        }
        $scope.sexList = sexList;//性别列表

        if ("100301" == $stateParams.productId) {//被保人未成年
            $scope.relationShipIds = getSpecRelaList("6,7");//处理被保人指定关系列表
            $scope.relationShipIds = $scope.relationShipIds.splice(1);
        } else if ("100313,100312,100285,100303,100329A,100329C,100062,100302,100288".indexOf($scope.productId) > -1) {
            $scope.relationShipIds = getSpecRelaList("1,2,3,4,5,6,7,10");//处理被保人指定关系列表
            $scope.relationShipIds = $scope.relationShipIds.splice(0);
        }
        else if ("100317" == $stateParams.productId) {
            $scope.relationShipIds = getSpecRelaList("1,2,3,6,7,10");//处理被保人指定关系列表
            $scope.relationShipIds = $scope.relationShipIds.splice(0);
        }
        else {
            $scope.relationShipIds = getSpecRelaList("6,7,10");//处理被保人指定关系列表1:本人，6：父亲，7：母亲 4：儿子，5：女儿，10：法定监护人
            $scope.relationShipIds = $scope.relationShipIds.splice(1);

        }

        //修改证件类型
        $scope.certiTypeChange = function (custType, certiType) {
            var certiCode = "";
            $scope.maxLength = 30;
            if (certiType == "1") {
                certiCode = $scope[custType].certiCode;
            } else if (certiType == "2") {
                certiCode = $scope[custType].militaryId;
            } else if (certiType == "3") {
                certiCode = $scope[custType].passPort;
            } else if (certiType == "10") {
                certiCode = $scope[custType].driveLicense;
            }
            $scope[custType].certiCode = certiCode;
            $scope.certiCodeLength = getCredTypesLength['id' + $scope[custType].certiType];
        };

        $scope.credNumChange = function (type, certiType, certiCode) {     //修改投保人证件号 type:投被保人、受益人 certiCode：证件号 certiType：证件类型 1 身份证 3 护照

            credNumChange(type, certiType, certiCode);
        };
        //修改证件号
        function credNumChange(type, certiType, certiCode) {
            if (typeof certiCode != "undefined") {
                if (certiType == "1") {
                    var CredNum = certiCode;
                    var birthDay = "";
                    var _birthDay = "";
                    if (CredNum.length == 15) {
                        if (!IdCardValidate(CredNum)) {//校验身份证是否有效
                            return;
                        }
                        birthDay = CredNum.substr(6, 6);
                        _birthDay = "19" + birthDay.substr(0, 2) + '-' + birthDay.substr(2, 2) + '-' + birthDay.substr(4, 2);
                    }
                    else if (CredNum.length == 18) {
                        if (!IdCardValidate(CredNum)) {//校验身份证是否有效
                            $scope.dialogTip("身份证号填写有误，请更正");
                            return;
                        }
                        birthDay = CredNum.substr(6, 8);
                        _birthDay = birthDay.substr(0, 4) + '-' + birthDay.substr(4, 2) + '-' + birthDay.substr(6, 2);
                    }else{//证件号无效
                        return;
                    }

                    var gender = maleOrFemalByIdCard(CredNum);
                    if ("holder" == type) {//投保人

                        $scope.holderInfo.holderBirthday = new Date(_birthDay);
                        if (gender == 'male') {
                            $scope.holderInfo.holderSex = "M";

                        } else {
                            $scope.holderInfo.holderSex = "F";
                        }
                        $scope.changeRelationShipIds();//根据性别来判断被保人关系

                        if ($scope.insuredInfo && $scope.insuredInfo.relationship == 1) {
                            $scope.insuredInfo.insuredBirthday = $scope.holderInfo.holderBirthday;
                            $scope.insuredBirthday = $scope.holderInfo.holderBirthday;
                            $scope.insuredInfo.insuredSex = $scope.holderInfo.holderSex
                        }
                    }
                    else if ("insured" == type) {//被保人
                        $scope.insuredInfo.insuredBirthday = new Date(_birthDay);
                        if (gender == 'male') {
                            $scope.insuredInfo.insuredSex = "M";
                        } else {
                            $scope.insuredInfo.insuredSex = "F";
                        }
                        //试算保费
                        if (_birthDay.length == 10) {
                            $scope.birthdayChange(type, _birthDay);
                        }
                        if ("100303" == $scope.productId) {
                            var params100303 = {
                                "coveragePeriodType": $scope.calculateInfo.coveragePeriod,//保障期间类型
                                "coveragePeriod": $scope.calculateInfo.coveragePeriodValue,//保障期间
                                "coverageYear": $scope.calculateInfo.coverageYear//保障期间的取值
                            };
                            productJs($scope, {
                                "type": "calculate",
                                "params": params100303
                            }, {"adbService": adbService});//根据保险期间进行试算
                        } else if ("100285" == $scope.productId || "100288" == $scope.productId) {
                            //console.info(_birthDay, $scope.calculateInfo.coveragePeriodValue, $scope.calculateInfo.coveragePeriod, $scope.benefitLevel);
                            $scope.changeCoveragePeriod_100285(_birthDay, $scope.calculateInfo.coveragePeriodValue, $scope.calculateInfo.coveragePeriod, $scope.benefitLevel);
                          
                        } else if ("100301" == $scope.productId) {
                            $scope.insuredBirthday = _birthDay;
                            productJs($scope, {
                                "type": "changeBirthday",
                                params: {'birthday': _birthDay, 'unit': $scope.insurePlan.unit}
                            }, {"adbService": adbService});//保存计划信息
                        }

                    }
                }
            }
        }

        $scope.changeRelationShipIds = function () {//根据男女更改投被保人关系
            if ($scope.holderInfo.holderSex == 'M') {
                $scope.relationShipIds = getSpecRelaList("6,10");//处理被保人指定关系列表1:本人，6：父亲，7：母亲 4：儿子，5：女儿，10：法定监护人
                $scope.relationShipIds = $scope.relationShipIds.splice(1);
                if ("100313,100312,100285,100303,100329A,100329C,100062,100302,100288,100317".indexOf($scope.productId) > -1) {
                    $scope.relationShipIds = getSpecRelaList("1,3,4,6,10");//处理被保人指定关系列表1:本人，6：父亲，7：母亲 4：儿子，5：女儿，10：法定监护人

                }else if("100301".indexOf($scope.productId) > -1){
                    $scope.relationShipIds = getSpecRelaList("6");
                    $scope.relationShipIds = $scope.relationShipIds.splice(1);
                }
            }
            else if ($scope.holderInfo.holderSex == 'F') {
                $scope.relationShipIds = getSpecRelaList("7,10");//处理被保人指定关系列表1:本人，6：父亲，7：母亲 4：儿子，5：女儿，10：法定监护人
                $scope.relationShipIds = $scope.relationShipIds.splice(1);
                if ("100313,100312,100285,100303,100329A,100329C,100062,100302,100288,100317".indexOf($scope.productId) > -1) {
                    $scope.relationShipIds = getSpecRelaList("1,2,5,7,10");//处理被保人指定关系列表1:本人，6：父亲，7：母亲 4：儿子，5：女儿，10：法定监护人
                    $scope.relationShipIds = $scope.relationShipIds.splice(0);
                }else if("100301".indexOf($scope.productId) > -1){
                    $scope.relationShipIds = getSpecRelaList("7");
                    $scope.relationShipIds = $scope.relationShipIds.splice(1);
                }
            }
        };


        //校验被保人年龄是否满足
        var validInsuredAge = function () {
            var validFlag = true;
            $scope.calBirthday = formatDate10($scope.insuredInfo.insuredBirthday);//试算年龄
            //console.info($scope.calBirthday);
            $scope.calculateInfo = $scope.productGetItem('calculateInfo');
            //$scope.calculateInfo.insuredStartDate = $scope.calculateInfo.insuredStartDate.substring(0, 10);
            $scope.insurePlan = $scope.productGetItem('insurePlan');
            $scope.unit = $scope.insurePlan.unit;
            var params = {
                "unit": $scope.unit,
                "birthday": $scope.calBirthday,//出生日期
                "insuredStartDate": $scope.calculateInfo.insuredStartDate,//保单生效日
                "minInsuredAgeUnit": $scope.productBaseInfo.minInsuredAgeUnit,//最小年龄单位
                "minLAAge": $scope.productBaseInfo.minLAAge,//最小单位值
                "maxInsuredAgeUnit": $scope.productBaseInfo.maxInsuredAgeUnit,//最大年龄单位
                "maxLAAge": $scope.productBaseInfo.maxLAAge//最大年龄值
            };


            var ageBoolean = productJs($scope, {"type": "calculateAge", "params": params}, {"adbService": adbService});
            if (!ageBoolean) {
                var msg = $scope.productBaseInfo.minLAAge + ageUnit["age" + $scope.productBaseInfo.minInsuredAgeUnit] + " - " + $scope.productBaseInfo.maxLAAge + ageUnit["age" + $scope.productBaseInfo.maxInsuredAgeUnit];
                $scope.dialogTip("被保人年龄范围为:" + msg);
                validFlag = false;
            }
            return validFlag;
        };
        //获取出生日期
        $scope.birthdayChange = function (type, birthday) {
            if (type == "holder") {
                var holderAge = 0;
                if (typeof ($scope.holderInfo.holderBirthday) == 'string') {
                    holderAge = getCurrentAge($scope.holderInfo.holderBirthday);
                    //console.info(holderAge);
                }
                else {
                    holderAge = getCurrentAge(formatDate10($scope.holderInfo.holderBirthday));
                    //console.info(holderAge);
                }

                if (holderAge < 18) {
                    $scope.dialogTip('投保人需年满18周岁');
                    return false;
                }

                if ("100313,100312".indexOf($scope.productId) > -1) {
                    if (holderAge > 65) {
                        $scope.dialogTip('投保人需小于65周岁');
                        return false;
                    }
                }
                //更改出生日期，并且投被保关系为本人
                if ($scope.insuredInfo.relationship == "1") {
                    $scope.insuredInfo.insuredBirthday = $scope.holderInfo.holderBirthday;
                }
                if ($scope.holderInfo.certiType == 1) {
                    if (formatDate10($scope.holderInfo.holderBirthday).replace(/-/g, "") != $scope.holderInfo.certiCode.substring(6, 14)) {
                        $scope.dialogTip("出生日期与身份证号不符");
                        return false;
                    }
                }
            } else if (type == "insured") {
                if ($scope.insuredInfo.certiType == 1) {
                    if (formatDate10($scope.insuredInfo.insuredBirthday).replace(/-/g, "") != $scope.insuredInfo.certiCode.substring(6, 14)) {
                        $scope.dialogTip("出生日期与身份证号不符");
                        return false;
                    }
                }
                return validInsuredAge();
            }
        };
        //定义获取职业
        $scope.getJobLevel = function (code, id, num) {
            if(num=="2" && code==null){
                $scope.jobLevelTwo = [];
                delete $scope.insuredInfo.levelvalTwo;
                return;
            }
            //100288的职业类别为1，2
            var level="100288" == $stateParams.productId?"1,2":"1,2,3";
            adbService.getResult(
                {},
                $scope.setService("I228010", {
                    "parentCode": code,
                    "productId": id.substring(0, 6),
                    "level": level,
                    "jobClassType": num
                }),
                function (json) {
                    if (json.header.istatus == '-99') {
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        if (num == "1") {
                            $scope.jobLevel = json.data;
                        } else if (num == "2") {
                            $scope.jobLevelTwo = json.data;
                        }
                    }
                },
                function (err) {
                }
            )

        };
        //初始化投保人信息
        function initHolderInfo() {
            if ($scope.saveData.holderInfo) {
                $scope.holderInfo = $scope.productGetItem('holderInfo');
                $scope.holderInfo.holderBirthday = new Date($scope.holderInfo.holderBirthday);
                $scope.getBranch("holderInfo", "", 0, "", 0);
                if ($scope.holderInfo.addressInfo.provinceCode) {//获取省对应市信息
                    $scope.getBranch("holderInfo", "", 1, $scope.holderInfo.addressInfo.provinceCode, 0);
                }
                $scope.addressDetail = $scope.holderInfo.addressInfo.provinceName + '-' + $scope.holderInfo.addressInfo.cityName + '-' + $scope.holderInfo.addressInfo.detailAddress;
                if ($scope.productId == "100030") {
                    $scope.holderInfo.relationship = 1;
                    $scope.holderInfo.relationshipValue = "本人";
                }
                $scope.changeRelationShipIds();//加载投被保人关系可选项
            } else {
                $scope.holderInfo = {};
                $scope.holderInfo.addressInfo = {};
                $scope.holderInfo.certiType = '1';
                $scope.getBranch("holderInfo", "", 0, "", 0);
                if ($scope.holderInfo.addressInfo.provinceCode) {//获取省对应市信息
                    $scope.getBranch("holderInfo", "", 1, $scope.holderInfo.addressInfo.provinceCode, 0);
                }
                $scope.holderInfo.holderSex = '';//初始化性别
                if ($scope.productId == "100030") {
                    $scope.holderInfo.relationship = 1;
                    $scope.holderInfo.relationshipValue = "本人";
                }
            }
        }

        /*--2222222--------------------------fillInfo   step2  结束---------------------------------*/

        /*--3333333--------------------------fillInfo   step3  开始---------------------------*/
        //修改投被保人关系
        $scope.relationshipChange = function (param) {
            if (param == 1) {
                //$scope.insuredInfo = {};
                $scope.insuredInfo.relationship = param;
                $scope.insuredInfo.insuredName = $scope.holderInfo.holderName;
                $scope.insuredInfo.insuredMobile = $scope.holderInfo.holderMobile;
                $scope.insuredInfo.insuredSex = $scope.holderInfo.holderSex;
                $scope.insuredInfo.namePinyin = $scope.holderInfo.namePinyin;
                $scope.insuredInfo.certiType = $scope.holderInfo.certiType;
                $scope.insuredInfo.certiCode = $scope.holderInfo.certiCode;
                $scope.insuredInfo.passPort = $scope.holderInfo.passPort;
                $scope.insuredInfo.insuredBirthday = $scope.holderInfo.holderBirthday;
                $scope.insuredInfo.customerId = $scope.holderInfo.customerId;//如果投保人是选择客户，获取客户Id
                $scope.insuredInfo.certiName = getCredTypes['id' + $scope.holderInfo.certiType];
                $scope.insuredInfo.editFlag = true;
                $scope.productSetItem('insuredInfo', $scope.insuredInfo);
                if ('100285' == $scope.productId || '100288' == $scope.productId) {
                    loadProductJs();
                    $scope.birthdayChange('insured', $scope.insuredInfo.insuredBirthday);
                    $scope.changeCoveragePeriod_100285($scope.insuredInfo.insuredBirthday, $scope.calculateInfo.coveragePeriodValue, $scope.calculateInfo.coveragePeriod, $scope.benefitLevel);
                }
            } else {
                //瑞泰产品特殊处理
                $scope.holderInfo.relationship = param;
                $scope.insuredInfo = {};
                $scope.productSetItem('insuredInfo', $scope.insuredInfo);
            }

        };

        if ("100317" == $stateParams.productId || "100329A" == $stateParams.productId || "100329C" == $stateParams.productId
            || "100312" == $stateParams.productId || "100288" == $stateParams.productId) {
            //if(typeof localStorage.getItem('a')=="undefined" || localStorage.getItem('a')=="undefined"){
            //    $scope.jobLevel = [];
            //}else{
                $scope.jobLevel = JSON.parse(localStorage.getItem('a'));
            //}
            if(typeof localStorage.getItem('b')=="undefined" || localStorage.getItem('b')=="undefined"){
                $scope.jobLevelTwo = [];
            }else{
                $scope.jobLevelTwo = JSON.parse(localStorage.getItem('b'));
            }


            if ($scope.jobLevel != "" && $scope.jobLevel != null && $scope.jobLevel != 'undefined' && $scope.jobLevelTwo != "" && $scope.jobLevelTwo != null && $scope.jobLevelTwo != 'undefined') {
            } else {
                $scope.jobLevel = [];
                $scope.jobLevelTwo = [];

                $scope.getJobLevel("", $stateParams.productId, "1");

            }
        }

        //初始化被保人信息
        function initInsuredInfo() {
            if ($scope.saveData.insuredInfo) {
                $scope.insuredInfo = $scope.productGetItem('insuredInfo');
                $scope.insuredInfo.insuredBirthday = new Date($scope.insuredInfo.insuredBirthday);
                if($scope.productId == "100301"){
                    $scope.insuredBirthday = new Date($scope.insuredInfo.insuredBirthday);
                }
                $scope.getBranch("insuredInfo", "", 0, "", 0);
                if ($scope.insuredInfo.addressInfo && $scope.insuredInfo.addressInfo.provinceCode) {//获取省对应市信息
                    $scope.getBranch("insuredInfo", "", 1, $scope.insuredInfo.addressInfo.provinceCode, 0);
                }

            } else {
                $scope.insuredInfo = {};
                $scope.insuredInfo.addressInfo = {};
                $scope.getBranch("insuredInfo", "", 0, "", 0);
                if ($scope.insuredInfo.addressInfo.provinceCode) {//获取省对应市信息
                    $scope.getBranch("insuredInfo", "", 1, $scope.insuredInfo.addressInfo.provinceCode, 0);
                }
                $scope.insuredInfo.insuredSex = '';//初始化性别
            }

            $scope.insuredInfo.winner = $scope.winner;

            //加载二级机构信息
            if($stateParams.productId=="100312") {
                if($scope.insuredInfo.levelval){
                    $scope.getJobLevel($scope.insuredInfo.levelval, $stateParams.productId, "2");
                 }
            }
        }

        /*--3333333------------------------fillInfo   step3  结束----------------------------*/


        /*--444444--------------------------fillInfo   step4  开始---------------------------*/
        //获取投保信息
        function fillDataInfo() {
            /*$scope.productBaseInfo = $scope.productGetItem('productBaseInfo');
             $scope.calculateInfo = $scope.productGetItem('calculateInfo');
             $scope.holderInfo = $scope.productGetItem('holderInfo');*/
            if ("100302,100303".indexOf($stateParams.productId) > -1) {
                $scope.extraInfo = $scope.productGetItem('extraInfo');//得到特殊属性信息
                $scope.destination = $scope.extraInfo.destination;//得到旅行目的地
            }

            $scope.holderInfo.holderBirthday = formatDate10(new Date($scope.holderInfo.holderBirthday));
            $scope.insuredInfo = $scope.productGetItem('insuredInfo');

            $scope.insuredInfo.insuredBirthday = formatDate10(new Date($scope.insuredInfo.insuredBirthday));
            $scope.insurePlan = $scope.productGetItem('insurePlan');
            if ($scope.saveData.renewalInfo) {
                $scope.renewalInfo = $scope.productGetItem('renewalInfo');
            } else {
                $scope.renewalInfo = {};
            }
            $scope.insuredStartDate = $scope.calculateInfo.insuredStartDate;
            //100301特殊处理,被保人地址信息直接赋值为投保人地址
            if ($scope.productId == "100301") {
                $scope.insuredInfo.addressInfo = $scope.holderInfo.addressInfo;
            }
            //加载保险利益
            $scope.showPlanInfo = $scope.productGetItem('showPlanInfo');
        }

        //同意协议
        $scope.insuranceBtn = function () {
            $scope.agreeState = !$scope.agreeState;
        };


        /*--4444444------------------------fillInfo   step4  结束----------------------------*/
        //保存各对象信息
        function saveSessionInfo (){
            //投保人
            if($scope.holderInfo){
                $scope.productSetItem('holderInfo', $scope.holderInfo);
            }
            //被保人
            if($scope.insuredInfos){
                $scope.productSetItem('insuredInfos', $scope.insuredInfos);
            }
            //试算
            if($scope.calculateInfo){
                $scope.productSetItem('calculateInfo', $scope.calculateInfo);
            }
            //保险利益
            if($scope.showPlanInfo){
                $scope.productSetItem('showPlanInfo', $scope.showPlanInfo);
            }
            //续期账户
            if($scope.renewalInfo){
                $scope.productSetItem('renewalInfo', $scope.renewalInfo);
            }
            //保险利益
            if($scope.extraInfo){
                $scope.productSetItem('extraInfo', $scope.extraInfo);
            }
            //指定投保责任
            if($scope.liabilityList){
                $scope.productSetItem('liabilityList', $scope.liabilityList);
            }
        }
        /*--------------------------头部返回start--------------------------*/
        //因为是浏览器、微信、App都会调用此页面
        var appBack = backFactory.getter();//App存储backFactory

        var num = $scope.titleType = $location.url().split('/')[4];//获取当前fillInfo的步骤
        if (num == '1') {
            $scope.$emit("stepNum", '1');//返回详情页  广播
            $scope.$emit("productId", $stateParams.productId);
            if (typeof appBack['productHealthNotice'] != 'undefined' && appBack['productHealthNotice'] != '') {
                var backUrl = appBack['productHealthNotice'];
                $scope.$emit("adbBack", "index.html#" + backUrl, "2","fillInfo");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
                $scope.$on('sendChild', function(event,data) {
                    if(data == "saveSession"){
                        saveSessionInfo();//保存相应对象信息
                    }
                });
            }
            else {
                //不是APP,从localstorage读取
                var localBack = localStorage.getItem("proDetailUrl");
                $scope.$emit("adbBack", "index.html#" + localBack, "2","fillInfo");
                $scope.$on('sendChild', function(event,data) {
                    if(data == "saveSession"){
                        saveSessionInfo();//保存相应对象信息
                    }
                });
            }
        } else {
            $scope.$emit("stepNum", '');//返回详情页  广播
            $scope.$emit("adbBack", "index.html#" + '/productR/productFillInfoR/' + $stateParams.productId + '/' + --num, "2","fillInfo");
            $scope.$on('sendChild', function(event,data) {
                if(data == "saveSession"){
                    saveSessionInfo();//保存相应对象信息
                }
            });

        }
        /*--------------------------头部返回end--------------------------*/
        /****************************跳转到下一页的校验  start*******************************/

        function checkForm1() {
            var res = {};
            res['status'] = true;//检查通过-true;否则-false
            res['msg'] = '';//返回错误信息
            if ($stateParams.productId == "100301") {
                if ($scope.unit == "请选择" || $scope.unit == undefined || $scope.unit == "" || $scope.sumAssured == "0万元") {
                    res['status'] = false;
                    res['msg'] = '请选择投保份数';
                } else if ($scope.agreeContinue && !validCredNum("", $scope.renewalInfo.bankCode)) {//选择续期
                    res['status'] = false;
                    res['msg'] = '请选择续期银行';
                } else if ($scope.agreeContinue && $scope.productId == "100301" && "100103,100104".indexOf($scope.renewalInfo.bankCode) > -1
                    && (!validCredNum("", $scope.renewalInfo.addressInfo.provinceCode) || !validCredNum("", $scope.renewalInfo.addressInfo.cityCode))) {//选择续期
                    res['status'] = false;
                    res['msg'] = '请选择开户行所在地';
                } else if ($scope.agreeContinue && $scope.productId == "100301" && "100103,100104".indexOf($scope.renewalInfo.bankCode) > -1
                    && !validCredNum("", $scope.renewalInfo.cardNum)) {//选择续期
                    res['status'] = false;
                    res['msg'] = '请输入续保缴费账号';
                }
                return res;
            }
            else if ("100318,100319".indexOf($stateParams.productId) > -1) {

                if (typeof  $scope.insuredStartDate == "undefined" || $scope.insuredStartDate == "Invalid Date") {
                    res['status'] = false;
                    res['msg'] = '请填写保单生效日期！';
                }

            }
            else if ("100302,100303".indexOf($stateParams.productId) > -1) {
                if ($scope.productId == "100302" && $scope.coveragePeriodName == "请选择保障期间") {
                    res['status'] = false;
                    res['msg'] = '请选择保险期间！';
                } else if ($scope.productId == "100303" && $scope.coverageYear == "请选择保障期间") {
                    res['status'] = false;
                    res['msg'] = '请选择保险期间！';
                } else if (typeof  $scope.insuredStartDate == "undefined" || $scope.insuredStartDate == "Invalid Date") {
                    res['status'] = false;
                    res['msg'] = '请填写保单生效日期！';
                } else if ($scope.destination == "" || typeof  $scope.destination == "undefined") {
                    res['status'] = false;
                    res['msg'] = '请输入旅行目的地';
                }

            } else if ("100030".indexOf($stateParams.productId) > -1) {
                if ($scope.productId == "100030" && typeof $scope.unit == "undefined") {
                    res['status'] = false;
                    res['msg'] = '请选择保险期间！';
                }
            } else if ("100285".indexOf($stateParams.productId) > -1) {
                if ($scope.productId == "100285" && $scope.coveragePeriodName285 == "请选择保险期间") {
                    res['status'] = false;
                    res['msg'] = '请选择保险期间！';
                }
            } else if ("100288".indexOf($stateParams.productId) > -1) {
                if ($scope.productId == "100288" && $scope.coveragePeriodName288 == "请选择保险期间") {
                    res['status'] = false;
                    res['msg'] = '请选择保险期间！';
                }
            } else if (new Date($scope.insuredStartDate) == "Invalid Date" || $scope.insuredEndDate == "" || new Date($scope.insuredEndDate) == "Invalid Date") {
                res['status'] = false;
                res['msg'] = '请正确选择保单生效日！';
            }
            return res;
        }


        function checkForm2() {
            var res = {};
            res['status'] = true;//检查通过-true;否则-false
            res['msg'] = '';//返回错误信息
            if (!validCredNum("name", $scope.holderInfo.holderName)) {
                res['status'] = false;
                res['msg'] = '投保人姓名填写有误（2-20位中英文），请更正';
            } else if (typeof $scope.holderInfo.certiType == "undefined" || $scope.holderInfo.certiType == "0") {
                res['status'] = false;
                res['msg'] = '请选择投保人证件类型';
            } else if (!validCredNum($scope.holderInfo.certiType, $scope.holderInfo.certiCode)) {
                res['status'] = false;
                res['msg'] = '投保人证件号码填写有误，请更正';
            } else if (typeof $scope.holderInfo.holderBirthday == "undefined" || $scope.holderInfo.holderBirthday == "") {
                res['status'] = false;
                res['msg'] = '投保人出生日期填写有误，请更正';
            } else if (typeof $scope.holderInfo.holderSex == "undefined" || $scope.holderInfo.holderSex == "") {
                res['status'] = false;
                res['msg'] = '请选择投保人性别';
            } else if (!validCredNum("mobile", $scope.holderInfo.holderMobile)) {
                res['status'] = false;
                res['msg'] = '投保人手机号码填写有误（11位数字），请更正';
            } else if ($scope.holderInfo.certiType == "1" && !checkSex($scope.holderInfo.holderSex, $scope.holderInfo.certiCode)) {//性别校验
                res['status'] = false;
                res['msg'] = '投保人性别与证件号不符，请更正';
            } else if (!validCredNum("email", $scope.holderInfo.holderEmail)) {
                res['status'] = false;
                res['msg'] = '投保人电子邮箱填写有误，请更正';
            } else if ($scope.productId == "100301" && (!validCredNum("", $scope.holderInfo.addressInfo.provinceCode)
                || !validCredNum("", $scope.holderInfo.addressInfo.cityCode) || !validCredNum("", $scope.holderInfo.addressInfo.detailAddress))) {
                res['status'] = false;
                res['msg'] = '投保人通讯地址填写有误，请完善';
            } else if ($scope.productId == "100301" && !validCredNum("postCode", $scope.holderInfo.addressInfo.postCode)) {
                res['status'] = false;
                res['msg'] = '投保人邮编填写有误，请更正';
            } else if (!validCredNum("relation", $scope.holderInfo.relationship)) {
                //console.info($scope.holderInfo.relationship);
                res['status'] = false;
                res['msg'] = '请选择投被保人关系';
            }
            return res;
        }

        function checkForm3() {
            var res = {};
            res['status'] = true;//检查通过-true;否则-false
            res['msg'] = '';//返回错误信息
            console.log($scope.insuredInfo);
            console.log( validInsuredAge($scope.insuredInfo));
            if (!validCredNum("name", $scope.insuredInfo.insuredName)) {
                res['status'] = false;
                res['msg'] = '被保人姓名填写有误（2-20位中英文），请更正';
            } else if (typeof $scope.insuredInfo.insuredSex == "undefined" || $scope.insuredInfo.insuredSex == "") {
                res['status'] = false;
                res['msg'] = '请选择被保人性别';
            } else if (typeof $scope.insuredInfo.certiType == "undefined" || $scope.insuredInfo.certiType == "0") {
                res['status'] = false;
                res['msg'] = '请选择被保人证件类型';
            } else if (!validCredNum($scope.insuredInfo.certiType, $scope.insuredInfo.certiCode)) {
                res['status'] = false;
                res['msg'] = '被保人证件号码填写有误，请更正';
            } else if ($scope.insuredInfo.certiType == "1" && !checkSex($scope.insuredInfo.insuredSex, $scope.insuredInfo.certiCode)) {//性别校验
                res['status'] = false;
                res['msg'] = '被保人性别与证件号不符，请更正';
            } else if (typeof $scope.insuredInfo.insuredBirthday == "undefined" || $scope.insuredInfo.insuredBirthday == "") {
                res['status'] = false;
                res['msg'] = '被保人出生日期填写有误，请更正';
            } else if (("100301,100311,100318,100319").indexOf($scope.productId)==-1 && $scope.insuredInfo.insuredMobile && !validCredNum("mobile", $scope.insuredInfo.insuredMobile)) {
                res['status'] = false;
                res['msg'] = '被保人手机号填写有误，请更正';
            } else if ($stateParams.productId == '100329A' || $stateParams.productId == '100312' || $stateParams.productId == '100288') {
                if (!validCredNum("job", $scope.insuredInfo.levelval) || !validCredNum("job", $scope.insuredInfo.levelvalTwo)) {
                    res['status'] = false;
                    res['msg'] = '被保人职业类别不完整，请更正';
                }
            }
            return res;
        }
        /****************************跳转到下一页的校验  end*******************************/
        /*--------------------------保存并跳到下一步 start-----------------------------------*/
        $scope.saveNext = function (steps) {
            if (steps != '4') {
                if (steps == '1') {
                    var isCheck1 = checkForm1();
                    if (isCheck1.status) {
                    } else {
                        if (isCheck1.msg != '') $scope.dialogTip(isCheck1.msg);//弹出错误提示
                        return;
                    }
                    if ("100302" == $stateParams.productId) {
                        $scope.reckonResult();//执行100302产品试算
                    }

                    if ("100303" == $stateParams.productId) {
                        $scope.calculate100303();//执行100303产品试算
                    }
                    if ('100301' == $stateParams.productId){
                        $scope.calculateAmt100301();
                    }
                    if ("100302,100303".indexOf($stateParams.productId) > -1) {
                        var extraInfo = {};//特殊属性信息
                        extraInfo.destination = $scope.destination;//旅行目的地
                        $scope.extraInfo = extraInfo;//保存特殊属性信息
                        $scope.productSetItem("extraInfo", $scope.extraInfo);
                    }

                    $scope.insurePlan = {
                        'coverageYear': $scope.coverageYear,
                        'chargedDuration': $scope.chargedDuration,
                        'unit': $scope.unit,
                        'sumAssured': $scope.sumAssured
                    };
                    $scope.productSetItem('insurePlan', $scope.insurePlan);
                    $scope.productSetItem('calculateInfo', $scope.calculateInfo);
                    if ($scope.agreeContinue) {  //  保存续期信息
                        branchCodeList.forEach(function (ele, i) {
                            if ($scope.renewalInfo.addressInfo[ele]) {
                                getBranchName("renewalInfo", i, $scope.renewalInfo.addressInfo[ele]);
                            }
                        });
                        $scope.productSetItem('renewalInfo', $scope.renewalInfo);
                    }
                    if ($scope.productId == '100285') {
                        if ($scope.insuredPlanName == '请选择保险计划') {
                            $scope.dialogTip("请选择保险计划")
                            return;
                        }
                        if ($scope.coveragePeriodName == "请选择保险期间") {
                            $scope.dialogTip("请选择保险期间")
                            return;
                        }
                        ;

                    }
                    if ($scope.productId == '100062') {
                        if ($scope.sumAssured == '请选择基本保额') {
                            $scope.dialogTip("请选择基本保额")
                            return;
                        }
                    }
                }
                else if (steps == '2') {
                    var isCheck2 = checkForm2();
                    if (isCheck2.status) {
                        if ($scope.holderInfo.holderBirthday == "") {
                            $scope.dialogTip('请正确填写投保人有效证件号');
                            return;
                        } else {
                            var holderAge = getCurrentAge(formatDate10($scope.holderInfo.holderBirthday));
                            if (holderAge < 18) {
                                $scope.dialogTip('投保人需年满18周岁');
                                return false;
                            }

                            if ("100312" == $stateParams.productId || "100313" == $stateParams.productId) {

                                if (holderAge > 65) {
                                    $scope.dialogTip('投保人需小于65周岁');
                                    return false;
                                }
                            }
                            if ("100030" == $stateParams.productId) {
                                if (holderAge > 60) {
                                    $scope.dialogTip('投保人需小于60周岁');
                                    return false;
                                }
                            }
                        }
                        if ($scope.holderInfo.certiType == 1) {
                            if (formatDate10($scope.holderInfo.holderBirthday).replace(/-/g, "") != $scope.holderInfo.certiCode.substring(6, 14)) {
                                $scope.dialogTip("出生日期与身份证号不符");
                                return false;
                            }
                        }
                    } else {
                        if (isCheck2.msg != '') $scope.dialogTip(isCheck2.msg);//弹出错误提示
                        return;
                    }
                    if ($stateParams.productId == '100030') {
                        $scope.relationshipChange(1);
                    }
                    branchCodeList.forEach(function (ele, i) {
                        if ($scope.holderInfo.addressInfo[ele]) {
                            getBranchName("holderInfo", i, $scope.holderInfo.addressInfo[ele]);
                        }
                    });
                    $scope.productSetItem('holderInfo', $scope.holderInfo);
                    if($scope.holderInfo.relationship=="1"){
                        $scope.relationshipChange($scope.holderInfo.relationship);//重置被保人信息--后退修改投保人信息-投被关系-本人
                    }

                }
                else if (steps == '3') {
                    var isCheck3 = checkForm3();
                    if (isCheck3.status) {
                        var isalidInsuredAge = validInsuredAge();//判断是否为有效年龄

                        if (isalidInsuredAge) {
                            //年龄有效
                            if ($scope.insuredInfo.relationship != 1 && $scope.insuredInfo.certiType == $scope.holderInfo.certiType && $scope.insuredInfo.certiCode == $scope.holderInfo.certiCode) {
                                //不是本人时，被保人身份证号不能与投保人重复
                                $scope.dialogTip('投保人信息与被保人信息重复');
                                return;
                            }
                            if ($scope.insuredInfo.certiType == 1) {
                                //console.info($scope.insuredInfo.insuredBirthday);
                                if (formatDate10($scope.insuredInfo.insuredBirthday).replace(/-/g, "") != $scope.insuredInfo.certiCode.substring(6, 14)) {
                                    $scope.dialogTip("出生日期与身份证号不符");
                                    return false;
                                }
                            }
                        } else {
                            //无效
                            return;
                        }
                    } else {
                        if (isCheck3.msg != '') $scope.dialogTip(isCheck3.msg);//弹出错误提示
                        return;
                    }
                    if ($scope.productId == '100317' || $scope.productId == '100329A' || $scope.productId == '100329C'|| $scope.productId == '100312' || $scope.productId == '100288') {
                        var a = $scope.jobLevel;
                        var b = $scope.jobLevelTwo;
                        localStorage.setItem('a', JSON.stringify(a));
                        localStorage.setItem('b', JSON.stringify(b));
                        if ($scope.insuredInfo.levelvalTwo == "" && $scope.insuredInfo.levelval == "" && $scope.insuredInfo.levelvalTwo == 'undefined' && $scope.insuredInfo.levelval == 'undefined') {
                            $scope.dialogTip('请选择职业类别');
                            return;
                        } else {
                            //获取职业类别名称
                            for (var i = 0; i < $scope.jobLevel.length; i++) {
                                if ($scope.jobLevel[i].jobClassCode == $scope.insuredInfo.levelval) {
                                    $scope.insuredInfo.levelvalName = $scope.jobLevel[i].jobClassName;
                                }
                            }
                            if(typeof $scope.jobLevelTwo=="undefined"){
                                $scope.jobLevelTwo = [];
                            }
                            for (var j = 0; j < $scope.jobLevelTwo.length; j++) {
                                if ($scope.jobLevelTwo[j].jobClassCode == $scope.insuredInfo.levelvalTwo) {
                                    $scope.insuredInfo.levelvalTwoName = $scope.jobLevelTwo[j].jobClassName;
                                }
                            }
                            if(typeof $scope.insuredInfo.levelval=="undefined" || !$scope.insuredInfo.levelval){
                                $scope.insuredInfo.levelvalName = "";
                            }
                            if(typeof $scope.insuredInfo.levelvalTwo=="undefined" || !$scope.insuredInfo.levelvalTwo){
                                $scope.insuredInfo.levelvalTwoName = "";
                            }
                            $scope.insuredInfo.jobLevelUnit = $scope.insuredInfo.levelvalName + '-' + $scope.insuredInfo.levelvalTwoName;
                            $scope.insuredInfo.joblevel = $scope.insuredInfo.levelvalTwo;
                        }
                    }
                    $scope.insuredInfo.relationship = $scope.holderInfo.relationship;
                    /*if($scope.insuredInfo.addressInfo){
                     $scope.insuredInfo.addressInfo = $scope.holderInfo.addressInfo;
                     }else{
                     branchCodeList.forEach(function(ele,i){
                     if($scope.insuredInfo.addressInfo[ele]){
                     getBranchName("insuredInfo",i,$scope.insuredInfo.addressInfo[ele]);
                     }
                     });
                     }*/
                    $scope.productSetItem('insuredInfo', $scope.insuredInfo);
                }
                var step = ++steps;
                location.href = '#/productR/productFillInfoR/' + $stateParams.productId + '/' + step;
            } else {//调取收银台  返回成功  跳到成功页面
                //申请订单支付
                $scope.applyPayOrder = function (data) {
                    //表单数据
                    $('input[name="clientSysCode"]').val(data.clientSysCode);
                    $('input[name="transCode"]').val(data.transCode);
                    $('input[name="shopId"]').val(data.shopId);
                    $('input[name="shopUid"]').val(data.shopUid);
                    $('input[name="regCode"]').val(data.regCode);
                    $('input[name="regId"]').val(data.regId);
                    $('input[name="certiType"]').val(data.certiType);
                    $('input[name="certiName"]').val(data.certiName);
                    $('input[name="certiCode"]').val(data.certiCode);
                    $('input[name="wxOpenId"]').val(data.wxOpenId);
                    $('input[name="wxUnionId"]').val(data.wxUnionId);
                    $('input[name="busiOrderId"]').val(data.busiOrderId);
                    $('input[name="busiSeqId"]').val(data.busiSeqId);
                    $('input[name="busiOrderTime"]').val(data.busiOrderTime);
                    $('input[name="busiOrderDesc"]').val(data.busiOrderDesc);
                    $('input[name="busiOrderAmt"]').val(data.busiOrderAmt);
                    $('input[name="noticeUrl"]').val(data.noticeUrl);
                    $('input[name="successUrl"]').val(data.successUrl);
                    $('input[name="pgType1"]').val(data.pgType1);
                    $('input[name="pgType2"]').val(data.pgType2);
                    $('input[name="pgType3"]').val(data.pgType3);
                    $('input[name="shopSign"]').val(data.shopSign);
                    $('input[name="shopNonce"]').val(data.shopNonce);
                    $('input[name="shopVer"]').val(data.shopVer);
                    $('input[name="token"]').val(data.token);
                    $('#payForm').prop('action', data.formUrl).prop('method', "POST");
                    document.getElementById("payForm").submit();
                };
                if (!$scope.agreeState) {
                    $scope.dialogTip("请查看并同意投保声明");
                    return;
                }
                var clientType = getClientType();
                $scope.productBaseInfo.productId = $scope.productBaseInfo.productId.substring(0, 6);
                $scope.calculateInfo.productId = $scope.calculateInfo.productId.substring(0, 6);
                //投保支付客户信息
                var user = {};
                if (localStorage.getItem('broker_in_session') == null) {//匿名用户
                    user.regId = "";
                    user.certiName = $scope.holderInfo.holderName;
                    user.certiCode = $scope.holderInfo.holderCredNum;
                    user.brokerCode = "";
                } else {//登录用户
                    var brokerInfo = JSON.parse(localStorage.getItem('broker_in_session'));
                    user.userId = brokerInfo.userId;
                    user.accId = brokerInfo.accId;
                    user.regId = brokerInfo.regId;
                    user.brokerCode = brokerInfo.brokerCode;
                    user.shareCode = brokerInfo.shareCode;
                    user.invitationCode = brokerInfo.shareCode;
                    user.brokerName = brokerInfo.name;
                }
                ;
                //console.info("存储分享信息："+localStorage.getItem('shareInfo_in_session'));
                if (localStorage.getItem('shareInfo_in_session') != null) {//分享信息
                    var shareInfo = JSON.parse(localStorage.getItem('shareInfo_in_session'));
                    user.invitationCode = decodeURIComponent(shareInfo.shareCode) || user.shareCode;
                    user.submitChlId = shareInfo.submitChlId;
                    user.wxOpenId = shareInfo.wxOpenId;//获取微信openId
                    user.saleChlId = shareInfo.saleChlId;//销售渠道
                    user.brokerName = decodeURIComponent(shareInfo.brokerName);
                }
                //设置分享图片地址
                user.shareImgUrl = _globalOption.host + shareProduct.baseUrl+$scope.productId+shareProduct.imgType;
                //100062老年骨折险
                if ($scope.calculateInfo.productId == "100062") {
                    $scope.calculateInfo.sumAssured = calculateInfo.sumAssured.substring(0, calculateInfo.sumAssured.indexOf("万元")) * 10000;
                }
                //中老年C
                if ($scope.calculateInfo.productId == "100329") {
                    delete $scope.calculateInfo.sumAssured;
                }
                //console.info("分享客户信息",user);
                var Data = {
                    "holderInfo": $scope.holderInfo,
                    "insuredInfo": $scope.insuredInfo,
                    "calculateInfo": $scope.calculateInfo,
                    "renewalInfo": $scope.renewalInfo,
                    "productBaseInfo": $scope.productBaseInfo,
                    "user": user,
                    "clientType": clientType,
                    "extraInfo": $scope.extraInfo
                };
                //console.info(Data);
                adbService.getResult(
                    {},
                    $scope.setService("I181012", Data),
                    function (json) {
                        if (json.header.istatus == '-99'){
                            $scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {
                            $scope.applyPayOrder(json.data);
                        }
                        if (json.header.istatus == '2') {
                            $scope.dialogTip(json.header.imsg);
                        }
                    },
                    function (err) {
                        $scope.dialogTip("网络超时,请稍后再试");
                    }
                );
            }
        };
        /*--------------------------保存并跳到下一步 end-----------------------------------*/
        /*--------------------------跳转到订单详情 start-----------------------------------*/
        $scope.orderDetail = function () {
            location.href = '#/productOrderDetailR';
        };

        //接收添加用户信息
        $scope.$on("customerInfo", function (event, msg) {
            if (typeof msg[0] != 'undefined') {
                var holderInfo = msg[0];
                holderInfo['birthday'] = new Date(parseInt(holderInfo['birthday']));
                $scope.holderInfo.holderName = holderInfo.name;//姓名
                $scope.holderInfo.holderEmail = holderInfo.emailValue;//邮箱
                $scope.holderInfo.holderBirthday = holderInfo.birthday;//生日
                $scope.holderInfo.holderMobile = holderInfo.contactValue;//电话
                $scope.holderInfo.certiCode = holderInfo.certiCode;//身份证号
                $scope.holderInfo.holderSex = holderInfo.gender;//性别
                if ($scope.holderInfo.certiCode) {
                    $scope.holderInfo.certiType = "1";
                    credNumChange("holder", $scope.holderInfo.certiType, $scope.holderInfo.certiCode);
                }
                $scope.holderInfo.customerId = holderInfo.customerId;
                $scope.changeRelationShipIds();//根据性别来判断被保人关系
                //投被保人为同一人时特殊处理
                $scope.relationshipChange($scope.holderInfo.relationship);
            }
            if (typeof msg[1] != 'undefined') {
                if ($scope.holderInfo.relationship != 1) {
                    var insuredInfo = msg[1];
                    insuredInfo['birthday'] = new Date(parseInt(insuredInfo['birthday']));
                    $scope.insuredInfo.insuredName = insuredInfo.name;
                    $scope.insuredInfo.insuredEmail = insuredInfo.emailValue;
                    $scope.insuredInfo.insuredBirthday = insuredInfo.birthday;
                    $scope.insuredInfo.insuredMobile = insuredInfo.contactValue;
                    $scope.insuredInfo.certiCode = insuredInfo.certiCode;
                    if ($scope.insuredInfo.certiCode) {
                        $scope.insuredInfo.certiType = "1";
                    }
                    $scope.insuredInfo.insuredSex = insuredInfo.gender;
                } else {

                }
            }
        });


        /*--------------------------跳转到订单详情 end-----------------------------------*/
        function init()//初始化信息
        {
            getSystemType();//获取终端类型
            $scope.showFlag = true;
            $scope.saveData = JSON.parse(localStorage.getItem('saveData'));
            if ($stateParams.productId == '100301') {
                $scope.winner = '保险金受益人为被保人本人';
            }
            $scope.stepId = $stateParams.stepId;
            initCalculateInfo();//初始化试算相关信息
            initBaseInfo();//初始化产品数据
            initHolderInfo();//初始化投保人信息
            initInsuredInfo();//初始化被保人信息
            initRenewalInfo();//初始化续期信息
            if ($scope.stepId == 3) {
                loadProductJs();
                if ("100303" == $scope.productId) {
                    var params100303 = {
                        "coveragePeriodType": $scope.calculateInfo.coveragePeriod,//保障期间类型
                        "coveragePeriod": $scope.calculateInfo.coveragePeriodValue,//保障期间
                        "coverageYear": $scope.calculateInfo.coverageYear//保障期间的取值
                    };
                    productJs($scope, {"type": "calculate", "params": params100303}, {"adbService": adbService});//根据保险期间进行试算
                }

            }
            if ($scope.titleType = $location.url().split('/')[4] == '4') {
                fillDataInfo();//获取投保信息
            }
            if ('100285' == $scope.productId) {
                $scope.coveragePeriodName285 = "请选择保险期间";
            }
            if ('100288' == $scope.productId) {
                $scope.coveragePeriodName288 = "请选择保险期间";
            }
            if ($scope.stepId == 1 && $scope.productId == "100030") {
                loadProductJs();
            }
        }

        init();
        $scope.$on('$viewContentLoaded', function () {
            //视图渲染后加载
        });


        //产品生效日判断 num:1 表示明天 0 表示今天
        $scope.changeStartDate = function (startDate) {
            if (startDate == null || new Date(startDate) == "Invalid Date") {//无效生效日，不做处理
                $scope.insuredEndDate = "";
                return;
            }
            /*$scope.gotoApp('selectTime');*/
            var insuredStartDate = "";
            if ("100311,100313,100312".indexOf($scope.productId) > -1) {
                insuredStartDate = genNowDate(3);
            } else {
                insuredStartDate = genNowDate(1);
                if ($scope.productId == "100030") {
                    $scope.insuredStartDate = startDate;
                    productJs($scope, {
                        "type": "calculate",
                        params: {'benefitLevel': num}
                    }, {"adbService": adbService});//保存计划信息
                }
            }
            var insuredStartEndDate = "";
            insuredStartEndDate = addmulMonth(insuredStartDate, 1);

            $scope.insuredStartDate = startDate = $('#insuredStartDate').val();

            if ($scope.insuredStartDate.length == 10 && insuredStartDate > startDate) {
                $scope.insuredStartDate = insuredStartDate;
                $('#insuredStartDate').val(insuredStartDate);
                $scope.dialogTip("生效日不能早于：" + insuredStartDate);
            } else if ($scope.insuredStartDate.length == 10 && insuredStartEndDate < startDate) {
                $scope.insuredStartDate = insuredStartEndDate;
                $('#insuredStartDate').val(insuredStartDate);
                $scope.dialogTip("生效日不能晚于：" + insuredStartEndDate);
            }

            $scope.calculatedInsuredDate($scope.insuredStartDate);

        };

        //计算保障终止时间
        $scope.calculatedInsuredDate = function (startDate) {
            if (typeof startDate == 'string') {
                $scope.calculateInfo.insuredStartDate = formatDate10(new Date(startDate));
                if ($stateParams.productId == '100030') {
                    $scope.calculateInfo.coveragePeriod = calInsuredDate(formatDate10(new Date(startDate)), 5, $scope.unit);
                } else {
                    $scope.calculateInfo.insuredEndDate = calInsuredDate(formatDate10(new Date(startDate)), $scope.calculateInfo.coveragePeriod, $scope.calculateInfo.coveragePeriodValue);
                }

            } else {
                $scope.calculateInfo.insuredStartDate = formatDate10(startDate);
                if ($stateParams.productId == '100030') {
                    $scope.calculateInfo.insuredEndDate = calInsuredDate(formatDate10(startDate), 5, $scope.unit);
                } else {
                    $scope.calculateInfo.insuredEndDate = calInsuredDate(formatDate10(startDate), $scope.calculateInfo.coveragePeriod, $scope.calculateInfo.coveragePeriodValue);
                }
            }
            $scope.insuredEndDate = $scope.calculateInfo.insuredEndDate;
            $scope.productSetItem("calculateInfo", $scope.calculateInfo);
        };

        $scope.showDetail = function (num) {
            if ($scope.detailShow != num) {
                $scope.detailShow = num;

            } else {
                $scope.detailShow = false;

            }
        };

        //更改保障期间
        $scope.changeCoveragePeriod_100285 = function (birthday, coveragePeriod, coveragePeriodType, benefitLevel) {
            if(!validCredNum("",birthday)) return;//未正确获取日期
            $scope.insuredBirthday = birthday;
            if (birthday == '' || typeof birthday == 'undefined') {
                $scope.calculateAmt = '0';
            } else {
                var birthdayTrue;
                if (typeof birthday == 'string') {
                    birthdayTrue = formatDate10(new Date(birthday));
                } else {
                    birthdayTrue = formatDate10(birthday);
                }
                loadProductJs();
                $scope.insuredBirthday = birthdayTrue;
                productJs($scope, {
                    "type": "changeBirthday",
                    params: {
                        'birthday': birthdayTrue,
                        'coveragePeriod': coveragePeriod,
                        'coveragePeriodType': coveragePeriodType,
                        'benefitLevel': benefitLevel
                    }
                }, {"adbService": adbService});//保存计划信息
            }
        }

        /***************************针对100285产品的信息开始*********************/
        if ("100285" == $scope.productId) {
            $scope.copyShow2 = false;//选择份数弹框状态
            $scope.selectCopy2 = function () {  //弹出选择投保份数框
                $scope.copyShow2 = true;
            };
            $scope.calculateInfo = $scope.productGetItem("calculateInfo");

            //选择保险期间
            $scope.selectPeriod285 = function (num) {
                $scope.unit285 = num;
                $scope.coveragePeriod = num;
                $scope.coveragePeriodType = "5";
                $scope.calculateInfo.coveragePeriodValue = num;
                $scope.calculateInfo.coveragePeriod = "5";

                if (num == '1') {
                    $scope.coveragePeriodName285 = "1" + "天";
                    $scope.calculatedInsuredDate($scope.insuredStartDate);
                }
                if (num == '3') {
                    $scope.coveragePeriodName285 = "2-3" + "天";
                    $scope.calculatedInsuredDate($scope.insuredStartDate);
                }
                if (num == '7') {
                    $scope.coveragePeriodName285 = "4-7" + "天";
                    $scope.calculatedInsuredDate($scope.insuredStartDate);
                }
                if (num == '15') {
                    $scope.coveragePeriodName285 = "8-15" + "天";
                    $scope.calculatedInsuredDate($scope.insuredStartDate);
                }
                if (num == '30') {
                    $scope.coveragePeriodName285 = "16-30" + "天";
                    $scope.calculatedInsuredDate($scope.insuredStartDate);
                }
                if (num == '45') {
                    $scope.coveragePeriodName285 = "31-45" + "天";
                    $scope.calculatedInsuredDate($scope.insuredStartDate);
                }

                if (num == '全年') {
                    $scope.coveragePeriod = "1";
                    $scope.coveragePeriodType = "2";
                    $scope.coveragePeriodName285 = "全年";
                    $scope.calculateInfo.coveragePeriodValue = "1";
                    $scope.calculateInfo.coveragePeriod = "2";
                    $scope.calculatedInsuredDate($scope.insuredStartDate);

                }

                $scope.copyShow2 = false;
                var calculateInfo = $scope.productGetItem("calculateInfo");
                calculateInfo.coveragePeriod = $scope.coveragePeriodType;//保障类型
                calculateInfo.coveragePeriodValue = $scope.coveragePeriod;//保障期间
                $scope.calculateInfo = calculateInfo;//保存试算信息
                $scope.productSetItem("calculateInfo", $scope.calculateInfo);
                $scope.changeCoveragePeriod_100285(calculateInfo.insuredBirthday, calculateInfo.coveragePeriodValue, calculateInfo.coveragePeriod, calculateInfo.benefitLevel);
            };

            if ($scope.calculateInfo.coveragePeriod == "5") {
                $scope.selectPeriod285($scope.calculateInfo.coveragePeriodValue);
            }
            else if ($scope.calculateInfo.coveragePeriodValue == "1" && $scope.calculateInfo.coveragePeriod == "2") {
                $scope.coveragePeriodName285 = "全年";
            }

        }


        /***************************针对100285产品的信息结束*********************/

        /***************************100062产品的信息结束*********************/
        if ($scope.productId == "100062") {
            $scope.copyShow = false;//选择弹框状态
            $scope.selectCopy = function () {  //弹出选择基本保额框
                $scope.copyShow = true;
            };
            var calculateInfo = $scope.productGetItem("calculateInfo");//设置基本保额默认显示
            if (calculateInfo.sumAssured) {
                $scope.sumAssured = calculateInfo.sumAssured;
            } else {
                $scope.sumAssured = "请选择基本保额";
            }
            $scope.seleAssured = function (Num) {//选择选择保额
                //console.info("选择分手", Num);
                $scope.unit = Num;
                $scope.copyShow = false;
                $scope.singelMoney = "10000.00";
                $scope.sumAssured = ($scope.unit * $scope.singelMoney) / 10000 + "万元";
                if (Num == "5") {
                    $scope.calculateAmt = "50.00";
                }
                if (Num == "4") {
                    $scope.calculateAmt = "40.00";
                }
                if (Num == "3") {
                    $scope.calculateAmt = "30.00";
                }
                if (Num == "2") {
                    $scope.calculateAmt = "20.00";
                }
                if (Num == "1") {
                    $scope.calculateAmt = "10.00";
                }
                $scope.calculateInfo.calculateAmt = $scope.calculateAmt;  //给保费重新赋值
                //$scope.calculateInfo.sumAssured = $scope.unit*$scope.singelMoney;  //基本保额重新赋值
                $scope.calculateInfo.sumAssured = $scope.sumAssured;  //基本保额重新赋值
                $scope.productSetItem("calculateInfo", $scope.calculateInfo);
            };
        }


        if ($scope.productId == '100302') {

            //选择保险期间
            $scope.duration = false;//选择份数弹框状态
            $scope.selectShow = function () {  //弹出选择投保份数框
                $scope.duration = true;
            };
            $scope.plan_show = false;
            //选择保险期间

            $scope.selectDuration = function (num) {
                //$scope.calculateInfo.coveragePeriodValue = num;
                $scope.selectNum = num;
                $scope.coveragePeriodValue = num;
                //$scope.calculateInfo.coveragePeriod = "5";
                $scope.coveragePeriod = "5";
                if (num == '7') {
                    $scope.coveragePeriodName = "1-7" + "天";
                }
                if (num == '10') {
                    $scope.coveragePeriodName = "8-10" + "天";
                }
                if (num == '14') {
                    $scope.coveragePeriodName = "11-14" + "天";
                }
                if (num == '17') {
                    $scope.coveragePeriodName = "15-17" + "天";
                }
                if (num == '21') {
                    $scope.coveragePeriodName = "18-21" + "天";
                }
                if (num == '24') {
                    $scope.coveragePeriodName = "22-24" + "天";
                }
                if (num == '30') {
                    $scope.coveragePeriodName = "25-30" + "天";
                }
                if (num == '45') {
                    $scope.coveragePeriodName = "31-45" + "天";
                }
                if (num == '60') {
                    $scope.coveragePeriodName = "46-60" + "天";
                }
                if (num == '75') {
                    $scope.coveragePeriodName = "61-75" + "天";
                }
                if (num == '90') {
                    $scope.coveragePeriodName = "76-90" + "天";
                }
                if (num == '180') {
                    $scope.coveragePeriodName = "91-180" + "天";
                }
                if (num == '270') {
                    $scope.coveragePeriodName = "181-270" + "天";
                }
                if (num == '365') {
                    $scope.coveragePeriodName = "270-365" + "天";
                }
                if (num == '1') {
                    //$scope.calculateInfo.coveragePeriodValue = "1";
                    $scope.coveragePeriodValue = "1";
                    //$scope.calculateInfo.coveragePeriod = "2";
                    $scope.coveragePeriod = "2";
                    $scope.coveragePeriodName = "1年";
                }
                $scope.duration = false;
                $scope.calculateInfo.coveragePeriod = $scope.coveragePeriod;
                $scope.calculateInfo.coveragePeriodValue = $scope.coveragePeriodValue;
                //$scope.reckonResult();
                $scope.calculateInfo.coveragePeriodName = $scope.coveragePeriodName;
                $scope.productSetItem("calculateInfo", $scope.calculateInfo);
                $scope.calculatedInsuredDate($scope.insuredStartDate);
            };
            $scope.tab_show = function () {
                $scope.plan_show = true;
            }
            //点击切换
            $scope.tabtit = true;
            //全球三五特殊处理
            if ($scope.productId == "100302") {
                if ($scope.calculateInfo.benefitLevel == "3") {
                    $scope.tabtit = true;
                } else if ($scope.calculateInfo.benefitLevel == "5") {
                    $scope.tabtit = false;
                }
            }
            $scope.planNo = 3;
            $scope.click_tab = function (boolean) {
                $scope.tabtit = boolean;
                if (boolean == true) {
                    $scope.planNo = 3;
                    $scope.planNoName = "计划一";
                    //$scope.reckonResult();
                } else {
                    $scope.planNo = 5;
                    $scope.planNoName = "计划二";
                    //$scope.reckonResult();
                }
                $scope.calculateInfo.benefitLevel = $scope.planNo;
                $scope.calculateInfo.planNoName = $scope.planNoName;
                $scope.plan_show = false;
            }
            //请求试算结果
            $scope.reckonResult = function () {
                //console.log($scope.calculateInfo);
                adbService.getResult(
                    {},
                    $scope.setService("I181011", {
                        "trialProductList": [
                            {
                                "productId": $scope.productId,
                                "parameters": "coveragePeriod=" + $scope.calculateInfo.coveragePeriod + ";coverageYear=" + $scope.calculateInfo.coveragePeriodValue + ";benefitLevel=" + $scope.calculateInfo.benefitLevel
                            }
                        ]
                    }),
                    function (json) {
                        if (json.header.istatus == '-99'){
                            $scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {//存储产品基础信息
                            $scope.calculateAmt = json.data.trialProductList[0].premium;
                            $scope.calculateInfo.calculateAmt = $scope.calculateAmt;
                            $scope.productSetItem("calculateInfo", $scope.calculateInfo);
                        } else {

                        }
                    },
                    function (err) {

                    }
                )
            }

        }
        ;
        /***************************针对100288产品的信息开始*********************/

        if ("100288" == $scope.productId) {
            var calculateInfo = $scope.productGetItem("calculateInfo");
            $scope.copyShow1 = false;//选择份数弹框状态
            $scope.copyShow3 = false;//选择份数弹框状态
            $scope.selectCopy1 = function () {  //弹出选择投保份数框
                $scope.copyShow1 = true;
            };
            $scope.selectCopy288 = function () {  //弹出选择投保份数框
                $scope.copyShow3 = true;
            };
            $scope.calculateInfo = $scope.productGetItem("calculateInfo");

            //选择保险期间
            $scope.selectPeriod288 = function (num) {
                $scope.unit288 = num;
                $scope.coveragePeriod = num;
                $scope.coveragePeriodType = "5";
                $scope.calculateInfo.coveragePeriodValue = num;
                $scope.calculateInfo.coveragePeriod = "5";

                if (num == '2') {
                    $scope.coveragePeriodName288 = "1-2" + "天";
                    $scope.calculatedInsuredDate($scope.insuredStartDate);
                }
                if (num == '7') {
                    $scope.coveragePeriodName288 = "3-7" + "天";
                    //$scope.calculatedInsuredDate($scope.insuredStartDate);
                    $scope.calculatedInsuredDate($scope.insuredStartDate);
                }
                if (num == '15') {
                    $scope.coveragePeriodName288 = "8-15" + "天";
                    $scope.calculatedInsuredDate($scope.insuredStartDate);
                }
                if (num == '全年') {
                    $scope.coveragePeriod = "1";
                    $scope.coveragePeriodType = "2";
                    $scope.coveragePeriodName288 = "全年";
                    $scope.calculateInfo.coveragePeriodValue = "1";
                    $scope.calculateInfo.coveragePeriod = "2";
                    $scope.calculatedInsuredDate($scope.insuredStartDate);

                }

                $scope.copyShow3 = false;
                calculateInfo.coveragePeriod = $scope.coveragePeriodType;//保障类型
                calculateInfo.coveragePeriodValue = $scope.coveragePeriod;//保障期间
                $scope.calculateInfo = calculateInfo;//保存试算信息
                $scope.productSetItem("calculateInfo", $scope.calculateInfo);
                $scope.changeCoveragePeriod_100285(calculateInfo.insuredBirthday, calculateInfo.coveragePeriodValue, calculateInfo.coveragePeriod, calculateInfo.benefitLevel)

            };

            if ($scope.calculateInfo.coveragePeriod == "5") {
                $scope.selectPeriod288($scope.calculateInfo.coveragePeriodValue)
            }
            else if ($scope.calculateInfo.coveragePeriodValue == "1" && $scope.calculateInfo.coveragePeriod == "2") {
                $scope.coveragePeriodName288 = "全年";
            }


            //选择计划
            $scope.benefitLevelName = '计划一'
            $scope.changeEdit288 = function (num) {
                $scope.unitPlan = num;
                if (num == 1) {
                    $scope.benefitLevel = "1";
                    $scope.benefitLevelName = '计划一'
                }
                if (num == 2) {
                    $scope.benefitLevel = "2"
                    $scope.benefitLevelName = '计划二'
                }
                if (num == 3) {
                    $scope.benefitLevel = "3"
                    $scope.benefitLevelName = '计划三'
                }
                $scope.copyShow1 = false;
                calculateInfo.benefitLevel = $scope.benefitLevel;//计划类型
                $scope.calculateInfo = calculateInfo;//保存试算信息
                $scope.productSetItem("calculateInfo", $scope.calculateInfo);
                $scope.changeCoveragePeriod_100285(calculateInfo.insuredBirthday, calculateInfo.coveragePeriodValue, calculateInfo.coveragePeriod, calculateInfo.benefitLevel);
            }
            if (calculateInfo.benefitLevel) {
                $scope.changeEdit288(calculateInfo.benefitLevel);
            }
        }

        $scope.productGetItem('calculateInfo');

        /***************************针对100288产品的信息结束*********************/
    }])
});

function nativeDate2Js(param) {
    //console.log(app);
    var appElement = document.querySelector('[ng-controller=mainCtrl]');
    var $scope = angular.element(appElement).scope();
    //$scope.myTime = param;
    var timestamp = param;//时间抽

    $scope.insuredStartDate = new Date(parseInt(timestamp) * 1000);

}

nativeDate2Js();