define(['app'], function (app) {

    app.register.controller('fillInfoManyCtrl', ["$window", "$scope", 'backFactory', '$location', '$stateParams', 'adbService', function ($window, $scope, backFactory, $location, $stateParams, adbService) {
        //改变页面的<title>
        $scope.appTitle = '填写投保资料';
        $scope.$emit("titleName", $scope.appTitle);
        $scope.$emit("searchShow", false);
        $scope.$emit("homeShow", false);
        $scope.$emit("saveShow", false);
        $scope.$emit("goBackShow", true);
        $scope.resultState = '1';

        //获取终端操作系统类型
        function getSystemType(){
            //微信
            if(localStorage.isWeixin=="true"){
                $scope.isWeixin = true;
            }else{
                $scope.isWeixin = false;
            }
            //android
            if(localStorage.isApp == "true"){
                $scope.isAndroid = true;
            }else{
                $scope.isAndroid = false;
            }
            //ios
            if(localStorage.isAppIos == "true"){
                $scope.isIos = true;
            }else{
                $scope.isIos = false;
            }
        }
        //判断微信openid检查弹出
        var shareDetailInfo = {};
        if(navigator.userAgent.indexOf("MicroMessenger")>-1 ){
            shareDetailInfo = JSON.parse(localStorage.getItem('shareInfo_in_session'));
            if(shareDetailInfo.isCheck=="01") {
                $scope.dialogRes("获取wxOpenId：" + shareDetailInfo.wxOpenId + "(CP0004)");
            }
        }
        //性别判断
        $scope.selectSex = function (type, val) {
            if (type == 'holder') {
                $scope.holderInfo.holderSex = val;
            }
            if (type == 'insured') {
                $scope.insuredInfo.insuredSex = val;
            }
        };

        //切换弹窗
        $scope.initDatas = {
            "fillPlanBox": true,
            "holderInfoBox": true,
            "insureBenifitBox": true,
            "beneficiary": true
        };
        $scope.toggleShow = function (e, index) {
            if (e == "insuredInfos") {
                $scope.insuredInfos[index].insuredInfoBox = !$scope.insuredInfos[index].insuredInfoBox;
            } else {
                $scope.initDatas[e] = !$scope.initDatas[e];
            }
        }

        /*---------------------------跳转打开相应展示页 start-------------------------*/
        $scope.goToShow = function (value) {
            localStorage.setItem('proDetailUrl', $location.url());
            if (value == 5) {
                location.href = 'index.html#/productR/productInsureClauseR/detailOnline/' + $stateParams.productId;
            } else {
                localStorage.setItem('productInsureClause', $location.url());
                location.href = 'index.html#/productR/productInsureNoticeR/detailOnline/' + $stateParams.productId + '/' + value;
            }
        };
        //加载投保产品独立文件
        var productJs;
        var loadProductJs = function () {
            $.ajax({
                url: 'module/product/detailOnline/views/' + $stateParams.productId + '/product.js',
                cache: false,
                async: false,
                success: function (data) {
                    productJs = (new Function("return " + data))();
                    productJs($scope, null, {"adbService": adbService});//保存计划信息  初始Product.js里的方法和初始变量值
                },
                error: function (err) {
                }
            });
        };

        /*---------------------------跳转打开相应展示页 end-------------------------*/

        //获取下级机构信息
        var branchInfos = ["ProvinceList", "CityList", "CountyList"];
        var branchCodeList = ["provinceCode", "cityCode", "countyCode"];
        var branchNameList = ["provinceName", "cityName", "countyName"];
        var showLevel = 2;//展示机构级别
        //type 是投保人还是续期账户信息 branchLevel为当前机构级别 parentCode 当前机构代码 autoFlag 0 自动加载 1 手工选择
        $scope.getBranch = function (type, companyCode, branchLevel, parentCode, autoFlag) {
            if (branchLevel != 0 && branchLevel < showLevel && autoFlag == 1 && parentCode == null) {//选择页面省为空
                for (var i = 0; i < branchInfos.length; i++) {
                    if (i >= branchLevel) {//清空级联机构信息
                        $scope[type + branchInfos[branchLevel]] = [];//清空列表
                        $scope[type]["addressInfo"][branchCodeList[i]] = "";//清空代码
                        $scope[type]["addressInfo"][branchNameList[i]] = "";//清空名称
                    }
                }
            } else {
                if (autoFlag == 1) {
                    for (var i = 0; i < branchInfos.length; i++) {
                        if (i >= branchLevel) {//清空级联机构信息;
                            $scope[type]["addressInfo"][branchCodeList[i]] = "";//清空代码
                            $scope[type]["addressInfo"][branchNameList[i]] = "";//清空名称
                        }
                    }
                }
                adbService.getResult(
                    {},
                    $scope.setService("I226010", {
                        companyCode: companyCode,//公司代码
                        parentCode: parentCode//上级代码
                    }),
                    function (json) {
                        if (json.header.istatus == '-99') {
                            $scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {
                            $scope[type + branchInfos[branchLevel]] = json.data;
                            //100301产品浙江省不包含宁波
                            if ("100301" == $scope.productId && "holderInfo" == type) {
                                if (branchLevel == "0") {
                                } else if (parentCode == "330000") {
                                    for (var i in $scope[type + branchInfos[branchLevel]]) {
                                        if ($scope[type + branchInfos[branchLevel]][i].branchCode == "330200") {
                                            $scope[type + branchInfos[branchLevel]].splice(i, 1);
                                        }
                                    }
                                }
                            }
                        }
                    },
                    function (err) {
                    }
                )
            }
        };


        /*--11111111------------------------------fillInfo   step1  开始-----------------------------*/
        //获取机构名称
        var getBranchName = function (type, branchLevel, branchCode) {
            $scope[type]["addressInfo"][branchNameList[branchLevel]] = "";
            if ($scope[type + branchInfos[branchLevel]]) {
                for (var i = 0; i < $scope[type + branchInfos[branchLevel]].length; i++) {
                    if ($scope[type + branchInfos[branchLevel]][i].branchCode == branchCode) {
                        $scope[type]["addressInfo"][branchNameList[branchLevel]] = $scope[type + branchInfos[branchLevel]][i].branchName;
                        return;
                    }
                }
            }
        };
        //初始化试算相关信息
        function initCalculateInfo() {
            $scope.calculateInfo = $scope.productGetItem('calculateInfo');
            $scope.benefitLevel = $scope.calculateInfo.benefitLevel;
            $scope.unit = $scope.calculateInfo.unit;//份数
            $scope.sumAssured = $scope.calculateInfo.sumAssured / 10000 + '万元';//基本保额
            $scope.insuredStartDate = new Date($scope.calculateInfo.insuredStartDate);//保存试算生效日
            $scope.insuredEndDate = $scope.calculateInfo.insuredEndDate;//保存试算失效日

            //产品接口的试算
            if ($scope.calculateInfo.coveragePeriod == "2" && $scope.calculateInfo.coveragePeriodValue == "1") {
                $scope.coverageYear = "一年";
            }
            //console.info("保存试算信息",$scope.calculateInfo)
        }

        //初始化产品数据
        function initBaseInfo() {
            $scope.productBaseInfo = $scope.productGetItem('productBaseInfo');//产品基础信息
            $scope.productId = $scope.productBaseInfo.productId;//当前产品Id
            $scope.showDelCheck = false;//是否显示删除框
            $scope.delFlag = {};//各项删除标记
        }

        //同意续保协议
        $scope.continueInsureBtn = function () {
            $scope.agreeContinue = !$scope.agreeContinue;
            if ($scope.agreeContinue) {//选择续期则加载机构信息
                $scope.getBranch("renewalInfo", "", 0, "", 0);
            }
        };

        //初始续期信息
        function initRenewalInfo() {
            $scope.renewalInfo = {};
            if ($scope.saveData.renewalInfo) {
                $scope.renewalFlag = true;
                //成长卫士
                if ($scope.productId == "100301")
                    $scope.agreeContinue = true;
                $scope.renewalInfo = $scope.productGetItem('renewalInfo');
                $scope.getBranch("renewalInfo", "", 0, "", 0);//加载省列表信息
                if ($scope.renewalInfo.addressInfo && $scope.renewalInfo.addressInfo.provinceCode) {//获取省对应市信息
                    $scope.getBranch("renewalInfo", "", 1, $scope.renewalInfo.addressInfo.provinceCode, 0);
                }
            } else {
                $scope.renewalInfo.addressInfo = {};
            }
        }


        $scope.insureNum = function (unit) {
            $scope.unit = unit;
            $scope.sumAssured = (unit * $scope.singelMoney) / 10000 + "万元";
        };
        /*--1111111------------------------------fillInfo   step1  结束-----------------------------*/

        /*--2222222------------------------------fillInfo   step2  开始---------------------------------*/
        $scope.benefiCredTypes = getSpecCredList("1,6,12");//处理受益人证件类型
        $scope.sexList = sexList;//性别列表

        if ("100301" == $stateParams.productId) {//被保人未成年
            $scope.relationShipIds = getSpecRelaList("6,7,10");//处理被保人指定关系列表
            $scope.relationShipIds = $scope.relationShipIds.splice(1);
        } else {
            $scope.relationShipIds = getSpecSexRelaList("M", "1,2,3,4,5,6,7,10");//处理被保人指定关系列表
        }

        //修改证件类型
        $scope.certiTypeChange = function (custType, certiType, sequence) {
            var certiCode = "";
            if (custType == "insuredInfos") {
                if (certiType == "1") {
                    certiCode = $scope[custType][sequence].certiCode;
                } else if (certiType == "2") {
                    certiCode = $scope[custType][sequence].militaryId;
                } else if (certiType == "3") {
                    certiCode = $scope[custType][sequence].passPort;
                } else if (certiType == "10") {
                    certiCode = $scope[custType][sequence].driveLicense;
                }
                $scope[custType][sequence].certiCode = certiCode;
            } else {
                if (certiType == "1") {
                    certiCode = $scope[custType].certiCode;
                } else if (certiType == "2") {
                    certiCode = $scope[custType].militaryId;
                } else if (certiType == "3") {
                    certiCode = $scope[custType].passPort;
                } else if (certiType == "10") {
                    certiCode = $scope[custType].driveLicense;
                }
                $scope[custType].certiCode = certiCode;
            }
            $scope.certiCodeLength = getCredTypesLength['id' + $scope[custType].certiType];
        };

        $scope.credNumChange = function (type, certiType, certiCode, sequence) {     //修改投保人证件号 type:投被保人、受益人 certiCode：证件号 certiType：证件类型 1 身份证 3 护照
            credNumChange(type, certiType, certiCode, sequence);
        };
        //修改证件号
        function credNumChange(type, certiType, certiCode, sequence) {
            if (typeof certiCode != "undefined") {
                if (certiType == "1") {
                    var CredNum = certiCode;
                    var birthDay = "";
                    var _birthDay = "";
                    if (CredNum.length == 18) {
                        if (!IdCardValidate(CredNum)) {//校验身份证是否有效
                            $scope.dialogTip("身份证号填写有误，请更正");
                            return;
                        }
                        birthDay = CredNum.substr(6, 8);
                        _birthDay = birthDay.substr(0, 4) + '-' + birthDay.substr(4, 2) + '-' + birthDay.substr(6, 2);
                    } else {
                        return;
                    }

                    var gender = maleOrFemalByIdCard(CredNum);
                    if ("holder" == type) {//投保人

                        $scope.holderInfo.holderBirthday = new Date(_birthDay);
                        if (gender == 'male') {
                            $scope.holderInfo.holderSex = "M";
                        } else {
                            $scope.holderInfo.holderSex = "F";
                        }
                        $scope.relationShipIds = getSpecSexRelaList($scope.holderInfo.holderSex, "1,2,3,4,5,6,7,10");//重新处理处理被保人指定关系列表
                        if ($scope.insuredInfo && $scope.insuredInfo.relationship == 1) {
                            $scope.insuredInfo.insuredBirthday = $scope.holderInfo.holderBirthday;
                            $scope.insuredBirthday = $scope.holderInfo.holderBirthday;
                            $scope.insuredInfo.insuredSex = $scope.holderInfo.holderSex
                        }
                    } else if ("insured" == type) {//被保人
                        $scope.insuredInfo.insuredBirthday = new Date(_birthDay);
                        if (gender == 'male') {
                            $scope.insuredInfo.insuredSex = "M";
                        } else {
                            $scope.insuredInfo.insuredSex = "F";
                        }
                        //试算保费
                        if (_birthDay.length == 10) {
                            $scope.birthdayChange(type, _birthDay);
                        }
                        productJs($scope, {
                            "type": "changeBirthday",
                            params: {'birthday': _birthDay, 'unit': $scope.insurePlan.unit}
                        }, {"adbService": adbService});//保存计划信息
                    } else if ("insuredInfos" == type) {//多被保人
                        $scope[type][sequence].insuredBirthday = new Date(_birthDay);
                        if (gender == 'male') {
                            $scope[type][sequence].insuredSex = "M";
                        } else {
                            $scope[type][sequence].insuredSex = "F";
                        }
                        //试算保费
                        /*if (_birthDay.length == 10) {
                         $scope.birthdayChange(type, _birthDay);
                         }
                         productJs($scope, {
                         "type": "changeBirthday",
                         params: {'birthday': _birthDay, 'unit': $scope.insurePlan.unit}
                         }, {"adbService": adbService});//保存计划信息*/
                    }
                }
            }
        }

        //校验被保人年龄是否满足
        var validInsuredAge = function (insuredInfo) {
            var validFlag = true;
            $scope.calBirthday = formatDate10(insuredInfo.insuredBirthday);//试算年龄
            $scope.calculateInfo = $scope.productGetItem('calculateInfo');
            $scope.calculateInfo.insuredStartDate = $scope.calculateInfo.insuredStartDate.substring(0, 10);
            $scope.insurePlan = $scope.productGetItem('insurePlan');
            $scope.unit = $scope.insurePlan.unit;
            var params = {
                "unit": $scope.unit,
                "birthday": $scope.calBirthday,//出生日期
                "insuredStartDate": $scope.calculateInfo.insuredStartDate,//保单生效日
                "minInsuredAgeUnit": $scope.productBaseInfo.minInsuredAgeUnit,//最小年龄单位
                "minLAAge": $scope.productBaseInfo.minLAAge,//最小单位值
                "maxInsuredAgeUnit": $scope.productBaseInfo.maxInsuredAgeUnit,//最大年龄单位
                "maxLAAge": $scope.productBaseInfo.maxLAAge//最大年龄值
            };
            var ageBoolean = productJs($scope, {"type": "calculateAge", "params": params}, {"adbService": adbService});
            if (!ageBoolean) {
                var msg = $scope.productBaseInfo.minLAAge + ageUnit["age" + $scope.productBaseInfo.minInsuredAgeUnit] + " - " + $scope.productBaseInfo.maxLAAge + ageUnit["age" + $scope.productBaseInfo.maxInsuredAgeUnit];
                $scope.dialogTip("被保人年龄范围为:" + msg);
                validFlag = false;
            }
            return validFlag;
        };
        //获取出生日期
        $scope.birthdayChange = function (type, birthday) {
            if (type == "holder") {

                var holderAge = 0;
                if (typeof ($scope.holderInfo.holderBirthday) == 'string') {
                    holderAge = getCurrentAge($scope.holderInfo.holderBirthday);
                }
                else {
                    holderAge = getCurrentAge(formatDate10($scope.holderInfo.holderBirthday));
                }

                if (holderAge < 18) {
                    $scope.dialogTip('投保人需年满18周岁');
                    return false;
                }
                //更改出生日期，并且投被保关系为本人
                if ($scope.insuredInfo.relationship == "1") {
                    $scope.insuredInfo.insuredBirthday = $scope.holderInfo.holderBirthday;
                }
            } else if (type == "insured") {
                return validInsuredAge();
            }
        };

        //初始化投保人信息
        function initHolderInfo() {

            if ($scope.saveData.holderInfo) {
                $scope.holderInfo = $scope.productGetItem('holderInfo');
                $scope.holderInfo.holderBirthday = new Date($scope.holderInfo.holderBirthday);
                $scope.getBranch("holderInfo", "", 0, "", 0);
                if ($scope.holderInfo.addressInfo.provinceCode) {//获取省对应市信息
                    $scope.getBranch("holderInfo", "", 1, $scope.holderInfo.addressInfo.provinceCode, 0);
                }
            } else {
                $scope.holderInfo = {};
                $scope.holderInfo.addressInfo = {};
                $scope.getBranch("holderInfo", "", 0, "", 0);
                if ($scope.holderInfo.addressInfo.provinceCode) {//获取省对应市信息
                    $scope.getBranch("holderInfo", "", 1, $scope.holderInfo.addressInfo.provinceCode, 0);
                }
            }
        }

        /*--2222222--------------------------fillInfo   step2  结束---------------------------------*/

        /*--3333333--------------------------fillInfo   step3  开始---------------------------*/

        //修改投被保人关系
        $scope.relationshipChange = function (relationShip, sequence) {
            //console.info("天假", relationShip, sequence);
            if (relationShip == 1) {
                $scope.insuredInfos[sequence].relationship = relationShip;
                $scope.insuredInfos[sequence].insuredName = $scope.holderInfo.holderName;
                $scope.insuredInfos[sequence].insuredMobile = $scope.holderInfo.holderMobile;
                $scope.insuredInfos[sequence].insuredSex = $scope.holderInfo.holderSex;
                $scope.insuredInfos[sequence].namePinyin = $scope.holderInfo.namePinyin;
                $scope.insuredInfos[sequence].certiType = $scope.holderInfo.certiType;
                $scope.insuredInfos[sequence].certiCode = $scope.holderInfo.certiCode;
                $scope.insuredInfos[sequence].passPort = $scope.holderInfo.passPort;
                $scope.insuredInfos[sequence].insuredBirthday = $scope.holderInfo.holderBirthday;
                $scope.insuredInfos[sequence].customerId = $scope.holderInfo.customerId;//如果投保人是选择客户，获取客户Id
                $('#beginTime').val($window.localStorage.holderBirthday);
                $scope.credNumChange("insured", $scope.holderInfo.holderCredNum);
                $('#insuredName').attr('disabled', true);
                $('#insuredCredNum').attr('disabled', true);
                $('#insuredMobile').attr('disabled', true);
                $('#insuredPassport').attr('disabled', true);
                $('#insuredBirthday').attr('disabled', true);
                $('#insuredCredNumC').attr('disabled', true);
            } else {
                //瑞泰产品特殊处理
                $scope.holderInfo.relationship = relationShip;
            }
        };


        //初始化被保人信息
        function initInsuredInfo() {
            $scope.insuredInfos = [];//初始化多被保人信息
            if ($scope.saveData.insuredInfos && $scope.saveData.insuredInfos.length > 0) {
                //$scope.insuredInfo = $scope.productGetItem('insuredInfo');
                $scope.insuredInfos = $scope.productGetItem("insuredInfos");
                for (var i = 0; i < $scope.insuredInfos.length; i++) {
                    $scope.insuredInfos[i].insuredBirthday = new Date($scope.insuredInfos[i].insuredBirthday);
                    $scope.insuredInfos[i].insuredInfoBox = true;
                }
                /*$scope.insuredInfo.addressInfo = {};
                 $scope.insuredInfo.insuredBirthday = new Date($scope.insuredInfo.insuredBirthday);*/
                /*$scope.getBranch("insuredInfo", "", 0, "", 0);
                 if ($scope.insuredInfo.addressInfo.provinceCode) {//获取省对应市信息
                 $scope.getBranch("insuredInfo", "", 1, $scope.insuredInfo.addressInfo.provinceCode, 0);
                 }*/
            } else {
                $scope.insuredInfo = {};
                $scope.insuredInfo.relationShip = "";
                $scope.insuredInfo.addressInfo = {};
                $scope.insuredInfos.push($scope.insuredInfo);
                /*$scope.getBranch("insuredInfo", "", 0, "", 0);
                 if ($scope.insuredInfo.addressInfo.provinceCode) {//获取省对应市信息
                 $scope.getBranch("insuredInfo", "", 1, $scope.insuredInfo.addressInfo.provinceCode, 0);
                 }*/
            }
            /*
             $scope.insuredInfo.winner = $scope.winner;
             $scope.insuredInfo.insuredSex = '';//初始化性别*/
        }

        /*--3333333------------------------fillInfo   step3  结束----------------------------*/


        /*--444444--------------------------fillInfo   step4  开始---------------------------*/
        //获取投保信息
        function fillDataInfo() {
            $scope.productBaseInfo = $scope.productGetItem('productBaseInfo');
            $scope.calculateInfo = $scope.productGetItem('calculateInfo');
            $scope.holderInfo = $scope.productGetItem('holderInfo');
            $scope.holderInfo.holderBirthday = formatDate10(new Date($scope.holderInfo.holderBirthday));
            $scope.insuredInfos = $scope.productGetItem('insuredInfos');
            for (var i = 0; i < $scope.insuredInfos.length; i++) {
                $scope.insuredInfos[i].insuredBirthday = formatDate10(new Date($scope.insuredInfos[i].insuredBirthday));
            }
            $scope.showPlanInfo = $scope.productGetItem('showPlanInfo');
            if ($scope.saveData.renewalInfo) {
                $scope.renewalInfo = $scope.productGetItem('renewalInfo');
            } else {
                $scope.renewalInfo = {};
            }
            $scope.insuredStartDate = $scope.calculateInfo.insuredStartDate;
        }

        //同意协议
        $scope.insuranceBtn = function () {
            $scope.agreeState = !$scope.agreeState;
        };


        /*--4444444------------------------fillInfo   step4  结束----------------------------*/
        //保存各对象信息
        function saveSessionInfo (){
            //投保人
            if($scope.holderInfo){
                $scope.productSetItem('holderInfo', $scope.holderInfo);
            }
            //被保人
            if($scope.insuredInfos){
                $scope.productSetItem('insuredInfos', $scope.insuredInfos);
            }
            //试算
            if($scope.calculateInfo){
                $scope.productSetItem('calculateInfo', $scope.calculateInfo);
            }
            //保险利益
            if($scope.showPlanInfo){
                $scope.productSetItem('showPlanInfo', $scope.showPlanInfo);
            }
            //续期账户
            if($scope.renewalInfo){
                $scope.productSetItem('renewalInfo', $scope.renewalInfo);
            }
            //保险利益
            if($scope.extraInfo){
                $scope.productSetItem('extraInfo', $scope.extraInfo);
            }
            //指定投保责任
            if($scope.liabilityList){
                $scope.productSetItem('liabilityList', $scope.liabilityList);
            }
        }
        /*--------------------------头部返回start--------------------------*/
        //因为是浏览器、微信、App都会调用此页面
        var appBack = backFactory.getter();//App存储backFactory
        var num = $scope.titleType = $location.url().split('/')[4];//获取当前fillInfo的步骤
        if (num == '1') {
            $scope.$emit("stepNum", '1');//返回详情页  广播
            if (typeof appBack['productHealthNotice'] != 'undefined' && appBack['productHealthNotice'] != '') {
                var backUrl = appBack['productHealthNotice'];
                $scope.$emit("adbBack", "index.html#" + backUrl, "2","fillMany");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
                $scope.$on('sendChild', function(event,data) {
                    if(data == "saveSession"){
                        saveSessionInfo();//保存相应对象信息
                    }
                });
            }
            else {
                //不是APP,从localstorage读取
                var localBack = localStorage.getItem("proDetailUrl");
                $scope.$emit("adbBack", "index.html#" + localBack, "2","fillMany");
                $scope.$on('sendChild', function(event,data) {
                    if(data == "saveSession"){
                        saveSessionInfo();//保存相应对象信息
                    }
                });
            }
        } else {
            $scope.$emit("stepNum", '');//返回详情页  广播
            $scope.$emit("adbBack", "index.html#" + '/productR/productFillInfoManyR/' + $stateParams.productId + '/' + --num, "2","fillMany");
            $scope.$on('sendChild', function(event,data) {
                if(data == "saveSession"){
                    saveSessionInfo();//保存相应对象信息
                }
            });
        }
        /*--------------------------头部返回end--------------------------*/
        /****************************跳转到下一页的校验  start*******************************/
        if ($stateParams.productId == "100301") {
            function checkForm1() {
                var res = {};
                res['status'] = true;//检查通过-true;否则-false
                res['msg'] = '';//返回错误信息
                if ($scope.unit == "请选择" || $scope.unit == undefined || $scope.unit == "" || $scope.sumAssured == "0万元") {
                    res['status'] = false;
                    res['msg'] = '请选择投保份数';
                } else if ($scope.agreeContinue && !validCredNum("", $scope.renewalInfo.bankCode)) {//选择续期
                    res['status'] = false;
                    res['msg'] = '请选择续期银行';
                } else if ($scope.agreeContinue && $scope.productId == "100301" && "100103,100104".indexOf($scope.renewalInfo.bankCode) > -1
                    && (!validCredNum("", $scope.renewalInfo.addressInfo.provinceCode) || !validCredNum("", $scope.renewalInfo.addressInfo.cityCode))) {//选择续期
                    res['status'] = false;
                    res['msg'] = '请选择开户行所在地';
                } else if ($scope.agreeContinue && $scope.productId == "100301" && "100103,100104".indexOf($scope.renewalInfo.bankCode) > -1
                    && !validCredNum("", $scope.renewalInfo.cardNum)) {//选择续期
                    res['status'] = false;
                    res['msg'] = '请输入续保缴费账号';
                } else if (new Date($scope.insuredStartDate) == "Invalid Date" || $scope.insuredEndDate == "" || new Date($scope.insuredEndDate) == "Invalid Date") {
                    res['status'] = false;
                    res['msg'] = '请正确选择保单生效日！';
                }
                return res;
            }
        } else {
            function checkForm1() {
                var res = {};
                res['status'] = true;//检查通过-true;否则-false
                res['msg'] = '';//返回错误信息
                if ($scope.unit == "请选择" || $scope.unit == undefined || $scope.unit == "" || $scope.sumAssured == "0万元") {
                    res['status'] = false;
                    res['msg'] = '请选择投保份数';
                }
                return res;
            }
        }


        function checkForm2() {
            var res = {};
            res['status'] = true;//检查通过-true;否则-false
            res['msg'] = '';//返回错误信息
            if (!validCredNum("name", $scope.holderInfo.holderName)) {
                res['status'] = false;
                res['msg'] = '投保人姓名填写有误（2-20位中英文），请更正';
            } else if (typeof $scope.holderInfo.certiType == "undefined" || $scope.holderInfo.certiType == "0") {
                res['status'] = false;
                res['msg'] = '请选择投保人证件类型';
            } else if (!validCredNum($scope.holderInfo.certiType, $scope.holderInfo.certiCode)) {
                res['status'] = false;
                res['msg'] = '投保人证件号码填写有误，请更正';
            } else if (typeof $scope.holderInfo.holderBirthday == "undefined" || $scope.holderInfo.holderBirthday == "") {
                res['status'] = false;
                res['msg'] = '投保人出生日期填写有误，请更正';
            } else if (typeof $scope.holderInfo.holderSex == "undefined" || $scope.holderInfo.holderSex == "") {
                res['status'] = false;
                res['msg'] = '请选择投保人性别';
            } else if (!validCredNum("mobile", $scope.holderInfo.holderMobile)) {
                res['status'] = false;
                res['msg'] = '投保人手机号码填写有误（11位数字），请更正';
            } else if (!validCredNum("email", $scope.holderInfo.holderEmail)) {
                res['status'] = false;
                res['msg'] = '投保人电子邮箱填写有误，请更正';
            } else if ($scope.productId == "100301" && (!validCredNum("", $scope.holderInfo.addressInfo.provinceCode)
                || !validCredNum("", $scope.holderInfo.addressInfo.cityCode) || !validCredNum("", $scope.holderInfo.addressInfo.detailAddress))) {
                res['status'] = false;
                res['msg'] = '投保人通讯地址填写有误，请完善';
            } else if ($scope.productId == "100301" && !validCredNum("postCode", $scope.holderInfo.addressInfo.postCode)) {
                res['status'] = false;
                res['msg'] = '投保人邮编填写有误，请更正';
            } else if ($scope.insuredInfos) {//判断多被保人关系是否选择
                for (var i = 0; i < $scope.insuredInfos.length; i++) {
                    if (typeof $scope.insuredInfos == "undefined" || $scope.insuredInfos[i].relationShip == "") {
                        res['status'] = false;
                        res['msg'] = '请选择投被保人关系';
                        return res;
                    }
                }
            }
            return res;
        }

        function checkForm3() {
            var res = {};
            res['status'] = true;//检查通过-true;否则-false
            res['msg'] = '';//返回错误信息
            for (var i = 0; i < $scope.insuredInfos.length; i++) {
                var insuredInfo = $scope.insuredInfos[i];
                if (!validCredNum("name", insuredInfo.insuredName)) {
                    res['status'] = false;
                    res['msg'] = '被保人姓名填写有误（2-20位中英文），请更正';
                } else if (typeof insuredInfo.insuredSex == "undefined" || insuredInfo.insuredSex == "") {
                    res['status'] = false;
                    res['msg'] = '请选择被保人性别';
                } else if (typeof insuredInfo.certiType == "undefined" || insuredInfo.certiType == "0") {
                    res['status'] = false;
                    res['msg'] = '请选择被保人证件类型';
                } else if (!validCredNum(insuredInfo.certiType, insuredInfo.certiCode)) {
                    res['status'] = false;
                    res['msg'] = '被保人证件号码填写有误，请更正';
                } else if (typeof insuredInfo.insuredBirthday == "undefined" || insuredInfo.insuredBirthday == "") {
                    res['status'] = false;
                    res['msg'] = '被保人出生日期填写有误，请更正';
                }
                //判断是否为有效年龄
                var isalidInsuredAge = validInsuredAge(insuredInfo);
                if (isalidInsuredAge) {
                    //年龄有效
                    if (insuredInfo.relationship != 1 && insuredInfo.certiType == $scope.holderInfo.certiType && insuredInfo.certiCode == $scope.holderInfo.certiCode) {
                        //不是本人时，被保人身份证号不能与投保人重复
                        $scope.dialogTip('投保人信息与被保人信息重复');
                        return;
                    }

                } else {
                    //无效
                    return;
                }
                return res;
            }
        }

        /****************************跳转到下一页的校验  end*******************************/
        /*--------------------------保存并跳到下一步 start-----------------------------------*/
        $scope.saveNext = function (steps) {
            if (steps != '4') {
                if (steps == '1') {
                    var isCheck1 = checkForm1();
                    if (isCheck1.status) {
                    } else {
                        if (isCheck1.msg != '') $scope.dialogTip(isCheck1.msg);//弹出错误提示
                        return;
                    }
                    $scope.insurePlan = {
                        'coverageYear': $scope.coverageYear,
                        'chargedDuration': $scope.chargedDuration,
                        'unit': $scope.unit,
                        'sumAssured': $scope.sumAssured
                    };
                    $scope.productSetItem('insurePlan', $scope.insurePlan);
                    if ($scope.agreeContinue) {  //  保存续期信息
                        branchCodeList.forEach(function (ele, i) {
                            if ($scope.renewalInfo.addressInfo[ele]) {
                                getBranchName("renewalInfo", i, $scope.renewalInfo.addressInfo[ele]);
                            }
                        });
                        $scope.productSetItem('renewalInfo', $scope.renewalInfo);
                    }
                }
                else if (steps == '2') {
                    var isCheck2 = checkForm2();
                    if (isCheck2.status) {
                        if ($scope.holderInfo.holderBirthday == "") {
                            $scope.dialogTip('请正确填写投保人有效证件号');
                            return;
                        } else {
                            var holderAge = getCurrentAge(formatDate10($scope.holderInfo.holderBirthday));
                            if (holderAge < 18) {
                                $scope.dialogTip('投保人需年满18周岁');
                                return false;
                            }
                        }
                    } else {
                        if (isCheck2.msg != '') $scope.dialogTip(isCheck2.msg);//弹出错误提示
                        return;
                    }
                    /*branchCodeList.forEach(function(ele,i){
                     if($scope.holderInfo.addressInfo[ele]){
                     getBranchName("holderInfo",i,$scope.holderInfo.addressInfo[ele]);
                     }
                     });*/
                    //console.log($scope.holderInfo);
                    $scope.productSetItem('holderInfo', $scope.holderInfo);
                    $scope.productSetItem('insuredInfos', $scope.insuredInfos);//多被保人信息
                }
                else if (steps == '3') {

                    var isCheck3 = checkForm3();
                    if (isCheck3.status) {//放入校验表单里
                        /*var isalidInsuredAge = validInsuredAge();//判断是否为有效年龄

                         if(isalidInsuredAge)
                         {
                         //年龄有效
                         if ($scope.insuredInfo.relationship != 1 && $scope.insuredInfo.certiType == $scope.holderInfo.certiType && $scope.insuredInfo.certiCode == $scope.holderInfo.certiCode){
                         //不是本人时，被保人身份证号不能与投保人重复
                         $scope.dialogTip('投保人信息与被保人信息重复');
                         return;
                         }

                         }else
                         {
                         //无效
                         return;
                         }*/
                    } else {
                        if (isCheck3.msg != '') $scope.dialogTip(isCheck3.msg);//弹出错误提示
                        return;
                    }


                    $scope.productSetItem('insuredInfos', $scope.insuredInfos);
                }
                var step = ++steps;
                location.href = '#/productR/productFillInfoManyR/' + $stateParams.productId + '/' + step;
            } else {//调取收银台  返回成功  跳到成功页面

                //申请订单支付
                $scope.applyPayOrder = function (data) {
                    //表单数据
                    $('input[name="clientSysCode"]').val(data.clientSysCode);
                    $('input[name="transCode"]').val(data.transCode);
                    $('input[name="shopId"]').val(data.shopId);
                    $('input[name="shopUid"]').val(data.shopUid);
                    $('input[name="regCode"]').val(data.regCode);
                    $('input[name="regId"]').val(data.regId);
                    $('input[name="certiType"]').val(data.certiType);
                    $('input[name="certiName"]').val(data.certiName);
                    $('input[name="certiCode"]').val(data.certiCode);
                    $('input[name="wxOpenId"]').val(data.wxOpenId);
                    $('input[name="wxUnionId"]').val(data.wxUnionId);
                    $('input[name="busiOrderId"]').val(data.busiOrderId);
                    $('input[name="busiSeqId"]').val(data.busiSeqId);
                    $('input[name="busiOrderTime"]').val(data.busiOrderTime);
                    $('input[name="busiOrderDesc"]').val(data.busiOrderDesc);
                    $('input[name="busiOrderAmt"]').val(data.busiOrderAmt);
                    $('input[name="noticeUrl"]').val(data.noticeUrl);
                    $('input[name="successUrl"]').val(data.successUrl);
                    $('input[name="pgType1"]').val(data.pgType1);
                    $('input[name="pgType2"]').val(data.pgType2);
                    $('input[name="pgType3"]').val(data.pgType3);
                    $('input[name="shopSign"]').val(data.shopSign);
                    $('input[name="shopNonce"]').val(data.shopNonce);
                    $('input[name="shopVer"]').val(data.shopVer);
                    $('input[name="token"]').val(data.token);
                    $('#payForm').prop('action', data.formUrl).prop('method', "POST");
                    document.getElementById("payForm").submit();
                };
                if (!$scope.agreeState) {
                    $scope.dialogTip("请查看并同意投保声明");
                    return;
                }
                var clientType = getClientType();
                //投保支付客户信息
                var user = {};
                if (localStorage.getItem('broker_in_session') == null) {//匿名用户
                    user.regId = "";
                    user.certiName = $scope.holderInfo.holderName;
                    user.certiCode = $scope.holderInfo.holderCredNum;
                    user.brokerCode = "";
                } else {//登录用户
                    var brokerInfo = JSON.parse(localStorage.getItem('broker_in_session'));
                    user.userId = brokerInfo.userId;
                    user.accId = brokerInfo.accId;
                    user.regId = brokerInfo.regId;
                    user.brokerCode = brokerInfo.brokerCode;
                    user.shareCode = brokerInfo.shareCode;
                    user.invitationCode = brokerInfo.shareCode;
                    user.brokerName = brokerInfo.name;
                }
                ;
                //console.info("存储分享信息："+localStorage.getItem('shareInfo_in_session'));
                if (localStorage.getItem('shareInfo_in_session') != null) {//分享信息
                    var shareInfo = JSON.parse(localStorage.getItem('shareInfo_in_session'));
                    user.invitationCode = decodeURIComponent(shareInfo.shareCode) || user.shareCode;
                    user.submitChlId = shareInfo.submitChlId;
                    user.wxOpenId = shareInfo.wxOpenId;//获取微信openId
                    user.saleChlId = shareInfo.saleChlId;//销售渠道
                    user.brokerName = decodeURIComponent(shareInfo.brokerName);
                }
                var Data = {
                    "holderInfo": $scope.holderInfo,
                    "insuredInfo": $scope.insuredInfos,
                    "calculateInfo": $scope.calculateInfo,
                    "renewalInfo": $scope.renewalInfo,
                    "productBaseInfo": $scope.productBaseInfo,
                    "user": user,
                    "clientType": clientType
                };
                adbService.getResult(
                    {},
                    $scope.setService("I181012", Data),
                    function (json) {
                        if (json.header.istatus == '-99'){
                            $scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {
                            $scope.applyPayOrder(json.data);
                        }
                        if (json.header.istatus == '2') {
                            $scope.dialogTip(json.header.imsg);
                        }
                    },
                    function (err) {
                    }
                );
            }
        };
        /*--------------------------保存并跳到下一步 end-----------------------------------*/
        /*--------------------------跳转到订单详情 start-----------------------------------*/
        $scope.orderDetail = function () {
            location.href = '#/productOrderDetailR';
        };

        //接收添加用户信息
        $scope.$on("customerInfos", function (event, msg) {
            if (msg.sequence == "0" && typeof msg.customerInfos[0] != 'undefined') {
                var holderInfo = msg.customerInfos[0];
                holderInfo['birthday'] = new Date(holderInfo['birthday']);
                $scope.holderInfo.holderName = holderInfo.name;
                $scope.holderInfo.holderEmail = holderInfo.emailValue;
                $scope.holderInfo.holderBirthday = holderInfo.birthday;
                $scope.holderInfo.holderMobile = holderInfo.contactValue;
                $scope.holderInfo.certiType = holderInfo.certiType;
                $scope.holderInfo.certiCode = holderInfo.certiCode;
                $scope.holderInfo.holderSex = holderInfo.gender;
                $scope.holderInfo.customerId = holderInfo.customerId;
            } else if (msg.sequence > 0 && typeof msg.customerInfos[msg.sequence] != 'undefined') {
                var sequence = msg.sequence - 1;
                var insuredInfo = msg.customerInfos[msg.sequence];
                insuredInfo['birthday'] = new Date(insuredInfo['birthday']);
                $scope.insuredInfos[sequence].insuredName = insuredInfo.name;
                $scope.insuredInfos[sequence].insuredEmail = insuredInfo.emailValue;
                $scope.insuredInfos[sequence].insuredBirthday = insuredInfo.birthday;
                $scope.insuredInfos[sequence].insuredMobile = insuredInfo.contactValue;
                $scope.insuredInfos[sequence].certiType = insuredInfo.certiType;
                $scope.insuredInfos[sequence].certiCode = insuredInfo.certiCode;
                $scope.insuredInfos[sequence].insuredSex = insuredInfo.gender;
            }
        });


        /*--------------------------跳转到订单详情 end-----------------------------------*/
        function init()//初始化信息
        {
            getSystemType();
            $scope.saveData = JSON.parse(localStorage.getItem('saveData'));

            $scope.stepId = $stateParams.stepId;
            initCalculateInfo();//初始化试算相关信息
            initBaseInfo();//初始化产品数据
            initHolderInfo();//初始化投保人信息
            initInsuredInfo();//初始化被保人信息
            initRenewalInfo();//初始化续期信息
            if ($scope.stepId == 3 || $scope.stepId == 1) {
                loadProductJs();
            }
            if ($scope.titleType = $location.url().split('/')[4] == '4') {
                fillDataInfo();//获取投保信息
            }
        }

        init();
        $scope.$on('$viewContentLoaded', function () {
            //视图渲染后加载
        });


        //产品生效日判断 num:1 表示明天 0 表示今天
        $scope.changeStartDate = function (startDate, num) {
            //console.info(startDate)
            /*if(startDate==null || new Date(startDate)=="Invalid Date"){//无效生效日，不做处理
             $scope.insuredEndDate = "";
             return;
             }*/
            var insuredStartDate = genNowDate(num);

            var insuredStartEndDate = "";
            insuredStartEndDate = addmulMonth(insuredStartDate, 1);

            $scope.insuredStartDate = startDate = formatDate10(startDate);
            if ($scope.insuredStartDate.length == 10 && insuredStartDate > startDate) {
                $scope.insuredStartDate = insuredStartDate;
                $('#insuredStartDate').val(insuredStartDate);
                $scope.dialogTip("生效日不能早于：" + insuredStartDate);
                return;
            } else if ($scope.insuredStartDate.length == 10 && insuredStartEndDate < startDate) {
                $scope.insuredStartDate = insuredStartEndDate;
                $('#insuredStartDate').val(insuredStartDate);
                $scope.dialogTip("生效日不能晚于：" + insuredStartEndDate);
                return;
            }

            //$scope.insuredStartDate = startDate;
            $scope.calculateInfo.insuredStartDate = $scope.insuredStartDate;//更新试算中生效日
            if ($scope.calculateInfo.calculateAmt > 0) {//正常试算后保存试算及计划
                productJs($scope, {"type": "saveCalculateInfo", params: $scope.calculateInfo}, {});//保存试算信息
                productJs($scope, {"type": "savePlanInfo", params: $scope.calculateInfo}, {"adbService": adbService});//保存计划信息
            }
        }

        //改变计划
        $scope.changePlan = function (planNo) {
            $scope.benefitLevel = planNo;
            productJs($scope, {"type": "calculate"}, {"adbService": adbService});
        }
        //添加被保人关系
        //$scope.insuredInfos = [{"relationShip":1},{"relationShip":3}];
        $scope.addInsure = function () {
            var relation = {"relationShip": ""};
            $scope.insuredInfos.push(relation);
        }
        //删除 未显示删除框，先显示框
        $scope.delInsure = function () {
            //至少保留一个被保人关系
            if ($scope.insuredInfos.length == 1) {//不能删除最后一个
                $scope.dialogTip('至少保留一个被保人关系');
                return;
            } else {
                var delAllFlag = true;
                for (var i = 0; i < $scope.insuredInfos.length; i++) {
                    if ($scope.delFlag[i]) {

                    } else {
                        delAllFlag = false;
                    }
                }
                if (delAllFlag) {
                    $scope.dialogTip('至少保留一个被保人关系');
                    return;
                }
            }
            if ($scope.showDelCheck == false) {
                $scope.showDelCheck = true;
            } else {
                Object.keys($scope.delFlag).forEach(function (ele, i) {
                    if ($scope.delFlag[ele]) {
                        $scope.insuredInfos[ele] = {};//将待删除信息置空，方便后期做删除操作
                        delete  $scope.delFlag[ele];
                    }
                })
                //根据上方置空标记,来删除关系信息
                for (var j = 0; j < $scope.insuredInfos.length; j++) {
                    if (typeof $scope.insuredInfos[j].relationShip == "undefined") {
                        $scope.insuredInfos.splice(j, 1);
                        j--;
                    }
                }
                $scope.showDelCheck = false;
                $scope.productSetItem('insuredInfos', $scope.insuredInfos);
            }

        }
        //选中删除项
        $scope.changeState = function (num) {
            if (typeof $scope.delFlag == 'undefined') {
                $scope.delFlag[num] = true;
            } else {
                $scope.delFlag[num] = !$scope.delFlag[num];
            }
        }
    }]);
});