define(['app'], function (app) {
    app.register.controller('fillInfoOfflineCtrl', ["$window", "$scope", 'backFactory', '$location', '$stateParams', 'adbService','$sce', '$timeout',function ($window, $scope, backFactory, $location, $stateParams, adbService,$sce,$timeout) {
        //改变页面的<title>
        //$scope.appTitle = '填写投保资料';
        //$scope.$emit("titleName", $scope.appTitle);
        $scope.$emit("searchShow", false);
        $scope.$emit("homeShow", false);
        $scope.$emit("saveShow", false);
        $scope.$emit("goBackShow", true);
        $scope.productId = $stateParams.productId;
        $scope.stepId = $stateParams.stepId;
        //获取终端操作系统类型
        function getSystemType(){
            //微信
            if(localStorage.isWeixin=="true"){
                $scope.isWeixin = true;
            }else{
                $scope.isWeixin = false;
            }
            //android
            if(localStorage.isApp == "true"){
                $scope.isAndroid = true;
            }else{
                $scope.isAndroid = false;
            }
            //ios
            if(localStorage.isAppIos == "true"){
                $scope.isIos = true;
            }else{
                $scope.isIos = false;
            }
        }
        //console.info("加载不做...",$stateParams.stepId)
        //加载投保产品独立文件
        var productJs = {};
        var loadProductJs = function (productId) {
            $.ajax({
                url: 'module/product/detailOffline/views/' + productId + '/product.js',
                cache: false,
                async: false,
                success: function (data) {
                    productJs[productId] = (new Function("return " + data))();
                    productJs[productId]($scope, null, {"adbService": adbService});//保存计划信息  初始Product.js里的方法和初始变量值
                },
                error: function (err) {
                }
            });
        };
        //校验被保人年龄是否满足
        var validInsuredAge = function (sourceInfo) {
            var obj = 'P'+$scope.productId+'Cal';
            var params = {
                "unit": $scope[obj].unit,
                "birthday": formatDate10(sourceInfo.birthday),//出生日期
                "sex":sourceInfo.sex,//被保人性别
                "minInsuredAgeUnit": $scope.productBaseInfo.minInsuredAgeUnit,//最小年龄单位
                "minLAAge": $scope.productBaseInfo.minLAAge,//最小单位值
                "maxInsuredAgeUnit": $scope.productBaseInfo.maxInsuredAgeUnit,//最大年龄单位
                "maxLAAge": $scope.productBaseInfo.maxLAAge//最大年龄值
            };
            //console.info("修改证件号mmmmm",params)
            $scope.insuredBirthday = params.birthday;
            //因各流程不一样,保单生效日与被保人填写顺序不同,故具体判断放各自产品定义
            var ageBoolean = $scope.calculateAge(params);
            if (!ageBoolean) {
                var msg = $scope.productBaseInfo.minLAAge + ageUnit["age" + $scope.productBaseInfo.minInsuredAgeUnit] + " - " + $scope.productBaseInfo.maxLAAge + ageUnit["age" + $scope.productBaseInfo.maxInsuredAgeUnit];
                $scope.dialogTip("被保人年龄范围为:" + msg);
                sourceInfo.validAgeFlag = false;
                return sourceInfo.validAgeFlag;//多被保人使用
            }else{
                sourceInfo.validAgeFlag = true;
            }
            return sourceInfo.validAgeFlag;
        };
        //各自产品使用校验
        $scope.validInsuredAge = function(sourceInfo){
            return validInsuredAge(sourceInfo)
        }
        /**
         * @desc 修改出生日期,判断年龄是否在有效期 并修正关联客户出生日期
         * @param owner : holder 投保人 insured 被保人
         * @param type : birthday 生日
         * @param birthday 修改出生日期值
         * @param sourceInfo 修改出生日期的当前对象
         * @returns {*}
         */
        $scope.changeBirthday = function (owner, type,birthday,sourceInfo) {
            if(!validCredNum("",birthday)) return;//未正确获取日期
            $scope.holderAgeValid = true;
            if(type=="birthday") {
                if (owner == "holder") {
                    var holderAge = 0;
                    holderAge = getCurrentAge(formatDate10($scope.holderInfo.birthday),genNowDate(1));

                    if (holderAge < 18) {
                        $scope.holderAgeValid = false;
                        $scope.dialogTip('投保人需年满18周岁');
                        return false;
                    }

                    //更改出生日期，并且投被保关系为本人
                    for (var i in $scope.insuredInfos) {
                        //投被保人同一人
                        if ($scope.insuredInfos[i].relationship == "1") {
                            $scope.insuredInfos[i].birthday = $scope.holderInfo.birthday;
                        }
                        for (var j in $scope.insuredInfos[i].benefitInfos) {
                            //投受益人、被保人同一人
                            if ($scope.insuredInfos[i].relationship == "1") {
                                $scope.insuredInfos[i].birthday = $scope.holderInfo.birthday;
                            }
                        }
                    }
                    if ($scope.holderInfo.certiType == 1) {
                        if (formatDate10($scope.holderInfo.birthday).replace(/-/g, "") != $scope.holderInfo.certiCode.substring(6, 14)) {
                            $scope.dialogTip("出生日期与身份证号不符");
                            return false;
                        }
                    }
                    return true;
                } else if (owner == "insured") {
                    if (sourceInfo.certiType == 1) {
                        if (formatDate10(sourceInfo.birthday).replace(/-/g, "") != sourceInfo.certiCode.substring(6, 14)) {
                            $scope.dialogTip("出生日期与身份证号不符");
                            return false;
                        }else{
                            sourceInfo.validAgeFlag = true;
                        }
                    }
                    return validInsuredAge(sourceInfo);
                } else if (owner == "benefit") {
                    if (sourceInfo.certiType == 1) {
                        if (formatDate10(sourceInfo.birthday).replace(/-/g, "") != sourceInfo.certiCode.substring(6, 14)) {
                            $scope.dialogTip("出生日期与身份证号不符");
                            return false;
                        }else{
                            sourceInfo.validAgeFlag = true;
                        }
                    }
                    return true;
                }
            }else if(type=="insuredStartDate"){//保单生效日
                $scope.valideInsuredStartDate(birthday,sourceInfo);
            }else if(type=="certiValidDate"){//证件起期
                if(formatDate10(new Date(birthday))>formatDate10(new Date())){
                    //sourceInfo[type] = new Date();
                    $scope.dialogTip("证件起期不能晚于当前日期");
                }
            }else if(type=="certiExpiryDate"){//证件止期
                if(formatDate10(new Date(birthday))<formatDate10(new Date())){
                    //sourceInfo[type] = new Date();
                    $scope.dialogTip("证件止期不能早于当前日期");
                }
            }
        };
        //产品生效日判断 num:1 表示明天 0 表示今天
        $scope.changeStartDate = function (startDate) {
            if (startDate == null || new Date(startDate) == "Invalid Date") {//无效生效日，不做处理
                $scope.insuredEndDate = "";
                return;
            }
            /*$scope.gotoApp('selectTime');*/
            var insuredStartDate = "";
            if ("100311,100313,100312".indexOf($scope.productId) > -1) {
                insuredStartDate = genNowDate(3);
            } else {
                insuredStartDate = genNowDate(1);
                if ($scope.productId == "100030") {
                    $scope.insuredStartDate = startDate;
                    productJs[$scope.productId]($scope, {
                        "type": "calculate",
                        params: {'benefitLevel': num}
                    }, {"adbService": adbService});//保存计划信息
                }
            }
            var insuredStartEndDate = "";
            insuredStartEndDate = addmulMonth(insuredStartDate, 1);

            $scope.insuredStartDate = startDate = $('#insuredStartDate').val();

            if ($scope.insuredStartDate.length == 10 && insuredStartDate > startDate) {
                $scope.insuredStartDate = insuredStartDate;
                $('#insuredStartDate').val(insuredStartDate);
                $scope.dialogTip("生效日不能早于：" + insuredStartDate);
            } else if ($scope.insuredStartDate.length == 10 && insuredStartEndDate < startDate) {
                $scope.insuredStartDate = insuredStartEndDate;
                $('#insuredStartDate').val(insuredStartDate);
                $scope.dialogTip("生效日不能晚于：" + insuredStartEndDate);
            }
            $scope.calculatedInsuredDate($scope.insuredStartDate);
        };
        //修改证件号
        $scope.credNumChange = function(type, sourceInfo) {
            if (typeof sourceInfo.certiCode != "undefined") {
                if (sourceInfo.certiType == "1") {
                    var CredNum = sourceInfo.certiCode;
                    var birthDay = "";
                    var _birthDay = "";
                    if (CredNum.length == 18) {//长度18时才做校验,否则直接返回
                        if (!IdCardValidate(CredNum)) {//校验身份证是否有效
                            $scope.dialogTip("身份证号填写有误，请更正");
                            return;
                        }
                        birthDay = CredNum.substr(6, 8);
                        _birthDay = birthDay.substr(0, 4) + '-' + birthDay.substr(4, 2) + '-' + birthDay.substr(6, 2);
                    }else{
                        return;
                    }

                    var gender = maleOrFemalByIdCard(CredNum);
                    if ("holder" == type) {//投保人
                        $scope.holderInfo.birthday = new Date(_birthDay);
                        if (gender == 'male') {
                            $scope.holderInfo.holderSex = "M";
                        } else {
                            $scope.holderInfo.holderSex = "F";
                        }
                        if(!$scope.changeBirthday("holder","birthday",$scope.holderInfo.birthday)){
                            //return ;
                        };
                        $scope.changeRelationShipIds(type,sourceInfo);//根据性别来判断被保人关系
                    }else if ("insured" == type) {//被保人
                        sourceInfo.birthday = new Date(_birthDay);
                        if (gender == 'male') {
                            sourceInfo.sex = "M";
                        } else {
                            sourceInfo.sex = "F";
                        }
                        //试算保费
                        if (_birthDay.length == 10) {
                            //console.info("被保人生日。。。。。",type,_birthDay)
                            $scope.changeBirthday("insured",'birthday', _birthDay,sourceInfo);
                        }
                        $scope.changeRelationShipIds(type,sourceInfo);//根据性别来判断被保人关系
                    }else if("benefit"==type){
                        sourceInfo.birthday = new Date(_birthDay);
                        if (gender == 'male') {
                            sourceInfo.sex = "M";
                        } else {
                            sourceInfo.sex = "F";
                        }
                    }
                }
            }
        }

        /**
         * 根据关系修正被保人、受益人信息
         * @param type holder 投保人-被保人关系 benefit 受益人-被保人关系
         * @param param 关系 1 表示本人，需重新赋值 否则 需重置目标人信息
         * @param sourceInfo 客户源信息 投保人、被保人
         * @param destInfo 目标客户信息 被保人、受益人
         * @param num 修改关系非1置空时,直接置空操作不好使,故特殊处理
         */
        $scope.relationshipChange = function (type,param,sourceInfo,destInfo,num) {
            if(param == 1){//表示同一人
                if(type=="insured"){//处理投被保人关系
                    sourceInfo.relationship = param;

                }else if(type=="benefit"){
                    destInfo.relation = param;
                }
                destInfo.name = sourceInfo.name;
                destInfo.mobile = sourceInfo.mobile;
                destInfo.sex = sourceInfo.sex;
                destInfo.birthday = sourceInfo.birthday;
                destInfo.email = sourceInfo.email;

                destInfo.namePinyin = sourceInfo.namePinyin;
                destInfo.certiType = sourceInfo.certiType;
                destInfo.certiCode = sourceInfo.certiCode;
                destInfo.passPort = sourceInfo.passPort;
                destInfo.customerId = sourceInfo.customerId;//如果投保人是选择客户，获取客户Id
                destInfo.certiName = getCredTypes['id' + sourceInfo.certiType];
                destInfo.certiValidDate = sourceInfo.certiValidDate;//证件起期
                destInfo.addressInfo = sourceInfo.addressInfo;//通讯地址
                destInfo.detailAddress = sourceInfo.detailAddress;//现住址具体地址
                destInfo.longTermFlag = sourceInfo.longTermFlag;//证件长期标记
                if(destInfo.longTermFlag!=1){//非长期
                    destInfo.certiExpiryDate = sourceInfo.certiExpiryDate;//证件终止期
                }
                destInfo.jobClass1 = sourceInfo.jobClass1;//职业大类1
                destInfo.jobClass2 = sourceInfo.jobClass2;//职业小类2
                destInfo.jobClass1name = sourceInfo.jobClass1name;//职业大类1名称
                destInfo.jobClass2name = sourceInfo.jobClass2name;//职业小类2名称
                destInfo.disableEdit = true;
            }else{
                if(type=="insured") {//处理投被保人关系
                    $scope.holderInfo = {
                        "addressInfo":{}
                    };
                    sourceInfo.relationship = param;
                    localStorage.removeItem("liabilityList");//清空存储上次选择的保障责任列表
                }else if(type=="benefit"){//处理被保人受益人关系
                    sourceInfo.benefitInfos[num] = {
                        "relation" : param,
                        "addressInfo":{}
                    };
                }
            }
            //删除受益人备用标记
            if(type=="holder"){
                destInfo.showDelCheck = false;
            }
        };
        /**
         * @desc 修改性别
         * @param type :holder 投保人 insured 被保人 benefit 受益人
         * @param val
         * @param sourceInfo 修改性别对象
         */
        $scope.selectSex = function (type, val,sourceInfo) {
            if (type == 'holder') {//投保人
                if(sourceInfo.disableEdit){

                }else {
                    sourceInfo.sex = val;
                }
            }else if (type == 'insured') {//被保人
                sourceInfo.sex = val;
            }else if(type =="benefit"){//指定被保人的受益人
                if(sourceInfo.disableEdit){

                }else {
                    sourceInfo.sex = val;
                }
            }

            $scope.changeRelationShipIds(type,sourceInfo);//根据性别来判断被保人关系
        };
        //接收添加用户信息
        $scope.$on("customerInfos", function (event, msg) {
            if (msg.sequence == "0" && typeof msg.customerInfos[0] != 'undefined') {
                var holderInfo = msg.customerInfos[0];
                holderInfo['birthday'] = new Date(holderInfo['birthday']);
                $scope.holderInfo.name = holderInfo.name;
                $scope.holderInfo.email = holderInfo.emailValue;
                $scope.holderInfo.birthday = holderInfo.birthday;
                $scope.holderInfo.mobile = holderInfo.contactValue;
                $scope.holderInfo.certiType = holderInfo.certiType;
                $scope.holderInfo.certiCode = holderInfo.certiCode;
                $scope.holderInfo.sex = holderInfo.gender;
                $scope.holderInfo.customerId = holderInfo.customerId;
                $scope.credNumChange("holder", $scope.holderInfo);//处理可选投被保人关系
            } else if (msg.sequence > 0 && typeof msg.customerInfos[msg.sequence] != 'undefined') {
                var sequence = msg.sequence - 1;
                var insuredInfo = msg.customerInfos[msg.sequence];
                insuredInfo['birthday'] = new Date(insuredInfo['birthday']);
                $scope.insuredInfos[sequence].name = insuredInfo.name;
                $scope.insuredInfos[sequence].email = insuredInfo.emailValue;
                $scope.insuredInfos[sequence].birthday = insuredInfo.birthday;
                $scope.insuredInfos[sequence].mobile = insuredInfo.contactValue;
                $scope.insuredInfos[sequence].certiType = insuredInfo.certiType;
                $scope.insuredInfos[sequence].certiCode = insuredInfo.certiCode;
                $scope.insuredInfos[sequence].sex = insuredInfo.gender;
                $scope.credNumChange("insured", $scope.insuredInfos[sequence]);//处理可选受益人、被保人关系
            }
        });

        //获取产品费率数据
        function loadProductData() {
            $.ajax({
                url: 'module/product/detailOffline/views/' + $stateParams.productId + '/D'+$stateParams.productId+'.js',
                cache: false,
                async: false,
                success: function (data) {
                    $scope.productData  = (new Function("return " + data))();
                    //console.info("产品费率",$scope.productData);
                },
                error: function (err) {

                }
            });
        }
        //初始化产品数据
        function initBaseInfo() {
            $scope.productBaseInfo = $scope.productGetItem('productBaseInfo');//产品基础信息

            //线下产品主副险数据
            $scope.mainAdditionCalculate = [];
            //$scope.isSetLocal = {};

            $scope.productId = $scope.productBaseInfo.productId;//当前产品Id
            //是否续保

            //加载续期银行
            if ($scope.renewalFlag) {
                $scope.renewalInfo = {};
                $scope.renewalBanks = renewalBanks["C" + $scope.productBaseInfo.productCompany];
            }


            //初始产品费率信息
            if($scope.productBaseInfo.version=="2.0"){
                loadProductData();
            }
            //加载各自产品逻辑文件
            loadProductJs($scope.productId);
            var additionList = $scope.productBaseInfo.productAttachRuleList;
            for(var i=0;i<additionList.length;i++){
                loadProductJs(additionList[i].attachedPdtId);
            }
            //初始化证件类型
            if($scope.initCertiType) {
                $scope.initCertiType();
            }
        }

        //同意续保协议
        $scope.continueInsureBtn = function () {
            $scope.agreeContinue = !$scope.agreeContinue;
            if ($scope.agreeContinue) {//选择续期则加载机构信息
                $scope.getBranch("renewalInfo", "", 0, "", 0);
            }
        };

        //获取下级机构信息
        var branchInfos = ["ProvinceList", "CityList", "CountyList"];
        var branchCodeList = ["provinceCode", "cityCode", "countyCode"];
        var branchNameList = ["provinceName", "cityName", "countyName"];
        var showLevel = 3;//展示机构级别
        //type： holder 投保人 insured 被保人 benefinel 受益人
        // branchLevel为当前机构级别 parentCode 当前机构代码 查当前机构的下一级
        // autoFlag 0 自动加载 1 手工选择
        //sourceInfo 编辑信息所属对象
        $scope.getBranch = function (type, companyCode, branchLevel, parentCode, autoFlag,sourceInfo) {
            //获取机构名称--邮编代码
            if(autoFlag==1) {
                for (var i = 0; i < sourceInfo[branchInfos[branchLevel - 1]].length; i++) {
                    if (sourceInfo[branchInfos[branchLevel - 1]][i].regionCode == sourceInfo["addressInfo"][branchCodeList[branchLevel-1]]) {
                        sourceInfo["addressInfo"][branchNameList[branchLevel - 1]] = sourceInfo[branchInfos[branchLevel - 1]][i].regionName;
                    }
                    //增加邮编--多邮编，做邮编数组处理
                    if(branchLevel=="3"
                    && (sourceInfo[branchInfos[branchLevel - 1]][i].regionCode == sourceInfo["addressInfo"][branchCodeList[branchLevel-1]])){
                        if(sourceInfo[branchInfos[branchLevel - 1]][i]["regionPostCode"]) {//有配置邮编信息
                            sourceInfo["addressInfo"]["regionPostCode"] = "," + sourceInfo[branchInfos[branchLevel - 1]][i]["regionPostCode"];
                        }else{
                            delete sourceInfo["addressInfo"]["regionPostCode"];
                        }
                    }
                }
            };
            if(typeof num=='undefined') num="";
            if (branchLevel != 0 && branchLevel < showLevel && autoFlag == 1 && parentCode == null) {//选择页面省为空
                for (var i = 0; i < branchInfos.length; i++) {
                    if (i >= branchLevel && i<showLevel) {//清空级联机构信息
                        sourceInfo[branchInfos[i]] = [];//清空列表
                        sourceInfo["addressInfo"][branchCodeList[i]] = "";//清空代码
                        sourceInfo["addressInfo"][branchNameList[i]] = "";//清空名称
                    }
                }
            } else {
                if (autoFlag == 1) {
                    for (var i = 0; i < branchInfos.length; i++) {
                        if (i >= branchLevel && i<showLevel) {//清空级联机构信息;
                            sourceInfo[branchInfos[i]] = [];//清空列表
                            sourceInfo["addressInfo"][branchCodeList[i]] = "";//清空代码
                            sourceInfo["addressInfo"][branchNameList[i]] = "";//清空名称
                        }
                    }
                }
                adbService.getResult(
                    {},
                    $scope.setService("I181022", {
                        productId: $scope.productId,//产品代码
                        parentCode: parentCode,//上级代码
                        branchLevel:branchLevel
                    }),
                    function (json) {
                        //console.info("获取机构....",type,json)
                        if (json.header.istatus == '-99') {
                            $scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {
                            //$scope[type + branchInfos[branchLevel]] = json.data;
                            sourceInfo[branchInfos[branchLevel]] = json.data;
                        }
                    },
                    function (err) {
                    }
                )
            }
        };
        //获取机构名称
        var getBranchName = function (type, branchLevel, branchCode) {
            $scope[type]["addressInfo"][branchNameList[branchLevel]] = "";
            if ($scope[type + branchInfos[branchLevel]]) {
                for (var i = 0; i < $scope[type + branchInfos[branchLevel]].length; i++) {
                    if ($scope[type + branchInfos[branchLevel]][i].branchCode == branchCode) {
                        $scope[type]["addressInfo"][branchNameList[branchLevel]] = $scope[type + branchInfos[branchLevel]][i].branchName;
                        return;
                    }
                }
            }
        };
        //服务机构信息查询
        //type： holder 投保人 insured 被保人 benefinel 受益人
        // branchLevel为当前机构级别 parentCode 当前机构代码 查当前机构的下一级
        // autoFlag 0 自动加载 1 手工选择
        var serviceBranchInfos = ["SProvinceList", "SCityList", "SCountyList"];
        var serviceBranchCodeList = ["provinceCode", "cityCode", "countyCode"];
        var serviceBranchNameList = ["provinceName", "cityName", "countyName"];
        var serviceShowLevel = 2;//展示机构级别
        $scope.getServiceBranch = function (type, companyCode, branchLevel, parentCode, autoFlag) {
            //获取机构名称
            if(autoFlag==1) {
                for (var i = 0; i < $scope[type+serviceBranchInfos[branchLevel - 1]].length; i++) {
                    if ($scope[type+serviceBranchInfos[branchLevel - 1]][i].branchCode == $scope[type]["sAddressInfo"][serviceBranchCodeList[branchLevel-1]]) {
                        $scope[type]["sAddressInfo"][serviceBranchNameList[branchLevel - 1]] = $scope[type+serviceBranchInfos[branchLevel - 1]][i].branchName;
                    }
                }
            };
            if (branchLevel != 0 && branchLevel < serviceShowLevel && autoFlag == 1 && parentCode == null) {//选择页面省为空
                for (var i = 0; i < serviceBranchInfos.length; i++) {
                    if (i >= branchLevel && i<serviceShowLevel) {//清空级联机构信息
                        $scope[type + serviceBranchInfos[i]] = [];//清空列表
                        $scope[type]["sAddressInfo"][serviceBranchCodeList[i]] = "";//清空代码
                        $scope[type]["sAddressInfo"][serviceBranchNameList[i]] = "";//清空名称
                    }
                }
            } else {
                if (autoFlag == 1) {
                    for (var i = 0; i < serviceBranchInfos.length; i++) {
                        if (i >= branchLevel && i<serviceShowLevel) {//清空级联机构信息;
                            $scope[type + serviceBranchInfos[i]] = [];//清空列表
                            //console.info("清空级别....",type,i,branchLevel,serviceBranchInfos[i])
                            $scope[type]["sAddressInfo"][serviceBranchCodeList[i]] = "";//清空代码
                            $scope[type]["sAddressInfo"][serviceBranchNameList[i]] = "";//清空名称
                        }
                    }
                }

                adbService.getResult(
                    {},
                    $scope.setService("I181023", {
                        parentCode: parentCode,//上级代码
                        companyCode:$scope.productBaseInfo.productCompany,//所属公司代码
                    }),
                    function (json) {
                        //console.info("获取服务机构....",type,json)
                        if (json.header.istatus == '-99') {
                            $scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {
                            $scope[type + serviceBranchInfos[branchLevel]] = json.data;
                        }
                    },
                    function (err) {
                    }
                )
            }
        };
        //获取职业类别 autoFlag:0 自动加载 1 手工修改
        $scope.getJobLevel = function (code, productId, num,autoFlag,sourceInfo) {
            //获取职业名称信息
            if(autoFlag==1) {
                for (var i in sourceInfo["jobLevel" + (num-1)]) {
                    if(sourceInfo["jobLevel" + (num-1)][i].jobClassCode==sourceInfo["jobClass"+(num-1)]){
                        sourceInfo["jobClass"+(num-1)+"name"] = sourceInfo["jobLevel" +(num-1)][i].jobClassName
                    }
                }
            }
            //只获取到第二级职业
            if(num>2) return;
            adbService.getResult(
                {},
                $scope.setService("I228010", {
                    "parentCode": code,
                    "productId": productId,
                    "level": $scope.jobLevelCategray || "1,2,3",
                    "jobClassType": num
                }),
                function (json) {
                    //console.info("获取职业信息........",json.data)
                    if (json.header.istatus == '-99') {
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        sourceInfo['jobLevel'+num] = json.data;
                    }
                },
                function (err) {
                }
            )

        };

        //倒数60秒 切换按钮显示
        var calTimer;
        function sendPayCalCount() {
            $scope.seconds = 30;
            calTimer = setInterval(function () {
                if ($scope.seconds <= 0) {
                    clearInterval(calTimer);
                }else{
                    $scope.seconds--;
                    $scope.$apply();
                }
            }, 1000);
        }

        //后台试算接口
        $scope.calculateApi = function(trialProductList,callback){
            $scope.calculateStatus =false;//未试算成功
            sendPayCalCount();
            //调用试算接口
            adbService.getResult(
                {},
                $scope.setService("I181011",  {
                    "trialProductList": trialProductList
                }),
                function (json) {
                    //console.info("!!!!!!!!!!!!!",json);
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        //console.info("$$$$$$$$$$$$$",json);
                        $scope.calculateStatus = true;//试算成功
                        //var calculateAmt = json.data.trialProductList[0].premium;
                        //多项试算求和
                        $scope.orderBaseInfo.totalPremium = 0;
                        for(var i = 0;i<json.data.trialProductList.length;i++){
                            var calculateAmt = 0;
                            calculateAmt =json.data.trialProductList[i].premium;
                            $scope.orderBaseInfo.totalPremium += parseInt(calculateAmt);
                            var objA = 'P'+json.data.trialProductList[i].productId+'Cal';
                            $scope[objA].calculateAmt = parseFloat(calculateAmt).toFixed(2);
                        }
                        $scope.orderBaseInfo.totalPremium = $scope.orderBaseInfo.totalPremium.toFixed(2);
                        saveSessionInfo();

                        //console.info("@@@@@@@@@@@@",$scope.P100394Cal,$scope.P100395Cal,$scope.P100396Cal,$scope.mainAdditionCalculate);
                        callback();
                    } else {
                        $scope.calculateStatus = true;//试算成功
                        // error message
                        //$scope.loginError = json.msg;
                    }
                },
                function (error) {
                    $scope.calculateStatus = true;//试算成功
                    // error message
                }
            );
        };
        //转换各对象时间格式
        $scope.transZoneTo10 = function(){
            //投保人信息
            if($scope.holderInfo){
                if($scope.holderInfo.birthday){//生日
                    $scope.holderInfo.birthday = formatDate10(new Date($scope.holderInfo.birthday));
                }
                if($scope.holderInfo.certiValidDate){//证件生效日
                    $scope.holderInfo.certiValidDate = formatDate10(new Date($scope.holderInfo.certiValidDate));
                }
                if($scope.holderInfo.certiExpiryDate){//证件失效日
                    $scope.holderInfo.certiExpiryDate = formatDate10(new Date($scope.holderInfo.certiExpiryDate));
                }
            }
            //被保人、受益人
            if($scope.insuredInfos){
                for(var i in $scope.insuredInfos){
                    if($scope.insuredInfos[i].birthday){//出生日期
                        $scope.insuredInfos[i].birthday = formatDate10(new Date($scope.insuredInfos[i].birthday));
                    }
                    if($scope.insuredInfos[i].certiValidDate){//证件生效日
                        $scope.insuredInfos[i].certiValidDate = formatDate10(new Date($scope.insuredInfos[i].certiValidDate));
                    }
                    if($scope.insuredInfos[i].certiExpiryDate){//证件失效日
                        $scope.insuredInfos[i].certiExpiryDate = formatDate10(new Date($scope.insuredInfos[i].certiExpiryDate));
                    }
                    for(var j in $scope.insuredInfos[i].benefitInfos){
                        if($scope.insuredInfos[i].benefitInfos[j].birthday){//出生日期
                            $scope.insuredInfos[i].benefitInfos[j].birthday = formatDate10(new Date($scope.insuredInfos[i].benefitInfos[j].birthday));
                        }
                        if($scope.insuredInfos[i].benefitInfos[j].certiValidDate){//证件生效日
                            $scope.insuredInfos[i].benefitInfos[j].certiValidDate = formatDate10(new Date($scope.insuredInfos[i].benefitInfos[j].certiValidDate));
                        }
                        if($scope.insuredInfos[i].benefitInfos[j].certiExpiryDate){//证件失效日
                            $scope.insuredInfos[i].benefitInfos[j].certiExpiryDate = formatDate10(new Date($scope.insuredInfos[i].benefitInfos[j].certiExpiryDate));
                        }
                    }
                }
            }
            //试算信息
            if($scope.mainAdditionCalculate){
                for(var i = 0;i<$scope.mainAdditionCalculate.length;i++){
                    if($scope.mainAdditionCalculate[i].insuredStartDate){
                        $scope.mainAdditionCalculate[i].insuredStartDate = formatDate10(new Date($scope.mainAdditionCalculate[i].insuredStartDate));
                    }
                }
            }
        }

        //初始保单预览页各项弹窗
        $scope.initDatas = {
            "fillPlanBox": true,
            "holderInfoBox": true,
            "insuredInfoBox": true,
            "eachInsuredInfo": [],
            "insureBenifitBox": true,
            "beneficiary": true,
            "renewalInfoBox":true,
            "customerRoleBox":true
        };
        //切换保单预览页各项弹窗
        $scope.toggleShow = function (e,index) {
            $scope.initDatas[e] = !$scope.initDatas[e];
            if(e == 'eachInsuredBox'&& index){
                if($scope.initDatas.eachInsuredInfo.length==0){
                    for(var i=1;i<$scope.insuredInfos.length+1;i++){
                        var eachInsuredInfo = {};
                        eachInsuredInfo.id = i;
                        eachInsuredInfo.isTrue = true;
                        $scope.initDatas.eachInsuredInfo.push(eachInsuredInfo);
                    }
                }else{
                    $scope.initDatas.eachInsuredInfo[index-1].isTrue = !$scope.initDatas.eachInsuredInfo[index-1].isTrue;
                }
            }
        }
        //与后台交互,无需传更多产品基础信息
        $scope.initProductBaseInfo = function(){
            $scope.baseInfo = {};
            $scope.baseInfo.productId = $scope.productBaseInfo.productId;//产品Id
            $scope.baseInfo.shareTitle = $scope.productBaseInfo.shareTitle;//分享标题
            $scope.baseInfo.shareContent = $scope.productBaseInfo.shareContent;//分享内容描述
            $scope.baseInfo.productName = $scope.productBaseInfo.productName;//产品名称
        }

        function init()//初始化信息
        {
            getSystemType();//获取终端类型
            $scope.showFlag = true;
            $scope.saveData = JSON.parse(localStorage.getItem('saveData'));
            $scope.stepId = $stateParams.stepId;
            $scope.validAgeFlag = true;//被保人年龄有效标记
            //initCalculateInfo();//初始化试算相关信息
            initBaseInfo();//初始化产品数据
            //initHolderInfo();//初始化投保人信息
            productJs[$scope.productId]($scope, {"type": "initStep"+$scope.stepId}, {"adbService": adbService});
            //initInsuredInfo();//初始化被保人信息
            //initRenewalInfo();//初始化续期信息

            //删除orderInfo的localStorage
            localStorage.removeItem("orderInfo");
            $scope.goPay = "立即支付";

            //银行账户信息页面银行列表页面是否显示
            $scope.accountInfo = true;
            $scope.bankInfo = false;

            //试算接口调用点
            $scope.calculateStatus = true;//试算成功
        }

        init();
        $scope.$on('$viewContentLoaded', function () {
            //视图渲染后加载
            function scrollFillInfoOfflineFun() {
                var obj = document.getElementById('productFillInfoOffline');
                document.documentElement.scrollTop =document.body.scrollTop= obj.offsetTop;
            }
            scrollFillInfoOfflineFun();
        });

        //银行显示与否
        $scope.bankInfoShow = function(){
            $scope.bankInfo = true;
            $scope.accountInfo = false;
            $scope.appTitle = '银行信息';
            $scope.$emit("titleName", $scope.appTitle);
            $scope.$emit("goIndexBtn", false);//去首页按钮
            $scope.prevModule11 = JSON.parse(localStorage.getItem("prevModule11"));
            $scope.$emit("adbBack","#/productR/productFillInfoOfflineR/100059/"+$stateParams.productId+"/"+$stateParams.stepId+"/"+$scope.prevModule11,"2","",true);
            $scope.$on('productResult', function (event, mass) {
                $scope.appTitle = '投保信息填写';
                $scope.$emit("titleName", $scope.appTitle);
                $scope.$emit("goIndexBtn", true);//去首页按钮
                $scope.bankInfo = mass;
                $scope.accountInfo = true;
                $scope.prevModule10 = JSON.parse(localStorage.getItem("prevModule10"));
                $scope.$emit("adbBack", '#/productR/productFillInfoOfflineR/100059/' + $stateParams.productId + '/' + ($stateParams.stepId - 1) + '/' + $scope.prevModule10, "2");
            });
        };

        //跳转到添加附加险页面
        $scope.addAdditional = function(){
            saveSessionInfo();
            var params = backFactory.getter();
            params['productAdditionalInfo'] = $location.url();
            backFactory.setter(params);
            localStorage.setItem("productAdditionalInfo", $location.url());
            location.href = '#/productR/productAdditionalInfoR/' + $stateParams.productId + '?additionFrom=2';
        };

        //调用图片获取接口
        $scope.getImagePartsInfo = function(params){
            adbService.getResult(
                {},
                $scope.setService("P101014",{
                    "imageParts": [params]
                }),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        for(var i = 0;i < $scope.imageParts.length; i++){
                            if(params.imageType == $scope.imageParts[i].imageType){
                                $scope.imageParts[i].imageUrl = json.data[0].imageUrl;
                            }
                        }
                    }
                },
                function (error) {

                }
            );
        };

        //修改证件有效期
        $scope.changeLongTerm = function(sourceInfo){
            if(sourceInfo.longTermFlag=="1"){
                sourceInfo.longTermFlag = "0";
            }else{
                sourceInfo.longTermFlag = "1";
            }
        }

        //指定受益人
        //flag : 0 法定 1 指定
        $scope.specBenefit = function(sourceInfo,flag){
            //如果无受益人信息,则添加一个空受益人
            if(flag=="0"){
                sourceInfo.benefitInfos = [];
            }else if (flag=="1") {
                if (typeof sourceInfo.benefitInfos == 'undefined' || sourceInfo.benefitInfos.length == 0) {
                    sourceInfo.benefitInfos = [{}];
                }
            }
        }
        //添加受益人
        $scope.addBenefit = function(insuredInfo){
            if(insuredInfo.benefitInfos.length>=3){
                $scope.dialogTip("最多添加3个受益人信息");
            }else {
                insuredInfo.benefitInfos.push({});
            }
        }
        //删除 未显示删除框，先显示框
        $scope.delBenefit = function (insuredInfo,num) {
            /*if (typeof insuredInfo.showDelCheck=='undefined' || insuredInfo.showDelCheck == false) {
                insuredInfo.showDelCheck = true;
            } else {*/
                //根据上方置空标记,来删除关系信息
                for (var j = 0; j < insuredInfo.benefitInfos.length; j++) {
                    //if (insuredInfo.benefitInfos[j].delFlag) {
                    if (j == num) {
                        insuredInfo.benefitInfos.splice(j, 1);
                        j--;
                        return ;
                    }
                }
                //insuredInfo.showDelCheck = false;
                $scope.productSetItem('insuredInfos', $scope.insuredInfos);
            //}

        }
        //选中删除项
        $scope.changeState = function (insuredInfo,num) {
            insuredInfo.benefitInfos[num].delFlag = !insuredInfo.benefitInfos[num].delFlag;
        }
        //清除非必要存储信息
        function cleanSpecInfo(){
            //投保人地址信息
            if($scope.holderInfo){
                delete $scope.holderInfo.ProvinceList;
                delete $scope.holderInfo.CityList;
                delete $scope.holderInfo.CountyList;
                delete $scope.holderInfo.jobLevel1;
                delete $scope.holderInfo.jobLevel2;
            }
            //被保人地址信息
            if($scope.insuredInfos){
                for(var i in $scope.insuredInfos) {
                    delete $scope.insuredInfos[i].ProvinceList;
                    delete $scope.insuredInfos[i].CityList;
                    delete $scope.insuredInfos[i].CountyList;
                    delete $scope.insuredInfos[i].jobLevel1;
                    delete $scope.insuredInfos[i].jobLevel2;
                }
            }
        }
        //保存各对象信息
        function saveSessionInfo (){
            for(var i=0;i<$scope.mainAdditionCalculate.length;i++){
                var productCal = 'P'+$scope.mainAdditionCalculate[i].productId+"Cal";
                $scope.mainAdditionCalculate[i] = $scope[productCal];
                //试算
                if($scope[productCal]){
                    $scope.productSetItem(productCal, $scope[productCal]);
                }
            }

            var additionList = localStorage.getItem("saveCheckedAdditionList");
            if(additionList){
                additionList = JSON.parse(additionList);
                for(var i in additionList){
                    var pObj = 'P'+i+'Cal';
                    if(!additionList[i].initStatus.isShowAddition){
                        $scope.productSetItem(pObj, $scope[pObj]);
                    }
                }
            }

            //投保人
            if($scope.holderInfo){
                $scope.productSetItem('holderInfo', $scope.holderInfo);
            }
            //被保人
            if($scope.insuredInfos){
                $scope.productSetItem('insuredInfos', $scope.insuredInfos);
            }
            //保单基础信息
            if($scope.orderBaseInfo){
                $scope.productSetItem('orderBaseInfo', $scope.orderBaseInfo);
            }
            //保险利益
            if($scope.showPlanInfo){
                $scope.productSetItem('showPlanInfo', $scope.showPlanInfo);
            }
            //续期账户
            if($scope.renewalInfo){
                $scope.productSetItem('renewalInfo', $scope.renewalInfo);
            }
            //保险利益
            if($scope.extraInfo){
                $scope.productSetItem('extraInfo', $scope.extraInfo);
            }
            //指定投保责任
            if($scope.liabilityList){
                $scope.productSetItem('liabilityList', $scope.liabilityList);
            }
            //保存角色信息
            if($scope.customerRoleInfo){
                $scope.productSetItem('customerRoleInfo', $scope.customerRoleInfo);
            }
            //保存影像信息
            if($scope.imageParts){
                $scope.productSetItem('imageParts', $scope.imageParts);
            }
        }
        //同意协议
        $scope.insuranceBtn = function () {
            $scope.agreeState = !$scope.agreeState;
        };

        //流程跳转
        //currentStep 当前第几步
        //nextModule 下一步模板
        $scope.saveNext = function(){
            var validState = productJs[$scope.productId]($scope, {"type": "checkStep"+$scope.stepId}, {"adbService": adbService});
            if(validState) {//验证通过
                //$scope.$emit("prevModule", $scope.prevModule);
                cleanSpecInfo();//清除某些不必要信息
                saveSessionInfo();//保存相应对象信息
                $scope.nextModule=$scope.nextModule?$scope.nextModule:1;//初始化模板
                if ($scope.nextModule == "payOrder") {//预览页确认支付--防止增加投保流程故最终一步特殊处理
                    var orderParam = backFactory.getter();
                    orderParam['productFillInfoOfflineR'] = $location.url();
                    backFactory.setter(orderParam);
                    localStorage.setItem('productFillInfoOfflineUrl', $location.url());
                    getUserInfo();
                    createOrder();
                }else {
                    if($scope.nextCalculate == "quickCalculate"){
                        $scope.calculate();
                    }else {
                        location.href = '#/productR/productFillInfoOfflineR/100059/' + $stateParams.productId + '/' + (parseInt($scope.stepId) + 1) + '/' + $scope.nextModule;
                    }
                }
            }
        }
        //跳转投保声明
        $scope.goToShow = function (num) {
            var params = backFactory.getter();
            if (num == '0' || num == '1' || num == '2') {
                params['productInsureNotice'] = $location.url();
                backFactory.setter(params);
                location.href = '#/productR/productInsureNoticeR/detailOffline/' + $stateParams.productId + '/' + num;
            } else if (num == '3') {
                params['productInsureClause'] = $location.url();
                backFactory.setter(params);
                localStorage.setItem('productInsureClause', $location.url());
                location.href = '#/productR/productInsureClauseR/detailOffline/' + $stateParams.productId;
            }  else if (num == '4') {
                params['productHealthNotice'] = $location.url();
                backFactory.setter(params);
                $scope.productSetItem('calculateInfo', $scope.mainAdditionCalculate);
                location.href = '#/productR/productHealthNoticeR/' + $stateParams.productId;
            }
        };

        $scope.prevModule = {};
        //第一步返回详情页面，之后的步骤返回上一步
        if($stateParams.stepId==1) {
            $scope.$emit("productId", $stateParams.productId);
            $scope.$emit("stepNum", "0", "2");
            $scope.$emit("adbBack", "", "2", "fillInfoOffline");
        }else if($stateParams.stepId>1){
            $scope.$emit("stepNum", $scope.stepId, "2");
            $scope.prevModule = JSON.parse(localStorage.getItem("prevModule"));
            var backUrl = '';
            if(typeof $scope.prevModule['step'+($scope.stepId-1)] == 'undefined'){
                backUrl = '#/productR/productFillInfoOfflineR/'+$scope.productBaseInfo.productCompany+'/' + $scope.productId + '/' + ($scope.stepId - 2) + '/'+$scope.prevModule['step'+($scope.stepId-2)];
            }else{
                backUrl = '#/productR/productFillInfoOfflineR/'+$scope.productBaseInfo.productCompany+'/' + $scope.productId + '/' + ($scope.stepId - 1) + '/'+$scope.prevModule['step'+($scope.stepId-1)];
            }
            $scope.$emit("adbBack", backUrl, "2","fillInfoOffline");
            $scope.$on('sendChild', function(event,data) {
                if(data == "saveSession"){
                    saveSessionInfo();//保存相应对象信息
                }
            });
        }

        //TODO--测试使用返回
        /*var appBack = backFactory.getter();//App存储backFactory
        if($stateParams.stepId==1) {
            $scope.$emit("productId", $stateParams.productId);
            $scope.$emit("stepNum", "0", "2");
            if (typeof appBack['productHealthNotice'] != 'undefined' && appBack['productHealthNotice'] != '') {
                var backUrl = appBack['productHealthNotice'];
                $scope.$emit("adbBack", "index.html#" + backUrl, "2","fillInfoOffline");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
                $scope.$on('sendChild', function(event,data) {
                    if(data == "saveSession"){
                        saveSessionInfo();//保存相应对象信息
                    }
                });
            }
            else {
                //不是APP,从localstorage读取
                var localBack = localStorage.getItem("proDetailUrl");
                $scope.$emit("adbBack", "index.html#" + localBack, "2","fillInfoOffline");
                $scope.$on('sendChild', function(event,data) {
                    if(data == "saveSession"){
                        saveSessionInfo();//保存相应对象信息
                    }
                });
            }
        }else if($stateParams.stepId>1) {
            $scope.$emit("stepNum", $stateParams.stepId, "2");
            if($stateParams.stepId == 2){
                if(localStorage.getItem("prevModule1")){
                    $scope.prevModule1 = JSON.parse(localStorage.getItem("prevModule1"));
                    $scope.$emit("adbBack", '#/productR/productFillInfoOfflineR/100059/' + $stateParams.productId + '/' + ($stateParams.stepId - 1) + '/'+$scope.prevModule1, "2","fillInfoOffline");
                    $scope.$on('sendChild', function(event,data) {
                        if(data == "saveSession"){
                            saveSessionInfo();//保存相应对象信息
                        }
                    });
                }
            }else if($stateParams.stepId == 3){
                if(localStorage.getItem("prevModule2")){
                    $scope.prevModule2 = JSON.parse(localStorage.getItem("prevModule2"));
                    $scope.$emit("adbBack", '#/productR/productFillInfoOfflineR/100059/' + $stateParams.productId + '/' + ($stateParams.stepId - 1) + '/'+$scope.prevModule2, "2","fillInfoOffline");
                    $scope.$on('sendChild', function(event,data) {
                        if(data == "saveSession"){
                            saveSessionInfo();//保存相应对象信息
                        }
                    });
                }
            }else if($stateParams.stepId == 4){
                if(localStorage.getItem("prevModule3")) {
                    $scope.prevModule3 = JSON.parse(localStorage.getItem("prevModule3"));
                    $scope.$emit("adbBack", '#/productR/productFillInfoOfflineR/100059/' + $stateParams.productId + '/' + ($stateParams.stepId - 1) + '/' + $scope.prevModule3, "2","fillInfoOffline");
                    $scope.$on('sendChild', function(event,data) {
                        if(data == "saveSession"){
                            saveSessionInfo();//保存相应对象信息
                        }
                    });
                }
            }else if($stateParams.stepId > 4){
                if(localStorage.getItem("prevModule4")) {
                    $scope.prevModule4 = JSON.parse(localStorage.getItem("prevModule4"));
                    $scope.$emit("adbBack", '#/productR/productFillInfoOfflineR/100059/' + $stateParams.productId + '/' + ($stateParams.stepId - 1) + '/' + $scope.prevModule4, "2","fillInfoOffline");
                    $scope.$on('sendChild', function(event,data) {
                        if(data == "saveSession"){
                            saveSessionInfo();//保存相应对象信息
                        }
                    });
                }
            }

        }*/

        var abc = false;
        $scope.temporarySto =  function(){
            var Data = {
                "holderInfo": $scope.holderInfo,
                "insuredInfo": $scope.insuredInfos,
                "calculateInfo": $scope.mainAdditionCalculate,
                "renewalInfo": $scope.mainAdditionCalculate[0].chargePeriod!="1"?$scope.renewalInfo:{},
                "productBaseInfo": $scope.baseInfo,
                "user": user,
                "clientType": clientType,
                "extraInfo": $scope.extraInfo,
                "liabilityList":$scope.liabilityList,
                "customerRoleInfo":$scope.customerRoleInfo,
                "orderBaseInfo":$scope.orderBaseInfo,
                "imageParts":$scope.imageParts
            };
            if(!abc){
                abc = true;
                adbService.getResult(
                    {},
                    $scope.setService("P101013", Data),
                    function (json) {
                        if (json.header.istatus == '-99') {
                            $scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {
                            var timer = $timeout(
                                function() {
                                    abc = false;
                                },
                                5000
                            );
                            $scope.orderBaseInfo.preOrderId = json.data.preOrderId;
                            console.info("=========",json,$scope.orderBaseInfo);
                            saveSessionInfo();
                        }
                        if (json.header.istatus == '2') {
                            abc = false;
                        }
                    },
                    function (err) {
                        abc = false;
                    }
                );
            }
        };

        var clientType = getClientType();

        //投保支付客户信息
        var user = {};
        function getUserInfo(){
            if (localStorage.getItem('broker_in_session') == null) {//匿名用户
                user.regId = "";
                user.certiName = $scope.holderInfo.name;
                user.certiCode = $scope.holderInfo.holderCredNum;
                user.brokerCode = "";
            } else {//登录用户
                var brokerInfo = JSON.parse(localStorage.getItem('broker_in_session'));
                user.userId = brokerInfo.userId;
                user.accId = brokerInfo.accId;
                user.regId = brokerInfo.regId;
                user.brokerCode = brokerInfo.brokerCode;
                user.shareCode = brokerInfo.shareCode;
                user.invitationCode = brokerInfo.shareCode;
                user.brokerName = brokerInfo.name;
            }
            ;
            //console.info("存储分享信息："+localStorage.getItem('shareInfo_in_session'));
            if (localStorage.getItem('shareInfo_in_session') != null) {//分享信息
                var shareInfo = JSON.parse(localStorage.getItem('shareInfo_in_session'));
                user.invitationCode = decodeURIComponent(shareInfo.shareCode) || user.shareCode;
                user.submitChlId = shareInfo.submitChlId;
                user.wxOpenId = shareInfo.wxOpenId;//获取微信openId
                user.saleChlId = shareInfo.saleChlId;//销售渠道
                user.brokerName = shareInfo.brokerName;
            }
            //设置分享图片地址
            user.shareImgUrl = _globalOption.host + shareProduct.baseUrl+$scope.productId+shareProduct.imgType;
        }

        //倒数60秒 切换按钮显示
        var timer1;
        function sendPayCount() {
            $scope.seconds = 30;
            timer1 = setInterval(function () {
                if ($scope.seconds <= 0) {
                    clearInterval(timer1);
                    $scope.goPay = "立即支付";
                    $scope.addBank = false;
                }else{
                    $scope.seconds--;
                    $scope.goPay = "立即支付".concat($scope.seconds).concat("s");
                    $scope.$apply();
                }
            }, 1000);
        }

        //console.info("分享客户信息",user);
        $scope.goPayTime = false;
        function createOrder() {
            var Data = {
                "holderInfo": $scope.holderInfo,
                "insuredInfo": $scope.insuredInfos,
                "calculateInfo": $scope.mainAdditionCalculate,
                "renewalInfo": $scope.mainAdditionCalculate[0].chargePeriod!="1"?$scope.renewalInfo:{},
                "productBaseInfo": $scope.baseInfo,
                "user": user,
                "clientType": clientType,
                "extraInfo": $scope.extraInfo,
                "liabilityList":$scope.liabilityList,
                "customerRoleInfo":$scope.customerRoleInfo,
                "orderBaseInfo":$scope.orderBaseInfo,
                "imageParts":$scope.imageParts
            };
            console.info("=====",Data);
            if(!$scope.goPayTime){
                $scope.goPayTime = true;
                sendPayCount();
                adbService.getResult(
                    {},
                    $scope.setService("P101012", Data),
                    function (json) {
                        if (json.header.istatus == '-99') {
                            $scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {
                            clearInterval(timer1);
                            if(json.data.status == '1'){
                                location.href='#/productR/productPayResultOfflineR?busiOrderId='+$scope.data.busiOrderId+'&policyCode='+$scope.data.policyCode+'&proposalId='+json.data.proposalId+'&totalPremium='+json.data.totalPremium+'&preOrderId='+json.data.preOrderId;
                                //location.href='#/productR/productPayResultOfflineR?busiOrderId=2016122215244439600&policyCode=1223456789&proposalId=123123123&totalPremium=4287';
                            }
                            $scope.goPay = "立即支付";
                        }
                        if (json.header.istatus == '2') {
                            $scope.goPayTime = false;
                            clearInterval(timer1);
                            $scope.dialogTip(json.header.imsg);
                            $scope.goPay = "立即支付";
                        }
                        var timer = $timeout(function () {
                            $scope.goPayTime = false;
                            clearInterval(timer1);
                            $scope.goPay = "立即支付";
                        }, 30000);
                    },
                    function (err) {
                        $scope.dialogTip("系统繁忙,请稍后再试");
                        $scope.goPayTime = false;
                        clearInterval(timer1);
                        $scope.goPay = "立即支付";
                    }
                );
            }
        }
    }])
});
