define(['app'], function (app) {

    app.register.controller('fillMessageCtrl', ["$window", "$scope", 'backFactory', '$location', '$stateParams', 'adbService','$sce', '$timeout',function ($window, $scope, backFactory, $location, $stateParams, adbService,$sce,$timeout) {
        //改变页面的<title>
        //alert("title:填写投保资料'");
        $scope.appTitle = '填写投保资料';
        $scope.$emit("titleName", $scope.appTitle);
        $scope.$emit("searchShow", false);
        $scope.$emit("homeShow", false);
        $scope.$emit("saveShow", false);
        $scope.$emit("goBackShow", true);
        $scope.productId = $stateParams.productId;
        var ordersData={};
        //获取终端操作系统类型
        function getSystemType(){
            //微信
            if(localStorage.isWeixin=="true"){
                $scope.isWeixin = true;
            }else{
                $scope.isWeixin = false;
            }
            //android
            if(localStorage.isApp == "true"){
                $scope.isAndroid = true;
            }else{
                $scope.isAndroid = false;
            }
            //ios
            if(localStorage.isAppIos == "true"){
                $scope.isIos = true;
            }else{
                $scope.isIos = false;
            }
        }
        //console.info("加载不做...",$stateParams.stepId)
        //判断微信openid检查弹出
        var shareDetailInfo = {};
        if(navigator.userAgent.indexOf("MicroMessenger")>-1 ){
            shareDetailInfo = JSON.parse(localStorage.getItem('shareInfo_in_session'));
            if(shareDetailInfo.isCheck=="01") {
                $scope.dialogRes("获取wxOpenId：" + shareDetailInfo.wxOpenId + "(CP0005)");
            }
        }
        //判断微信浏览器
        function is_weixn(){
            var ua = navigator.userAgent.toLowerCase();
            if(ua.match(/MicroMessenger/i)=="micromessenger") {
                return true;
            } else {
                return false;
            }
        }
        if(is_weixn()){

            //加载详情页时判断是否获取真实wxOpenId
            if(typeof shareDetailInfo.wxOpenId=="undefined" || !shareDetailInfo.wxOpenId ||shareDetailInfo.wxOpenId=="undefined"||
                shareDetailInfo.wxOpenId=="" || shareDetailInfo.wxOpenId == _globalOption.AppId_liming){

                alert("网络异常,请稍后再试");
                WeixinJSBridge.invoke('closeWindow', {}, function (res) {

                    //alert(res.err_msg);

                });
                //location.href = src;
            }else if(typeof shareDetailInfo.shareCode=="undefined" || shareDetailInfo.shareCode=="undefined" || shareDetailInfo.shareCode=="" || !shareDetailInfo.shareCode){
                alert("链接已失效,请重新获取");
                WeixinJSBridge.invoke('closeWindow', {}, function (res) {

                    //alert(res.err_msg);

                });
            }
        }
        //加载投保产品独立文件
        var productJs;
        var loadProductJs = function () {
            $.ajax({
                url: 'module/product/detailOnline/views/' + $stateParams.productId + '/product.js',
                cache: false,
                async: false,
                success: function (data) {
                    productJs = (new Function("return " + data))();
                    productJs($scope, null, {"adbService": adbService});//保存计划信息  初始Product.js里的方法和初始变量值
                },
                error: function (err) {
                }
            });
        };
            //loadProductJs();
        //校验被保人年龄是否满足
        var validInsuredAge = function (sourceInfo) {
            var params = {
                "unit": $scope.calculateInfo.unit,
                "birthday": formatDate10(sourceInfo.insuredBirthday),//出生日期
                "sex":sourceInfo.insuredSex,//被保人性别
                "insuredStartDate": $scope.calculateInfo.insuredStartDate,//保单生效日
                "minInsuredAgeUnit": $scope.productBaseInfo.minInsuredAgeUnit,//最小年龄单位
                "minLAAge": $scope.productBaseInfo.minLAAge,//最小单位值
                "maxInsuredAgeUnit": $scope.productBaseInfo.maxInsuredAgeUnit,//最大年龄单位
                "maxLAAge": $scope.productBaseInfo.maxLAAge//最大年龄值
            };
            //console.info("修改证件号mmmmm",params)
            $scope.insuredBirthday = params.birthday;
            //因各流程不一样,保单生效日与被保人填写顺序不同,故具体判断放各自产品定义
            var ageBoolean = $scope.calculateAge(params);
            if (!ageBoolean) {
                var msg = $scope.productBaseInfo.minLAAge + ageUnit["age" + $scope.productBaseInfo.minInsuredAgeUnit] + " - " + $scope.productBaseInfo.maxLAAge + ageUnit["age" + $scope.productBaseInfo.maxInsuredAgeUnit];
                $scope.dialogTip("被保人年龄范围为:" + msg);
                sourceInfo.validAgeFlag = false;
                return sourceInfo.validAgeFlag;//多被保人使用
            }else{
                sourceInfo.validAgeFlag = true;
            }
            return sourceInfo.validAgeFlag;
        };
        //各自产品使用校验
        $scope.validInsuredAge = function(sourceInfo){
            return validInsuredAge(sourceInfo)
        }
        /**
         * @desc 修改出生日期,判断年龄是否在有效期 并修正关联客户出生日期
         * @param owner : holder 投保人 insured 被保人
         * @param type : birthday 生日
         * @param birthday 修改出生日期值
         * @param sourceInfo 修改出生日期的当前对象
         * @returns {*}
         */
        $scope.changeBirthday = function (owner, type,birthday,sourceInfo) {
            if(!validCredNum("",birthday)) return;//未正确获取日期
            $scope.holderAgeValid = true;
            if(type=="birthday") {
                if (owner == "holder") {
                    var holderAge = 0;
                    //if($scope.productBaseInfo.productCompany=="100065"){//
                        //holderAge = getCurrentAge(formatDate10($scope.holderInfo.holderBirthday),genNowDate(1));//原投保次日计算投保人年龄
                    //}else{
                    //    holderAge = getCurrentAge(formatDate10($scope.holderInfo.holderBirthday));
                    //}
                    holderAge = getCurrentAge(formatDate10($scope.holderInfo.holderBirthday),$scope.calculateInfo.insuredStartDate);//修改后投保生效日计算投保人年龄
                    if (holderAge < 18) {
                        $scope.holderAgeValid = false;
                        $scope.dialogTip('投保人需年满18周岁');
                        return false;
                    }
                    //检查投被保人关系是否有同一人选项
                    if($scope.checkSameAgeGroup){
                        $scope.checkSameAgeGroup($scope.holderInfo.holderBirthday,$scope.calculateInfo.insuredStartDate,
                            {"minInsuredAgeUnit": $scope.productBaseInfo.minInsuredAgeUnit,
                            "minLAAge": $scope.productBaseInfo.minLAAge,"maxInsuredAgeUnit": $scope.productBaseInfo.maxInsuredAgeUnit,
                            "maxLAAge": $scope.productBaseInfo.maxLAAge});
                    }
                    //更改出生日期，并且投被保关系为本人
                    for (var i in $scope.insuredInfos) {
                        //投被保人同一人
                        if ($scope.insuredInfos[i].relationship == "1") {
                            $scope.insuredInfos[i].insuredBirthday = $scope.holderInfo.holderBirthday;
                        }
                        for (var j in $scope.insuredInfos[i].benefitInfos) {
                            //投受益人、被保人同一人
                            if ($scope.insuredInfos[i].relationship == "1") {
                                $scope.insuredInfos[i].insuredBirthday = $scope.holderInfo.holderBirthday;
                            }
                        }
                    }
                    if ($scope.holderInfo.certiType == 1) {
                        if (formatDate10($scope.holderInfo.holderBirthday).replace(/-/g, "") != $scope.holderInfo.certiCode.substring(6, 14)) {
                            $scope.dialogTip("出生日期与身份证号不符");
                            return false;
                        }
                    }

                    return true;
                } else if (owner == "insured") {
                    if (sourceInfo.certiType == 1) {
                        if (formatDate10(sourceInfo.insuredBirthday).replace(/-/g, "") != sourceInfo.certiCode.substring(6, 14)) {
                            $scope.dialogTip("出生日期与身份证号不符");
                            return false;
                        }else{
                            sourceInfo.validAgeFlag = true;
                        }
                    }
                    return validInsuredAge(sourceInfo);
                } else if (owner == "benefit") {
                    if (sourceInfo.certiType == 1) {
                        if (formatDate10(sourceInfo.birthday).replace(/-/g, "") != sourceInfo.certiCode.substring(6, 14)) {
                            $scope.dialogTip("出生日期与身份证号不符");
                            return false;
                        }else{
                            sourceInfo.validAgeFlag = true;
                        }
                    }
                    return true;
                }
            }else if(type=="insuredStartDate"){//保单生效日
                $scope.valideInsuredStartDate(birthday,sourceInfo);
            }else if(type=="certiValidDate"){//证件起期
                if(formatDate10(new Date(birthday))>formatDate10(new Date())){
                    //sourceInfo[type] = new Date();
                    $scope.dialogTip("证件起期不能晚于当前日期");
                }
            }else if(type=="certiExpiryDate"){//证件止期
                if(formatDate10(new Date(birthday))<formatDate10(new Date())){
                    //sourceInfo[type] = new Date();
                    $scope.dialogTip("证件止期不能早于当前日期");
                }
            }
        };
        //产品生效日判断 num:1 表示明天 0 表示今天
        $scope.changeStartDate = function (startDate) {
            if (startDate == null || new Date(startDate) == "Invalid Date") {//无效生效日，不做处理
                $scope.insuredEndDate = "";
                return;
            }
            /*$scope.gotoApp('selectTime');*/
            var insuredStartDate = "";
            if ("100311,100313,100312".indexOf($scope.productId) > -1) {
                insuredStartDate = genNowDate(3);
            } else {
                insuredStartDate = genNowDate(1);
                if ($scope.productId == "100030") {
                    $scope.insuredStartDate = startDate;
                    productJs($scope, {
                        "type": "calculate",
                        params: {'benefitLevel': num}
                    }, {"adbService": adbService});//保存计划信息
                }
            }
            var insuredStartEndDate = "";
            insuredStartEndDate = addmulMonth(insuredStartDate, 1);

            $scope.insuredStartDate = startDate = $('#insuredStartDate').val();

            if ($scope.insuredStartDate.length == 10 && insuredStartDate > startDate) {
                $scope.insuredStartDate = insuredStartDate;
                $('#insuredStartDate').val(insuredStartDate);
                $scope.dialogTip("生效日不能早于：" + insuredStartDate);
            } else if ($scope.insuredStartDate.length == 10 && insuredStartEndDate < startDate) {
                $scope.insuredStartDate = insuredStartEndDate;
                $('#insuredStartDate').val(insuredStartDate);
                $scope.dialogTip("生效日不能晚于：" + insuredStartEndDate);
            }
            $scope.calculatedInsuredDate($scope.insuredStartDate);
        };

        //修改证件类型
        $scope.changeCertiType = function(certiType){
            if(certiType == "1"){
                $scope.birthSexShow = false;
            }else{
                $scope.birthSexShow = true;
            }
        };

        //修改证件号
        $scope.credNumChange = function(type, sourceInfo) {
            if (typeof sourceInfo.certiCode != "undefined") {
                if (sourceInfo.certiType == "1") {
                    var CredNum = sourceInfo.certiCode;
                    var birthDay = "";
                    var _birthDay = "";
                    if (CredNum.length == 18) {//长度18时才做校验,否则直接返回
                        if (!IdCardValidate(CredNum)) {//校验身份证是否有效
                            $scope.dialogTip("身份证号填写有误，请更正");
                            return;
                        }
                        birthDay = CredNum.substr(6, 8);
                        _birthDay = birthDay.substr(0, 4) + '-' + birthDay.substr(4, 2) + '-' + birthDay.substr(6, 2);
                    }else{
                        return;
                    }

                    var gender = maleOrFemalByIdCard(CredNum);
                    if ("holder" == type) {//投保人
                        $scope.holderInfo.holderBirthday = new Date(_birthDay);
                        if (gender == 'male') {
                            $scope.holderInfo.holderSex = "M";
                        } else {
                            $scope.holderInfo.holderSex = "F";
                        }
                        if(!$scope.changeBirthday("holder","birthday",$scope.holderInfo.holderBirthday)){
                            //return ;
                        };
                        $scope.changeRelationShipIds(type,sourceInfo);//根据性别来判断被保人关系
                    }else if ("insured" == type) {//被保人
                        sourceInfo.insuredBirthday = new Date(_birthDay);
                        if (gender == 'male') {
                            sourceInfo.insuredSex = "M";
                        } else {
                            sourceInfo.insuredSex = "F";
                        }
                        //试算保费
                        if (_birthDay.length == 10) {
                            //console.info("被保人生日。。。。。",type,_birthDay)
                            $scope.changeBirthday("insured",'birthday', _birthDay,sourceInfo);
                        }
                        $scope.changeRelationShipIds(type,sourceInfo);//根据性别来判断被保人关系
                    }else if("benefit"==type){
                        sourceInfo.birthday = new Date(_birthDay);
                        if (gender == 'male') {
                            sourceInfo.sex = "M";
                        } else {
                            sourceInfo.sex = "F";
                        }
                    }
                }
            }
        }

        /**
         * 根据关系修正被保人、受益人信息
         * @param type holder 投保人-被保人关系 benefit 受益人-被保人关系
         * @param param 关系 1 表示本人，需重新赋值 否则 需重置目标人信息
         * @param sourceInfo 客户源信息 投保人、被保人
         * @param destInfo 目标客户信息 被保人、受益人
         * @param num 修改关系非1置空时,直接置空操作不好使,故特殊处理
         */
        $scope.relationshipChange = function (type,param,sourceInfo,destInfo,num) {
            if(param == 1){//表示同一人
                if(type=="holder"){//处理投被保人关系
                    //sourceInfo = {};
                    //console.info("重新赋值.....")
                    destInfo.relationship = param;
                    destInfo.insuredName = sourceInfo.holderName;
                    destInfo.insuredMobile = sourceInfo.holderMobile;
                    destInfo.insuredSex = sourceInfo.holderSex;
                    destInfo.insuredBirthday = sourceInfo.holderBirthday;
                    destInfo.insuredEmail = sourceInfo.holderEmail;
                }else if(type=="benefit"){
                    destInfo.relation = param;
                    destInfo.name = sourceInfo.insuredName;
                    destInfo.mobile = sourceInfo.insuredMobile;
                    destInfo.sex = sourceInfo.insuredSex;
                    destInfo.birthday = sourceInfo.insuredBirthday;
                }
                destInfo.namePinyin = sourceInfo.namePinyin;

                if($scope.insuredCertiTypeList){
                    for(var i =0;i<$scope.insuredCertiTypeList.length;i++){
                        if($scope.insuredCertiTypeList[i].id == sourceInfo.certiType){
                            destInfo.certiType = sourceInfo.certiType;
                            destInfo.certiCode = sourceInfo.certiCode;
                            break;
                        }
                    }
                }

                destInfo.passPort = sourceInfo.passPort;
                destInfo.customerId = sourceInfo.customerId;//如果投保人是选择客户，获取客户Id
                destInfo.certiName = getCredTypes['id' + sourceInfo.certiType];
                destInfo.certiValidDate = sourceInfo.certiValidDate;//证件起期
                destInfo.addressInfo = sourceInfo.addressInfo;//通讯地址
                destInfo.longTermFlag = sourceInfo.longTermFlag;//证件长期标记
                if(destInfo.longTermFlag!=1){//非长期
                    destInfo.certiExpiryDate = sourceInfo.certiExpiryDate;//证件终止期
                }
                destInfo.jobClass1 = sourceInfo.jobClass1;//职业大类1
                destInfo.jobClass2 = sourceInfo.jobClass2;//职业小类2
                destInfo.jobClass1name = sourceInfo.jobClass1name;//职业大类1名称
                destInfo.jobClass2name = sourceInfo.jobClass2name;//职业小类2名称
                destInfo.height = sourceInfo.height;//身高
                destInfo.weight = sourceInfo.weight;//体重
                destInfo.income = sourceInfo.income;//年收入
                destInfo.incomeCode = sourceInfo.incomeCode;//年收入
                destInfo.incomeName = sourceInfo.incomeName;//年收入
                destInfo.disableEdit = true;
            }else{
                if(type=="holder") {//处理投被保人关系
                    $scope.insuredInfos[num] = {
                        "relationship" : param,
                        "addressInfo":{},
                    };
                    $scope.insuredInfos[num].relationship = param;
                    $scope.insuredInfos[num].addressInfo = {};
                    localStorage.removeItem("liabilityList");//清空存储上次选择的保障责任列表
                }else if(type=="benefit"){//处理被保人受益人关系
                    sourceInfo.benefitInfos[num] = {
                        "relation" : param,
                        "addressInfo":{}
                    };
                }
            }
            //删除受益人备用标记
            if(type=="holder"){
                destInfo.showDelCheck = false;
            }
        };
        /**
         * @desc 修改性别
         * @param type :holder 投保人 insured 被保人 benefit 受益人
         * @param val
         * @param sourceInfo 修改性别对象
         */
        $scope.selectSex = function (type, val,sourceInfo) {
            if (type == 'holder') {//投保人
                $scope.holderInfo.holderSex = val;
            }else if (type == 'insured') {//被保人
                if(sourceInfo.disableEdit){

                }else {
                    sourceInfo.insuredSex = val;
                }
            }else if(type =="benefit"){//指定被保人的受益人
                if(sourceInfo.disableEdit){

                }else {
                    sourceInfo.sex = val;
                }
            }

            $scope.changeRelationShipIds(type,sourceInfo);//根据性别来判断被保人关系
        };
        //接收添加用户信息
        $scope.$on("customerInfos", function (event, msg) {
            if (msg.sequence == "0" && typeof msg.customerInfos[0] != 'undefined') {
                var holderInfo = msg.customerInfos[0];
                holderInfo['birthday'] = new Date(holderInfo['birthday']);
                $scope.holderInfo.holderName = holderInfo.name;
                $scope.holderInfo.holderEmail = holderInfo.emailValue;
                $scope.holderInfo.holderBirthday = holderInfo.birthday;
                $scope.holderInfo.holderMobile = holderInfo.contactValue;
                $scope.holderInfo.certiType = holderInfo.certiType;
                $scope.holderInfo.certiCode = holderInfo.certiCode;
                $scope.holderInfo.holderSex = holderInfo.gender;
                $scope.holderInfo.customerId = holderInfo.customerId;
                $scope.credNumChange("holder", $scope.holderInfo);//处理可选投被保人关系
            } else if (msg.sequence > 0 && typeof msg.customerInfos[msg.sequence] != 'undefined') {
                var sequence = msg.sequence - 1;
                var insuredInfo = msg.customerInfos[msg.sequence];
                insuredInfo['birthday'] = new Date(insuredInfo['birthday']);
                $scope.insuredInfos[sequence].insuredName = insuredInfo.name;
                $scope.insuredInfos[sequence].insuredEmail = insuredInfo.emailValue;
                $scope.insuredInfos[sequence].insuredBirthday = insuredInfo.birthday;
                $scope.insuredInfos[sequence].insuredMobile = insuredInfo.contactValue;
                $scope.insuredInfos[sequence].certiType = insuredInfo.certiType;
                $scope.insuredInfos[sequence].certiCode = insuredInfo.certiCode;
                $scope.insuredInfos[sequence].insuredSex = insuredInfo.gender;
                $scope.credNumChange("insured", $scope.insuredInfos[sequence]);//处理可选受益人、被保人关系
            }
        });

        //初始化试算相关信息
        function initCalculateInfo() {
            $scope.calculateInfo = $scope.productGetItem('calculateInfo');
        }

        //获取产品费率数据
        function loadProductData() {
            $.ajax({
                url: 'module/product/detailOnline/views/' + $stateParams.productId + '/D'+$stateParams.productId+'.js',
                cache: false,
                async: false,
                success: function (data) {
                    $scope.productData  = (new Function("return " + data))();
                    //console.info("产品费率",$scope.productData);
                },
                error: function (err) {

                }
            });
        }
        //初始化产品数据
        function initBaseInfo() {
            $scope.productBaseInfo = $scope.productGetItem('productBaseInfo');//产品基础信息
            $scope.productId = $scope.productBaseInfo.productId;//当前产品Id
            //是否续保
            var renewalProducts = "100301";
            $scope.renewalFlag = renewalProducts.indexOf($scope.productId) > -1 ? true : false;
            //加载续期银行
            if ($scope.renewalFlag) {
                $scope.renewalInfo = {};
                $scope.renewalBanks = renewalBanks["C" + $scope.productBaseInfo.productCompany];
            }
            //初始产品费率信息
            if($scope.productBaseInfo.version=="2.0"){
                loadProductData();
            }
            //加载各自产品逻辑文件
            loadProductJs();
            //初始化证件类型
            if($scope.initCertiType) {
                $scope.initCertiType();
            }
        }

        //同意续保协议
        $scope.continueInsureBtn = function () {
            $scope.agreeContinue = !$scope.agreeContinue;
            if ($scope.agreeContinue) {//选择续期则加载机构信息
                $scope.getBranch("renewalInfo", "", 0, "", 0);
            }
        };

        //获取下级机构信息
        var branchInfos = ["ProvinceList", "CityList", "CountyList"];
        var branchCodeList = ["provinceCode", "cityCode", "countyCode"];
        var branchNameList = ["provinceName", "cityName", "countyName"];
        var showLevel = 3;//展示机构级别
        //type： holder 投保人 insured 被保人 benefinel 受益人
        // branchLevel为当前机构级别 parentCode 当前机构代码 查当前机构的下一级
        // autoFlag 0 自动加载 1 手工选择
        //sourceInfo 编辑信息所属对象
        $scope.getBranch = function (type, companyCode, branchLevel, parentCode, autoFlag,sourceInfo) {
            //获取机构名称--邮编代码
            if(autoFlag==1) {
                for (var i = 0; i < sourceInfo[branchInfos[branchLevel - 1]].length; i++) {
                    if (sourceInfo[branchInfos[branchLevel - 1]][i].regionCode == sourceInfo["addressInfo"][branchCodeList[branchLevel-1]]) {
                        sourceInfo["addressInfo"][branchNameList[branchLevel - 1]] = sourceInfo[branchInfos[branchLevel - 1]][i].regionName;
                    }
                    //增加邮编--多邮编，做邮编数组处理
                    if(branchLevel=="3"
                    && (sourceInfo[branchInfos[branchLevel - 1]][i].regionCode == sourceInfo["addressInfo"][branchCodeList[branchLevel-1]])){
                        if(sourceInfo[branchInfos[branchLevel - 1]][i]["regionPostCode"]) {//有配置邮编信息
                            sourceInfo["addressInfo"]["regionPostCode"] = "," + sourceInfo[branchInfos[branchLevel - 1]][i]["regionPostCode"];
                        }else{
                            delete sourceInfo["addressInfo"]["regionPostCode"];
                        }
                    }
                }
            };
            if(typeof num=='undefined') num="";
            if (branchLevel != 0 && branchLevel < showLevel && autoFlag == 1 && parentCode == null) {//选择页面省为空
                for (var i = 0; i < branchInfos.length; i++) {
                    if (i >= branchLevel && i<showLevel) {//清空级联机构信息
                        sourceInfo[branchInfos[i]] = [];//清空列表
                        sourceInfo["addressInfo"][branchCodeList[i]] = "";//清空代码
                        sourceInfo["addressInfo"][branchNameList[i]] = "";//清空名称
                    }
                }
            } else {
                if (autoFlag == 1) {
                    for (var i = 0; i < branchInfos.length; i++) {
                        if (i >= branchLevel && i<showLevel) {//清空级联机构信息;
                            sourceInfo[branchInfos[i]] = [];//清空列表
                            sourceInfo["addressInfo"][branchCodeList[i]] = "";//清空代码
                            sourceInfo["addressInfo"][branchNameList[i]] = "";//清空名称
                        }
                    }
                }
                adbService.getResult(
                    {},
                    $scope.setService("I181022", {
                        productId: $scope.productId,//产品代码
                        parentCode: parentCode,//上级代码
                        branchLevel:branchLevel
                    }),
                    function (json) {
                        //console.info("获取机构....",type,json)
                        if (json.header.istatus == '-99') {
                            $scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {
                            //$scope[type + branchInfos[branchLevel]] = json.data;
                            sourceInfo[branchInfos[branchLevel]] = json.data;
                        }
                    },
                    function (err) {
                    }
                )
            }
        };
        //获取机构名称
        var getBranchName = function (type, branchLevel, branchCode) {
            $scope[type]["addressInfo"][branchNameList[branchLevel]] = "";
            if ($scope[type + branchInfos[branchLevel]]) {
                for (var i = 0; i < $scope[type + branchInfos[branchLevel]].length; i++) {
                    if ($scope[type + branchInfos[branchLevel]][i].branchCode == branchCode) {
                        $scope[type]["addressInfo"][branchNameList[branchLevel]] = $scope[type + branchInfos[branchLevel]][i].branchName;
                        return;
                    }
                }
            }
        };
        //服务机构信息查询
        //type： holder 投保人 insured 被保人 benefinel 受益人
        // branchLevel为当前机构级别 parentCode 当前机构代码 查当前机构的下一级
        // autoFlag 0 自动加载 1 手工选择
        var serviceBranchInfos = ["SProvinceList", "SCityList", "SCountyList"];
        var serviceBranchCodeList = ["provinceCode", "cityCode", "countyCode"];
        var serviceBranchNameList = ["provinceName", "cityName", "countyName"];
        var serviceShowLevel = 2;//展示机构级别
        $scope.getServiceBranch = function (type, companyCode, branchLevel, parentCode, autoFlag) {
            //获取机构名称
            if(autoFlag==1) {
                for (var i = 0; i < $scope[type+serviceBranchInfos[branchLevel - 1]].length; i++) {
                    if ($scope[type+serviceBranchInfos[branchLevel - 1]][i].branchCode == $scope[type]["sAddressInfo"][serviceBranchCodeList[branchLevel-1]]) {
                        $scope[type]["sAddressInfo"][serviceBranchNameList[branchLevel - 1]] = $scope[type+serviceBranchInfos[branchLevel - 1]][i].branchName;
                    }
                }
            };
            if (branchLevel != 0 && branchLevel < serviceShowLevel && autoFlag == 1 && parentCode == null) {//选择页面省为空
                for (var i = 0; i < serviceBranchInfos.length; i++) {
                    if (i >= branchLevel && i<serviceShowLevel) {//清空级联机构信息
                        $scope[type + serviceBranchInfos[i]] = [];//清空列表
                        $scope[type]["sAddressInfo"][serviceBranchCodeList[i]] = "";//清空代码
                        $scope[type]["sAddressInfo"][serviceBranchNameList[i]] = "";//清空名称
                    }
                }
            } else {
                if (autoFlag == 1) {
                    for (var i = 0; i < serviceBranchInfos.length; i++) {
                        if (i >= branchLevel && i<serviceShowLevel) {//清空级联机构信息;
                            $scope[type + serviceBranchInfos[i]] = [];//清空列表
                            //console.info("清空级别....",type,i,branchLevel,serviceBranchInfos[i])
                            $scope[type]["sAddressInfo"][serviceBranchCodeList[i]] = "";//清空代码
                            $scope[type]["sAddressInfo"][serviceBranchNameList[i]] = "";//清空名称
                        }
                    }
                }

                adbService.getResult(
                    {},
                    $scope.setService("I181023", {
                        parentCode: parentCode,//上级代码
                        companyCode:$scope.productBaseInfo.productCompany,//所属公司代码
                    }),
                    function (json) {
                        //console.info("获取服务机构....",type,json)
                        if (json.header.istatus == '-99') {
                            $scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {
                            $scope[type + serviceBranchInfos[branchLevel]] = json.data;
                        }
                    },
                    function (err) {
                    }
                )
            }
        };
        //获取职业类别 autoFlag:0 自动加载 1 手工修改
        $scope.getJobLevel = function (code, productId, num,autoFlag,sourceInfo) {
            //获取职业名称信息
            if(autoFlag==1) {
                for (var i in sourceInfo["jobLevel" + (num-1)]) {
                    if(sourceInfo["jobLevel" + (num-1)][i].jobClassCode==sourceInfo["jobClass"+(num-1)]){
                        sourceInfo["jobClass"+(num-1)+"name"] = sourceInfo["jobLevel" +(num-1)][i].jobClassName
                    }
                }
            }
            //只获取到第二级职业
            if(num>2) return;
            adbService.getResult(
                {},
                $scope.setService("I228010", {
                    "parentCode": code,
                    "productId": productId,
                    "level": $scope.jobLevelCategray || "1,2,3",
                    "jobClassType": num
                }),
                function (json) {
                    //console.info("获取职业信息........",json.data)
                    if (json.header.istatus == '-99') {
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        sourceInfo['jobLevel'+num] = json.data;
                    }
                },
                function (err) {
                }
            )

        };
        //后台试算接口
        $scope.calculateApi = function(trialProductList){
            $scope.calculateStatue =false;//未试算成功
            //调用试算接口
            adbService.getResult(
                {},
                $scope.setService("I181011",  {
                    "trialProductList": trialProductList
                }),
                function (json) {
                    //console.info("试算结果....",json);
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        //var calculateAmt = json.data.trialProductList[0].premium;
                        //多项试算求和
                        var calculateAmt = 0;
                        for(var i in json.data.trialProductList){
                            calculateAmt += parseFloat(json.data.trialProductList[i].premium);
                        }
                        $scope.calculateAmt = parseFloat(calculateAmt).toFixed(2);
                        //多保障责任投保
                        $scope.trialProductList = json.data.trialProductList;
                        $scope.saveCalculateInfo();//保存试算信息
                        $scope.calculateStatue = true;//试算成功

                    } else {
                        // error message
                        //$scope.loginError = json.msg;
                    }
                },
                function (error) {
                    // error message
                }
            );
        };
        //转换各对象时间格式
        $scope.transZoneTo10 = function(){
            //投保人信息
            if($scope.holderInfo){
                if($scope.holderInfo.holderBirthday){//生日
                    $scope.holderInfo.holderBirthday = formatDate10(new Date($scope.holderInfo.holderBirthday));
                }
                if($scope.holderInfo.certiValidDate){//证件生效日
                    $scope.holderInfo.certiValidDate = formatDate10(new Date($scope.holderInfo.certiValidDate));
                }
                if($scope.holderInfo.certiExpiryDate){//证件失效日
                    $scope.holderInfo.certiExpiryDate = formatDate10(new Date($scope.holderInfo.certiExpiryDate));
                }
            }
            //被保人、受益人
            if($scope.insuredInfos){
                for(var i in $scope.insuredInfos){
                    if($scope.insuredInfos[i].insuredBirthday){//出生日期
                        $scope.insuredInfos[i].insuredBirthday = formatDate10(new Date($scope.insuredInfos[i].insuredBirthday));
                    }
                    if($scope.insuredInfos[i].certiValidDate){//证件生效日
                        $scope.insuredInfos[i].certiValidDate = formatDate10(new Date($scope.insuredInfos[i].certiValidDate));
                    }
                    if($scope.insuredInfos[i].certiExpiryDate){//证件失效日
                        $scope.insuredInfos[i].certiExpiryDate = formatDate10(new Date($scope.insuredInfos[i].certiExpiryDate));
                    }
                    for(var j in $scope.insuredInfos[i].benefitInfos){
                        if($scope.insuredInfos[i].benefitInfos[j].birthday){//出生日期
                            $scope.insuredInfos[i].benefitInfos[j].birthday = formatDate10(new Date($scope.insuredInfos[i].benefitInfos[j].birthday));
                        }
                        if($scope.insuredInfos[i].benefitInfos[j].certiValidDate){//证件生效日
                            $scope.insuredInfos[i].benefitInfos[j].certiValidDate = formatDate10(new Date($scope.insuredInfos[i].benefitInfos[j].certiValidDate));
                        }
                        if($scope.insuredInfos[i].benefitInfos[j].certiExpiryDate){//证件失效日
                            $scope.insuredInfos[i].benefitInfos[j].certiExpiryDate = formatDate10(new Date($scope.insuredInfos[i].benefitInfos[j].certiExpiryDate));
                        }
                    }
                }
            }
            //试算信息
            if($scope.calculateInfo){
                if($scope.calculateInfo.insuredStartDate){
                    $scope.calculateInfo.insuredStartDate = formatDate10(new Date($scope.calculateInfo.insuredStartDate));
                }
            }
        }

        //初始保单预览页各项弹窗
        $scope.initDatas = {
            "fillPlanBox": true,
            "holderInfoBox": true,
            "insuredInfoBox": true,
            "eachInsuredInfo": [],
            "insureBenifitBox": true,
            "beneficiary": true,
            "renewalInfoBox":true,
            "customerRoleBox":true
        };
        //切换保单预览页各项弹窗
        $scope.toggleShow = function (e,index) {
            $scope.initDatas[e] = !$scope.initDatas[e];
            if(e == 'eachInsuredBox'&& index){
                if($scope.initDatas.eachInsuredInfo.length==0){
                    for(var i=1;i<$scope.insuredInfos.length+1;i++){
                        var eachInsuredInfo = {};
                        eachInsuredInfo.id = i;
                        eachInsuredInfo.isTrue = true;
                        $scope.initDatas.eachInsuredInfo.push(eachInsuredInfo);
                    }
                }else{
                    $scope.initDatas.eachInsuredInfo[index-1].isTrue = !$scope.initDatas.eachInsuredInfo[index-1].isTrue;
                }
            }
        }
        //与后台交互,无需传更多产品基础信息
        $scope.initProductBaseInfo = function(){
            $scope.baseInfo = {};
            $scope.baseInfo.productId = $scope.productBaseInfo.productId;//产品Id
            $scope.baseInfo.shareTitle = $scope.productBaseInfo.shareTitle;//分享标题
            $scope.baseInfo.shareContent = $scope.productBaseInfo.shareContent;//分享内容描述
            $scope.baseInfo.productName = $scope.productBaseInfo.productName;//产品名称
        }

        function init()//初始化信息
        {
            getSystemType();//获取终端类型
            $scope.showFlag = true;
            $scope.saveData = JSON.parse(localStorage.getItem('saveData'));
            $scope.stepId = $stateParams.stepId;
            $scope.stepModule = $stateParams.stepModule;//记录当前页模板编号,以备下页返回使用，不用每步都手写
            $scope.validAgeFlag = true;//被保人年龄有效标记
            //initCalculateInfo();//初始化试算相关信息
            initBaseInfo();//初始化产品数据
            //initHolderInfo();//初始化投保人信息
            productJs($scope, {"type": "initStep"+$scope.stepId}, {"adbService": adbService});
            //initInsuredInfo();//初始化被保人信息
            //initRenewalInfo();//初始化续期信息

            //删除orderInfo的localStorage
            localStorage.removeItem("orderInfo");
            $scope.goPay = "立即支付";
        }

        init();
        $scope.$on('$viewContentLoaded', function () {
            //视图渲染后加载
            function scrollFillMessageFun() {
                var obj = document.getElementById('fillInfoIndex');
                document.documentElement.scrollTop =document.body.scrollTop= obj.offsetTop;
            }
            scrollFillMessageFun();
        });

        //修改证件有效期
        $scope.changeLongTerm = function(sourceInfo){
            if(sourceInfo.longTermFlag=="1"){
                sourceInfo.longTermFlag = "0";
            }else{
                sourceInfo.longTermFlag = "1";
            }
        }

        //指定受益人
        //flag : 0 法定 1 指定
        $scope.specBenefit = function(sourceInfo,flag){
            console.info("指定被保人信息....",sourceInfo,flag)
            //如果无受益人信息,则添加一个空受益人
            if(flag=="0"){
                sourceInfo.benefitInfos = [];
            }else if (flag=="1") {
                if (typeof sourceInfo.benefitInfos == 'undefined' || sourceInfo.benefitInfos.length == 0) {
                    sourceInfo.benefitInfos = [{}];
                }
            }
        }
        //添加受益人
        $scope.addBenefit = function(insuredInfo){
            if(insuredInfo.benefitInfos.length>=3){
                $scope.dialogTip("最多添加3个受益人信息");
            }else {
                insuredInfo.benefitInfos.push({});
            }
        }
        //删除 未显示删除框，先显示框
        $scope.delBenefit = function (insuredInfo,num) {
            /*if (typeof insuredInfo.showDelCheck=='undefined' || insuredInfo.showDelCheck == false) {
                insuredInfo.showDelCheck = true;
            } else {*/
                //根据上方置空标记,来删除关系信息
                for (var j = 0; j < insuredInfo.benefitInfos.length; j++) {
                    //if (insuredInfo.benefitInfos[j].delFlag) {
                    if (j == num) {
                        insuredInfo.benefitInfos.splice(j, 1);
                        j--;
                        return ;
                    }
                }
                //insuredInfo.showDelCheck = false;
                $scope.productSetItem('insuredInfos', $scope.insuredInfos);
            //}

        }
        //选中删除项
        $scope.changeState = function (insuredInfo,num) {
            insuredInfo.benefitInfos[num].delFlag = !insuredInfo.benefitInfos[num].delFlag;
        }
        //清除非必要存储信息
        function cleanSpecInfo(){
            //投保人地址信息
            if($scope.holderInfo){
                delete $scope.holderInfo.ProvinceList;
                delete $scope.holderInfo.CityList;
                delete $scope.holderInfo.CountyList;
                delete $scope.holderInfo.jobLevel1;
                delete $scope.holderInfo.jobLevel2;
            }
            //被保人地址信息
            if($scope.insuredInfos){
                for(var i in $scope.insuredInfos) {
                    delete $scope.insuredInfos[i].ProvinceList;
                    delete $scope.insuredInfos[i].CityList;
                    delete $scope.insuredInfos[i].CountyList;
                    delete $scope.insuredInfos[i].jobLevel1;
                    delete $scope.insuredInfos[i].jobLevel2;
                }
            }
            //续期地址信息
            if($scope.renewalInfo){
                delete $scope.renewalInfo.ProvinceList;
                delete $scope.renewalInfo.CityList;
                delete $scope.renewalInfo.CountyList;
                delete $scope.renewalInfo.jobLevel1;
                delete $scope.renewalInfo.jobLevel2;
            }
        }
        //保存各对象信息
        function saveSessionInfo (){
            //投保人
            if($scope.holderInfo){
                $scope.productSetItem('holderInfo', $scope.holderInfo);
            }
            //被保人
            if($scope.insuredInfos){
                $scope.productSetItem('insuredInfos', $scope.insuredInfos);
            }
            //试算
            if($scope.calculateInfo){
                $scope.productSetItem('calculateInfo', $scope.calculateInfo);
            }
            //保险利益
            if($scope.showPlanInfo){
                $scope.productSetItem('showPlanInfo', $scope.showPlanInfo);
            }
            //续期账户
            if($scope.renewalInfo){
                $scope.productSetItem('renewalInfo', $scope.renewalInfo);
            }
            //保险利益
            if($scope.extraInfo){
                $scope.productSetItem('extraInfo', $scope.extraInfo);
            }
            //指定投保责任
            if($scope.liabilityList){
                $scope.productSetItem('liabilityList', $scope.liabilityList);
            }
            //保存角色信息
            if($scope.customerRoleInfo){
                $scope.productSetItem('customerRoleInfo', $scope.customerRoleInfo);
            }
        }
        //同意协议
        $scope.insuranceBtn = function () {
            $scope.agreeState = !$scope.agreeState;
        };
        //流程跳转
        //currentStep 当前第几步
        //nextModule 下一步模板
        $scope.saveNext = function(){
            console.log("---------------------55555555555555555555---------------------------")
            var validState = productJs($scope, {"type": "checkStep"+$scope.stepId}, {"adbService": adbService});
            if(validState) {//验证通过
                //$scope.$emit("prevModule", $scope.prevModule);
                cleanSpecInfo();//清除某些不必要信息
                saveSessionInfo();//保存相应对象信息
                $scope.nextModule=$scope.nextModule?$scope.nextModule:1;//初始化模板
                if ($scope.nextModule == "payOrder") {//预览页确认支付--防止增加投保流程故最终一步特殊处理
                    getUserInfo();
                    createOrder();
                } else {
                    location.href = '#/productR/productFillMessageR/' + $stateParams.productId + '/' + (parseInt($stateParams.stepId) + 1) + '/' + $scope.nextModule;
                }
            }
        }
        //跳转投保声明
        $scope.goToShow = function (num) {
            var params = backFactory.getter();
            /**
             *  0  产品须知
             *  1  投保须知
             *  2  投保声明
             *  5  信息披露
             *  6  人身保险投保提示书
             *  7  转账授权书
             **/
            if (num == '0' || num == '1' || num == '2'|| num == '5'|| num == '6'|| num == '7' || num == '8') {
                params['productInsureNotice'] = $location.url();
                backFactory.setter(params);
                if(num == '8'){
                    num = num -4;
                }
                location.href = '#/productR/productInsureNoticeR/detailOnline/' + $stateParams.productId + '/' + num;
            } else if (num == '3') {
                params['productInsureClause'] = $location.url();
                backFactory.setter(params);
                localStorage.setItem('productInsureClause', $location.url());
                location.href = '#/productR/productInsureClauseR/detailOnline/' + $stateParams.productId;
            }  else if (num == '4') {
                params['productHealthNotice'] = $location.url();
                backFactory.setter(params);
                $scope.productSetItem('calculateInfo', $scope.calculateInfo);
                location.href = '#/productR/productHealthNoticeR/' + $stateParams.productId;
            }
        };
        //TODO--测试使用返回
        var appBack = backFactory.getter();//App存储backFactory
        if($stateParams.stepId==1) {
            $scope.$emit("productId", $stateParams.productId);
            $scope.$emit("stepNum", "1", "2");
            if (typeof appBack['productHealthNotice'] != 'undefined' && appBack['productHealthNotice'] != '') {
                var backUrl = appBack['productHealthNotice'];
                $scope.$emit("adbBack", "index.html#" + backUrl, "2","fillMessage");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
                $scope.$on('sendChild', function(event,data) {
                    if(data == "saveSession"){
                        saveSessionInfo();//保存相应对象信息
                    }
                });
            }
            else {
                //不是APP,从localstorage读取
                var localBack = localStorage.getItem("proDetailUrl");
                $scope.$emit("adbBack", "index.html#" + localBack, "2","fillMessage");
                $scope.$on('sendChild', function(event,data) {
                    if(data == "saveSession"){
                        saveSessionInfo();//保存相应对象信息
                    }
                });
            }
        }else if($stateParams.stepId>1) {
            $scope.$emit("stepNum", $stateParams.stepId, "2");
            if($stateParams.stepId == 2){
                if(localStorage.getItem("prevModule1")){
                    $scope.prevModule1 = JSON.parse(localStorage.getItem("prevModule1"));
                    $scope.$emit("adbBack", '#/productR/productFillMessageR/' + $stateParams.productId + '/' + ($stateParams.stepId - 1) + '/'+$scope.prevModule1, "2","fillMessage");
                    $scope.$on('sendChild', function(event,data) {
                        if(data == "saveSession"){
                            saveSessionInfo();//保存相应对象信息
                        }
                    });
                }
            }else if($stateParams.stepId == 3){
                if(localStorage.getItem("prevModule2")){
                    $scope.prevModule2 = JSON.parse(localStorage.getItem("prevModule2"));
                    $scope.$emit("adbBack", '#/productR/productFillMessageR/' + $stateParams.productId + '/' + ($stateParams.stepId - 1) + '/'+$scope.prevModule2, "2","fillMessage");
                    $scope.$on('sendChild', function(event,data) {
                        if(data == "saveSession"){
                            saveSessionInfo();//保存相应对象信息
                        }
                    });
                }
            }else if($stateParams.stepId == 4){
                if(localStorage.getItem("prevModule3")) {
                    $scope.prevModule3 = JSON.parse(localStorage.getItem("prevModule3"));
                    $scope.$emit("adbBack", '#/productR/productFillMessageR/' + $stateParams.productId + '/' + ($stateParams.stepId - 1) + '/' + $scope.prevModule3, "2","fillMessage");
                    $scope.$on('sendChild', function(event,data) {
                        if(data == "saveSession"){
                            saveSessionInfo();//保存相应对象信息
                        }
                    });
                }
            }else if($stateParams.stepId > 4){
                if(localStorage.getItem("prevModule4")) {
                    $scope.prevModule4 = JSON.parse(localStorage.getItem("prevModule4"));
                    $scope.$emit("adbBack", '#/productR/productFillMessageR/' + $stateParams.productId + '/' + ($stateParams.stepId - 1) + '/' + $scope.prevModule4, "2","fillMessage");
                    $scope.$on('sendChild', function(event,data) {
                        if(data == "saveSession"){
                            saveSessionInfo();//保存相应对象信息
                        }
                    });
                }
            }

        }
        var clientType = getClientType();
        /*$scope.productBaseInfo.productId = $scope.productBaseInfo.productId.substring(0, 6);
        $scope.calculateInfo.productId = $scope.calculateInfo.productId.substring(0, 6);*/
        //投保支付客户信息

        var user = {};
        function getUserInfo(){
            if (localStorage.getItem('broker_in_session') == null) {//匿名用户
                user.regId = "";
                user.certiName = $scope.holderInfo.holderName;
                user.certiCode = $scope.holderInfo.holderCredNum;
                user.brokerCode = "";
            } else {//登录用户
                var brokerInfo = JSON.parse(localStorage.getItem('broker_in_session'));
                user.userId = brokerInfo.userId;
                user.accId = brokerInfo.accId;
                user.regId = brokerInfo.regId;
                user.brokerCode = brokerInfo.brokerCode;
                user.shareCode = brokerInfo.shareCode;
                user.invitationCode = brokerInfo.shareCode;
                user.brokerName = brokerInfo.name;
            }
            ;
            //console.info("存储分享信息："+localStorage.getItem('shareInfo_in_session'));
            if (localStorage.getItem('shareInfo_in_session') != null) {//分享信息
                var shareInfo = JSON.parse(localStorage.getItem('shareInfo_in_session'));
                user.invitationCode = decodeURIComponent(shareInfo.shareCode) || user.shareCode;
                user.submitChlId = shareInfo.submitChlId;
                user.wxOpenId = shareInfo.wxOpenId;//获取微信openId
                user.saleChlId = shareInfo.saleChlId;//销售渠道
                user.brokerName = decodeURIComponent(shareInfo.brokerName);
            }
            //设置分享图片地址
            user.shareImgUrl = _globalOption.host + shareProduct.baseUrl+$scope.productId+shareProduct.imgType;
        }

        //倒数60秒 切换按钮显示
        var timer1;
        function sendPayCount() {
            $scope.seconds = 30;
            timer1 = setInterval(function () {
                if ($scope.seconds <= 0) {
                    clearInterval(timer1);
                    $scope.goPay = "立即支付";
                    $scope.addBank = false;
                }else{
                    $scope.seconds--;
                    $scope.goPay = "立即支付".concat($scope.seconds).concat("s");
                    $scope.$apply();
                }
            }, 1000);
        }

        //console.info("分享客户信息",user);
        $scope.goPayTime = false;
        function createOrder() {
            var Data = {
                "holderInfo": $scope.holderInfo,
                "insuredInfo": $scope.insuredInfos,
                "calculateInfo": $scope.calculateInfo,
                "renewalInfo": $scope.calculateInfo.chargePeriod!="1"?$scope.renewalInfo:{},
                "productBaseInfo": $scope.baseInfo,
                "user": user,
                "clientType": clientType,
                "extraInfo": $scope.extraInfo,
                "liabilityList":$scope.liabilityList,
                "customerRoleInfo":$scope.customerRoleInfo
            };

            if($scope.productId == "100330" || $scope.productId == "100331" || $scope.productId == "100333"){
                Data.payType = "L";
            }else if($scope.productId == "100465"){
                Data.payType = "G";
            }
            //自系统扩展属性
            var additionalInfo = {};
            //众安产品
            if($scope.productBaseInfo.productCompany == "100058" && "100030,100062".indexOf($scope.productId)<0){
                additionalInfo.payCompany = $scope.productBaseInfo.productCompany;
                additionalInfo.backUrl = location.href;
            }
            //惠泽产品
            if($scope.productBaseInfo.sytType=="HZ"){
                additionalInfo.paySign = "HZ";
                additionalInfo.backUrl = location.href;
            }
            Data.additionalInfo = additionalInfo;

            console.info("=====",Data);
            if(!$scope.goPayTime){
                $scope.goPayTime = true;
                sendPayCount();
                adbService.getResult(
                    {},
                    $scope.setService("I181012", Data),
                    function (json) {
                        console.log(json);
                        if (json.header.istatus == '-99') {
                            $scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {
                            clearInterval(timer1);
                            if(Data.payType == "L"){
                                localStorage.setItem('orderInfo',JSON.stringify(json.data));
                                location.href = "#/productR/productLargePayR/"+$scope.productId;
                            }else if(Data.payType == "G"){
                                localStorage.setItem('orderInfo',JSON.stringify(json.data));
                                location.href = "#/productR/productPayResultR?tradeStatus="+json.data.tradeStatus+"&busiOrderId="+json.data.busiOrderId;
                            }else if(additionalInfo && additionalInfo.payCompany=="100058"){//众安
                                $scope.zaApplyPayOrder(json.data);
                            }else if(additionalInfo && (additionalInfo.paySign=="HZ")){//惠泽
                                ordersData.busiOrderId=json.data.busiOrderId;
                                ordersData.busiOrderDesc=json.data.busiOrderDesc;
                                ordersData.busiOrderAmt=json.data.busiOrderAmt;
                                ordersData.payHtmlMap=json.data.payHtmlMap;
                                localStorage.setItem('ordersData',JSON.stringify(ordersData));
                                location.href = '#/productR/productFillMessageR/' + $stateParams.productId + '/4/20';
                            }else{
                                $scope.applyPayOrder(json.data);
                            }
                            $scope.goPay = "立即支付";
                        }
                        if (json.header.istatus == '2') {
                            $scope.goPayTime = false;
                            clearInterval(timer1);
                            $scope.dialogTip(json.header.imsg);
                            $scope.goPay = "立即支付";
                        }
                        var timer = $timeout(function () {
                            $scope.goPayTime = false;
                            clearInterval(timer1);
                            $scope.goPay = "立即支付";
                        }, 30000);
                    },
                    function (err) {
                        $scope.dialogTip("系统繁忙,请稍后再试");
                        $scope.goPayTime = false;
                        clearInterval(timer1);
                        $scope.goPay = "立即支付";
                    }
                );
            }
        }
        //申请订单支付
        $scope.applyPayOrder = function (data) {
            //表单数据
            $('input[name="clientSysCode"]').val(data.clientSysCode);
            $('input[name="transCode"]').val(data.transCode);
            $('input[name="shopId"]').val(data.shopId);
            $('input[name="shopUid"]').val(data.shopUid);
            $('input[name="regCode"]').val(data.regCode);
            $('input[name="regId"]').val(data.regId);
            $('input[name="certiType"]').val(data.certiType);
            $('input[name="certiName"]').val(data.certiName);
            $('input[name="certiCode"]').val(data.certiCode);
            $('input[name="wxOpenId"]').val(data.wxOpenId);
            $('input[name="wxUnionId"]').val(data.wxUnionId);
            $('input[name="busiOrderId"]').val(data.busiOrderId);
            $('input[name="busiSeqId"]').val(data.busiSeqId);
            $('input[name="busiOrderTime"]').val(data.busiOrderTime);
            $('input[name="busiOrderDesc"]').val(data.busiOrderDesc);
            $('input[name="busiOrderAmt"]').val(data.busiOrderAmt);
            $('input[name="noticeUrl"]').val(data.noticeUrl);
            $('input[name="successUrl"]').val(data.successUrl);
            $('input[name="pgType1"]').val(data.pgType1);
            $('input[name="pgType2"]').val(data.pgType2);
            $('input[name="pgType3"]').val(data.pgType3);
            $('input[name="shopSign"]').val(data.shopSign);
            $('input[name="shopNonce"]').val(data.shopNonce);
            $('input[name="shopVer"]').val(data.shopVer);
            $('input[name="token"]').val(data.token);
            $('#payForm').prop('action', data.formUrl).prop('method', "POST");
            document.getElementById("payForm").submit();
        };
        //众安收银台
        $scope.zaApplyPayOrder = function(result){
            var dataStr = "";
            Object.keys(result).forEach(function(e){
                $("#"+e).val(result[e]);
                if("payUrl"!=e)
                    dataStr += e+"="+result[e]+"&";
            });
            dataStr = dataStr.substring(0,dataStr.length-1);
            $("#zaPayForm").prop("action",result.payUrl);
            $("#zaPayForm").submit();
        }

        //支付
        $scope.pay = function(){
            // $("#payForm").html($($scope.ordersData.payHtmlMap[$('input[name="my-radio"]:checked').val()]).remove("script"));
            // $("#paymentForm").submit();
            location.href =$scope.ordersData.payHtmlMap[$('input[name="my-radio"]:checked').val()];
        };
    }])
});
