define(['app','./commonUtil'], function (app) {
    app.register.controller('productCtrl', ['$scope', '$location', '$stateParams', '$timeout', 'backFactory', '$state', function ($scope, $location, $stateParams, $timeout, backFactory, $state) {

        $scope.$on("activeState", function (event, goUrl, urlStatus) {
            $scope.activeState = goUrl;
        });

        $scope.$on("productId", function (event, productId) {
            //console.log("parent", msg);
            $scope.productId = productId;
        });

        /*-----------------------------设置fillInfo存储及获取localStorage方法  start----------------------------------*/
        $scope.productSetItem = function (name, value)  //name 要设置的参数名   value 参数对应的object
        {
            var valueStr = JSON.stringify(value);
            var params = {};
            if(typeof localStorage.getItem('saveData') == 'undefined' || localStorage.getItem('saveData') == ''){
                params = {};
            }else {
                params = JSON.parse(localStorage.getItem('saveData'));
            }
            params[name] = valueStr;
            localStorage.setItem('saveData',JSON.stringify(params));
        };

        $scope.productGetItem = function (tarName) { //tarName 要获取的对象
            var tarObj = {};
            var objective = JSON.parse(localStorage.getItem('saveData'));
            if(objective[tarName]) {
                tarObj = JSON.parse(objective[tarName]);
            }
            return tarObj;
        };
        /*-----------------------------设置fillInfo存储及获取localStorage方法  end----------------------------------*/


        /*--------------------------------头部简介和评价切换 start-------------------------------------------*/
        $scope.turnTo = function (num) {
            $scope.activeState = num;
            if (num == '1') {
                //$scope.$broadcast('detailShow', true);
                //$scope.$broadcast('moreShow', false);
                $location.path('productR/productDetailOnlineR/'+$scope.productId);
            } else {
                //$scope.$broadcast('moreShow', true);
                //$scope.$broadcast('detailShow', false);
                //跳转到产品评论列表


                $scope.setBackFactory('proCommentList');
                $location.path('proCommentListR/'+$scope.productId);
            }
        };
        /*--------------------------------头部简介和评价切换 end-------------------------------------------*/
        $scope.$on("appTitle1", function (event, goUrl, urlStatus) {
            $scope.appTitle1 = goUrl;
        });
        $scope.$on("appTitle2", function (event, goUrl, urlStatus) {
            $scope.appTitle2 = goUrl;
        });
        $scope.$on("searchShow", function (event, goUrl, urlStatus) {
            $scope.searchShow = goUrl;
        });
        $scope.$on("goBackShow", function (event, goUrl, urlStatus) {
            $scope.goBackShow = goUrl;
        });

        $scope.$on("homeShow", function (event, goUrl, urlStatus) {
            $scope.homeShow = goUrl;
            $scope.goHome2 = function () {
                $scope.goHome();

            };
        });
        $scope.$on("saveState", function (event, goUrl, urlStatus) {
            $scope.saveState = goUrl;
        });

        /*-------------------收藏产品 和 取消  start-----------------------------*/
        $scope.saveProduct = function(value){
            $scope.saveState = value;
        };
        /*-------------------收藏产品 和 取消  end-----------------------------*/

        $scope.$on("saveShow", function (event, goUrl, urlStatus) {
            $scope.saveShow = goUrl;
            /*-------------------------跳转到收藏页 start-------------------------------*/
            $scope.goToSave = function () {
                var params = backFactory.getter();
                params['myFavorite'] = $location.url().split('/')[1];
                backFactory.setter(params);
                location.href = '#/myFavoriteR';
            };
            /*-------------------------跳转到收藏页 end-------------------------------*/
        });
        //返回按钮控制

        $scope.$on("stepNum", function (event, goUrl, urlStatus) {
            $scope.stepNumber = goUrl;
        });

        $scope.$on("productId", function (event, id) {
            $scope.productId = id;
        });

        $scope.$on("prevModule", function (event, module) {
            $scope.prevModule = module;
            //console.info($scope.prevModule);
        });

        /*$scope.$on("prevModule1", function (event, module) {
            $scope.prevModule1 = module;
            console.info($scope.prevModule1);
        });
        $scope.$on("prevModule2", function (event, module) {
            $scope.prevModule2 = module;
            console.info($scope.prevModule2);
        });
        $scope.$on("prevModule3", function (event, module) {
            $scope.prevModule3 = module;
            console.info($scope.prevModule3);
        });
        $scope.$on("prevModule4", function (event, module) {
            $scope.prevModule4 = module;
            console.info($scope.prevModule4);
        });*/


        $scope.$on("adbBack", function (event, goUrl, urlStatus,sign,productResult) {

            $scope.goToBack = function () {
                if(typeof goUrl == 'undefined' ||(goUrl.indexOf('homeR')!=-1 ) || (goUrl.indexOf('exhibitionR')!=-1))
                {
                    //跳转APP的进入页
                    var res = $scope.gotoApp('PopNative');
                    if(res)
                    {
                        return;
                    }
                }
                //console.log($scope.stepNumber);
                if($scope.stepNumber == '1'){
                    $scope.dialogConfirm("返回上一页","当前信息将无法保留","留在页面","确认返回","event_deleteFillInfo");
                    $scope.$on("event_deleteFillInfo",function (event, msg) {
                        location.href = "#/productR/productDetailOnlineR/"+$scope.productId;
                    });

                }else if($scope.stepNumber =='0'){
                    $scope.dialogConfirm("返回上一页","当前信息将无法保留","留在页面","确认返回","event_deleteFillInfo");
                    $scope.$on("event_deleteFillInfo",function (event, msg) {
                        location.href = "#/productR/productDetailOfflineR/"+$scope.productId;
                    });
                }else{
                    if(productResult){
                        $scope.$broadcast("productResult",false);
                    }else{
                        if (urlStatus === "0") {
                            $state.go(goUrl);
                        }
                        else if (urlStatus === "1") {
                            $location.path(goUrl);
                        }
                        else if (urlStatus === "2") {
                            if(sign == "fillMessage" || sign == "fillInfo" || sign == "fillMany" || sign == "fillCar" || sign == "fillInfoOffline"){
                                $scope.$broadcast("sendChild","saveSession");
                            }
                            location.href = goUrl;
                        }
                    }
                }
            }
        });
        /*----------------------------跳转到搜索 start------------------*/
        $scope.goSearch = function () {
            var params = backFactory.getter();
            params['search'] = 'productR/makeMoneyR';
            backFactory.setter(params);
            location.href = 'index.html#/searchR/product';
        };
        /*----------------------------跳转到搜索 end------------------*/

        userAgent();//获取终端类型
        //获取终端操作系统类型
        $scope.sysType = "android";
        if(localStorage.isApp =='true'){
            $scope.sysType = "android";
        }else if(localStorage.isAppIos == 'true'){
            $scope.sysType = "ios";
        }

        $scope.goProPdf = function(pid,fileName){

            //如果是IOS则打开view读取pdf
            if ($scope.authed) {
                if ($scope.isNativeApp() == 'IOS')
                {
                    try{
                        var pdfUrl = _globalOption.pdfHost+'/adb/module/product/detailOnline/views/'+pid+'/pdf/'+fileName+".pdf";
                        native.jsCallH5View(pdfUrl,'');//打开pdf
                        return;
                    }
                    catch(e)
                    {

                    }

                }
            }

            location.href = "js/web/viewonlinepdf.html?src="+pid+"/pdf/"+fileName+".pdf";
        }

        var shareInfo_in_session = {};//存储分享支付客户信息
        //代理人信息
        if (localStorage.getItem('broker_in_session')) {
            $scope.brokerInfo = JSON.parse(localStorage.getItem('broker_in_session'));
            //console.log($scope.brokerInfo);
            //二次分享分享码
            shareInfo_in_session.shareCode = encodeURIComponent($scope.brokerInfo.shareCode);
            shareInfo_in_session.brokerName = encodeURIComponent($scope.brokerInfo.name);
            shareInfo_in_session.submitChlId = $scope.brokerInfo.submitChlId || "";
            shareInfo_in_session.saleChlId = $scope.brokerInfo.saleChlId || "";//销售渠道
        } else if(localStorage.getItem('shareInfo_in_session') != null){//解决后退加载问题
            shareInfo_in_session = JSON.parse(localStorage.getItem('shareInfo_in_session'));
        } else {
            //二次分享分享码
            var urlParams = getUrlParams($location.url());//获取链接参数对象
            shareInfo_in_session.shareCode = urlParams.shareCode || "";
            shareInfo_in_session.submitChlId = urlParams.submitChlId || "";
            shareInfo_in_session.saleChlId = urlParams.saleChlId || "";//销售渠道
            shareInfo_in_session.wxOpenId = urlParams.wxOpenId || "";//获取微信openId
            shareInfo_in_session.isCheck = urlParams.isCheck || "";//获取微信openId
            localStorage.removeItem('wxOpenId');
            shareInfo_in_session.brokerName = urlParams.brokerName || "";
        }
        localStorage.setItem("shareInfo_in_session", JSON.stringify(shareInfo_in_session));

        var sharing = false;//分享中
        $scope.$on('benefitLevelNum', function(event,data){
            $scope.benefitLevel = data;
        });

        $scope.productShare = function () {
            //产品分享
            if(!$scope.isCertificationFun('请完善认证信息享受高佣金，开启专享通道，才可进行分享'))
            {
                return;//如果不是认证用户，则返回，不进行分享
            }


            if(!sharing) {
                sharing = true;//标识在分享中

                /***********************************分享时提示的代理人名称设置 begin*****************************************/
                var brokerName = '';
                if (localStorage.getItem('broker_in_session')) {
                    var isLimingUser = false;
                    if(typeof $scope.brokerInfo['brokerLevel'] != 'undefined' && $scope.brokerInfo['brokerLevel'] > 0)
                    {
                        isLimingUser = true;
                    }

                    if (isLimingUser)
                    {
                        //黎明用户
                        if(typeof $scope.brokerInfo['nickName'] != 'undefined' && $scope.brokerInfo['nickName'])
                        {
                            brokerName = $scope.brokerInfo['nickName'];
                        }
                        else if(typeof $scope.brokerInfo['name'] != 'undefined' && $scope.brokerInfo['name'])
                        {
                            brokerName = $scope.brokerInfo['name'];
                        }
                    }
                    else{
                        //非黎明用户
                        if(typeof $scope.brokerInfo['name'] != 'undefined' && $scope.brokerInfo['name'])
                        {
                            brokerName = $scope.brokerInfo['name'];
                        }
                    }
                }
                else{
                    brokerName = $scope.userInfo.name;
                }
                /***********************************分享时提示的代理人名称设置 end*****************************************/

                var tailfContent = "您的家庭财务风险顾问" + (brokerName || "") + "至诚推荐，点击一下！";
                var shareTitle = "";
                var shareContent = "";

                if($scope.productGetItem("productBaseInfo")){
                    $scope.productBaseInfo = $scope.productGetItem("productBaseInfo");
                }
                //中意境外旅游全球三五特殊处理
                if ($scope.productId == "100302") {
                    shareTitle = $scope.productBaseInfo.shareTitle.split("|")[$scope.benefitLevel - 1];
                    shareContent = $scope.productBaseInfo.shareContent.split("|")[$scope.benefitLevel - 1];
                } else {
                    shareTitle = $scope.productBaseInfo.shareTitle;
                    shareContent = $scope.productBaseInfo.shareContent;
                }



                var shareArr = {
                    "imgUrl": _globalOption.host + shareProduct.baseUrl+$scope.productId+shareProduct.imgType,
                    "shareUrl": _globalOption.shareHost + "/adb/shareWx.html?goUrl="+encodeURIComponent("#/productR/productDetailOnlineR/" + $scope.productId + '?'
                    + 'shareCode=' + shareInfo_in_session.shareCode + "&submitChlId=" + shareInfo_in_session.submitChlId + "&saleChlId="
                    + shareInfo_in_session.saleChlId + "&brokerName=" + shareInfo_in_session.brokerName+"&randTime="+new Date().getTime()),
                    "title": shareTitle,//产品名称
                    "description": shareContent + tailfContent//分享信息描述
                };
                console.log(shareArr);

                var regId = "";
                var broker;
                if(typeof localStorage.getItem('broker_in_session') != "undefined")
                {
                    broker = JSON.parse(localStorage.getItem('broker_in_session'));
                }

                if(typeof broker != "undefined" && broker && typeof broker['regId'] != "undefined" && broker['regId'])
                    regId = broker['regId'];
                $scope.eventAttributes('productShare',JSON.stringify({productId:$scope.productId,tel:regId}));//产品分享次数埋点

                if(typeof shareInfo_in_session.shareCode == "undefined" || !shareInfo_in_session.shareCode)
                {
                    $scope.dialogRes("分享异常，请联系客服");
                    return;
                }

                $scope.$emit("goShare", shareArr);
                $scope.showShareBox(true);

            }
            var timer = $timeout(
                function() {
                    sharing = false;
                },
                2000
            );
        };

        //详情页面省了号弹出框
        $scope.bombBox = false;
        $scope.bombBoxToggleShow = function(){
            $scope.bombBox = !$scope.bombBox;
        }
    }]);
});