define(['app'],function (app) {
    app.register.controller('largePayCtrl', ['$scope','$stateParams','$location',"$window","adbService","$timeout",function($scope,$stateParams,$location,$window,adbService,$timeout){
        //改变页面的<title>
        $scope.appTitle = '收银台';
        $scope.$emit("titleName", $scope.appTitle);
        $scope.resultState = '';
        $scope.$emit("homeShow", false);
        $scope.$emit("goBackShow", true);
        $scope.productId = $stateParams.productId;

        /*//获取所属省市信息
        $scope.getAreaInfo = function(num,areaLevel){
            adbService.getResult(
                {},
                $scope.setService("I201020", areaLevel),
                function (json) {
                    if (json.header.istatus == '-99') {
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        if(num == 1){
                            $scope.provinceList = json.data.areaList;
                        }else if(num == 2){
                            $scope.cityList = json.data.areaList;
                        }
                    }
                },
                function (err) {
                }
            )
        }*/

        function init()//初始化信息
        {
            var orderInfo = localStorage.getItem('orderInfo');
            if(orderInfo){
                orderInfo = JSON.parse(orderInfo);
                $scope.largeOrderInfo = orderInfo;
            }

            /*if($scope.largeOrderInfo.provinceCode){
                $scope.getAreaInfo(2,{'provinceCode': $scope.largeOrderInfo.provinceCode});
            }*/

            //页面返回
            $scope.prevModule4 = JSON.parse(localStorage.getItem("prevModule4"));
            $scope.$emit("adbBack", '#/productR/productFillMessageR/' + $scope.productId + '/4/' + $scope.prevModule4, "2");

            $scope.goPay = "立即支付";
        }
        init();

        //获取银行列表信息
        function getBankInfo(){
            adbService.getResult(
                {},
                $scope.setService("I201019", {}),
                function (json) {
                    if (json.header.istatus == '-99') {
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.bankInfoArr = json.data.bankList;
                    }

                },
                function (err) {
                }
            );
        }



        $scope.$on('$viewContentLoaded', function () {
            //视图渲染后加载
            getBankInfo();
            /*$scope.getAreaInfo(1,{});*/
        });




        //根据卡号查询归属行  "621492"
        $scope.attribution = function (val) {
            //检查银行卡号
            if (!(/^[0-9]{13,19}$/).test(val)) {
                //$scope.dialogTip('请输入真实有效的银行卡号');
                return false;
            }
            adbService.getResult(
                {},
                $scope.setService("I201013", {"bin": val.substring(0, 6)}),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.largeOrderInfo.bankCode = json.data.bankCode;
                        $scope.largeOrderInfo.cardType = json.data.cardType;
                        return true;
                    } else if (json.header.istatus == '2') {
                        return false;
                    }
                },
                function (err) {
                }
            )
        };

        //倒数60秒 切换按钮显示
        function sendCount() {
            $scope.clickStatus = true;
            $scope.second = 60;
            var timer = setInterval(function () {
                if ($scope.second == 0) {
                    clearInterval(timer);
                    $scope.clickStatus = false;
                }
                $scope.second--;
                $scope.$apply();
            }, 1000);
        }

        //倒数60秒 切换按钮显示
        var timer1;
        function sendPayCount() {
            $scope.seconds = 60;
            timer1 = setInterval(function () {
                if ($scope.seconds <= 0) {
                    clearInterval(timer1);
                    $scope.goPay = "立即支付";
                    $scope.addBank = false;
                }else{
                    $scope.seconds--;
                    $scope.goPay = "立即支付".concat($scope.seconds).concat("s");
                    $scope.$apply();
                }
            }, 1000);
        }

        //点击验证码重新发送
        $scope.sendVerification = function () {
            if (!validCredNum("mobile", $scope.largeOrderInfo.phoneNum)) {
                $scope.dialogTip('请输入正确的手机号码');
                return false;
            }
            sendCount();
            var params = {
                "mobile": $scope.largeOrderInfo.phoneNum,
                "sendType": "5",
                "msg": {}
            };
            //验证码发送接口
            adbService.getResult(
                {},
                $scope.setService('I225010', params),
                function (json) {
                    if (json.header.istatus == '-99') {
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.dialogTip('验证码已发送');
                    }
                    else {
                        $scope.dialogTip(json.header.imsg);
                        $scope.clickStatus = false;//重新发送验证码
                    }
                },
                function (err) {
                    //错误
                });
        };

        function saveLocalStorage(){
            localStorage.setItem('orderInfo', JSON.stringify($scope.largeOrderInfo));
        }


        $scope.addBank = false;
        $scope.goPayOrder = function(){
            if (!(/^[0-9]{13,19}$/).test($scope.largeOrderInfo.bankNum)) {
                $scope.dialogTip('请输入真实有效的银行卡号');
                return false;
            }
            if (!$scope.largeOrderInfo.bankCode) {
                $scope.dialogTip('请选择开户行');
                return false;
            }
            /*if ($scope.largeOrderInfo.provinceCode == '' || $scope.largeOrderInfo.cityCode == '' || !$scope.largeOrderInfo.provinceCode || !$scope.largeOrderInfo.cityCode) {
                $scope.dialogTip('请选择您的地址');
                return false;
            }*/
            if (!validCredNum("mobile", $scope.largeOrderInfo.phoneNum)) {
                $scope.dialogTip('手机号不能为空或格式错误');
                return false;
            }
            if (!/^\d{6}$/.test($scope.largeOrderInfo.verifyCode)){
                $scope.dialogTip('请输入您收到的验证码');
                return false;
            }

            saveLocalStorage();

            var payParams = {
                "openId": "",
                "unionId": "",
                "certiType": $scope.largeOrderInfo.certiType,
                "certiName": $scope.largeOrderInfo.certiName,
                "certiCode": $scope.largeOrderInfo.certiCode,
                "pgType1": "11",
                "softWareType": "21",
                "hardWareType": "1",
                "busiOrderId": $scope.largeOrderInfo.busiOrderId,
                "busiSeqId": $scope.largeOrderInfo.busiSeqId,
                "busiOrderAmt": $scope.largeOrderInfo.busiOrderAmt,
                "busiOrderDesc": $scope.largeOrderInfo.busiOrderDesc,
                "mobile": $scope.largeOrderInfo.phoneNum,
                "verifyCode": $scope.largeOrderInfo.verifyCode,
                "bankCode": $scope.largeOrderInfo.bankCode,
                "bankAccCode": $scope.largeOrderInfo.bankNum,
                /*"bankAccPro": $scope.largeOrderInfo.provinceCode,
                "bankAccCity": $scope.largeOrderInfo.cityCode,*/
                "cardType": $scope.largeOrderInfo.cardType,
                "productId": $scope.largeOrderInfo.productId,
                "saleChlId": "",
                "submitChlId": ""
            };
            //console.info(payParams);

            if(!$scope.addBank) {
                $scope.addBank = true;
                sendPayCount();
                adbService.getResult(
                    {},
                    $scope.setService("I211011",payParams),
                    function (json) {
                        if (json.header.istatus == '-99') {
                            $scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {
                            clearInterval(timer1);
                            location.href = "#/productR/productPayResultR?busiOrderId="+json.data.busiOrderId+"&tradeStatus=10";
                        } else {
                            $scope.dialogTip(json.header.imsg);
                            clearInterval(timer1);
                            $scope.addBank = false;
                            $scope.goPay = "立即支付";
                        }

                        var timer2 = $timeout(function () {
                            $scope.addBank = false;
                            clearInterval(timer1);
                            $scope.goPay = "立即支付";
                        }, 60000);
                    },
                    function (err) {
                        $scope.dialogTip(err);
                        $scope.addBank = false;
                        clearInterval(timer1);
                        $scope.goPay = "立即支付";
                    }
                )
            }
        }
    }]);
});