define(['app'], function (app) {

    app.register.controller('productListCtrl', ['$scope', '$location', '$stateParams', '$timeout', 'backFactory', 'adbService', function ($scope, $location, $stateParams, $timeout, backFactory, adbService) {
        /*-----------------设置头部title start----------------------*/
        $scope.titleType = $location.url().split('?')[1].split('&')[0].split('=')[1];//获取产品大类
        if ($scope.titleType == '02') {
            $scope.appTitle = '关爱天使';
        } else if ($scope.titleType == '01') {
            $scope.appTitle = '中流砥柱';
        } else if ($scope.titleType == '03') {
            $scope.appTitle = '出行平安';
        } else if ($scope.titleType == '05') {
            $scope.appTitle = '银发无忧';
        } else if ($scope.titleType == '04') {
            $scope.appTitle = '健康保障';
        } else if ($scope.titleType == '06') {
            $scope.appTitle = '车险专题';
        } else if ($scope.titleType == '0') {
            $scope.appTitle = '全部产品';
        }
        $scope.$emit("titleName", $scope.appTitle);
        $scope.selectStatus = false;//选择弹框状态
        $scope.companyStatus = false;//选择公司弹框状态
        $scope.rankStatus = false;//选择排序弹框状态
        $scope.companyCode = '0';//默认选择的公司
        $scope.classCode = '0';//默认选择的类别
        $scope.premiumStatus = '1';//价格 低到高：1，高到低：-1
        $scope.rebateStatus = '-1';//推广费 低到高 1 高到低 -1
        $scope.premiumStatus1 = '';//价格状态 低到高：1，高到低：-1
        $scope.rebateStatus1 = '1';//推广费状态 低到高 1 高到低 -1
        $scope.productList = [];//存放产品列表
        $scope.pageNum = '1';//默认页码
        /*-----------------设置头部title end----------------------*/

        function init()//初始化信息
        {
            //localStorage.removeItem('carData');
        }

        init();
        var loadingNum = '1';
        $scope.$on('$viewContentLoaded', function () {
            //视图渲染后加载
            if (loadingNum <= 1) {
                var params = {
                    "productCategory": $scope.titleType,
                    "productSubCategory": "",
                    "companyCode": ""
                };
                $scope.getProClass(params);
                $scope.getProductList();
                loadingNum++;
            }
        });


        //选择筛选公司
        $scope.selectCom = function () {
            $scope.selectStatus = true;//选择弹框状态
            $scope.companyStatus = true;//选择公司弹框状态
            $scope.rankStatus = false;//选择排序弹框状态
        };
        //选择筛选排序
        $scope.selectRank = function () {
            $scope.selectStatus = true;//选择弹框状态
            $scope.companyStatus = false;//选择公司弹框状态
            $scope.rankStatus = true;//选择排序弹框状态
        };
        //选择目标公司
        $scope.selectCompany = function (vul) {
            var params = {
                "productCategory": $scope.titleType,
                "productSubCategory": "",
                "companyCode": vul
            };
            $scope.companyCode = vul;
            $scope.getProClass(params);
        };
        //选择目标类别
        $scope.selectClass = function (vul) {
            $scope.classCode = vul;
        };
        //重置  初始化  选择
        $scope.reset = function () {
            $scope.companyCode = '0';
            $scope.classCode = '0';
            $scope.selectStatus = false;//选择弹框状态
            $scope.pageNum = '1';//初始化页码
            $scope.productList = [];//初始化productList数组
            $scope.getProductList();
        };
        //确认选择获取列表
        $scope.getList = function () {
            $scope.selectStatus = false;//选择弹框状态
            $scope.pageNum = '1';//初始化页码
            $scope.productList = [];//初始化productList数组
            $scope.getProductList();
        };
        //选择排序获取列表
        $scope.rankAndRebate = function (type, vul) {
            if (type == 'rebate') {
                $scope.rebateStatus = vul;
                $scope.premiumStatus = '1';
                $scope.rebateStatus1 = vul;
                $scope.premiumStatus1 = '';
            } else {
                $scope.rebateStatus = '-1';
                $scope.premiumStatus = vul;
                $scope.rebateStatus1 = '';
                $scope.premiumStatus1 = vul;
            }
            $scope.selectStatus = false;//选择弹框状态
            $scope.pageNum = '1';//初始化页码
            $scope.productList = [];//初始化productList数组
            $scope.getProductList();
        };
        //产品分类查询
        $scope.getProClass = function (params) {
            adbService.getResult(
                {},
                $scope.setService('I181019', params),
                function (json) {
                    if (json.header.istatus == '-99') {
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        //console.log('=====',json);
                        if(params.companyCode==''){
                            if (json.data.companyList) {
                                $scope.companyList = json.data.companyList;
                            } else {
                                $scope.companyList = [];
                            }
                        }

                        if (json.data.subCategoryList) {
                            $scope.subCategoryList = json.data.subCategoryList;
                        } else {
                            $scope.subCategoryList = [];
                        }
                    }
                }
            )
        };

        // 滚动加载追加数据 recordLoadMore
        $scope.recordLoadMore = function () {
            if( $scope.loadStatus){
                $scope.getProductList();
            }
        };
        //产品列表查询
        $scope.getProductList = function () {
            var params = {
                "pageNum": $scope.pageNum,
                "pageSize": "10",
                "promotion": "",//爆款产品  默认传空
                "searchItem": {
                    "productCategory": $scope.titleType,
                    "productSubCategory": $scope.classCode,
                    "saleArea": "0",
                    "salesWay": "1",
                    "productCompany": $scope.companyCode
                },
                "sortItem": {
                    "premium": $scope.premiumStatus, //价格 低到高：1，高到低：-1
                    "rebate": $scope.rebateStatus //推广费 低到高 1 高到低 -1
                }
            };
            adbService.getResult(
                {},
                $scope.setService('I181010', params),
                function (json) {
                    if (json.header.istatus == '-99') {
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        if (json.data.productList) {
                            if (json.data.productList.length > 0) {
                                $scope.productList = $scope.productList.concat(json.data.productList);//追加数据
                            }
                            if (json.data.productList.length >= 10) {
                                $scope.loadStatus = true;//滚动加载状态
                                $scope.pageNum++;
                                $scope.loadStatus = true;
                            }
                            if (json.data.productList.length < 10) {
                                $scope.loadStatus = false;//滚动加载状态
                            }
                            if(!$scope.productList.length){
                                $scope.nothingStatus = true;
                            }else{
                                $scope.nothingStatus = false;
                            }
                        }
                    }
                }
            )
        };

        /*--------------------------头部返回start--------------------------*/
        var backUrl = backFactory.getter();
        if (typeof backUrl['productList'] != 'undefined' && backUrl['shopEdit'] != '') {
            backUrl = "index.html#/" + backUrl['productList'];
        }
        else {
            backUrl = "index.html#/homeR"
        }
        //返回按钮操作
        $scope.$emit("adbBack", backUrl, "2");
        /*--------------------------头部返回end--------------------------*/


        /*-------------------------------跳转到产品详情页 Start-------------------------------------------*/
        $scope.goToProDetail = function (productId) {
            $scope.setBackFactory('productDetailOnline');
            location.href = '#/productR/productDetailOnlineR/' + productId;
        };
        /*-------------------------------跳转到产品详情页 end-------------------------------------------*/
    }]);

});