'use strict';
define(['app'], function (app) {

    app.register.controller('homeCtrl', ['$scope', '$stateParams','$state','$location','backFactory','adbService','ngDialog',function ($scope, $stateParams,$state,$location,backFactory,adbService,ngDialog) {
        //改变页面的<title>
        $scope.appTitle = '爱多保';
        $scope.$emit("titleName", $scope.appTitle);

        var broker = localStorage.getItem('broker_in_session');
        if (broker!='undefined'&&broker) {
            broker = JSON.parse(broker);
        }

        function init()//初始化信息
        {
            localStorage.removeItem('saveAmtData');//账户信息+银行卡信息
            backFactory.setter({});//清除所有返回数据
            var broker = localStorage.getItem('broker_in_session');//获取当前登录用户信息
            if(broker)
            {
                broker = JSON.parse(broker);
                getUserInfo(broker.regId);
            }

        }
        init();

        var loadNum = 1;
        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载
            if (loadNum==1){
                getTotal();//获得总经纪人数和总佣金发放
                getBanner();//获得banner
                loadNum++;
            }

            //getHomeList();//获得首页模块

        });
        //获得总经纪人数和总佣金发放
        function getTotal(){
            //post给后台的参数
            var params = {
            };
            adbService.getResult(
                {},
                $scope.setService('I110701',params),
                function (json) {
                    //console.log(json);
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.total=json.data.data;

                    }


                },
                function(err){
                    //错误
                    //console.log(err);
                }
            );
        }
        //获得banner
        function getBanner(){
            //post给后台的参数
            var params = {
                "version": "2",//版本号
                "regId":broker['regId']//注册id号，用户登录后由系统返回
            };
            adbService.getResult(
                {},
                $scope.setService('I110402',params),
                function (json) {
                    //console.log(json);
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.bannerList=json.data.sections;
                        var objList=[];
                        angular.forEach($scope.bannerList, function(data,index){
                            var item = data;
                            //item.imgUrl = _globalOption.host +item.imgUrl;
                            item.imgUrl = item.imgUrl;//wn-edit;首页图片使用缓存
                            objList[index] = item;
                        });
                        $scope.bannerList=objList;

                    }


                },
                function(err){
                    //错误
                    //console.log(err);
                }
            );
        }
        //获得首页模块
        function getHomeList(){
            //post给后台的参数
            var params = {
                "version": "2",//版本号
                "regId":broker['regId']//注册id号，用户登录后由系统返回
            };
            adbService.getResult(
                {},
                $scope.setService('I110501',params),
                function (json) {
                    //console.log(json);
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.homeList=json.data.sections;

                    }


                },
                function(err){
                    //错误
                    //console.log(err);
                }
            );
        }
        function swiperRun() {  //swiper滑动
            var swiper = new Swiper('.swiper-container', {
                loop : true,
                //pagination: '.swiper-pagination',
                //slidesPerView: 'auto',
                centeredSlides: true,
                //paginationClickable: true,
                //initialSlide :0,
                observer:true,//修改swiper自己或子元素时，自动初始化swiper
                observeParents:true,//修改swiper的父元素时，自动初始化swiper
            });
        }

        $scope.$on('ngRepeatFinished', function (ngRepeatFinishedEvent) {
            //下面是在页面 render完成后执行的js
            swiperRun();
        });

        //跳转到个人中心
        $scope.goUserCenter = function(){
            $location.path("/userCenterR");
        };

        //跳转到消息
        $scope.goMessage = function(){
            $scope.setBackFactory('message');
            $location.path("/messageActivityR");
        };

        //跳转到展业首页
        $scope.goExhibition = function(){
            $location.path("/exhibitionR");
        };
        //跳转到我的业绩
        $scope.goPerformance = function(){
            if ($scope.approvedLevel=="3") {
                $scope.setBackFactory('performance');
                $location.path("/performanceR");
            }
            else {
                $scope.dialogNotCertification();
            }
        };

        //跳转到去赚钱
        $scope.goMakeMoney = function(){

            $scope.setBackFactory('makeMoney');

            $location.path("/productR/makeMoneyR");
        };
        //跳转到提升
        $scope.goPromote = function(){
            $location.path("/promoteR");
        };
        //跳转到店铺
        $scope.goShop = function(){

            if ($scope.approvedLevel=="3") {
                $scope.setBackFactory('shopIndex');
                $location.path("/shopIndexR");
            }
            else{
                $scope.dialogNotCertification();
            }
        };
        //跳转到客户管理
        $scope.goCustomer = function(){
            $scope.setBackFactory('customerIndex');
            $location.path("/customerIndexR");
        };

        //未认证提示
        $scope.dialogNotCertification = function(){
            //param 为确定后,传入value的值
            var dialogTemplate = 'dialogConfirm';
            var dialogData = {
                title: '爱多保是保险经纪人创业平台',
                param: '请完善认证信息享受高额佣金，开启专享通道',
                leftBtn: '随便看看',
                rightBtn: '立即认证'
            };
            var dialogClass = 'ngdialog-theme-default';
            ngDialog.openConfirm({
                template: dialogTemplate,
                data: dialogData,
                className: dialogClass,
                scope: $scope
            }).then(function (value) {
                if (value === 1) {
                    if( $scope.approvedLevel=='1'){
                        $scope.setBackFactory('certification');
                        $location.path("/certificationR");
                        $scope.sideFlag = true;
                    }else{
                        $location.path("/statusVerificationR");
                        $scope.sideFlag = true;
                    }
                }

            }, function (reason) {
                //console.info(reason);
                $scope.setBackFactory('makeMoney');
                $location.path("/productR/makeMoneyR");
            });
        };

        //获取用户信息
        function getUserInfo(uid){
            //获取代理人信息
            var params = {
                "regId": uid
            };
            //console.info(params);
            adbService.getResult(
                {},
                $scope.setService('I110106',params),
                function (json) {
                    //console.info(json);
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.userInfo = json.data;//返回用户信息
                        if ($scope.userInfo && typeof $scope.userInfo['approvedLevel'] != 'undefined') {
                            $scope.approvedLevel = $scope.userInfo['approvedLevel'];//实名认证状态,1-未认证,3-已认证,4-认证中,5-认证失败
                            //console.info($scope.approvedLevel);

                        }
                    }
                },
                function(err){
                    //错误
                    //console.log(err);
                });
        }
    }]);
});